<?php

$dayForMonth = array(31,28,31,30,31,30,31,31,30,31,30,31);

function ntxAnnoBisestile($year)
{
	if ( $year % 100==0 )
		return ($year % 400==0);
	else
		return ($year % 4==0);
}

function ntxLastDayMonth($month, $year)
{
	global $dayForMonth;

	if ( $month==2 )
		if ( ntxAnnoBisestile($year) )
			return 29;
		else
			return 28;
			
	return $dayForMonth[$month-1];
}

function ntxIsDate($txt)
{
	$txt = str_replace("-", "/", $txt);

	$txts = split("/", $txt);
	
	$num = count($txts);

	if ( $num != 3 ) return false;

	$day = $txts[0];
	$month = $txts[1];
	$year = $txts[2];

	if ( !is_numeric($year) || $year<1900 || $year>9999 ) return false;

	if ( !is_numeric($month) || $month<1 || $month>12 ) return false;

	if ( !is_numeric($day) || $day<1 || $day>ntxLastDayMonth($month, $year) ) return false;

	return true;
}

function ntxIsTime($txt)
{
	$txt = str_replace(".", ":", $txt);
 
	$txts = split(":", $txt);
	
	$num = count($txts);

	if ( $num < 2 ) return false;
 
	switch ( $num )
	{
		case 4:
			$millisecond = $txts[3];
			
			if ( !is_numeric($millisecond) || $millisecond<0 || $millisecond>999 ) return false;
			
		case 3:
			$second = $txts[2];
			
			if ( !is_numeric($second) || $second<0 || $second>59 ) return false;
	
		case 2:
			$hour = $txts[0];
			$minute = $txts[1];
			
			if ( !is_numeric($hour) || $hour<0 || $hour>23 ) return false;
			
			if ( !is_numeric($minute) || $minute<0 || $minute>59 ) return false;
			
			return true;
	}
	
	return false;
}

function ntxIsDateTime($txt)
{
	$txts = split(" ", $txt);
	
	$resTxts = array();
	
	if (is_array($txts) || is_object($txts))
		foreach($txts as $txt)
			if ( $txt != "" )
				$resTxts[] = $txt;
	
	$num = count($resTxts);
	
	if ( $num==1 )
		return ntxIsDate($resTxts[0]) || ntxIsTime($resTxts[0]);
	
	if ( $num==2 )
		return ntxIsDate($resTxts[0]) && ntxIsTime($resTxts[1])
				|| ntxIsDate($resTxts[1]) && ntxIsTime($resTxts[0]);
		
	return false;
}

?>
