<?php

require_once(NTX_PATH."messages.inc");
require_once("is_date.inc");

function ntxIsListOfNumber($text)
{
	$array = explode(",", $text);
	
	if (is_array($array) || is_object($array))
		foreach($array as $value)
			if ( !is_numeric($value) )
				return false;
			
	return true;
}

function ntxln($str, $key="", $nullable=true)
{
	$str = trim($str."");
	
	if ($nullable and strlen($str)==0) return "NULL";
	
	if (ntxIsListOfNumber($str)==false) ntxMsgErr("Campo '{$key}' non lista di numeri!");

	return $str;
}

function ntxtt($str, $key="", $nullable=true)
{
	$str = trim($str."");

	if ( strlen($str)==0 ) 
	{
		if ( $nullable ) return "NULL";

		ntxMsgErr("Campo '{$key}' vuoto!");
	}

	$day = (int)substr($str, 8, 2);
	$month =(int)substr($str, 5, 2);
	$year = (int)substr($str, 0, 4);

	$hour = (int)substr($str, 11, 2);
	$minute = (int)substr($str, 14, 2);

	$str = "$day/$month/$year $hour:$minute";

	$str = stripslashes($str);
	$str = str_replace("'", "''", $str);
	
	return "dbo.cdate('{$str}')";
}

function ntxt($str, $key="", $nullable=true, $len_zero=true)
{
	$str = trim($str."");
	
	if ( strlen($str)==0 ) 
	{
		if ( $nullable ) return "NULL";

		ntxMsgErr("Campo '{$key}' vuoto!");
	}
	
	$str = str_replace(".", ":", $str); // per emulare gli orari msaccess
	
	if (ntxIsDateTime($str)==false) ntxMsgErr("Campo '{$key}' con data/ora non valida!\n\nSintassi corretta giorno/mese/anno ora:minuti");
	
	$str = stripslashes($str);
	$str = str_replace("'", "''", $str);
	
	return "dbo.cdate('{$str}')";
}

function ntxs($str, $key="", $nullable=true, $len_zero=true)
{
	$str = trim($str."");
	
	if ( strlen($str)==0 ) 
	{
		if ( $nullable ) return "NULL";
		if ( $len_zero ) return "''";

		ntxMsgErr("Campo '{$key}' vuoto!");
	}
	
	$str = stripslashes($str);
	$str = str_replace("'", "''", $str);
	
	return "N'{$str}'";
}

function ntxlike($str, $key="", $nullable=true, $len_zero=true)
{
	$str = trim($str."");
	
	if ( strlen($str)==0 ) 
	{
		if ( $nullable ) return "NULL";
		if ( $len_zero ) return "''";

		ntxMsgErr("Campo '{$key}' vuoto!");
	}
	
	$str = stripslashes($str);
	$str = str_replace("'", "''", $str);
	
	return $str;
}

function ntxi($str, $key="", $nullable=true)
{
	$str = trim($str."");
	
	if ($nullable and strlen($str)==0) return "NULL";
	
	$str = str_replace(",", ".", $str);
	
	if (is_numeric($str)==false) ntxMsgErr("Campo '{$key}' non numero intero!");

	return (int)$str;
}

function ntxf($str, $key="", $nullable=true)
{
	$str = trim($str."");
	
	if ($nullable and strlen($str)==0) return "NULL";
	
	$str = str_replace(",", ".", $str);

	if (is_numeric($str)==false) ntxMsgErr("Campo '{$key}' non numero reale!");
		
	return (float)$str;
}

function ntxff($str, $key="", $nullable=true)
{
	$str = trim($str."");
	
	if ($nullable and strlen($str)==0) return "NULL";
	
	$str = str_replace(".", "", $str);
	$str = str_replace(",", ".", $str);
	
	if (is_numeric($str)==false) ntxMsgErr("Campo '{$key}' non numero reale!");
		
	return (float)$str;
}

function ntxb($str, $key="", $nullable=true)
{
	$str = trim($str."");
	
	if ($nullable and strlen($str)==0) return "NULL";
	
	$str = str_replace(",", ".", $str);
	
	if (is_numeric($str)==false) ntxMsgErr("Campo '{$key}' non impostato!");
	
	return $str!="0" ? "1" : "0";
}

?>