<?php

//require_once('DB.php');
require_once(NTX_PATH."messages.inc");

/*
	corrispondene fra valori type e tipi campi:
	
	null	nessuna corrispondenza
	1		bit 					(b)
	2		datetime 				(t)
	3		float 					(f)
	4		int 					(i)
	5		text 					(s)

*/

class NtxTable
{
	var $name, $fields, $thousand;
	
	function NtxTable($tableName, $thousand=false)
	{
		$tableName = str_replace("'","''",$tableName);
		$tableName = "'$tableName'";
		$this->thousand = $thousand;
		
		$sql = <<< sql
			SELECT     [table], field, type, length, nullable, [identity]
			FROM         db_tables
			WHERE     ([table] = $tableName)	
sql;

		$query = ntxQuery($sql);
		
		$this->fields = array();
		
		while ($rs=ntxIRecord($query))
		{
			if ( !isset($this->name) )
				$this->name = $rs[0];
			
			$fieldName = strToLower($rs[1]);
				
			$i = 0;
			
			$this->fields[$fieldName][table] = $rs[$i++];
			$this->fields[$fieldName][name] = $rs[$i++];
			$this->fields[$fieldName][type] = $rs[$i++];
			$this->fields[$fieldName][length] = $rs[$i++];
			$this->fields[$fieldName][nullable] = $rs[$i++];
			$this->fields[$fieldName][identity] = $rs[$i++];
		}
		
		if ( count($this->fields)==0 )
			ntxMsgErr("[$tableName] non trovata!");
	}

	function value($fieldName, $value)
	{ 
		$fieldName = strToLower($fieldName);
		
		$info = $this->fields[$fieldName];

		switch($info[type])
		{
			case 1:
				return ntxb($value, "$info[table].$info[name]", $info[nullable]);
				break;
			case 2:
				if (substr($value, 10, 1)=="T")
					return ntxtt($value, "$info[table].$info[name]", $info[nullable]);
				else
					return ntxt($value, "$info[table].$info[name]", $info[nullable]);
				break;
			case 3:
				if( $this->thousand )
					return ntxff($value, "$info[table].$info[name]", $info[nullable]);
				else	
					return ntxf($value, "$info[table].$info[name]", $info[nullable]);
				break;
			case 4:
				return ntxi($value, "$info[table].$info[name]", $info[nullable]);
				break;
			case 5:
				$value = subStr($value, 0, $info[length]);
					
				return ntxs($value, "$info[table].$info[name]", $info[nullable]);
				break;
			default:
				ntxMsgErr("[{$this->name}].[$fieldName] non esiste o tipo non supportato dalle librerie ntx!");
				break;
		}
	}
	
	function &insert()
	{
		return new NtxInsert($this);
	}
	
	function &update()
	{
		return new NtxUpdate($this);
	}
	
	function &delete()
	{
		return new NtxDelete($this);
	}
}

class NtxInsert
{
	var $sql1, $sql2;
	var $table;
	var $start, $end;
	
	function NtxInsert(&$table)
	{
		$this->table = &$table;
		
		$this->init();
	}
	
	function init()
	{
		$table = &$this->table;
		
		$this->start = true;
		$this->end = false;
		
		$this->sql1 = "INSERT INTO [$table->name] (";
		$this->sql2 = " VALUES (";
	}
	
	function setap()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->setp($fieldName);
	}
	
	function setase()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->setse($fieldName);
	}
	
	function setp($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->set($fieldName, $_POST[$key]);
		else
			$this->set($fieldName, $_POST[$fieldName]);
	}
	
	function setse($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->set($fieldName, $_SESSION[$key]);
		else
			$this->set($fieldName, $_SESSION[$fieldName]);
	}
	
	function set($fieldName, $value, $const=false)
	{
		$table = &$this->table;
		
		if ( $this->start == false )
		{
			$this->sql1 .= ", ";
			$this->sql2 .= ", ";
		}
		
		$this->start = false;
			
		$this->sql1 .= "[$fieldName]";
		
		if ( $const )
			$this->sql2 .= $value;
		else
			$this->sql2 .= $table->value($fieldName, $value);
	}
	
	function end()
	{
		$this->end = true;

		$this->sql1 .= ") ";
		$this->sql2 .= ")";
	}
	
	function execute()
	{
		if ( $this->end == false ) $this->end();

		ntxQuery($this->sql1.$this->sql2);
	}
	
	function debug()
	{
		if ( $this->end == false ) $this->end();

		return "".$this->sql1.$this->sql2;
	}	
}

class NtxWhere
{
	var $sql;
	var $table;
	var $start;
	var $startWhere;
	
	function NtxWhere(&$table)
	{
		$this->table = &$table;
	}
	
	function initWhere()
	{
		$this->start = true;
		$this->startWhere = true;
	}
		
	function whereap()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->wherep($fieldName);
	}
	
	function wherease()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->wherese($fieldName);
	}

	function wherep($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->where($fieldName, $_POST[$key]);
		else
			$this->where($fieldName, $_POST[$fieldName]);
	}
	
	function wherese($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->where($fieldName, $_SESSION[$key]);
		else
			$this->where($fieldName, $_SESSION[$fieldName]);
	}
	
	function where($fieldName, $value, $const=false)
	{
		$table = &$this->table;
		
		if ( $this->startWhere )
			$this->sql .= " WHERE ";
		else
			$this->sql .= " AND ";
		
		$this->startWhere = false;
			
		if ( $const )
			$this->sql .= "[$fieldName] = $value";
		else
			$this->sql .= "[$fieldName] = ".$table->value($fieldName, $value);
	}
	
	function execute()
	{
		ntxQuery($this->sql);
	}
	
	function debug()
	{
		return "".$this->sql;
	}	
}

class NtxUpdate extends NtxWhere
{
	function NtxUpdate(&$table)
	{
		$this->NtxWhere($table);
		
		$this->init();
	}
	
	function init()
	{
		$table = &$this->table;
		
		$this->initWhere();
		
		$this->sql = "UPDATE [$table->name] SET ";
	}
	
	function setap()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->setp($fieldName);
	}
	
	function setase()
	{
		$args = func_get_args();
		
		if (is_array($args) || is_object($args))
			foreach($args as $fieldName)
				$this->setse($fieldName);
	}

	function setp($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->set($fieldName, $_POST[$key]);
		else
			$this->set($fieldName, $_POST[$fieldName]);
	}
	
	function setse($fieldName, $key=null)
	{
		if ( isset($key) )
			$this->set($fieldName, $_SESSION[$key]);
		else
			$this->set($fieldName, $_SESSION[$fieldName]);
	}

	function set($fieldName, $value, $const=false)
	{
		$table = &$this->table;
		
		if ( $this->start == false )
			$this->sql .= ", ";
		
		$this->start = false;
		
		if ( $const )
			$this->sql .= "[$fieldName] = $value";
		else
			$this->sql .= "[$fieldName] = ".$table->value($fieldName, $value);
	}	
}

class NtxDelete extends NtxWhere
{
	function NtxDelete(&$table)
	{
		$this->NtxWhere($table);
		
		$this->init();
	}
	
	function init()
	{
		$table = &$this->table;
		
		$this->initWhere();
		
		$this->sql = "DELETE FROM [$table->name] ";
	}
}

?>