<?php

// restituisce il numero di giorni presenti in un mese/anno specifici
// tenendo conto degli anni bisestili
function GiorniInUnMese($mese, $anno)
{
	return date('t', mktime (0,0,0,$mese,1,$anno));
}


function is_date($date)
{
	if ( !is_string($date) )
		return "Data $date non è una stringa!";
		
	$ss = explode(" ", $date);
	
	if ( count($ss) > 2 )
		return "Ci sono piu' di due spazi nella data!";
		
	$s1 = explode("-", $ss[0]);
	
	if ( count($s1) != 3 )
		return "Devono esserci due - nella data $date!";
		
	if ( !is_numeric($s1[0]) || !is_numeric($s1[1]) || !is_numeric($s1[2]) )
		return "Uno dei 3 elementi della data $date non è un numero!";
		
	if ( $s1[1] < 1 || $s1[1] > 12 )
		return "Mese data $date errato!";
		
	if ( $s1[0] < 1900 || $s1[0] > 2037 )
		return "Anno data $date errato!";
		
	if ( $s1[2] < 1 || $s1[2] > GiorniInUnMese($s1[1], $s1[0]) )
		return "Giorno data $date errato!";

	if ( count($ss) > 2 )
	{
		$s1 = explode(":", $ss[1]);
		
		if ( count($s1) >= 2 )
		{
			if ( !is_numeric($s1[0]) || !is_numeric($s1[1]) )
				return "Uno dei due elementi dell'orario non è numerico!";
				
			if ( $s1[0] < 0 || $s1[0] > 23 )
				return "Ore orario $s1 errato!";
				
			if ( $s1[1] < 0 || $s1[1] > 59 )
				return "Minuti orario $s1 errato!";
		}
		else
			return "Devono esserci due o tre : nell'orario!!";
	}
	
	return null;
}

function ntxYear($date){ if ( strlen($date.="")>=19 ) return substr($date, 0, 4); }
function ntxMonth($date){ if ( strlen($date.="")>=19 ) return substr($date, 5, 2); }
function ntxDay($date){ if ( strlen($date.="")>=19 ) return substr($date, 8, 2); }
function ntxHour($date){ if ( strlen($date.="")>=19 ) return substr($date, 11, 2); }
function ntxMinute($date){ if ( strlen($date.="")>=19 ) return substr($date, 14, 2); }
function ntxSecond($date){ if ( strlen($date.="")>=19 ) return substr($date, 17, 2); }

function ntxDate($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxDay($date)."/".ntxMonth($date)."/".ntxYear($date); 
}

function ntxTime($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxHour($date).".".ntxMinute($date); 
}

function ntxTimeAndSecond($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxHour($date).".".ntxMinute($date).".".ntxSecond($date); 
}

function ntxDateTime($date)
{ 
	if ( strlen($date.="")>=19 ) return ntxDate($date)." ".ntxTime($date); 
}

function ntxDateTimeAndSecond($date)
{ 
	if ( strlen($date.="")>=19 ) return ntxDate($date)." ".ntxTimeAndSecond($date); 
}

function ntxDateTimeT($date)
{ 
	if ( strlen($date.="")>=19 ) return 
		ntxYear($date)."-".ntxMonth($date)."-".ntxDay($date)
		."T".ntxHour($date).":".ntxMinute($date); 
}

function ntxDateTimeHTML($date)
{ 
	if ( strlen($date.="")>=19 ) return ntxDate($date)."&nbsp;".ntxTime($date); 
}

function ntxDateTimeExcel($date)
{ 
	if ( strlen($date.="")>=19 ) return 
		ntxYear($date)."-".ntxMonth($date)."-".ntxDay($date)
		."T".ntxHour($date).":".ntxMinute($date).":".ntxSecond($date); 
}


//nuove funzioni che accettano il sepatore per i pezzi di data e per l'oras
function ntxDateWithFormat($date, $format)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxDay($date)."$format".ntxMonth($date)."$format".ntxYear($date); 
}

function ntxTimeWithFormat($date, $format)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxHour($date)."$format".ntxMinute($date); 
}

function ntxDateTimeWithFormat($date, $separatorDate="/", $separatorTime=".")
{ 
	if ( strlen($date.="")>=19 ) return ntxDateWithFormat($date,  $separatorDate)." ".ntxTimeWithFormat($date, $separatorTime); 
}
//fine nuove funzioni

require_once("datetime2.inc");

function ntxSqlDate($date)
{ 
	if ( strlen($date.="")>=19 ) return 
		"'".ntxYear($date).ntxMonth($date).ntxDay($date)
		." ".ntxHour($date).":".ntxMinute($date).":".ntxSecond($date).".000'"; 
}

?>
