<?php
/*
List main functions:

.jhp(refer & mixed, state=0, message=ok)

		mixed: array, boolean, number, string, mixed of these (other type become null)
		
		state: 0 (ok), 1 (error), other value (send message)

		message: for error or to say something
	
.jhp_error(message)

		send an error message
	
.jhp_ok(state=0, message=ok)

		send a message of confirm 
		
		if state is different from 0 and 1 that means that it wants to show the message
		
		(for state 1 you can use jhp_error instead of it)
*/
	
$jhp_array_logs = array();

if ( isset($ntxDb) )
	jhp_error("la libreria jhp dev'essere chiamata prima di ntx!");

define(JHP_201005051911, 1);

function jhp_log($text)
{
	global $jhp_array_logs;
	
	$jhp_array_logs[] = $text;
}


/*
	stile chiamata:	jhp_pos(__file__, __line__, "\nprova 2");
*/
function jhp_pos($path, $line, $text)
{
	jhp_log(basename($path)." $line: $text");
}

function jhp_print($text)
{
	echo $text;
}

function jhp(&$obj, $state=0, $message="ok")
{
	global $jhp_array_logs;
	
	$message = jhp_string($message);
	
	jhp_print("{state:$state,message:$message,value:");
	
	jhp_values($obj);
	
	jhp_print(",logs:");
	
	jhp_values($jhp_array_logs);
	
	jhp_print("}");
	
	exit;
}

function jhp_error($message)
{
	jhp($null, 1, $message);
}

function jhp_ok($state=0, $message="ok")
{
	jhp($null, $state, $message);
}

function jhp_string($str)
{
	$str = str_replace("\\","\\\\",$str);
	$str = str_replace("\"","\\\"",$str);
	$str = str_replace("\b","\\b",$str);
	$str = str_replace("\f","\\f",$str);
	$str = str_replace("\n","\\n",$str);
	$str = str_replace("\r","\\r",$str);
	$str = str_replace("\t","\\t",$str);

	return "\"$str\"";
}

function jhp_values(&$obj)
{
	if ( is_array($obj) )
	{
		$open = '[';
		$close = ']';
		
		foreach($obj as $key => $value)
		{
			if ( !is_numeric($key) )
			{
				$open = '{';
				$close = '}';
			}
			
			break;
		}

		jhp_print($open);
		
		$append = false;
		
		if ( $open == '[' )
		{
			foreach($obj as $value)
			{
				if ( $append ) jhp_print(",");
				
				jhp_values($value);
				
				$append = true;
			}
		}
		else
		{
			foreach($obj as $key => $value)
			{
				if ( $append ) jhp_print(",");
				
				jhp_print(jhp_string($key).":");
				
				jhp_values($value);
				
				$append = true;
			}
		}

		jhp_print($close);
	}
	elseif ( is_bool($obj) )
	{
		if ( $obj )
			jhp_print(1);
		else
			jhp_print(0);
	}
	elseif ( is_string($obj) )
	{
		jhp_print(jhp_string($obj));
	}	
	elseif ( is_numeric($obj) )
	{
		jhp_print($obj);
	}
	else
	{
		jhp_print("\"\"");
	}
}

?>