<?php

/*

	Oggetto: NtxShowButton($clsButton, $clsButtonStart, $clsButtonOver, $clsButtonSel, $clsButtonSelOver)

	Metodi:
			appendButton($label) 	// aggiunge un tasto ad un gruppo
			onClick($onClick) 		// aggiunge codice all'evento OnClick dell'ultimo tasto aggiunto
			showAll() 				// setta l'ultimo tasto aggiunto come tasto mostra tutto
										(per ora funziona solo con l'elemento in coda)
			generateButtons() 		// genera i pulsanti di un gruppo
			generateId() 			// crea l'id di un elemento associato ai tasti
			newGroup() 				// crea un nuovo gruppo pulsanti elementi a scomparsa
			createScript() 			// da usare una sola volta in coda alla pagina genera lo script di gestione
*/

class NtxShowButton
{
	var $groupIndex;
	var $indexButtonShowAll;
	var $labelButtons;
	var $onClickForButtons;
	var $elementIndex;
	var $elementCounters;
	
	var $clsButton, $clsButtonStart, $clsButtonOver, $clsButtonSel, $clsButtonSelOver;
	
	function NtxShowButton($clsButton, $clsButtonStart, $clsButtonOver, $clsButtonSel, $clsButtonSelOver)
	{
		$this->clsButton = $clsButton;
		$this->clsButtonStart = $clsButtonStart;
		$this->clsButtonOver = $clsButtonOver;
		$this->clsButtonSel = $clsButtonSel;
		$this->clsButtonSelOver = $clsButtonSelOver;
		
		$this->groupIndex = 0;
		$this->setVariables();
	}
	
	function setVariables() // private
	{
		$this->labelButtons[$this->groupIndex] = array();
		$this->onClickForButtons[$this->groupIndex] = array();
		$this->indexButtonShowAll[$this->groupIndex] = -1;
		$this->elementIndex = 0;
		$this->elementCounters[$this->groupIndex] = 0;
	}
	
	function newGroup()
	{
		$this->groupIndex += 1;
		$this->setVariables();
	}
	
	function generateId()
	{
		echo "\"ntxShwBtnGrp{$this->groupIndex}e{$this->elementIndex}\"";
		$this->elementIndex += 1;
		$this->elementCounters[$this->groupIndex] += 1;
	}
	
	function appendButton($label)
	{
		$this->labelButtons[$this->groupIndex][] = $label;
		$this->onClickForButtons[$this->groupIndex][] = "";
	}
	
	function countButtons()
	{
		return count($this->labelButtons[$this->groupIndex]);
	}
	
	function onClick($onClick)
	{
		$index = $this->countButtons() - 1;
		
		$this->onClickForButtons[$this->groupIndex][$index] = $onClick;
	}
	
	function showAll()
	{
		$index = $this->countButtons() - 1;
		
		$this->indexButtonShowAll[$this->groupIndex] = $index;
	}
	
	function generateButtons()
	{
		for ( $i=0; $i<$this->countButtons(); ++$i )
		{
			$label = htmlentities($this->labelButtons[$this->groupIndex][$i]);
			$onClick = $this->onClickForButtons[$this->groupIndex][$i];
		
			if ( $i==0 )
			{
				echo <<< echo
					<div 
						class="$this->clsButton $this->clsButtonStart";
						id="btn{$this->groupIndex}e{$i}" 
						onclick="ntxTabs.selElement($this->groupIndex, $i, false);$onClick"
						onmouseover="ntxTabs.setClassButton($this->groupIndex, $i, 1)"
						onmouseout="ntxTabs.setClassButton($this->groupIndex, $i, 0)"
					>$label</div>
echo;
			}
			else
			{
				echo <<< echo
					<div 
						class="$this->clsButton";
						id="btn{$this->groupIndex}e{$i}" 
						onclick="ntxTabs.selElement($this->groupIndex, $i, false);$onClick"
						onmouseover="ntxTabs.setClassButton($this->groupIndex, $i, 1)"
						onmouseout="ntxTabs.setClassButton($this->groupIndex, $i, 0)"
					>$label</div>
echo;
			}
		}
	}
	
	function createScript()
	{
		$script = <<< script
<script language=javascript>

	if ( typeof NtxShowButton != 'function' )
		alert("ATTENZIONE libreria ntx_tabs.js non caricata!!!!");

	var ntxTabs = new NtxShowButton();

	ntxTabs.numGroups = $this->groupIndex+1;
	
	ntxTabs.classNames['base'] = '$this->clsButton';
	ntxTabs.classNames['start'] = '$this->clsButtonStart';
	ntxTabs.classNames['over'] = '$this->clsButtonOver';
	ntxTabs.classNames['sel'] = '$this->clsButtonSel';
	ntxTabs.classNames['selOver'] = '$this->clsButtonSelOver';
	
script;

		for ( $i=0; $i<=$this->groupIndex; ++$i )
		{
			$index = $this->indexButtonShowAll[$i];

			$script .= "\tntxTabs.showAll[$i] = $index;\n";

			$ct = count($this->labelButtons[$i]);

			$script .= "\tntxTabs.numButtons[$i] = $ct;\n";
		}
	
		for ( $i=0; $i<count($this->elementCounters); ++$i )
		{
			$ct = $this->elementCounters[$i];

			$script .= "\tntxTabs.numElements[$i] = $ct;\n";
		}
	
		$script .= "\tntxTabs.reset();\n";
		
		$script .= "</script>\n";

		echo $script;
	}
}

?>

