<?php

/*

PHP: variabili globali
-------------------------------

$ntx_dizionario_origine = array();
$ntx_dizionario_destinazione = array();
$ntx_tag_lingue = array();

PHP: funzioni globali
-------------------------------

function NtxCaricaDizionari($pathDizionario, $origine, $destinazione)
function NtxAggiungiAiDizionari($pathDizionario, $origine, $destinazione)
function NtxTraduci($testo)
function NtxTraduciInJavascript()

JavaScript: variabili globali
-------------------------------

var ntx_dizionario_origine = new Array();
var ntx_dizionario_destinazione = new Array();

JavaScript: funzioni globali
-------------------------------

function NtxTraduci(testo)

*/

$ntx_dizionario_origine = array();
$ntx_dizionario_destinazione = array();

function NtxCaricaDizionari($pathDizionario, $origine, $destinazione)
{
	global $ntx_tag_lingue, $ntx_dizionario_origine, $ntx_dizionario_destinazione;
	
	$ntx_dizionario_origine = array();
	$ntx_dizionario_destinazione = array();
	
	$dir = dirname($pathDizionario);
	
	$file = fopen($pathDizionario, 'r');
	
	$text = fread($file, filesize($pathDizionario));
	
	fclose($file);
	
	$rows = explode("\n", $text);

	if (is_array($rows) || is_object($rows))
		foreach($rows as $row)
		{
			$row = trim($row);
		
			if ( $row == "" || substr($row, 0, 1)=="#" ) continue;

			$split = explode(".", $row, 3);
			
			$lingua = trim($split[0]);
			$index = (int)$split[1];
			$label = trim($split[2]);

			if ( $lingua == $origine )
				$ntx_dizionario_origine[$index] = $label;

			elseif ( $lingua == $destinazione )
				$ntx_dizionario_destinazione[$index] = $label;
			
			elseif ( $lingua == "ADD" )
				NtxAggiungiAiDizionari("$dir\\$label", $origine, $destinazione);
		}
}


function NtxAggiungiAiDizionari($pathDizionario, $origine, $destinazione)
{
	global $ntx_tag_lingue, $ntx_dizionario_origine, $ntx_dizionario_destinazione;
	
	$dir = dirname($pathDizionario);

	$file = fopen($pathDizionario, 'r');
	
	$text = fread($file, filesize($pathDizionario));
	
	fclose($file);
	
	$rows = explode("\n", $text);

	if (is_array($rows) || is_object($rows))
		foreach($rows as $row)
		{
			$row = trim($row);
		
			if ( $row == "" || substr($row, 0, 1)=="#" ) continue;

			$split = explode(".", $row, 3);
			
			$lingua = trim($split[0]);
			$index = (int)$split[1];
			$label = trim($split[2]);

			if ( $lingua == $origine )
				$ntx_dizionario_origine[$index] = $label;

			elseif ( $lingua == $destinazione )
				$ntx_dizionario_destinazione[$index] = $label;
			
			elseif ( $lingua == "ADD" )
				NtxAggiungiAiDizionari("$dir\\$label", $origine, $destinazione);
		}
}

function NtxTraduci($testo)
{
	global $ntx_dizionario_origine, $ntx_dizionario_destinazione;

	if ( !count($ntx_dizionario_origine) || !count($ntx_dizionario_destinazione) )
		return $testo;
		
	$traduzione = $ntx_dizionario_destinazione[array_search($testo, $ntx_dizionario_origine)];
	
	if ( isset($traduzione) )
		return $traduzione;
	else
		return $testo;
}

function NtxEchoTraduci($testo)
{
	$traduzione = NtxTraduci($testo);
	echo $traduzione;
	return $traduzione;
}

function NtxTraduciInJavascript()
{
	global $ntx_dizionario_origine, $ntx_dizionario_destinazione;

	echo "<script>\n\n";
	echo "\tvar ntx_dizionario_origine = new Array();\n\n";

	$i = 0;
	
	if (is_array($ntx_dizionario_origine) || is_object($ntx_dizionario_origine))
		foreach($ntx_dizionario_origine as $testo)
		{
			$testo = str_replace("\n", '\n', str_replace('"', '\"', addcslashes(str_replace("\r", '', (string)$testo), "\0..\37'\\")));
			echo "\tntx_dizionario_origine[".$i++."] = \"$testo\";\n";
		}
	
	echo "\n\tvar ntx_dizionario_destinazione = new Array();\n\n";

	$i = 0;
	
	if (is_array($ntx_dizionario_destinazione) || is_object($ntx_dizionario_destinazione))
		foreach($ntx_dizionario_destinazione as $testo)
		{
			$testo = str_replace("\n", '\n', str_replace('"', '\"', addcslashes(str_replace("\r", '', (string)$testo), "\0..\37'\\")));
			echo "\tntx_dizionario_destinazione[".$i++."] = \"$testo\";\n";
		}
	
	echo <<< echo
	\n\tfunction NtxTraduci(testo)
	{
		testo = testo.trim();

		var i=0;

		for(i=0;i<ntx_dizionario_origine.length;++i)
			if ( ntx_dizionario_origine[i] == testo )
				return ntx_dizionario_destinazione[i];
				
		return testo;
	}
echo;

	echo "\n</script>\n";
}


?>