<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/repository/php/get_string_between.php'); 
	
$datoNfc = $_POST[datoNfc];
$UidNFC = ntxsp('UidNFC');

$arrayToken = explode("#",$datoNfc); 
 
$CodiceAssEdificio = strtoupper($arrayToken[0]);   
 
$CommessaT =  get_string_between($CodiceAssEdificio, "C", "E");   
$EdificioT = substr($CodiceAssEdificio, strpos($CodiceAssEdificio, "E") + 1);    

$rs1 = array();
$rs2 = array();

if(is_numeric($CommessaT)&&is_numeric($EdificioT))
{
	$IdCommessa = (int) $CommessaT;
	$IdEdificio = (int) $EdificioT; 
	
	$sql = <<< sql
	SELECT  DISTINCT  
		tblPgPropietari.IdPropietario
		,tblPgPropietari.Nome AS Cliente

		,tblPgContratti.IdPgContratto
		,tblPgContratti.Descrizione AS Contratto
		,tblPgContratti.DataInizio
		,tblPgContratti.DataFine
		,tblPgContratti.Aperto
		,CASE 
			WHEN (tblPgContratti.DataFine<getdate())
				THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
			WHEN (tblPgContratti.DataInizio>=getdate())
				THEN ' - Attenzione contratto non inziato '
			ELSE
				''
		END Coda 
		,CASE
			WHEN (tblPgContratti.DataFine<getdate())
				THEN 1
			ELSE 0
		END AS ContrattoScaduto  
		,CASE
			WHEN (tblPgContratti.DataInizio>=getdate())
				THEN 1
			ELSE 0
		END AS ContrattoNonIniziato 

		,ElencoEdifici.IdCommessa
		,ElencoEdifici.ID AS IdEdificio
		,ElencoEdifici.EdificioBreve AS Edificio
		,ElencoEdifici.Indirizzo  
		,ElencoEdifici.CITTA AS Citta  
		,ElencoEdifici.Località	
		,CASE
			WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
				THEN 0
			ELSE 1
		END AS	EdificioDismesso  
		,ElencoEdifici.NumTagNFC AS NumTaggatureNfc
		,(
			SELECT COUNT(ID)
			FROM         
				NfcEdifici
			WHERE  
				NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
				AND NfcEdifici.IdEdificio=ElencoEdifici.ID
				AND NfcEdifici.Attivo=1
		)
		AS NumTaggatureNfcCorrenti 
		,(
			ElencoEdifici.NumTagNFC 
			- 
			(
			SELECT COUNT(ID)
			FROM         
				NfcEdifici
			WHERE  
				NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
				AND NfcEdifici.IdEdificio=ElencoEdifici.ID
				AND NfcEdifici.Attivo=1
			)
		)
		AS NumTaggatureNfcDisponibili	
		
	FROM         
		tblPgContrattiPropietariGestoriAttivitàEdifici 
		INNER JOIN
		tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
		INNER JOIN
		tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
		INNER JOIN
		ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID  
	WHERE
		ElencoEdifici.IdCommessa = $IdCommessa
		AND ElencoEdifici.ID = $IdEdificio
sql;
	
	$query = ntxQuery($sql);
	$rs1 = ntxRecord($query);
}
	
 
 
$sql = <<<_SQL
SELECT DISTINCT 
	NfcEdifici.ID AS IdRecordNfc, NfcEdifici.UidNFC, NfcEdifici.Attivo, NfcEdifici.Note 
FROM         
	ElencoEdifici    	
	INNER JOIN
	NfcEdifici ON ElencoEdifici.IdCommessa = NfcEdifici.IdCommessa AND ElencoEdifici.ID = NfcEdifici.IdEdificio
WHERE   
	NfcEdifici.UidNFC = $UidNFC  
_SQL;
$rs2 = ntxRecord(ntxQuery($sql));   
 
$rs2[StatoNfc]=""; 
if(!isset($rs2[Attivo])) $rs2[StatoNfc]="Chip non presente nel database";  
else if($rs2[Attivo]==1) $rs2[StatoNfc]="Attivo";  
else if(!is_numeric($rs2[Attivo])||$rs2[Attivo]==0) $rs2[StatoNfc]="Non attivo";  
 
 
$dataNow = ntxDateTime(ntxScalar("SELECT getdate()"));

$messaggio = <<< _MSG
E' stata rilevata una anomalia sul chip NFC <strong>$_POST[UidNFC]</strong> pervenuta dall'utente <strong>$_SESSION[Utente]</strong> in data $dataNow. 
<br><br> 
Seguono le informazioni presenti sul chip NFC:
<br>Id: $_POST[UidNFC]
<br>Dato scritto: $datoNfc
<br><strong>Stato: $rs2[StatoNfc] </strong>

<br><br>
Seguono le informazioni dell'edificio associato (se presente):
<br>Cliente: $rs1[Cliente]
<br>Contratto: $rs1[Contratto]
<br><strong>Localizzazione: $rs1[Edificio] </strong>
_MSG;
 
?>
