<?php
$sql = <<< sql
SELECT  DISTINCT
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Richieste.IDCommessa,
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
	,Richieste.DataRichiesta, 
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Operatore, Richieste.Richiedente, Richieste.TelefonoRif,
	TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza 
	,Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2 
	,Richieste.EmailRichiedente
	,Richieste.DataInizioP, Richieste.DataFineP  
	,tblPgContratti.Descrizione AS Contratto
	,tblComponetiMestiere.Descrizione AS Componente
	,tblAttivitàMestiere.Descrizione AS Attivita
	,Ordini.IdOrd
	,Ordini.NumOrdine
	,Ordini.AnnoOrdine

FROM         
	ElencoEdifici INNER JOIN
	Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Richieste.IDCommessa AND tblMestieri.IdMestiere = Richieste.IdMestiere

	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
	Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Richieste.IdComponente = ComponentiAmbiente.IDComponente AND 
	Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
	Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  
	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU	
	LEFT OUTER JOIN
	tblPgContrattiPropietariGestoriAttivitàEdifici  ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 	
	LEFT OUTER JOIN
	tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND 
	Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa
	LEFT OUTER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa
	
WHERE     
	Richieste.IDCommessa = $IdCommessa 
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{ 
	$rs[IDCommessa] = (int)$rs[IDCommessa];
	$rs[NumRichiesta] = (int)$rs[NumRichiesta];
	$rs[AnnoRichiesta] = (int)$rs[AnnoRichiesta];
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	
	$rs[DataInizioP] = ntxDateTime($rs[DataInizioP]);
	$rs[DataFineP] = ntxDateTime($rs[DataFineP]); 

	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	$servizio = '';
	
	if(strlen($rs[Mestiere])>0)
	$servizio .= <<< _MSG
Mestiere: $rs[Mestiere] 
_MSG;

	if(strlen($rs[Componente])>0)
	$servizio .= <<< _MSG

Componente: $rs[Componente] 
_MSG;

	if(strlen($rs[Attivita])>0)
	$servizio .= <<< _MSG

Attività: $rs[Attivita] 
_MSG;
	
	
	if(!is_numeric($rs[IdOrd]))
	{
		$messaggio .= <<< _MSG
La richiesta R-$rs[NumRichiesta]-$rs[AnnoRichiesta]-$rs[IDCommessa] e' stata inserita senza un ordine collegato. 
Occorre collegarsi al sistema per valutare la necessita' di creare un ordine per una risorsa.
_MSG;
	}
	else
	{
		$messaggio .= <<< _MSG
La richiesta R-$rs[NumRichiesta]-$rs[AnnoRichiesta]-$rs[IDCommessa] e' stata inserita con il seguente ODL O-$rs[NumOrdine]-$rs[AnnoOrdine]-$rs[IDCommessa] .  
_MSG;
	}
	
	$messaggio .= <<< _MSG
	
Seguono i dati della richiesta.
Cliente: $rs[Ente]
Contratto: $rs[Contratto]
Localizzazione: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA] $objExt .
Richiedente: $rs[Richiedente] 
Tel. Richiedente: $rs[TelefonoRif]
Email Richiedente: $rs[EmailRichiedente] 
$servizio
Problema: {$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]} .
Grado di urgenza: $rs[GradoU] $rs[GradoUrgenza]
_MSG;

	if(strlen($rs[DataInizioProg])>0)
	$messaggio .= <<< _MSG

Data Inizio Prog: $rs[DataInizioP]
_MSG;

	if(strlen($rs[DataFineProg])>0)
	$messaggio .= <<< _MSG

Data Fine Prog: $rs[DataFineP]
_MSG;
}
	
?>
