<?php
$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3, Ordini.IDCommessa,
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente
	,Ordini.DataOrdine, 
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Operatore, Richieste.Richiedente, Richieste.TelefonoRif,
	TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza 
	,Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2 
	,Richieste.EmailRichiedente
	,Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataScadenza
	,Ordini.Note, Ordini.NotaInterna
	,tblPgContratti.Descrizione AS Contratto
	,tblComponetiMestiere.Descrizione AS Componente
	,tblAttivitàMestiere.Descrizione AS Attivita
	,Risorse.NOME AS Risorsa
	,Risorse_1.NOME AS RisorsaOld

FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere
	LEFT OUTER JOIN
	Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  
	LEFT OUTER JOIN 
	Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa
	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU	
	LEFT OUTER JOIN
	tblPgContrattiPropietariGestoriAttivitàEdifici  ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 	
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
	Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa	
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID
	LEFT OUTER JOIN
	Risorse AS Risorse_1 ON Ordini.IdRisorsaOld = Risorse_1.ID
	
WHERE     
	Ordini.IDCommessa = $IdCommessa 
	AND Ordini.NumOrdine = $NumOrdine
	AND Ordini.AnnoOrdine = $AnnoOrdine
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{ 
	$rs[AnnoOrdine] = (int)$rs[AnnoOrdine];
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[IDCommessa] = (int)$rs[IDCommessa];
	$rs[NumRichiesta] = (int)$rs[NumRichiesta];
	$rs[AnnoRichiesta] = (int)$rs[AnnoRichiesta];
	
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);

	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	 
	$servizio = '';
	
	if(strlen($rs[Mestiere])>0)
	$servizio .= <<< _MSG
Mestiere: $rs[Mestiere] 
_MSG;

	if(strlen($rs[Componente])>0)
	$servizio .= <<< _MSG

Componente: $rs[Componente] 
_MSG;

	if(strlen($rs[Attivita])>0)
	$servizio .= <<< _MSG

Attività: $rs[Attivita] 
_MSG;
	
	
	$label_assegnato_risorsa="";
	if(strlen($rs[Risorsa])>0)
		$label_assegnato_risorsa=" assegnato a $rs[Risorsa] ";
	
	
	$messaggio = <<< _MSG
E' stato passato il seguente ordine <strong>O-$rs[NumOrdine]-$rs[AnnoOrdine]-$rs[IDCommessa]</strong> generato dalla richiesta <strong>R-$rs[NumRichiesta]-$rs[AnnoRichiesta]-$rs[IDCommessa]</strong>  dalla risorsa $rs[RisorsaOld] alla risorsa $rs[Risorsa].

<br><br>
Seguono i dati dell'ordine.
<br><strong>Cliente: $rs[Ente]</strong>
<br>Contratto: $rs[Contratto]
<br><strong>Localizzazione: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA] $objExt .</strong>
<br>Richiedente: $rs[Richiedente] 
<br>Tel. Richiedente: $rs[TelefonoRif]
<br>Email Richiedente: $rs[EmailRichiedente]
<br>$servizio
<br>Problema: <strong>{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]} </strong>.
<br>Grado di urgenza: $rs[GradoU] $rs[GradoUrgenza]
<br><strong>Nota per cliente: $rs[Note]</strong>  
<br>Nota interna: $rs[NotaInterna]  
<br>Squadra: $rs[Ditta] $label_assegnato_risorsa
_MSG;

	if(strlen($rs[DataInizioProg])>0)
	$messaggio .= <<< _MSG

<br>Data Inizio Prog: $rs[DataInizioProg]
_MSG;

	if(strlen($rs[DataFineProg])>0)
	$messaggio .= <<< _MSG

<br>Data Fine Prog: $rs[DataFineProg]
_MSG;

	if(strlen($rs[DataScadenza])>0)
	$messaggio .= <<< _MSG

<br>Data Scadenza: $rs[DataScadenza]
_MSG;

	if(strlen($rs[DataInizio])>0)
	$messaggio .= <<< _MSG

<br>Data Inizio: $rs[DataInizio]
_MSG;

	if(strlen($rs[DataFine])>0)
	$messaggio .= <<< _MSG

<br>Data Fine: $rs[DataFine]
_MSG;

	if(strlen($rs[Note])>0)
	$messaggio .= <<< _MSG

<br>Note Cliente: $rs[Note]
_MSG;
 
}
	
?>
