<?php

$sql = <<< sql
SELECT     
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Localizzazione AS IdEdificio,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente		
	
FROM         

	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere

	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
	Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Richieste.IdComponente = ComponentiAmbiente.IDComponente AND 
	Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
	Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	
WHERE     
	(Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.NumRichiesta = $NumRichiesta) 
	AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= $traduttore->traduci('Piano').": ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= $traduttore->traduci('Ambiente').": ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= $traduttore->traduci('Componente').": ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	/*$messaggio = <<< messaggio
		Le e' stata assegnata la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da '$_SESSION[Utente]'. Il richiedente '$rs[Richiedente]' ha richiesto :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]' localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt .
messaggio;*/
	$messaggio =
		$traduttore->traduci('Le e\' stata assegnata la richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] ".$traduttore->traduci('da')." '$_SESSION[Utente]'. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto')." :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in')." : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt ."
;
}
	
?>
