<?php
$sql = <<<_SQL
SELECT 	tblMestieri.RichiedeCompilazioneModulo
FROM         
	tblMestieri
	INNER JOIN
	Richieste ON tblMestieri.IdCommessa = Richieste.IDCommessa AND tblMestieri.IdMestiere = Richieste.IdMestiere	

WHERE     
	(Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.NumRichiesta = $NumRichiesta)
	AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
_SQL;

$RichiedeCompilazioneModulo = ntxScalar($sql); 

if( is_numeric($RichiedeCompilazioneModulo) && $RichiedeCompilazioneModulo== 1)
{
	$oggetto = $traduttore->traduci('Prenotazione sala riunioni richiesta')." $NumRichiesta/$AnnoRichiesta";
	
	$sql = <<<_SQL
	SELECT     
		Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID, 
		Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,
		RichiestePrenotazioni.NumeroPartecipanti, RichiestePrenotazioni.DataPrenotazione1,   RichiestePrenotazioni.DataPrenotazione2, RichiestePrenotazioni.OraInizio, RichiestePrenotazioni.OraFine, RichiestePrenotazioni.RitiroChiave,  
		RichiestePrenotazioni.RichiestaBeamer, RichiestePrenotazioni.Note

	FROM        
		Richieste 
		LEFT OUTER JOIN
		ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
		LEFT OUTER JOIN
		RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND  Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta	
		  
	WHERE     
		(Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
_SQL;
	$query = ntxQuery($sql);

	$messaggio = "";

	if ( $rs = ntxRecord($query) )
	{
		$rs['DataPrenotazione1'] = ntxDate($rs['DataPrenotazione1']); 
		$rs['DataPrenotazione2'] = ntxDate($rs['DataPrenotazione2']); 
		
		if($rs[RichiestaBeamer]==1) 
			$rs[RichiestaBeamer] = 'SI';
		else	
			$rs[RichiestaBeamer] = 'NO';
			
		/*$messaggio = <<< messaggio
E' stata inserita la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da $rs[Nome] $rs[Cognome] con CID $rs[CID]. 
Richiesta: {$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}.
Numero partecipanti: $rs[NumeroPartecipanti].
Data di prenotazione: $rs[DataPrenotazione1] - $rs[DataPrenotazione2], per le ore $rs[OraInizio]  alle $rs[OraFine].
Ritiro chiave:  $rs[RitiroChiave].
Beamer:  $rs[RichiestaBeamer].
Note aggiuntive:  $rs[Note].
messaggio;*/
		$messaggio =
$traduttore->traduci('E\' stata inserita la richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] da $rs[Nome] $rs[Cognome] ".$traduttore->traduci('con CID')." $rs[CID]. 
".$traduttore->traduci('Richiesta').": {$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}.
".$traduttore->traduci('Numero partecipanti').": $rs[NumeroPartecipanti].
".$traduttore->traduci('Data di prenotazione').": $rs[DataPrenotazione1] - $rs[DataPrenotazione2], ".$traduttore->traduci('per le ore')." $rs[OraInizio]  alle $rs[OraFine].
".$traduttore->traduci('Ritiro chiave').":  $rs[RitiroChiave].
".$traduttore->traduci('Beamer').":  $rs[RichiestaBeamer].
".$traduttore->traduci('Note aggiuntive').":  $rs[Note]."
;
	}
}
else
{
	$sql = <<< sql
	SELECT     
		Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
		tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Localizzazione AS IdEdificio,
		
		PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
		Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
		ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	

		,ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID		
		
		,tblUtUtilizzatori.Nome AS Utilizzatore
		
	FROM         

		Richieste 
		INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
		LEFT OUTER JOIN
		tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere

		LEFT OUTER JOIN
		Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
		Richieste.IDCommessa = Ambiente.IdCommessa 
		LEFT OUTER JOIN
		ComponentiAmbiente ON Richieste.IdComponente = ComponentiAmbiente.IDComponente AND 
		Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IDCommessa = ComponentiAmbiente.IdCommessa 
		LEFT OUTER JOIN
		PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
		Richieste.IDCommessa = PianoLivello.IdCommessa 
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
		Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
		LEFT OUTER JOIN
		TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
		ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	
		LEFT OUTER JOIN
		ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
		

		LEFT OUTER JOIN
		  tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore

	  WHERE     
		(Richieste.IDCommessa = $IdCommessa) 
		AND (Richieste.NumRichiesta = $NumRichiesta) 
		AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;
	$query = ntxQuery($sql);

	$messaggio = "";

	if ( $rs = ntxRecord($query) )
	{
		$addMessageUtilizzatore = "$rs[Utilizzatore]";
		$objExt = "";
		$objExt2 = "";
		
		if( strlen($addMessageUtilizzatore)>0)
		{
			$objExt .= $traduttore->traduci('Utilizzatore').": $addMessageUtilizzatore ;";	
		}
		
		if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
		{
			$objExt .= $traduttore->traduci('Piano').": ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
		}
		
		if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
		{
			$objExt .= $traduttore->traduci('Ambiente').": ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
		}

		if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
		{
			$objExt .= $traduttore->traduci('Componente').": ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
		}
		
		if(strlen($rs[Utilizzatore])>0) $objExt2.=$traduttore->traduci('Utilizzatore').": $rs[Utilizzatore]";
		
		
		
		/*$messaggio = <<< messaggio
E' stata inserita la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da '$_SESSION[Utente]'. Il richiedente '$rs[Richiedente]' ha richiesto :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]' localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt .
messaggio;*/

 		$messaggio = 
$traduttore->traduci('E\' stata inserita la richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] ".$traduttore->traduci('da')." '$_SESSION[Utente]'. ".$traduttore->traduci('Il richiedente')." '$rs[Richiedente]' ".$traduttore->traduci('ha richiesto')." :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('per il servizio')." '$rs[Mestiere]' ".$traduttore->traduci('localizzato in')." : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt ."
;
		

		
		if($SchemiFlussoPagineWeb=='flusso_abb')
		{
			/*$messaggio = <<< messaggio
E' stata inserita la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da $rs[Nome] $rs[Cognome] con CID $rs[CID]. 

Intervento richiesto: '{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' nell'ambito del servizio '{$rs[Mestiere]}' localizzato in $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA].
$objExt 
$objExt2
messaggio;*/
			$messaggio =
$traduttore->traduci('E\' stata inserita la richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta] ".$traduttore->traduci('da')." $rs[Nome] $rs[Cognome] ".$traduttore->traduci('con CID')." $rs[CID]. 

".$traduttore->traduci('Intervento richiesto').": '{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' ".$traduttore->traduci('nell\'ambito del servizio')." '{$rs[Mestiere]}' ".$traduttore->traduci('localizzato in')." $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA].
$objExt 
$objExt2"
;
		}		
		

	}
}	
?>
