<?php
$sql = <<< SQL
	SELECT    
		Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.Intervento,
		Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataFine,
		
		PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
		Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
		ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	
		
	FROM         
		Ordini INNER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
		tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
		LEFT OUTER JOIN
        tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
						  
		LEFT OUTER JOIN
		Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
		Ordini.IDCommessa = Ambiente.IdCommessa 
		LEFT OUTER JOIN
		ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
		Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
		LEFT OUTER JOIN
		PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
		Ordini.IDCommessa = PianoLivello.IdCommessa 
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
		Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
		LEFT OUTER JOIN
		TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
		ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
						  
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) )
{
	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= $traduttore->traduci('Piano').": ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= $traduttore->traduci('Ambiente').": ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= $traduttore->traduci('Componente').": ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}

	$DataFine = ntxDateTime($rs[DataFine]);
	
	/*$messaggio = <<< msg
		la sua richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta]. 
		Localizzazione: $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]. 
		Descrizione: $rs[Descrizione]. 
		$objExt 
		è stata presa in carico dalla squadra di intervento
msg;*/
	$messaggio =
		$traduttore->traduci('La sua richiesta')." $rs[NumRichiesta]/$rs[AnnoRichiesta]. 
		".$traduttore->traduci('Localizzazione').": $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]. 
		".$traduttore->traduci('Descrizione').": $rs[Descrizione]. 
		$objExt 
		".$traduttore->traduci('E\' stata presa in carico dalla squadra di intervento')
;
}
?>
