<?php

$sql = <<< sql
SELECT     
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ditte.Ditta, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des2,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente,

	Richieste.Richiedente, Ordini.NumRichiesta, Ordini.AnnoRichiesta

FROM         
	ElencoEdifici INNER JOIN
	Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
	tblMestieri ON tblMestieri.IdCommessa = Ordini.IDCommessa AND tblMestieri.IdMestiere = Ordini.IdMestiere

	LEFT OUTER JOIN
	Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  
	LEFT OUTER JOIN 
	Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND  Ordini.IDCommessa = Richieste.IDCommessa
					  			  
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = N'$AnnoOrdine')
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$objExt = "";
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	$messaggio = <<< messaggio
		L'utente '$_SESSION[Utente]' Le ha assegnato un'attivita' di controllo sull'ordine di intervento $rs[NumOrdine]/$rs[AnnoOrdine] generato dalla richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] alla squadra '$rs[Ditta]'. Il richiedente '$rs[Richiedente]' ha richiesto: '{$rs[des1]}{$rs[des2]}{$rs[des3]}' nell'ambito del servizio '$rs[Mestiere]'  localizzato in $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. $objExt .
messaggio;
}
	
?>
