<?php
$sql = <<<_SQL
SELECT 	tblMestieri.RichiedeCompilazioneModulo
FROM         
	tblMestieri
	INNER JOIN
	Richieste ON tblMestieri.IdCommessa = Richieste.IDCommessa AND tblMestieri.IdMestiere = Richieste.IdMestiere	
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine)
	AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

$RichiedeCompilazioneModulo = ntxScalar($sql); 

if( is_numeric($RichiedeCompilazioneModulo) && $RichiedeCompilazioneModulo== 1)
{
	$sql = <<<_SQL
	SELECT     
		Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID, 
		Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,
		RichiestePrenotazioni.NumeroPartecipanti, RichiestePrenotazioni.DataPrenotazione1,   RichiestePrenotazioni.DataPrenotazione2, RichiestePrenotazioni.OraInizio, RichiestePrenotazioni.OraFine, RichiestePrenotazioni.RitiroChiave,  
		RichiestePrenotazioni.RichiestaBeamer, RichiestePrenotazioni.Note,
		Ordini.NumOrdine, Ordini.AnnoOrdine 
		,ElencoEdifici.EdificioBreve
		,ElencoEdifici.Indirizzo
		,ElencoEdifici.CITTA
		,ElencoEdifici.PROVINCIA  
		,Risorse.NOME AS Risorsa
		,Ordini.DataPresaInCarico  
		,Ordini.DataInizio
		,Ordini.DataFine
		,Ordini.Intervento
		,PrestazioniOrdini.descrizione AS PrestazioniOrdini
		,Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2
		,Ordini.CustomerGiudizio
		,Ordini.CustomerTesto
		,Ordini.CustomerDataCompilazione
	
	FROM        
		Richieste 
		LEFT OUTER JOIN
		ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
		LEFT OUTER JOIN
		RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND  Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta	
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		LEFT OUTER JOIN
		Risorse ON Ordini.IdRisorsa = Risorse.ID
		LEFT OUTER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
		LEFT OUTER JOIN
		PrestazioniOrdini ON Ordini.PrestazioneEffettuata = PrestazioniOrdini.id AND Ordini.IDCommessa = PrestazioniOrdini.IdCommessa
					  
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.NumOrdine = $NumOrdine)
		AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;
	$query = ntxQuery($sql);

	$messaggio = "";

	if ( $rs = ntxRecord($query) )
	{
		$rs['DataPresaInCarico'] = ntxDateTime($rs['DataPresaInCarico']);  
		$rs['DataInizio'] = ntxDateTime($rs['DataInizio']);  
		$rs['DataFine'] = ntxDateTime($rs['DataFine']);  
		
		$rs['DataPrenotazione1'] = ntxDate($rs['DataPrenotazione1']); 
		$rs['DataPrenotazione2'] = ntxDate($rs['DataPrenotazione2']); 		
		$rs['CustomerDataCompilazione'] = ntxDateTime($rs['CustomerDataCompilazione']); 		
		
		if($rs[RichiestaBeamer]==1) 
			$rs[RichiestaBeamer] = 'SI';
		else	
			$rs[RichiestaBeamer] = 'NO';
		
		$messaggio = <<< messaggio
E' stato espresso un giudizio dal cliente sull'ordine $NumOrdine/$AnnoOrdine riguardante la richiesta  $rs[NumRichiesta]/$rs[AnnoRichiesta] di $rs[Nome] $rs[Cognome] (CID $rs[CID]). 
Il giudizio e' stato espresso il $rs[CustomerDataCompilazione] e riporta il giudizio '$rs[CustomerGiudizio]' accompagnato dalla nota '$rs[CustomerTesto]'.

Segue un riepilogo dei dati dell'ordine:
Ordine: {$rs[DescrizioneIntervento]}{$rs[DescrizioneIntervento1]}{$rs[DescrizioneIntervento2]}.
Intervento: $rs[Intervento].

Prestazione: $rs[PrestazioniOrdini].
Operatore: $rs[Risorsa].
Data di presa in carico: $rs[DataPresaInCarico] ; Data di inizio: $rs[DataInizio] ; Data di fine:  $rs[DataFine] .

Numero partecipanti: $rs[NumeroPartecipanti].
Data di prenotazione: $rs[DataPrenotazione1] - $rs[DataPrenotazione2], per le ore $rs[OraInizio]  alle $rs[OraFine].
Ritiro chiave:  $rs[RitiroChiave].
Beamer:  $rs[RichiestaBeamer].
Note aggiuntive:  $rs[Note].
messaggio;
	}
}
else
{
	$sql = <<< SQL
	SELECT    
		Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.Intervento,
		Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataFine,
		
		PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
		Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
		ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	
		,Ordini.CustomerGiudizio
		,Ordini.CustomerTesto
		,Ordini.CustomerDataCompilazione		
		
	FROM         
		Ordini INNER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
		tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
						  
		LEFT OUTER JOIN
		Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
		Ordini.IDCommessa = Ambiente.IdCommessa 
		LEFT OUTER JOIN
		ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
		Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
		LEFT OUTER JOIN
		PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
		Ordini.IDCommessa = PianoLivello.IdCommessa 
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
		Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
		LEFT OUTER JOIN
		TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
		ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
						  
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);

	if ( $rs = ntxRecord($query) )
	{
		$objExt = "";
		
		if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
		{
			$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
		}
		
		if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
		{
			$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
		}

		if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
		{
			$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
		}

		$DataFine = ntxDateTime($rs[DataFine]);
		$rs['CustomerDataCompilazione'] = ntxDateTime($rs['CustomerDataCompilazione']); 		

		$messaggio = <<<_MSG
		E' stato espresso un giudizio dal cliente sull'ordine $rs[NumOrdine]/$rs[AnnoOrdine] riguardante la richiesta  $rs[NumRichiesta]/$rs[AnnoRichiesta] di $rs[Nome] $rs[Cognome] (CID $rs[CID]). 
		Il giudizio e' stato espresso il $rs[CustomerDataCompilazione] e riporta il giudizio '$rs[CustomerGiudizio]' accompagnato dalla nota '$rs[CustomerTesto]'.
		
		Segue un riepilogo dei dati dell'ordine:	
		Localizzazione $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]. 
		Descrizione $rs[Descrizione]. 
		Intervento $rs[Intervento]. 
		$objExt 
		Data Fine: $DataFine"
_MSG;
	}
}
?>
