<?php

$sql = <<< sql
SELECT     
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Localizzazione AS IdEdificio,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente,

	tblComponetiMestiere.Descrizione AS ComponetiMest,

	tblAttivitàMestiere.Descrizione AS AttivitàMest
	
FROM         

	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere
	
	LEFT OUTER JOIN
	tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa AND Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere

	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
	Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Richieste.IdComponente = ComponentiAmbiente.IDComponente AND 
	Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
	Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	
WHERE     
	(Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.NumRichiesta = $NumRichiesta) 
	AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$objExt = "";
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= " UG: ".$rs[CodiceAssAmbiente];	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	$messaggio = <<< messaggio
		Segnalazione da Monitoraggio: Richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da '$_SESSION[Utente]'. Descrizione Segnalazione :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]' - '$rs[ComponetiMest]' - '$rs[AttivitàMest]'. Localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]. Aree Verde: $rs[Codice] $objExt .
messaggio;
}
	
?>
