<?php
$sql = <<<_SQL
SELECT 	tblMestieri.RichiedeCompilazioneModulo
FROM         
	tblMestieri
	INNER JOIN
	Richieste ON tblMestieri.IdCommessa = Richieste.IDCommessa AND tblMestieri.IdMestiere = Richieste.IdMestiere	
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine)
	AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;

$RichiedeCompilazioneModulo = ntxScalar($sql); 

if( is_numeric($RichiedeCompilazioneModulo) && $RichiedeCompilazioneModulo== 1)
{
	$oggetto = "chiusura ordine sala riunioni $NumOrdine/$AnnoOrdine";
	
	$sql = <<<_SQL
	SELECT     
		Richieste.NumRichiesta, Richieste.AnnoRichiesta,
		ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID, 
		Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2,
		RichiestePrenotazioni.NumeroPartecipanti, RichiestePrenotazioni.DataPrenotazione1,   RichiestePrenotazioni.DataPrenotazione2, RichiestePrenotazioni.OraInizio, RichiestePrenotazioni.OraFine, RichiestePrenotazioni.RitiroChiave,  
		RichiestePrenotazioni.RichiestaBeamer, RichiestePrenotazioni.Note,
		Ordini.NumOrdine, Ordini.AnnoOrdine 
		,ElencoEdifici.EdificioBreve
		,ElencoEdifici.Indirizzo
		,ElencoEdifici.CITTA
		,ElencoEdifici.PROVINCIA  
		,Risorse.NOME AS Risorsa
		,Ordini.DataPresaInCarico  
		,Ordini.DataInizio
		,Ordini.DataFine
		,Ordini.Intervento
		,PrestazioniOrdini.descrizione AS PrestazioniOrdini
		,Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2
		,Commesse.httpCustomerSatisfaction
		,Commesse.CustomerSuContabilita
	
	FROM        
		Richieste 
		LEFT OUTER JOIN
		ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
		LEFT OUTER JOIN
		RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND  Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta	
		INNER JOIN
		Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa	
		LEFT OUTER JOIN
		Risorse ON Ordini.IdRisorsa = Risorse.ID
		LEFT OUTER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
		LEFT OUTER JOIN
		PrestazioniOrdini ON Ordini.PrestazioneEffettuata = PrestazioniOrdini.id AND Ordini.IDCommessa = PrestazioniOrdini.IdCommessa
		LEFT OUTER JOIN
		Commesse ON Ordini.IDCommessa = Commesse.IDCommessa			  
		
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.NumOrdine = $NumOrdine)
		AND (Ordini.AnnoOrdine = $AnnoOrdine)
_SQL;
	$query = ntxQuery($sql);
	
	$messaggio = "";

	if ( $rs = ntxRecord($query) )
	{
		$oggetto = "$add_OGGETTO_MSG chiusura chiamata numero $rs[NumRichiesta]/$rs[AnnoRichiesta] ";
		
		
		$rs['DataPresaInCarico'] = ntxDateTime($rs['DataPresaInCarico']);  
		$rs['DataInizio'] = ntxDateTime($rs['DataInizio']);  
		$rs['DataFine'] = ntxDateTime($rs['DataFine']);  
		
		$rs['DataPrenotazione1'] = ntxDate($rs['DataPrenotazione1']); 
		$rs['DataPrenotazione2'] = ntxDate($rs['DataPrenotazione2']); 		
		
		if($rs[RichiestaBeamer]==1) 
			$rs[RichiestaBeamer] = 'SI';
		else	
			$rs[RichiestaBeamer] = 'NO';
		
		 
		$httpCustomerSatisfaction = ''; 
		if( is_numeric($rs[CustomerSuContabilita])&&$rs[CustomerSuContabilita]==1)
		{}
		else
		{ 
			if(strlen($rs[httpCustomerSatisfaction])>0)
				$httpCustomerSatisfaction = "Link per la Customer Satisfaction $rs[httpCustomerSatisfaction]?NumOrdine=$NumOrdine&AnnoOrdine=$AnnoOrdine&IdCommessa=$IdCommessa";
		}
		
		$messaggio = <<< messaggio
E' stato chiuso l'ordine $NumOrdine / $AnnoOrdine riguardante la richiesta  $rs[NumRichiesta]/$rs[AnnoRichiesta] di $rs[Nome] $rs[Cognome] (CID $rs[CID]). 
Ordine: {$rs[DescrizioneIntervento]}{$rs[DescrizioneIntervento1]}{$rs[DescrizioneIntervento2]}.
Dettaglio Prenotazione: $rs[Intervento].

Prestazione: $rs[PrestazioniOrdini].
Operatore: $rs[Risorsa].
Data di presa in carico: $rs[DataPresaInCarico] ; Data di inizio: $rs[DataInizio] ; Data di fine:  $rs[DataFine] .

Numero partecipanti: $rs[NumeroPartecipanti].
Data di prenotazione: $rs[DataPrenotazione1] - $rs[DataPrenotazione2], per le ore $rs[OraInizio]  alle $rs[OraFine].
Ritiro chiave:  $rs[RitiroChiave].
Beamer:  $rs[RichiestaBeamer].
Note aggiuntive:  $rs[Note].

$httpCustomerSatisfaction
messaggio;
	}
}
else
{
	$sql = <<< SQL
	SELECT   DISTINCT 
		Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Ordini.Intervento,
		Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Descrizione, Ordini.DataFine,
		
		PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
		Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
		ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente	
		,Commesse.httpCustomerSatisfaction
		
		,ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID		
		
	FROM         
		Ordini INNER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
		tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
		LEFT OUTER JOIN
		tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
						  
		LEFT OUTER JOIN
		Ambiente ON Ordini.IdAmbiente = Ambiente.IDAmbiente AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
		Ordini.IDCommessa = Ambiente.IdCommessa 
		LEFT OUTER JOIN
		ComponentiAmbiente ON Ordini.IdComponente = ComponentiAmbiente.IDComponente AND 
		Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IDCommessa = ComponentiAmbiente.IdCommessa 
		LEFT OUTER JOIN
		PianoLivello ON Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
		Ordini.IDCommessa = PianoLivello.IdCommessa 
		LEFT OUTER JOIN
		DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
		PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
		LEFT OUTER JOIN
		DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
		Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
		LEFT OUTER JOIN
		TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
		ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente  									  					  
		LEFT OUTER JOIN
		Commesse ON Ordini.IDCommessa = Commesse.IDCommessa		
		
		LEFT OUTER JOIN 
		Richieste ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa				
		LEFT OUTER JOIN
		ESMUsers ON Richieste.CIDcodice = ESMUsers.CID	
		
	WHERE     
		(Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

	$query = ntxQuery($sql);
	
	if ( $rs = ntxRecord($query) )
	{
		$oggetto = "$add_OGGETTO_MSG chiusura chiamata numero $rs[NumRichiesta]/$rs[AnnoRichiesta] ";
		
		
		$objExt = "";
		
		if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
		{
			$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
		}
		
		if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
		{
			$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
		}

		if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
		{
			$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
		}

		$DataFine = ntxDateTime($rs[DataFine]);

		$httpCustomerSatisfaction = '';
		if(strlen($rs[httpCustomerSatisfaction])>0)
			$httpCustomerSatisfaction = "Link per la Customer Satisfaction $rs[httpCustomerSatisfaction]?NumOrdine=$NumOrdine&AnnoOrdine=$AnnoOrdine&IdCommessa=$IdCommessa";		
		
		$messaggio = <<<_MG
Chiuso ordine $NumOrdine / $AnnoOrdine su richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta]. 
Localizzazione: $rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] - $rs[CITTA] - $rs[Ente]. 
$objExt 
Descrizione: $rs[Descrizione]. 

Intervento: $rs[Intervento].  

Data Fine: $DataFine


$httpCustomerSatisfaction
_MG;


		if($SchemiFlussoPagineWeb=='flusso_abb')
		{ 
			$messaggio = <<< messaggio
Chiuso ordine $NumOrdine/$AnnoOrdine su richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da $rs[Nome] $rs[Cognome] con CID $rs[CID]. 

Localizzazione: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA].
$objExt 

Descrizione: $rs[Descrizione]. 

Intervento: $rs[Intervento].  

Data Fine: $DataFine

$httpCustomerSatisfaction
messaggio;
		}	
		
	}
}
?>
