<?php
$sql = <<< sql
SELECT     
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.TelefonoRif, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, 
	tblMestieri.Descrizione AS Mestiere, tblPgPropietari.Nome AS Ente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Localizzazione AS IdEdificio,
	Richieste.DataInizioP, Richieste.DataFineP, Richieste.Operatore, Richieste.DataRichiesta,
	
	PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione AS UsoPianoLivello, 
	Ambiente.CodiceAssAmbiente, DestinazioniDuso.IdDestinazioneuso AS UsoAmbiente, 
	ComponentiAmbiente.CodiceAssComponente, TipoComponente.DesComponente,
	
	TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione	AS GradoUrgenza
	
	,ESMUsers.Nome, ESMUsers.Cognome, ESMUsers.CID
	
	
	,tblUtPersonale.IdPersona, tblUtPersonale.Nome AS tblUtPersonaleNome
		
	,tblUtUtilizzatori.Nome AS Utilizzatore
	
FROM         

	Richieste 
	INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere

	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND 
	Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	ComponentiAmbiente ON Richieste.IdComponente = ComponentiAmbiente.IDComponente AND 
	Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IDCommessa = ComponentiAmbiente.IdCommessa 
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND 
	Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
	PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
	Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
	ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente

	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU	
	
	LEFT OUTER JOIN
	ESMUsers ON Richieste.CIDcodice = ESMUsers.CID
	
	LEFT OUTER JOIN
	tblUtPersonale ON Richieste.IdCommessaPersona = tblUtPersonale.IdCommessa AND Richieste.IdPersona = tblUtPersonale.IdPersona

	LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	  
WHERE     
	(Richieste.IDCommessa = $IdCommessa) 
	AND (Richieste.NumRichiesta = $NumRichiesta) 
	AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$query = ntxQuery($sql);

$messaggio = "";

if ( $rs = ntxRecord($query) )
{
	$addMessageUtilizzatore = "$rs[Utilizzatore]";
	
	$objExt = "";
	$objExt2 = "";
	$objExt3 = "";
	
	if( strlen($addMessageUtilizzatore)>0)
	{
		$objExt .= " Utilizzatore: $addMessageUtilizzatore ;";	
	}
	
	if( "".$rs[CodiceAssLivello]!="" || "".$rs[UsoPianoLivello]!="")
	{
		$objExt .= " Piano: ".$rs[CodiceAssLivello]." - ".$rs[UsoPianoLivello]." ;";	
	}
	
	if( "".$rs[CodiceAssAmbiente]!="" || "".$rs[UsoAmbiente]!="")
	{
		$objExt .= " Ambiente: ".$rs[CodiceAssAmbiente]." - ".$rs[UsoAmbiente]." ;";	
	}

	if( "".$rs[CodiceAssComponente]!="" || "".$rs[DesComponente]!="")
	{
		$objExt .= " Componente: ".$rs[CodiceAssComponente]." - ".$rs[DesComponente]." ";	
	}
	
	if(strlen($rs[DataInizioP])>0 || strlen($rs[DataFineP])>0 )
	{
		$objExt2.="L'intervento dovra' essere eseguito";

		if(strlen($rs[DataInizioP])>0)
		{
			$DataInizioP = ntxDateTime($rs[DataInizioP]);
			$objExt2.=" a partire da $DataInizioP ";
		}
		
		if(strlen($rs[DataFineP])>0)
		{
			$DataFineP = ntxDateTime($rs[DataFineP]);
			$objExt2.=" entro il $DataFineP ";
		} 	
	}
	
	if(strlen($objExt)>0) $objExt.=".";
	if(strlen($objExt2)>0) $objExt2.=".";
	
	if(strlen($rs[Utilizzatore])>0) $objExt3.="Utilizzatore: $rs[Utilizzatore]";
	
	
	$messaggio = <<< messaggio
E' stata inserita la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da '$_SESSION[Utente]'.
Il richiedente '$rs[Richiedente]' ha richiesto :'{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' per il servizio '$rs[Mestiere]', localizzato in : $rs[Ente] $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA].
L'intervento ha priorità: $rs[GradoU] $rs[GradoUrgenza].
$objExt
$objExt2
$objExt3
messaggio;
 
 
	if(is_numeric($rs[IdPersona]) && $rs[IdPersona]>0)
	{ 
		$sql = <<< sql
		SELECT    ID AS IdLavanderia, IdentificativoIndumenti, Note
		FROM         Lavanderia
		WHERE     
			(NumRichiesta =  $NumRichiesta) 
			AND (AnnoRichiesta = $AnnoRichiesta)
			AND (IdCommessa = $IdCommessa) 
sql;
		$rs001 = ntxRecord( ntxQuery($sql) );
		
		if( is_numeric($rs001[IdLavanderia]) )
		{		
			$messaggio .= <<< messaggio
Richiesta di lavanderia per lo studente: $rs[tblUtPersonaleNome].
Identificativo Indumenti '$rs001[IdentificativoIndumenti]'.
Note sugli indumenti '$rs001[Note]'.
Segue l'elenco degli indumenti:
messaggio;
 
			$sql = <<< sql
			SELECT     
				LavanderiaQuantita.ID AS IdLavanderiaQuantita, LavanderiaCapi.Nome, LavanderiaQuantita.Quantita
			
			FROM         
				LavanderiaQuantita 
				INNER JOIN
				LavanderiaCapi ON LavanderiaQuantita.IdLavanderiaCapi = LavanderiaCapi.ID
				
			WHERE     
				LavanderiaQuantita.IdLavanderia = $rs001[IdLavanderia]
sql;
			$query001 = ntxQuery($sql);
			while( $rs001 = ntxRecord($query001) )
			{
				$messaggio .= " | $rs001[Nome] $rs001[Quantita] | ";
			}		
		}
	}
 

	if($SchemiFlussoPagineWeb=='flusso_abb')
	{
		$messaggio = <<< messaggio
E' stata inserita la richiesta $rs[NumRichiesta]/$rs[AnnoRichiesta] da $rs[Nome] $rs[Cognome] con CID $rs[CID]. 

Intervento richiesto: '{$rs[Descrizione]}{$rs[Descrizione1]}{$rs[Descrizione2]}' nell'ambito del servizio '{$rs[Mestiere]}' localizzato in $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA].
$objExt 
messaggio;
	}
 
	$DataRichiesta = ntxDateTime($rs[DataRichiesta]);
	if( $_POST[seneca]==1 || $_POST[seneca2]==1 )
	{
		$messaggio = <<< messaggio
NUOVA RdL $NumRichiesta - $AnnoRichiesta  inserita da "$rs[Operatore]"
DATA E ORA RICHIESTA: $DataRichiesta 
LOCALIZZAZIONE: $rs[EdificioBreve] $rs[Indirizzo] $rs[CITTA]
PIANO: $rs[CodiceAssLivello] $rs[UsoPianoLivello]
AMBIENTE: $rs[CodiceAssAmbiente] 
DESCRIZIONE:  $rs[Descrizione] $rs[Descrizione1] $rs[Descrizione2] 
LIVELLO DI PRIORITA': $rs[GradoU] $rs[GradoUrgenza]
RICHIEDENTE: $rs[Richiedente]
TEL. RICHIEDENTE:  $rs[TelefonoRif]  
messaggio;
	}
}	
?>
