<?php
$oggetto = "";
$messaggio = "";


$sql = <<< sql
SELECT     
	AutomezziRichiesteStati.Stato, 
	AutomezziRichiesteTipo.Nome AS TipoProblema, 
	Automezzi.Numero, Automezzi.Targa, Automezzi.DataImmatricolazione, 
	AutomezziTipo.Nome AS TipoAutomezzo,
	AutomezziTipoAlimentazione.Nome AS Alimentazione,
	AutomezziOfficina.Codice+' '+AutomezziOfficina.Nome AS Officina,
	AutomezziRichieste.*
	
FROM         
	Automezzi 
	INNER JOIN
	AutomezziRichieste ON Automezzi.ID = AutomezziRichieste.IdAutomezzo 
	INNER JOIN
	AutomezziRichiesteStati ON AutomezziRichieste.IdStato = AutomezziRichiesteStati.ID 
	
	LEFT OUTER JOIN
	AutomezziRichiesteTipo ON AutomezziRichieste.IdTipoProblema = AutomezziRichiesteTipo.ID
	LEFT OUTER JOIN
	AutomezziTipo ON AutomezziTipo.ID = Automezzi.IdTipo
	LEFT OUTER JOIN
	AutomezziTipoAlimentazione ON Automezzi.IdTipoAlimentazione = AutomezziTipoAlimentazione.ID  	
	LEFT OUTER JOIN
	AutomezziOfficina ON AutomezziRichieste.IdOfficina = AutomezziOfficina.ID
		
WHERE 
	Automezzi.IdCommessa = $IdCommessa 
	AND AutomezziRichieste.ID = $ID
sql;
$query = ntxQuery($sql); 

if( $rs = ntxRecord($query) )
{  
	$NumRichiesta = $rs['NumRichiesta'];
	$AnnoRichiesta = $rs['AnnoRichiesta'];

	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento]);
	$rs[DataImmatricolazione] = ntxDate($rs[DataImmatricolazione]);
	
	$rs[DataInizioProg] = ntxDate($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDate($rs[DataFineProg]);
	
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$rs[ImportoIntervento] = ntxRound($rs[ImportoIntervento],2);
	
 
	if( (!is_numeric($stato_corrente) || $stato_corrente!=10) && $stato_nuovo==10 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta registrata"; 
	}
	
	if( (!is_numeric($stato_corrente) || $stato_corrente!=20) && $stato_nuovo==20 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta assegnata"; 
	}
	
	if( $stato_corrente!=100 && $stato_nuovo==100 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta in corso"; 
	}
	
	if( $stato_corrente!=200 && $stato_nuovo==200 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta finita"; 
	}
	
	if( $stato_corrente!=300 && $stato_nuovo==300 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta consuntivata"; 
	}
	
	if( $stato_corrente!=500 && $stato_nuovo==500 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta annullata"; 
	}
	
	if( $stato_corrente!=50 && $stato_nuovo==50 )
	{
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta sospesa"; 
	}

	if( $stato_corrente==50 && $stato_nuovo!=50 )
	{
		$nome = ntxScalar("SELECT Stato FROM AutomezziRichiesteStati WHERE ID=$ID");
		$oggetto = "richiesta su automezzo $NumRichiesta/$AnnoRichiesta da sospesa a $nome"; 
	}


	$messaggio = <<< MSG
richiesta su automezzo $NumRichiesta/$AnnoRichiesta creata in data $rs[DataInserimento] da $rs[UtenteInserimento] sull'automezzo $rs[Numero] $rs[Targa] di tipo $rs[TipoAutomezzo] e con alimentazione $rs[Alimentazione].
La richiesta si trova attualmente nello stato $rs[Stato].
Tipi di problema: $rs[TipoProblema].
Descrizione del problema: $rs[DescizioneProblema].

Seguono i dati riepilogativi della richiesta.
MSG;

	if(is_numeric($rs[IdOfficina]))
	$messaggio .= <<< MSG
Officina: '$rs[Officina]'.
MSG;
 
	if(strlen($rs[DataInizioProg])>0)
	$messaggio .= <<< MSG
Data Inizio Prog: '$rs[DataInizioProg]'.
MSG;

	if(strlen($rs[DataFineProg])>0)
	$messaggio .= <<< MSG
Data Fine Prog: '$rs[DataFineProg]'.
MSG;

	if(strlen($rs[DataInizio])>0)
	$messaggio .= <<< MSG
Data Inizio: '$rs[DataInizio]'.
MSG;

	if(strlen($rs[DataFine])>0)
	$messaggio .= <<< MSG
Data Fine: '$rs[DataFine]'.
MSG;

	if(strlen($rs[ImportoIntervento])>0)
	$messaggio .= <<< MSG
Importo Intervento: '$rs[ImportoIntervento]'.
MSG;

	if(strlen(NotaAttivitaEseguita)>0)
	$messaggio .= <<< MSG
Attività eseguita: '$rs[NotaAttivitaEseguita]'.
MSG;

}	
 
 

$sql = <<< sql
SELECT Utenti.Nome, Utenti.Email
FROM         
	AutomezziRichiesteMessaggi 
	INNER JOIN
	Utenti ON AutomezziRichiesteMessaggi.IdUtente = Utenti.Id
WHERE     
	AutomezziRichiesteMessaggi.IdStato = $stato_nuovo 
	AND AutomezziRichiesteMessaggi.IdCommessa = $IdCommessa
sql;
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{ 
	if ( $rs[Email].'' != '' )
		$emails[] = "".$rs[Email]; 
}  

?>
