<?php 
function arrayIdTecniciOrdine($IdCommessa, $NumOrdine, $AnnoOrdine)
{
	if(!is_numeric($IdCommessa)||!is_numeric($NumOrdine)||!is_numeric($AnnoOrdine)) return;

	$sql = <<< SQL
	SELECT     CodEdificio, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, DataOrdine
	FROM       Ordini
	WHERE     
		(IdCommessa = $IdCommessa) 
		AND (NumOrdine = $NumOrdine) 
		AND (AnnoOrdine = $AnnoOrdine)
SQL;

	$rs = ntxRecord(ntxQuery($sql));

	$IdEdificio 			= $rs[CodEdificio];
	$IdMestiere             = $rs[IdMestiere];
	$IdComponenteMestiere   = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere     = $rs[IdAttivitàMestiere];
	$DataOrdine 			= ntxDateTime($rs[DataOrdine]);  
	
	return arrayIdTecnici($IdCommessa, $IdEdificio, $IdMestiere, $IdComponenteMestiere, $IdAttivitàMestiere, $DataOrdine);
}

function arrayIdTecniciRichiesta($IdCommessa, $NumRichiesta, $AnnoRichiesta)
{
	if(!is_numeric($IdCommessa)||!is_numeric($NumRichiesta)||!is_numeric($AnnoRichiesta)) return;

	$sql = <<< SQL
	SELECT     Localizzazione, IdMestiere, IdComponenteMestiere, IdAttivitàMestiere, DataRichiesta
	FROM       Richieste
	WHERE     
		(IDCommessa = $IdCommessa) 
		AND (NumRichiesta = $NumRichiesta) 
		AND (AnnoRichiesta = $AnnoRichiesta)
SQL;

	$rs = ntxRecord(ntxQuery($sql));

	$IdEdificio 			= $rs[Localizzazione];
	$IdMestiere             = $rs[IdMestiere];
	$IdComponenteMestiere   = $rs[IdComponenteMestiere];
	$IdAttivitàMestiere     = $rs[IdAttivitàMestiere];
	$DataRichiesta 			= ntxDateTime($rs[DataRichiesta]);
	
	return arrayIdTecnici($IdCommessa, $IdEdificio, $IdMestiere, $IdComponenteMestiere, $IdAttivitàMestiere, $DataRichiesta);
}

function arrayIdTecnici($IdCommessa, $IdEdificio, $IdMestiere, $IdComponenteMestiere, $IdAttivitàMestiere, $Data)
{	
	if(!is_numeric($IdCommessa)||!is_numeric($IdEdificio)||!strlen($Data)>0) return;

	$query = null; 
	$Data = ntxt($Data);
	
	if(is_numeric($IdEdificio))  
	{
		$sql = <<< SQL
		SELECT  DISTINCT   tblPgContratti.UsaLogicaContrattiTecniciClienti AS logica, tblPgContratti.IdPgContratto
		FROM         tblPgContratti INNER JOIN
							  tblPgContrattiPropietariGestoriAttivitàEdifici ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto INNER JOIN
							  tblAttivitàMestiere ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
							  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
							  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
							  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
		WHERE     
			(tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = $IdEdificio) 
			AND (tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = $IdCommessa) 
			AND   $Data BETWEEN  tblPgContratti.DataInizio AND tblPgContratti.DataFine
			AND UsaLogicaContrattiTecniciClienti=1
SQL;

		if ( is_numeric($IdMestiere) )
			$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
		if ( is_numeric($IdComponenteMestiere) )
			$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
		if ( is_numeric($IdAttivitàMestiere) )
			$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";	
			
 	
		$rs = ntxRecord(ntxQuery($sql));
		$IdPgContratto  = $rs[IdPgContratto];  

		if(is_numeric($IdPgContratto))  
		{
			$sql = <<< SQL
			SELECT DISTINCT Tecnici.IDTec
			FROM        
				ContrattiTecnici INNER JOIN
				ContrattiTecniciAttivitàEdifici ON ContrattiTecnici.IdContrattoTecnico = ContrattiTecniciAttivitàEdifici.IdContrattoTecnico AND 
				ContrattiTecnici.IdCommessa = ContrattiTecniciAttivitàEdifici.IdCommessa INNER JOIN
				tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere ON 
				ContrattiTecniciAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
				ContrattiTecniciAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
				Tecnici ON ContrattiTecnici.IdTecnico = Tecnici.IDTec
				INNER JOIN
				UtentiTecnici ON Tecnici.IDTec = UtentiTecnici.IdTecnico 
				INNER JOIN
				Utenti ON UtentiTecnici.IdUtente = Utenti.Id				
			WHERE    
				(ContrattiTecnici.IdPgContratto = $IdPgContratto) 
				AND (ContrattiTecnici.IdCommessa = $IdCommessa) 
				AND   $Data BETWEEN  ContrattiTecnici.DataInizio AND ContrattiTecnici.DataFine
				AND ContrattiTecniciAttivitàEdifici.IdEdificio = $IdEdificio
SQL;

			if ( is_numeric($IdMestiere) )
				$sql.=" AND (tblMestieri.IdMestiere = $IdMestiere)  ";		
			if ( is_numeric($IdComponenteMestiere) )
				$sql.=" AND (tblComponetiMestiere.IdComponenteMestiere = $IdComponenteMestiere)  ";			
			if ( is_numeric($IdAttivitàMestiere) )
				$sql.=" AND (tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere)  ";		
				
			$query = ntxQuery($sql); 
			
			//print("logica contratti - IdPgContratto:$IdPgContratto");
		}
		else
		{  
			$sql = <<< sql
			SELECT DISTINCT   Tecnici.IDTec
			FROM         UtentiEdifici INNER JOIN
								  Utenti ON UtentiEdifici.IdUtente = Utenti.Id INNER JOIN
								  UtentiTecnici ON Utenti.Id = UtentiTecnici.IdUtente INNER JOIN
								  Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec  
			WHERE     
				UtentiEdifici.IdCommessa = $IdCommessa 
				AND UtentiEdifici.IdEdificio = $IdEdificio 
sql;
			$query = ntxQuery($sql);
			
			//print('logica utenti-edifici');
		}	
	}
 
	$array = array();

	while($query && $rs=ntxRecord($query))
	{
		$IDTec = $rs[IDTec];
		
		if(is_numeric($IDTec))
			$array[$IDTec] = $IDTec;
	}	
	
	return $array;
}
?>