<?php

$sql = <<< sql
SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioEstesa, 
	ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
	ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, ISNULL(ElencoEdifici.Tipo,0) Tipo, 
	tblPgPropietari.Nome Cliente
FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario INNER JOIN
                      tblOrdiniProgrammati ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = tblOrdiniProgrammati.IdEdificio AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblOrdiniProgrammati.IdAttivitàMestiere AND 
                      tblPgContrattiAffidatari.DataInizio <= tblOrdiniProgrammati.dataInizioProg AND 
                      tblPgContrattiAffidatari.DataFine >= tblOrdiniProgrammati.dataInizioProg INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND 
                      tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	$where
	ORDER BY ID
sql;

$strTipi = array('Edificio', 'Strada', 'Verde');

$query = ntxQuery($sql);

$table = <<< table
		<table class=grid>
			<tr>
				<th rowspan=2>ID
				<th rowspan=2>Codice
				<th rowspan=2>Tipo
				<th rowspan=2 style="width:250px">Descrizione
table;

$mesi = array('gen', 'feb', 'mar', 'apr',
				'mag', 'giu', 'lug', 'ago',
				'set', 'ott', 'nov', 'dic');

function FineMese($day, $month, $year)
{ 
	if ( $day < 29 ) return false;
	
	if ( $day > 31 ) return true;
	
	if ( $day > 29  &&  $month == 2 ) return true;
	
	if ( $day > 30  &&  ($month == 4 || $month == 6 || $month == 9 || $month == 11) ) return true;
		
	if ( $month != 2 ) return false;

	return !( ($year % 4 == 0  &&  $year % 100 != 0) || $year % 400 == 0 );
}
		
$buffDays = "";
$buffMoths = "";
$duss = array();
		
for ( $countDays=0, $countTotCols=0, $day=$dd_start, $month=$mm_start, $year=$yy_start; 
		$year<$yy_end 
		|| ($month<$mm_end  &&  $year==$yy_end) 
		|| ($day<=$dd_end  &&  $month==$mm_end  &&  $year==$yy_end); 
	)
{
	$duss[$countTotCols] = $dus = $year.($month<10 ? "0" : "").$month.($day<10 ? "0" : "").$day;
	
	$buffDays .= "<th dus=$dus Colonna Selezionata=0 onclick='SelezionaColonna($dus)' style='cursor:pointer'>$day</th>";
	
	++$countDays;
	++$countTotCols;
	
	if ( FineMese(++$day, $month, $year) )
	{
		$mese = $mesi[$month-1];
		
		$buffMoths .= "<th colspan=$countDays>$mese<br>$year</th>";
		
		$countDays = 0;
		$day = 1;
		
		if ( ++$month > 12 )
		{
			$month = 1;
			++$year;
		}
	}
}

if ( $countDays>0 )
{
	$mese = $mesi[$month-1];
	
	$buffMoths .= "<th colspan=$countDays>$mese<br>$year</th>";
}

$table .= "$buffMoths</tr><tr>$buffDays</tr>";
	
$alternate = false;
$count = 0;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$Tipo = $strTipi[$rs[Tipo]];
	
	$trClass = $alternate ? "class=alternate" : "";

	$strFull = "$rs[EdificioBreve] - $rs[EdificioEstesa] - $rs[Indirizzo] - $rs[CITTA] ($rs[PROVINCIA]) - $rs[CAP]";
	
	$strCompact = substr($strFull, 0, 30);
	
	
	$table .= <<< table
		<tr $trClass>
			<td>$rs[ID]
			<td>$rs[Codice]
			<td>$Tipo
			<td style="width:250px">
				<span tdCompact=$count onclick="CompattaDesEdificio($count)">$strCompact...</span>
				<span tdFull=$count style="display:none" onclick="CompattaDesEdificio($count)">$strFull</span>
			$buffCells
table;

	for ( $i=0; $i<$countTotCols; ++$i )
	{
		$dus = $duss[$i];

		$trovato = false;
		
		if ( is_array($preplanning[$rs[ID]]) || is_object($preplanning[$rs[ID]]) )
		 foreach($preplanning[$rs[ID]] as $prep)
		{
			if ( $dus>= $prep[dus1]  &&  $dus<=$prep[dus2] )
			{
				$trovato = true;
				
				$style  = "";

				if ( isset($prep[datafine]) )
				{
					$bgcolor = "#33FF33"; // verde
					$frcolor = "black";
				}
				elseif ( $prep[Annullato] )
				{
					$bgcolor = "#FFFF00"; // giallo
					$frcolor = "black";
				}
				elseif ( $prep[Anomalia] )
				{
					$bgcolor = "#FF00FF"; // viola
					$frcolor = "white";
				}
				elseif ( isset($prep[dataInizio]) )
				{
					$bgcolor = "#FF9900"; // arancio
					$frcolor = "black";
				}
				else
				{
					$bgcolor = "#FF0000"; // rosso
					$frcolor = "white";
				}
		
				$spunta = is_numeric($prep[IdOrigine]) ? "x" : "&nbsp;";
					
				$table .= <<< table
					<td style='padding:0'>
						<div style="cursor:pointer;color:$frcolor;background-color:$bgcolor;border: none;margin:0"
							Cella IdOrdineProgrammato=$prep[IdOrdineProgrammato] dus=$dus
							onclick="SelezionaCella($prep[IdOrdineProgrammato])" Selezionata=0>
							$spunta
						</div>
					</td>
table;
				
				break;
			}
		}
	
		if ( !$trovato )
			$table .= "<td></td>";
	}
	
	$alternate = !$alternate;
	$count++;
}

$table .= "</table>";

echo $table;

?>