<?php

$sql = <<< sql
	SELECT     tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS DesMestiere, tblComponetiMestiere.codice AS CodComponete, 
	tblOrdiniPrgComp.Annotazioni,
                      tblComponetiMestiere.Descrizione AS DesComponete, tblAttivitàMestiere.codice AS CodAttività, tblAttivitàMestiere.Descrizione AS DesAttività, 
                      tblOrdiniPrgComp.IdOrdPrgComp, tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg, tblOrdiniPrgComp.oraria, tblOrdiniPrgComp.Aperto, 
                      tblOrdiniPrgComp.Anomalia, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Eseguito, tblOrdiniPrgComp.dataInizio, tblOrdiniPrgComp.datafine, tblOrdiniPrgComp.Note, 
                      tblOrdiniPrgComp.NumOrdine, tblOrdiniPrgComp.AnnoOrdine, Ditte.Ditta, MotivazioniAnnullamentiOrdiniProgrammati.Motivazione, 
                      AnomalieOrdiniProgrammati.Note AS NoteAnomalia, Ambiente.CodiceAssAmbiente, ComponentiAmbiente.CodiceAssComponente
	FROM         AnomalieOrdiniProgrammati RIGHT OUTER JOIN
                      tblMestieri INNER JOIN
                      tblComponetiMestiere INNER JOIN
                      tblAttivitàMestiere ON tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere AND 
                      tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa ON tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere AND 
                      tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa INNER JOIN
                      tblOrdiniPrgComp ON tblAttivitàMestiere.IdAttivitàMestiere = tblOrdiniPrgComp.IdAttivitàMestiere AND 
                      tblAttivitàMestiere.IdCommessa = tblOrdiniPrgComp.IdCommessa  
					  
					  INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato
					  
					  INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
                      MotivazioniAnnullamentiOrdiniProgrammati ON tblOrdiniPrgComp.IdMotivoAnnullamento = MotivazioniAnnullamentiOrdiniProgrammati.Id LEFT OUTER JOIN
                      Ditte ON tblOrdiniPrgComp.IdFornitore = Ditte.IDDitta ON AnomalieOrdiniProgrammati.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
                      AnomalieOrdiniProgrammati.IdAnomalia = tblOrdiniPrgComp.IdAnomalia
	WHERE tblOrdiniProgrammati.IdCommessa=$IdCommessa
	AND tblOrdiniProgrammati.NumOrdine=$NumOrdine
	AND tblOrdiniProgrammati.AnnoOrdine=$AnnoOrdine
	ORDER BY CodMestiere, DesMestiere, CodComponete, DesComponete, CodAttività, DesAttività, CodiceAssAmbiente, CodiceAssComponente
sql;

$query = ntxQuery($sql);

?>
<table class=grid>
	<caption style="text-align:left">
			<?php echo "Righe attività Ordine: $NumOrdine / $AnnoOrdine - Commessa: $DesCommessa<br>Elemento: $DesEdificio" ?>
	</caption>
	<tr>
		<th>
		<th>Cod. Mestiere
		<th>Des. Mestiere
		<th>Cod. Componete
		<th>Des. Componete
		<th>Cod. Attività
		<th>Des. Attività
		<th>Cod. Vano
		<th>Cod. Componete Vano
		<th>Data Inizio Prog
		<th>Data Fine Prog
		<th>Ditta
		<th>Oraria
		<th>Aperto
		<th>Anomalia
		<th>Note Anomalia
		<th>Annullato
		<th>Motivazione Annullo
		<th>Eseguito
		<th>Data Inizio</th>
		<th>Ora Inizio</th>
		<th>Data Fine</th>
		<th>Ora Fine</th>
		<th></th>
		<th>Note
		<th>Annotazioni
		<th></th>
		<th>Num. Ordine
		<th>Anno Ordine
<?php
$alternate = false;

while ( $rs = ntxRecord($query) )
{
	$rs['NumOrdine'] = (int)$rs['NumOrdine'];
	
	$rs['oraria'] = $rs['oraria'] ? "SI" : "no";
	$rs['Aperto'] = $rs['Aperto'] ? "SI" : "no";
	$rs['aAnomalia'] = $rs['Anomalia'] ? "SI" : "no";
	$rs['Annullato'] = $rs['Annullato'] ? "SI" : "no";
	$rs['Eseguito'] = $rs['Eseguito'] ? "SI" : "no";
	
	$IdOrdPrg = $rs['IdOrdPrgComp'];

	$Disabled = $rs['Anomalia'] ? " DISABLED " : "";
	$Checked = !$Disabled  &&  in_array($IdOrdPrg, $ElencoIdOrdiniPrg) ? " CHECKED " : "";
?>
	<tr <?php echo  $alternate ? "class=alternate" : "" ?> >
		<td><input type=checkbox <?php echo " value=$IdOrdPrg $Disabled $Checked" ?> /></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodMestiere']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesMestiere']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodComponete']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesComponete']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodAttività']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['DesAttività']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodiceAssAmbiente']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['CodiceAssComponente']) ?></td>
		<td>&nbsp;<?php echo htmlentities(ntxDateTime($rs['dataInizioProg'])) ?></td>
		<td>&nbsp;<?php echo htmlentities(ntxDateTime($rs['dataFineProg'])) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['oraria']) ?></td>
		<td Colonna='Aperto' <?php echo "IdOrdPrg=$IdOrdPrg" ?>>&nbsp;<?php echo htmlentities($rs['Aperto']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['aAnomalia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['NoteAnomalia']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Annullato']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['Motivazione']) ?></td>
		<td Colonna='Eseguito' <?php echo "IdOrdPrg=$IdOrdPrg" ?>>&nbsp;<?php echo htmlentities($rs['Eseguito']) ?></td>
		<td><input type=text Colonna='DataInizio' <?php echo "IdOrdPrg=$IdOrdPrg value=\"".ntxDate($rs[dataInizio])."\"" ?> size=10></td>
		<td><input type=text Colonna='OraInizio' <?php echo "IdOrdPrg=$IdOrdPrg value=\"".ntxTime($rs[dataInizio])."\"" ?> size=5></td>
		<td><input type=text Colonna='DataFine' <?php echo "IdOrdPrg=$IdOrdPrg value=\"".ntxDate($rs[datafine])."\"" ?> size=10></td>
		<td><input type=text Colonna='OraFine' <?php echo "IdOrdPrg=$IdOrdPrg value=\"".ntxTime($rs[datafine])."\"" ?> size=5></td>
		<td><input type=button value='Registra' onclick="<?php echo "RegistraRiga('$IdOrdPrg')" ?>" /></td>
		<td>&nbsp;<?php echo htmlentities($rs['Note']) ?></td>
		<td Annotazioni=<?php echo $IdOrdPrg ?>><?php echo htmlentities($rs['Annotazioni']) ?></td>
		<td><input type=button value='Annotazioni' onclick="<?php echo "Annotazioni('$IdOrdPrg')" ?>" /></td>
		<td>&nbsp;<?php echo htmlentities($rs['NumOrdine']) ?></td>
		<td>&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
<?php
	$alternate = !$alternate;
}

?>
</table>
