<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT     NumContabilità
	FROM         Contabilità
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

$NumContabilità = ntxScalar($sql);

if ( !is_numeric($NumContabilità ) )
{
	$sql = <<< SQL
			INSERT INTO Contabilità
								  (RifOrdineCliente, IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
								  DataContabilità, idStatoc)
			SELECT     LTRIM(Richieste.NumRifCli) + ' / ' + LTRIM(Richieste.AnnoRifCli) + ' / ' + Richieste.CommRifCli + ' / ' + Richieste.TipoRifRic AS Espr1, 
								  Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
								  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 20 AS idstatoc
			FROM         ElencoEdifici INNER JOIN
								  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
								  Richieste ON Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
								  Ordini.IDCommessa = Richieste.IDCommessa
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

	ntxQuery($sql);

	$NumContabilità = ntxScalar('SELECT @@IDENTITY'); 
}

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      Ordini ON tblComponetiMestiere.IdMestiere = Ordini.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblPgContratti.IdCommessa AND Ordini.DataOrdine >= tblPgContratti.DataInizio AND 
                      Ordini.DataOrdine <= tblPgContratti.DataFine
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdContrattoGestione = ntxScalar($sql);
	
if ( !is_numeric($IdContrattoGestione) ) $IdContrattoGestione = -2;

$sql = <<< SQL
		INSERT INTO RiheContabilità
							  (IdCommessa, NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, DataOp, Descrizione, DescrEstesa, 
							  QTA, PzUnitario, Sconto, OneriSicurezza)
		SELECT     IdCommessa, $NumContabilità AS NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, GETDATE() AS DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, 
							  DataLavorazione AS DataOp, Descrizione, DescrEstesa, QTA, CostoUnit AS PzUnitario, 
							  isnull((
										SELECT     ScontiGestore.Sconto
										FROM         ScontiGestore
										WHERE     (ScontiGestore.IdCommessa = Costi.IdCommessa) 
										AND (ScontiGestore.IdPgContratto = $IdContrattoGestione) 
										AND (ScontiGestore.IdPrezzo = Costi.IdPrezzo)			
								), 0) AS Sconto,
								
								OneriSicurezza
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

ntxQuery($sql);

$sql = <<< SQL
	UPDATE    Ordini
	SET              StatoOrd = 200
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
				AND StatoOrd < 200
SQL;

ntxQuery($sql);

ntxMsgResult( '' );	

?>
