<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumContabilità = ntxip('NumContabilità');
$mUtente = ntxsse('Utente');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$IdVoce = ntxip('IdVoce');
$GruppoF = ntxsp('GruppoF');
$DataCompetenza = ntxtp('DataCompetenza');

if ( $DataCompetenza=="NULL" )
	$DataCompetenza = "dbo.cdate(ltrim('31/12/')+ltrim(YEAR(getdate()))+' 23.59.59')";
	
$sql = <<< sql
		SELECT     LOWER(ISNULL(SchemiFlussoPagineWeb.nome,''))
		FROM         SchemiFlussoPagineWeb INNER JOIN
							  Commesse ON SchemiFlussoPagineWeb.id = Commesse.IdSchemaPagWeb
		WHERE     (Commesse.IDCommessa = $IdCommessa)
sql;

$SchemaCommessa = ntxScalar($sql);

function GeneraSubQuery($TipoPrezzo)
{
	global $IdCommessa, $NumContabilità;
	
	$TipoPrezzo2 = "ElencoPrezziInCommessa.TipoPrezzo=$TipoPrezzo";

	$sql = <<< SQL
		SELECT  SUM(ISNULL( RiheContabilità.QTA * RiheContabilità.PzUnitario, 0))
		FROM         RiheContabilità INNER JOIN
                      Contabilità ON RiheContabilità.IdCommessa = Contabilità.IDCommessa AND RiheContabilità.NumContabilità = Contabilità.NumContabilità INNER JOIN
                      ElencoPrezziInCommessa ON RiheContabilità.IdCommessa = ElencoPrezziInCommessa.IdCommessa AND 
                      RiheContabilità.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo
		WHERE     $TipoPrezzo2 
				AND Contabilità.IDCommessa = $IdCommessa
				AND Contabilità.NumContabilità = $NumContabilità
SQL;

	return $sql;
}

if ( $SchemaCommessa=='isi' )
{
	$sql1 = <<< sql
		SELECT CASE dbo.VersContiContabilità($IdCommessa, $NumContabilità)
			WHEN '2' THEN
				F2*(1+E3*(1-E4))+F6*(1-E7)+F9*(1-E10)+F12*(1-E13)+F15+F12b+F9b
			ELSE
				F2*(1+E3*(1-E4))+F6*(1-E7)+(F9+F9b)*(1-E10)+(F12+F12b)*(1-E13)+F15+(F2*(1+E3*(1-E4))+F6+F9+F9b+F12+F12b+F15)*E16
			END
		
		FROM (	SELECT 0.25 AS E3,
				0.15  AS E4,  
				0.15  AS E7,  
				0.15  AS E10, 
				0.15  AS E13, 
				0.025 AS E16, 
sql;

	$sql1 .= "ISNULL((".GeneraSubQuery(2)."),0) AS F2, 		";
	$sql1 .= "ISNULL((".GeneraSubQuery(5)."),0) AS F6, 		";
	$sql1 .= "ISNULL((".GeneraSubQuery(1)."),0) AS F9, 		";
	$sql1 .= "ISNULL((".GeneraSubQuery(6)."),0) AS F12, 	";
	$sql1 .= "ISNULL((".GeneraSubQuery(7)."),0) AS F9b, 	";
	$sql1 .= "ISNULL((".GeneraSubQuery(3)."),0) AS F12b, 	";
	$sql1 .= "ISNULL((".GeneraSubQuery(1001)."),0) AS F15 ";
			
	$sql1 .= ") a ";
}
elseif ( $SchemaCommessa=='san_lazzaro' )
{
	$sql1 = "SELECT dbo.ImportoContabilitàSanLazzaro($IdCommessa, $NumContabilità)";
}
else
{
	$sql1 = <<< sql
				SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
									* (1 - isnull(RiheContabilità.Sconto, 0)/100))
				FROM         RiheContabilità
				WHERE     (RiheContabilità.IdCommessa = $IdCommessa) 
						AND (RiheContabilità.NumContabilità = $NumContabilità)
sql;
}

$ImportoStimatoC = ntxf(ntxScalar($sql1));

$sql = <<< SQL
	UPDATE    Contabilità
	SET              idStatoc = 60
						, Approvato = 1
						, DataModifica = getdate()
						, DataApprovazione = getdate()
						, DataCompetenza = $DataCompetenza
						, ImportoStimatoC = $ImportoStimatoC
						, UtenteApprovazione = $mUtente
						, IdVoce = $IdVoce
						, GruppoF = $GruppoF
			WHERE Contabilità.IDCommessa = $IdCommessa
				AND Contabilità.NumContabilità = $NumContabilità
				AND idstatoc < 60
SQL;

ntxQuery($sql);

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
				Richieste.DataRichiesta, Ordini.IdMestiere, Ordini.Assegnazione, Richieste.IdAffidatario
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (Ordini.IdCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	$IdAffidatario = $rs[6];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
		SELECT DISTINCT tblPgRifAffidatari.email_1
		FROM tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
			tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
		WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
			AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
			AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
			AND (tblPgRifAffidatari.email_1 IS NOT NULL)
			AND (tblPgRifAffidatari.email_1 <> '')
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

	$queryEmailRif1 = ntxQuery($sql);
	
	$NonTrovataEmailRif1 = true;
	
	$oggetto = $messaggio = "Approvazione contabilita' $NumContabilità ordine $NumOrdine/$AnnoOrdine";
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"ca-approvata contabilita",				
				"contabilita $NumContabilità",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"ca-approvata contabilita",				
					"contabilita $NumContabilità",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"ca-approvata contabilita",				
				"contabilita $NumContabilità",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}
				
}

ntxMsgResult( '' );	

?>
