<?php

// Valori per Edificio

$sqlOrdiniPrgCompMesiFinitiEdifici = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
	WHERE tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiFinitiEdifici);

$valoriCelleFinitiEdifici = array();

while($rs=ntxRecord($query))
	$valoriCelleFinitiEdifici[$rs[IdEdificio]][$rs[mese]][$rs[anno]] = $rs[num_attività];

$sqlOrdiniPrgCompMesiEdifici = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	
			, SUM(case when tblOrdiniPrgComp.Annotazioni is not null then 1 else 0 end) NumAnnotazioni
	
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiEdifici);

$valoriCelleEdifici = array();
$annotaCelleEdifici = array();

while($rs=ntxRecord($query))
{
	$valoriCelleEdifici[$rs[IdEdificio]][$rs[mese]][$rs[anno]] = $rs[num_attività];
	$annotaCelleEdifici[$rs[IdEdificio]][$rs[mese]][$rs[anno]] = $rs[NumAnnotazioni];
}

// Valori gruppi impianti

$sqlOrdiniPrgCompMesiFinitiGruppi = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				  INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente 
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	WHERE tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiFinitiGruppi);

$valoriCelleFinitiGruppi = array();

while($rs=ntxRecord($query))
	$valoriCelleFinitiGruppi[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[mese]][$rs[anno]] = $rs[num_attività];

$sqlOrdiniPrgCompMesiGruppi = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	
			, SUM(case when tblOrdiniPrgComp.Annotazioni is not null then 1 else 0 end) NumAnnotazioni
	
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				  INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente 
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiGruppi);

$valoriCelleGruppi = array();
$annotaCelleGruppi = array();

while($rs=ntxRecord($query))
{
	$valoriCelleGruppi[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[mese]][$rs[anno]] = $rs[num_attività];
	$annotaCelleGruppi[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[mese]][$rs[anno]] = $rs[NumAnnotazioni];
}

// Valori per piani

$sqlOrdiniPrgCompMesiFinitiPiani = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, Ambiente.IdLivello, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				  INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	WHERE tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, Ambiente.IdLivello, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiFinitiPiani);

$valoriCelleFinitiPiani = array();

while($rs=ntxRecord($query))
	$valoriCelleFinitiPiani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IdLivello]][$rs[mese]][$rs[anno]] = $rs[num_attività];

$sqlOrdiniPrgCompMesiPiani = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, Ambiente.IdLivello, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	
			, SUM(case when tblOrdiniPrgComp.Annotazioni is not null then 1 else 0 end) NumAnnotazioni
	
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				  INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, Ambiente.IdLivello, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiPiani);

$valoriCellePiani = array();
$annotaCellePiani = array();

while($rs=ntxRecord($query))
{
	$valoriCellePiani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IdLivello]][$rs[mese]][$rs[anno]] = $rs[num_attività];
	$annotaCellePiani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IdLivello]][$rs[mese]][$rs[anno]] = $rs[NumAnnotazioni];
}

// Valori per vani

$sqlOrdiniPrgCompMesiFinitiVani = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, ComponentiAmbiente.IDAmbiente, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				   INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	WHERE tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, ComponentiAmbiente.IDAmbiente, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiFinitiVani);

$valoriCelleFinitiVani = array();

while($rs=ntxRecord($query))
	$valoriCelleFinitiVani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IDAmbiente]][$rs[mese]][$rs[anno]] = $rs[num_attività];

$sqlOrdiniPrgCompMesiVani = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, ComponentiAmbiente.IDAmbiente, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	
			, SUM(case when tblOrdiniPrgComp.Annotazioni is not null then 1 else 0 end) NumAnnotazioni
	
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
				   INNER JOIN
                      ComponentiAmbiente ON tblOrdiniPrgComp.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      tblOrdiniPrgComp.IdEdificio = ComponentiAmbiente.IdEdificio AND tblOrdiniPrgComp.IdComponente = ComponentiAmbiente.IDComponente
				  INNER JOIN
                      GruppiImpTipiComp ON ComponentiAmbiente.IdCommessa = GruppiImpTipiComp.IdCommessaTipo AND 
                      ComponentiAmbiente.IdTipoComponente = GruppiImpTipiComp.IdTipoComponente
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, GruppiImpTipiComp.IdGruppoImpianto, ComponentiAmbiente.IDAmbiente, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiVani);

$valoriCelleVani = array();
$annotaCelleVani = array();

while($rs=ntxRecord($query))
{
	$valoriCelleVani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IDAmbiente]][$rs[mese]][$rs[anno]] = $rs[num_attività];
	$annotaCelleVani[$rs[IdEdificio]][$rs[IdGruppoImpianto]][$rs[IDAmbiente]][$rs[mese]][$rs[anno]] = $rs[NumAnnotazioni];
}

// Valori per componente

$sqlOrdiniPrgCompMesiFiniti = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IdComponente, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
	WHERE tblOrdiniPrgComp.Eseguito=1 OR tblOrdiniPrgComp.Anomalia=1 OR tblOrdiniPrgComp.Annullato=1
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IdComponente, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesiFiniti);

$valoriCelleFiniti = array();

while($rs=ntxRecord($query))
	$valoriCelleFiniti[$rs[IdEdificio]][$rs[IdComponente]][$rs[mese]][$rs[anno]] = $rs[num_attività];

$sqlOrdiniPrgCompMesi = <<< sql
	SELECT  tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IdComponente, MONTH(tblOrdiniPrgComp.dataInizioProg) mese, YEAR(tblOrdiniPrgComp.dataInizioProg) anno, COUNT(*) num_attività
	
			, SUM(case when tblOrdiniPrgComp.Annotazioni is not null then 1 else 0 end) NumAnnotazioni
	
	FROM         tblOrdiniPrgComp INNER JOIN
				  $sqlOrdiniPrg ON tblOrdiniPrgComp.IdCommessa = programate.IdCommessa AND 
				  tblOrdiniPrgComp.IdOrdineProgrammato = programate.IdOrdineProgrammato
	GROUP BY tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdEdificio, tblOrdiniPrgComp.IdComponente, MONTH(tblOrdiniPrgComp.dataInizioProg), YEAR(tblOrdiniPrgComp.dataInizioProg) 
sql;

$query = ntxQuery($sqlOrdiniPrgCompMesi);

$valoriCelle = array();
$annotaCelle = array();

while($rs=ntxRecord($query))
{
	$valoriCelle[$rs[IdEdificio]][$rs[IdComponente]][$rs[mese]][$rs[anno]] = $rs[num_attività];
	$annotaCelle[$rs[IdEdificio]][$rs[IdComponente]][$rs[mese]][$rs[anno]] = $rs[NumAnnotazioni];
}
	

?>
