<?php

session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

function Bisestile($data)
{
	$anno = ntxScalar("SELECT YEAR($data)");
	
	if ( $anno % 400 == 0 || ($anno % 100 != 0  &&  $anno % 4 == 0) )
		return $anno;
	else
		return 0;
}

$DataInizioOriginale = ntxtp('DataInizioOriginale',false);
$DataFineOriginale = ntxtp('DataFineOriginale',false);
$DataInizioCopia = ntxtp('DataInizioCopia',false);

$IdCommessa = ntxise('IdCommessa');
$IdElementi = ntxsp('IdElementi');
$IdAttivita = ntxsp('IdAttivita');

$sql = "SELECT datediff(day, $DataInizioOriginale, $DataFineOriginale)";

$NumGiorniDaCopiare = ntxScalar($sql); 

if ( $NumGiorniDaCopiare>365 )
	jhp_error("Errore: Il range di copia è superiore ad un anno!");

$sql = "SELECT dateadd(day, $NumGiorniDaCopiare, $DataInizioCopia)";

$DataFineCopia = ntxt(ntxDate(ntxScalar($sql))); 

$sql = "SELECT datediff(day, $DataInizioOriginale, $DataInizioCopia)";

$offset = ntxScalar($sql); 

$meseInizOriginale = ntxScalar("SELECT MONTH($DataInizioOriginale)");
$meseFineOriginale = ntxScalar("SELECT MONTH($DataFineOriginale)");

$annoBisOriginale = 0;

if ( $meseInizOriginale<=2  &&  ($anno=Bisestile($DataInizioOriginale)) )
	$annoBisOriginale = $anno;
elseif ( $meseFineOriginale>=2  &&  ($anno=Bisestile($DataFineOriginale)) )
	$annoBisOriginale = $anno;

$meseInizCopia = ntxScalar("SELECT MONTH($DataInizioCopia)");
$meseFineCopia = ntxScalar("SELECT MONTH($DataFineCopia)");

$annoBisCopia = 0;

if ( $meseInizCopia<=2  &&  ($anno=Bisestile($DataInizioCopia)) )
	$annoBisCopia = $anno;
elseif ( $meseFineCopia>=2  &&  ($anno=Bisestile($DataFineCopia)) )
	$annoBisCopia = $anno;
	
$correzioneIniz = 0;
$correzioneFine = 0;

if ( $annoBisOriginale  &&  !$annoBisCopia )
{
	$correzioneIniz = <<< correzione
		case when year(att.inizio)=$annoBisOriginale and month(att.inizio)>2 then -1 else 0 end
correzione;

	$correzioneFine = <<< correzione
		case when year(att.fine)=$annoBisOriginale and month(att.fine)=2 and day(att.fine)=29 
		then -1 
		else
			case when  year(att.fine)=$annoBisOriginale and month(att.fine)>2 then -1 else 0 end
		end
correzione;
}
elseif ( $annoBisCopia  &&  !$annoBisOriginale )
{
	$correzioneIniz = <<< correzione
		case when year($offset + att.inizio)=$annoBisCopia and month(att.inizio)>2 then 1 else 0 end
correzione;

	$correzioneFine = <<< correzione
		case when year($offset + att.fine)=$annoBisCopia and month(att.fine)=2 and day(att.fine)=28 
		then 1 
		else
			case when year($offset + att.fine)=$annoBisCopia and month(att.fine)>2 then 1 else 0 end
		end
correzione;
}

$sql = <<< sql
	INSERT INTO tblAttivitàProgrammata
						  (IdCommessa, IdEvento, IdAttivitàEdificio, inizio, fine, Oraria, Quantità, UM, Nota, TipoAttivitàEvento, Locazione)
	SELECT     att.IdCommessa, att.IdEvento, att.IdAttivitàEdificio, 
			
			dateadd(day, $offset + $correzioneIniz, att.inizio), 
			dateadd(day, $offset + $correzioneFine, att.fine), 
			
			att.Oraria, att.Quantità, att.UM, att.Nota, 
			att.TipoAttivitàEvento, att.Locazione
	FROM         tblAttivitàEdifici INNER JOIN
                      tblAttivitàProgrammata AS att ON tblAttivitàEdifici.IdCommessa = att.IdCommessa AND 
                      tblAttivitàEdifici.IdAttivitàEdificio = att.IdAttivitàEdificio
					  INNER JOIN dbo.splitid($IdElementi) edifici on tblAttivitàEdifici.IdEdificio=edifici.id 
					  INNER JOIN dbo.splitid($IdAttivita) attivita on tblAttivitàEdifici.IdAttivitàMestiere=attivita.id
	WHERE (att.IdCommessa = $IdCommessa)
		AND dbo.DusGiorno(att.inizio) <= dbo.DusGiorno($DataFineOriginale)
		AND dbo.DusGiorno(att.fine) >= dbo.DusGiorno($DataInizioOriginale)
sql;

ntxQuery($sql);

jhp_ok();

?>
