<?php
/*
*/
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdComunicazione = ntxip('IdComunicazione');
$IdAffidatari = ntxsp('IdAffidatari');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style type="text/css">
<?php
require('css/grid.css');
require('css/excel.css');
?>
</style>
</head>
<body>
<?php

$sql = <<< sql
SELECT     ComunicazioniPreplanning.IdCommessa
FROM        ComunicazioniPreplanning
					  INNER JOIN dbo.splitid($IdAffidatari) a ON ComunicazioniPreplanning.IdAffidatario=a.id

WHERE     (ComunicazioniPreplanning.Id = $IdComunicazione) 
		AND (ComunicazioniPreplanning.IdCommessa = $IdCommessa) 
and 			ComunicazioniPreplanning.Stato >= 2		
sql;

$IdCommessaRestituita = ntxScalar($sql);

if ( !is_numeric($IdCommessaRestituita) )
	die("L'utente loggato non ha i permessi per visualizzare questa comunicazione o la comunicazione non esiste!");
	
$sql = "SELECT DesComm FROM Commesse WHERE IDCommessa=$IdCommessaRestituita";

$DesComm = htmlentities(ntxScalar($sql));

if ( $IdCommessaRestituita!=$IdCommessa )
	die("La comunicazione selezionata e' relativa alla commessa $DesComm!");

$sql = <<< sql
SELECT  TOP 1   ComunicazioniPreplanning.DataComunicazione, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataInizio, ComunicazioniPreplanning.Note,
                      ComunicazioniPreplanning.DataFine, ComunicazioniPreplanning.Descrizione, ComunicazioniPreplanning.Stato, ComunicazioniPreplanning.Risposta, 
                      Utenti.Nome AS UtenteRifAffidatario, tblPgRifAffidatari.Nome AS NomeRifAffidatario, tblPgAffidatari.Nome AS NomeSocAffidataria, 
                      Utenti_1.Nome AS UtenteTecnicoCliente, Tecnici.Tecnico AS NomeTecnicoCliente
FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgRifAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      ComunicazioniPreplanning ON Utenti.Id = ComunicazioniPreplanning.IdUtenteRefAffidatario LEFT OUTER JOIN
                      UtentiTecnici LEFT OUTER JOIN
                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec RIGHT OUTER JOIN
                      Utenti AS Utenti_1 ON UtentiTecnici.IdUtente = Utenti_1.Id ON ComunicazioniPreplanning.IdUtenteTecProprietario = Utenti_1.Id
WHERE 			ComunicazioniPreplanning.Id = $IdComunicazione		 
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$DataComunicazione = ntxDateTime($rs[DataComunicazione]);
$DataRisposta = ntxDateTime($rs[DataRisposta]);

$DataInizioX = ntxDate($rs[DataInizio]);
$DataFineX = ntxDate($rs[DataFine]);

$DataInizio = ntxt($DataInizioX);
$DataFine = ntxt($DataFineX);

$Stato = $rs[Stato];

$desStato = "";

if ( $Stato==3 )
	$desStato = "APPROVATA";
elseif ( $Stato==4 )
	$desStato = "NON APPROVATA";
else
	$desStato = "IN ATTESA DI APPROVAZIONE";

$Descrizione = str_replace("\n","<br>",htmlentities($rs[Descrizione]));
$Note = str_replace("\n","<br>",htmlentities($rs[Note]));
$Risposta = str_replace("\n","<br>",htmlentities($rs[Risposta]));

$UtenteRifAffidatario = htmlentities($rs[UtenteRifAffidatario]);
$NomeRifAffidatario = htmlentities($rs[NomeRifAffidatario]);
$NomeSocAffidataria = htmlentities($rs[NomeSocAffidataria]);

$UtenteTecnicoCliente = htmlentities($rs[UtenteTecnicoCliente]);
$NomeTecnicoCliente = htmlentities($rs[NomeTecnicoCliente]);

echo "Comunicazione: $IdComunicazione - Data Comunicazione: $DataComunicazione - Data Inizio: $DataInizioX - Data Fine: $DataFineX<br>";
echo "inviata da: $NomeRifAffidatario [$UtenteRifAffidatario] <b>$NomeSocAffidataria</b><br>";
echo "messaggio: <br>$Descrizione<br>";
echo "note interne: <br>$Note<br>";
echo "risposta da: $NomeTecnicoCliente [$UtenteTecnicoCliente] in data: $DataRisposta<br>";
echo "STATO: <b>$desStato</b><br>";
echo "risposta: <br>$Risposta<br>";

require_once('filtri_comuni.php');

require_once('excel_elementi.php');
	
?>

</body>
</html>