<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdComunicazione = ntxip('IdComunicazione');
$IdAffidatario = ntxip('IdAffidatario');

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/attivita.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
	<script src="jhp/index.js" type="text/javascript"></script>
</head>
<body>
<?php
$sql = <<< sql
SELECT     ComunicazioniPreplanning.IdCommessa
FROM        ComunicazioniPreplanning
WHERE     (ComunicazioniPreplanning.IdAffidatario = $IdAffidatario)  AND (ComunicazioniPreplanning.Id = $IdComunicazione) 
		AND (ComunicazioniPreplanning.IdCommessa = $IdCommessa) 
and 			ComunicazioniPreplanning.Stato >= 2		
sql;

$IdCommessaRestituita = ntxScalar($sql);

if ( !is_numeric($IdCommessaRestituita) )
	die("L'utente loggato non ha i permessi per visualizzare questa comunicazione o la comunicazione non esiste!");
	
$sql = "SELECT DesComm FROM Commesse WHERE IDCommessa=$IdCommessaRestituita";

$DesComm = htmlentities(ntxScalar($sql));

if ( $IdCommessaRestituita!=$IdCommessa )
	die("La comunicazione selezionata e' relativa alla commessa $DesComm!");

$sql = <<< sql
SELECT  TOP 1   ComunicazioniPreplanning.DataComunicazione, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataRisposta, ComunicazioniPreplanning.DataInizio, ComunicazioniPreplanning.Note,
                      ComunicazioniPreplanning.DataFine, ComunicazioniPreplanning.Descrizione, ComunicazioniPreplanning.Stato, ComunicazioniPreplanning.Risposta, 
                      Utenti.Nome AS UtenteRifAffidatario, tblPgRifAffidatari.Nome AS NomeRifAffidatario, tblPgAffidatari.Nome AS NomeSocAffidataria, 
                      Utenti_1.Nome AS UtenteTecnicoCliente, Tecnici.Tecnico AS NomeTecnicoCliente
FROM         tblPgRifAffidatari INNER JOIN
                      UtentiRifAffidatari INNER JOIN
                      Utenti ON UtentiRifAffidatari.IdUtente = Utenti.Id ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario INNER JOIN
                      tblPgAffidatari ON tblPgRifAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario INNER JOIN
                      ComunicazioniPreplanning ON Utenti.Id = ComunicazioniPreplanning.IdUtenteRefAffidatario LEFT OUTER JOIN
                      UtentiTecnici LEFT OUTER JOIN
                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec RIGHT OUTER JOIN
                      Utenti AS Utenti_1 ON UtentiTecnici.IdUtente = Utenti_1.Id ON ComunicazioniPreplanning.IdUtenteTecProprietario = Utenti_1.Id
WHERE 			ComunicazioniPreplanning.Id = $IdComunicazione		 
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

$DataComunicazione = ntxDateTime($rs[DataComunicazione]);
$DataRisposta = ntxDateTime($rs[DataRisposta]);

$DataInizioX = ntxDate($rs[DataInizio]);
$DataFineX = ntxDate($rs[DataFine]);

$DataInizio = ntxt($DataInizioX);
$DataFine = ntxt($DataFineX);

$Stato = $rs[Stato];

$desStato = "";

if ( $Stato==3 )
	$desStato = "APPROVATA";
elseif ( $Stato==4 )
	$desStato = "NON APPROVATA";
else
	$desStato = "IN ATTESA DI APPROVAZIONE";

$disabled = "";

if ( $Stato!=2 ) $disabled = "DISABLED";

$readonly = "";

if ( $Stato!=2 ) $readonly = "READONLY";

$Descrizione = str_replace("\n","<br>",htmlentities($rs[Descrizione]));
$Note = str_replace("\n","<br>",htmlentities($rs[Note]));
$Risposta = str_replace("\n","<br>",htmlentities($rs[Risposta]));

$UtenteRifAffidatario = htmlentities($rs[UtenteRifAffidatario]);
$NomeRifAffidatario = htmlentities($rs[NomeRifAffidatario]);
$NomeSocAffidataria = htmlentities($rs[NomeSocAffidataria]);

$UtenteTecnicoCliente = htmlentities($rs[UtenteTecnicoCliente]);
$NomeTecnicoCliente = htmlentities($rs[NomeTecnicoCliente]);

echo "<input type=button value=\"Mostra Testata\" onclick=\"$('#divTestata').toggle(true)\" />";
echo "<input type=button value=\"Nascondi Testata\" onclick=\"$('#divTestata').toggle(false)\" /><br>";

echo "<div id=divTestata>";
echo "Comunicazione: $IdComunicazione - Data Comunicazione: $DataComunicazione - Data Inizio: $DataInizioX - Data Fine: $DataFineX<br>";
echo "inviata da: $NomeRifAffidatario [$UtenteRifAffidatario] <b>$NomeSocAffidataria</b><br>";
echo "messaggio: <div class=MsgBox>$Descrizione</div>";
echo "note interne: <div class=MsgBox>$Note</div>";
echo "risposta da: $NomeTecnicoCliente [$UtenteTecnicoCliente] in data: $DataRisposta<br>";
echo "STATO: <b id=txtStato>$desStato</b><br>";
echo "risposta: <div class=MsgBox>$Risposta</div>";

echo "<input type=hidden id=IdCommessa value=$IdCommessa />";
echo "<input type=hidden id=IdComunicazione value=$IdComunicazione />";
echo "<input type=hidden id=IdAffidatario value=$IdAffidatario />";
echo "<input type=button value=Excel onclick=\"frmExcel.submit()\" />";
echo "</div>";

require_once('filtri_comuni.php');

require_once('attivita.php');

echo "<br>";

require_once('elementi.php');

?>

<form name=frmRefresh method=post > <!-- per refresh -->
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdComunicazione value="<?php echo $IdComunicazione ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />
	<input type=hidden name=DataInizio value="<?php echo $DataInizioX ?>" />
	<input type=hidden name=DataFine value="<?php echo $DataFineX ?>" />
	<input type=hidden name=IdElementi value="" />
	<input type=hidden name=IdAttivita value="" />
</form>

<form name=frmExcel method=post action ="excel.php" target=_blank> <!-- per excel -->
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdComunicazione value="<?php echo $IdComunicazione ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />
	<input type=hidden name=DataInizio value="<?php echo $DataInizioX ?>" />
	<input type=hidden name=DataFine value="<?php echo $DataFineX ?>" />
	<input type=hidden name=IdElementi value="" />
	<input type=hidden name=IdAttivita value="" />
</form>

<form name=form1 method=post action ="jhp/gantt_diritto">
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdComunicazione value="<?php echo $IdComunicazione ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />
	<input type=hidden name=DataInizio value="<?php echo $DataInizioX ?>" />
	<input type=hidden name=DataFine value="<?php echo $DataFineX ?>" />
	<input type=hidden name=IdElementi value="" />
	<input type=hidden name=IdAttivita value="" />
</form>

<form name=form2 method=post action ="../voci_preplanning/index.php"> <!-- per elemento -->
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdComunicazione value="<?php echo $IdComunicazione ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />
	<input type=hidden name=DataInizio value="<?php echo $DataInizioX ?>" />
	<input type=hidden name=DataFine value="<?php echo $DataFineX ?>" />
	<input type=hidden name=IdElementi value="" />
	<input type=hidden name=IdAttivita value="" />
</form>

<form name=form3 method=post action ="../voci_preplanning/index.php"> <!-- per elemento e attività -->
	<input type=hidden name=IdCommessa value="<?php echo $IdCommessa ?>" />
	<input type=hidden name=IdComunicazione value="<?php echo $IdComunicazione ?>" />
	<input type=hidden name=IdAffidatario value="<?php echo $IdAffidatario ?>" />
	<input type=hidden name=DataInizio value="<?php echo $DataInizioX ?>" />
	<input type=hidden name=DataFine value="<?php echo $DataFineX ?>" />
	<input type=hidden name=IdElementi value="" />
	<input type=hidden name=IdAttivita value="" />
</form>

</body>
</html>