<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');
$IdPORP = ntxip('IdPORP');

$where =  <<< where
	WHERE PORP_AreeIntervento.IdPORP=$IdPORP
where;

if ( strlen("$_POST[txtFiltroAINome]")>0 ) $where .= " AND PORP_AreeIntervento.Nome LIKE '%".str_replace("'","''",$_POST[txtFiltroAINome])."%' ";

$innerJoin = "";

switch ( $_POST[txtFiltroAIAssegnatoA] )
{
	case "piano":
		$innerJoin = <<< innerJoin
			INNER JOIN
                      PORP_AI_Ambienti ON PORP_AreeIntervento.Id = PORP_AI_Ambienti.IdAreaIntervento INNER JOIN
                      Ambiente ON PORP_AI_Ambienti.IdCommessa = Ambiente.IdCommessa AND PORP_AI_Ambienti.IdEdificio = Ambiente.IdEdificio AND 
                      PORP_AI_Ambienti.IdAmbiente = Ambiente.IDAmbiente
innerJoin;

		$where .= <<< where
			AND     (PORP_AI_Ambienti.IdCommessa = $IdCommessa) AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio)
			AND (Ambiente.IdLivello = $IdPiano)
where;
		break;
	case "edificio":
		$innerJoin = <<< innerJoin
			INNER JOIN
                      PORP_AI_Ambienti ON PORP_AreeIntervento.Id = PORP_AI_Ambienti.IdAreaIntervento
innerJoin;

		$where .= <<< where
			AND     (PORP_AI_Ambienti.IdCommessa = $IdCommessa)
			AND (PORP_AI_Ambienti.IdEdificio = $IdEdificio)
where;
		break;
}

$prefissoCampi = "OreMedie";
$prefissoEtichette = "Ore Medie";

switch ($_POST[txtVisualizzaTipoAI])
{
	case "totali":
		$prefissoCampi = "OreTotali";
		$prefissoEtichette = "Ore Totali";
		break;
	case "min":
		$prefissoCampi = "OreMin";
		$prefissoEtichette = "Ore Min";
		break;
	case "max":
		$prefissoCampi = "OreMax";
		$prefissoEtichette = "Ore Max";
		break;
}

if ( is_numeric($_POST[IdRisorsaSelezionata]) )
{
	$IdRisorsaSelezionata = ntxip('IdRisorsaSelezionata');

	$leftJoin .= <<< leftJoin
		LEFT JOIN
                  (
						SELECT IdAreaIntervento, Lun, Mar, Mer, Gio, Ven, Sab, Dom 
						FROM PORP_RIS_AI    
						WHERE     (PORP_RIS_AI.IdRisorsa = $IdRisorsaSelezionata)
						
				  ) PORP_RIS_AI
				  ON PORP_RIS_AI.IdAreaIntervento = PORP_AreeIntervento.Id
leftJoin;

	$addFields .= <<< leftJoin
		,PORP_RIS_AI.Lun, PORP_RIS_AI.Mar, PORP_RIS_AI.Mer, PORP_RIS_AI.Gio, PORP_RIS_AI.Ven, PORP_RIS_AI.Sab, PORP_RIS_AI.Dom 
leftJoin;
}

$sql = <<< sql
	SELECT DISTINCT    PORP_AreeIntervento.Id, PORP_AreeIntervento.Nome, PORP_AreeIntervento.MqTotali, PORP_AreeIntervento.OreTotali, 
                      PORP_AreeIntervento.{$prefissoCampi}Lun, PORP_AreeIntervento.{$prefissoCampi}Mar, PORP_AreeIntervento.{$prefissoCampi}Mer, 
					PORP_AreeIntervento.{$prefissoCampi}Gio, 
                      PORP_AreeIntervento.{$prefissoCampi}Ven, PORP_AreeIntervento.{$prefissoCampi}Sab, PORP_AreeIntervento.{$prefissoCampi}Dom, 
                      PORP_AreeIntervento.NumRisorseLun, PORP_AreeIntervento.NumRisorseMar, PORP_AreeIntervento.NumRisorseMer, 
					PORP_AreeIntervento.NumRisorseGio, 
                      PORP_AreeIntervento.NumRisorseVen, PORP_AreeIntervento.NumRisorseSab, PORP_AreeIntervento.NumRisorseDom
					  $addFields
	FROM         PORP_AreeIntervento
	$innerJoin
	$leftJoin
	$where
	ORDER BY Nome
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Area<br>Intervento
			<th>Mq<br>Totali
			<th>Ore<br>Totali
			<th>
table;

$giorni = array('Lun', 'Mar', 'Mer', 'Gio', 'Ven', 'Sab', 'Dom');

foreach($giorni as $giorno)
	$table .= <<< table
			<th>$giorno
table;

while( $query  &&  $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$html[MqTotali] = ntxRoundThousand($html[MqTotali], 2);
	$html[OreTotali] = ntxRoundThousand($html[OreTotali], 2);

	$table .= <<< table
		<tr>
			<td rowspan=2><input type=radio name=optAreaIntSelected value=$html[Id] onclick="CaricaMappa();CaricaElencoVani2()" />
			<td rowspan=2>$html[Nome]
			<td rowspan=2 style="text-align:right">$html[MqTotali]
			<td rowspan=2 style="text-align:right">$html[OreTotali]
			<td style="font-weight:bold">$prefissoEtichette
table;

	foreach($giorni as $giorno)
	{
		$htmlValore = ntxRoundThousand($html["{$prefissoCampi}{$giorno}"], 2);
	
		$table .= <<< table
			<td style="text-align:right">$htmlValore
table;
	}

	$table .= <<< table
		<tr>
			<td style="font-weight:bold">Num.Risorse
table;

	foreach($giorni as $giorno)
	{
		$Valore = $rs["NumRisorse{$giorno}"];
		
		$Colore = "#FFDEDE";
		
		if ( $rs["{$giorno}"]==1 )
			$Colore = "#9696FF";
		elseif ( is_numeric($Valore)  &&  $Valore>0 )
			$Colore = "#DEDEFF";
	
		$ValoreHtml = is_numeric($Valore)  &&  $Valore>1 ? $Valore : "";
		
		$table .= <<< table
			<td style="text-align:center;background-color:$Colore;cursor:pointer"
				onclick="AssegnaAIGiornoRisorsa($rs[Id], '$giorno')">$ValoreHtml
table;
	}
}

$table .= "</table>";

jhp($table);

?>
