<?php

$sql = <<< sql
SELECT DISTINCT 
                      tblMestieri.codice AS CodMest, tblComponetiMestiere.codice AS CodComp, tblAttivitàMestiere.codice AS CodAtt, tblMestieri.Descrizione AS Mest, 
                      tblComponetiMestiere.Descrizione AS Comp, tblAttivitàMestiere.Descrizione AS Att, tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere, tblMestieri.IdMestiere, 
                      tblComponetiMestiere.IdComponenteMestiere, tblMestieri.Ordine, tblComponetiMestiere.Ordine AS Expr1, tblAttivitàMestiere.Ordine AS Expr2, 
                      tblFrequenzeMestieri.Descrizione AS Frequenza, tblAttivitàMestiere.Nota
FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
                      tblAttivitàMestiere ON tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE     (tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = $IdContrattoAffidatario) 
AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $id)
ORDER BY tblMestieri.ordine, CodMest, Mest, IdMestiere, 
		tblComponetiMestiere.ordine, CodComp, Comp, IdComponenteMestiere, 
		tblAttivitàMestiere.ordine, CodAtt, Att, IdAttivitàMestiere
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

$IdMestiere = "";
$IdComponenteMestiere = "";

while ( $rs = ntxRecord($query) )
{
	$IdAttivitàMestiere = $rs[IdAttivitàMestiere];
	
	if ( !in_array($IdAttivitàMestiere, $IdAttivitàInComune) ) continue;
	
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	$alter = $alternate ? "class=alternate" : "";
	
	if ( $IdMestiere != $rs[IdMestiere] )
	{
		$IdMestiere = $rs[IdMestiere];
		
		$table .= <<< table
			<tr $alter  tipo=mest $alter IdMestiere=$IdMestiere>
			<td id=tdMest$IdMestiere onclick="ComprimiPerMest('$IdMestiere')">-
			<td>
			<td style="background-color:#c5eaf3">$rs[CodMest] - $rs[Mest]
			<td colspan=12 style="background-color:#c5eaf3">
table;
			
		$alternate = !$alternate;
	}
	
	if ( $IdComponenteMestiere != $rs[IdComponenteMestiere] )
	{
		$IdComponenteMestiere = $rs[IdComponenteMestiere];
		
		$alter = $alternate ? "class=alternate" : "";
	
		$table .= <<< table
			<tr $alter tipo=comp IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere>
			<td>
			<td IdMestiere=tdPlusComp$IdMestiere id=tdComp$IdComponenteMestiere onclick="ComprimiPerComp('$IdComponenteMestiere')">-
			<td style="background-color:#ffd2d2">$rs[CodComp] - $rs[Comp]
			<td colspan=12 style="background-color:#ffd2d2">
table;
			
		$alternate = !$alternate;
	}
	
	$alter = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $alter tipo=attiv IdMestiere=$IdMestiere IdComponenteMestiere=$IdComponenteMestiere IdAttivitaMestiere=$IdAttivitàMestiere>
		<td>
		<td>
		<td>$rs[CodAtt] - $rs[Att] - <span style="font-style:italic;font-weight:bold">$rs[Frequenza]</span> - <a href="javascript:$('#divNote{$IdAttivitàMestiere}').toggle()">note...</a>
			<div tipo=divNote id=divNote{$IdAttivitàMestiere} style="border:inset 1px">$rs[Nota]&nbsp;</div>
table;

	for ($i=0; $i<12; ++$i)
	{
		if ( $i == 5 )
			$add_style = "style='border-right: 1px solid blue'";
		elseif ( $i == 2 || $i==8 )
			$add_style = "style='border-right: 1px solid red'";
		else
			$add_style = "";
		
		if ( $NumAttivitàNonCoincidenti["k{$IdAttivitàMestiere}_{$i}"] )
			$onclick = "onclick=\"parent.FrameElementi.EvidenziaDisomogenei($IdCommessa, $AnnoX, $IdAttivitàMestiere, $i, $StrIdElementi)\"";
		else
			$onclick = "";
			
		$table .= "<td IdAttivitaMestiere=$IdAttivitàMestiere mese=$i $add_style>";
		$table .= "<div tipo=div1 IdAttivitaMestiere=$IdAttivitàMestiere mese=$i><span style='color:green'>";
		$table .= $NumAttivitàCoincidenti["k{$IdAttivitàMestiere}_{$i}"];
		$table .= "</span>&nbsp;<span style='color:red;cursor:pointer' $onclick>";
		$table .= $NumAttivitàNonCoincidenti["k{$IdAttivitàMestiere}_{$i}"]."</span></div>";
		$table .= "<div tipo=div2 IdAttivitaMestiere=$IdAttivitàMestiere mese=$i></div>";
	}
	
	$alternate = !$alternate;
}

?>
