<?php  

session_start();

require_once('../../../../_ntx/ntxconst.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="_css/preventivo.css" rel="stylesheet" type="text/css">
</head>
<body>

<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
$NumPreventivo = ntxip('NumPreventivo');

$sql = <<< SQL
	SELECT     ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, Richieste.Descrizione, Richieste.Descrizione1, 
						  Richieste.Descrizione2
	FROM         Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta) 
SQL;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);
echo $path
?>

<p class=title><?php echo htmlentities("Rif. Richiesta \"$NumRichiesta/$AnnoRichiesta\"")."<br>"
		.htmlentities("Edificio \"{$rs[0]}-{$rs[1]}\"")."<br>"
		.htmlentities("Indirizzio \"{$rs[2]}\" - Comune \"{$rs[3]}\"")."<br>"
		.htmlentities("Descrizione \"{$rs[4]}{$rs[5]}{$rs[6]}\"") ?></p>

<?php

$TotLordo = 0;
$TotNetto = 0;

$sql = <<< SQL
		SELECT     RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, 
					RihePreventivi.QTA, RihePreventivi.PzUnitario, isnull(RihePreventivi.Sconto,0) AS Sconto, 
						  RihePreventivi.Titolo, RihePreventivi.DescrEstesa, RihePreventivi.Prezziario
		FROM         Preventivi INNER JOIN
                      RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
		WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumPreventivo = $NumPreventivo)
		ORDER BY RihePreventivi.Prezziario, RihePreventivi.Cod
SQL;

$query = ntxQuery($sql);

?>
<table>
	<tr>
		<th>Preziario</th>
		<th>Codice</th>
		<th>Titolo</th>
		<th>Descrizione</th>
		<th>Descr.Estesa</th>
		<th>UM</th>
		<th>QTA</th>
		<th>Prezzo Unitario</th>
		<th>Sconto</th>
		<th>Totale Lordo</th>
		<th>Totale Netto</th>
	</tr>   

<?php
	while( $rs = ntxRecord($query) )
	{
		$Lordo = $rs['QTA'] * $rs['PzUnitario'];
		$Netto = $rs['QTA'] * $rs['PzUnitario'] * (1-$rs['Sconto']/100.0);
?>
	<tr>
			<td>&nbsp;<?php echo htmlentities($rs['Prezziario']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Cod']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Titolo']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['DescrEstesa']) ?></td>
			<td>&nbsp;<?php echo htmlentities($rs['UM']) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['QTA'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['PzUnitario'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($rs['Sconto'],2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($Lordo,2) ?></td>
			<td class=number>&nbsp;<?php echo ntxRoundThousand($Netto,2) ?></td>
	</tr>
<?php
		if ( is_numeric($Lordo) ) 
			$TotLordo += (float)($Lordo);

		if ( is_numeric($Netto) ) 
			$TotNetto += (float)($Netto);
	}
?>
	<tr><th colspan=9 class=number>TOTALE:</th>
	<th class=number><?php echo ntxRoundThousand($TotLordo,2) ?></th>
	<th class=number><?php echo ntxRoundThousand($TotNetto,2) ?></th>
</table>

</body>
</html>
