<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">

</head>
<body  >
<?php

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
$NumPreventivo = ntxip('NumPreventivo');

$sql = <<< SQL
			SELECT 
					Richieste.NumRichiesta, 
					Richieste.AnnoRichiesta, 
					Richieste.DataRichiesta, 
					Richieste.Richiedente, 
					Richieste.Descrizione, 
					Richieste.Descrizione1, 
					Richieste.Descrizione2, 
					ElencoEdifici.Codice, 
					ElencoEdifici.EdificioBreve, 
					ElencoEdifici.Indirizzo, 
					ElencoEdifici.CITTA, 
					ElencoEdifici.PROVINCIA, 
					TabellaGradoUrgenza.Descrizione AS DesGrUrg,
					Preventivi.Descrizione AS DesCliente, 
					case when Preventivi.path is not null and Preventivi.path<>'' then 1 else 0 end  AS Allegato, 
					Preventivi.Importo AS ImportoCliente, 
					Stati.DesStato

			FROM         Preventivi INNER JOIN
                      Stati INNER JOIN
                      ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione ON 
                      Stati.IDStato = Richieste.Stato ON Preventivi.IDCommessa = Richieste.IDCommessa AND Preventivi.NumRichiesta = Richieste.NumRichiesta AND 
                      Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU
					  
			  WHERE (Preventivi.IdCommessa=$IdCommessa)
				AND (Preventivi.NumPreventivo = $NumPreventivo) 
SQL;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

if ( $rs['Allegato'] )
{
	$disableAllega = "";
	$StaAllegato = "SI";
}
else
{
	$disableAllega = "DISABLED";
	$StaAllegato = "NO";
}

?>
<table align=left>
	<caption>Richieste da Preventivare</caption>
	<tr><th>Allegato</th>				<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $StaAllegato ?></td>	
	<tr><th>Num./Anno</th>				<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta'])."/".htmlentities($rs['AnnoRichiesta']) ?></td>	
	<tr><th>Data</th>					<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?></td>	
	<tr><th>Stato</th>					<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>	
	<tr><th>Richiedente</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>	
	<tr><th>Localizzazione</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>	
	<tr><th>Grado Urgenza</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesGrUrg']) ?></td>
	<tr><th>Descrizione Richiesta</th>	<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']).htmlentities($rs['Descrizione1']).htmlentities($rs['Descrizione2']) ?></td>	
	<tr><th>Descrizione Preventivo</th> <td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesCliente']) ?></td>
	<tr><th>Importo Preventivo</th>		<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoCliente'],2) ?></td>
	<tr><td colspan=2>
		<input type=button value="Allegato" <?php echo "$disableAllega onclick=\"Allegato($rs[NumRichiesta], $rs[AnnoRichiesta])\"" ?>>
		<input type=button value="Report" onclick="Report()">
		<input type=button value="Finito Preventivo" onclick="FinitoPreventivo()">
</table>
<br>

<form method=post action="testata_upload.php" enctype="multipart/form-data" target=win_upload_0123_261009>
	<input TYPE=hidden NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input type=hidden name=NumRichiesta value="<?php echo $NumRichiesta ?>">
	<input type=hidden name=AnnoRichiesta value="<?php echo $AnnoRichiesta ?>">
	<input type=hidden name=NumPreventivo value="<?php echo $NumPreventivo ?>">
	
	<table>
		<caption>Allega documento</caption>
		<tr><th>Descrizione</th><td><input type=text name=Descrizione size="50"  maxlength="100">
			<td rowspan=3><input type=submit name=upload value=Allega>
		<tr><th>Importo Offerto</th><td><input type=text name=ImportoOfferto size="50"  maxlength="100">
		<tr><th>File</th><td><input type=file name=upfile size="50">
	</table>
</form>

<form name=form1 method=post target=win_upload_0123_261009 action="richiesta_autorizzazione.php">
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $NumRichiesta ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $AnnoRichiesta ?>" >
</form>

<form name=form2 method=post target=win_upload_0123_261009 action="../allegato.php">
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $NumRichiesta ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $AnnoRichiesta ?>" >
</form>

<form name=formReport action="report/index.php" method=post target=_blank>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=NumRichiesta VALUE="<?php echo $NumRichiesta ?>" >
	<input TYPE=HIDDEN NAME=AnnoRichiesta VALUE="<?php echo $AnnoRichiesta ?>" >
	<input type=hidden name=NumPreventivo value="<?php echo $NumPreventivo ?>">
</form>

<iframe name=win_upload_0123_261009 id=win_upload_0123_261009 frameborder=1 style="position:relative;display:block;width:500px;height:120px"></iframe>

<script language=javascript>

function Report()
{
	formReport.submit();
}

function FinitoPreventivo()
{
	if ( !confirm("Invio Preventivo a cliente autorizzatore?") ) return;
	
	document.form1.submit();
}

function Allegato(NumRichiesta, AnnoRichiesta)
{
	document.form2.NumRichiesta.value = NumRichiesta;
	document.form2.AnnoRichiesta.value = AnnoRichiesta;
	form2.submit();
}

</script>

</body>
</html>
