<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=Natisoft-ReportCostiDettaglio" . time() . ".xls");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>


<?php

if ( !(ntxIsDate($_POST[DataOrdine1])  &&  ntxIsDate($_POST[DataOrdine2]))
	 &&  !(ntxIsDate($_POST[DataContabilità1])  &&  ntxIsDate($_POST[DataContabilità2])) )
	die("obbligatorio inserire una coppia di date ordine o contabilità!");

$IdCommessa = ntxise('IdCommessa');
$where = " WHERE (Ordini.IDCommessa = $IdCommessa) ";

if (strlen("$_POST[ContabilizF]")>0) {
  $ContabilizF = ntxsp('ContabilizF');
  $where .= " AND (Ordini.ContabilizF = $ContabilizF) ";
}

if (isset($_POST['StatoOrd'])  &&  is_numeric($_POST['StatoOrd'])) {
  $StatoOrd = ntxip('StatoOrd');
  $where .= " AND (Ordini.StatoOrd = $StatoOrd) ";
}
if (isset($_POST['IdPropietario'])  &&  is_numeric($_POST['IdPropietario'])) {
  $IdPropietario = ntxip('IdPropietario');
  $where .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
if (isset($_POST['IdPropietario'])  &&  is_numeric($_POST['IdEdificio'])) {
	$IdEdificio = ntxip('IdEdificio');
	$where .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}
$DataOrdine1 = ntxtp('DataOrdine1');
$DataOrdine2 = ntxtp('DataOrdine2');
$minMese = ntxScalar("SELECT MONTH($DataOrdine1)");
$minAnno = ntxScalar("SELECT YEAR($DataOrdine1)");
$maxMese = ntxScalar("SELECT MONTH($DataOrdine2)");
$maxAnno = ntxScalar("SELECT YEAR($DataOrdine2)");
$where .= " AND (MONTH(Ordini.DataFine) BETWEEN $minMese AND $maxMese) AND (YEAR(Ordini.DataFine) BETWEEN $minAnno AND $maxAnno) ";

$sql = <<< _SQL

  SELECT DISTINCT 
    Ordini.NumOrdine
    , Ordini.AnnoOrdine
    , SUM((Costi.QTA * Costi.CostoUnit) * (100 - Sconto) / 100) AS ImportoNetto
    , ElencoEdifici.EdificioBreve
    , Ordini.Assegnazione
    , Ditte.Ditta
    , Ordini.Contabiliz
    , Ordini.ContabilizF
    , Ordini.DataFine
    , Ordini.IdCommessa
    , Ordini.CdC

  FROM ordini

  INNER JOIN costi
    ON Ordini.NumOrdine = Costi.NumOrdine
      AND Ordini.AnnoOrdine = Costi.AnnoOrdine
      AND Ordini.IdCommessa = Costi.IdCommessa

  INNER JOIN elencoEdifici
    ON Ordini.CodEdificio = ElencoEdifici.ID
      AND ElencoEdifici.IdCommessa = Costi.IdCommessa

  INNER JOIN tblPgPropietari
    ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
    
  INNER JOIN Ditte 
    ON Ordini.Assegnazione = Ditte.IDDitta

  $where

  GROUP BY Ordini.NumOrdine
    , Ordini.AnnoOrdine
    , CostoTotale
    , ElencoEdifici.EdificioBreve
    , Ordini.Assegnazione
    , Ditte.Ditta
    , Ordini.Contabiliz
    , Ordini.ContabilizF
    , Ordini.DataFine
    , Ordini.IdCommessa
    , Ordini.CdC

    
_SQL;

$query = ntxQuery($sql);

$nomiMesi = array(
		 "Gen","Feb","Mar","Apr"
		,"Mag","Giu","Lug","Ago"
		,"Set","Ott","Nov","Dic");
?>
<table>
	<tr>
		<th colspan=6>Costi
	</tr>
	<tr>
		<th>Al<td><?php echo htmlentities($_POST[DataOrdine1]) ?>
		<th>Dal<td><?php echo htmlentities($_POST[DataOrdine2]) ?>
</table>
<table align=left>
	<tr>
    <th>Ordine</th>
		<th>Localizzazione</th>
		<th>CdC</th>
		<th>Ditta</th>
		<th>Data Ordine</th>
		<th>Contabiliz</th>
		<th>ContabilizF</th>
		<th>Importo Netto</th>
	</tr>
<?php
	
	while( $rs = ntxRecord($query) )
	{
		if ( $rs['DesstatoC']=="" ) $rs['DesstatoC'] = $rs['DesStato'];
		
		$rs['DataOrdine'] = ntxDateTime($rs['DataOrdine']);
?>
		<tr>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo (int)$rs['NumOrdine'].'/'.$rs['AnnoOrdine'] ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['EdificioBreve']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CdC']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ditta']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DataFine']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['ContabilizF']) ?></td>
      <td <?php echo  $alternate ? "" : "class=td2" ?> >	<?php echo ntxRoundThousand($rs['ImportoNetto'],2) ?></td>
		</tr>
<?php
	}
?>
</table>
