<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumContabilità = ntxip('NumContabilità');
$mUtente = ntxsse('Utente');
$NoteContestazione = ntxsp('NoteContestazione', false, false);
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	UPDATE    Contabilità
	SET              idStatoc = 50
						, Contestato = 1
						, DataModifica = getdate()
						, DataContestazione = getdate()
						, UtenteContestazione = $mUtente
						, NoteContestazione = $NoteContestazione
			WHERE Contabilità.IDCommessa = $IdCommessa
				AND Contabilità.NumContabilità = $NumContabilità
				AND idstatoc < 60
SQL;

ntxQuery($sql);

$sql = <<< SQL
	SELECT     Richieste.Localizzazione, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
				Richieste.DataRichiesta, Ordini.IdMestiere, Ordini.Assegnazione, Richieste.IdAffidatario
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
	WHERE     (Ordini.IdCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
SQL;

$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$Localizzazione = $rs[0];
	$NumRichiesta = $rs[1];
	$AnnoRichiesta = $rs[2];
	$DataRichiesta = ntxt(ntxDate($rs[3]));
	$IdMestiere = $rs[4];
	$IdDitta = $rs[5];
	$IdAffidatario = $rs[6];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
		SELECT DISTINCT tblPgRifAffidatari.email_1
		FROM tblComponetiMestiere INNER JOIN
			tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
			tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
			tblPgContrattiRifAffidatari INNER JOIN
			tblPgContrattiRifAffidatariAttivitàEdifici ON 
			tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
			tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
			tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
			tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
			tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
		WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
			AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
			AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
			AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
			AND (tblPgRifAffidatari.email_1 IS NOT NULL)
			AND (tblPgRifAffidatari.email_1 <> '')
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

	$oggetto = "Contestazione contabilita' $NumContabilità ordine $NumOrdine/$AnnoOrdine da parte di $_SESSION[Utente]";
	$messaggio = "Contestazione contabilita' $NumContabilità ordine $NumOrdine/$AnnoOrdine da parte di $_SESSION[Utente] - Note : $_POST[NoteContestazione]";

	$queryEmailRif1 = ntxQuery($sql);
	
	$NonTrovataEmailRif1 = true;
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"ca-contestata contabilita",				
				"contabilita $NumContabilità $IdCommessa",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"ca-contestata contabilita",				
					"contabilita $NumContabilità $IdCommessa",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"ca-contestata contabilita",				
				"contabilita $NumContabilità $IdCommessa",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}
				
}

ntxMsgResult( '' );	

?>
