<?php

// Inizio Codice

require_once(NTX_PATH.'database.inc');

$Codice = $_POST['Codice'];

$messaggio = CheckCodice($Codice);

$_SESSION['elementi'] = compact("TipoCodice", "Commessa", "Evento", "NumOrdine", "AnnoOrdine", 
									"Edificio", "Ditta", "Giorno", "Mese", "Anno", 
									"Giorno2", "Mese2", "Anno2", "InizioFine",
									"IdMestiere");

switch ( $TipoCodice )
{
	case 1:
		$record['messaggio'] = "Codice apertura ordini programmati: $Codice";
		$record['tipo_azione'] = "APRI ORDINI PROGRAMMATI $Codice";
		$record['disabilita_azione'] = false;
		break;
	case 2:
		$record['messaggio'] = "Codice chiusura ordini programmati: $Codice";
		$record['tipo_azione'] = "CHIUDI ORDINI PROGRAMMATI $Codice";
		$record['disabilita_azione'] = false;
		break;
	case 3:
		$record['messaggio'] = "Codice apertura ordini non programmati: $Codice";
		$record['tipo_azione'] = "APRI ORDINI NON PROGRAMMATI $Codice";
		$record['disabilita_azione'] = false;
		break;
	case 4:
		$record['messaggio'] = "Codice chiusura ordini non programmati: $Codice";
		$record['tipo_azione'] = "CHIUDI ORDINI NON PROGRAMMATI $Codice";
		$record['disabilita_azione'] = false;
		break;
	default:
		unset($_SESSION['elementi']);
		$record['messaggio'] = $messaggio;
		$record['tipo_azione'] = "NESSUNA AZIONE CONTEMPLATA";
		$record['disabilita_azione'] = true;
		break;
}

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

// Inizio Dichiarazione funzioni

// convalida il codice ricevuto ed esplode i dati da inviare a fase successiva
function CheckCodice($Codice)
{
	global $Commessa, $Evento, $NumOrdine, $AnnoOrdine, $Edificio, $Ditta, 
			$Giorno, $Mese, $Anno, $Giorno2, $Mese2, $Anno2, $InizioFine,
			$IdMestiere;
	global $TipoCodice;
	
	$InizioFine = -1;
	
	$TipoCodice = null;
	
	$ss = array();
	
	$Codice = str_replace(".","-",$Codice);
	$Codice = str_replace("'","-",$Codice);
	
	if ( strpos($Codice, "-") > 0 )
		$ss = explode("-", $Codice);
	else
		return "Segni di interpunzione (.-') codice mancanti!";
		
	switch ( count($ss) )
	{
		case 4:
			for ( $i=0; $i<4; $i++ )
				if ( !is_numeric($ss[$i]) )
					return "Parte del codice non numerico: {$ss[$i]}!";
			
			$Commessa = (int)$ss[0];
			$NumOrdine = (int)$ss[1];
			$AnnoOrdine = (int)$ss[2];
			$InizioFine = (int)$ss[3];

			if ( $AnnoOrdine < 1900 || $AnnoOrdine > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno errato: $AnnoOrdine!";
			
			if ( $NumOrdine < 1 )
				return "Numero ordine errato: $NumOrdine!";

			switch ( $InizioFine )
			{
				case 3:
					$TipoCodice = 3; // Codice apertura ordini non programmati
					break;
				case 4:
					$TipoCodice = 4; // Codice chiusura ordini non programmati
					break;
				default:
					return "Parte finale del codice errata: $InizioFine!";
					break;
			}
				
			break;
		case 7:
			for ( $i=0; $i<7; $i++ )
				if ( !is_numeric($ss[$i]) )
					return "Parte del codice non numerico: {$ss[$i]}!";
			
			$Commessa = (int)$ss[0];
			$Edificio = (int)$ss[1];
			$Ditta = (int)$ss[2];
			$Giorno = (int)$ss[3];
			$Mese = (int)$ss[4];
			$Anno = (int)$ss[5];
			$InizioFine = (int)$ss[6];

			if ( $Anno < 1900 || $Anno > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno errato: $Anno!";
			
			if ( $Mese < 1 || $Mese > 12 )
				return "Mese errato: $Mese!";
			
			if ( $Giorno < 1 || $Giorno > GiorniInUnMese($Mese, $Anno) )
				return "Giorno errato: $Giorno!";
			
			switch ( $InizioFine )
			{
				case 1:
				case 5:
				case 7:
					$TipoCodice = 1; // Codice apertura ordini programmati
					break;
				case 2:
				case 6:
				case 8:
					$TipoCodice = 2; // Codice chiusura ordini programmati
					break;
				default:
					return "Parte finale del codice errata: $InizioFine!";
					break;
			}
				
			break;
		case 8:
			for ( $i=0; $i<8; $i++ )
				if ( !is_numeric($ss[$i]) )
					return "Parte del codice non numerico: {$ss[$i]}!";
			
			$Commessa = (int)$ss[0];
			$Evento = (int)$ss[1];
			$Edificio = (int)$ss[2];
			$Ditta = (int)$ss[3];
			$Giorno = (int)$ss[4];
			$Mese = (int)$ss[5];
			$Anno = (int)$ss[6];
			$InizioFine = (int)$ss[7];

			if ( $Anno < 1900 || $Anno > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno errato: $Anno!";
			
			if ( $Mese < 1 || $Mese > 12 )
				return "Mese errato: $Mese!";
			
			if ( $Giorno < 1 || $Giorno > GiorniInUnMese($Mese, $Anno) )
				return "Giorno errato: $Giorno!";
			
			switch ( $InizioFine )
			{
				case 9:
				case 11:
					$TipoCodice = 1; // Codice apertura ordini programmati
					break;
				case 10:
				case 12:
					$TipoCodice = 2; // Codice chiusura ordini programmati
					break;
				default:
					return "Parte finale del codice errata: $InizioFine!";
					break;
			}
				
			break;
		case 10:
			for ( $i=0; $i<9; $i++ )
				if ( !is_numeric($ss[$i]) )
					return "Parte del codice non numerico: {$ss[$i]}!";
			
			$Commessa = (int)$ss[0];
			$Edificio = (int)$ss[1];
			$Ditta = (int)$ss[2];
			$Giorno = (int)$ss[3];
			$Mese = (int)$ss[4];
			$Anno = (int)$ss[5];
			$Giorno2 = (int)$ss[6];
			$Mese2 = (int)$ss[7];
			$Anno2 = (int)$ss[8];
			$InizioFine = (int)$ss[9];

			if ( $Anno < 1900 || $Anno > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno Inizio errato: $Anno!";
			
			if ( $Mese < 1 || $Mese > 12 )
				return "Mese Inizio errato: $Mese!";
			
			if ( $Giorno < 1 || $Giorno > GiorniInUnMese($Mese, $Anno) )
				return "Giorno Inizio errato: $Giorno!";
			
			if ( $Anno2 < 1900 || $Anno2 > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno Fine errato: $Anno!";
			
			if ( $Mese2 < 1 || $Mese2 > 12 )
				return "Mese Fine errato: $Mese!";
			
			if ( $Giorno2 < 1 || $Giorno2 > GiorniInUnMese($Mese2, $Anno2) )
				return "Giorno Fine errato: $Giorno!";
			
			switch ( $InizioFine )
			{
				case 1:
				case 5:
				case 7:
				case 13:
					$TipoCodice = 1; // Codice apertura ordini programmati
					break;
				case 2:
				case 6:
				case 8:
				case 14:
					$TipoCodice = 2; // Codice chiusura ordini programmati
					break;
				default:
					return "Parte finale del codice errata: $InizioFine!";
					break;
			}
				
			break;
		case 11:
			for ( $i=0; $i<10; $i++ )
				if ( !is_numeric($ss[$i]) )
					return "Parte del codice non numerico: {$ss[$i]}!";
			
			$Commessa = (int)$ss[0];
			$Edificio = (int)$ss[1];
			$Ditta = (int)$ss[2];
			$IdMestiere = (int)$ss[3];
			$Giorno = (int)$ss[4];
			$Mese = (int)$ss[5];
			$Anno = (int)$ss[6];
			$Giorno2 = (int)$ss[7];
			$Mese2 = (int)$ss[8];
			$Anno2 = (int)$ss[9];
			$InizioFine = (int)$ss[10];

			if ( $Anno < 1900 || $Anno > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno Inizio errato: $Anno!";
			
			if ( $Mese < 1 || $Mese > 12 )
				return "Mese Inizio errato: $Mese!";
			
			if ( $Giorno < 1 || $Giorno > GiorniInUnMese($Mese, $Anno) )
				return "Giorno Inizio errato: $Giorno!";
			
			if ( $Anno2 < 1900 || $Anno2 > 2037 ) // limite dell'attuale libreria php in data 18/10/2007
				return "Anno Fine errato: $Anno!";
			
			if ( $Mese2 < 1 || $Mese2 > 12 )
				return "Mese Fine errato: $Mese!";
			
			if ( $Giorno2 < 1 || $Giorno2 > GiorniInUnMese($Mese2, $Anno2) )
				return "Giorno Fine errato: $Giorno!";

			switch ( $InizioFine )
			{
				case 15:
					$TipoCodice = 1; // Codice apertura ordini programmati
					break;
				case 16:
					$TipoCodice = 2; // Codice chiusura ordini programmati
					break;
				default:
					return "Parte finale del codice errata: $InizioFine!";
					break;
			}
				
			break;
		default:
			return "Numero cifre ".count($ss)." del codice errato!";
			break;
	}
}

?>
