<?php

$sql = "SELECT Richieste.*, Richieste.DataModifica as DataModificaX, Richieste.Note as NoteX, " 
		."ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, "
		."ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono, "
		."Richieste.NumRifCli AS NumRIE, Richieste.AnnoRifCli AS AnnoRIE, Richieste.Tipo AS TipoX, Richieste.Localizzazione AS IdEdificio "
		." FROM Richieste INNER JOIN ElencoEdifici "
		." ON Richieste.IdCommessa = ElencoEdifici.IdCommessa "
		." AND Richieste.Localizzazione = ElencoEdifici.ID "
		." WHERE Richieste.IdCommessa = $IdCommessa "
		." AND Richieste.NumRichiesta = $NumRichiesta "
		." AND Richieste.AnnoRichiesta = $AnnoRichiesta "
		." ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta;";

$msg_error = "Richiesta num. $NumRichiesta anno. $AnnoRichiesta commessa $IdCommessa non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['ImpS'] = ntxRound($record['ImpS'], 2);

$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
$record['DataSopralluogo'] = ntxDateTime($record['DataSopralluogo']);
$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
$record['DataInizioP'] = ntxDateTime($record['DataInizioP']);
$record['DataAutorizzazione'] = ntxDateTime($record['DataAutorizzazione']);
$record['DataInserimento'] = ntxDateTime($record['DataInserimento']);

if ( is_numeric($record['Stato'])  )
{
	$Stato=(int)($record['Stato']);
	
	$sql = "SELECT     DesStato "
	."FROM         Stati "
	."WHERE     (IDStato = $Stato)";
			
	$record['DesStato'] = ntxScalar($sql);
}

if ( is_numeric($record['IdMestiere'])  )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	$IdMestiere=(int)($record['IdMestiere']);
	$DataRichiesta=ntxt($record['DataRichiesta']);
	
	$sql = "SELECT DISTINCT    tblPgContrattiAffidatari.IdPgContrattoAffidatario, tblPgAffidatari.Nome "
		."FROM         tblComponetiMestiere INNER JOIN "
		."                      tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND  "
		."                      tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN "
		."                      tblPgContrattiAffidatari INNER JOIN "
		."                      tblPgContrattiAffidatariAttivitàEdifici ON tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario ON  "
		."                      tblAttivitàMestiere.IdCommessa = tblPgContrattiAffidatariAttivitàEdifici.IdCommessa AND  "
		."                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN "
		."                      tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario "
		."WHERE     (tblComponetiMestiere.IdCommessa = $IdCommessa)   "
		."                      AND (tblComponetiMestiere.IdMestiere = $IdMestiere)   "
		."                      AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $mLocalizzazione)   "
		."                      AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)";
	
			
	$query = ntxQuery($sql);

	if ( $rs = ntxIRecord($query) )
	{
		$record['IdPgContrattoAffidatario'] = $rs[0];
		$record['Affidatario'] = $rs[1];
	}
}

if ( is_numeric($record['Localizzazione'])  )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	
	$sql = "SELECT tblPgPropietari.Nome AS Ente "
		."FROM         ElencoEdifici LEFT OUTER JOIN "
		."                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
		." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
		." AND ElencoEdifici.ID=$mLocalizzazione;";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['Ente'] = $rs[0];
	}
}

if ( is_numeric($record['Localizzazione'])  &&  is_numeric($record['IdComponente']) )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	$mIdComponente=(int)($record['IdComponente']);
	
	$sql = "SELECT ComponentiAmbiente.CodiceAssComponente "
			." FROM ComponentiAmbiente INNER JOIN TipoComponente  "
			." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
			." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
			." WHERE (((ComponentiAmbiente.IdCommessa)=$IdCommessa)  "
			." AND ((ComponentiAmbiente.IdEdificio)=$mLocalizzazione)  "
			." AND ((ComponentiAmbiente.IDComponente)=$mIdComponente));";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['comp_cod'] = $rs[0];
	}
}

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
