<?php

$sql = <<< sql
SELECT Richieste.*, Richieste.DataModifica as DataModificaX, Richieste.Note as NoteX,
ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,
ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono, ElencoEdifici.Tipo AS TipoEdificio,
Richieste.NumRifCli AS NumRIE, Richieste.AnnoRifCli AS AnnoRIE, Richieste.Tipo AS TipoX, Richieste.Localizzazione AS IdEdificio,
		 tblUtUtilizzatori.Nome AS Utilizzatore, tblPgAffidatari.Nome AS Affidatario,
Richieste.ImpS AS ImportoStimatoAffidatario, Richieste.NoteImpS AS NoteTecnicheAffidatario
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
						  tblPgAffidatari ON Richieste.IdAffidatario = tblPgAffidatari.IdAffidatario LEFT OUTER JOIN
						  tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
 WHERE Richieste.IdCommessa = $IdCommessa
 AND Richieste.NumRichiesta = $NumRichiesta
 AND Richieste.AnnoRichiesta = $AnnoRichiesta
 ORDER BY Richieste.AnnoRichiesta, Richieste.NumRichiesta
sql;

$msg_error = "Richiesta num. $NumRichiesta anno. $AnnoRichiesta commessa $IdCommessa non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['ImpS'] = ntxRound($record['ImpS'], 2);

$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
$record['DataSopralluogo'] = ntxDateTime($record['DataSopralluogo']);
$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
$record['DataInizioP'] = ntxDateTime($record['DataInizioP']);
$record['DataFineP'] = ntxDateTime($record['DataFineP']);
$record['DataAutorizzazione'] = ntxDateTime($record['DataAutorizzazione']);
$record['DataInserimento'] = ntxDateTime($record['DataInserimento']);
$record[ImportoStimatoAffidatario] = ntxRound($record[ImportoStimatoAffidatario], 2); 

$record['IdCommessa'] = (int)$record['IDCommessa'];

if ( is_numeric($record['Stato'])  )
{
	$Stato=(int)($record['Stato']);
	
	$sql = "SELECT     DesStato "
	."FROM         Stati "
	."WHERE     (IDStato = $Stato)";
			
	$record['DesStato'] = ntxScalar($sql);
}

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\carica_affidatari.inc");

if ( is_numeric($record['Localizzazione'])  )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	
	$sql = "SELECT tblPgPropietari.Nome AS Ente "
		."FROM         ElencoEdifici LEFT OUTER JOIN "
		."                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
		." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
		." AND ElencoEdifici.ID=$mLocalizzazione;";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['Ente'] = $rs[0];
	}
}

if ( is_numeric($record['Localizzazione'])  &&  is_numeric($record['IdComponente']) )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	$mIdComponente=(int)($record['IdComponente']);
	
	$sql = "SELECT ComponentiAmbiente.CodiceAssComponente "
			." FROM ComponentiAmbiente INNER JOIN TipoComponente  "
			." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
			." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
			." WHERE (((ComponentiAmbiente.IdCommessa)=$IdCommessa)  "
			." AND ((ComponentiAmbiente.IdEdificio)=$mLocalizzazione)  "
			." AND ((ComponentiAmbiente.IDComponente)=$mIdComponente));";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['comp_cod'] = $rs[0];
	}
}

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
