<?php

$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT TOP 1    ElencoEdifici.IdProprietario
	FROM         UtentiEdifici INNER JOIN
						  ElencoEdifici ON UtentiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND UtentiEdifici.IdEdificio = ElencoEdifici.ID
	WHERE     (UtentiEdifici.IdUtente = $IdUtente) AND (ElencoEdifici.IdCommessa = $IdCommessa)
sql;

$IdPropietario = ntxScalar($sql);

if ( !is_numeric($IdPropietario) )
	die("Utente non associato a localizzazione con proprietario!");

$where = " AND ElencoEdifici.IdProprietario = $IdPropietario ";

$sql = <<< sql
	SELECT     ElencoEdifici.IdProprietario, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.NumRichiesta, Ordini.AnnoRichiesta, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, Ordini.Intervento, tblMestieri.Descrizione AS Mestiere, Ordini.DataInizio, Ordini.DataFine, 
						  tblPgAffidatari.Nome AS Affidatario, Ditte.Ditta,
		(SELECT     SUM(RiheContabilità.QTA * RiheContabilità.PzUnitario * (1-isnull(RiheContabilità.Sconto,0)/100))
			FROM         Contabilità  INNER JOIN
								  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
			WHERE     (Contabilità.idStatoc >= 40)
			AND Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
		) AS Importo
		
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
						  Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
						  tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.GradoUrgenza <> N'mp') AND (Ordini.StatoOrd <> 70) 
		
		AND ((Ordini.DataFine IS NULL AND MONTH(Ordini.DataOrdine) = $Mese AND YEAR(Ordini.DataOrdine) = $Anno)
				OR (MONTH(Ordini.DataFine) = $Mese AND  YEAR(Ordini.DataFine) = $Anno))
	$where
	
	ORDER BY Ordini.AnnoOrdine, Ordini.NumOrdine
sql;

$query = ntxQuery($sql);

$righeProprietari = array();

while ( $rs=ntxRecord($query) )
{
	$righeProprietari[$rs[IdProprietario]][] = $rs;
}

$sql = <<< sql
	SELECT DISTINCT Offerte.IdPropietario, Offerte.NRPF, tblPgPropietari.Nome
	
	FROM         ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
                      Offerte INNER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
					  
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.GradoUrgenza <> N'mp') AND (Ordini.StatoOrd <> 70)  AND (Offerte.DataAttivazione IS NOT NULL) 
		
		AND ((Ordini.DataFine IS NULL AND MONTH(Ordini.DataOrdine) = $Mese AND YEAR(Ordini.DataOrdine) = $Anno)
				OR (MONTH(Ordini.DataFine) = $Mese AND  YEAR(Ordini.DataFine) = $Anno))
	$where
	
	ORDER BY Offerte.NRPF, tblPgPropietari.Nome
sql;

$query = ntxQuery($sql);

?>