<?php

require_once('excel_gantt_diretto.php');
require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = "strada";
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = "verde";
	else $EtichettaTipo = "edificio";
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;


	$ultimoDelMese = ntxLastDayMonth($month1, $year1);
	
	for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
			$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
			++$iGiorno )
	{
		$title = "title=\"$iGiorno ".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese.($iGiorno<10 ? "0" : "").$iGiorno;
		
		foreach($ranges[$rs[ID]] as $range)
		{
			if ( $dus==$range[0] ) 
				$conteggio += $range[1];
		}
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;

		$nonCiStaNulla = true;

		foreach($ranges2[$rs[ID]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				$nonCiStaNulla = false;
				
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
			}
		}
				
		if ( $nonCiStaNulla ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			if ( $conteggio ) $percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
				$bgcolor = $conteggio ? "#FF00FF" : "#FF99FF";
			elseif ( $Annullato ) // giallo
				$bgcolor = $conteggio ? "#FFFF00" : "#FFFFaa";
			elseif ( $percentuale>50 ) // verde
				$bgcolor = $conteggio ? "#33FF33" : "#99FF99";
			elseif ( $percentuale>0 ) // arancio
				$bgcolor = $conteggio ? "#FF9900" : "#FFcc55";
			else // rosso
				$frcolor = "white";
			
			$style = "style=\"background-color:$bgcolor;cursor:pointer\"";
			
			if ( $conteggio )
				$table .= "<td $title $style>$conteggio<br>{$s_percentuale}%";
			else
				$table .= "<td $title $style>&nbsp;";
		}
		
		if ( $iGiorno == $ultimoDelMese )
		{
			$iGiorno = 0;
			++$iMese;
			
			if ( $iMese==13 )
			{
				$iMese = 1;
				++$iAnno;
			}

			$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
		}
	}
	
	foreach($righe_attivita[$rs[ID]] as $riga)
		$table .= $riga;
}

?>

<table class=grid>
	<tr><th rowspan=2>ID<th rowspan=2 >Codice<th rowspan=2>Des1<th rowspan=2 class="ElementiCompattabili">Des2<th rowspan=2 class="ElementiCompattabili">Indirizzo
		<th rowspan=2 class="ElementiCompattabili">Comune<th rowspan=2 class="ElementiCompattabili">Prov<th rowspan=2 class="ElementiCompattabili">Cap
		<th rowspan=2 class="ElementiCompattabili">Tipo<th rowspan=2 class="ElementiCompattabili">Ente
<?php


$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1, $colspan=1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno, ++$colspan )
{
	if ( $iGiorno==$ultimoDelMese || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno==$day2) ) 
	{
		echo "<th colspan=$colspan>".$lblMesi[$iMese]." $iAnno";
		$iGiorno = 0;
		$colspan = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

echo "<tr>";

$ultimoDelMese = ntxLastDayMonth($month1, $year1);

for ( $iAnno=$year1, $iMese=$month1, $iGiorno=$day1; 
		$iAnno<$year2 || ($iAnno==$year2  &&  $iMese<$month2) || ($iAnno==$year2  &&  $iMese==$month2  &&  $iGiorno<=$day2); 
		++$iGiorno )
{
	echo "<th>$iGiorno";
	
	if ( $iGiorno == $ultimoDelMese )
	{
		$iGiorno = 0;
		++$iMese;
		
		if ( $iMese==13 )
		{
			$iMese = 1;
			++$iAnno;
		}

		$ultimoDelMese = ntxLastDayMonth($iMese, $iAnno);
	}
}

?>
	<?php echo $table ?>
</table>
