<?php

require_once('excel_gantt_diretto.php');
require_once('elementi_matrice.php');
require_once('elementi_sql.php');

$table = "";

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = "strada";
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = "verde";
	else $EtichettaTipo = "edificio";
	
	$c = "class=\"ElementiCompattabili\"";
	
	$table .= <<< table
		<tr class=alternate tr_id_elem=$rs[ID]>
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td $c>$rs[EdificioEstesa]<td $c>$rs[Indirizzo]
		<td $c>$rs[CITTA]<td $c>$rs[PROVINCIA]<td $c>$rs[CAP]<td $c>$EtichettaTipo<td $c>$rs[Ente]
table;

	for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
	{
		$title = "title=\"".$lblMesi[$iMese]." $iAnno\"";
		
		$conteggio = 0;
		
		$dus = $iAnno.($iMese<10 ? "0" : "").$iMese;
		
		foreach($ranges[$rs[ID]] as $range)
			if ( $dus>= $range[0]  &&  $dus<=$range[1] )
				$conteggio += $range[2];
				
				
		$Aperto = 0;
		$Eseguito = 0;
		$Annullato = 0;
		$Anomalia = 0;

		foreach($ranges2[$rs[ID]] as $range)
		{
			if ( $dus>= $range[dus1]  &&  $dus<=$range[dus2] )
			{
				if ( $range[Aperto] ) 		$Aperto += $range[conteggio];
				if ( $range[Eseguito] ) 	$Eseguito += $range[conteggio];
				if ( $range[Annullato] )	$Annullato += $range[conteggio];
				if ( $range[Anomalia] ) 	$Anomalia += $range[conteggio];
			}
		}
				
		if ( $conteggio==0 ) 
		{
			$table .= "<td $title>";
		}
		else 
		{
			$percentuale = (float)$Eseguito*100/$conteggio;
			$s_percentuale = ntxRound($percentuale,0);
			
			if ( $Anomalia ) // viola
				$bgcolor = "#FF00FF";
			elseif ( $Annullato ) // giallo
				$bgcolor = "#FFFF00";
			elseif ( $percentuale>50 ) // verde
				$bgcolor = "#33FF33";
			elseif ( $percentuale>0 ) // arancio
				$bgcolor = "#FF9900";
			else // rosso
				$bgcolor = "#FF0000";
			
			$style = "style=\"background-color:$bgcolor;cursor:pointer\"";
			
			$table .= "<td $title $style>$conteggio<br>{$s_percentuale}%";
		}
		
		if ( $iMese==12 )
		{
			$iMese = 0;
			++$iAnno;
		}
	}
	
	foreach($righe_attivita[$rs[ID]] as $riga)
		$table .= $riga;
}

?>

<table class=grid>
	<tr><th rowspan=2>ID<th rowspan=2 >Codice<th rowspan=2>Des1<th rowspan=2 class="ElementiCompattabili">Des2<th rowspan=2 class="ElementiCompattabili">Indirizzo
		<th rowspan=2 class="ElementiCompattabili">Comune<th rowspan=2 class="ElementiCompattabili">Prov<th rowspan=2 class="ElementiCompattabili">Cap
		<th rowspan=2 class="ElementiCompattabili">Tipo<th rowspan=2 class="ElementiCompattabili">Ente
<?php

for ( $iAnno=$year1, $iMese=$month1, $colspan=1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese, ++$colspan )
{
	if ( $iMese==12 || ($iAnno==$year2  &&  $iMese==$month2) ) 
	{
		echo "<th colspan=$colspan>$iAnno";
		$iMese = 0;
		++$iAnno;
		$colspan = 0;
	}
}

echo "<tr>";

for ( $iAnno=$year1, $iMese=$month1; $iAnno<$year2 || ($iAnno==$year2  &&  $iMese<=$month2); ++$iMese )
{
	echo "<th>".$lblMesi[$iMese];
	
	if ( $iMese==12 )
	{
		$iMese = 0;
		++$iAnno;
	}
}

?>
	<?php echo $table ?>
</table>
