<?php

$sql = <<< sql
SELECT     a.Ordine, a.Voce, StatoVociListeControlloPRG.IdCommessa, a.IdOrdineProgrammato, a.IdVoce, StatoVociListeControlloPRG.NonConformità, 
                      StatoVociListeControlloPRG.NumRichiesta, StatoVociListeControlloPRG.AnnoRichiesta
FROM         (SELECT     ListeControlloAttivitàMestiere.Ordine, ListeControlloAttivitàMestiere.Voce, tblOrdiniProgrammati.IdCommessa, 
                                              tblOrdiniProgrammati.IdOrdineProgrammato, ListeControlloAttivitàMestiere.IdVoce
                       FROM          tblOrdiniProgrammati INNER JOIN
                                              ListeControlloAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = ListeControlloAttivitàMestiere.IdCommessa AND 
                                              tblOrdiniProgrammati.IdAttivitàMestiere = ListeControlloAttivitàMestiere.IdAttivitàMestiere
                       WHERE      (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato)) AS a left JOIN
                      StatoVociListeControlloPRG ON a.IdCommessa = StatoVociListeControlloPRG.IdCommessa AND 
                      a.IdOrdineProgrammato = StatoVociListeControlloPRG.IdOrdineProgrammato AND a.IdVoce = StatoVociListeControlloPRG.IdVoceListaControllo
ORDER BY a.Ordine, a.Voce
sql;


$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$NonConformità = $rs[NonConformità] ? 'SI' : 'no';
	
	$addStyle = is_numeric($rs[IdCommessa]) ? "font-weight: bold" : "";
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$righe_tabella .= <<< righe_tabella
		<tr>
			<td style="$addStyle">&nbsp;$html[Voce]</td>
			<td style="text-align:center;$addStyle">&nbsp;$NonConformità</td>
			<td style="text-align:center;$addStyle">&nbsp;$html[NumRichiesta]/$html[AnnoRichiesta]</td>
righe_tabella;
}

/*echo <<< table
<br>
	<table class=grid >
		<tr>
			<th>Voce
			<th>Non Conformità
			<th>Richiesta
		$righe_tabella
	</table>
table;*/
echo
"<br>
	<table class=grid >
		<tr>"
			."<th>".$traduttore->traduci('Voce')
			."<th>".$traduttore->traduci('Non Conformità')
			."<th>".$traduttore->traduci('Richiesta')
		."$righe_tabella
	</table>"
;

?>