<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID id0, ElencoEdifici.Codice cod0, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente,
					  tblMestieri.Ordine AS ord1, tblMestieri.codice AS cod1, tblMestieri.Descrizione AS des1, tblMestieri.IdMestiere AS id1, tblComponetiMestiere.Ordine AS ord2, 
                      tblComponetiMestiere.codice AS cod2, tblComponetiMestiere.Descrizione AS des2, tblComponetiMestiere.IdComponenteMestiere AS id2, 
                      tblAttivitàMestiere.Ordine AS ord3, tblAttivitàMestiere.codice AS cod3, tblAttivitàMestiere.Descrizione AS des3, tblAttivitàMestiere.IdAttivitàMestiere AS id3, 
                      tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg,
					  tblOrdiniProgrammati.IdCommessa, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.Eseguito, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Note, 
                      tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine, Ditte.Ditta,
					   tblOrdiniProgrammati.IdAnomalia,
					   tblOrdiniProgrammati.IdVerifica, tblOrdiniProgrammati.DataVerifica, tblOrdiniProgrammati.NoteVerifica, tblOrdiniProgrammati.UtenteVerifica, 
                      MotivazioniAnnullamentiOrdiniProgrammati.Motivazione,
					  (
						SELECT     COUNT(*) AS Expr1
						FROM         ListeControlloAttivitàMestiere
						WHERE     (IdCommessa = tblAttivitàMestiere.IdCommessa) AND (IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere)
						) NumVociLC,

						(
						SELECT     COUNT(*) AS Expr1
						FROM         StatoVociListeControlloPRG
						WHERE     (IdCommessa = tblOrdiniProgrammati.IdCommessa) AND (IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato)
						) NumFlaggedVociLC
						
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Ditte ON tblOrdiniProgrammati.IdFornitore = Ditte.IDDitta INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio LEFT OUTER JOIN
                      tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
                      tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza LEFT OUTER JOIN
                      MotivazioniAnnullamentiOrdiniProgrammati ON tblOrdiniProgrammati.IdMotivoAnnullamento = MotivazioniAnnullamentiOrdiniProgrammati.Id
					  where tblOrdiniProgrammati.IdCommessa=$IdCommessa and tblOrdiniProgrammati.IdOrdineProgrammato=$IdOrdineProgrammato
sql;


$rs = ntxRecord(ntxQuery($sql));

$rs[Aperto]=$rs[Aperto] ? "SI" : "no";
$rs[Anomalia]=$rs[Anomalia] ? "SI" : "no";
$rs[Eseguito]=$rs[Eseguito] ? "SI" : "no";
$rs[Annullato]=$rs[Annullato] ? "SI" : "no";

$rs[dataInizioProg] = ntxDate($rs[dataInizioProg]);
$rs[dataFineProg] = ntxDate($rs[dataFineProg]);
$rs[dataInizio] = ntxDate($rs[dataInizio]);
$rs[datafine] = ntxDate($rs[datafine]);

$rs[DataVerifica] = ntxDateTime($rs[DataVerifica]);
$rs[StatoVerifica]=$rs[IdVerifica]==1 ? "Contestato" : "";

$rs[NumOrdine] = (int)$rs[NumOrdine];

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);
	
/*echo <<< table
	<table class=grid style="width:100%">
		<tr>
			<th>Attività
			<th>Num
			<th>Data Inizio Prog
			<th>Data Fine Prog
			<th>Data Inizio
			<th>Data Fine
			<th>Aperto
			<th>Anomalia
			<th>Eseguito
			<th>Annullato
			<th>Motivo Annullo
			<th>Ditta Esecutrice
			<th>Note
			<th>NumOrdine
			<th>AnnoOrdine
			<th>Stato Verifica
			<th>Data Verifica
			<th>Note Verifica
			<th>Utente Verifica
			<th>Liste Controllo
		<tr>
			<td style="width:221px">&nbsp;{$html[cod3]}{$html[des3]}</td>

			<td>&nbsp;$html[IdOrdineProgrammato]</td>
			
			<td>&nbsp;$html[dataInizioProg]</td>
			<td>&nbsp;$html[dataFineProg]</td>

			<td>&nbsp;$html[dataInizio]</td>
			<td>&nbsp;$html[datafine]</td>
			
			<td>&nbsp;$html[Aperto]</td>
			<td>&nbsp;$html[Anomalia]</td>
			<td>&nbsp;$html[Eseguito]</td>
			<td>&nbsp;$html[Annullato]</td>
			<td>&nbsp;$html[Motivazione]</td>
			
			<td>&nbsp;$html[Ditta]</td>
			<td>&nbsp;$html[Note]</td>
			<td>&nbsp;$html[NumOrdine]</td>
			<td>&nbsp;$html[AnnoOrdine]</td>
			
			<td>&nbsp;$html[StatoVerifica]</td>
			<td>&nbsp;$html[DataVerifica]</td>
			<td>&nbsp;$html[NoteVerifica]</td>
			<td>&nbsp;$html[UtenteVerifica]</td>
			<td>$html[NumFlaggedVociLC]/$html[NumVociLC]</td>
	</table>
table;*/
echo
	"<table class=grid style=\"width:100%\">
		<tr>"
			."<th>".$traduttore->traduci('Attività')
			."<th>".$traduttore->traduci('Numero')
			."<th>".$traduttore->traduci('Data Inizio Prog')
			."<th>".$traduttore->traduci('Data Fine Prog')
			."<th>".$traduttore->traduci('Data Inizio')
			."<th>".$traduttore->traduci('Data Fine')
			."<th>".$traduttore->traduci('Aperto')
			."<th>".$traduttore->traduci('Anomalia')
			."<th>".$traduttore->traduci('Eseguito')
			."<th>".$traduttore->traduci('Annullato')
			."<th>".$traduttore->traduci('Motivo Annullo')
			."<th>".$traduttore->traduci('Ditta Esecutrice')
			."<th>".$traduttore->traduci('Note')
			."<th>".$traduttore->traduci('Numero Ordine')
			."<th>".$traduttore->traduci('Anno Ordine')
			."<th>".$traduttore->traduci('Stato Verifica')
			."<th>".$traduttore->traduci('Data Verifica')
			."<th>".$traduttore->traduci('Note Verifica')
			."<th>".$traduttore->traduci('Utente Verifica')
			."<th>".$traduttore->traduci('Liste Controllo')
		."<tr>
			<td style=\"width:221px\">&nbsp;{$html[cod3]}{$html[des3]}</td>

			<td>&nbsp;$html[IdOrdineProgrammato]</td>
			
			<td>&nbsp;$html[dataInizioProg]</td>
			<td>&nbsp;$html[dataFineProg]</td>

			<td>&nbsp;$html[dataInizio]</td>
			<td>&nbsp;$html[datafine]</td>
			
			<td>&nbsp;$html[Aperto]</td>
			<td>&nbsp;$html[Anomalia]</td>
			<td>&nbsp;$html[Eseguito]</td>
			<td>&nbsp;$html[Annullato]</td>
			<td>&nbsp;$html[Motivazione]</td>
			
			<td>&nbsp;$html[Ditta]</td>
			<td>&nbsp;$html[Note]</td>
			<td>&nbsp;$html[NumOrdine]</td>
			<td>&nbsp;$html[AnnoOrdine]</td>
			
			<td>&nbsp;$html[StatoVerifica]</td>
			<td>&nbsp;$html[DataVerifica]</td>
			<td>&nbsp;$html[NoteVerifica]</td>
			<td>&nbsp;$html[UtenteVerifica]</td>
			<td>$html[NumFlaggedVociLC]/$html[NumVociLC]</td>
	</table>"
;

?>