<?php

$sql = <<< sql
	SELECT     Preventivi.NumRichiesta, Preventivi.AnnoRichiesta, RihePreventivi.Cod, RihePreventivi.Descrizione, RihePreventivi.UM, RihePreventivi.Formula, RihePreventivi.QTA, 
						  RihePreventivi.PzUnitario, RihePreventivi.Sconto,  
						  
						  RihePreventivi.QTA * RihePreventivi.PzUnitario Lordo,
						  
						  RihePreventivi.QTA * RihePreventivi.PzUnitario * 0.951126 Netto,
						  
						  RihePreventivi.Prezziario
						  
	
	FROM         Preventivi INNER JOIN
					  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo 
					  LEFT OUTER JOIN
						  ElencoPrezziInCommessa ON RihePreventivi.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo AND 
						  RihePreventivi.IdCommessa = ElencoPrezziInCommessa.IdCommessa
	WHERE     (Preventivi.IDCommessa = $IdCommessa) AND (Preventivi.NumRichiesta = $NumRichiesta) AND (Preventivi.AnnoRichiesta = $AnnoRichiesta) 
		$AND_WHERE	
		
	ORDER BY RihePreventivi.Cod, Preventivi.AnnoRichiesta, Preventivi.NumRichiesta
sql;

$query = ntxQuery($sql);

echo <<< echo
	<p class=Title2>$titolo</p>
	<table class=Table4>
		<tr>
			<th>Cod Prezzo
			<th>Prezziario
			<th>Rif
			<th>Descrizione
			<th>UM
			<th>Formula
			<th>QTA
			<th>PzUnitario
			<th>%
			<th>Importo Lordo
			<th>Importo Netto
echo;

$TotaleLordo = $TotaleNetto = 0;

while($rs = ntxRecord($query))
{
	$TotaleLordo += $rs[Lordo];
	$TotaleNetto += $rs[Netto];
	
	$rs[NumRichiesta] = (int)$rs[NumRichiesta];
	$rs[QTA] = ntxRound($rs[QTA],2);
	$rs[PzUnitario] = ntxRound($rs[PzUnitario],2);
	$rs[Sconto] = ntxRound($rs[Sconto],2);
	$rs[PzNetto] = ntxRound($rs[PzNetto],2);
	$rs[Lordo] = ntxRound($rs[Lordo],2);
	$rs[Netto] = ntxRound($rs[Netto],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	echo <<< echo
			<tr>
				<td>$html[Cod]
				<td>$html[Prezziario]
				<td>$html[NumRichiesta]-$html[AnnoRichiesta]
				<td>$html[Descrizione]
				<td>$html[UM]
				<td>$html[Formula]
				<td style="text-align:right">$html[QTA]
				<td style="text-align:right">$html[PzUnitario]
				<td style="text-align:right">$html[Sconto]
				<td style="text-align:right">$html[Lordo]
				<td style="text-align:right">
echo;
}


$TotaleLordoPrint = ntxRound($TotaleLordo,2);
$TotaleNettoPrint = ntxRound($TotaleNetto,2);


echo <<< echo
			<tr>
				<td class=totali colspan=9 style="text-align:right">Totale $titolo:
				<td class=totali style="text-align:right">$TotaleLordoPrint
				<td class=totali style="text-align:right">$TotaleNettoPrint
		</table>
echo;
?>

