<?php 

$sql = <<< sql
	SELECT     
		ElencoEdifici.Codice, 
		ElencoEdifici.Tipo, 
		Ordini.CodEdificio AS IdEdificio, 
		Ordini.AnnoOrdine, 
		Ordini.NumOrdine, 
		tblMestieri.Descrizione AS desmes, 
		
		LTRIM(ElencoEdifici.Codice) + ' - ' + LTRIM(ElencoEdifici.EdificioBreve) AS Ed, 
		LTRIM(Ordini.NumOrdine) + ' - ' + LTRIM(Ordini.AnnoOrdine) AS ORD, 
		LTRIM(tblMestieri.codice) + ' - ' + LTRIM(tblMestieri.Descrizione) AS Mestiere, 
		LTRIM(Richieste.NumRichiesta) + ' - ' + LTRIM(Richieste.AnnoRichiesta) AS RIC, 
		
		RiheContabilità.ValidazioneSAL, 
		Richieste.Descrizione AS desric, 
		Ordini.DescrizioneIntervento, 
		RiheContabilità.PzUnitario, 
		RiheContabilità.QTA * RiheContabilità.PzUnitario AS IMP, 
		RiheContabilità.Cod, 
		RiheContabilità.Descrizione AS desrihe, 
		RiheContabilità.UM, 
		RiheContabilità.QTA, 
		Contabilità.DataUltimaConsegna
		
	FROM         Ordini INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN
						  Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
						  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
						  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
	WHERE     (Contabilità.IdSalDefContrattoGestione = $IdSal) AND (Contabilità.IDCommessa = $IdCommessa)
	ORDER BY ElencoEdifici.Codice, IdEdificio, Ordini.AnnoOrdine, Ordini.NumOrdine, RiheContabilità.ValidazioneSAL
sql;

$query = ntxQuery($sql);

$table = "";

$IdEdificio = "abc";
$NumOrdine = "abc";
$AnnoOrdine = "abc";

$ImpEdif = 0;
$ImpOrd = 0;

while($rs = ntxRecord($query))
{
	$TipoLocalizzazione = $rs[Tipo];
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$rs[DataUltimaConsegna] = ntxDate($rs[DataUltimaConsegna]);

	$imp = $rs[IMP];
	
	$rs[PzUnitario] = ntxRoundThousand($rs[PzUnitario], 2);
	$rs[QTA] = ntxRoundThousand($rs[QTA], 2);
	$rs[IMP] = ntxRoundThousand($rs[IMP], 2);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $IdEdificio!=$rs[IdEdificio] )
	{
		if ( $IdEdificio!="abc" )
		{
			$htmlImpEdif = ntxRoundThousand($ImpEdif, 2);
			$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
			$ImpEdif = 0;
			$ImpOrd = 0;
			
			$table .= <<< table
					<tr>
						<td colspan=7>Totale ODL: $lastORD $lastDescrizioneIntervento
						<td style="text-align:right">$htmlImpOrd
					<tr>
						<td colspan=7>Totale Localizzazione: $lastEd
						<td style="text-align:right">$htmlImpEdif
				</table>
				<hr>
table;
		}

		$IdEdificio = $rs[IdEdificio];
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		$table .= <<< table
			<table class=table>
				<tr>
					<th>N°<br>prg.
					<th>Data<br>Misure
					<th>Codice
					<th>Indicazione dei Lavori e delle<br>Provviste
					<th>UM
					<th>Qtà
					<th>Prezzo<br>Unitario
					<th>Importo
				<tr><td colspan=8>Localizzazione: $html[Ed]
				<tr><td colspan=8>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=8>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=8>$html[Mestiere]
table;
	}
	elseif ( $rs[NumOrdine]!=$NumOrdine || $rs[AnnoOrdine]!=$AnnoOrdine )
	{
		if ( $NumOrdine!="abc" )
		{
			$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
			$ImpOrd = 0;
			
			$table .= <<< table
					<tr>
						<td colspan=7>Totale ODL: $lastORD $lastDescrizioneIntervento
						<td style="text-align:right">$htmlImpOrd
table;
		}

		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		$table .= <<< table
				<tr><td colspan=8>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=8>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=8>$html[Mestiere]
table;
	}
		
	$table .= <<< table
			<tr>
				<td style="text-align:right">$html[ValidazioneSAL]
				<td style="text-align:right">$html[DataUltimaConsegna]
				<td>$html[Cod]
				<td>$html[desrihe]
				<td>$html[UM]
				<td style="text-align:right">$html[QTA]
				<td style="text-align:right">$html[PzUnitario]
				<td style="text-align:right">$html[IMP]
table;

	$ImpEdif += $imp;
	$ImpOrd += $imp;

	$lastORD = $html[ORD];
	$lastDescrizioneIntervento = $html[DescrizioneIntervento];
	$lastEd = $html[Ed];
}

if ( $IdEdificio!="abc" )
{
	$htmlImpEdif = ntxRoundThousand($ImpEdif, 2);
	$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
	
	$table .= <<< table
			<tr>
				<td colspan=7>Totale ODL: $lastORD $lastDescrizioneIntervento
				<td style="text-align:right">$htmlImpOrd
			<tr>
				<td colspan=7>Totale Localizzazione: $lastEd
				<td style="text-align:right">$htmlImpEdif
		</table>
		<hr>
table;
}

echo $table;
		
?>

