<?php 

$sql = <<< sql
	SELECT     
		ElencoEdifici.Codice, 
		ElencoEdifici.Tipo, 
		Ordini.CodEdificio AS IdEdificio, 
		Ordini.AnnoOrdine, 
		Ordini.NumOrdine, 
		tblMestieri.Descrizione AS desmes, 
		
		LTRIM(ElencoEdifici.Codice) + ' - ' + LTRIM(ElencoEdifici.EdificioBreve) AS Ed, 
		LTRIM(Ordini.NumOrdine) + ' - ' + LTRIM(Ordini.AnnoOrdine) AS ORD, 
		LTRIM(tblMestieri.codice) + ' - ' + LTRIM(tblMestieri.Descrizione) AS Mestiere, 
		LTRIM(Richieste.NumRichiesta) + ' - ' + LTRIM(Richieste.AnnoRichiesta) AS RIC, 
		
		RiheContabilità.ValidazioneSAL, 
		Richieste.Descrizione AS desric, 
		Ordini.DescrizioneIntervento, 
		RiheContabilità.Cod, 
		RiheContabilità.Descrizione AS desrihe, 
		RiheContabilità.UM, 
		RiheContabilità.QTA, 
		Contabilità.DataUltimaConsegna
		
	FROM         Ordini INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine INNER JOIN
						  Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
						  Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
						  RiheContabilità ON Contabilità.IDCommessa = RiheContabilità.IdCommessa AND Contabilità.NumContabilità = RiheContabilità.NumContabilità
	WHERE     (Contabilità.IdSalDefContrattoGestione = $IdSal) AND (Contabilità.IDCommessa = $IdCommessa)
	ORDER BY ElencoEdifici.Codice, IdEdificio, Ordini.AnnoOrdine, Ordini.NumOrdine, RiheContabilità.ValidazioneSAL
sql;

$query = ntxQuery($sql);

$table = "";

$IdEdificio = "abc";
$NumOrdine = "abc";
$AnnoOrdine = "abc";

while($rs = ntxRecord($query))
{
	$TipoLocalizzazione = $rs[Tipo];
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$rs[DataUltimaConsegna] = ntxDate($rs[DataUltimaConsegna]);

	$rs[QTA] = ntxRoundThousand($rs[QTA], 2);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $IdEdificio!=$rs[IdEdificio] )
	{
		if ( $IdEdificio!="abc" )
		{
			$table .= <<< table
				</table>
				<hr>
table;
		}

		$IdEdificio = $rs[IdEdificio];
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		/*$table .= <<< table
			<table class=table>
				<tr>
					<th>N°<br>prg.
					<th>Data<br>Misure
					<th>Codice
					<th>Indicazione dei Lavori e delle<br>Provviste
					<th>UM
					<th>Qtà
				<tr><td colspan=6>Localizzazione: $html[Ed]
				<tr><td colspan=6>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=6>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=6>$html[Mestiere]
table;*/
		$table .=
			"<table class=table>
				<tr>"
					."<th>".$traduttore->traduci('N° prg.')
					."<th>".$traduttore->traduci('Data Misure')
					."<th>".$traduttore->traduci('Codice')
					."<th>".$traduttore->traduci('Indicazione dei Lavori e delle Provviste')
					."<th>".$traduttore->traduci('UM')
					."<th>".$traduttore->traduci('Qtà')
				."<tr><td colspan=6>".$traduttore->traduci('Localizzazione:')." $html[Ed]
				<tr><td colspan=6>".$traduttore->traduci('ODL:')." $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=6>".$traduttore->traduci('Richiesta:')." $html[RIC] $html[desric]
				<tr><td colspan=6>$html[Mestiere]"
;
	}
	elseif ( $rs[NumOrdine]!=$NumOrdine || $rs[AnnoOrdine]!=$AnnoOrdine )
	{
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		/*$table .= <<< table
				<tr><td colspan=6>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=6>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=6>$html[Mestiere]
table;*/
		$table .=
				"<tr><td colspan=6>".$traduttore->traduci('ODL:')." $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=6>".$traduttore->traduci('Richiesta:')." $html[RIC] $html[desric]
				<tr><td colspan=6>$html[Mestiere]"
;
	}
		
	$table .= <<< table
			<tr>
				<td style="text-align:right">$html[ValidazioneSAL]
				<td style="text-align:right">$html[DataUltimaConsegna]
				<td>$html[Cod]
				<td>$html[desrihe]
				<td>$html[UM]
				<td style="text-align:right">$html[QTA]
table;
}

if ( $IdEdificio!="abc" )
{
	$table .= <<< table
		</table>
table;
}

echo $table;
		
?>

