<?php

function ConvDate($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxYear($date).ntxMonth($date).ntxDay($date); 
}

function TranslateText($text)
{
	$replace = array(
		"à", "a'",
		"è", "e'",
		"é", "e'",
		"ì", "i'",
		"ò", "o'",
		"ù", "u'",
		"À", "A'",
		"È", "E'",
		"É", "E'",
		"Ì", "I'",
		"Ò", "O'",
		"Ù", "U'",
		"n°", "n.",
		"N°", "N."
	);
	
	$len = count($replace)-1;
	
	for ( $i=0; $i<$len; $i=$i+2 )
		$text = str_replace($replace[$i], $replace[$i+1], $text);
		
	return trim($text);
}

if ( "".$_POST[Data1]!="" )
{
	$Data1 = ntxtp('Data1');
	$andWhere = " AND (Offerte.DataStipulaOrdine <= $Data1)";
}

//Offerte.Lotto
$sql = <<< sql
	SELECT     tblPgPropietari.CodiceFiscale AS CODI_FISC_ENTE, Offerte.CodFiscaleReferente AS CODI_FISC_REF, Offerte.NRPF AS CODI_ORDINE, 
                      (SELECT SEQ_LOTTO FROM Commesse WHERE IDCommessa=$IdCommessa) AS CODI_LOTTO, Offerte.ProtocolloOPF AS CODI_PROT, Offerte.DataOPF AS DTTM_PROT, Offerte.DataStipulaOrdine AS DTTM_STIPULA, 
                      Offerte.TipoEmissioneOrdineOPF AS TIPO_EM, Offerte.NRPF AS CODI_RIC_PRE, Offerte.DataAttivazione AS DTTM_INIZIO_ER, 
                      Offerte.DurataContratto AS DURATA_CONTR, Offerte.ImportoRiservato AS IMPO_RIS, ISNULL(Offerte.CodFiscEnteFatturazione, 
                      tblPgPropietari.CodiceFiscale) AS CODI_FISC_ENTE_FATT, Offerte.NumIdentificativoOrdine AS NUM_ID_ORDINE
	FROM         Offerte INNER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario
					  
	WHERE     (Offerte.IdCommessa = $IdCommessa) AND ((Offerte.IdOfferta <> 2) or (Offerte.IdOfferta=2 and Offerte.IdCommessa<>1))
		$andWhere
		
	ORDER BY Offerte.IdOfferta
sql;

$query = ntxQuery($sql);

$text_body = "";

while ( $rs=ntxRecord($query) )
{
	$CODI_FISC_ENTE = substr(TranslateText($rs[CODI_FISC_ENTE]), 0, 16);
	$CODI_FISC_REF = substr(TranslateText($rs[CODI_FISC_REF]), 0, 16);
	$CODI_FISC_ENTE_FATT = substr(TranslateText($rs[CODI_FISC_ENTE_FATT]), 0, 16);
	
	$CODI_RIC_PRE = "RPF".str_pad((int) $rs[CODI_RIC_PRE],3,"0",STR_PAD_LEFT);
	$CODI_RIC_PRE = substr(TranslateText($CODI_RIC_PRE), 0, 20);
	
	$CODI_ORDINE = "OPF".str_pad((int) $rs[CODI_ORDINE],3,"0",STR_PAD_LEFT);
	$CODI_ORDINE = substr(TranslateText($CODI_ORDINE), 0, 20);
	
	$CODI_LOTTO = substr(TranslateText($rs[CODI_LOTTO]), 0, 4);
	
	$CODI_PROT = substr(TranslateText($rs[CODI_PROT]), 0, 25);
	
	$DTTM_PROT = ConvDate($rs[DTTM_PROT]);
	$DTTM_INIZIO_ER = ConvDate($rs[DTTM_INIZIO_ER]);
	$DTTM_STIPULA = ConvDate($rs[DTTM_STIPULA]);

	$TIPO_EM = "F";//substr(TranslateText($rs[TIPO_EM]), 0, 1);

	$DURATA_CONTR = substr(TranslateText($rs[DURATA_CONTR]), 0, 3);
	$NUM_ID_ORDINE = substr(TranslateText($rs[NUM_ID_ORDINE]), 0, 14);
	
	$IMPO_RIS = str_replace(",", ".", ntxRound($rs[IMPO_RIS], 4));
	
	if ( $text_body!="" ) $text_body .= "\n";
	
	$text_body .= "$CODI_FISC_ENTE|$CODI_FISC_REF|$CODI_ORDINE|$CODI_LOTTO|$CODI_PROT|$DTTM_PROT|$DTTM_STIPULA|$TIPO_EM|$CODI_RIC_PRE|$DTTM_INIZIO_ER|$DURATA_CONTR|$IMPO_RIS|$CODI_FISC_ENTE_FATT|$NUM_ID_ORDINE";
}

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$textFile = tempnam($dir, "ORD4").".txt";

$mapfile_handle = fopen($textFile, 'w');
fwrite($mapfile_handle, $text_body);
fclose($mapfile_handle);

?>