<?php

function ConvDate($date)
{ 
	if ( strlen($date.="")>=19 ) 
		return ntxYear($date).ntxMonth($date).ntxDay($date); 
}

function TranslateText($text)
{
	$replace = array(
		"à", "a'",
		"è", "e'",
		"é", "e'",
		"ì", "i'",
		"ò", "o'",
		"ù", "u'",
		"À", "A'",
		"È", "E'",
		"É", "E'",
		"Ì", "I'",
		"Ò", "O'",
		"Ù", "U'",
		"n°", "n.",
		"N°", "N."
	);
	
	$len = count($replace)-1;
	
	for ( $i=0; $i<$len; $i=$i+2 )
		$text = str_replace($replace[$i], $replace[$i+1], $text);
		
	return trim($text);
}

if ( "".$_POST[Data1]!="" )
{
	$Data1 = ntxtp('Data1');
	$andWhere = " AND (Offerte.DataStipulaOrdine <= $Data1)";
}

//Offerte.Lotto
$sql = <<< sql
	SELECT     
			tblPgPropietari.CodiceFiscale AS CODI_FISC_ENTE, 
			Offerte.CodFiscaleReferente AS CODI_FISC_REF,
			OfferteRevisioneConsistenza.CodiceAtto AS CODI_ATTO, 
			(SELECT SEQ_LOTTO FROM Commesse WHERE IDCommessa=$IdCommessa) AS SEQU_LOTTO,
			OfferteRevisioneConsistenza.Protocollo AS CODI_PROTOCOLLO,
			OfferteRevisioneConsistenza.DataProtocollo AS DTTM_PROTOCOLLO, 
			OfferteRevisioneConsistenza.DataAccettazioneAtto AS DTTM_ACCETTAZIONE_ATTO, 
			OfferteRevisioneConsistenza.TipoEmissioneAtto AS TIPO_EMISSIONE_ATTO,
			Offerte.NRPF AS CODI_ORDINE, 
			OfferteRevisioneConsistenza.Data AS DTTM_LIMITE_PREVISTA,
			OfferteRevisioneConsistenza.DurataContratto AS DURATA_CONTRATTO, 
			OfferteRevisioneConsistenza.ImportoRiservatoExtracanone AS IMPO_MODIFICA_RISERVA, 
			ISNULL(Offerte.CodFiscEnteFatturazione,tblPgPropietari.CodiceFiscale) AS CODI_FISC_ENTE_FATT, 
			OfferteRevisioneConsistenza.IdentificativoAtto AS ID_ATTO
	FROM         Offerte INNER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario INNER JOIN
                      OfferteRevisioneConsistenza ON Offerte.IdCommessa = OfferteRevisioneConsistenza.IdCommessa AND 
                      Offerte.IdOfferta = OfferteRevisioneConsistenza.IdOfferta
	WHERE     (NOT (OfferteRevisioneConsistenza.IdentificativoAtto IS NULL))					  
		and     (Offerte.IdCommessa = $IdCommessa)
		$andWhere
		
	ORDER BY Offerte.IdOfferta
sql;

$query = ntxQuery($sql);

$text_body = "";

while ( $rs=ntxRecord($query) )
{
	$CODI_FISC_ENTE = substr(TranslateText($rs[CODI_FISC_ENTE]), 0, 16);
	$CODI_FISC_REF = substr(TranslateText($rs[CODI_FISC_REF]), 0, 16);
	$CODI_ATTO = substr(TranslateText($rs[CODI_ATTO]), 0, 20);
	
	$SEQU_LOTTO = substr(TranslateText($rs[SEQU_LOTTO]), 0, 4);
	
	$CODI_PROTOCOLLO = substr(TranslateText($rs[CODI_PROTOCOLLO]), 0, 25);
	
	$DTTM_PROTOCOLLO = ConvDate($rs[DTTM_PROTOCOLLO]);
	
	$DTTM_ACCETTAZIONE_ATTO = ConvDate($rs[DTTM_ACCETTAZIONE_ATTO]);
	$TIPO_EMISSIONE_ATTO = substr(TranslateText($rs[TIPO_EMISSIONE_ATTO]), 0, 1);
	
	$CODI_ORDINE = "OPF".str_pad((int) $rs[CODI_ORDINE],3,"0",STR_PAD_LEFT);
	$CODI_ORDINE = substr(TranslateText($CODI_ORDINE), 0, 20);
	$DTTM_LIMITE_PREVISTA = ConvDate($rs[DTTM_LIMITE_PREVISTA]);

	$DURATA_CONTRATTO = substr(TranslateText($rs[DURATA_CONTRATTO]), 0, 3);
	
	$IMPO_MODIFICA_RISERVA = str_replace(",", ".", ntxRound($rs[IMPO_MODIFICA_RISERVA], 4));
	
	$CODI_FISC_ENTE_FATT = substr(TranslateText($rs[CODI_FISC_ENTE_FATT]), 0, 16);
	
	$ID_ATTO = substr(TranslateText($rs[ID_ATTO]), 0, 14);

	if ( $text_body!="" ) $text_body .= "\n";
	
	//$text_body .= "$CODI_FISC_ENTE|$CODI_FISC_REF|$CODI_ATTO|$SEQU_LOTTO|$CODI_PROTOCOLLO|$DTTM_PROTOCOLLO|$DTTM_ACCETTAZIONE_ATTO|$TIPO_EMISSIONE_ATTO|$CODI_ORDINE|$DTTM_LIMITE_PREVISTA|$DURATA_CONTRATTO|$IMPO_MODIFICA_RISERVA|$CODI_FISC_ENTE_FATT|$ID_ATTO";
	$text_body .= "$CODI_FISC_ENTE|$CODI_FISC_REF|$CODI_ATTO|$SEQU_LOTTO|$CODI_PROTOCOLLO|$DTTM_PROTOCOLLO|$DTTM_ACCETTAZIONE_ATTO|$TIPO_EMISSIONE_ATTO|$CODI_ORDINE|$DTTM_LIMITE_PREVISTA|$DURATA_CONTRATTO|$IMPO_MODIFICA_RISERVA|$CODI_FISC_ENTE_FATT";
}

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$textFile = tempnam($dir, "ATT4").".txt";

$mapfile_handle = fopen($textFile, 'w');
fwrite($mapfile_handle, $text_body);
fclose($mapfile_handle);

?>