<?php

function TranslateText($text)
{
	$replace = array(
		"à", "a'",
		"è", "e'",
		"é", "e'",
		"ì", "i'",
		"ò", "o'",
		"ù", "u'",
		"À", "A'",
		"È", "E'",
		"É", "E'",
		"Ì", "I'",
		"Ò", "O'",
		"Ù", "U'",
		"n°", "n.",
		"N°", "N."
	);
	
	$len = count($replace)-1;
	
	for ( $i=0; $i<$len; $i=$i+2 )
		$text = str_replace($replace[$i], $replace[$i+1], $text);
		
	return trim($text);
}

$sql = <<< sql
	SELECT     Codice AS CODI_SERVIZIO, Descrizione AS DESC_ARTICOLO, UM AS UDM, Fattore AS PREZZO_UNITARIO
	FROM         TipiComponentiMestieri
	WHERE     (IdCommessa = $IdCommessa) AND (Fattore IS NOT NULL) AND (Codice IS NOT NULL)

	UNION

	SELECT     CodiceLight AS CODI_SERVIZIO, Descrizione AS DESC_ARTICOLO, UM AS UDM, FattoreLight AS PREZZO_UNITARIO
	FROM         TipiComponentiMestieri
	WHERE     (IdCommessa = $IdCommessa) AND (CodiceLight <> Codice) AND (FattoreLight IS NOT NULL) AND (Codice IS NOT NULL)

	ORDER BY CODI_SERVIZIO, DESC_ARTICOLO
sql;

$query = ntxQuery($sql);

$text_body = "";

while ( $rs=ntxRecord($query) )
{
	$CODI_SERVIZIO = substr(TranslateText($rs[CODI_SERVIZIO]), 0, 20);
	$DESC_ARTICOLO = str_replace("\n", " ", substr(TranslateText($rs[DESC_ARTICOLO]), 0, 200));
	$UDM = str_replace("\n", " ", substr(TranslateText($rs[UDM]), 0, 15));
	$PREZZO_UNITARIO = str_replace(",", ".", ntxRound($rs[PREZZO_UNITARIO], 4));
	
	if ( $text_body!="" ) $text_body .= "\n";
	
	//$text_body .= "$CODI_SERVIZIO|$DESC_ARTICOLO|$UDM|$PREZZO_UNITARIO|$DTTM_INIZIO|$CODI_LOTTI|$DTTM_FINE";
	$text_body .= "$CODI_SERVIZIO|$DESC_ARTICOLO|$UDM|$PREZZO_UNITARIO|$CODI_LOTTI";
}

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$textFile = tempnam($dir, "CTG4").".txt";

$mapfile_handle = fopen($textFile, 'w');
fwrite($mapfile_handle, $text_body);
fclose($mapfile_handle);

?>