<?php

$TipiComponentiMestieriFattore = "case when $IdCommessa=2 then round(TipiComponentiMestieri.Fattore,4) else TipiComponentiMestieri.Fattore end";

$subSqlFattoreLightNoLight = <<< subSqlFattoreLightNoLight
	case when OfferteEdifici.FacilityManagementLight=1 then
		case when TipiComponentiMestieri.FattoreLight IS NOT NULL then
			TipiComponentiMestieri.FattoreLight
		else
			$TipiComponentiMestieriFattore
		end
	else
		$TipiComponentiMestieriFattore
	end 
	/ case when TipiComponentiMestieri.DivisoreFattore IS NOT NULL and TipiComponentiMestieri.DivisoreFattore>0 then
		TipiComponentiMestieri.DivisoreFattore
	else
		case when TipiComponentiMestieri.DivisoreFattore=-1 then
			case when SopralluogoPDI.Durata is not null then
				SopralluogoPDI.Durata
			else
				case when OfferteEdifici.FacilityManagementLight=1 then
					48
				else
					84
				end
			end
		else
			1
		end
	end
subSqlFattoreLightNoLight;

$FattoreTag3 = <<< FattoreTag3
	case when OfferteEdifici.FacilityManagementLight=1 then
		case when TipiComponentiMestieri.FattoreLight IS NOT NULL then
			TipiComponentiMestieri.FattoreLight
		else
			$TipiComponentiMestieriFattore
		end
	else
		$TipiComponentiMestieriFattore
	end 
FattoreTag3;

$subSqlFattoreLightNoLight3 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$subSqlFattoreLightNoLight * (1-ISNULL(LivelliDocCensimenti.Sconto,0)/100.0)
	else
		$subSqlFattoreLightNoLight
		
	end 
sql;

$subScontoPerCompR = <<< sql
	case when tblComponetiMestiere.PosizioneInPdi=3 then
		SopralluogoPDI.QtaFreqPdi*0.5787
	else
		case when tblComponetiMestiere.PosizioneInPdi=4 then
			SopralluogoPDI.QtaFreqPdi
		else
			1
		end
	end 
sql;

$sqlSwitchDurata = <<< sql
	case when TipiComponentiMestieri.UnaTantum=1 then 
		1
	else
		case when SopralluogoPDI.IdRevConsistenza is null and SopralluogoPDI.Durata is null then 
			off2.Durata 
		else 
			SopralluogoPDI.Durata 
		end
	end
sql;

$subSqlFattUnaTantumExtracanone = "case when SopralluogoPDI.UnaTantumExtraCanone=1 then $FattoreTag3  else $subSqlFattoreLightNoLight3 end";

$Sconto3per100 = "dbo.PdiSconto3per100(SopralluogoPDI.IdSopralluogoPDI)";

$subSqlTotale3 = "SUM($Sconto3per100 *$sqlSwitchDurata * SopralluogoPDI.QTA * $subSqlFattUnaTantumExtracanone * $subScontoPerCompR)";

$IsReperibilità = "dbo.IsReperibilitàOfferta(off2.Id, SopralluogoPDI.IdRevConsistenza)";

$sql = <<< sql
	SELECT     Offerte.NRPF AS CODI_ORDINE, 
	
			(SELECT SEQ_LOTTO FROM Commesse WHERE IDCommessa=$IdCommessa) AS SEQU_LOTTO, 

			CASE WHEN Offerte.FacilityManagementLight = 1 AND TipiComponentiMestieri.CodiceLight IS NOT NULL THEN 
				TipiComponentiMestieri.CodiceLight 
			ELSE 
				TipiComponentiMestieri.Codice 
			
			END AS CODI_SERVIZIO, 

			$sqlSwitchDurata AS DURATA_SERVIZIO, 

			SopralluogoPDI.QTA AS QNTA_ORDINATA, 

			$subSqlTotale3
			* CASE WHEN $IsReperibilità=1 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null) THEN
				1.05
			ELSE
				1
			END 
			AS IMPO_SERV_ORDINE, 

			SopralluogoPDI.IdEdificio AS CODI_SEDE_AMM_BEN, 
			SopralluogoPDI.QtaFreqPdi AS QNTA_INTERVENTI
					
	FROM         SopralluogoPDI INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
					  					INNER JOIN SetVociTipiComp
                       ON SetVociTipiComp.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
                      SetVociTipiComp.IdTipoComponente = TipiComponentiMestieri.IdTipoComponenteMestiere
					  INNER JOIN
                      SetVoci ON SetVoci.id = SetVociTipiComp.IdSetVoce
						INNER JOIN
                      OfferteEdificiMestieri AS off2 ON SopralluogoPDI.IdCommessaOfferta = off2.IdCommessaOfferta AND SopralluogoPDI.IdOfferta = off2.IdOfferta AND 
                      SopralluogoPDI.IdEdificio = off2.IdEdificio AND tblComponetiMestiere.IdMestiere = off2.IdMestiere AND 
                      tblComponetiMestiere.IdCommessa = off2.IdCommessaEdificio INNER JOIN
                      OfferteEdifici ON off2.IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta AND off2.IdOfferta = OfferteEdifici.IdOfferta AND 
                      off2.IdCommessaEdificio = OfferteEdifici.IdCommessaEdificio AND off2.IdEdificio = OfferteEdifici.IdEdificio INNER JOIN
                      Offerte ON SopralluogoPDI.IdCommessaOfferta = Offerte.IdCommessa AND SopralluogoPDI.IdOfferta = Offerte.IdOfferta LEFT OUTER JOIN
                      LivelliDocCensimenti ON LivelliDocCensimenti.IdCommessa = SopralluogoPDI.IdCommessaEdificio AND 
                      LivelliDocCensimenti.Id = SopralluogoPDI.LivelloDocCensimento
							
	WHERE     (SopralluogoPDI.IdCommessaOfferta = $IdCommessa) AND (SopralluogoPDI.IdRevConsistenza IS NULL)
		AND (tblComponetiMestiere.PosizioneInPdi IS NULL OR tblComponetiMestiere.PosizioneInPdi=0 OR tblComponetiMestiere.PosizioneInPdi=3 OR tblComponetiMestiere.PosizioneInPdi=4)
		$andWhere
	GROUP BY Offerte.NRPF, TipiComponentiMestieri.Codice, TipiComponentiMestieri.CodiceLight, Offerte.FacilityManagementLight, SopralluogoPDI.QTA, off2.Reperibilità, AttivitàDiGoverno, SopralluogoPDI.IdEdificio, SopralluogoPDI.QtaFreqPdi,
			SetVociTipiComp.IdSetVoce,
			off2.Id,
		TipiComponentiMestieri.UnaTantum, SopralluogoPDI.IdRevConsistenza, SopralluogoPDI.Durata, off2.Durata
	ORDER BY   CODI_ORDINE, CODI_SEDE_AMM_BEN, CODI_SERVIZIO
sql;

?>