<?php

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

session_start();

require_once("../../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdElementi = ntxsp('IdElementi');
$IdAttivita = ntxsp('IdAttivita');
	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8"> 
<style>
<?php require("index.css") ?>
</style>
</head>
<body>

<?php
$table = "";

$Colonne = <<< Colonne
		<td colspan=12 class=cellArea>STANDARD ALTO
		<td colspan=12 class=cellArea>STANDARD MEDIO
		<td colspan=12 class=cellArea>STANDARD BASSO
	<tr>
		<td colspan=12 class=cellArea>FREQUENZA OPERAZIONI
		<td colspan=12 class=cellArea>FREQUENZA OPERAZIONI
		<td colspan=12 class=cellArea>FREQUENZA OPERAZIONI
	<tr>
		<td class=cellFreq>G<td class=cellFreq>G/2<td class=cellFreq>S
		<td class=cellFreq>S/2<td class=cellFreq>S/3<td class=cellFreq>Q
		<td class=cellFreq>M<td class=cellFreq>2M<td class=cellFreq>3M
		<td class=cellFreq>4M<td class=cellFreq>6M<td class=cellFreq>A
	
		<td class=cellFreq>G<td class=cellFreq>G/2<td class=cellFreq>S
		<td class=cellFreq>S/2<td class=cellFreq>S/3<td class=cellFreq>Q
		<td class=cellFreq>M<td class=cellFreq>2M<td class=cellFreq>3M
		<td class=cellFreq>4M<td class=cellFreq>6M<td class=cellFreq>A
	
		<td class=cellFreq>G<td class=cellFreq>G/2<td class=cellFreq>S
		<td class=cellFreq>S/2<td class=cellFreq>S/3<td class=cellFreq>Q
		<td class=cellFreq>M<td class=cellFreq>2M<td class=cellFreq>3M
		<td class=cellFreq>4M<td class=cellFreq>6M<td class=cellFreq>A
Colonne;

$sql = <<< sql
	SELECT DISTINCT    ElencoEdifici.ID IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, 
						ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP
	FROM         ElencoEdifici INNER JOIN
						  dbo.SplitId($IdElementi) AS SplitId_1 ON ElencoEdifici.ID = SplitId_1.id
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa)
	ORDER BY Codice, EdificioBreve, Indirizzo, IdEdificio
sql;

$query = ntxQuery($sql);

$edifici = array();

$Codici = array(
		"G", "G/2", "S",
		"S/2", "S/3", "Q",
		"M", "2M", "3M",
		"4M", "6M", "A"
);

while($rs=ntxRecord($query))
{
	$edifici[$rs[IdEdificio]] = htmlentities("$rs[Codice] - $rs[EdificioBreve] - $rs[Indirizzo] $rs[CITTA] ($rs[PROVINCIA]) $rs[CAP]");
}

$sql = <<< sql
	SELECT     tblComponetiMestiere.IdComponenteMestiere AS id1, tblComponetiMestiere.Descrizione AS des1, tblAttivitàMestiere.Descrizione AS des2, tblFrequenzeMestieri.Codice, tblAttivitàMestiere.IdArea
	FROM         tblAttivitàMestiere INNER JOIN
						  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
						  dbo.SplitId($IdAttivita) AS SplitId_1 ON tblAttivitàMestiere.IdAttivitàMestiere = SplitId_1.id INNER JOIN
						  tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
						  tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	WHERE     (tblAttivitàMestiere.IdCommessa = $IdCommessa)
	ORDER BY des1, des2
sql;

$query = ntxQuery($sql);

$id1 = "nul";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	if ( $id1!=$rs[id1] )
	{
		$id1=$rs[id1];
		
		$table .= <<< table
			<tr>
				<td rowspan=3 class=cellComp>$rs[des1]
				$Colonne
table;
	}
	
	$table .= <<< table
		<tr>
			<td class=cellAtt>$rs[des2]
table;

	
	for($j=1;$j<4;$j++)
	{
		for($i=0;$i<11;$i++)
			$table .= "<td class=cellX>".($rs[Codice]==$Codici[$i]  &&  $j==$rs[IdArea] ? "X" : "");
			
		$table .= "<td class=cellXR>".($rs[Codice]==$Codici[$i++]  &&  $j==$rs[IdArea] ? "X" : "");
	}
}

$table2 = "";

foreach($edifici as $edificio)
{
	if ( $table2!="" )
		$table2 .= <<< table2
			<tr>
				<td colspan=37 class=cellSep>...
table2;

	$table2 .= <<< table2
		<tr>
			<td colspan=37 class=cellLoc>$edificio
			$table
table2;
}

?>

<table class=grid>
<?php echo $table2 ?>

</table>

</body>
</html>
