<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdDitta = ntxsp('IdDitta');
$DataInizio = ntxtp('DataInizio',false);

$sqlMese = "SELECT MONTH($DataInizio)";
$Mese = ntxScalar($sqlMese);

$sqlAnno = "SELECT YEAR($DataInizio)";
$Anno = ntxScalar($sqlAnno);

$LabelMesi = array("", "Gennaio", "Febbraio", "Marzo", "Aprile",
					"Maggio", "Giugno", "Luglio", "Agosto",
					"Settembre", "Ottobre", "Novembre", "Dicembre");
					
$LabelMese = $LabelMesi[$Mese];

$primoGiornoDelMese = ntxt(ntxDate(ntxScalar("select dateadd(day, -day($DataInizio)+1, $DataInizio)")));
$ultimoGiornoDelMese = ntxScalar("select day(dateadd(day, -1, dateadd(month, 1, dateadd(day, -day($DataInizio)+1, $DataInizio))))");

$sql = <<< sql
	SET DATEFIRST 1	
	select DATEPART(weekday, $primoGiornoDelMese)
sql;

$primoGiornoSettimana = ntxScalar($sql);

$settimane = array();

if ( $primoGiornoSettimana<6 )
{
	$settimane[0][settimana] = $primoGiornoSettimana;
	$settimane[0][primo] = 1;
	$settimane[0][ultimo] = 6-$primoGiornoSettimana;
}
elseif ( $primoGiornoSettimana==6 )
{
	$settimane[0][settimana] = 1;
	$settimane[0][primo] = 3;
	$settimane[0][ultimo] = 7;
}
else // ==7
{
	$settimane[0][settimana] = 1;
	$settimane[0][primo] = 2;
	$settimane[0][ultimo] = 6;
}

for ($i=1;$i<5;$i++)
{
	$settimane[$i][settimana] = 1;
	$settimane[$i][primo] =  $settimane[$i-1][ultimo]+3;
	$settimane[$i][ultimo] = $settimane[$i-1][ultimo]+7;
}

for ($i=3;$i<5;$i++)
{
	if ($settimane[$i][primo]> $ultimoGiornoDelMese ) $settimane[$i][primo]=null;
	if ($settimane[$i][ultimo]> $ultimoGiornoDelMese ) $settimane[$i][ultimo]=is_numeric($settimane[$i][primo])?$ultimoGiornoDelMese : null;
}

$giorniSettimana = array("", "Lunedì", "Martedì", "Mercoledì", "Giovedì", "Venerdì");

for ($i=0;$i<5;$i++)
{
	$settimane[$i][primow] = $giorniSettimana[$settimane[$i][settimana]];
	$settimane[$i][ultimow] = $giorniSettimana[$settimane[$i][settimana]+$settimane[$i][ultimo]-$settimane[$i][primo]];
}


?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="css/attivita.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="/repository/libs/jhp/jhp-1.1.1.js" type="text/javascript"></script>
</head>
<body>

<p style='border:nome;padding:5px;margin:2px;text-align:left;font-weight:bold'><?php echo "$LabelMese $Anno" ?></p>
<?php

$sql = <<< sql
	SELECT     tblPgPropietari.Nome AS Ente, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
						   ElencoEdifici.CAP, 
	case ElencoEdifici.Tipo
		when 1 then 'strada'
		when 2 then 'verde'
		else 'edificio'
	end Tipo, ElencoEdifici.ID
	FROM         ElencoEdifici INNER JOIN
						  dbo.SplitId('$_POST[IdElementi]') AS a ON ElencoEdifici.ID = a.id LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IdCommessa = $IdCommessa)
sql;
	
$sql .= " ORDER BY Ente, Codice, EdificioBreve, ElencoEdifici.ID";

$query = ntxQuery($sql);

$table = "";
$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);
	
	$alter = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $alter>
		<td>$rs[ID]<td>[$rs[Codice]] $rs[EdificioBreve]<br>$rs[Indirizzo], $rs[CITTA] ($rs[PROVINCIA]) -$rs[CAP]<br>$rs[Ente]<td>$rs[Tipo]
table;

	for ($i=0;$i<5;$i++)
	{
		$sett = $i+1;
		
		$day = $settimane[$i];
		
		if ( is_numeric($day[primo])  &&  isset($day[primo]) )
			$table .= <<< table
				<td><input type=button value="sett $sett" onclick="ExcelSettimana($rs[ID], $sett, '$day[primo]', '$day[ultimo]', '$day[settimana]')" />
table;
	}
	
	$alternate = !$alternate;
}

?>

<table class=grid>
	<tr><th>ID<th>Elemento<th>Tipo
<?php 
	for ($i=0;$i<5;$i++)
	{
		$sett = $i+1;
		
		$day = $settimane[$i];
		
		if ( is_numeric($day[primo])  &&  isset($day[primo]) )
			echo <<< table
				<th>sett $sett<br>da $day[primow] $day[primo]<br>a $day[ultimow] $day[ultimo]
table;
	}

echo $table; 

?>
</table>

<script>

function ExcelSettimana(IdEdificio, Settimana, DaGiornoDelMese, AlGiornoDelMese, GiornoSettimana)
{
	frmExcel.IdEdificio.value = IdEdificio;
	frmExcel.Settimana.value = Settimana;
	frmExcel.DaGiornoDelMese.value = DaGiornoDelMese;
	frmExcel.AlGiornoDelMese.value = AlGiornoDelMese;
	frmExcel.GiornoSettimana.value = GiornoSettimana;
	frmExcel.submit();
}
</script>

<form name=frmExcel method=post action ="excel_settimane_pulizie_2.php" target=_blank> 
<?php ntxCreateHiddens() ?>
<input type=hidden name=Mese value="<?php echo $Mese ?>" />
<input type=hidden name=Anno value="<?php echo $Anno ?>" />
<input type=hidden name=IdEdificio value="" />
<input type=hidden name=Settimana value="" />
<input type=hidden name=DaGiornoDelMese value="" />
<input type=hidden name=AlGiornoDelMese value="" />
<input type=hidden name=GiornoSettimana value="" />
<input type=hidden name=grigiox value="yes" />
<input type=hidden name=settimana value="yes" />
</form>

</body>
</html>