<?php

$sql = <<< sql
	SELECT 
		Ordini.IdCommessa
		,Ordini.NumOrdine
		,Ordini.AnnoOrdine
		,Ordini.IdOrd AS IdOrdine
		,Ordini.StatoOrd
		,Ordini.IdMestiere
		,Ordini.IdComponenteMestiere
		,Ordini.IdAttivitàMestiere
		,StatiOrdini.DesStato
		,Ordini.DataInizioProg
		,Ordini.DataFineProg
		,Ordini.IdLivello IdLivelloEdit
		,Ordini.IdAmbiente IdAmbienteEdit
		,Ordini.IdComponente IdComponenteEdit
		,Ordini.DataInizio
		,Ordini.DataFine
		,Ordini.DataInizioSopralluogo
		,Ordini.DataFineSopralluogo
		,Ordini.Intervento
		,Ordini.NotaInterna
		,Ordini.AnomaliaRiscontrata
		,Ordini.PrestazioneEffettuata
		,Ordini.AnomaliaBloccante
		,Ordini.InterventoRisolutivo
		,Ordini.InterventoIdoneo
		,Ordini.DataAggiornamentoCensimento
		,Ordini.DescrizioneIntervento
		,Ordini.DescrizioneIntervento1
		,Ordini.DescrizioneIntervento2
		,Ordini.Note
		,Ordini.ForseFuoriCanone
		,Ordini.SicuramenteCanone
		,Ordini.RichiestoAggiornamentoCensimento AS RAC
		,Ordini.DataSospensione
		,Ordini.DataRipresaProg
		,Ordini.DataRipresa
		,Ordini.NoteSospensione
		,Ordini.NoteTecnicheEsecutore
		,Ordini.ImportoStimatoEsecutore
		,CASE WHEN Ordini.Contabiliz='canone' THEN 1 ELSE 0 END IsCanone
		,ElencoEdifici.Tipo,
		Ordini.CodEdificio AS Localizzazione,
		Ordini.CodEdificio AS IdEdificio,
		Ordini.Assegnazione,
		Ordini.NumRisorse,
		Ordini.OreRisorse,
		Ordini.OreExtraRisorse,
		Ordini.Trasferta
		
		,Ordini.DataPresaInCarico DataPC
		,Ordini.DataScadenzaPresaInCarico DataSPC
		,Ordini.DataScadenza
		,Ordini.DataInterventoTampone
		,Ordini.DataInizioIntTampone
		,Ordini.DataScadenzaInterventoTampone DataScadIntTampone
		,Ordini.IdRisorsa
		,Ordini.GradoUrgenza
		
		,Ordini.DataScadenzaPresaInCaricoOriginale DataSPCO
		,Ordini.DataScadenzaOriginale DataSO
		,Ordini.DataScadenzaFineIntervento DataSFI
		
		,Ordini.ContabilizF  

		,Risorse.NOME AS Risorsa
		
	FROM         Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID
		
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$msg_error = "Ordine num. $NumOrdine anno. $AnnoOrdine commessa $IdCommessa non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record['ImportoStimatoEsecutore'] = (!is_null($record['ImportoStimatoEsecutore'])) ? (float)$record['ImportoStimatoEsecutore'] : null;

$record['ForseFuoriCanone'] = (int)$record['ForseFuoriCanone'];


$record['NumOrdine'] = (int)$record['NumOrdine'];

$record['OreRisorse'] = ntxRound($record['OreRisorse'],2);
$record['OreExtraRisorse'] = ntxRound($record['OreExtraRisorse'],2);

$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);

$record['DataInizioIntTampone'] = ntxDateTime($record['DataInizioIntTampone']);
$record['DataInterventoTampone'] = ntxDateTime($record['DataInterventoTampone']);
$record['DataScadIntTampone'] = ntxDateTime($record['DataScadIntTampone']);
$record['DataInizioSopralluogo'] = ntxDateTime($record['DataInizioSopralluogo']);
$record['DataFineSopralluogo'] = ntxDateTime($record['DataFineSopralluogo']);

$record['DataInizio'] = ntxDateTime($record['DataInizio']);
$record['DataFine'] = ntxDateTime($record['DataFine']);

$record['DataAggiornamentoCensimento'] = ntxDateTime($record['DataAggiornamentoCensimento']);
$record['Descrizione'] = $record['DescrizioneIntervento'].$record['DescrizioneIntervento1'].$record['DescrizioneIntervento2'];

$record['DataSospensione'] = ntxDateTime($record['DataSospensione']);
$record['DataRipresaProg'] = ntxDateTime($record['DataRipresaProg']);
$record['DataRipresa'] = ntxDateTime($record['DataRipresa']);

$record['DataPC'] = ntxDateTime($record['DataPC']);
$record['DataSPC'] = ntxDateTime($record['DataSPC']);
$record['DataSPCO'] = ntxDateTime($record['DataSPCO']);
$record['DataScadenza'] = ntxDateTime($record['DataScadenza']);
$record['DataSO'] = ntxDateTime($record['DataSO']);
$record['DataSFI'] = ntxDateTime($record['DataSFI']);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
