<?php  

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IDComponente = ntxip('IDComponente');

$sql = <<< sql
SELECT  DISTINCT   ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve AS Edificio, 
					ElencoEdifici.Codice CodiceEdificio, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune,
					  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, 
                      PianoLivello.CodiceAssLivello AS CodPiano, TipiLivello.DesLivello AS Piano, Ambiente.CodiceAssAmbiente AS CodAmbiente, 
                      TipoAmbiente.DesTipoAmbiente AS Ambiente, ComponentiAmbiente.CodiceAssComponente AS Codice, 
                      TipoComponente.DesComponente AS Descrizione, ComponentiAmbiente.marca, ComponentiAmbiente.modello, ComponentiAmbiente.num_serie, 
                      ComponentiAmbiente.Rimosso, ComponentiAmbiente.IDComponente
FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON ElencoEdifici.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      ElencoEdifici.ID = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      TipoAmbiente ON Ambiente.IdCommessa = TipoAmbiente.IdCommessa AND 
                      Ambiente.IdTipoAmbiente = TipoAmbiente.IDTipoAmbiente LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello
	WHERE      (ComponentiAmbiente.IdCommessa = $IdCommessa)
		AND (ComponentiAmbiente.IdEdificio = $IdEdificio)
		AND (ComponentiAmbiente.IDComponente = $IDComponente)
sql;

$query = ntxQuery($sql);
	

?>

<table>
	<tr>
		<th>Codice</th>
		<th>Descrizione</th>
		<th>marca</th>
		<th>modello</th>
		<th>Ambiente</th>
		<th>Piano</th>
		<th>Nome Localizzazione</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td title="Codice"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td title="Descrizione"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td title="marca"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['marca']) ?></td>
		<td title="modello"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['modello']) ?></td>
		<td title="Ambiente"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ambiente']) ?></td>
		<td title="Piano"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Piano']) ?></td>
		<td title="Nome Localizzazione"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td title="Indirizzo"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td title="Comune"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td title="Provincia"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td title="Cap"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

