<?php  

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IDSubComponente = ntxip('IDSubComponente');

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve AS Edificio, ElencoEdifici.Codice AS CodiceEdificio, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Cliente, 
                      PianoLivello.CodiceAssLivello AS CodPiano, TipiLivello.DesLivello AS Piano, Ambiente.CodiceAssAmbiente AS CodAmbiente, 
                      TipoAmbiente.DesTipoAmbiente AS Ambiente, ComponentiAmbiente.CodiceAssComponente AS Codice, 
                      TipoComponente.DesComponente AS Descrizione, SubComponentiAmbiente.marca, SubComponentiAmbiente.modello, 
                      SubComponentiAmbiente.num_serie, SubComponentiAmbiente.Rimosso, SubComponentiAmbiente.IDSubComponente, 
                      SubComponentiAmbiente.CodiceAssSubComponente AS CodiceSub, TipoSubComponente.DesSubComponente AS DesSub
FROM         ComponentiAmbiente INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblContrattiFornitoriAttivitàMestiereEdifici ON ElencoEdifici.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
                      ElencoEdifici.ID = tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio INNER JOIN
                      tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
                      SubComponentiAmbiente ON ComponentiAmbiente.IdCommessa = SubComponentiAmbiente.IdCommessa AND 
                      ComponentiAmbiente.IdEdificio = SubComponentiAmbiente.IdEdificio AND 
                      ComponentiAmbiente.IDComponente = SubComponentiAmbiente.IDComponente LEFT JOIN
                      TipoSubComponente ON SubComponentiAmbiente.IdCommessa = TipoSubComponente.IdCommessa AND 
                      SubComponentiAmbiente.IdTipoSubComponente = TipoSubComponente.IdTipoSubComponente LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      TipoAmbiente ON Ambiente.IdCommessa = TipoAmbiente.IdCommessa AND 
                      Ambiente.IdTipoAmbiente = TipoAmbiente.IDTipoAmbiente LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello
	WHERE      (SubComponentiAmbiente.IdCommessa = $IdCommessa)
		AND (SubComponentiAmbiente.IdEdificio = $IdEdificio)
		AND (SubComponentiAmbiente.IDSubComponente = $IDSubComponente)
sql;

$query = ntxQuery($sql);
	

?>

<table>
	<tr>
		<th>Codice SubComp.</th>
		<th>Descr. SubComp.</th>
		<th>marca</th>
		<th>modello</th>
		<th>Codice Comp.</th>
		<th>Descr. Comp.</th>
		<th>Ambiente</th>
		<th>Piano</th>
		<th>Nome Edificio</th>
		<th>Indirizzo</th>
		<th>Comune</th>
		<th>Provincia</th>
		<th>Cap</th>
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td title="Codice SubComp."<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CodiceSub']) ?></td>
		<td title="Descr. SubComp."<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesSub']) ?></td>
		<td title="marca"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['marca']) ?></td>
		<td title="modello"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['modello']) ?></td>
		<td title="Codice Comp."<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Codice']) ?></td>
		<td title="Descr. Comp."<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']) ?></td>
		<td title="Ambiente"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Ambiente']) ?></td>
		<td title="Piano"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Piano']) ?></td>
		<td title="Nome Edificio"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Edificio']) ?></td>
		<td title="Indirizzo"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?></td>
		<td title="Comune"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Comune']) ?></td>
		<td title="Provincia"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['PROVINCIA']) ?></td>
		<td title="Cap"<?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['CAP']) ?></td>
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>

