<?php  

session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
	<title>ManPro.Net WebPortal</title>
	<link href="../../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
	<script type="text/javascript" src="../../../_ntx/ntxjsint.php"></script>
</head>
<body  >
<?php

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
$IdDoc = ntxip('IdDoc');
$IdDitta = ntxip('IdDitta');

$sql = <<< SQL
			SELECT 
					Richieste.NumRichiesta, 
					Richieste.AnnoRichiesta, 
					Richieste.DataRichiesta, 
					Richieste.Richiedente, 
					Richieste.Descrizione, 
					Richieste.Descrizione1, 
					Richieste.Descrizione2, 
					ElencoEdifici.Codice, 
					ElencoEdifici.EdificioBreve, 
					ElencoEdifici.Indirizzo, 
					ElencoEdifici.CITTA, 
					ElencoEdifici.PROVINCIA, 
					TabellaGradoUrgenza.Descrizione AS DesGrUrg,
					DocsPreventiviRichieste.Descrizione AS DesFornitore, 
					CASE WHEN DocsPreventiviRichieste.path IS NOT NULL AND DocsPreventiviRichieste.path <> '' THEN 1 ELSE 0 END AS Allegato, 
					DocsPreventiviRichieste.ImportoOfferto AS ImportoFornitore, 
					Stati.DesStato, 
					StatiDocsPrevRic.Descrizione AS StatoPreventivo, 
					case when DocsPreventiviRichieste.ModificaSconti is null or DocsPreventiviRichieste.ModificaSconti=0 then 0 else 1 end AS ModificaSconti, 
					DocsPreventiviRichieste.DataPrimaElaborazioneAffidatario as d1, 
					DocsPreventiviRichieste.DataUltimaElaborazioneAffidatario as d2, 
					DocsPreventiviRichieste.DataPrimaElaborazioneFornitore as d3, 
					DocsPreventiviRichieste.DataUltimaElaborazioneFornitore as d4, 
					DocsPreventiviRichieste.DataRichiestaAccettazione as d5, 
					DocsPreventiviRichieste.DataRispostaAccettazione as d6
			FROM         Stati INNER JOIN
                      ElencoEdifici INNER JOIN
                      Richieste ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND ElencoEdifici.ID = Richieste.Localizzazione ON 
                      Stati.IDStato = Richieste.Stato INNER JOIN
                      DocsPreventiviRichieste ON Richieste.IDCommessa = DocsPreventiviRichieste.IdCommessa AND 
                      Richieste.NumRichiesta = DocsPreventiviRichieste.NumRichiesta AND Richieste.AnnoRichiesta = DocsPreventiviRichieste.AnnoRichiesta INNER JOIN
                      StatiDocsPrevRic ON DocsPreventiviRichieste.Stato = StatiDocsPrevRic.Id LEFT OUTER JOIN
                      TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU
					  
			  WHERE (DocsPreventiviRichieste.IdCommessa=$IdCommessa)
				AND (DocsPreventiviRichieste.Id = $IdDoc) 
SQL;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

if ( $rs['Allegato'] )
{
	$disableAllega = "";
	$StaAllegato = "SI";
}
else
{
	$disableAllega = "DISABLED";
	$StaAllegato = "NO";
}

?>
<table align=left>
	<caption>Richiesta</caption>
	<tr><th>Num./Anno</th>				<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['NumRichiesta'])."/".htmlentities($rs['AnnoRichiesta']) ?></td>	
	<tr><th>Data</th>					<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities(ntxDateTime($rs['DataRichiesta'])) ?></td>	
	<tr><th>Stato</th>					<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>	
	<tr><th>Richiedente</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Richiedente']) ?></td>	
	<tr><th>Localizzazione</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities('('.$rs['Codice'].') - '.$rs['EdificioBreve'].' - '.$rs['Indirizzo'].' - '.$rs['CITTA'].' ('.$rs['PROVINCIA'].')') ?></td>	
	<tr><th>Grado Urgenza</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesGrUrg']) ?></td>
	<tr><th>Descrizione Richiesta</th>	<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Descrizione']).htmlentities($rs['Descrizione1']).htmlentities($rs['Descrizione2']) ?></td>	
</table>
<br>
<table align=left>
	<caption>Preventivo</caption>
	<tr><th>Allegato</th>								<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo $StaAllegato ?></td>	
	<tr><th>Stato Preventivo Fornitore</th> 			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['StatoPreventivo']) ?></td>
	<tr><th>Descrizione Preventivo Fornitore</th> 		<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesFornitore']) ?></td>
	<tr><th>Importo Preventivo Fornitore</th>			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxRoundThousand($rs['ImportoFornitore'],2) ?></td>
	<tr><th>Data Prima Elaborazione Affidatario</th> 	<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d1']) ?></td>
	<tr><th>Data Ultima Elaborazione Affidatario</th> 	<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d2']) ?></td>
	<tr><th>Data Prima Elaborazione Fornitore</th> 		<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d3']) ?></td>
	<tr><th>Data Ultima Elaborazione Fornitore</th> 	<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d4']) ?></td>
	<tr><th>Data Richiesta Accettazione</th> 			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d5']) ?></td>
	<tr><th>Data Risposta Accettazione</th> 			<td <?php echo  ($alternate = !$alternate) ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['d6']) ?></td>
	<tr><td colspan=2>
		<input type=button value="Allegato" <?php echo "$disableAllega onclick=\"Allegato()\"" ?>>
		<input type=button value="Report" onclick="Report()">
		<input type=button id=btnFineElaborazione value="Fine Elaborazione" onclick="FineElaborazione()" disabled>
		<input type=button id=btnAccettaPreventivo value="Accetta Preventivo" onclick="AccettaPreventivo()" disabled>
		<input type=button id=btnRifiutaPreventivo value="Rifiuta Preventivo" onclick="RifiutaPreventivo()" disabled>
</table>
<br>

<form method=post name=form1>
	<input TYPE=hidden NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input type=hidden name=NumRichiesta value="<?php echo $NumRichiesta ?>">
	<input type=hidden name=AnnoRichiesta value="<?php echo $AnnoRichiesta ?>">
	<input type=hidden name=IdDoc value="<?php echo $IdDoc ?>">
	<input type=hidden name=IdDitta value="<?php echo $IdDitta ?>">
</form>

<form method=post action="testata_upload.php" enctype="multipart/form-data" target=win_upload_1722_300510>
	<input TYPE=hidden NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input type=hidden name=NumRichiesta value="<?php echo $NumRichiesta ?>">
	<input type=hidden name=AnnoRichiesta value="<?php echo $AnnoRichiesta ?>">
	<input type=hidden name=IdDoc value="<?php echo $IdDoc ?>">
	
	<table>
		<caption>Allega documento</caption>
		<tr><th>Descrizione</th><td><input type=text name=Descrizione size="50"  maxlength="100">
			<td rowspan=3><input id=btnAllega type=submit name=upload value=Allega DISABLED>
		<tr><th>Importo Offerto</th><td><input type=text name=ImportoOfferto size="50"  maxlength="100">
		<tr><th>File</th><td><input type=file name=upfile size="50">
	</table>
</form>

<form name=form2 method=post target=win_upload_1722_300510 action="../allegato.php">
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input TYPE=HIDDEN NAME=Id VALUE="<?php echo $IdDoc ?>" >
</form>

<form name=formReport action="report/index.php" method=post target=_blank>
	<input TYPE=HIDDEN NAME=IdCommessa VALUE="<?php echo $IdCommessa ?>" >
	<input type=hidden name=NumRichiesta value="<?php echo $NumRichiesta ?>">
	<input type=hidden name=AnnoRichiesta value="<?php echo $AnnoRichiesta ?>">
	<input TYPE=HIDDEN NAME=IdDoc VALUE="<?php echo $IdDoc ?>" >
	<input type=hidden name=IdDitta value="<?php echo $IdDitta ?>">
</form>

<iframe name=win_upload_1722_300510 id=win_upload_1722_300510 frameborder=1 style="position:relative;display:block;width:500px;height:120px"></iframe>

<script language=javascript>

function FineElaborazione()
{
	ntxSendForm(form1, funcFineElaborazione, 'fine_elaborazione');
}

function AccettaPreventivo()
{
	ntxSendForm(form1, funcFineElaborazione, 'accetta_preventivo');
}

function RifiutaPreventivo()
{
	ntxSendForm(form1, funcFineElaborazione, 'rifiuta_preventivo');
}

function funcFineElaborazione(txt)
{
	var rows=ntxRecord(txt);
	alert(rows['message']);
	parent.parent.frame_trattative.formRefresh.submit();
	parent.formRefresh.submit();
}

function Report()
{
	formReport.submit();
}

function Allegato()
{
	form2.submit();
}

if ( parent.Stato == 2 ) 
{
	gei("btnAllega").disabled = false;
	gei("btnFineElaborazione").disabled = false;
} 

if ( parent.Stato == 3 ) 
{
	gei("btnAccettaPreventivo").disabled = false;
	gei("btnRifiutaPreventivo").disabled = false;
} 

</script>

</body>
</html>
