<?php 

$sqlSopralluoghi = <<< sqlSopralluoghi
	SELECT  
			SopralluogoPDI.NonConsiderareUnatantum,
			SopralluogoPDI.QTA,
			TipiComponentiMestieri.Fattore, 
			TipiComponentiMestieri.UnaTantum, 
			OfferteEdificiMestieri.CalcSotto400mq, 
			tblMestieri.Calc14x100, 
			OfferteEdificiMestieri.Reperibilità, 
			OfferteEdificiMestieri.CinquePerCento, 
			OfferteEdificiMestieri.AChiamata,
			OfferteEdificiMestieri.IdEdificio,
			Offerte.IdCommessa,
			Offerte.IdOfferta,
			Offerte.DataAttivazione,
		
			Offerte.DataAttivazione 				  Data1,
			dateadd(month,12,Offerte.DataAttivazione) Data2,
			dateadd(month,24,Offerte.DataAttivazione) Data3,
			dateadd(month,36,Offerte.DataAttivazione) Data4,
			dateadd(month,48,Offerte.DataAttivazione) Data5,
			dateadd(month,60,Offerte.DataAttivazione) Data6,
			dateadd(month,72,Offerte.DataAttivazione) Data7,
			
			case when SopralluogoPDI.DataInizio is null then 
				OfferteEdificiMestieri.DataInizio 
			else
				SopralluogoPDI.DataInizio
			end DataInizio, 
			
			case when SopralluogoPDI.Durata is null then 
				OfferteEdificiMestieri.Durata 
			else
				SopralluogoPDI.Durata
			end Durata,
			
			dateadd(month,
				case when SopralluogoPDI.Durata is null then 
					OfferteEdificiMestieri.Durata
				else
					SopralluogoPDI.Durata
				end		
			,
				case when SopralluogoPDI.DataInizio is null then 
						OfferteEdificiMestieri.DataInizio
				else
					SopralluogoPDI.DataInizio
				end
			) DataFine, 
			
			case when OfferteEdificiMestieri.Migliorie is null OR tblMestieri.Calc14x100 = 1 OR TipiComponentiMestieri.UnaTantum = 1 then 
				1
			else
				1-OfferteEdificiMestieri.Migliorie*0.01
			end Migliorie
			
			
	FROM         OfferteEdificiMestieri INNER JOIN
					  SopralluogoPDI ON OfferteEdificiMestieri.IdEdificio = SopralluogoPDI.IdEdificio AND 
					  OfferteEdificiMestieri.IdCommessaEdificio = SopralluogoPDI.IdCommessaEdificio AND 
					  OfferteEdificiMestieri.IdCommessaOfferta = SopralluogoPDI.IdCommessaOfferta AND 
					  OfferteEdificiMestieri.IdOfferta = SopralluogoPDI.IdOfferta INNER JOIN
					  tblMestieri ON OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere AND 
					  OfferteEdificiMestieri.IdCommessaOfferta = tblMestieri.IdCommessa INNER JOIN
					  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
					  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
					  TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
					  SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere AND 
					  tblComponetiMestiere.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
					  tblComponetiMestiere.IdComponenteMestiere = TipiComponentiMestieri.IdComponenteMestiere INNER JOIN
					  Offerte ON OfferteEdificiMestieri.IdOfferta = Offerte.IdOfferta AND OfferteEdificiMestieri.IdCommessaOfferta = Offerte.IdCommessa
	WHERE (Offerte.IdCommessa = $IdCommessa) 
		AND (Offerte.IdOfferta = $IdOfferta)
sqlSopralluoghi;

for ( $i1=1; $i1<=6; $i1++ )
{
	$i2 = $i1+1;
	
	$sqlAnnoC[$i1] = <<< sqlAnnoC
		case when UnaTantum=1 then 
			case 
				when DataInizio >= Data{$i1} and DataInizio < Data{$i2} then /* ANNO INIZIALE */
					(case when NonConsiderareUnatantum=1 then 0 else QTA * Fattore end)
				
				when DataInizio < Data{$i1} and DataFine > Data{$i1} then  /* ANNO SUCCESSIVO */
					(case when isnull(Calc14x100,0)=1 then QTA * Fattore * 0.14 else 0 end)
				
				else 0
			end
		else
			case 
				when DataInizio >= Data{$i1} and DataFine <= Data{$i2} then /* Periodo compreso fra due anni */
					Durata * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				when DataInizio < Data{$i1} and DataFine > Data{$i2} then /* Anno compreso nel periodo quindi 12 mesi */
					QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END)
				
				when DataInizio >= Data{$i1} and DataInizio < Data{$i2} and DataFine > Data{$i2} then /* Anno inizio e periodo che supera l'anno */
					datediff(month,DataInizio,Data{$i2}) * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				when DataInizio < Data{$i1} and DataFine > Data{$i1} and DataFine <= Data{$i2} then  /* Anno finale */
					datediff(month,Data{$i1},DataFine) * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				else 0
			end
		end * Migliorie
sqlAnnoC;

$sqlAnnoR[$i1] = <<< sqlAnnoR
		case when (UnaTantum=0 or UnaTantum is null) and Reperibilità=1 and CinquePerCento=1 then
			case 
				when DataInizio >= Data{$i1} and DataFine <= Data{$i2} then /* Periodo compreso fra due anni */
					0.05 * Durata * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				when DataInizio < Data{$i1} and DataFine > Data{$i2} then /* Anno compreso nel periodo quindi 12 mesi */
					0.05 * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END)
				
				when DataInizio >= Data{$i1} and DataInizio < Data{$i2} and DataFine > Data{$i2} then /* Anno inizio e periodo che supera l'anno */
					0.05 * datediff(month,DataInizio,Data{$i2}) * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				when DataInizio < Data{$i1} and DataFine > Data{$i1} and DataFine <= Data{$i2} then  /* Anno finale */
					0.05 * datediff(month,Data{$i1},DataFine) * QTA * Fattore * (CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END) / 12
				
				else 0
			end
		else
			0
		end * Migliorie
sqlAnnoR;
}

$sqlEdifici = <<< sqlEdifici
	SELECT  ElencoEdifici.IdCommessa, 
			OfferteEdifici.IdOfferta, 
			ElencoEdifici.ID AS IdEdificio, 
			ElencoEdifici.Ordine, 
			ElencoEdifici.Codice AS CodEdificio, 
			ElencoEdifici.EdificioBreve AS NomeEdificio
			
	FROM OfferteEdifici INNER JOIN ElencoEdifici
		ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa 
			AND OfferteEdifici.IdEdificio = ElencoEdifici.ID 
	WHERE (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (OfferteEdifici.IdOfferta = $IdOfferta)
sqlEdifici;

$sql = <<< sql
	SELECT 
			Ordine, 
			CodEdificio, 
			NomeEdificio, 
			
			SUM(Anno_1c) Anno_1c, 
			SUM(Anno_2c) Anno_2c, 
			SUM(Anno_3c) Anno_3c, 
			SUM(Anno_4c) Anno_4c, 
			SUM(Anno_5c) Anno_5c,
			SUM(Anno_6c) Anno_6c,
			
			SUM(Anno_1r) Anno_1r, 
			SUM(Anno_2r) Anno_2r, 
			SUM(Anno_3r) Anno_3r, 
			SUM(Anno_4r) Anno_4r, 
			SUM(Anno_5r) Anno_5r,
			SUM(Anno_6r) Anno_6r
	FROM (
			SELECT 
					a.Ordine, 
					a.CodEdificio, 
					a.NomeEdificio, 
					
					(isnull($sqlAnnoC[1],0)) Anno_1c, 
					(isnull($sqlAnnoC[2],0)) Anno_2c, 
					(isnull($sqlAnnoC[3],0)) Anno_3c, 
					(isnull($sqlAnnoC[4],0)) Anno_4c, 
					(isnull($sqlAnnoC[5],0)) Anno_5c,
					(isnull($sqlAnnoC[6],0)) Anno_6c,
					
					(isnull($sqlAnnoR[1],0)) Anno_1r, 
					(isnull($sqlAnnoR[2],0)) Anno_2r, 
					(isnull($sqlAnnoR[3],0)) Anno_3r, 
					(isnull($sqlAnnoR[4],0)) Anno_4r, 
					(isnull($sqlAnnoR[5],0)) Anno_5r, 
					(isnull($sqlAnnoR[6],0)) Anno_6r
					
			FROM ($sqlEdifici) a INNER JOIN ($sqlSopralluoghi) b
			ON a.IdCommessa = b.IdCommessa AND a.IdOfferta = b.IdOfferta AND a.IdEdificio = b.IdEdificio 
			) c
	GROUP BY Ordine, CodEdificio, NomeEdificio
	ORDER BY Ordine, CodEdificio, NomeEdificio
sql;
//echo "<br><br>$sql<br><br><br>";

$query = ntxQuery($sql);
?>