<?php

$sql1 = <<< sql1
	SELECT     ElencoEdifici.Ordine, ElencoEdifici.Codice, ElencoEdifici.ID, 
				TipiComponentiMestieri.IdTipoComponenteMestiere ID_TCM,
				OfferteEdificiMestieri.Reperibilità, 
				OfferteEdificiMestieri.CinquePerCento, 
				OfferteEdificiMestieri.AChiamata,
				tblMestieri.IdMestiere, 
				tblMestieri.Descrizione AS Mestiere, 
				(SopralluogoPDI.QTA * TipiComponentiMestieri.Fattore/12) 
				* CASE WHEN OfferteEdificiMestieri.CalcSotto400mq = 1 THEN 0.7 ELSE 1 END AS ImportoMensile,
				TipiComponentiMestieri.Descrizione AS TipoComp, 
				OfferteEdificiMestieri.Durata, 
				OfferteEdificiMestieri.DataInizio,
				NULL AS ImportoTotale, 
				1 AS Gruppo,
				tblMestieri.IdMestiere AS Ord2, 
				TipiComponentiMestieri.Ordine AS Ord3
	FROM         SopralluogoPDI INNER JOIN
                      tblMestieri INNER JOIN
                      OfferteEdificiMestieri ON tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
                      tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere ON SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta AND 
                      SopralluogoPDI.IdCommessaEdificio = OfferteEdificiMestieri.IdCommessaEdificio AND 
                      SopralluogoPDI.IdEdificio = OfferteEdificiMestieri.IdEdificio INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      ElencoEdifici ON SopralluogoPDI.IdCommessaTipoComp = ElencoEdifici.IdCommessa AND SopralluogoPDI.IdEdificio = ElencoEdifici.ID
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)
				AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
				AND (tblMestieri.Calc14x100 = 0 OR tblMestieri.Calc14x100 IS NULL)
				AND (TipiComponentiMestieri.UnaTantum = 0 OR TipiComponentiMestieri.UnaTantum IS NULL)
sql1;
	
$sql2 = <<< sql2
	SELECT     ElencoEdifici.Ordine, ElencoEdifici.Codice, ElencoEdifici.ID, 
				TipiComponentiMestieri.IdTipoComponenteMestiere ID_TCM,
				NULL AS Reperibilità, 
				NULL AS CinquePerCento, 
				NULL AS AChiamata,
				tblMestieri.IdMestiere, 
				tblMestieri.Descrizione AS Mestiere,  
				NULL AS ImportoMensile,
				TipiComponentiMestieri.Descrizione AS TipoComp, 
				1 AS Durata, 
				NULL AS DataInizio,
				TipiComponentiMestieri.Fattore * SopralluogoPDI.QTA AS ImportoTotale, 
				2 AS Gruppo,
				tblMestieri.IdMestiere AS Ord2, 
				TipiComponentiMestieri.Ordine AS Ord3
	FROM         ElencoEdifici INNER JOIN
						  SopralluogoPDI ON ElencoEdifici.IdCommessa = SopralluogoPDI.IdCommessaEdificio AND ElencoEdifici.ID = SopralluogoPDI.IdEdificio INNER JOIN
						  TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND
						  SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
						  tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND
						  TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
						  tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	WHERE     (SopralluogoPDI.IdCommessaOfferta = $IdCommessa)
				AND (SopralluogoPDI.IdOfferta = $IdOfferta)
				AND (tblMestieri.Calc14x100 = 0 OR tblMestieri.Calc14x100 IS NULL)
				AND (TipiComponentiMestieri.UnaTantum = 1)
sql2;
	
$sql3 = <<< sql3
	SELECT     ElencoEdifici.Ordine, ElencoEdifici.Codice, ElencoEdifici.ID, 
				TipiComponentiMestieri.IdTipoComponenteMestiere ID_TCM,
				OfferteEdificiMestieri.Reperibilità, 
				OfferteEdificiMestieri.CinquePerCento, 
				OfferteEdificiMestieri.AChiamata,
				tblMestieri.IdMestiere, 
				tblMestieri.Descrizione AS Mestiere, 
				SopralluogoPDI.QTA * TipiComponentiMestieri.Fattore AS ImportoMensile,
				TipiComponentiMestieri.Descrizione AS TipoComp, 
				OfferteEdificiMestieri.Durata, 
				OfferteEdificiMestieri.DataInizio,
				NULL AS ImportoTotale, 
				0 AS Gruppo,
				tblMestieri.IdMestiere AS Ord2, 
				TipiComponentiMestieri.Ordine AS Ord3
	FROM         tblMestieri INNER JOIN
                      OfferteEdificiMestieri ON tblMestieri.IdCommessa = OfferteEdificiMestieri.IdCommessaEdificio AND 
                      tblMestieri.IdMestiere = OfferteEdificiMestieri.IdMestiere INNER JOIN
                      SopralluogoPDI ON SopralluogoPDI.IdOfferta = OfferteEdificiMestieri.IdOfferta AND 
                      OfferteEdificiMestieri.IdCommessaOfferta = SopralluogoPDI.IdCommessaTipoComp AND 
                      OfferteEdificiMestieri.IdEdificio = SopralluogoPDI.IdEdificio INNER JOIN
                      ElencoEdifici ON SopralluogoPDI.IdEdificio = ElencoEdifici.ID AND SopralluogoPDI.IdCommessaTipoComp = ElencoEdifici.IdCommessa INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
                      tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa
	WHERE     (OfferteEdificiMestieri.IdCommessaOfferta = $IdCommessa)
				AND (OfferteEdificiMestieri.IdOfferta = $IdOfferta)
				AND (tblMestieri.Calc14x100 = 1)
				AND (TipiComponentiMestieri.UnaTantum = 1)
sql3;
	
$sql = "SELECT * FROM ($sql1 UNION $sql2 UNION $sql3) a ORDER BY Ordine, Codice, ID, Ord2, Gruppo, Ord3";

$query = ntxQuery($sql);

?>	