<?php 

$Sconto3per100 = "dbo.PdiSconto3per100(SopralluogoPDI.IdSopralluogoPDI)";

$subSqlFattoreLightNoLight2 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$subSqlFattoreLightNoLight 
		* (1-ISNULL(	(SELECT Sconto FROM LivelliDocCensimenti 
							WHERE IdCommessa=SopralluogoPDI.IdCommessaEdificio 
							AND Id=SopralluogoPDI.LivelloDocCensimento
				),0)/100.0)
	else
		$subSqlFattoreLightNoLight
	end	
	* $Sconto3per100
sql;

$subSqlFattoreLightNoLightUTE2 = <<< sql
	case when TipiComponentiMestieri.ScontoPerStatoEdificio=1 then
		$FattoreTag 
		* (1-ISNULL(	(SELECT Sconto FROM LivelliDocCensimenti 
							WHERE IdCommessa=SopralluogoPDI.IdCommessaEdificio 
							AND Id=SopralluogoPDI.LivelloDocCensimento
				),0)/100.0)
	else
		$FattoreTag
	end	
	* $Sconto3per100
sql;

$sqlSopralluoghi = <<< sqlSopralluoghi
	SELECT  
			SopralluogoPDI.NonConsiderareUnatantum,
			SopralluogoPDI.QTA * case when tblComponetiMestiere.PosizioneInPdi=3 then
				SopralluogoPDI.QtaFreqPdi*0.5787
			else
				case when tblComponetiMestiere.PosizioneInPdi=4 then
					SopralluogoPDI.QtaFreqPdi
				else
					1
				end
			end QTA,
			case when SopralluogoPDI.UnaTantumExtraCanone=1 then $subSqlFattoreLightNoLightUTE2 else $subSqlFattoreLightNoLight2 end Fattore, 
			TipiComponentiMestieri.UnaTantum, 
			OfferteEdificiMestieri.CalcSotto400mq, 
			tblMestieri.Calc14x100, 
			
			dbo.IsReperibilitàOfferta(OfferteEdificiMestieri.Id, SopralluogoPDI.IdRevConsistenza) Reperibilità, 
			
			TipiComponentiMestieri.AttivitàDiGoverno,
			OfferteEdificiMestieri.CinquePerCento, 
			OfferteEdificiMestieri.AChiamata,
			OfferteEdificiMestieri.IdEdificio,
			Offerte.IdCommessa,
			Offerte.IdOfferta,
			Offerte.DataAttivazione,
		
			Offerte.DataAttivazione 				  Data1,
			dateadd(month,12,Offerte.DataAttivazione) Data2,
			dateadd(month,24,Offerte.DataAttivazione) Data3,
			dateadd(month,36,Offerte.DataAttivazione) Data4,
			dateadd(month,48,Offerte.DataAttivazione) Data5,
			dateadd(month,60,Offerte.DataAttivazione) Data6,
			dateadd(month,72,Offerte.DataAttivazione) Data7,
			dateadd(month,84,Offerte.DataAttivazione) Data8,
			
			case when SopralluogoPDI.IdRevConsistenza is null or SopralluogoPDI.DataInizio is null then 
				OfferteEdificiMestieri.DataInizio 
			else
				SopralluogoPDI.DataInizio
			end DataInizio, 
			
			case when SopralluogoPDI.IdRevConsistenza is null or SopralluogoPDI.Durata is null then 
				OfferteEdificiMestieri.Durata 
			else
				SopralluogoPDI.Durata
			end Durata
			
	FROM         OfferteEdificiMestieri INNER JOIN
					  SopralluogoPDI ON OfferteEdificiMestieri.IdEdificio = SopralluogoPDI.IdEdificio AND 
					  OfferteEdificiMestieri.IdCommessaEdificio = SopralluogoPDI.IdCommessaEdificio AND 
					  OfferteEdificiMestieri.IdCommessaOfferta = SopralluogoPDI.IdCommessaOfferta AND 
					  OfferteEdificiMestieri.IdOfferta = SopralluogoPDI.IdOfferta INNER JOIN
					  tblMestieri ON OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere AND 
					  OfferteEdificiMestieri.IdCommessaOfferta = tblMestieri.IdCommessa INNER JOIN
					  tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
					  tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
					  TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
					  SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere AND 
					  tblComponetiMestiere.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
					  tblComponetiMestiere.IdComponenteMestiere = TipiComponentiMestieri.IdComponenteMestiere INNER JOIN
					  Offerte ON OfferteEdificiMestieri.IdOfferta = Offerte.IdOfferta AND OfferteEdificiMestieri.IdCommessaOfferta = Offerte.IdCommessa
					   INNER JOIN
                      OfferteEdifici ON OfferteEdificiMestieri.IdCommessaOfferta = OfferteEdifici.IdCommessaOfferta AND 
                      OfferteEdificiMestieri.IdOfferta = OfferteEdifici.IdOfferta AND OfferteEdificiMestieri.IdCommessaEdificio = OfferteEdifici.IdCommessaEdificio AND 
                      OfferteEdificiMestieri.IdEdificio = OfferteEdifici.IdEdificio
	WHERE (Offerte.IdCommessa = $IdCommessa) 
		AND (Offerte.IdOfferta = $IdOfferta)
		$andSoprallugoPerPdi
		AND (tblComponetiMestiere.PosizioneInPdi=1 OR tblComponetiMestiere.PosizioneInPdi=2)
sqlSopralluoghi;

for ( $i1=1; $i1<=7; $i1++ )
{
	$i2 = $i1+1;
	
	$sqlAnnoC[$i1] = <<< sqlAnnoC
		case when DataInizio < Data{$i2} then
			case when DataInizio >= Data{$i1} then /* ANNO INIZIALE */
				case when Durata % 12 = 0 then
					QTA * Fattore * 12 / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				else
					(Durata % 12) * QTA * Fattore / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				end 
			else /* ANNO SUCCESSIVO */
				case when Data{$i2}<=dateadd(month,Durata+1,DataInizio) then
					QTA * Fattore * 12 / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				else
					0
				end 
			end
		else
			0
		end
sqlAnnoC;

$sqlAnnoR[$i1] = <<< sqlAnnoR
		case when DataInizio < Data{$i2} and Reperibilità=1 and (AttivitàDiGoverno=0 or AttivitàDiGoverno is null) then
			case when DataInizio >= Data{$i1} then /* ANNO INIZIALE */
				case when Durata % 12 = 0 then
					0.05 * QTA * Fattore * 12 / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				else
					0.05 * (Durata % 12) * QTA * Fattore / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				end 
			else /* ANNO SUCCESSIVO */
				case when Data{$i2}<=dateadd(month,Durata+1,DataInizio) then
					0.05 * QTA * Fattore * 12 / case when UnaTantum = 1 and Durata is not null and Durata>0 then Durata else 1 end
				else
					0
				end 
			end
		else
			0
		end
sqlAnnoR;
}

$sqlEdifici = <<< sqlEdifici
	SELECT  ElencoEdifici.IdCommessa, 
			OfferteEdifici.IdOfferta, 
			ElencoEdifici.ID AS IdEdificio, 
			ElencoEdifici.Ordine, 
			ElencoEdifici.Codice AS CodEdificio, 
			ElencoEdifici.EdificioBreve AS NomeEdificio,
			ElencoEdifici.Indirizzo AS Indirizzo
			
	FROM OfferteEdifici INNER JOIN ElencoEdifici
		ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa 
			AND OfferteEdifici.IdEdificio = ElencoEdifici.ID 
	WHERE (ElencoEdifici.IdCommessa = $IdCommessa) 
		AND (OfferteEdifici.IdOfferta = $IdOfferta)
sqlEdifici;

$sql = <<< sql
	SELECT 
			Ordine, 
			CodEdificio, 
			NomeEdificio, 
			Indirizzo, 
			IdEdificio, 
			
			SUM(Anno_1c) Anno_1c, 
			SUM(Anno_2c) Anno_2c, 
			SUM(Anno_3c) Anno_3c, 
			SUM(Anno_4c) Anno_4c, 
			SUM(Anno_5c) Anno_5c,
			SUM(Anno_6c) Anno_6c, 
			SUM(Anno_7c) Anno_7c,
			
			SUM(Anno_1r) Anno_1r, 
			SUM(Anno_2r) Anno_2r, 
			SUM(Anno_3r) Anno_3r, 
			SUM(Anno_4r) Anno_4r, 
			SUM(Anno_5r) Anno_5r, 
			SUM(Anno_6r) Anno_6r, 
			SUM(Anno_7r) Anno_7r
	FROM (
			SELECT 
					a.Ordine, 
					a.CodEdificio, 
					a.NomeEdificio, 
					a.Indirizzo, 
					a.IdEdificio, 
					b.UnaTantum, 
					
					($sqlAnnoC[1]) Anno_1c, 
					($sqlAnnoC[2]) Anno_2c, 
					($sqlAnnoC[3]) Anno_3c, 
					($sqlAnnoC[4]) Anno_4c, 
					($sqlAnnoC[5]) Anno_5c,
					($sqlAnnoC[6]) Anno_6c, 
					($sqlAnnoC[7]) Anno_7c,
					
					($sqlAnnoR[1]) Anno_1r, 
					($sqlAnnoR[2]) Anno_2r, 
					($sqlAnnoR[3]) Anno_3r, 
					($sqlAnnoR[4]) Anno_4r, 
					($sqlAnnoR[5]) Anno_5r,
					($sqlAnnoR[6]) Anno_6r, 
					($sqlAnnoR[7]) Anno_7r
					
			FROM ($sqlEdifici) a INNER JOIN ($sqlSopralluoghi) b
			ON a.IdCommessa = b.IdCommessa AND a.IdOfferta = b.IdOfferta AND a.IdEdificio = b.IdEdificio 
			) c
	GROUP BY Ordine, CodEdificio, NomeEdificio, Indirizzo, IdEdificio
	ORDER BY Ordine, CodEdificio, NomeEdificio, Indirizzo, IdEdificio
sql;
//echo "<br><br>$sql<br><br><br>";

$query = ntxQuery($sql);
?>