<?php

$head_right = <<< head_right
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente, 
                      CdCAmbienti.DataInizio, CdCAmbienti.DataFine, Ambiente.MQ, null IdUtilizzatore, 
                      null Utilizzatore, 'FFFFFF' as Colore
head_right;

$head = <<< head
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente, 
                      CdCAmbienti.DataInizio, CdCAmbienti.DataFine, Ambiente.MQ, CdC.IdCdC IdUtilizzatore, 
                      CdC.CdC AS Utilizzatore, CdC.Colore
head;

$from_inner = <<< from_inner
FROM         CdC INNER JOIN
                      CdCAmbienti ON CdC.IdCommessa = CdCAmbienti.IdCommessa AND 
                      CdC.IdCdC = CdCAmbienti.IdCdC INNER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON CdCAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      CdCAmbienti.IdEdificio = Ambiente.IdEdificio AND CdCAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_inner;

$from_right = <<< from_left
FROM         (SELECT     CdCAmbienti.IdCommessa, CdCAmbienti.IdEdificio, CdCAmbienti.IdAmbiente, 
					CdCAmbienti.DataInizio, CdCAmbienti.DataFine, null PercentualeUtilizzo, CdC.IdCdC IdUtilizzatore, CdC.CdC 
FROM         CdC RIGHT OUTER JOIN
                      CdCAmbienti ON CdC.IdCommessa = CdCAmbienti.IdCommessa AND CdC.IdCdC = CdCAmbienti.IdCdC
WHERE 
 (CdCAmbienti.DataInizio <= $Data1sql or CdCAmbienti.DataInizio is null) 
AND (CdCAmbienti.DataFine >= $Data1sql or CdCAmbienti.DataFine is null) 
						) CdCAmbienti RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON CdCAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      CdCAmbienti.IdEdificio = Ambiente.IdEdificio AND CdCAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_left;

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= " OR ";
			
		$where_edifici .= "ElencoEdifici.ID=$IdEdificio";
	}
	
if ( $where_edifici != "" )
	$where .= " AND ($where_edifici)";

$where_attori = "";

foreach($cdc2 as $IdUtilizzatore)
	if ( is_numeric($IdUtilizzatore) )
	{
		if ( $where_attori != "" )
			$where_attori .= " OR ";
			
		$where_attori .= "CdC.IdCdC=$IdUtilizzatore";
	}

if ( $where_attori == "" )
	$where_attori = "1=1";

$sql = <<< sql
$head_right, 1 ord1, 'vani vuoti' testa
$from_right
$where
AND CdCAmbienti.IdUtilizzatore is null

UNION   
                
$head, 2 ord1, 'utilizzatori non selezionati' testa
$from_inner
$where
AND (CdCAmbienti.DataInizio <= $Data1sql or CdCAmbienti.DataInizio is null) 
AND (CdCAmbienti.DataFine >= $Data1sql or CdCAmbienti.DataFine is null) 
AND NOT ($where_attori)

UNION 
                  
$head, 3 ord1, 'utilizzatori selezionati' testa
$from_inner
$where
AND (CdCAmbienti.DataInizio <= $Data1sql or CdCAmbienti.DataInizio is null) 
AND (CdCAmbienti.DataFine >= $Data1sql or CdCAmbienti.DataFine is null) 
AND ($where_attori)

ORDER BY Codice, EdificioBreve, IdEdificio, ord1, Utilizzatore, IdUtilizzatore, OrdPiano, CodAmb, Ambiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqUtilizzaEdifici = array();
$mqPiani = array();
$countEdifici = array();
$countUtilizzaEdifici = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[ord1]_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MQ];
	$countEdifici[$keyEdificio] += 1;
	
	$keyUtilizzaEdificio = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdUtilizzatore]";
	$rs[keyUtilizzaEdificio] = $keyUtilizzaEdificio;
	$mqUtilizzaEdifici[$keyUtilizzaEdificio] += $rs[MQ];
	$countUtilizzaEdifici[$keyUtilizzaEdificio] += 1;
	
	$keyPiano = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdUtilizzatore]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MQ];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>