<?php

$head_right = <<< head_right
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente, DestinazioniDuso.Tipo TipoDesUso,
                      CaratteristicheAmbientiMN.DataInizio, CaratteristicheAmbientiMN.DataFine, Ambiente.MQ, null IdUtilizzatore, 
                      null Utilizzatore, 'FFFFFF' as Colore
head_right;

$head = <<< head
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente,  DestinazioniDuso.Tipo TipoDesUso,
                      CaratteristicheAmbientiMN.DataInizio, CaratteristicheAmbientiMN.DataFine, Ambiente.MQ, CaratteristicheAmbienti.Id IdUtilizzatore, 
                      CaratteristicheAmbienti.Descrizione AS Utilizzatore, CaratteristicheAmbienti.Colore
head;

$from_inner = <<< from_inner
FROM         CaratteristicheAmbienti INNER JOIN
                      CaratteristicheAmbientiMN ON CaratteristicheAmbienti.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND 
                      CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente INNER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
					  
					  ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND 
                      CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente
					  
					  LEFT JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
from_inner;

$from_right = <<< from_left
FROM         (SELECT     CaratteristicheAmbientiMN.IdCommessa, CaratteristicheAmbientiMN.IdEdificio, CaratteristicheAmbientiMN.IdAmbiente, 
					CaratteristicheAmbientiMN.DataInizio, CaratteristicheAmbientiMN.DataFine, null PercentualeUtilizzo, CaratteristicheAmbienti.Id IdUtilizzatore, CaratteristicheAmbienti.Descrizione 
FROM         CaratteristicheAmbienti RIGHT OUTER JOIN
                      CaratteristicheAmbientiMN ON CaratteristicheAmbienti.IdCommessa = CaratteristicheAmbientiMN.IdCommessa AND CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente
WHERE 
 (CaratteristicheAmbientiMN.DataInizio <= $Data1sql or CaratteristicheAmbientiMN.DataInizio is null) 
AND (CaratteristicheAmbientiMN.DataFine >= $Data1sql or CaratteristicheAmbientiMN.DataFine is null) 
						) CaratteristicheAmbientiMN RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
					  
					  ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND 
                      CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente
					  
					  LEFT JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
from_left;

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= " OR ";
			
		$where_edifici .= "ElencoEdifici.ID=$IdEdificio";
	}
	
if ( $where_edifici != "" )
	$where .= " AND ($where_edifici)";

$where_attori = "";

foreach($caratteristiche as $IdUtilizzatore)
	if ( is_numeric($IdUtilizzatore) )
	{
		if ( $where_attori != "" )
			$where_attori .= " OR ";
			
		$where_attori .= "CaratteristicheAmbienti.Id=$IdUtilizzatore";
	}

if ( $where_attori == "" )
	$where_attori = "1=1";

$sql = <<< sql
$head_right, 1 ord1, 'vani vuoti' testa
$from_right
$where
AND CaratteristicheAmbientiMN.IdUtilizzatore is null

UNION   
                
$head, 2 ord1, 'utilizzatori non selezionati' testa
$from_inner
$where
AND (CaratteristicheAmbientiMN.DataInizio <= $Data1sql or CaratteristicheAmbientiMN.DataInizio is null) 
AND (CaratteristicheAmbientiMN.DataFine >= $Data1sql or CaratteristicheAmbientiMN.DataFine is null) 
AND NOT ($where_attori)

UNION 
                  
$head, 3 ord1, 'utilizzatori selezionati' testa
$from_inner
$where
AND (CaratteristicheAmbientiMN.DataInizio <= $Data1sql or CaratteristicheAmbientiMN.DataInizio is null) 
AND (CaratteristicheAmbientiMN.DataFine >= $Data1sql or CaratteristicheAmbientiMN.DataFine is null) 
AND ($where_attori)

ORDER BY Codice, EdificioBreve, IdEdificio, ord1, OrdPiano, IdPiano, Utilizzatore, IdUtilizzatore, CodAmb, Ambiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqUtilizzaEdifici = array();
$mqPiani = array();
$countEdifici = array();
$countUtilizzaEdifici = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[ord1]_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MQ];
	$countEdifici[$keyEdificio] += 1;
	
	$keyUtilizzaEdificio = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdPiano]_$rs[IdUtilizzatore]";
	$rs[keyUtilizzaEdificio] = $keyUtilizzaEdificio;
	$mqUtilizzaEdifici[$keyUtilizzaEdificio] += $rs[MQ];
	$countUtilizzaEdifici[$keyUtilizzaEdificio] += 1;
	
	$keyPiano = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MQ];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>