<?php

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= ",";
			
		$where_edifici .= $IdEdificio;
	}
	
if ( $where_edifici != "" )
	$where_edifici = " AND ElencoEdifici.ID IN ($where_edifici)";

$where .= $where_edifici;

$whereLeftJoin = "WHERE     (relMN.IdCommessa = $IdCommessa)"
	." AND (relMN.DataInizio <= $Data1sql OR relMN.DataInizio IS NULL) "
	." AND (relMN.DataFine >= $Data1sql OR relMN.DataFine IS NULL)"
	.str_replace("ElencoEdifici.ID", "relMN.IdEdificio", $where_edifici);

$where_attori = "";

foreach($des_uso as $IdAttore)
	if ( is_numeric($IdAttore) )
	{
		if ( $where_attori != "" )
			$where_attori .= ",";
			
		$where_attori .= $IdAttore;
	}

if ( $where_attori != "" )
	$where_attori = " AND Ambiente.IdDestinazioneduso IN ($where_attori)";

$sql = <<< sql
	SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, 
                      DestinazioniDuso.Destinazione AS Attore, Ambiente.MQ, Ambiente.IdDestinazioneduso IdAttore, DestinazioniDuso.Colore2 as Colore
					  
					  , utilizzatori.Utilizzatore, utilizzatori.DataInizio DataInizioU, utilizzatori.DataFine DataFineU
					  
					  , car2.Car2, car2.DataInizio DataInizioCar2, car2.DataFine DataFineCar2
					  
					  , cdc.CdC, cdc.DataInizio DataInizioCdC, cdc.DataFine DataFineCdC
					  
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	
		LEFT JOIN (
					SELECT     relMN.IdCommessa, relMN.IdEdificio, relMN.IdAmbiente, relMN.DataInizio, relMN.DataFine, tblUtUtilizzatori.Nome AS Utilizzatore
					FROM         tblUtAmbienti AS relMN INNER JOIN
										  tblUtUtilizzatori ON relMN.IdCommessa = tblUtUtilizzatori.IdCommessa AND relMN.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
						$whereLeftJoin
						
				) utilizzatori ON utilizzatori.IdCommessa = Ambiente.IdCommessa AND 
                      utilizzatori.IdEdificio = Ambiente.IdEdificio AND utilizzatori.IdAmbiente = Ambiente.IDAmbiente
	
		LEFT JOIN (
					SELECT     relMN.IdCommessa, relMN.IdEdificio, relMN.IdAmbiente, relMN.DataInizio, relMN.DataFine, CaratteristicheAmbienti.Descrizione AS Car2
					FROM         CaratteristicheAmbientiMN AS relMN INNER JOIN
										  CaratteristicheAmbienti ON relMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
						$whereLeftJoin
						
				) car2 ON car2.IdCommessa = Ambiente.IdCommessa AND 
                      car2.IdEdificio = Ambiente.IdEdificio AND car2.IdAmbiente = Ambiente.IDAmbiente
	
		LEFT JOIN (
					SELECT     relMN.IdCommessa, relMN.IdEdificio, relMN.IdAmbiente, relMN.DataInizio, relMN.DataFine, CdC.CdC
					FROM         CdCAmbienti relMN INNER JOIN
										  CdC ON relMN.IdCdC = CdC.IdCdC
						$whereLeftJoin
						
				) cdc ON cdc.IdCommessa = Ambiente.IdCommessa AND 
                      cdc.IdEdificio = Ambiente.IdEdificio AND cdc.IdAmbiente = Ambiente.IDAmbiente
	$where
	
	$where_attori

	ORDER BY ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, IdEdificio, OrdPiano, Piano, IdPiano, Attore, CodAmb, IdAmbiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqAttore = array();
$mqPiani = array();
$countEdifici = array();
$countAttore = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MQ];
	$countEdifici[$keyEdificio] += 1;
	
	$keyAttore = "k_$rs[IdEdificio]_$rs[IdPiano]_$rs[IdAttore]";
	$rs[keyAttore] = $keyAttore;
	$mqAttore[$keyAttore] += $rs[MQ];
	$countAttore[$keyAttore] += 1;
	
	$keyPiano = "k_$rs[IdEdificio]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MQ];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>