<?php

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= " OR ";
			
		$where_edifici .= "ElencoEdifici.ID=$IdEdificio";
	}
	
if ( $where_edifici != "" )
	$where .= " AND ($where_edifici)";

$where_attori = "";

foreach($des_uso as $IdAttore)
	if ( is_numeric($IdAttore) )
	{
		if ( $where_attori != "" )
			$where_attori .= " OR ";
			
		$where_attori .= "Ambiente.IdDestinazioneduso=$IdAttore";
	}

if ( $where_attori == "" )
	$where_attori = "1=1";

$sql = <<< sql
	SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, 
                      DestinazioniDuso.Destinazione AS Attore, Ambiente.MC, Ambiente.IdDestinazioneduso IdAttore, DestinazioniDuso.Colore2 as Colore
					  
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	
	$where
	
	AND ($where_attori)

	ORDER BY ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, IdEdificio, OrdPiano, Piano, IdPiano, Attore, CodAmb, IdAmbiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqAttore = array();
$mqPiani = array();
$countEdifici = array();
$countAttore = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MC];
	$countEdifici[$keyEdificio] += 1;
	
	$keyAttore = "k_$rs[IdEdificio]_$rs[IdPiano]_$rs[IdAttore]";
	$rs[keyAttore] = $keyAttore;
	$mqAttore[$keyAttore] += $rs[MC];
	$countAttore[$keyAttore] += 1;
	
	$keyPiano = "k_$rs[IdEdificio]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MC];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>