<?php

$head_right = <<< head_right
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente, 
                      tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine, Ambiente.MQ, null IdUtilizzatore, 
                      null Utilizzatore, 'FFFFFF' as Colore
head_right;

$head = <<< head
SELECT     ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      ElencoEdifici.PROVINCIA AS Provincia, PianoLivello.idPiano AS IdPiano, DestinazioniDusoLivello.Destinazione AS Piano, 
                      DestinazioniDusoLivello.ordinamento AS OrdPiano, Ambiente.CodiceAssAmbiente AS CodAmb, Ambiente.IDAmbiente AS IdAmbiente, DestinazioniDuso.Destinazione AS Ambiente, 
                      tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine, Ambiente.MQ, tblUtPersonale.IdPersona IdUtilizzatore, 
                      tblUtPersonale.Nome AS Utilizzatore, tblUtPersonale.Colore
head;

$from_inner = <<< from_inner
FROM         tblUtPersonale INNER JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND 
                      tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona INNER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_inner;

$from_right = <<< from_left
FROM         (SELECT     tblUtPersAmbienti.IdCommessa, tblUtPersAmbienti.IdEdificio, tblUtPersAmbienti.IdAmbiente, 
					tblUtPersAmbienti.DataInizio, tblUtPersAmbienti.DataFine, null PercentualeUtilizzo, tblUtPersonale.IdPersona IdUtilizzatore, tblUtPersonale.Nome
FROM         tblUtPersonale RIGHT OUTER JOIN
                      tblUtPersAmbienti ON tblUtPersonale.IdCommessa = tblUtPersAmbienti.IdCommessa AND tblUtPersonale.IdPersona = tblUtPersAmbienti.IdPersona
WHERE 
 (tblUtPersAmbienti.DataInizio <= $Data1sql or tblUtPersAmbienti.DataInizio is null) 
AND (tblUtPersAmbienti.DataFine >= $Data1sql or tblUtPersAmbienti.DataFine is null) 
						) tblUtPersAmbienti RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON tblUtPersAmbienti.IdCommessa = Ambiente.IdCommessa AND 
                      tblUtPersAmbienti.IdEdificio = Ambiente.IdEdificio AND tblUtPersAmbienti.IdAmbiente = Ambiente.IDAmbiente
from_left;

$where = <<< where
WHERE     
	(ElencoEdifici.IdCommessa = $IdCommessa) 
	AND (PianoLivello.Rimosso = 0 OR PianoLivello.Rimosso IS NULL) 
	AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL)
where;

$where_edifici = "";

foreach($edifici as $IdEdificio)
	if ( is_numeric($IdEdificio) )
	{
		if ( $where_edifici != "" )
			$where_edifici .= " OR ";
			
		$where_edifici .= "ElencoEdifici.ID=$IdEdificio";
	}
	
if ( $where_edifici != "" )
	$where .= " AND ($where_edifici)";

$where_attori = "";

foreach($personale as $IdUtilizzatore)
	if ( is_numeric($IdUtilizzatore) )
	{
		if ( $where_attori != "" )
			$where_attori .= " OR ";
			
		$where_attori .= "tblUtPersonale.IdPersona=$IdUtilizzatore";
	}

if ( $where_attori == "" )
	$where_attori = "1=1";

$sql = <<< sql
$head_right, 1 ord1, 'vani vuoti' testa
$from_right
$where
AND tblUtPersAmbienti.IdUtilizzatore is null

UNION   
                
$head, 2 ord1, 'personali non selezionati' testa
$from_inner
$where
AND (tblUtPersAmbienti.DataInizio <= $Data1sql or tblUtPersAmbienti.DataInizio is null) 
AND (tblUtPersAmbienti.DataFine >= $Data1sql or tblUtPersAmbienti.DataFine is null) 
AND NOT ($where_attori)

UNION 
                  
$head, 3 ord1, 'personali selezionati' testa
$from_inner
$where
AND (tblUtPersAmbienti.DataInizio <= $Data1sql or tblUtPersAmbienti.DataInizio is null) 
AND (tblUtPersAmbienti.DataFine >= $Data1sql or tblUtPersAmbienti.DataFine is null) 
AND ($where_attori)

ORDER BY Codice, EdificioBreve, IdEdificio, ord1, OrdPiano, IdPiano, Utilizzatore, IdUtilizzatore, CodAmb, Ambiente
sql;

$query = ntxQuery($sql);

$tab = array();
$mqEdifici = array();
$mqUtilizzaEdifici = array();
$mqPiani = array();
$countEdifici = array();
$countUtilizzaEdifici = array();
$countPiani = array();

while ( $rs = ntxRecord($query) )
{
	$keyEdificio = "k_$rs[ord1]_$rs[IdEdificio]";
	$rs[keyEdificio] = $keyEdificio;
	$mqEdifici[$keyEdificio] += $rs[MQ];
	$countEdifici[$keyEdificio] += 1;
	
	$keyUtilizzaEdificio = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdPiano]_$rs[IdUtilizzatore]";
	$rs[keyUtilizzaEdificio] = $keyUtilizzaEdificio;
	$mqUtilizzaEdifici[$keyUtilizzaEdificio] += $rs[MQ];
	$countUtilizzaEdifici[$keyUtilizzaEdificio] += 1;
	
	$keyPiano = "k_$rs[ord1]_$rs[IdEdificio]_$rs[IdPiano]";
	$rs[keyPiano] = $keyPiano;
	$mqPiani[$keyPiano] += $rs[MQ];
	$countPiani[$keyPiano] += 1;
	
	$tab[] = $rs;
}


?>