<?php  

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link rel="stylesheet" type="text/css" href="/repository/css/reset-1.0.0.css" /> 
<link rel="stylesheet" type="text/css" href="/repository/css/grid-2.0.0.css" /> 
<link rel="stylesheet" type="text/css" href="/repository/libs/dojo-release-1.7.1/dijit/themes/claro/claro.css" /> 
<script type="text/javascript" src="/repository/libs/dojo-release-1.7.1/dojo/dojo.js" djConfig="parseOnLoad: true, locale:'it'"></script>
<script type="text/javascript" src="<?php echo $indent ?>_ntx/jhp.php"></script>
<script type="text/javascript">
	dojo.require("dojo.i18n");
	dojo.require("dijit.form.DateTextBox");
</script>
<style>
	* { font-size: 9px }
</style>
</head>
<body class="claro" >

<?php  

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$extent = explode(" ", $_POST[extent]);

$map_x = ntxip('map_x');
$map_y = ntxip('map_y');
$map_dx = ntxip('map_dx');
$map_dy = ntxip('map_dy');

$delta = 5;

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$DateQuery = $_POST[DateQuery];
$DateQuerySql = ntxtp('DateQuery');

$sql = <<< sql
	SELECT    Ambiente.CodiceAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione AS DesAmb, tblUtPersAmbienti.DataInizio, 
                      tblUtPersAmbienti.DataFine, tblUtPersonale.Nome AS Personale, 
                      tblUtUtilizzatori.Nome AS Utilizzatore, tblUtPersAmbienti.IdCommessa, tblUtPersAmbienti.IdUtPersAmbiente
	FROM         Ambiente INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso INNER JOIN
                      tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente INNER JOIN
                      tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND 
                      tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
	AND (Ambiente.IdEdificio = $IdEdificio) 
	AND (Ambiente.IdLivello = $IdLivello)
	AND dbo.CatchPoint(
						tblUtPersAmbienti.coord_x, tblUtPersAmbienti.coord_y,
						$minx, $miny,
						$maxx, $maxy,
						$map_x, $map_y,
						$map_dx, $map_dy,
						$delta)=1
sql;

if ( $DateQuerySql != "NULL" )
{
	$sql .= " AND (tblUtPersAmbienti.DataInizio <= $DateQuerySql or tblUtPersAmbienti.DataInizio is null)";
	$sql .= " AND (tblUtPersAmbienti.DataFine >= $DateQuerySql or tblUtPersAmbienti.DataFine is null)";
}

$query = ntxQuery($sql);

?>

<table class=grid>
		<caption>Personale in data <?php echo $DateQuery ?></caption> 
		<tr>
			<th></th>
			<th>Codice</th>
			<th>Destinazione d'uso Ambiente</th>
			<th>Personale</th>
			<th>Utilizzatore</th>
			<th>DataInizio</th>
			<th>DataFine</th>
			<th>Codice Parlante Ambiente</th>
<?php
while( $query  &&  $rs = ntxRecord($query) )
{
?>
		<tr>
			<td><input type=button value=elimina onclick="Elimina(<?php echo "'$rs[IdCommessa]','$rs[IdUtPersAmbiente]'" ?>)" />
			<td>&nbsp;<?php echo htmlentities($rs[CodiceAssAmbiente]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[DesAmb]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[Personale]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[Utilizzatore]) ?>
			<td>&nbsp;<?php echo ntxDate($rs[DataInizio]) ?>
			<td>&nbsp;<?php echo ntxDate($rs[DataFine]) ?>
			<td>&nbsp;<?php echo htmlentities($rs[CodiceAmbiente]) ?>
<?php
}
?>

<form name=form1 method=post>
<?php ntxCreateHiddens() ?>
</form>

<script>

function Elimina(IdCommessa, IdUtPersAmbiente)
{
	if ( !confirm('Sicuro di voler eliminare tale relazione?') ) return;
	
	var dati_input = jhp_frm(form1);

	var result = jhp("jhp/elimina_pers_amb.php", {IdCommessa:IdCommessa, IdUtPersAmbiente:IdUtPersAmbiente});

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		parent.RefreshMap();
		form1.submit();
	}
}

</script>

</body>
</html>
