<?php



function CalAreaPolygon($line)
{
	$cnt = $line->numpoints;
	
	if ( $cnt < 2 )
		jhp_error("poligono con meno di tre vertici!");
		
	$sum1 = 0;
	$sum2 = 0;
	
	for ( $i=0; $i<$cnt-1; ++$i)
	{
		$p1 = $line->point($i);
		$p2 = $line->point($i+1);
		
		$x1 = $p1->x;
		$y1 = $p1->y;
		$x2 = $p2->x;
		$y2 = $p2->y;
		
		$sum1 += $x1 * $y2;
		$sum2 += $y1 * $x2;
	}
	
	return abs($sum1-$sum2)/2;
}

function CalPerimPolygon($line)
{
	$cnt = $line->numpoints;
	
	if ( $cnt < 2 )
		jhp_error("poligono con meno di tre vertici!");
		
	$sum = 0;
	
	for ( $i=0; $i<$cnt-1; ++$i)
	{
		$p1 = $line->point($i);
		$p2 = $line->point($i+1);
		
		$sum += $p1->distanceToPoint($p2);
	}
	
	return $sum;
}

require('indent.inc');

require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

$dir = str_replace("/","\\",$dir);

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$ElencoPoligoniSelezionati = explode("|",$_POST[ElencoPoligoniSelezionati]);
$ElPolSel2 = explode("|",$_POST[ElencoPoligoniSelezionati]);

$ElPolSel = array();

foreach($ElPolSel2 as $el)
	if ( $el!="" )
		$ElPolSel[] = $el;

$countPoligoni = count($ElPolSel);

if ( $countPoligoni==0 )
	jhp_error("Bisogna selezionare uno o piu' poligoni!");

$sql = <<< sql
	SELECT     CodPiano, FattoreDiScala
	FROM         PianoLivello
	WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio) AND (idPiano = $IdLivello)
sql;

$query = ntxQuery($sql);

$rs = ntxIRecord($query);

$codPiano = $rs[0];
$FattoreDiScala = $rs[1];
$FattoreDiScala2 = $FattoreDiScala * $FattoreDiScala;

if ( !is_numeric($FattoreDiScala) ) $FattoreDiScala = 1;

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";
$IdCommessaCoperturaSnap = ntxip('IdCommessaCoperturaSnap');
$IdCoperturaSnap = ntxip('IdCoperturaSnap');
	
$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

if ( is_numeric($IdCommessaCoperturaSnap) )
{
	$sql = <<< sql
		SELECT     FileName
		FROM         tblCopertureInCommessa
		WHERE     Associazione = 4 AND Id=$IdCoperturaSnap AND IdCommessa=$IdCommessaCoperturaSnap
sql;
}
else
{
	$sql = <<< sql
		SELECT     FileName
		FROM         tblCoperture
		WHERE     Associazione = 4 AND Id=$IdCoperturaSnap
sql;
}

$nomeFile = ntxScalar($sql);

$data = "{$pathShapes}{$nomeFile}.shp";

$map = ms_newMapObj("");

$layer = ms_newLayerObj($map);

$layer->set("type", MS_LAYER_POLYGON);

$layer->set("status", MS_ON);

$layer->set("data", $data);

$layer->set("template", "none");

$queryTema = "\"[ID]\"==\"\"";

foreach($ElPolSel as $ID)
{
	if ( $queryTema != "" )
		$queryTema .= " OR ";

		$queryTema .= "\"[ID]\" == \"$ID\"";
}

$layer->setFilter("( $queryTema )");

$sql = <<< sql
	SELECT     FileName
	FROM         tblCoperture
	WHERE     Associazione = 1
sql;

$nomeFileAmb = ntxScalar($sql);

$szFileNameAmb = "{$pathShapes}{$nomeFileAmb}";

for ($vers = 1; true; ++$vers)
{
	if ( !file_exists("{$szFileNameAmb}_old_{$vers}.shp") )
	{
		copy("{$szFileNameAmb}.shp", "{$szFileNameAmb}_old_{$vers}.shp");
		copy("{$szFileNameAmb}.shx", "{$szFileNameAmb}_old_{$vers}.shx");
		copy("{$szFileNameAmb}.dbf", "{$szFileNameAmb}_old_{$vers}.dbf");
		
		break;
	}
}

$ambShapeFile = ms_newShapefileObj($szFileNameAmb.".shp", -2); // -2 for append shape
$dbfFile = dbase_open( $szFileNameAmb.".dbf", 2); // 2 for read/write

$res = @$layer->queryByRect($layer->getExtent());

if ( $res == MS_SUCCESS )
{	$num = $layer->getNumResults();
	
	$layer->open();
	
	for ( $i=0;$i<$num; $i++ )
	{
		$resObj = $layer->getResult($i);
		
		$shape = $layer->getShape($resObj);

		$line = $shape->line(0);
		
		$area = CalAreaPolygon($line)*$FattoreDiScala2;
		$perimeter = CalPerimPolygon($line)*$FattoreDiScala;

		$sql = <<< sql
			SELECT     isnull(max(IDAmbiente),0)+1
			FROM         Ambiente
			WHERE     (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio)
sql;

		$newIdAmb = ntxScalar($sql);
		$codAmbiente = $codPiano."A".$newIdAmb;
		
		$sql = <<< sql
			INSERT INTO Ambiente
						  (
						  IdCommessa,		IdEdificio,		IdLivello,	IDAmbiente, 
						  CodiceAmbiente,	IdTipoAmbiente,	P, 			MQ, 
						  Note, 			DaGestioneSpazi)
				VALUES   (
						$IdCommessa, $IdEdificio, $IdLivello, $newIdAmb, 
						'$codAmbiente', NULL, $perimeter, $area, 
						'generato da gestione spazi', 1)	
sql;

		ntxQuery($sql);

		$ambShapeFile->addShape($shape);
		dbase_add_record($dbfFile, array("A", $codAmbiente));
	}
}

$layer->close();

$ambShapeFile->free();
unset($ambShapeFile);
dbase_close($dbfFile);

jhp_ok();

?>
