<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$IdCommessaCoperturaSnap = ntxip('IdCommessaCoperturaSnap');
$IdCoperturaSnap = ntxip('IdCoperturaSnap');

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

if ( is_numeric($IdCommessaCoperturaSnap) )
{
	$sql = <<< sql
		SELECT     FileName
		FROM         tblCopertureInCommessa
		WHERE     Associazione = 4 AND Id=$IdCoperturaSnap AND IdCommessa=$IdCommessaCoperturaSnap
sql;
}
else
{
	$sql = <<< sql
		SELECT     FileName
		FROM         tblCoperture
		WHERE     Associazione = 4 AND Id=$IdCoperturaSnap
sql;
}

$query = ntxQuery($sql);

$result = array();

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_POLYGON);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x1 = $_POST[zoom_x1];
	$y1 = $_POST[zoom_y1];
	$x2 = $_POST[zoom_x2];
	$y2 = $_POST[zoom_y2];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y1 = $dy - $y1;
	$y2 = $dy - $y2;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$xx1 = $x1 * $dx2 / $dx + $minx;
	$yy1 = $y1 * $dy2 / $dy + $miny;
	
	$xx2 = $x2 * $dx2 / $dx + $minx;
	$yy2 = $y2 * $dy2 / $dy + $miny;

	$my_rect = ms_newRectObj();
	
	$my_rect->setextent($xx1, $yy2, $xx2, $yy1);
	
	$res = @$layer->queryByRect($my_rect);
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$result[] = $shape->values[ID];
		}
		
		$layer->close();
	}
}

jhp($result);

?>
