<?php

if (is_numeric($IdContratto) )
{
	$IdContratto = (int)$IdContratto;
	
	$subSql1 = <<< sql1
		SELECT     SUM(ISNULL(SalContrattiFornitori.Importo,0))
		FROM         SalContrattiFornitori
		WHERE     
				(SalContrattiFornitori.IdCommessa = tblContrattiFornitori.IdCommessa) 
				AND (SalContrattiFornitori.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore)
sql1;
	
	$subSql2 = <<< sql2
		SELECT     SUM(ISNULL(SalContrattiFornitori.OreEffettuate,0))
		FROM         SalContrattiFornitori
		WHERE     
				(SalContrattiFornitori.IdCommessa = tblContrattiFornitori.IdCommessa) 
				AND (SalContrattiFornitori.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore)
sql2;

	$sql = <<< sql
		SELECT DISTINCT 
						Ditte.IdDitta, 
						Ditte.Ditta, 
						tblContrattiFornitori.IdContrattoFornitore IdContratto, 
						tblContrattiFornitori.DataContratto, 
						tblContrattiFornitori.Protocollo, 
						tblContrattiFornitori.Descrizione, 
						tblContrattiFornitori.DataInizio, 
						tblContrattiFornitori.DataFine, 
						tblContrattiFornitori.ImportoContrattuale, 
						tblContrattiFornitori.Note, 
						tblContrattiFornitori.MonteOre,
						($subSql1) ImportoProgessivo,
						($subSql2) OreEffettuate
		FROM         Ditte INNER JOIN
							  tblContrattiFornitori ON Ditte.IDDitta = tblContrattiFornitori.IdFornitore LEFT OUTER JOIN
							  DocsFornitori2 ON Ditte.IDDitta = DocsFornitori2.IdFornitore
		WHERE     (tblContrattiFornitori.IdCommessa = $IdCommessa)
		AND     (tblContrattiFornitori.IdContrattoFornitore = $IdContratto)
sql;

	$record = ntxRecord(ntxQuery($sql));

	$record[ImportoResiduo] = ntxRound($record[ImportoContrattuale]-$record[ImportoProgessivo],2);
	$record[OreResidue] = ntxRound($record[MonteOre]-$record[OreEffettuate],2);

	$record[DataContratto] = ntxDate($record[DataContratto]);
	$record[DataInizio] = ntxDate($record[DataInizio]);
	$record[DataFine] = ntxDate($record[DataFine]);
	$record[ImportoContrattuale] = ntxRound($record[ImportoContrattuale],2);
	$record[ImportoProgessivo] = ntxRound($record[ImportoProgessivo],2);
	$record[OreEffettuate] = ntxRound($record[OreEffettuate],2);
	$record[MonteOre] = ntxRound($record[MonteOre],0);
	
	$record = ntxRecordTranslate($record);

	ntxMsgResult( $record );	
}
else
	ntxMsgResult( '' );	

?>
