<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

if ( !is_numeric($_POST['IdPgContratto'])) 
{
	$result = <<< result
<table class=grid>
	<caption>Nessun Contratto Selezionato
</table>
result;
}
else
{
	$IdCommessa = ntxise('IdCommessa');
	$IdPgContratto = ntxip('IdPgContratto');

	$sql = <<< sql
		SELECT   DISTINCT  
				tblPgContratti.IdPgContratto, 
				tblPgPropietari.Nome AS Cliente, 
				tblPgGestori.Nome AS Gestore, 
				tblPgContratti.Descrizione, 
				tblPgContratti.Note, 
				tblPgContratti.DataContratto, 
				tblPgContratti.DataInizio, 
				tblPgContratti.DataFine, 
				tblPgContratti.Aperto, 
				tblPgContratti.CentroDiCosto,
				tblPgContratti.TipoContratto
		FROM         tblPgContratti LEFT OUTER JOIN
		  tblPgContrattiPropietariGestoriAttivitàEdifici 
		  ON tblPgContratti.IdPgContratto = tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto LEFT OUTER JOIN
		  tblPgGestori ON tblPgContratti.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
		  tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
		WHERE     (tblPgContratti.IdCommessa = $IdCommessa)  
		AND tblPgContratti.IdPgContratto = $IdPgContratto
sql;

	$query = ntxQuery($sql);
	
	while( $query  &&  $rs = ntxRecord($query) )
	{
		$row = "<tr>";
		$row .= "<td>&nbsp;".htmlentities($rs['DataContratto'])."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['IdPgContratto'])."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['Cliente'])."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['Gestore'])."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['Descrizione'])."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['Note'])."</td>";
		$row .= "<td>&nbsp;".ntxDate($rs['DataInizio'])."</td>";
		$row .= "<td>&nbsp;".ntxDate($rs['DataFine'])."</td>";
		$row .= "<td>&nbsp;".($rs['Aperto']==1 ? "SI" : "no")."</td>";
		$row .= "<td>&nbsp;".htmlentities($rs['TipoContratto'])."</td>";
		$row .= "</tr>";
	}

	$result = <<< result
<table class=grid>
	<caption>Contratto Selezionato
	<tr>
		<th>DataContratto</th>
		<th>Id Contratto</th>
		<th>Cliente</th>
		<th>Gestore</th>
		<th>Descrizione</th>
		<th>Note</th>
		<th>DataInizio</th>
		<th>DataFine</th>
		<th>Aperto</th>
		<th>TipoContratto</th>
	</tr>   
	$row
</table>
result;
}

jhp($result);

?>
