<?php

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, tblPgPropietari.Nome AS Cliente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
						  ElencoEdifici.PROVINCIA, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, 
						  tblMestieri.Descrizione AS Mestiere, Ordini.DataInizio, Ordini.DataFine,
							  (SELECT     SUM(ISNULL(QTA * CostoUnit - QTA * CostoUnit * ISNULL(sconto, 0) / 100, 0)) AS Expr1
								FROM          Costi AS r
								WHERE      (IdCommessa = Ordini.IDCommessa) AND (NumOrdine = Ordini.NumOrdine) AND (AnnoOrdine = Ordini.AnnoOrdine) AND (Autorizzato = 1)) 
						  AS Importo
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere  LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.IdSalContrattoFornitore = $IdSal)
	ORDER BY Ordini.AnnoOrdine, Ordini.NumOrdine
sql;

$query = ntxQuery($sql);

$table = "";

$Totale = 0;

while($rs = ntxRecord($query))
{
	$html = null;

	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	$Totale += $rs[Importo];

	$rs[Importo] = ntxRoundThousand($rs[Importo],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$table .= <<< table
		<tr>
			<td style="text-align:center">$html[NumOrdine]<br>/$html[AnnoOrdine]
			<td>$html[Cliente]
			<td>$html[EdificioBreve] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<td>$html[DescrizioneIntervento]$html[DescrizioneIntervento1]$html[DescrizioneIntervento2]
			<td>$html[Mestiere]
			<td style="text-align:center">$html[DataInizio]
			<td style="text-align:center">$html[DataFine]
			<td style="text-align:right">â‚¬ $html[Importo]
table;
}	

$TotaleTxt = ntxRoundThousand($Totale,2);

?>

<table class="table2">
<tr>
	<th>N. ODL
	<th class=borderNone>Ente
	<th class=borderNone>Localizzazione
	<th class=borderNone>Descrizione Ordine
	<th class=borderNone>Tipologia
	<th class=borderNone colspan=2>Periodo di Competenza
	<th class=borderNone>Importo<br>Autorizzato
<?php echo $table ?>
</table>	
