<?php 

$sql = <<< sql
	SELECT     
		ElencoEdifici.Codice, 
		ElencoEdifici.Tipo, 
		Ordini.CodEdificio AS IdEdificio, 
		Ordini.AnnoOrdine, 
		Ordini.NumOrdine, 
		Ordini.CdC, 
		tblMestieri.Descrizione AS desmes, 
		
		LTRIM(ElencoEdifici.Codice) + ' - ' + LTRIM(ElencoEdifici.EdificioBreve) AS Ed, 
		LTRIM(Ordini.NumOrdine) + ' - ' + LTRIM(Ordini.AnnoOrdine) AS ORD, 
		LTRIM(tblMestieri.codice) + ' - ' + LTRIM(tblMestieri.Descrizione) AS Mestiere, 
		LTRIM(Richieste.NumRichiesta) + ' - ' + LTRIM(Richieste.AnnoRichiesta) AS RIC, 
		
		Richieste.Descrizione AS desric, 
		Ordini.DescrizioneIntervento, 
		Costi.CostoUnit PzUnitario, 
		Costi.QTA * Costi.CostoUnit AS IMP, 
		Costi.QTA * Costi.CostoUnit * (1-isnull(Costi.Sconto,0)/100) AS IMP_NETTO, 
		Costi.Cod, 
		Costi.Sconto, 
		Costi.Descrizione AS desrihe, 
		Costi.UM, 
		Costi.QTA
		
	FROM         Ordini LEFT JOIN
                      Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Costi ON Ordini.IDCommessa = Costi.IdCommessa AND Ordini.NumOrdine = Costi.NumOrdine AND Ordini.AnnoOrdine = Costi.AnnoOrdine
	  WHERE     (Ordini.IdSalContrattoFornitore = $IdSal) AND (Ordini.IDCommessa = $IdCommessa)
	ORDER BY ElencoEdifici.Codice, IdEdificio, Ordini.AnnoOrdine, Ordini.NumOrdine
sql;

$query = ntxQuery($sql);

$table = "";

$IdEdificio = "abc";
$NumOrdine = "abc";
$AnnoOrdine = "abc";

$ImpEdif = 0;
$ImpOrd = 0;

$ImpEdifNetto = 0;
$ImpOrdNetto = 0;

while($rs = ntxRecord($query))
{
	$TipoLocalizzazione = $rs[Tipo];
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];

	$rs[DataUltimaConsegna] = ntxDate($rs[DataUltimaConsegna]);

	$imp = $rs[IMP];
	$imp_netto = $rs[IMP_NETTO];
	
	$rs[PzUnitario] = ntxRoundThousand($rs[PzUnitario], 2);
	$rs[QTA] = ntxRoundThousand($rs[QTA], 2);
	$rs[IMP] = ntxRoundThousand($rs[IMP], 2);
	$rs[Sconto] = ntxRoundThousand($rs[Sconto], 2);
	$rs[IMP_NETTO] = ntxRoundThousand($rs[IMP_NETTO], 2);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $IdEdificio!=$rs[IdEdificio] )
	{
		if ( $IdEdificio!="abc" )
		{
			$htmlImpEdif = ntxRoundThousand($ImpEdif, 2);
			$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
			$ImpEdif = 0;
			$ImpOrd = 0;
			
			$htmlImpEdifNetto = ntxRoundThousand($ImpEdifNetto, 2);
			$htmlImpOrdNetto = ntxRoundThousand($ImpOrdNetto, 2);
			$ImpEdifNetto = 0;
			$ImpOrdNetto = 0;
			
			$table .= <<< table
					<tr>
						<td colspan=8>Totale ODL: $lastORD $lastDescrizioneIntervento
						<td style="text-align:right">$htmlImpOrd
						<td style="text-align:right">$htmlImpOrdNetto
					<tr>
						<td colspan=8>Totale Localizzazione: $lastEd
						<td style="text-align:right">$htmlImpEdif
						<td style="text-align:right">$htmlImpEdifNetto
				</table>
				<hr>
table;
		}

		$IdEdificio = $rs[IdEdificio];
		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		$table .= <<< table
			<table class=table>
				<tr>
					<th>NÂ°<br>prg.
					<th>Data<br>Misure
					<th>Codice
					<th>Indicazione dei Lavori e delle<br>Provviste
					<th>UM
					<th>Qtà
					<th>Prezzo<br>Unitario
					<th>Sconto
					<th>Importo Lordo
					<th>Importo Netto
				<tr><td colspan=10>Localizzazione: $html[Ed] - CdC: $html[CdC]
				<tr><td colspan=10>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=10>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=10>$html[Mestiere]
table;
	}
	elseif ( $rs[NumOrdine]!=$NumOrdine || $rs[AnnoOrdine]!=$AnnoOrdine )
	{
		if ( $NumOrdine!="abc" )
		{
			$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
			$ImpOrd = 0;
			
			$htmlImpOrdNetto = ntxRoundThousand($ImpOrdNetto, 2);
			$ImpOrdNetto = 0;
			
			$table .= <<< table
					<tr>
						<td colspan=8>Totale ODL: $lastORD $lastDescrizioneIntervento
						<td style="text-align:right">$htmlImpOrd
						<td style="text-align:right">$htmlImpOrdNetto
table;
		}

		$NumOrdine = $rs[NumOrdine];
		$AnnoOrdine = $rs[AnnoOrdine];
		
		$table .= <<< table
				<tr><td colspan=10>ODL: $html[ORD] $html[DescrizioneIntervento]
				<tr><td colspan=10>Richiesta: $html[RIC] $html[desric]
				<tr><td colspan=10>$html[Mestiere]
table;
	}
		
	$table .= <<< table
			<tr>
				<td style="text-align:right">$html[ValidazioneSAL]
				<td style="text-align:right">$html[DataUltimaConsegna]
				<td>$html[Cod]
				<td>$html[desrihe]
				<td>$html[UM]
				<td style="text-align:right">$html[QTA]
				<td style="text-align:right">$html[PzUnitario]
				<td style="text-align:right">$html[Sconto]
				<td style="text-align:right">$html[IMP]
				<td style="text-align:right">$html[IMP_NETTO]
table;

	$ImpEdif += $imp;
	$ImpOrd += $imp;

	$ImpEdifNetto += $imp_netto;
	$ImpOrdNetto += $imp_netto;

	$lastORD = $html[ORD];
	$lastDescrizioneIntervento = $html[DescrizioneIntervento];
	$lastEd = $html[Ed];
}

if ( $IdEdificio!="abc" )
{
	$htmlImpEdif = ntxRoundThousand($ImpEdif, 2);
	$htmlImpOrd = ntxRoundThousand($ImpOrd, 2);
	
	$htmlImpEdifNetto = ntxRoundThousand($ImpEdifNetto, 2);
	$htmlImpOrdNetto = ntxRoundThousand($ImpOrdNetto, 2);
	
	$table .= <<< table
			<tr>
				<td colspan=8>Totale ODL: $lastORD $lastDescrizioneIntervento
				<td style="text-align:right">$htmlImpOrd
				<td style="text-align:right">$htmlImpOrdNetto
			<tr>
				<td colspan=8>Totale Localizzazione: $lastEd
				<td style="text-align:right">$htmlImpEdif
				<td style="text-align:right">$htmlImpEdifNetto
		</table>
		<hr>
table;
}

echo $table;
		
?>

