<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
	<title>Mappe</title>
	<style type="text/css"> 
		html, body { margin:0; padding:0; width:100%; height:100%; }
		body { background:#FFFFFF; color:#000000; font-family:Arial, Helvetica, sans-serif; font-size:11px; line-height:150%; text-align:center;}
		#map { float:left; width:100%; height:100%; }
		#centerBar 
		{ float:left; position:absolute;margin-left:0px;bottom:0px;padding:5px;padding-left:8px;padding-right:8px;margin-top:4px;}	
		button.myButton {padding:4px;font-size:14px;width:70px;height:40px;}
	</style>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&amp;&language=it"></script>

	<script type="text/javascript">	
	var map;
	var geocoder;
	
	var descrizioni = new Array();              
	var indirizzi = new Array();
	var markersArray = new Array();
	var edificiNonVisualizzati = new Array();	
	
	var createMap = function() 
	{
	   	var address = document.getElementById("address").value;
		
		geocoder = new google.maps.Geocoder();
		
		geocoder.geocode( {'address': address}, function(results,status) {
	        if (status == google.maps.GeocoderStatus.OK) {
			
				var options = {
	  				zoom: 13,
	  				center: results[0].geometry.location,
	  				mapTypeId: google.maps.MapTypeId.ROADMAP
				};	
	 
				map = new google.maps.Map(document.getElementById('map'), options);
	        	
			  
	        } else {
	          alert("Problema nella ricerca dell'indirizzo: " + status);
	        }
	      });   
	}
		
	function caricaEdifici(arrayEdifici)
	{
		var i=0;

	
		for(var indice in arrayEdifici)
		{
		 	for(var nomeEdificio in arrayEdifici[indice])//popolamento vettori
			{
				
				descrizioni[i]=""+nomeEdificio;
				indirizzi[i]=""+arrayEdifici[indice][nomeEdificio];
						
				++i;
			}
		}
		
		visualizzamappa();
	 }
	 
	 
	function visualizzamappa() 
	{
		var lunghciclo = descrizioni.length; 

		geocoder = new google.maps.Geocoder();//creo un nuovo geocode

		for (var x=0; x<lunghciclo; x++)// ciclo per ottenere il geocoding per ogni elemento del vettore indirizzi[x]   
		{ 
			if(x==0)
				codifica_indirizzi(indirizzi[x], descrizioni[x], true);
			else
				codifica_indirizzi(indirizzi[x], descrizioni[x], false);
		}
	}

	// funzione che effettua il geocoding dell'indirizzo stradale e crea il relativo marker con  descrizione
	function codifica_indirizzi(indirizzi, titolo, centra)
	{    
		pausecomp(60);     
		
		geocoder.geocode({ 'address': indirizzi}, function(results, status)
		{
			if (status == google.maps.GeocoderStatus.OK) 
			{
				if(centra)
					map.setCenter(results[0].geometry.location);
			
				var marker = new google.maps.Marker
					   ({ map: map, 
				position: results[0].geometry.location,
				title: titolo   });

				var tooltip = '<div id="tooltip">'+
				'<p>'+titolo+'</p>'+
				'<p>Indirizzo:<br>'+				
				results[0].formatted_address+'</p>'+
				'<p>latLng:<br>'+
				results[0].geometry.location+'</p>'+			
				'</div>';

				var infowindow = new google.maps.InfoWindow({
				content: tooltip
				});
				
				markersArray.push(marker);

				google.maps.event.addListener(marker, 'click', function() {
				infowindow.open(map,marker);
				});
				
			} 
			else 
			{
				edificiNonVisualizzati.push(indirizzi);
				//alert("Problema nella ricerca dell'indirizzo: " + indirizzi);
	        }
		 });	 
	}
	
	function clearOverlays() 
	{   
		if (markersArray) 
		{     
			for (i in markersArray) 
			{       
				markersArray[i].setMap(null);     
			}

			delete markersArray;
			delete edificiNonVisualizzati;
			delete descrizioni;
			delete indirizzi;	

			descrizioni = new Array();           			
			indirizzi = new Array();			
			markersArray = new Array();			
			edificiNonVisualizzati = new Array();			
		} 
	} 

	function pausecomp(millis) 
	{
		var date = new Date();
		var curDate = null;

		do { curDate = new Date(); } 
		while(curDate-date < millis);
	} 
	
	
	
	window.onload = createMap;  
	</script> 
	
</head>

<body>
	<div id="map"></div>

	<div id="centerBar">
		<input type="hidden" id="address" value="Italy" />	
		<button class="myButton" onclick="clearOverlays()">Pulisci</button>
		<button class="myButton" onclick="openDialogError();">Errori</button>		
	</div>

	</div>
</body>

	<script type="text/javascript">
	function openDialogError()
	{
		var string="Non e' stato possibile visualizzare i seguenti indirizzi:\n"
	
		for (var idx in edificiNonVisualizzati) 
		{
			string+=edificiNonVisualizzati[idx]+"\n";
		}
		
		if(idx>0)
			alert(string);
		else
			alert("Il caricamento e' avvenuto senza errori!");
	}
	</script>

</html>