<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
	<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
	<title>Mappe</title>
	<style type="text/css"> 
		html, body { margin:0; padding:0; width:100%; height:100%; }
		body { background:#FFFFFF; color:#000000; font-family:Arial, Helvetica, sans-serif; font-size:11px; line-height:150%; text-align:center;}
		#map { float:left; width:70%; height:95%; }
		#panel { float:left; width:30%; height:95%; }
		#panel table { font-size:10px; }
		.title{ font-size:18px;text-align:left;display:block; color:#006400 ;font-weight:bold; padding:5px; }
		input, select { width:200px; }
		input[readonly="readonly"]{background-color:#E8E8E8  ;}
		td{ padding:5px; }
		#mod_geo{padding:5px;}
	</style>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&amp;&language=it"></script>
	<script type="text/javascript"> 
	var directionDisplay;
	var directionsService = new google.maps.DirectionsService();
	var map;
	 
	function initialize() {	  
		directionsDisplay = new google.maps.DirectionsRenderer();

	    var myOptions = { 
			zoom:7,
	      	mapTypeId: google.maps.MapTypeId.ROADMAP
	    }
	    
		map = new google.maps.Map(document.getElementById("map"), myOptions);
	    
		directionsDisplay.setMap(map);
		directionsDisplay.setPanel(document.getElementById("panel"));
	}
	  
	  function calcRoute() {
	  
		if(document.getElementById("partenza").value=="") { alert("Nessuna partenza digitata!"); return; }
		
	    var partenza = document.getElementById("partenza").value;
	    var arrivo = document.getElementById("arrivo").value;
		var travelMode;
		
		if(document.getElementById("travelMode").value==0)
			travelMode = google.maps.DirectionsTravelMode.DRIVING;
		else
			travelMode = google.maps.DirectionsTravelMode.WALKING;
		
	    var request = {
	        origin:partenza, 
	        destination:arrivo,
	        travelMode: travelMode //google.maps.DirectionsTravelMode.DRIVING 
	    };
	    directionsService.route(request, function(response, status) {
	      if (status == google.maps.DirectionsStatus.OK) {
	        directionsDisplay.setDirections(response);
	      }
	    });
	  }
	  
	window.onload = initialize;
	</script>
</head>
<body>
<div>
<form id="mod_geo" action="#" onsubmit="calcRoute();return false">
	<div class="title">Trova le indicazioni per un percorso:</div>
	<table>
	<tr>
		<td>
		<strong>Partenza:</strong>
		<input id="partenza" type="text" value=""/>
		</td>
		<td>
		<strong>Destinazione:</strong>
		<input id="arrivo" type="text" value="<?php echo $_POST[partenza] ?>"   />
		</td>
		<td>		
		<strong>Travel Mode:</strong>
		<select id="travelMode">
		<option value="0">In auto</option>
		<option value="1">A piedi</option>
		</select>		
		</td>
		<td>			
		<input name="cerca" type="submit" value="CERCA" />
		</td>
	</tr>
	</table>
</form>
</div> 

<div id="map"></div>

 
<div id="panel"></div> 

</body>
</html>
