<!DOCTYPE html> 
<html> 
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script> 
	<script type="text/javascript" src="js/mapiconmaker.js"></script> 
	
	<style type="text/css">
	html { height: 100% }
	body { width:100%; height: 100%; margin: 0px; padding: 0px;  }
	</style>	

	<script type="text/javascript"> 
	var map;	
	var coordinates=true;
		
	var markersArray = new Array();
	var infoWindowArray = new Array();
	var indirizziNonVisualizzati = new Array();	
	
	var arrayLatLng = new Array();		
	
	function coordinataCorrettamenteFormattata(coordinata)
	{
		if(coordinata==null || coordinata=="" || coordinata=="null" || coordinata=="NaN" ||coordinata==false)
			return false;
			
		if(!parseFloat(coordinata))
			return false;
			
		if(parseFloat(coordinata)==0)
			return false;			
			
		return true;	
	}
	
	function createMap(lat, lng) 
	{	 
		resetMap();
	
		if(!coordinataCorrettamenteFormattata(lat)||!coordinataCorrettamenteFormattata(lng))
		{
			coordinates=false; 
		}
		else
			coordinates=true; 
		
		
		if(!coordinates)
			var myLatlng = new google.maps.LatLng(44.4942191, 11.3464815); 
		else
			var myLatlng = new google.maps.LatLng(lat, lng); 

			
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);
		
		google.maps.event.trigger(map, 'resize');
	}
	
	function caricaMarkers(arrayEdifici, arrayDati, arrayLabelStati, objSearch)
	{
		var pngNULL				= 'markes/bianco.png';
		var pngPianificato		= 'markes/red.png';
		var pngEseguito         = 'markes/green.png';
		var pngAnnullato        = 'markes/grigio.png';
		var pngRipianificato    = 'markes/yellow.png';
			
		var lat, lng;
		var descrizione; 
		var Id;
		var colore;	
		
		delete arrayLatLng;	
		arrayLatLng = new Array();			
		
		for(key in arrayEdifici)
		{ 
			Id = arrayEdifici[key]["id"];
			descrizione = ""+arrayEdifici[key]["descrizione"];
			
			lat = parseFloat(arrayEdifici[key]["lat"]);
			lng = parseFloat(arrayEdifici[key]["lng"]);	
			
			if( !coordinataCorrettamenteFormattata(arrayEdifici[key]["lat"])||!coordinataCorrettamenteFormattata(arrayEdifici[key]["lng"]) )//se l'edificio non è stato geolocalizzato passiamo a quello successivo
			{
				indirizziNonVisualizzati.push(descrizione); 
				continue;
			}
			
			var myLatlng = new google.maps.LatLng(lat, lng); 

			arrayLatLng.push(myLatlng); 
 
 
			
			var pngMarker = pngNULL;
			if( (arrayDati[key]["1"]>=arrayDati[key]["2"])  &&  (arrayDati[key]["1"]>=arrayDati[key]["3"])  &&  (arrayDati[key]["1"]>=arrayDati[key]["4"]) )
				pngMarker = pngPianificato;
			else if( (arrayDati[key]["2"]>=arrayDati[key]["1"])  &&  (arrayDati[key]["2"]>=arrayDati[key]["3"])  &&  (arrayDati[key]["2"]>=arrayDati[key]["4"]) )
				pngMarker = pngEseguito;
			else if( (arrayDati[key]["3"]>=arrayDati[key]["1"])  &&  (arrayDati[key]["3"]>=arrayDati[key]["2"])  &&  (arrayDati[key]["3"]>=arrayDati[key]["4"]) )
				pngMarker = pngAnnullato;
			else if( (arrayDati[key]["4"]>=arrayDati[key]["1"])  &&  (arrayDati[key]["4"]>=arrayDati[key]["2"])  &&  (arrayDati[key]["4"]>=arrayDati[key]["3"]) )
				pngMarker = pngRipianificato; 
			
			 			
			
			var imageMarker = new google.maps.MarkerImage(pngMarker,
				new google.maps.Size(20.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			var shadow = new google.maps.MarkerImage('markes/shadow.png',
				new google.maps.Size(38.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			
			
			var marker = new google.maps.Marker({
				position: myLatlng,
				title: descrizione,
				shadow: shadow,
				icon: imageMarker  
			});				
			
			 
			var GET = '';
			for(keyObj in objSearch)
			{  	
				if(""+objSearch[keyObj]!="")
				{
					GET +='&';			
					
					GET += keyObj+'='+objSearch[keyObj];
				}
			} 
	
			var tooltip = '<div id="tooltip" align="center">' 
			+'<div align="center"><strong>'+descrizione+'</strong></div>' 
			+'<p>' 
			+'<iframe src="vediCensimento.php?IdEdificioRicerca='+Id+GET+'" style="width:95%;border:none;" ></iframe>'
			+'</p>'  
			+'</div>';				

			attachMessage(marker, tooltip);	 
			
			marker.setMap(map);// To add the marker to the map, call setMap();	
			
			markersArray.push(marker);//mettiamo il marker nell'array
		} 
		
		var bounds = new google.maps.LatLngBounds();

		for (i in arrayLatLng)
			bounds.extend(arrayLatLng[i]);
		
		map.fitBounds(bounds);
		
		map.setCenter(bounds.getCenter());
	}	
 
 
	function attachMessage(marker, tooltip) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
		
		infoWindowArray.push(infowindow);//mettiamo l'infowindow nell'array
	}	
	
	
	function clearOverlays() 
	{   
		if (markersArray) 
		{     
			for (i in markersArray) 
			{       
				markersArray[i].setMap(null);     
			}
		
			for (i in infoWindowArray) 
			{       
				infoWindowArray[i].close();     
			}
						
			delete markersArray;
			delete indirizziNonVisualizzati;	
			delete infoWindowArray;	
		
			markersArray = new Array();			
			indirizziNonVisualizzati = new Array();	
			infoWindowArray = new Array();			
		} 
	} 	
	
	function resetMap()
	{
		map=null;
		coordinates=true;
		attore=false;
		
		delete markersArray;	
		markersArray = new Array();		
		
		delete infoWindowArray;	
		infoWindowArray = new Array();		

		delete indirizziNonVisualizzati;	
		indirizziNonVisualizzati = new Array();			
	}
	</script> 
</head>
  
<body>

	<div id="map" style="width:100%; height:100%;"></div>
	
	<script type="text/javascript"> 
	var attore=false;
	
	function funcButton(Id)
	{
		if(attore=="call-center")
			parent.SelEdificioB(6, '', Id);
		else if(attore=="affidatari")
			parent.SelEdificioB(5, '', Id);
		else if(attore=="autorizzatori")
			parent.SelEdificioB(4, '', Id);	
		else if(attore=="clienti")
			parent.SelEdificioB(4, '', Id);	
		else
			alert("Nessuna azione associata al bottone!");
	}
	
	function settaAttore(txt)
	{
		attore=txt;
	}
	</script> 
	
</body>
	
</html>