<?php
session_start();
?>
<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Mappa</title>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<script type="text/javascript" src="../_libs/number.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	
	<style type="text/css">
	*
	{
		font-family: Verdana,Arial,sans-serif;
	}
	
	body, html 
	{	
		font-size:13px;	
		margin:0px;
		padding:0px;
	}

	#map 
	{
		width: 450px; 
		height: 350px;
		margin-bottom:0px;
		margin-top:0px;
	}

	#parametri
	{
		font-weight: bold;
		
		background: #EBECE4;
		border: solid 2px #C1CDCD;		
		
		margin:0px;
		padding:2px;
		width: 300px; 
 		
		
		position:absolute; 
		z-index:1;

		left:60px;
		bottom:8px;
		
		display:none;
		
		color: #383838;
		
		font-size: 80%;
	}
	
	.ricercaIndirizzo
	{
		position:absolute ;  
		z-index:2;
		
		left:0px;
		bottom:0px;
	}		
	</style>		
	
	<script type="text/javascript"> 
	var map = null;
	var marker = null;
	
	var lat = null;
	var lng = null;
	
	
	function createMap() 
	{
	   	lat = document.getElementById("lat").value;
	   	lng = document.getElementById("lng").value;
		
		if( !isNumber(lat)||!isNumber(lng) )
		{ 
			lat=44.4942191;
			lng=11.3464815;			
		}			
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);

		marker = new google.maps.Marker({
			position: myLatlng,
			map: this.map,
			draggable: true,			
			title: "Posizione strada/edificio"
		});	

		google.maps.event.addListener(marker, 'dragend', changePosition);		
	}		
		

	function changePosition(event) 
	{
		//parent.salvaLatLng(event.latLng.lat(), event.latLng.lng());
		lat = event.latLng.lat();
		lng = event.latLng.lng();
	}	
		
	window.onload = createMap; 
	</script> 
</head>
  
<body>
	<div id="map"></div>
  
	<form id="mod_geo" name="mod_geo">
		<input id="lat" type="hidden" value="<?php echo $_GET[lat] ?>" readonly="readonly"/>
		<input id="lng" type="hidden" value="<?php echo $_GET[lng] ?>" readonly="readonly"/>
	
 
		<table id="parametri">
			<tr>
			<td style="width:110px;">City (citta')<td><input type="text" style="width:100%;" id="citta" />
			<tr>
			<td>Code (cap / pr)<td><input type="text" style="width:100%;" id="provincia" />
			<tr>
			<td>Address (indirizzo)<td><input type="text" style="width:100%;" id="via" />
			<tr>
			<td colspan="2" style="text-align:center;">
			<input type="button" value="Search" onclick="findAddress()" style="width:100%;display:inline;height:30px;"/>
		</table>
 
	</form>
	
	
	<button onclick="ricercaLocalizzazione();" class="ricercaIndirizzo">
		<img src="img_intervento/mondo.png" title="Apre il pannello per ricercare una localizzazione"/>	
	</button>
	
	
	<script>
	function getLatLng()
	{
		var obj = { lat: lat, lng: lng };
		
		return obj;
	}	
	
	function ricercaLocalizzazione()
	{
		if(document.getElementById('parametri').style.display == 'block')
			document.getElementById('parametri').style.display = 'none';
		else
			document.getElementById('parametri').style.display = 'block';
	}	
	
 	function findAddress()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		} 
		if(address=="") 
		{
			alert("Impossibile continuare! L'indirizzo deve comprendere almeno la \"citta'\".");
			return;
		}
		
		geocoder = new google.maps.Geocoder();
		
		geocoder.geocode( {'address': address}, function(results,status) {
	        if (status == google.maps.GeocoderStatus.OK) {
			
				var result = results[0].geometry.location;
				
				lat = result.lat();				
				lng = result.lng();

				
				map.setCenter(result);	
				marker.setPosition(result);
				
	        } else {
	          alert("Errore: " + status+"\nCollegarsi alla seguente pagina per avere informazioni sulla natura dell'errore:\nhttp://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
	        }
	      });   
	} 	
	</script>
	
	
</body>
	
</html>