<!DOCTYPE html> 
<html> 
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<title>Mappa</title>
	<style type="text/css">
	html { height: 100% }
	body { width:100%; height: 100%; margin: 0px; padding: 0px;  }
	</style>	

	<script type="text/javascript"> 
	var map;	
	var coordinates=true;
		
	var markersArray = new Array();
	var infoWindowArray = new Array();
	var indirizziNonVisualizzati = new Array();	
	
	var arrayLatLng = new Array();		
	
	function coordinataCorrettamenteFormattata(coordinata)
	{
		if(coordinata==null || coordinata=="" || coordinata=="null" || coordinata=="NaN" ||coordinata==false)
			return false;
			
		if(!parseFloat(coordinata))
			return false;
			
		if(parseFloat(coordinata)==0)
			return false;			
			
		return true;	
	}
	
	function createMap(lat, lng) 
	{	
		resetMap();
	
		if(!coordinataCorrettamenteFormattata(lat)||!coordinataCorrettamenteFormattata(lng))
		{
			coordinates=false; 
		}
		else
			coordinates=true; 
		
		
		if(!coordinates)
			var myLatlng = new google.maps.LatLng(44.4942191, 11.3464815); 
		else
			var myLatlng = new google.maps.LatLng(lat, lng); 

			
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);
		
		google.maps.event.trigger(map, 'resize');
	}
	
	
	function caricaMarkers(arrayEdifici, arrayOrdini)
	{
		var lat, lng;
		var descrizione;
		var tot, finiti, assegnati, scaduti, altro;
		var Id;
		var colore;	
		
		delete arrayLatLng;	
		arrayLatLng = new Array();			
		
		for(key in arrayEdifici)
		{
			presenzaEdifici=true;
		
			Id = arrayEdifici[key]["id"];
			descrizione = ""+arrayEdifici[key]["descrizione"];
			
			lat = parseFloat(arrayEdifici[key]["lat"]);
			lng = parseFloat(arrayEdifici[key]["lng"]);
			
			tot = arrayOrdini[key]["totali"];
			finiti = arrayOrdini[key]["finiti"];
			assegnati = arrayOrdini[key]["assegnati"];
			scaduti = arrayOrdini[key]["scaduti"];
			altro = parseInt(tot)-parseInt(finiti)-parseInt(assegnati)-parseInt(scaduti);
			
			
			if( !coordinataCorrettamenteFormattata(arrayEdifici[key]["lat"])||!coordinataCorrettamenteFormattata(arrayEdifici[key]["lng"]) )//se l'edificio non è stato geolocalizzato passiamo a quello successivo
			{
				indirizziNonVisualizzati.push(descrizione); 
				continue;
			}
			
			if(finiti==tot)			colore='markes/green.png';//verde
			else if(scaduti==tot)	colore='markes/red.png';//rosso
			else if(altro==tot)		colore='markes/blue.png';//blue
			else					colore='markes/yellow.png';//giallo
			
			var myLatlng = new google.maps.LatLng(lat, lng); 

			arrayLatLng.push(myLatlng);
			
			var imageMarker = new google.maps.MarkerImage(colore,
				new google.maps.Size(20.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			var shadow = new google.maps.MarkerImage('markes/shadow.png',
				new google.maps.Size(38.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			
			
			var marker = new google.maps.Marker({
				position: myLatlng,
				title: descrizione,
				shadow: shadow,
				icon: imageMarker  
			});	
	
			var tooltip = '<div id="tooltip" align="center">'+
			'<div align="center"><strong>'+descrizione+'</strong></div>'+
			'<p>'+
			'<table style="border:solid 1px;border-color:black;"><tr><td>Totali:</td><td>'+tot+'</td></tr>'+
			'<tr><td style="background-color:#EEF3E2">Finiti:</td><td>'+finiti+'</td></tr>'+
			'<tr><td style="background-color:#FDFCDC">Assegnati:</td><td>'+assegnati+'</td></tr>'+
			'<tr><td style="background-color:#FEE0C6">Scaduti:</td><td>'+scaduti+'</td></tr>'+
			'<tr><td style="background-color:#ECF1EF">Altro:</td><td>'+altro+'</td></tr></table>'+
			'</p>'+
			'<div  align="center"><button onclick="funcButton('+Id+')" >Filtro Ordini</button>'+
			'</div>'+
			'</div>';				

			attachMessage(marker, tooltip);		
			
			marker.setMap(map);// To add the marker to the map, call setMap();	
			
			markersArray.push(marker);//mettiamo il marker nell'array
		} 
		
		var bounds = new google.maps.LatLngBounds();

		for (i in arrayLatLng)
			bounds.extend(arrayLatLng[i]);
		
		map.fitBounds(bounds);
		
		map.setCenter(bounds.getCenter());
		
/* var listener = google.maps.event.addListener(map, "idle", function() { 
  if (map.getZoom() > 16) map.setZoom(16); 
  google.maps.event.removeListener(listener); 
});		 */
	}	
	
	
	function attachMessage(marker, tooltip) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
		
		infoWindowArray.push(infowindow);//mettiamo l'infowindow nell'array
	}	
	
	
	function clearOverlays() 
	{   
		if (markersArray) 
		{     
			for (i in markersArray) 
			{       
				markersArray[i].setMap(null);     
			}
		
			for (i in infoWindowArray) 
			{       
				infoWindowArray[i].close();     
			}
						
			delete markersArray;
			delete indirizziNonVisualizzati;	
			delete infoWindowArray;	
		
			markersArray = new Array();			
			indirizziNonVisualizzati = new Array();	
			infoWindowArray = new Array();			
		} 
	} 	
	
	function resetMap()
	{
		map=null;
		coordinates=true;
		attore=false;
		
		delete markersArray;	
		markersArray = new Array();		
		
		delete infoWindowArray;	
		infoWindowArray = new Array();		

		delete indirizziNonVisualizzati;	
		indirizziNonVisualizzati = new Array();			
	}
	</script> 
</head>
  
<body>

	<div id="map" style="width:100%; height:100%;"></div>
	
	<script type="text/javascript"> 
	var attore=false;
	
	function funcButton(Id)
	{
		if(attore=="call-center")
			parent.SelEdificioB(6, '', Id);
		else if(attore=="affidatari")
			parent.SelEdificioB(5, '', Id);
		else if(attore=="autorizzatori")
			parent.SelEdificioB(4, '', Id);	
		else if(attore=="clienti")
			parent.SelEdificioB(4, '', Id);	
		else
			alert("Nessuna azione associata al bottone!");
	}
	
	function settaAttore(txt)
	{
		attore=txt;
	}
	</script> 
	
</body>
	
</html>