<!DOCTYPE html>
<html>
	<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/>
	<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>	
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&amp;&language=it"></script>
	<title>Mappe</title>
	<style type="text/css"> 
		html, body { margin:0; padding:0; width:100%; height:100%; }
		body { background:#FFFFFF; color:#000000; font-family:Arial, Helvetica, sans-serif; font-size:11px;}
		#map { position:absolute; z-index:1; width:100%; height:100%; }
		#centerBar { float:left; position:absolute;margin-left:0px;bottom:0px;padding:5px;padding-left:8px;padding-right:8px;margin-top:4px;}	
		button.myButton {padding:4px;font-size:14px;width:70px;height:40px;}
		.stileLegenda
		{	
			position:absolute; 
			z-index:2; 
			top: 100px;	
			left: 100px; 
			width:250px; 
			height:220px;
			background-color:white;
			border: solid 2px;
			padding:10px;
			-moz-box-shadow: 5px 5px 5px #ccc;
			-webkit-box-shadow: 5px 5px 5px #ccc;
			box-shadow: 5px 5px 5px #ccc;
			border-radius:5px;
		}
	</style>

	<script type="text/javascript">	
	var map;
	
	var markersArray = new Array();
	var infoWindowArray = new Array();
	var indirizziNonVisualizzati = new Array();	
	
	var createMap = function() 
	{
		//centro su Roma
		var lat = 43.19716728250127;
	   	var lng = 7.9541015625;
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 6,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);		
		
		google.maps.event.trigger(map, 'resize');
	}
			
	function caricaMarkers(arrayEdifici, arrayOrdini)
	{
		var lat, lng;
		var descrizione;
		var tot, finiti, assegnati, scaduti, altro;
		var Id;
		var colore;	
		
		var bounds = new google.maps.LatLngBounds ();
		
		for(key in arrayEdifici)
		{
			presenzaEdifici=true;
		
			Id = arrayEdifici[key]["id"];
			descrizione = ""+arrayEdifici[key]["descrizione"];
			
			lat = parseFloat(arrayEdifici[key]["lat"]);
			lng = parseFloat(arrayEdifici[key]["lng"]);
			
			tot = arrayOrdini[key]["totali"];
			finiti = arrayOrdini[key]["finiti"];
			assegnati = arrayOrdini[key]["assegnati"];
			scaduti = arrayOrdini[key]["scaduti"];
			altro = parseInt(tot)-parseInt(finiti)-parseInt(assegnati)-parseInt(scaduti);
			
			if(lat==null || lng==null || lat=="" || lng=="" || lat=="null" || lng=="null" || lat=="NaN" || lng=="NaN")//se l'edificio non è stato geolocalizzato passiamo a quello successivo
			{
				document.getElementById('bntError').disabled=false;
				indirizziNonVisualizzati.push(descrizione);
				continue;
			}
			
			if(finiti==tot)			colore='markes/green.png';//verde
			else if(scaduti==tot)	colore='markes/red.png';//rosso
			else if(altro==tot)		colore='markes/blue.png';//blue
			else					colore='markes/yellow.png';//giallo
			
			var myLatlng = new google.maps.LatLng(lat, lng); 

			bounds.extend (myLatlng);
			
			var imageMarker = new google.maps.MarkerImage(colore,
				new google.maps.Size(20.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			var shadow = new google.maps.MarkerImage('markes/shadow.png',
				new google.maps.Size(38.0, 34.0),
				new google.maps.Point(0, 0),
				new google.maps.Point(10.0, 17.0)
				);
			
			
			var marker = new google.maps.Marker({
				position: myLatlng,
				title: descrizione,
				shadow: shadow,
				icon: imageMarker  
			});	
		
			var tooltip = '<div id="tooltip" align="left">'+
			'<p style="font-size:10pt;"><strong>'+descrizione+'</strong></p>'+
			'<p>'+
			'<table style="font-size:10pt;border:none;"><tr><td>Totali:</td><td>'+tot+'</td></tr>'+
			'<tr><td style="background-color:#EEF3E2">Finiti:</td><td>'+finiti+'</td></tr>'+
			'<tr><td style="background-color:#FDFCDC">Assegnati:</td><td>'+assegnati+'</td></tr>'+
			'<tr><td style="background-color:#FEE0C6">Scaduti:</td><td>'+scaduti+'</td></tr>'+
			'<tr><td style="background-color:#ECF1EF">Altro:</td><td>'+altro+'</td></tr></table>'+
			'</p>'+
			'<p style="text-align:center"><button onclick="parent.SelEdificioB(5,\'\','+Id+')">Filtro Ordini</button></p>'+
			'</div>';			

			attachMessage(marker, tooltip);		
			
			marker.setMap(map);// To add the marker to the map, call setMap();	
			
			markersArray.push(marker);//mettiamo il marker nell'array
		}
		
		map.fitBounds(bounds);//Fit these bounds to the map	 

		map.panToBounds(bounds);//map.setCenter( bounds.getCenter() );	
		
		map.setZoom(10); 		
	}	
	

	function attachMessage(marker, tooltip) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
		
		infoWindowArray.push(infowindow);//mettiamo l'infowindow nell'array
	}
	
	
	function clearOverlays() 
	{   
		if (markersArray) 
		{     
			for (i in markersArray) 
			{       
				markersArray[i].setMap(null);     
			}
		
			for (i in infoWindowArray) 
			{       
				infoWindowArray[i].close();     
			}
						
			delete markersArray;
			delete indirizziNonVisualizzati;	
			delete infoWindowArray;	
		
			markersArray = new Array();			
			indirizziNonVisualizzati = new Array();	
			infoWindowArray = new Array();	
			
			document.getElementById('bntError').disabled=true;			
		} 
	} 
	
	window.onload = createMap;  
	</script> 
	
</head>

<body>
	<div id="map"></div>

	<div style="display:none;" class="stileLegenda" id="legenda">
		<p style="font-size:18px;text-align:center;background-color:#FEE0C6;font-weight:bold;border:none;padding:6px;color:#990000;">Legenda</p>
		<table style="border:none;font-size:13px;text-align:left;padding:5px;">
			<tr>
				<td style="background-color:#33CC33;width:80px;">&nbsp;</td>
				<td >Ordini Finiti</td>
			</tr>
			<tr>
				<td style="background-color:#FFCC00">&nbsp;</td>
				<td>Ordini Assegnati</td>
			</tr>
			<tr>
				<td style="background-color:#FF0033">&nbsp;</td>
				<td>Ordini Scaduti</td>
			</tr>
			<tr>
				<td style="background-color:#0033CC">&nbsp;</td>
				<td>Altro (annullati o sospesi)</td>
			</tr>						
		</table>
		<p style="text-align:center;margin-top:10px;"><button style="width:100%;height:40px;" onclick="closeLegend()">Chiudi Legenda</button></p>
	</div>
	
	<div id="centerBar">
		<button class="myButton" onclick="openLegend();">Legenda</button>	
		<button class="myButton" onclick="clearOverlays()">Pulisci</button>
		<button class="myButton" id="bntError" onclick="openDialogError();" disabled="disabled">Errori</button>		
	</div>

	</div>
</body>

	<script type="text/javascript">
	function openDialogError()
	{
		var string="Non e' stato possibile rappresentare i seguenti edifici poiche' non ne e' memorizzata la geolocalizzazione:\n"
	
		for (var idx in indirizziNonVisualizzati) 
		{
			string+=indirizziNonVisualizzati[idx]+"\n";
		}
		
		alert(string);
	}
	
	function openLegend()
	{
		document.getElementById("legenda").style.display = "block";
	}
	function closeLegend()
	{
		document.getElementById("legenda").style.display = "none";
	}	
	</script>

</html>