<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?libraries=geometry&sensor=true&language=it"></script>	
	
	<script type="text/javascript" src="../_libs/number.js"></script>
	
	<script type="text/javascript" src="js/decode.js"></script>
	
	<style type="text/css">
	body, html 
	{
		font-family:Arial, Helvetica, sans-serif; 
		font-size:11px;	
		margin:0px;
		padding:0px;
	}

	#map 
	{
		width: 450px; 
		height: 350px;
		margin-bottom:0px;
		margin-top:0px;
	}

	#parametri
	{
		font-weight: bold;
		margin:0px;
		padding:2px;
		width: 200px; 
		height: 110px;		
		
		position:absolute; 
		z-index:1;
		background-color: trasparent;
		border: solid 1px;		
		right:60px;
		bottom:25px;
		
		display:none;
	}

	#divTravelModes
	{
		background:white;
		font-weight: bold;
		margin:0px;
		padding:2px;
		width: 200px; 
		height: 110px;		
		
		position:absolute; 
		z-index:1; 
		border: solid 1px;		
		right:60px;
		bottom:25px;
		
		display:none;
	}
	
	#menu
	{
		width: 55px; 
		height: 180px;
		
		margin:0px;
		padding:2px;
		
		position:absolute ;  
		z-index:2;
		background-color:trasparent;
		left:0px;
		top:100px;
		border: none;
	}	
	
	#menu2
	{
		width: 55px; 
		height: 250px;
		
		margin:0px;
		padding:2px;
		
		position:absolute ;  
		z-index:2;
		background-color:trasparent;
		right:0px;
		bottom:0px;
		border: none;
	}		
	
	button, .bntSelected
	{
		padding:0px;
		
		width: 50px;
		height: 50px;
		border-style: outset;

		background-color:#F0F0F0  ; 
		border-radius: 10px;
		
		margin: 2px;
	}
	
	button:active
	{
		padding:5px;
		border-style: inset;

	}
	
	.bntSelected
	{
		border-style: inset;
			
	}	
	
	img
	{
		padding:0px;
		margin:0px;
	}
	
	.backgroundWhite
	{
		background-color:white;
	}	

	</style>		
	
	<script type="text/javascript"> 
	var map = null;
	var markerA = null;
	var markerB = null;
	var observerA = null;
	var observerB = null;
	
	var poly = null;
	var polygon = null;
	
	var poly2 = null;
	var directionsDisplay = null;
	var dirn = null;
	
	var autoTrack = true;	
	var fixingMarker = true;	
	var insertA = true;
	var insertB = true;
	
	function createPolyline(encoding, colore)
	{
		var bounds = new google.maps.LatLngBounds();
		var coordinates=[];
		
		var polyOptions = {
			geodesic: true,
			strokeColor: colore,
			strokeOpacity: 0.5,
			strokeWeight: 8
		}

		poly = new google.maps.Polyline(polyOptions);
		var points = decodeLine( encoding.replace(/\\\\/g, "\\") );
		var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
		}		
	
		var path = poly.getPath();
		
		for (var i in coordinates)
		{	
			bounds.extend(coordinates[i]);
		
			path.push(coordinates[i]); 
		}	
		
		poly.setMap(map);	

		map.fitBounds(bounds);
		map.setCenter(bounds.getCenter());		

		if(fixingMarker)
			google.maps.event.addListener(poly, 'click', addPoint);//NEW	
	}
	
	function createPolygon(encoding, colore)
	{
		var bounds = new google.maps.LatLngBounds();
		var coordinates=[];
		
		polygon = new google.maps.Polygon({
		  strokeOpacity: 0.5,
		  strokeWeight: 1,
		  fillColor: colore
		});

		var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
			
			var path = polygon.getPath();
		
			path.insertAt(path.length, latLng);	

			bounds.extend(coordinates[i]);					
		}			
		
		polygon.setMap(map);	

		map.fitBounds(bounds);
		map.setCenter(bounds.getCenter());	

		if(fixingMarker)
			google.maps.event.addListener(polygon, 'click', addPoint);//NEW			
	}
	
	
	function createMap() 
	{
		var coordinatesOK = false;
		
	   	var lat = ""+document.getElementById("lat").value;
	   	var lng = ""+document.getElementById("lng").value;
		
		
		if( (lat==""||lng =="") || (!isNumber(lat)||!isNumber(lng)) )
		{
			lat=44.4942191;
			lng=11.3464815;	

			coordinatesOK=false;			
		}			
		else
			coordinatesOK=true;
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);		
		
		var encoding = ""+document.getElementById("Polilinea").value;
		var geometria = ""+document.getElementById("Geometria").value;
		var colore = ""+document.getElementById("Colore").value;
		
		if(encoding.length>1  &&  encoding.toUpperCase()!='NULL'  &&  encoding!=null) 
		{			
			if( isNumber(geometria)  &&  parseInt(geometria)==0)
				createPolyline(encoding, colore);
			else if( isNumber(geometria)  &&  parseInt(geometria)==1)	
				createPolygon(encoding, colore);
		}
		else 
		{	
			encoding = "";
			poly==null;
			polygon==null;
		}
		
		if(coordinatesOK  &&  encoding.length<=0)
		{
			var image = new google.maps.MarkerImage("pin/grn_pin.png",
				new google.maps.Size(32.0, 32.0),
				new google.maps.Point(0, 0)
				//,new google.maps.Point(16.0, 16.0)
			);
			var shadow = new google.maps.MarkerImage("pin/shadow_grn_pin.png",
				new google.maps.Size(49.0, 32.0),
				new google.maps.Point(0, 0)
				//,new google.maps.Point(16.0, 16.0)
			);	
		}		
		
		if(poly==null  &&  polygon==null)
		{
			enableFixingMarker(false);
			//manageButton( document.getElementById('bnt1') );	
		}
		
		if(!fixingMarker)
			google.maps.event.addListener(map, 'click', addPoint);			
	}
		
	function addPoint(event) 
	{//alert("addPoint\n insertA:"+insertA+"\n insertB:"+insertB);
		if(markerA==null  &&  insertA)
		{		
			var image = new google.maps.MarkerImage("markes_words/green_MarkerA.png",
				new google.maps.Size(20.0, 34.0),
				new google.maps.Point(0.0, 0.0)
				//,new google.maps.Point(10.0, 17.0)
			);
			
			var shadow = new google.maps.MarkerImage("markes_words/shadow.png",
				new google.maps.Size(38.0, 34.0),
				new google.maps.Point(0.0, 0.0)
				//,new google.maps.Point(10.0, 17.0)
			);
	
			markerA = new google.maps.Marker(
			{
				icon: image,
				shadow: shadow,
				position: event.latLng,
				map: map,
				draggable: false,
				title: "Punto di Intervento A"
			});		
			
			if(observerA!=null)
				google.maps.event.removeListener(observerA);	
			
			if(!fixingMarker  &&  !autoTrack)
			{	
				markerA.setDraggable(true);
				observerA = google.maps.event.addListener(markerA, 'dragend', changePositionA);	
			}
		

			if(insertB  &&  insertA  &&  autoTrack  &&  markerB!=null)
				createPolyline2();		
		
			parent.salvaLatLngA(event.latLng.lat(), event.latLng.lng());					
		}
		else if(markerB==null  &&  insertB)
		{	
			var image = new google.maps.MarkerImage("markes_words/green_MarkerB.png",
				new google.maps.Size(20.0, 34.0),
				new google.maps.Point(0, 0)
				//,new google.maps.Point(10.0, 17.0)
			);
			
			var shadow = new google.maps.MarkerImage("markes_words/shadow.png",
				new google.maps.Size(38.0, 34.0),
				new google.maps.Point(0, 0)
				//,new google.maps.Point(10.0, 17.0)
			);
	
			markerB = new google.maps.Marker(
			{
				icon: image,
				shadow: shadow,
				position: event.latLng,
				map: map,
				draggable: false,
				title: "Punto di Intervento B"
			});			

			if(observerB!=null)
				google.maps.event.removeListener(observerB);		
			
			if(!fixingMarker  &&  !autoTrack)			
			{	
				markerB.setDraggable(true);			
				observerB = google.maps.event.addListener(markerB, 'dragend', changePositionB);	
			}
			
			parent.salvaLatLngB(event.latLng.lat(), event.latLng.lng());	

			if(insertB  &&  insertA  &&  autoTrack)
				createPolyline2();
		}
	}			
	
	

		
	
	function createPolyline2()
	{	
		dirn = new google.maps.DirectionsService();
		directionsDisplay = new google.maps.DirectionsRenderer( { markerOptions:{ visible:false }, polylineOptions:{strokeOpacity:0.0}, draggable:false, preserveViewport:true, map:map } );
	
		var travelModep = '';
		var p = document.frmTravelModes.TravelModes.value;
	
		if(p=="DRIVING") travelModep = google.maps.DirectionsTravelMode.DRIVING;
		else if(p=="BICYCLING") travelModep = google.maps.DirectionsTravelMode.BICYCLING;
		else if(p=="TRANSIT") travelModep = google.maps.DirectionsTravelMode.TRANSIT;
		else if(p=="WALKING") travelModep = google.maps.DirectionsTravelMode.WALKING; 
		
		var request = { 
			origin:  markerA.getPosition(), 
			destination:  markerB.getPosition(),
			travelMode: travelModep 
		};	
	
		dirn.route(request, function(response, status) 
		{
			if (status == google.maps.DirectionsStatus.OK) 
			{
				directionsDisplay.setDirections(response); 	
				
				var overviews = [];
				var idx=0;
				
				var directionsResult = directionsDisplay.getDirections()
			
				for (var i in directionsResult.routes) 
				{
					var directionsRoute = directionsResult.routes[i];
					
					for (var f in directionsRoute.overview_path)//array di latLng
					{				
						overviews[idx]=directionsRoute.overview_path[f];
						idx++;
					}
				}	

				var polyOptions = {
					map:map,
					geodesic: true,
					strokeColor: "#FF0000",
					strokeOpacity: 0.4,
					strokeWeight: 8
				}
				
				poly2 = new google.maps.Polyline(polyOptions);
				
				var path = poly2.getPath();

				for (var i in overviews)// Because path is an MVCArray, we can simply append a new coordinate and it will automatically appear
					path.push(overviews[i]); 
					
				salvaArcoStradale(true);	
			}
			else
				alert("Errore :"+status+"\nConsultare la seguente pagina web per avere spiegazioni sulla natura dell'errore:\nhttp://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#DirectionsStatus");
		});	
	}	
	
		
	function changePositionA(event) 
	{
		parent.salvaLatLngA(event.latLng.lat(), event.latLng.lng());
	}			
		
	function changePositionB(event) 
	{
		parent.salvaLatLngB(event.latLng.lat(), event.latLng.lng());		
	}				
		
	function salvaArcoStradale(reset)
	{
		if(reset==false)
		{
			parent.salvaArcoPuntiIntervento('', '');
			//alert("save poly2 nullo");
			return;
		}
	
		var path = poly2.getPath();
		
		var encode = google.maps.geometry.encoding.encodePath(path);
		
		parent.salvaArcoPuntiIntervento(encode, '0');

		alert("salvato!");		
	}
		
 	function findAddress()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		} 
		if(address=="") 
		{
			alert("Impossibile continuare! L'indirizzo deve comprendere almeno la \"citta'\".");
			return;
		}
		
		//nuovo();
		
		geocoder = new google.maps.Geocoder();
		
		geocoder.geocode( {'address': address}, function(results,status) {
	        if (status == google.maps.GeocoderStatus.OK) {
			
				var result = results[0].geometry.location;
				
				document.getElementById("lat").value = result.lat();				
				document.getElementById("lng").value = result.lng();
			
				
				//enableAutoTracker(false);
				//document.getElementById('bnt3').className="";

				//enableFixingMarker(bool)
				
				map.setCenter(result);	
				
	        } else {
	          alert("Errore: " + status+"\nCollegarsi alla seguente pagina per avere informazioni sulla natura dell'errore:\nhttp://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
	        }
	      });   
	} 
		
		
	function enableFixingMarker(bool)
	{
		if(typeof bool == 'boolean')
			fixingMarker=bool;
		else
		{
			if(fixingMarker)
				fixingMarker=false;
			else
				fixingMarker=true;
		}
		
		if(poly2)
			poly2.setMap(null);
			
		if(observerA!=null)
			google.maps.event.removeListener(observerA);		
			
		if(markerA)			
			markerA.setMap(null);	
			
		if(observerB!=null)
			google.maps.event.removeListener(observerB);		
			
		if(markerB)			
			markerB.setMap(null);		
			
		markerB=null;					
		markerA=null;	
		poly2=null;	
		
		parent.salvaLatLngA('', '');			
		parent.salvaLatLngB('', '');	
		salvaArcoStradale(false);	
		
		if(bool==false)
			return;
		
		createMap() ;	
	}	
		
	function enableAutoTracker(bool)
	{
		if(typeof bool == 'boolean')
			autoTrack=bool;
		else
		{
			if(autoTrack)
				autoTrack=false;
			else
				autoTrack=true;
		}
		
		if(poly2)
			poly2.setMap(null);
			
		if(observerA!=null)
			google.maps.event.removeListener(observerA);		
			
		if(markerA)			
			markerA.setMap(null);	
			
		if(observerB!=null)
			google.maps.event.removeListener(observerB);		
			
		if(markerB)			
			markerB.setMap(null);		
			
		markerB=null;					
		markerA=null;	
		poly2=null;	
		
		parent.salvaLatLngA('', '');			
		parent.salvaLatLngB('', '');
		salvaArcoStradale(false);		
		
		createMap() ;		
	}	
		
	function insertMarkerA()
	{
		if(insertA)
			insertA=false;
		else
			insertA=true;
			
		if(poly2)
			poly2.setMap(null);
			
		if(observerA!=null)
			google.maps.event.removeListener(observerA);		
			
		if(markerA)			
			markerA.setMap(null);		
			
		parent.salvaLatLngA('', '');	
		salvaArcoStradale(false);			
			
		markerA=null;	
		poly2=null;					
	}			
	
	function insertMarkerB()
	{
		if(insertB)
			insertB=false;
		else
			insertB=true;
			
		if(poly2)
			poly2.setMap(null);
			
		if(observerB!=null)
			google.maps.event.removeListener(observerB);		
			
		if(markerB)			
			markerB.setMap(null);		
					
		parent.salvaLatLngB('', '');
		salvaArcoStradale(false);			
		
		markerB=null;	
		poly2=null;			
	}		
	
	function nuovo()
	{
		if(!confirm("Si desidera ripulire l'area di disegno e cominciare un nuovo editing?\n\nATTENZIONE:\nI valori inseriti per i punti A e B ed evenutali Archi Stradali saranno cancellati!")) return;
		
		if(poly2)
			poly2.setMap(null);
			
		if(observerA!=null)
			google.maps.event.removeListener(observerA);		
			
		if(markerA)			
			markerA.setMap(null);	
			
		if(observerB!=null)
			google.maps.event.removeListener(observerB);		
			
		if(markerB)			
			markerB.setMap(null);		
		
		markerA=null;		
		markerB=null;						
		poly2=null;	
		autoTrack=true;
		fixingMarker=true;
		insertA=true;
		insertB=true;
		
		parent.salvaLatLngA('', '');			
		parent.salvaLatLngB('', '');				
		salvaArcoStradale(false);			
		
		createMap() ;			
		
		manageButton('', true);		
	}

		
	window.onload = function()
	{	
		createMap(); 
		manageButton('', true);
	}	
	</script> 
</head>
  
<body> 
	<div id="menu">
	<button id="bnt0" onclick="enableFixingMarker();manageButton(this);" title="MARKER SU FIGURA - ON: I due punti A e B per poter essere evidenziati devono essere posti all'interno dell'area o sul percorso stradale. MARKER SU FIGURA - OFF: A e B possono essere posti liberamente in qualunque punto della mappa.">
		<img src="img_intervento/aggancio.png"/>
	</button>	
	
	<button id="bnt1" onclick="enableAutoTracker();manageButton(this);" title="AUTO-TRACCIAMENTO - ON: Selezionati due punti A, B di un arco stradale il calcolatore disegnera' l'arco stradale sottostante. AUTO-TRACCIAMENTO - OFF: Non viene disegnato nessun arco stradale.">
		<img src="img_intervento/strada_marker.png"/>
	</button>
	
	<button id="bnt2" onclick="insertMarkerA();manageButton(this);" title="Al primo click inserisci il punto di intervento A">
		<img src="img_intervento/a.png" />
	</button> 
	
	<button id="bnt3" onclick="insertMarkerB();manageButton(this);" title="Al secondo click inserisci il punto di intervento B. Se l'opzione di auto-tracciamento e' attiva il calcolatore disegnera' un arco stradale che collega A a B in direzione A->B.">
		<img src="img_intervento/b.png" />
	</button> 
	
	</div>

	<div id="menu2"> 
	
		<button onclick="TravelModes()" title="Impostazioni di tracciato">
			<img src="img/penna.png"/>
		</button> 	
	
		<button onclick="nuovo()" title="Nuovo">
			<img src="img_intervento/nuovo.png"/>
		</button> 	

		<button onclick="ricercaLocalizzazione();manageButton(this);">
			<img src="img_intervento/mondo.png" title="Apre il pannello per ricercare una strada/area non visualizzata sulla mappa."/>	
		</button> 	
		
		
		<button onclick="mostraPosizione();manageButton(this);">
			<img src="img_intervento/geoloc.png" title="Geolocalizzazione"/>	
		</button> 
	
	</div>	

	<div id="parametri">
	<table>
		<tr>
		<td class="backgroundWhite">Citt&agrave;<td><input type="text" style="width:100%;" id="citta" />
		<tr>
		<td class="backgroundWhite">Prov.<td><input type="text" style="width:100%;" id="provincia" />
		<tr>
		<td class="backgroundWhite">Via<td><input type="text" style="width:100%;" id="via" />
		<tr>
		<td colspan="2" style="text-align:center;">
		<input type="button" value="Ricerca" onclick="findAddress()" style="width:100px;display:inline;"/>
	</table>
	</div>


	<div id="divTravelModes">
		<form name="frmTravelModes" >
			<ul style="list-style-type:none;" >
				<li> <input type="radio" name="TravelModes" value="DRIVING" checked="checked" />DRIVING
				<li> <input type="radio" name="TravelModes" value="BICYCLING" />BICYCLING
				<li> <input type="radio" name="TravelModes" value="TRANSIT" />TRANSIT
				<li> <input type="radio" name="TravelModes" value="WALKING" />WALKING
			</ul>
		</form>
	</div>

	<div id="map"></div>
  
	<form id="mod_geo" onsubmit="return false;">
		<input id="lat" type="hidden" value="<?php echo $_POST[lat] ?>" />
		<input id="lng" type="hidden" value="<?php echo $_POST[lng] ?>" />
		<input type="hidden" id="Colore" name="Colore"  value="<?php echo $_POST[Colore] ?>"/>
		<input type="hidden" id="Polilinea" name="Polilinea"  value="<?php echo $_POST[Polilinea] ?>"/>
		<input type="hidden" id="Geometria" name="Geometria"  value="<?php echo $_POST[Geometria] ?>"/>				
	</form>
	
	<script type="text/javascript"> 	
	function manageButton(obj, reset)
	{		
		if(reset==true)
		{
			document.getElementById('bnt0').className="bntSelected";
			document.getElementById('bnt1').className="bntSelected";
			document.getElementById('bnt2').className="bntSelected";
			document.getElementById('bnt3').className="bntSelected";

			return;
		}
		
		if(obj.className=="bntSelected")
			obj.className="";	
		else		
			obj.className="bntSelected";		
	}
	
	
	
	
	function ricercaLocalizzazione()
	{
		if(document.getElementById('parametri').style.display == 'block')
			document.getElementById('parametri').style.display = 'none';
		else
			document.getElementById('parametri').style.display = 'block';
	}	
	
	
	function TravelModes()
	{
		if(document.getElementById('divTravelModes').style.display == 'block')
			document.getElementById('divTravelModes').style.display = 'none';
		else
			document.getElementById('divTravelModes').style.display = 'block';
	}	
	
	
	
	
	
	
	function mostraPosizione()
	{
		manageButton(this);
	
	
		if(navigator.geolocation) 
		{
			function getPosition(position) 
			{
				if ( !confirm("Geolocalizzazione avvenuta con successo!\nAggiungere il punto?") ) return;
				
				var lat = position.coords.latitude;
				var lng = position.coords.longitude;
				
				
				var myLatlng = new google.maps.LatLng(lat, lng); 
				var event = { latLng : myLatlng };
				addPoint(event);  
				
				map.setCenter(myLatlng);		
			}
			
			function handle_errors(error){  
				 switch(error.code)  
				 {  
					 case error.PERMISSION_DENIED: alert("L'utente non ha condiviso i dati per la geolocalizzazione");  
					 break;  

					 case error.POSITION_UNAVAILABLE: alert("Impossibile determinare la posizione attuale");  
					 break;  

					 case error.TIMEOUT: alert("Time Out nel determinare la posizione");  
					 break;  

					 default: alert("Errore sconosciuto");  
					 break;  
				 }  
			 }
			
			navigator.geolocation.getCurrentPosition(getPosition,handle_errors, {enableHighAccuracy:true});
       
		}
		else 
			alert("Impossibile geolocalizzare il device!\nIl tuo browser non supporta la GeoLocation.");		
	}
	</script>
	
</body>
	
</html> 