<?php  
session_start();
require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_143", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_143", "IT", __FILE__);
?>
<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<script type="text/javascript" src="../_libs/number.js"></script>
	<title><?php $traduttore->html('Mappa') ?></title>
	<style type="text/css">
	body, html 
	{
		font-family:Arial, Helvetica, sans-serif; 
		font-size:13px;	
		margin:0px;
		padding:0px;
	}

	#map 
	{
		width:100%; 
		height:350px;
	}

	#parametri
	{
		font-size:10px;	
		font-weight: bold;
		margin:0px;
		padding:2px;
		
		position:absolute; 
		z-index:1;
		background-color:#EBECE4;
		left:0px;
		bottom:0px;
	}
	</style>	

	<script type="text/javascript"> 
	var map = null;
	var marker = null;
	var observer = null;	
	var circle=null; 
		
	function findAddress()
	{
	   	var citta = document.getElementById("citta").value;
	   	var provincia = document.getElementById("provincia").value;
	   	var via = document.getElementById("via").value;
		
		var address="";
		
 		if(citta!="")
		{
			address += citta;
			
			if(via!="")
				address +=" "+via			
			
			if(provincia!="")
				address +=" , "+provincia
		} 
		if(address=="") 
		{
			//alert(<"Impossibile continuare! L\'indirizzo deve comprendere almeno la citta");
			alert("<?php $traduttore->js('Impossibile continuare! L\'indirizzo deve comprendere almeno la citta\'.') ?>");
			return;
		}
		
		geocoder = new google.maps.Geocoder();
		
		geocoder.geocode( {'address': address}, function(results,status) {
	        if (status == google.maps.GeocoderStatus.OK) {
			
				var result = results[0].geometry.location;
				
				createMap(result.lat(), result.lng());  	
	        } else {
	          //alert("Errore: " + status+"\nCollegarsi alla seguente pagina per avere informazioni sulla natura dell'errore:\n http://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus");
	          alert("<?php $traduttore->js('Errore: ') ?> + status+ <?php $traduttore->js('Collegarsi alla seguente pagina per avere informazioni sulla natura dell\'errore: http://code.google.com/intl/it-IT/apis/maps/documentation/javascript/reference.html#GeocoderStatus') ?>");
	        }
	      });   
	}
	
	function createMap(lat, lng) 
	{
		if(!isNumber(lat)||!isNumber(lng))
		{
			lat=44.4942191;
			lng=11.3464815;
		}
		
		var myLatlng = new google.maps.LatLng( parseFloat(lat),parseFloat(lng) ); 

			
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);	
		
		google.maps.event.addListener(map, 'click', addPoint);	
	}
	
	
	function deleteMarkerAndCircle()
	{
		if(marker!=null)
			marker.setMap(null);	
			
		if(observer!=null)
			google.maps.event.removeListener(observer);	

		if(circle)
		{	
			circle.unbindAll();		
			circle.setMap(null);		
		}
		
		marker = null;
		observer = null;	
		circle=null; 			
	}
	
	function addPoint(event) 
	{
		deleteMarkerAndCircle();
		
		marker = new google.maps.Marker(
		{
			position: event.latLng,
			map: map,
			draggable: true,
			title: "Punto di Intervento"
		});
			
		circle = new google.maps.Circle({ // Add a Circle overlay to the map
			map: map,
			radius: 0 //creiamo un cerchio di raggio 0
		});

		circle.bindTo('center', marker, 'position');  
		
		
		observer = google.maps.event.addListener(marker, 'dragend', changePosition);	
		
		parent.salvaLatLng(event.latLng.lat(), event.latLng.lng());
	}			
		
	function changePosition(event) 
	{
		var lat = event.latLng.lat()+"";
		var lng = event.latLng.lng()+"";
		
	
		parent.salvaLatLng(lat, lng);
	}	
	
	
	function hideCircle()
	{
		if(!circle) return;
		circle.setMap(null);
	}

	function showCircle()
	{
		if(!circle) return;
		circle.setMap(map);
	}	
	
	function setRadius(km)
	{	
		if(!isNumber(km)) {alert("Digitare un numero intero o decimale!\nPer i numeri decimali il carattere di separazione e' \".\"."); return;}
		if(!isNumber(km)) {alert("<?php $traduttore->js('Digitare un numero intero o decimale! Per i numeri decimali il carattere di separazione e\' "\".') ?>"); return;}
	
		if(!circle) return;
		circle.setRadius(km*1000); // 1km = 1000m
		map.fitBounds( circle.getBounds() );
	}

	function getRadius()
	{
		if(!circle) return;
		circle.getRadius();
	}	
	
	
	
	
	
	window.onload = createMap;
	</script> 
</head>
  
<body>

	<div id="parametri">
		<?php $traduttore->html('Citta') ?>:		<input type="text" style="width:60px;" id="citta" />
		<?php $traduttore->html('Provincia') ?>:	<input type="text" style="width:60px;" id="provincia" />
		<?php $traduttore->html('Via') ?>:			<input type="text" style="width:60px;" id="via" />
		<input type="button" value="<?php $traduttore->js('Vai') ?>" onclick="findAddress()"/>
	</div>

	<div id="map"></div>
  
	<form id="mod_geo" >
		<input id="radius" type="hidden" value="<?php echo $_POST[radius] ?>"/>
	</form>
	<?php
		$traduttore->Salva();
	?>
</body>
	
</html>