<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Mappa</title>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<script type="text/javascript" src="../_libs/number.js"></script>
	<script type="text/javascript" src="js/decode.js"></script>	
	
	<script type="text/javascript"> 
	var map = null;
	var markersArray = new Array();		
	var markersArchiStradali = new Array();		
	
	function createPolyline(encoding, colore)
	{
		var bounds = new google.maps.LatLngBounds();
		var coordinates=[];
		
		var polyOptions = {
			strokeColor: colore,
			strokeOpacity: 0.5,
			strokeWeight: 8
		}

		var poly = new google.maps.Polyline(polyOptions);
		var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
		}		
	
		var path = poly.getPath();
		
		for (var i in coordinates)
		{	
			bounds.extend(coordinates[i]);
		
			path.push(coordinates[i]); 
		}	
		
		poly.setMap(map);	

		map.fitBounds(bounds);
		map.setCenter(bounds.getCenter());			
	}
	
	function createPolygon(encoding, colore)
	{
		var bounds = new google.maps.LatLngBounds();
		var coordinates=[];
		
		var polygon = new google.maps.Polygon({
		strokeOpacity: 0.5,
		strokeWeight: 8,
		fillColor: colore
		});

		var points = decodeLine( encoding.replace(/\\\\/g, "\\") );

		for(var i=0; i < points.length; i++) 
		{
			var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
			coordinates.push(latLng);
			
			var path = polygon.getPath();
		
			path.insertAt(path.length, latLng);	

			bounds.extend(coordinates[i]);					
		}			
		
		polygon.setMap(map);	

		map.fitBounds(bounds);
		map.setCenter(bounds.getCenter());			
	}
	
	
	function createMap(lat, lng, encoding, colore, geometria)
	{		
		if( !isNumber(lat) || !isNumber(lng) || lat=="" || lng =="" )
		{
			lat=44.4942191;
			lng=11.3464815;
		}
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);
		
		if(encoding.length>1  &&  encoding.toUpperCase()!='NULL'  &&  encoding!=null) 
		{			
			if( isNumber(geometria)  &&  parseInt(geometria)==0)
				createPolyline(encoding, colore);
			else	
				createPolygon(encoding, colore);
		}	
	}
		
	function deleteMarkers()
	{		
		if (markersArray) 
		{     
			for (i in markersArray)      
				markersArray[i].setMap(null);     

			delete markersArray;	
			markersArray = new Array();				
		} 			
	}	
		
	function deleteArchiStradali()
	{		
		if (markersArchiStradali) 
		{     
			for (i in markersArchiStradali)      
				markersArchiStradali[i].setMap(null);     

			delete markersArchiStradali;	
			markersArchiStradali = new Array();				
		} 			
	}			
		
		
	function loadMarkers(array) 
	{	
		deleteMarkers();	
		deleteArchiStradali();
		
		var arrayLatLng = new Array();	

		for(i in array)
		{
			var lat1 = ""+array[i]["lat"];
			var lng1 = ""+array[i]["lng"];
			
			var lat2 = ""+array[i]["lat2"];
			var lng2 = ""+array[i]["lng2"];			 
			
			var Geometria = ""+array[i]["Geometria"];
			var Polilinea = ""+array[i]["Polilinea"];					
			
			if( isNumber(lat1)  &&  isNumber(lng1) )
			{
				var myLatlng = new google.maps.LatLng(parseFloat(lat1), parseFloat(lng1)); 
				
				arrayLatLng.push(myLatlng);		
			
				var image = new google.maps.MarkerImage("markes_words/green_MarkerA.png",
					new google.maps.Size(20.0, 34.0),
					new google.maps.Point(0, 0)
				);
				
				var shadow = new google.maps.MarkerImage("markes_words/shadow.png",
					new google.maps.Size(38.0, 34.0),
					new google.maps.Point(0, 0)
				);
		
				var markerA = new google.maps.Marker(
				{
					icon: image,
					shadow: shadow,
					position: myLatlng,
					map: map,
					draggable: false,
					title: "Punto di Intervento A"
				});				
				
				markersArray.push(markerA);
				
				var tooltip = "";
				
				if(array[i]["civico"]!="")
				{
					tooltip = '<div id="tooltip">'+
					'<p><strong>Civico: '+array[i]["civico"]+'</strong></p>'+
					'<p>'+array[i]["descr"]+'</p>'+
					'</div>';
				}
				else
				{
					tooltip = '<div id="tooltip">'+
					'<p>'+array[i]["descr"]+'</p>'+
					'</div>';
				}				

				attachMessage(markerA, tooltip);		

				markerA.setMap(map);	
			} 
			
			if( isNumber(lat2)  &&  isNumber(lng2) )
			{
				var myLatlng = new google.maps.LatLng(parseFloat(lat2), parseFloat(lng2)); 
				
				arrayLatLng.push(myLatlng);		
			
				var image = new google.maps.MarkerImage("markes_words/green_MarkerB.png",
					new google.maps.Size(20.0, 34.0),
					new google.maps.Point(0, 0)
				);
				
				var shadow = new google.maps.MarkerImage("markes_words/shadow.png",
					new google.maps.Size(38.0, 34.0),
					new google.maps.Point(0, 0)
				);
		
				var markerB = new google.maps.Marker(
				{
					icon: image,
					shadow: shadow,
					position: myLatlng,
					map: map,
					draggable: false,
					title: "Punto di Intervento B"
				});				
				
				markersArray.push(markerB);
				
				var tooltip = "";
				
				if(array[i]["civico"]!="")
				{
					tooltip = '<div id="tooltip">'+
					'<p><strong>Civico: '+array[i]["civico"]+'</strong></p>'+
					'<p>'+array[i]["descr"]+'</p>'+
					'</div>';
				}
				else
				{
					tooltip = '<div id="tooltip">'+
					'<p>'+array[i]["descr"]+'</p>'+
					'</div>';
				}				

				attachMessage(markerB, tooltip);		

				markerB.setMap(map);	
			}

			if( Polilinea.length>0  &&  isNumber(Geometria) )
			{
				var poly = null;
				var coordinates=[];
				
				var polyOptions = {
					geodesic: true,
					strokeColor: "#FF0000",
					strokeOpacity: 0.5,
					strokeWeight: 8
				}

				poly = new google.maps.Polyline(polyOptions);
				var points = decodeLine( Polilinea.replace(/\\\\/g, "\\") );

				for(var i=0; i < points.length; i++) 
				{
					var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
					coordinates.push(latLng);
				}		
			
				var path = poly.getPath();
				
				for (var i in coordinates)
				{	
					arrayLatLng.push(coordinates[i]);	//per i bounds della mappa	
				
					path.push(coordinates[i]); 
				}	
				
				poly.setMap(map);	
				markersArchiStradali.push(poly);
			}
	
		}
		
		if(arrayLatLng.length!=0)
		{
			var bounds = new google.maps.LatLngBounds();

			for (i in arrayLatLng)
				bounds.extend(arrayLatLng[i]);
			
			map.fitBounds(bounds);
			
			map.setCenter(bounds.getCenter());		
		}
	}
	
	
	function attachMessage(marker, tooltip) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
	}		
	</script> 
</head>
  
<body style="font-family:Arial, Helvetica, sans-serif; font-size:13px;margin:0; padding:0;">

	<div id="map" style="width: 450px; height: 350px;margin-bottom:0px;margin-top:0px;"></div>
	
</body>
	
</html>