<?php

session_start();

require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessaDestinazione = ntxise('IdCommessa');
$IdCommessaOrigine = ntxip('IdCommessaPerCapitolati');

if ( !is_numeric($IdCommessaOrigine) || $IdCommessaOrigine==$IdCommessaDestinazione )
	jhp_error("Serve una commessa d'origine!");

$sql = "BEGIN TRANSACTION"; ntxQuery($sql); 

// copia frequenze

ntxQuery("UPDATE tblFrequenzeMestieri SET IdFrequenzaOrigine=NULL WHERE IdCommessa=$IdCommessaDestinazione");

$sql = <<<sql
	INSERT INTO tblFrequenzeMestieri
						  (IdCommessa, IdFrequenzaOrigine, ordine, Descrizione, Valore, FrequenzaMensile, DurataAttivitàInGiorni, Codice, UsaFrequenzaInSettimane, FrequenzaInSettimane, 
						  UsaGiorniFissiSettimana, GiorniPerSettimana, UnGiornoAlMese, Pulizie, Lun, Mar, Mer, Gio, Ven, Sab, Dom, MeseInizio, SettimanaInizio)
	SELECT     $IdCommessaDestinazione, IdFrequenza, ordine, Descrizione, Valore, FrequenzaMensile, DurataAttivitàInGiorni, Codice, UsaFrequenzaInSettimane, FrequenzaInSettimane, 
						  UsaGiorniFissiSettimana, GiorniPerSettimana, UnGiornoAlMese, Pulizie, Lun, Mar, Mer, Gio, Ven, Sab, Dom, MeseInizio, SettimanaInizio
	FROM         tblFrequenzeMestieri AS tblFrequenzeMestieri_1
	WHERE     (IdCommessa = $IdCommessaOrigine)
sql;

ntxQuery($sql); 

// copia mestieri

ntxQuery("UPDATE tblMestieri SET IdMestiereOrigine=NULL WHERE IdCommessa=$IdCommessaDestinazione");

$sql = <<<sql
	INSERT INTO tblMestieri
						  (IdCommessa, IdMestiereOrigine, Descrizione, Ordine, codice, CalcSotto400mq, Calc14x100, AttoreInUso, codiceAM, UM, IdGruppo, IdGruppoIndGlobPre, 
						  NonVisualizzareSuSegnalazioniCliente, RichiedeCompilazioneModulo, InfoServizi, Gruppo, IdDocGenerante, RichiedeCompilazioneModuloRiscaldamento, 
						  ReportFalsoPlanningGuerrato, ModuloLavanderia, ABBnonCompilarePianoMappa, MonitoraggioStrade, escludiDaMatriceControllo, caricaInFiltroMC, UsaInModStrade, 
						  SoloExtracanone, SwitchCalore)
	SELECT     $IdCommessaDestinazione, IdMestiere, Descrizione, Ordine, codice, CalcSotto400mq, Calc14x100, AttoreInUso, codiceAM, UM, IdGruppo, IdGruppoIndGlobPre, 
						  NonVisualizzareSuSegnalazioniCliente, RichiedeCompilazioneModulo, InfoServizi, Gruppo, IdDocGenerante, RichiedeCompilazioneModuloRiscaldamento, 
						  ReportFalsoPlanningGuerrato, ModuloLavanderia, ABBnonCompilarePianoMappa, MonitoraggioStrade, escludiDaMatriceControllo, caricaInFiltroMC, UsaInModStrade, 
						  SoloExtracanone, SwitchCalore
	FROM         tblMestieri
	WHERE     (IdCommessa = $IdCommessaOrigine)
sql;

ntxQuery($sql); 

// copia componenti

ntxQuery("UPDATE tblComponetiMestiere SET IdComponenteMestiereOrigine=NULL WHERE IdCommessa=$IdCommessaDestinazione");

$sql = <<<sql
	INSERT INTO tblComponetiMestiere
						  (IdCommessa, IdMestiere, IdComponenteMestiereOrigine, Descrizione, Ordine, codice, DescrizioneEstesa, Selezionato, PosizioneInPdi, Gruppo)
	SELECT     t2.IdCommessa, t2.IdMestiere, c.IdComponenteMestiere, c.Descrizione, c.Ordine, c.codice, c.DescrizioneEstesa, c.Selezionato, c.PosizioneInPdi, c.Gruppo
	FROM         tblComponetiMestiere AS c INNER JOIN
						  tblMestieri AS t1 ON c.IdCommessa = t1.IdCommessa AND c.IdMestiere = t1.IdMestiere INNER JOIN
						  tblMestieri AS t2 ON t1.IdMestiere = t2.IdMestiereOrigine
	WHERE     (c.IdCommessa = $IdCommessaOrigine) AND (t2.IdCommessa = $IdCommessaDestinazione)
sql;

ntxQuery($sql); 

// copia attività

ntxQuery("UPDATE tblAttivitàMestiere SET IdAttivitàMestiereOrigine=NULL WHERE IdCommessa=$IdCommessaDestinazione");

$sql = <<<sql
	INSERT INTO tblAttivitàMestiere
						  (IdCommessa, IdComponenteMestiere, IdFrequenza, IdAttivitàMestiereOrigine, Descrizione, Tipologia, Ordine, codice, SpecificheDiControllo, Tipo, Nota, Documento, 
						  prepre, pre, evento, post, Accettabilità, Rif_Norma, TipoControllo, ModoConsuntivazione, ProgrammataDiLegge, Obbligo_Docs, IdTipiDocsAllegati, 
						  TempoRestituzioneDocs, IdTipiSoglia, Soglia, GiornoInizio, MeseInizio, GiornoFine, MeseFine, MonitorTipoLocaliz, IdArea, Gruppo, AttivitàDiLettura, 
						  NomeTestataLettura, TipoMP, ResaOraria, ListaControlloObbligatoria, PulizieCamereHotel, VerificaPulizieHotel, TipologiaEnergia, PerTelecontrollo, 
						  PerSenzaTelecontrollo)
	SELECT     c2.IdCommessa, c2.IdComponenteMestiere, f2.IdFrequenza, a.IdAttivitàMestiere, a.Descrizione, a.Tipologia, a.Ordine, a.codice, 
						  a.SpecificheDiControllo, a.Tipo, a.Nota, a.Documento, a.prepre, a.pre, a.evento, a.post, a.Accettabilità, a.Rif_Norma, a.TipoControllo, a.ModoConsuntivazione, 
						  a.ProgrammataDiLegge, a.Obbligo_Docs, a.IdTipiDocsAllegati, a.TempoRestituzioneDocs, a.IdTipiSoglia, a.Soglia, a.GiornoInizio, a.MeseInizio, a.GiornoFine, 
						  a.MeseFine, a.MonitorTipoLocaliz, a.IdArea, a.Gruppo, a.AttivitàDiLettura, a.NomeTestataLettura, a.TipoMP, a.ResaOraria, a.ListaControlloObbligatoria, 
						  a.PulizieCamereHotel, a.VerificaPulizieHotel, a.TipologiaEnergia, a.PerTelecontrollo, a.PerSenzaTelecontrollo
	FROM         tblAttivitàMestiere AS a INNER JOIN
						  tblComponetiMestiere AS c1 ON a.IdCommessa = c1.IdCommessa AND a.IdComponenteMestiere = c1.IdComponenteMestiere INNER JOIN
						  tblComponetiMestiere AS c2 ON c1.IdComponenteMestiere = c2.IdComponenteMestiereOrigine INNER JOIN
						  tblFrequenzeMestieri AS f1 ON a.IdCommessa = f1.IdCommessa AND a.IdFrequenza = f1.IdFrequenza INNER JOIN
						  tblFrequenzeMestieri AS f2 ON f1.IdFrequenza = f2.IdFrequenzaOrigine
	WHERE     (a.IdCommessa = $IdCommessaOrigine) AND (c2.IdCommessa = $IdCommessaDestinazione) AND (f2.IdCommessa = $IdCommessaDestinazione)
sql;

ntxQuery($sql); 

$sql = <<<sql
	INSERT INTO tblAttivitàMestiere
						  (IdCommessa, IdComponenteMestiere, IdFrequenza, IdAttivitàMestiereOrigine, Descrizione, Tipologia, Ordine, codice, SpecificheDiControllo, Tipo, Nota, Documento, 
						  prepre, pre, evento, post, Accettabilità, Rif_Norma, TipoControllo, ModoConsuntivazione, ProgrammataDiLegge, Obbligo_Docs, IdTipiDocsAllegati, 
						  TempoRestituzioneDocs, IdTipiSoglia, Soglia, GiornoInizio, MeseInizio, GiornoFine, MeseFine, MonitorTipoLocaliz, IdArea, Gruppo, AttivitàDiLettura, 
						  NomeTestataLettura, TipoMP, ResaOraria, ListaControlloObbligatoria, PulizieCamereHotel, VerificaPulizieHotel, TipologiaEnergia, PerTelecontrollo, 
						  PerSenzaTelecontrollo)
	SELECT     c2.IdCommessa, c2.IdComponenteMestiere, NULL AS IdFrequenza, a.IdAttivitàMestiere, a.Descrizione, a.Tipologia, a.Ordine, a.codice, a.SpecificheDiControllo, a.Tipo, 
						  a.Nota, a.Documento, a.prepre, a.pre, a.evento, a.post, a.Accettabilità, a.Rif_Norma, a.TipoControllo, a.ModoConsuntivazione, a.ProgrammataDiLegge, 
						  a.Obbligo_Docs, a.IdTipiDocsAllegati, a.TempoRestituzioneDocs, a.IdTipiSoglia, a.Soglia, a.GiornoInizio, a.MeseInizio, a.GiornoFine, a.MeseFine, 
						  a.MonitorTipoLocaliz, a.IdArea, a.Gruppo, a.AttivitàDiLettura, a.NomeTestataLettura, a.TipoMP, a.ResaOraria, a.ListaControlloObbligatoria, a.PulizieCamereHotel, 
						  a.VerificaPulizieHotel, a.TipologiaEnergia, a.PerTelecontrollo, a.PerSenzaTelecontrollo
	FROM         tblAttivitàMestiere AS a INNER JOIN
						  tblComponetiMestiere AS c1 ON a.IdCommessa = c1.IdCommessa AND a.IdComponenteMestiere = c1.IdComponenteMestiere INNER JOIN
						  tblComponetiMestiere AS c2 ON c1.IdComponenteMestiere = c2.IdComponenteMestiereOrigine
	WHERE     (a.IdCommessa = $IdCommessaOrigine) AND (c2.IdCommessa = $IdCommessaDestinazione) AND (a.IdFrequenza IS NULL)
sql;

ntxQuery($sql); 

// copia modelli lettura

$sql = <<<sql
	INSERT INTO ModelloLettureAttività
						  (IdCommessa, IdAttivitàMestiere, TipoDato, Etichetta)
	SELECT     a2.IdCommessa, a2.IdAttivitàMestiere, m.TipoDato, m.Etichetta
	FROM         ModelloLettureAttività AS m INNER JOIN
						  tblAttivitàMestiere AS a1 ON m.IdCommessa = a1.IdCommessa AND m.IdAttivitàMestiere = a1.IdAttivitàMestiere INNER JOIN
						  tblAttivitàMestiere AS a2 ON a1.IdAttivitàMestiere = a2.IdAttivitàMestiereOrigine
	WHERE     (m.IdCommessa = $IdCommessaOrigine) AND (a2.IdCommessa = $IdCommessaDestinazione)
sql;

ntxQuery($sql); 

// copia ListeControlloAttivitàMestiere

$sql = <<<sql
	INSERT INTO ListeControlloAttivitàMestiere
						  (IdCommessa, IdAttivitàMestiere, Voce, Tipo, Ordine, IdMestierePerRichieste)
	SELECT     a2.IdCommessa, a2.IdAttivitàMestiere, l.Voce, l.Tipo, l.Ordine, m2.IdMestiere
	FROM         tblMestieri AS m2 RIGHT OUTER JOIN
						  tblMestieri AS m1 ON m2.IdMestiereOrigine = m1.IdMestiere RIGHT OUTER JOIN
						  tblAttivitàMestiere AS a1 INNER JOIN
						  tblAttivitàMestiere AS a2 ON a1.IdAttivitàMestiere = a2.IdAttivitàMestiereOrigine INNER JOIN
						  ListeControlloAttivitàMestiere AS l ON a1.IdCommessa = l.IdCommessa AND a1.IdAttivitàMestiere = l.IdAttivitàMestiere ON m1.IdCommessa = l.IdCommessa AND 
						  m1.IdMestiere = l.IdMestierePerRichieste
	WHERE     (l.IdCommessa = $IdCommessaOrigine) AND (a2.IdCommessa = $IdCommessaDestinazione) AND (m2.IdCommessa = $IdCommessaDestinazione)
sql;

ntxQuery($sql); 

$sql = "COMMIT"; ntxQuery($sql); 

jhp_ok();

?>
