<?php

$sql = <<< sql
	SELECT     Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, Ambiente.Rimosso, 
			Ambiente.H, Ambiente.P, Ambiente.MQ, Ambiente.MC, 
			Ambiente.DesAmbiente, 
			Ambiente.Note, 
			Ambiente.CdC, 
			CaratteristicheAmbienti.Descrizione AS Caratteristiche, 
			Ambiente.UtenteModifica, 
			Ambiente.DataUltimaModifica, 
			Ambiente.DataInserimento, 
			Ambiente.UtenteInserimento,
			Ambiente.DataRimozione
	FROM         Ambiente LEFT OUTER JOIN
                      CaratteristicheAmbienti ON Ambiente.Caratteristiche = CaratteristicheAmbienti.Id LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IDAmbiente = $IdAmbiente)
sql;

$query = ntxQuery($sql);

if($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "";
	
	$rs[H] = ntxRoundThousand($rs[H], 3);
	$rs[MQ] = ntxRoundThousand($rs[MQ], 3);
	$rs[MC] = ntxRoundThousand($rs[MC], 3);
	$rs[P] = ntxRoundThousand($rs[P], 3);
	
	$rs[DataUltimaModifica] = ntxDateTime($rs[DataUltimaModifica], 3);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento], 3);
	$rs[DataRimozione] = ntxDateTime($rs[DataRimozione], 3);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$static1 = <<< static
			<tr><th>id				<td>$rs[IDAmbiente]
			<tr><th>cod				<td>$rs[CodiceAssAmbiente]
			<tr><th>des.uso			<td>$rs[Destinazione]
			<tr><th>mq				<td style="text-align:right">$rs[MQ]
			<tr><th>h				<td style="text-align:right">$rs[H]
			<tr><th>mc				<td style="text-align:right">$rs[MC]
			<tr><th>p				<td style="text-align:right">$rs[P]
			<tr><th>descrizione		<td>$rs[DesAmbiente]
			<tr><th>cdc				<td>$rs[CdC]
			<tr><th>caratteristiche	<td>$rs[Caratteristiche]
			<tr><th>note			<td>$rs[Note]
			<tr><th>rimosso			<td>$Rimosso
static;
		
	$static2 = <<< static
			<tr><th>id					<td>$rs[IDAmbiente]
			<tr><th>cod					<td>$rs[CodiceAssAmbiente]
			<tr><th>des.uso				<td>$rs[Destinazione]
			<tr><th>utente inserimento	<td>$rs[UtenteInserimento]
			<tr><th>data inserimento	<td>$rs[DataInserimento]
			<tr><th>utente modifica		<td>$rs[UtenteModifica]
			<tr><th>data modifica		<td>$rs[DataUltimaModifica]
			<tr><th>data rimozione		<td>$rs[DataRimozione]
			<tr><th>rimosso	<td>$Rimosso
static;
}




?>