<?php

$sql = <<< sql
	SELECT     tblPgPropietari.Nome AS Ente, ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, DestinazioniDusoLivello.Destinazione AS DesUso, 
					  ILS_Mappatura.DataMappatura, 
                      ILS_Mappatura.Descrizione, ILS_Mappatura.Nota, ILS_Mappatura.Risoluzione, ILS_Mappatura.NumeroCampionamenti, ILS_TipiRete.Tipo, 
                      ILS_Mappatura.Disattiva
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      ILS_Mappatura ON PianoLivello.IdCommessa = ILS_Mappatura.IdCommessa AND PianoLivello.IdEdificio = ILS_Mappatura.IdEdificio AND 
                      PianoLivello.idPiano = ILS_Mappatura.IdPiano LEFT OUTER JOIN
                      ILS_TipiRete ON ILS_Mappatura.TipoRete = ILS_TipiRete.Id LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (ILS_Mappatura.IdCommessa = $IdCommessa) 
		AND (ILS_Mappatura.IdEdificio = $IdEdificio) 
		AND (ILS_Mappatura.IdMappatura = $IdMappatura)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[DataMappatura] = ntxDateTime($rs[DataMappatura]);
$rs[Risoluzione] = ntxRoundThousand($rs[Risoluzione],2);
$rs[Disattiva] = $rs[Disattiva] ? "SI" : "";

foreach($rs as $k=>$v)
	$rs[$k] = htmlentities($v);
	
echo <<< echo
	<table class=grid>
		<tr>
			<th>Id
			<th>Codice
			<th>Edificio
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>CAP
			<th>Proprietà
		<tr>
			<td>$rs[ID]
			<td>$rs[Codice]
			<td>$rs[EdificioBreve]
			<td>$rs[Indirizzo]
			<td>$rs[CITTA]
			<td>$rs[PROVINCIA]
			<td>$rs[CAP]
			<td>$rs[Ente]
		<tr>
			<th>Piano
			<th>Data<br>Mappatura
			<th>Descrizione<br>Mappatura
			<th>Nota<br>Mappatura
			<th>Risoluzione<br>Mappatura
			<th>Numero<br>Campionamenti<br>Mappatura
			<th>Tipo Rete<br>Mappatura
			<th>Disattiva<br>Mappatura
		<tr>
			<td>$rs[DesUso]
			<td>$rs[DataMappatura]
			<td>$rs[Descrizione]
			<td>$rs[Nota]
			<td>$rs[Risoluzione]
			<td>$rs[NumeroCampionamenti]
			<td>$rs[Tipo]
			<td>$rs[Disattiva]
	</table>
	<br>
echo;

?>