<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdAmbito = ntxip('IdAmbito');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< sql
	SELECT     Progressivo
	FROM         RIMM_Elementi
	WHERE     (IdAmbito = $IdAmbito)
	ORDER BY Progressivo
sql;

$query = ntxQuery($sql);

$result = array();

$count = 0;

while( $rs = ntxRecord($query) )
{
	$result[$count][stato] = 0;
	$result[$count++][Progressivo] = $rs[Progressivo];
}

$sql = <<< sql
	SELECT     RIMM_ValoriGiudicati.Campo, RIMM_Giudizi.InizioRangeCompreso, RIMM_Giudizi.FineRangeEscluso, RIMM_Giudizi.Colore, 
						  RIMM_Giudizi.Giudizio
	FROM         RIMM_ValoriGiudicati INNER JOIN
						  RIMM_Giudizi ON RIMM_ValoriGiudicati.Id = RIMM_Giudizi.IdValoreGiudicato
	WHERE     (RIMM_ValoriGiudicati.IdAmbito = $IdAmbito)
	ORDER BY RIMM_ValoriGiudicati.Campo, RIMM_Giudizi.IdValoreGiudicato
sql;

$query = ntxQuery($sql);

$ranges = array();

$countR = 0;
$Campo = "";

while( $rs = ntxRecord($query) )
{
	if ( $Campo!= $rs[Campo] )
	{
		$Campo = $rs[Campo];
		$countR = 0;
	}
	
	$ranges[$Campo][$countR][InizioRangeCompreso] = $rs[InizioRangeCompreso];
	$ranges[$Campo][$countR][FineRangeEscluso] = $rs[FineRangeEscluso];
	$ranges[$Campo][$countR][Colore] = ntxJS($rs[Colore]);
	$ranges[$Campo][$countR++][Giudizio] = htmlentities($rs[Giudizio]);
}

$sql = <<< sql
	SELECT     IdAmbito, Progressivo, Att, VE, ICE, ICP, P, A, R, Int, Imp, Pr, B, M, Rmax, FR, VSm, Avsm, VSc, Avsc, Simbolo, Valore, UM, Totale
	FROM         RIMM_Valori
	WHERE     (IdAmbito = $IdAmbito) AND (IdCommessa = $IdCommessa) AND (IdEdificio = $IdEdificio)
	ORDER BY Progressivo
sql;

$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{		
	$rs[ColoreVSm] = "";
	$rs[GiudizioVSm] = "";
	$rs[ColoreAvsm] = "";
	$rs[GiudizioAvsm] = "";

	$rs[ColoreVSc] = "";
	$rs[GiudizioVSc] = "";
	$rs[ColoreAvsc] = "";
	$rs[GiudizioAvsc] = "";

	$rs[ColoreTotale] = "";
	$rs[GiudizioTotale] = "";

	if ( is_numeric($rs[VSm]) ) {
		$VSm = $rs[VSm];
		
		foreach($ranges[VSm] as $range)
			if ( ($range[InizioRangeCompreso]<= $VSm || !is_numeric($range[InizioRangeCompreso])) 
				 &&  ($VSm < $range[FineRangeEscluso] || !is_numeric($range[FineRangeEscluso])) )
				{
					$rs[ColoreVSm] = $range[Colore];
					$rs[GiudizioVSm] = $range[Giudizio];
				}
	}
	
	if ( is_numeric($rs[Avsm]) ) {
		$Avsm = $rs[Avsm];
		
		foreach($ranges[Avsm] as $range)
			if ( ($range[InizioRangeCompreso]<= $Avsm || !is_numeric($range[InizioRangeCompreso]) )
				 &&  ($Avsm < $range[FineRangeEscluso] || !is_numeric($range[FineRangeEscluso]) ))
				{
					$rs[ColoreAvsm] = $range[Colore];
					$rs[GiudizioAvsm] = $range[Giudizio];
				}
	}
	
	if ( is_numeric($rs[VSc]) )  {
		$VSc = $rs[VSc];
		
		foreach($ranges[VSc] as $range)
			if ( ($range[InizioRangeCompreso]<= $VSc || !is_numeric($range[InizioRangeCompreso]) )
				 &&  ($VSc < $range[FineRangeEscluso] || !is_numeric($range[FineRangeEscluso]) ))
				{
					$rs[ColoreVSc] = $range[Colore];
					$rs[GiudizioVSc] = $range[Giudizio];
				}
	}
	
	if ( is_numeric($rs[Avsc]) ) {
		$Avsc = $rs[Avsc];
		
		foreach($ranges[Avsc] as $range)
			if ( ($range[InizioRangeCompreso]<= $Avsc || !is_numeric($range[InizioRangeCompreso]) )
				 &&  ($Avsc < $range[FineRangeEscluso] || !is_numeric($range[FineRangeEscluso]) ))
				{
					$rs[ColoreAvsc] = $range[Colore];
					$rs[GiudizioAvsc] = $range[Giudizio];
				}
	}
	
	if ( is_numeric($rs[Totale]) )  {
		$Totale = $rs[Totale];
		
		foreach($ranges[Totale] as $range)
			if ( ($range[InizioRangeCompreso]<= $Totale || !is_numeric($range[InizioRangeCompreso]) )
				 &&  ($Totale < $range[FineRangeEscluso] || !is_numeric($range[FineRangeEscluso]) ))
				{
					$rs[ColoreTotale] = $range[Colore];
					$rs[GiudizioTotale] = $range[Giudizio];
				}
	}

	switch($IdAmbito)
	{
		case '1': // diagnosi-conservativa
			if ( is_numeric($rs[Att]) ) $rs[Att] = (int)$rs[Att];
			if ( is_numeric($rs[VE]) ) $rs[VE] = (int)$rs[VE];
			if ( is_numeric($rs[ICE]) ) $rs[ICE] = (int)$rs[ICE];
			if ( is_numeric($rs[ICP]) ) $rs[ICP] = (int)$rs[ICP];
			if ( is_numeric($rs[R]) ) $rs[R] = ntxRound($rs[R]*100,2)."%";
			$rs[P] = ntxRound($rs[P],2);
			if ( is_numeric($rs[Totale]) ) $rs[Totale] = ntxRound($rs[Totale]*100,2)."%";
			break;
		case '2': // vulnerabilita-sismica
			$rs[R] = ntxRound($rs[R],2);
			if ( is_numeric($rs[P]) ) $rs[P] = (int)$rs[P];
			if ( is_numeric($rs[A]) ) $rs[A] = (int)$rs[A];
			$rs[VSm] = ntxRound($rs[VSm],2);
			$rs[Avsm] = ntxRound($rs[Avsm],2);
			$rs[VSc] = ntxRound($rs[VSc],2);
			$rs[Avsc] = ntxRound($rs[Avsc],2);
			break;
		case '3': // atteggiamento-energetico
			$rs[R] = ntxRound($rs[R],2);
			$rs[P] = ntxRound($rs[P],2);
			$rs[Valore] = ntxRound($rs[Valore],2);
			if ( is_numeric($rs[Totale]) ) $rs[Totale] = ntxRound($rs[Totale]*100,2)."%";
			break;
		case '4': // contesto-urbano
			if ( is_numeric($rs[Att]) ) $rs[Att] = (int)$rs[Att];
			if ( is_numeric($rs[Pr]) ) $rs[Pr] = (int)$rs[Pr];
			if ( is_numeric($rs[Imp]) ) $rs[Imp] = (int)$rs[Imp];
			if ( is_numeric($rs[Int]) ) $rs[Int] = (int)$rs[Int];
			if ( is_numeric($rs[M]) ) $rs[M] = (int)$rs[M];
			if ( is_numeric($rs[B]) ) $rs[B] = (int)$rs[B];
			$rs[Rmax] = ntxRound($rs[Rmax],2);
			$rs[FR] = ntxRound($rs[FR],2);
			if ( is_numeric($rs[Totale]) ) $rs[Totale] = ntxRound($rs[Totale]*100,2)."%";
			break;
		case '5': // rischio-ambientale
			if ( is_numeric($rs[Att]) ) $rs[Att] = (int)$rs[Att];
			if ( is_numeric($rs[Pr]) ) $rs[Pr] = (int)$rs[Pr];
			if ( is_numeric($rs[Imp]) ) $rs[Imp] = (int)$rs[Imp];
			if ( is_numeric($rs[Int]) ) $rs[Int] = (int)$rs[Int];
			if ( is_numeric($rs[P]) ) $rs[P] = (int)$rs[P];
			$rs[Rmax] = ntxRound($rs[Rmax],2);
			$rs[FR] = ntxRound($rs[FR],2);
			if ( is_numeric($rs[Totale]) ) $rs[Totale] = ntxRound($rs[Totale]*100,2)."%";
			break;
	}
	
	for ($i=0; $i<$count; ++$i)
		if ( $result[$i][Progressivo]==$rs[Progressivo] )
		{
			$result[$i][stato] = 1;
			$result[$i][rs] = $rs;
		}
}

jhp($result);

?>
