<?php  
session_start();
require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=Dettaglio_impianti_antincendio.xls');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql =  <<< SQL
SELECT   tblPgPropietari.Nome, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataInizio, 
		 ABS(DATEDIFF(day, tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.dataInizioProg)) AS RAC
FROM     tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		 AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		 ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
         tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
         tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
         tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
         tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE    (tblOrdiniProgrammati.dataInizioProg IS NOT NULL) AND (tblOrdiniProgrammati.dataInizio IS NOT NULL) 
		 AND (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		 AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario)  
		 AND (tblComponetiMestiere.IdMestiere = 5)
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$prop = ntxScalar($sql);
$query = ntxQuery($sql);

$sql2 = <<< SQL
SELECT   tblOrdiniProgrammati.IdOrdineProgrammato, tblComponetiMestiere.Descrizione AS Componente, tblAttivitàMestiere.Descrizione AS Attivita, 
         tblFrequenzeMestieri.Valore
FROM     tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		 AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		 ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		 AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
         tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
         tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
         tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
         tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE    (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		 AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		 AND (tblComponetiMestiere.IdMestiere = 5)
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$query2 = ntxQuery($sql2);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<table align=center >

	<tr><th colspan=4 align=center><font size=3>DETTAGLIO DATI IMPIANTI ANTINCENDIO&nbsp;&nbsp;&nbsp;<?php echo $mese ?>&nbsp;-&nbsp;<?php echo $anno ?></th></tr>
	<tr><th colspan=4 align=center><font size=3><?php echo $prop ?></th></tr>

	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA INIZIO</th><th>|RAC|</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['RAC']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>
<br>
<table align=center >

	<tr><th>ID ORDINE PROGRAMMATO</th><th>COMPONENTE</th><th>ATTIVITA'</th><th>FREQUENZA (GG)</th></tr>
<?php
	$alternate = true;
	while( $rs2 = ntxRecord($query2) )
	{
	$v2 = (int)($rs2['Valore']);
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['Attivita']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($v2) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>

</body>
</html>