<?php  
session_start();
require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=Dettaglio_servizio_pulizia.xls');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql =  <<< SQL
SELECT   tblPgPropietari.Nome, tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
		 tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblComponetiMestiere.Descrizione AS Componente, 
		 tblAttivitàMestiere.Descrizione AS Attivita
FROM     tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		 AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		 ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		 AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
         tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		 AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
         tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE    (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		 AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		 AND (tblComponetiMestiere.IdMestiere = 11)
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$prop = ntxScalar($sql);
$query = ntxQuery($sql);

$sql2 = <<< SQL
SELECT  tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
		tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblComponetiMestiere.Descrizione AS Componente, 
		tblAttivitàMestiere.Descrizione AS Attivita, tblFrequenzeMestieri.Valore AS Frequenza
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
        tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
		AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (tblComponetiMestiere.IdMestiere = 11) AND (DATEDIFF(day, tblOrdiniProgrammati.dataInizioProg, 
        tblOrdiniProgrammati.dataInizio) > (tblFrequenzeMestieri.Valore / 2))
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$query2 = ntxQuery($sql2);

$sql3 = <<< SQL
SELECT  tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
		tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblComponetiMestiere.Descrizione AS Componente, 
		tblAttivitàMestiere.Descrizione AS Attivita
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (tblComponetiMestiere.IdMestiere = 11) AND (tblOrdiniProgrammati.dataInizio IS NULL)
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$query3 = ntxQuery($sql3);

$sql4 = <<< SQL
SELECT  tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
		tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblComponetiMestiere.Descrizione AS Componente, 
		tblAttivitàMestiere.Descrizione AS Attivita, tblFrequenzeMestieri.Valore AS Frequenza
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
        tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
		AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (tblComponetiMestiere.IdMestiere = 11) AND ((tblFrequenzeMestieri.Valore >= 1) AND (tblFrequenzeMestieri.Valore <= 7))
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$query4 = ntxQuery($sql4);

$sql5 = <<< SQL
SELECT  tblOrdiniProgrammati.IdOrdineProgrammato, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, 
		tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblComponetiMestiere.Descrizione AS Componente, 
		tblAttivitàMestiere.Descrizione AS Attivita, tblFrequenzeMestieri.Valore AS Frequenza
FROM    tblOrdiniProgrammati INNER JOIN ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa 
		AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID INNER JOIN tblAttivitàMestiere 
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa 
		AND tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
        tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa 
		AND tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
        tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa 
		AND tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
WHERE   (MONTH(tblOrdiniProgrammati.dataInizioProg) = $mese) AND (YEAR(tblOrdiniProgrammati.dataInizioProg) = $anno) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (tblComponetiMestiere.IdMestiere = 11) AND (tblFrequenzeMestieri.Valore > 7)
ORDER BY tblOrdiniProgrammati.IdOrdineProgrammato
SQL;

$query5 = ntxQuery($sql5);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<table align=center >

	<tr><th colspan=7 align=center><font size=3>DETTAGLIO DATI SERVIZIO DI PULIZIA&nbsp;&nbsp;&nbsp;<?php echo $mese ?>&nbsp;-&nbsp;<?php echo $anno ?></th></tr>
	<tr><th colspan=7 align=center><font size=3><?php echo $prop ?></th></tr>
	<tr><th colspan=7 align=center><font size=3>ELENCO TOTALE ORDINI PROGRAMMATI (Ap)</th></tr>

	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA FINE PROG.</th><th>DATA INIZIO</th><th>DATA FINE</th><th>COMPONENTE</th><th>ATTIVITA'</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs['dataFineProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['datafine']) ?></td>	
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['Attivita']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>
<br><br>
<table align=center >

	<tr><th colspan=8 align=center><font size=3>ELENCO ORDINI ESEGUITI IN RITARDO (Arp)</th></tr>
	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA FINE PROG.</th><th>DATA INIZIO</th><th>DATA FINE</th><th>COMPONENTE</th><th>ATTIVITA'</th><th>FREQUENZA (GG)</th></tr>
<?php
	$alternate = true;
	while( $rs2 = ntxRecord($query2) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs2['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs2['dataFineProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs2['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs2['datafine']) ?></td>	
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs2['Attivita']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities((int)$rs2['Frequenza']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>
<br><br>
<table align=center >

	<tr><th colspan=7 align=center><font size=3>ELENCO ORDINI NON ESEGUITI (An)</th></tr>
	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA FINE PROG.</th><th>DATA INIZIO</th><th>DATA FINE</th><th>COMPONENTE</th><th>ATTIVITA'</th></tr>
<?php
	$alternate = true;
	while( $rs3 = ntxRecord($query3) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs3['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs3['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs3['dataFineProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs3['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs3['datafine']) ?></td>	
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs3['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs3['Attivita']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>
<br><br>
<table align=center >

	<tr><th colspan=8 align=center><font size=3>ELENCO ORDINI CON ATTIVITA' AD ALTA FREQUENZA (Aap)</th></tr>
	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA FINE PROG.</th><th>DATA INIZIO</th><th>DATA FINE</th><th>COMPONENTE</th><th>ATTIVITA'</th><th>FREQUENZA (GG)</th></tr>
<?php
	$alternate = true;
	while( $rs4 = ntxRecord($query4) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs4['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs4['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs4['dataFineProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs4['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs4['datafine']) ?></td>	
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs4['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs4['Attivita']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities((int)$rs4['Frequenza']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>
<br><br>
<table align=center >

	<tr><th colspan=8 align=center><font size=3>ELENCO ORDINI CON ATTIVITA' A BASSA FREQUENZA (Abp)</th></tr>
	<tr><th>ID ORDINE PROGRAMMATO</th><th>DATA INIZIO PROG.</th><th>DATA FINE PROG.</th><th>DATA INIZIO</th><th>DATA FINE</th><th>COMPONENTE</th><th>ATTIVITA'</th><th>FREQUENZA (GG)</th></tr>
<?php
	$alternate = true;
	while( $rs5 = ntxRecord($query5) )
	{
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs5['IdOrdineProgrammato']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs5['dataInizioProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDate($rs5['dataFineProg']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs5['dataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs5['datafine']) ?></td>	
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs5['Componente']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs5['Attivita']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities((int)$rs5['Frequenza']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>
</table>

</body>
</html>