<?php  
session_start();
require_once('../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');
header('Content-type: application/vnd.ms-excel');
header('Content-Disposition: attachment; filename=Dettaglio_prevenzione_attività_e_gestione_ordini_di_intervento.xls');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = (int)$_SESSION['IdCommessa'];
$mese = ntxip('Mese');
$anno = ntxip('Anno');
$IdPropietario = ntxip('IdPropietario');

$sql =  <<< SQL
SELECT  tblPgPropietari.Nome, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataInizio, Ordini.DataScadenza, 
		DATEDIFF(HH, Ordini.DataScadenza, Ordini.DataInizio) AS delta
FROM    Ordini INNER JOIN ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
        tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
WHERE   (MONTH(Ordini.DataOrdine) = $mese) AND (YEAR(Ordini.DataOrdine) = $anno) AND (Ordini.Contabiliz = 'extracanone') 
		AND (Ordini.IDCommessa = $IdCommessa) AND (ElencoEdifici.IdProprietario = $IdPropietario) 
		AND (DATEDIFF(HH, Ordini.DataScadenza, Ordini.DataInizio) > 24)
ORDER BY Ordini.AnnoOrdine, Ordini.NumOrdine					  
SQL;

$prop = ntxScalar($sql);
$query = ntxQuery($sql);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	<style type="text/css"> 
	table, th, td 
	{
		border: solid 1px;
		border-color:#5B5B5B;
	}
	</style>
</head>

<table align=center >

	<tr><th colspan=6 align=center><font size=3>DETTAGLIO PREVENTIVAZIONE ATTIVITA' E GESTIONE ORDINI DI INTERVENTO&nbsp;&nbsp;&nbsp;<?php echo $mese ?>&nbsp;-&nbsp;<?php echo $anno ?></th></tr>
	<tr><th colspan=6 align=center><font size=3><?php echo $prop ?></th></tr>

	<tr><th>NUMERO ORDINE</th><th>ANNO ORDINE</th><th>DATA INIZIO</th><th>DATA SCADENZA</th><th>RITARDO (GG)</th><th>RITARDO (ORE)</th></tr>
<?php
	$alternate = true;
	while( $rs = ntxRecord($query) )
	{
	$no = intval($rs['NumOrdine']);
?>
	<tr>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($no) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['AnnoOrdine']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataInizio']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxDateTime($rs['DataScadenza']) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo ntxRound($rs['delta']/24,2) ?></td>
	<td align=center <?php echo  $alternate ? "" : "class=td2" ?> ><?php echo htmlentities($rs['delta']) ?></td>
	
<?php		

	$alternate = !$alternate;
	
	}
	
?>

</table>

</body>
</html>