<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<title>ManPro.Net WebPortal</title>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="../../_ntx/ntxjsint.php"></script>
</head>
<body>

<br>
<h4 align="left"> <i>Ambiente:</i> </h4>

<?php
$IdCommessa  = ntxip('IdCommessa');
$IdEdificio  = ntxip('IdEdificio');
$CodiceAmbiente  = ntxsp('CodiceAmbiente');
$IdPiano  = ntxip('IdPiano');

$sql = <<< sql
	SELECT     ElencoEdifici.Codice AS CodEdificio, 
				ElencoEdifici.EdificioBreve AS Edificio, 
				ElencoEdifici.Indirizzo, 
				ElencoEdifici.CITTA AS Comune, 
				ElencoEdifici.PROVINCIA AS Prov, 
				ElencoEdifici.CAP, 
				DestinazioniDusoLivello.Destinazione AS Piano, 
				Ambiente.CodiceAssAmbiente AS CodAmbiente, 
				Ambiente.MQ, 
				DestinazioniDuso.Tipo AS DesUso
	FROM         ElencoEdifici INNER JOIN
						  PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello LEFT OUTER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.CodiceAmbiente = $CodiceAmbiente) 
			AND (Ambiente.IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

?>
<div align="left">
<table>
	<tr>
		<th>CodEdificio	
		<th>Localizzazione	
		<th>Indirizzo	
		<th>Comune		
		<th>Prov		
		<th>CAP			
		<th>Piano		
		<th>CodAmbiente	
		<th>MQ			
		<th>DesUso		
	<tr>
		<td>&nbsp;<?php echo htmlentities($rs['CodEdificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Edificio']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Indirizzo']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Comune']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Prov']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CAP']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['Piano']) ?>
		<td>&nbsp;<?php echo htmlentities($rs['CodAmbiente']) ?>
		<td>&nbsp;<?php echo ntxRound($rs['MQ'],2) ?>
		<td>&nbsp;<?php echo htmlentities($rs['DesUso']) ?>
</table>
</div>

<?php
$sql = <<< _SQL
	SELECT DISTINCT 
						  Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, 
						  Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des, Ordini.Contabiliz, 
						  DestinazioniDuso.Destinazione
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      Ambiente ON Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.IdAmbiente = Ambiente.IDAmbiente AND 
                      Ordini.CodEdificio = Ambiente.IdEdificio INNER JOIN
                      PianoLivello ON Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
                      Ordini.IdLivello = PianoLivello.idPiano INNER JOIN
                      DestinazioniDuso ON PianoLivello.IdDestUso = DestinazioniDuso.IdDestinazioneuso AND 
                      PianoLivello.IdCommessa = DestinazioniDuso.IdCommessa INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE	Ordini.IDCommessa=$IdCommessa AND ElencoEdifici.ID=$IdEdificio AND Ambiente.CodiceAmbiente=$CodiceAmbiente
_SQL;

$query = ntxQuery($sql);

$rs = ntxRecord($query);
?>

<br><br>
<h4 align="left"> <i>Ordini</i> associati:</h4>

<div align="left">
<table>
	<tr>
		<th>Num Ordine</th>
		<th>Anno Ordine</th>
		<th>Data Ordine</th>
		<th>Stato Ordine</th>
		<th>Contabilizzazione</th>
		<th>Descrizione</th>
		<th>Uso del piano</th>				
	</tr>   

<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
?>
	<tr>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities((int)$rs['NumOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['AnnoOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo ntxDateTime($rs['DataOrdine']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['DesStato']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Contabiliz']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Des']) ?></td>
		<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($rs['Destinazione']) ?></td>			
	</tr>
<?php
		$alternate = !$alternate;
	}
?>
</table>
</div>

</body>
</html>