<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");
require_once("const.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("tematizza_ambienti.inc");

$CodiciAmbientix = explode(",", $_POST[CodiciAmbientix]);

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$sql = <<< sql
SELECT DISTINCT    Ambiente.CodiceAmbiente
FROM         TipoComponente INNER JOIN
                      ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
WHERE     (TipoComponente.DesComponente = N'GIROCAM') AND (Ambiente.IdCommessa = $IdCommessa) AND (Ambiente.IdEdificio = $IdEdificio) AND (Ambiente.IdLivello = $IdLivello)
sql;

$query = ntxQuery($sql);

while($rs=ntxIRecord($query))
	$AmbConGiroCam[] = $rs[0];
	
$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$sizecircle = 26;

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[action]!=CMD_FIT);

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
SELECT * FROM
(
	SELECT 1 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		AND     (IdCommessa = $IdCommessa)
	) a1
) a3
ORDER BY ordine, OrdineWeb, Nome
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;

	if ( $rs[Associazione]==1 )
	{
		if ( is_array($CodiciAmbientix) )
		{
			TematizzaAmbienti($CodiciAmbientix, $map, $data, 255, 0, 0);
		}
		
		if ( is_array($AmbConGiroCam) )
		{
			TematizzaAmbienti($AmbConGiroCam, $map, $data, 0, 255, 0);
		}
	}

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	switch ( $rs[Geometria] )
	{
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$visiPost = $_POST["Visibile_$rs[Id]"];
	
	if ( isset($visiPost) )
	{
		$layer->set("status", $visiPost==1 ? MS_ON : MS_OFF);
	}
	else
	{
		$layer->set("status", $rs[VisibileWeb]==1 ? MS_ON : MS_OFF);
	}
	
	$layer->set("data", $data);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			break;
	}
	
	if ( !$isExtent )
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($minx) )
		{
			if ( $extent->minx < $minx ) $minx = $extent->minx;
			if ( $extent->miny < $miny ) $miny = $extent->miny;
			
			if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
			if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
		}
		else
		{
			$minx = $extent->minx;
			$miny = $extent->miny;
			
			$maxx = $extent->maxx;
			$maxy = $extent->maxy;
		}
	}
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;

	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[action] )
{
	case CMD_PAN: 
		$zoom_factor = 1;
		break;
	case CMD_ZOOM_IN: 
		$zoom_factor = $_POST[mouse_button]==1 ? 2 : ($_POST[mouse_button]==3 ? -2 : 1);
		break;
	case CMD_ZOOM_OUT: 
		$zoom_factor = -2;
		break;
}

switch ( $_POST[action] )
{
	case CMD_PAN: 
	case CMD_ZOOM_IN: 
	case CMD_ZOOM_OUT: 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case CMD_ZOOM_AREA: 
		$zoom_rect = ms_newRectObj();
		$zoom_rect->setextent($_POST[zoom_x1],$_POST[zoom_y1],$_POST[zoom_x2],$_POST[zoom_y2]);
		$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$image = $map->draw();

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
