<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdCopertura = ntxip('IdCopertura');

if (!is_numeric($IdCopertura) )
	jhp_error("Per ottenere informazioni prima selezionare copertura da legend!");
	
$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (CopertureMappe.IdCopertura = $IdCopertura) AND (CopertureMappe.Tipo = 0)
sql;

$query = ntxQuery($sql);

$result = "<div style='width:100%;height:100%;overflow:scroll'><table class=grid>";

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x = $_POST[map_x];
	$y = $_POST[map_y];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y = $dy - $y;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	if ( $rs[Geometria]==2 ) // area usa punto in poligono
	{
		$x2 = $x * $dx2 / $dx + $minx;
		$y2 = $y * $dy2 / $dy + $miny;

		$my_point = ms_newpointObj();
		$my_point->setXY($x2 , $y2);

		$res = @$layer->queryByPoint($my_point, MS_MULTIPLE, -1);
	}
	else // punti e linee
	{
		$delta = 8;
		
		$x1 = ($x-$delta) * $dx2 / $dx + $minx;
		$y1 = ($y-$delta) * $dy2 / $dy + $miny;
		
		$x2 = ($x+$delta) * $dx2 / $dx + $minx;
		$y2 = ($y+$delta) * $dy2 / $dy + $miny;

		$my_rect = ms_newRectObj();

		$my_rect->setextent($x1<$x2 ? $x1 : $x2,
							$y1<$y2 ? $y1 : $y2,
							$x1>$x2 ? $x1 : $x2,
							$y1>$y2 ? $y1 : $y2);
							
		$res = @$layer->queryByRect($my_rect);	
	}
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			foreach($shape->values as $key=>$value)
			{
				$result .= "<tr><th>".htmlentities($key)."</th><td>".htmlentities($value)."</td></tr>";
			}
			
			$result .= "<tr><th colspan=2>---</th><tr>";
		}
		
		$layer->close();
	}
}

$result .= "</table></div>";

jhp($result);

?>
