<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

$dir = str_replace("/","\\",$dir);

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

if ( is_numeric($_POST[IdStrada]) )
{
	$IdStrada = ntxip('IdStrada');

	$sql = <<< sql
		SELECT TOP 1 Codice
		FROM         ElencoEdifici
		WHERE     (IdCommessa = $IdCommessa) AND (ID = $IdStrada) AND (Tipo = 1) 
sql;

	$CodiceStrada = ntxScalar($sql);
}
	
$visi = explode(",", $_POST[visi]);

$mapfile_text .= <<< mapfile_text
MAP
	STATUS ON
	SIZE 400 300
	EXTENT -2200000 -712631 3072800 3840000
	UNITS METERS

	NAME MapFile
		SYMBOL
			NAME "circle"
			TYPE ellipse
			FILLED true
			POINTS
				5 5
			END
		END
	END
mapfile_text;

$mapfile = tempnam($dir, "mapfile").".map";

$mapfile_handle = fopen($mapfile, 'w');
fwrite($mapfile_handle, $mapfile_text);
fclose($mapfile_handle);

$map = ms_newMapObj($mapfile);

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[doAction]!='fit');

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (Mappe.IdMappa = $IdMappa) AND (CopertureMappe.Tipo = 0)
	ORDER BY CopertureMappe.Ordine
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	if ( isset($visi) )
	{
		$layer->set("status", in_array($rs[IdCopertura], $visi) ? MS_ON : MS_OFF);
	}
	else
	{
		$layer->set("status", $rs[Visibile]==1 ? MS_ON : MS_OFF);
	}
	
	$layer->set("data", $data);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$style->set("symbolname", "circle");
			
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			
			$rosso = ($rs[ColoreArea] >> 16) & 0xff;
			$verde = ($rs[ColoreArea] >> 8) & 0xff;
			$blu = ($rs[ColoreArea]) & 0xff;

			$style->color->setRGB($rosso, $verde, $blu);
			//$style->set("symbolname", $rs[Simbolo]);
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			
			$rosso = ($rs[ColoreArea] >> 16) & 0xff;
			$verde = ($rs[ColoreArea] >> 8) & 0xff;
			$blu = ($rs[ColoreArea]) & 0xff;

			$style->color->setRGB($rosso, $verde, $blu);
			break;
	}

	if ( $rs[Nome]=="Strade"  &&  in_array("LabelStrade", $visi) )
	{
		$layer->set("labelitem", "NOME_STR");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(0, 0, 255);
	}

	if ( $rs[Nome]=="Civici"  &&  in_array("LabelCivici", $visi) )
	{
		$layer->set("labelitem", "NUM_CIV");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->color->setRGB(255, 0, 0);
	}

	if ( !$isExtent ) 
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($minx) )
		{
			if ( $extent->minx < $minx ) $minx = $extent->minx;
			if ( $extent->miny < $miny ) $miny = $extent->miny;
			
			if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
			if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
		}
		else
		{
			$minx = $extent->minx;
			$miny = $extent->miny;
			
			$maxx = $extent->maxx;
			$maxy = $extent->maxy;
		}
	}
	
	if ( $rs[Nome]=="Strade"  &&  isset($CodiceStrada) )
	{
		$layer = ms_newLayerObj($map);

		$layer->set("type", MS_LAYER_LINE);

		$layer->set("status", MS_ON);

		$layer->set("data", $data);

		$queryTema = "\"[COD_STRADA]\"==\"$CodiceStrada\"";
		$layer->setFilter("( $queryTema )");

		$class = ms_newClassObj($layer);

		$style = ms_newStyleObj($class);
	
		$style->set("symbolname", "circle");
		$style->set("size", 4);

		$style->color->setRGB(255, 150, 50);
		$style->outlinecolor->setRGB(255, 150, 50);
	}
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;
	
	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[doAction] )
{
	case 'pan': 
		$zoom_factor = 1;
		break;
	case 'zoomin': 
		$zoom_factor = $_POST[mouse_button]==1 ? 2 : ($_POST[mouse_button]==3 ? -2 : 1);
		break;
	case 'zoomout': 
		$zoom_factor = -2;
		break;
}

switch ( $_POST[doAction] )
{
	case 'pan': 
	case 'zoomin': 
	case 'zoomout': 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case 'zoomarea': 
		$zoom_rect = ms_newRectObj();
		$zoom_rect->setextent($_POST[zoom_x1],$_POST[zoom_y1],$_POST[zoom_x2],$_POST[zoom_y2]);
		$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$x1 = $y1 = $x2 = $y2 = null;

if ( strlen($_POST[PuntoInserimento1])>0 ) 
{
	$xy = explode(":", $_POST[PuntoInserimento1]);

	$x1 = $xy[0];
	$y1 = $xy[0];
}

if ( strlen($_POST[PuntoInserimento2])>0 ) 
{
	$xy = explode(":", $_POST[PuntoInserimento2]);

	$x2 = $xy[0];
	$y2 = $xy[0];
}

if ( is_numeric($x1)  &&  is_numeric($y1)  &&  is_numeric($x2)  &&  is_numeric($y2) )
{
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_LINE); // MS_LAYER_POINT

	//$layer->set("data", $data);
	
	// print_r($layer);
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	$style->set("symbolname", "circle");
		
	$style->set("size", 4);

	$style->color->setRGB(55, 150, 255);
	$style->outlinecolor->setRGB(55, 150, 255);
}

$image = $map->draw();

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
