<?php

$projInObj = ms_newprojectionobj("proj=latlong,datum=WGS84");
$projOutObj = ms_newprojectionobj("proj=tmerc,units=m,".
								  "ellps=intl,".
								  "lat_0=-0.000115,". // originale 0.0
								  "lon_0=8.999023,". // originale 9.0-0.000977
								  "k=0.9996,".
								  "x_0=500000.0,".
								  "y_0=-4000000.0");

$poPoint = ms_newpointobj();

if ( strlen($_POST[PuntoInseriti])>0  &&  in_array("PuntiIntervento", $visi) )
{
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_POINT); 
	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	$style->set("symbolname", "circle");

	$style->set("size", 15);

	$style->color->setRGB(155, 255, 155);
	$style->outlinecolor->setRGB(155, 255, 155);

	$layer2 = ms_newLayerObj($map);
	
	$layer2->set("type", MS_LAYER_LINE); // MS_LAYER_POINT
	$layer2->set("status", MS_ON);

	$class = ms_newClassObj($layer2);
	
	$style = ms_newStyleObj($class);
	$style->set("symbolname", "circle");
		
	$style->set("size", 4);

	$style->color->setRGB(55, 255, 55);
	$style->outlinecolor->setRGB(55, 255, 55);
	
	$segmenti = explode("&", $_POST[PuntoInseriti]);
	
	foreach($segmenti as $segmento)
	{
		$estremi = explode(";", $segmento);
		
		$p1 = $estremi[0];
		$p2 = $estremi[1];
		
		$xy1 = explode(":", $p1);
		$xy2 = explode(":", $p2);
		
		$x1 = $xy1[0]; $y1 = $xy1[1];
		$x2 = $xy2[0]; $y2 = $xy2[1];
		
		if ( is_numeric($x1)  &&   is_numeric($y1) )
		{
			$shape =  ms_newShapeObj(MS_SHAPE_POINT);
			$line =  ms_newLineObj();

			$poPoint->setXY((float)$y1, (float)$x1);
			$poPoint->project($projInObj, $projOutObj);

			$x1 = $poPoint->x;
			$y1 = $poPoint->y;

			$line->addXY((float)$x1, (float)$y1);

			$shape->add($line);
			$layer->addFeature($shape);
		}
		
		if ( is_numeric($x2)  &&   is_numeric($y2) )
		{
			$shape =  ms_newShapeObj(MS_SHAPE_POINT);
			$line =  ms_newLineObj();

			$poPoint->setXY((float)$y2, (float)$x2);
			$poPoint->project($projInObj, $projOutObj);

			$x2 = $poPoint->x;
			$y2 = $poPoint->y;

			$line->addXY((float)$x2, (float)$y2);

			$shape->add($line);
			$layer->addFeature($shape);
		}
		
		if ( is_numeric($x1)  &&   is_numeric($y1)  &&  is_numeric($x2)  &&   is_numeric($y2) )
		{
			$shape =  ms_newShapeObj(MS_SHAPE_LINE);
			$line =  ms_newLineObj();

			$line->addXY((float)$x1, (float)$y1);
			$line->addXY((float)$x2, (float)$y2);

			$shape->add($line);
			$layer2->addFeature($shape);
		}
	}
}

?>