<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (Mappe.IdMappa = $IdMappa) AND (CopertureMappe.Nome = 'Strade') AND (CopertureMappe.Tipo = 0)
sql;

$query = ntxQuery($sql);

$result[html] = "";
$result[IdStrada] = "";

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_LINE);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x = $_POST[map_x];
	$y = $_POST[map_y];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y = $dy - $y;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$delta = 8;
	
	$x1 = ($x-$delta) * $dx2 / $dx + $minx;
	$y1 = ($y-$delta) * $dy2 / $dy + $miny;
	
	$x2 = ($x+$delta) * $dx2 / $dx + $minx;
	$y2 = ($y+$delta) * $dy2 / $dy + $miny;

	$my_rect = ms_newRectObj();

	$my_rect->setextent($x1<$x2 ? $x1 : $x2,
						$y1<$y2 ? $y1 : $y2,
						$x1>$x2 ? $x1 : $x2,
						$y1>$y2 ? $y1 : $y2);
						
	$res = @$layer->queryByRect($my_rect);	
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$sql = "SELECT TOP 1 Id FROM ElencoEdifici where IdCommessa=$IdCommessa AND Tipo=1 AND Codice=".ntxs($shape->values[COD_STRADA]."");
			
			$IdEdificio = ntxScalar($sql);
			
			if ( is_numeric($IdEdificio) )
			{
				$sql = <<< sql
					SELECT     ElencoEdifici.ID IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa,   ElencoEdifici.CITTA, 
										  ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, AreaMQ, TipiLocalizzazione.descr Tipologia, Note
					FROM         ElencoEdifici INNER JOIN
										  TipiLocalizzazione ON ElencoEdifici.IdTipoLocalizzazione = TipiLocalizzazione.id
					where ElencoEdifici.IdCommessa=$IdCommessa AND ElencoEdifici.ID=$IdEdificio
sql;

				$query = ntxQuery($sql);
				
				$rs = ntxRecord($query);
				
				foreach($rs as $key=>$value)
					$rs[AreaMQ]=ntxRoundThousand($rs[AreaMQ],2);

				$rs[$key]=htmlentities($value);
					
				$html = <<< html
						<table class=grid style="width:300px">
							<caption>dati strada selezionata</caption>
							<tr><th>Id Manpro<td>$rs[IdEdificio]
							<tr><th>Codice<td>$rs[Codice]
							<tr><th>Nome<td>$rs[EdificioBreve]
							<tr><th>Descrizione estesa<td>$rs[EdificioEstesa]
							<tr><th>Comune<td>$rs[CITTA]
							<tr><th>Prov<td>$rs[PROVINCIA]
							<tr><th>Cap<td>$rs[CAP]
							<tr><th>mq<td>$rs[AreaMQ]
							<tr><th>Tipologia<td>$rs[Tipologia]
							<tr><th>Note<td>$rs[Note]
						</table>
html;

				$result[html] = $html;
				$result[IdStrada] = $IdEdificio;
				break;
			}
		}
		
		$layer->close();
	}
}

jhp($result);

?>
