<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
	
$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT TOP 1    Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (CopertureMappe.Nome = 'Civici')
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_POINT);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x = $_POST[map_x];
	$y = $_POST[map_y];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y = $dy - $y;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$delta = 8;
	
	$x1 = ($x-$delta) * $dx2 / $dx + $minx;
	$y1 = ($y-$delta) * $dy2 / $dy + $miny;
	
	$x2 = ($x+$delta) * $dx2 / $dx + $minx;
	$y2 = ($y+$delta) * $dy2 / $dy + $miny;

	$my_rect = ms_newRectObj();

	$my_rect->setextent($x1<$x2 ? $x1 : $x2,
						$y1<$y2 ? $y1 : $y2,
						$x1>$x2 ? $x1 : $x2,
						$y1>$y2 ? $y1 : $y2);
						
	$res = @$layer->queryByRect($my_rect);	
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$result[civico] = $shape->values[NUM_CIV]."";
			$result[subcivico] = $shape->values[SUB_CIV]."";
			$result[indirizzo] = $shape->values[ST_NOME]."";
			
			$line = $shape->line(0);
			
			$point = $line->point(0);
			
			$result[xy] = "$point->x:$point->y";

			$projOutObj = ms_newprojectionobj("proj=latlong,datum=WGS84");
			$projInObj = ms_newprojectionobj("proj=tmerc,units=m,".
											  "ellps=intl,".
											  "lat_0=-0.000115,". // originale 0.0
											  "lon_0=8.999023,". // originale 9.0-0.000977
											  "k=0.9996,".
											  "x_0=500000.0,".
											  "y_0=-4000000.0");

			$poPoint = ms_newpointobj();
			$poPoint->setXY((float)$point->x, (float)$point->y);
			$poPoint->project($projInObj, $projOutObj);

			$lat = $poPoint->y;
			$lon = $poPoint->x;

			$result[latlon] = "$lat:$lon";
			
			break;
		}
		
		$layer->close();
	}
}

if ( isset($result) )
	jhp($result);
else
	jhp_error("Devi selezionare un civico!");
?>
