<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdStrada = ntxip('IdStrada');
$IdMappa = ntxip('IdMappa');

$sql = <<< sql
	SELECT TOP 1 Codice
	FROM         ElencoEdifici
	WHERE     (IdCommessa = $IdCommessa) AND (ID = $IdStrada) AND (Tipo = 1) 
sql;

$Codice = ntxScalar($sql);

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (Mappe.IdMappa = $IdMappa) AND (CopertureMappe.Tipo = 0)
			AND (CopertureMappe.Nome = 'Strade')
sql;

$query = ntxQuery($sql);

$result = array();

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("template", "none");
	
	$layer->set("data", $data);

	$res = @$layer->queryByRect($layer->getExtent());

	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);

			if ( $shape->values[COD_STRADA] == $Codice )
			{
				$rect = $shape->bounds;
				
				$dx = abs($rect->maxx - $rect->minx)*0.1;
				$dy = abs($rect->maxy - $rect->miny)*0.1;
				
				$rect->minx -= $dx;
				$rect->miny -= $dy;
				$rect->maxx += $dx;
				$rect->maxy += $dy;

				$extent = $rect->minx." ".$rect->miny." "
					.$rect->maxx." ".$rect->maxy;

				$result[extent] = $extent;				

				jhp($result);
			}
		}
		
		$layer->close();
	}
}

jhp_error("Nessuna coincidenza trovata!");

?>
