<?php


		  
require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');
	
$IdCommessa = ntxip('IdCommessa');
$IdMappa = ntxip('IdMappa');

$zoom_radius = ntxip('zoom_radius');

$visi = explode(",", $_POST[visi]);

require_once("crea_mapfile.inc");

$map = ms_newMapObj($mapfile);

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[doAction]!='fit');

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura, 
				CopertureMappe.QuerySelect,
				CopertureMappe.ShapeDaDatabase, 
				CopertureMappe.QueryRecuperoShapeDaDistinctare, 
				CopertureMappe.DatiProiezioneShape, 
				  CopertureMappe.IdTipoComponente,
				  CopertureMappe.Tipo
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (Mappe.IdMappa = $IdMappa) AND (CopertureMappe.Tipo=0 OR CopertureMappe.ShapeDaDatabase=1)
	ORDER BY CopertureMappe.Ordine
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{

	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	$proiezione = $rs[DatiProiezioneShape];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !$rs[ShapeDaDatabase]  &&  !is_file($data) ) continue;

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	if (strlen($proiezione)>0) $layer->setProjection($proiezione);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$MS_ON_OFF = MS_OFF;
	
	if ( isset($visi) )
	{
		if ( in_array($rs[IdCopertura], $visi) )
			$MS_ON_OFF = MS_ON;
	}
	elseif ( $rs[Visibile]==1 )
	{
		$MS_ON_OFF = MS_ON;
	}

	$layer->set("status", $MS_ON_OFF);

	if ( !$rs[ShapeDaDatabase] )
	{
		$layer->set("data", $data);
	}
	elseif ( $MS_ON_OFF==MS_ON )
	{
		$sql = $rs[QueryRecuperoShapeDaDistinctare];

		$sql = str_replace("{IdCommessa}", $IdCommessa, $sql);
		$sql = str_replace("{IdMappa}", $IdMappa, $sql);
		$sql = str_replace("{Tipo}", $rs[Geometria], $sql);
		$sql = str_replace("{IdTipoComponente}", $rs[IdTipoComponente], $sql);
		
		$query2 = ntxQuery($sql);
		
		if ( $rs[Geometria]==0 ) // punti
		{
			while ( $rs2 = ntxRecord($query2) )
			{
				$shape =  ms_newShapeObj(MS_SHAPE_POINT);
				$line =  ms_newLineObj();

				$line->addXY((float)$rs2[x], (float)$rs2[y]);

				$shape->add($line);
				
				if ( $rs[FileName]=="label" )
				{
					$shape->set("text", $rs2[CodiceAssComponente]);
				}
				
				$layer->addFeature($shape);
			}
		}
		else // linee ed aree
		{
			while ( $rs2 = ntxRecord($query2) ) 
			{
				$xy = explode(";", $rs2[CoordXY]."");

				$countXY = count($xy);

				$shape =  ms_newShapeObj(MS_SHAPE_POLYGON);
				$line =  ms_newLineObj();

				for ( $i=0,$j=1; $j<$countXY; $i+=2,$j+=2 )
				{
					$line->addXY((float)$xy[$i], (float)$xy[$j]);
				}

				if ( $rs[Geometria]==2 )
					$line->addXY((float)($xy[0]), (float)($xy[1]));

				$shape->add($line);
				
				$layer->addFeature($shape);
			}
		}
	}
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			if ( !$rs[ShapeDaDatabase] || $rs[FileName]!="label" )
				$style->set("symbolname", $rs[Simbolo]);
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			
			$rosso = ($rs[ColoreArea] >> 16) & 0xff;
			$verde = ($rs[ColoreArea] >> 8) & 0xff;
			$blu = ($rs[ColoreArea]) & 0xff;

			$style->color->setRGB($rosso, $verde, $blu);
			break;
	}

	if ( strlen($rs[QuerySelect])>0 )
	{
		$layer->setFilter("($rs[QuerySelect])");
	}
	
	if ( $rs[ShapeDaDatabase]  &&  $rs[FileName]=="label" )
	{
		//$layer->set("labelitem", "text");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_LC);
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(0, 0, 55);
	}

	if ( $rs[Nome]=="Strade"  &&  in_array("LabelStrade", $visi) )
	{
		$layer->set("labelitem", "NOME_STR");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(0, 0, 255);
	}

	if ( $rs[Nome]=="Civici"  &&  in_array("LabelCivici", $visi) )
	{
		$layer->set("labelitem", "NUM_CIV");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->color->setRGB(255, 0, 0);
	}

	if ( !$isExtent  &&  !$rs[ShapeDaDatabase] ) 
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($extent->minx) )
		{
			if ( is_numeric($minx) )
			{
				if ( $extent->minx < $minx ) $minx = $extent->minx;
				if ( $extent->miny < $miny ) $miny = $extent->miny;
				
				if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
				if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
			}
			else
			{
				$minx = $extent->minx;
				$miny = $extent->miny;
				
				$maxx = $extent->maxx;
				$maxy = $extent->maxy;
			}
		}
	}
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;
	
	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[doAction] )
{
	case 'pan': 
		$zoom_factor = 1;
		break;
	case 'zoom': 
		$zoom_factor = $_POST[map_scale];
		break;
		break;
}

switch ( $_POST[doAction] )
{
	case 'pan': 
	case 'zoom': 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case 'zoom_radius': 
		$zoom_rect = ms_newRectObj();
		
		$world_width = $map->extent->maxx - $map->extent->minx;
		
		$zoom_radius_pixel = $zoom_radius * $map->width / $world_width;
		
		$zoom_rect->setextent(	$_POST[map_x]-$zoom_radius_pixel, 	$_POST[map_y]-$zoom_radius_pixel,
								$_POST[map_x]+$zoom_radius_pixel,   $_POST[map_y]+$zoom_radius_pixel);
								
		$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
	case 'zoomarea': 
		$zoom_rect = ms_newRectObj();
		$zoom_rect->setextent($_POST[zoom_x1],$_POST[zoom_y1],$_POST[zoom_x2],$_POST[zoom_y2]);
		$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$image = $map->draw();

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
