function ResetCanvasSize()
{
	if ( gCanvasEngine )
		gCanvasEngine.ResetSize();
}

function MultiFindPalo(x1, y1, x2, y2)
{
	var dati_input = jhp_frm(form1);

	dati_input['x1'] = x1;
	dati_input['y1'] = y1;
	dati_input['x2'] = x2;
	dati_input['y2'] = y2;

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_box_pali.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		form1.ListaIdComponenti.value = result.value;
		
		CaricaMappa();
	}
}

function funcCallBackTouchEnd(e, obj)
{
	switch(obj.Command)
	{
		case "move_quadro":
			MoveQuadro(obj.p1.x2, obj.p1.y2);
			break;
		case "ins_palo":
			InsPalo(obj.p1.x2, obj.p1.y2);
			break;
		case "ins_quadro":
			InsQuadro(obj.p1.x2, obj.p1.y2);
			break;
		case "multi_find_palo":
			if ( obj.p1.x1 - obj.p1.x2!=0 && obj.p1.y1 - obj.p1.y2!=0 )
				MultiFindPalo(obj.p1.x1, obj.p1.y1, obj.p1.x2, obj.p1.y2);
			break;
		case "find_palo":
			FindPalo(obj.p1.x2, obj.p1.y2);
			break;
		case "find_quadro":
			FindQuadro(obj.p1.x2, obj.p1.y2);
			break;
		case "ins_albero":
			InsertAlbero(obj.p1.x2, obj.p1.y2);
			break;
		case "metro":
			if ( obj.Event == "GetSegment" )
				Metro(obj.p1.x1, obj.p1.y1, obj.p1.x2, obj.p1.y2);
			break;
		case "pan":
			if ( obj.Event == 1 )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				
				CaricaMappa("pan");
			}
			else if ( obj.Event == 2 )
			{
				CaricaMappa("fit");
			}
			
			break;
		case "zoom_out":
			if ( obj.Event == 1 )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				form1.map_scale.value = -2; 
			
				CaricaMappa("zoom");
			}
			else if ( obj.Event == 2 )
			{
				CaricaMappa("fit");
			}
			
			break;
		case "zoom_rect":
			if ( obj.Event=="ZoomRect1" )
			{
				if ( obj.p1.x1 - obj.p1.x2==0 && obj.p1.y1 - obj.p1.y2==0 )
				{
					form1.map_x.value = obj.p1.x1;
					form1.map_y.value = obj.p1.y1;
					form1.map_scale.value = 2; 
				
					CaricaMappa("zoom");
				}
				else
				{
					form1.zoom_x1.value = Math.min(obj.p1.x1, obj.p1.x2);
					form1.zoom_y1.value = Math.min(obj.p1.y1, obj.p1.y2);
					form1.zoom_x2.value = Math.max(obj.p1.x1, obj.p1.x2);
					form1.zoom_y2.value = Math.max(obj.p1.y1, obj.p1.y2);
			
					CaricaMappa("zoomarea");
				}
			}
			else if ( obj.Event == "ZoomRect2" )
			{
				form1.map_x.value = obj.p1.x2;
				form1.map_y.value = obj.p1.y2;
				form1.map_scale.value = -2; 
				
				CaricaMappa("zoom");
			}
			break;
	}
}

function InsertAlbero(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;
		
		form1.ins_albero_x.value = p.x1; // coordinate mondo nuovo albero
		form1.ins_albero_y.value = p.y1;
			
		var dati_input = jhp_frm(form1);

		dati_input['map_dx'] = gCanvasEngine.width;
		dati_input['map_dy'] = gCanvasEngine.height;
		
		var result2 = jhp("jhp/codice_area_ug.php", dati_input);

		if(result2.state)
		{
			alert(result2.message);
		}
		else
		{
			form1.CodiceAmbienti.value = result2.value;
			
			if ( result2.value+""=="" )
			{
				alert("Nessun area UG recuperata");
				return;
			}
			
			$('#MsgBoxText').html("Ambienti selezionati: "+result2.value+"<br>"+
				"Coordinate in pixel: "+p.x0+" "+p.y0+"<br>"+
				"Coordinate mondo: "+p.x1+" "+p.y1+"<br>"+
				"Coordinate latitudine/longitudine: "+p.y2+" "+p.x2+"<br>"+
				"Confermi che vuoi inserire un albero nel punto indicato?");
			
			ClosePanel1();
			
			$('#MsgBox').toggle(true);
		}
	}
}

function PixelToWorld(x, y)
{
	var extent = form1.extent.value.split(" ");

	var minx = parseFloat(extent[0]);
	var miny = parseFloat(extent[1]);
	var maxx = parseFloat(extent[2]);
	var maxy = parseFloat(extent[3]);

	var dx = parseFloat(gCanvasEngine.width);
	var dy = parseFloat(gCanvasEngine.height);

	y = dy - y;

	var dx2 = Math.abs(maxx - minx);
	var dy2 = Math.abs(maxy - miny);

	var x2 = x * dx2 / dx + minx;
	var y2 = y * dy2 / dy + miny;

	return {x: x2, y: y2};
}

function Metro(x1, y1, x2, y2)
{
	var p1 = PixelToWorld(parseFloat(x1), parseFloat(y1));
	var p2 = PixelToWorld(parseFloat(x2), parseFloat(y2));

	var dist = Math.sqrt(Math.pow(parseFloat(p2.x)-parseFloat(p1.x),2)+Math.pow(parseFloat(p2.y)-parseFloat(p1.y),2));
	
	$('#Misura').html('misura: '+dist.toFixed(2));
}

function FindPalo(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_palo.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();

		form1.CodiceAmbiente.value = "";
		form1.CodiceComponenti.value = result.value;

		EditComponente("");
	}
}

function InsQuadro(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;

		dati_input['x'] = p.x1;
		dati_input['y'] = p.y1;

		var result = jhp("jhp/insert_xy_quadro.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			CaricaMappa();
		}
	}
}

function MoveQuadro(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;

		var dati_input = {};

		dati_input['CodiceAmbiente'] = jei('CodiceAmbiente1').value;
		dati_input['x'] = p.x1;
		dati_input['y'] = p.y1;

		var result = jhp("jhp/update_xy_quadro.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			CaricaMappa();
		}
	}
}

function InsPalo(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/world_coord.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		var p = result.value;

		var dati_input = {};

		dati_input['CodiceComponente'] = jei('CodiceComponente1').value;
		dati_input['x'] = p.x1;
		dati_input['y'] = p.y1;

		var result = jhp("jhp/update_xy_palo.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			CaricaMappa();
		}
	}
}

function FindQuadro(x, y)
{
	form1.map_x.value = x;
	form1.map_y.value = y;
	
	var dati_input = jhp_frm(form1);

	dati_input['map_dx'] = gCanvasEngine.width;
	dati_input['map_dy'] = gCanvasEngine.height;

	var result = jhp("jhp/cerca_quadro.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		if ( result.value=="" )
			return;
			
		ClosePanel1();

		form1.CodiceAmbiente.value = result.value['CodiceAmbiente'];
		form1.CodiceComponenti.value = result.value['CodiceComponenti'];

		EditComponente("");
	}
}

function EditMultiComponenti()
{
	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/edit_multi_componenti.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#Edit').html(result.value);
		
		$('#EditContainer').toggle(true);
	}
}

function EditComponente(CodiceComponente)
{
	form1.CodiceComponente.value = CodiceComponente;

	var dati_input = jhp_frm(form1);
	
	var result = jhp("jhp/edit_componente.php", dati_input);

	if(result.state)
	{
		alert(result.message);
	}
	else
	{
		$('#Edit').html(result.value);
			
		$('#DataRimozione1').datepicker();	
		
		$('#EditContainer').toggle(true);
	}
}
