<?php



require('indent.inc');
require_once("{$indent}_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdCopertura = ntxip('IdCopertura');

if (!is_numeric($IdCopertura) )
	jhp_error("Per ottenere informazioni prima selezionare copertura da legend!");
	
$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT     Mappe.Path, CopertureMappe.Nome, CopertureMappe.FileName, 
				CopertureMappe.Geometria, CopertureMappe.Associazione, 
				CopertureMappe.Colore, CopertureMappe.Spessore, 
				CopertureMappe.Simbolo, CopertureMappe.Visibile, CopertureMappe.ColoreArea, 
				CopertureMappe.IdCopertura
	FROM         Mappe INNER JOIN
						  CopertureMappe ON Mappe.IdCommessa = CopertureMappe.IdCommessa AND Mappe.IdMappa = CopertureMappe.IdMappa
	WHERE     (Mappe.IdCommessa =  $IdCommessa) AND (CopertureMappe.IdCopertura = $IdCopertura) AND (CopertureMappe.Tipo = 0)
sql;

$query = ntxQuery($sql);

$result = "<table class=grid>";

$IdElementi = array();

while ( $rs = ntxRecord($query) )
{
	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$x1 = $_POST[zoom_x1];
	$x2 = $_POST[zoom_x2];
	$y1 = $_POST[zoom_y1];
	$y2 = $_POST[zoom_y2];
	
	$y1 = $dy - $y1;
	$y2 = $dy - $y2;
	
	$x1 = $x1 * $dx2 / $dx + $minx;
	$y1 = $y1 * $dy2 / $dy + $miny;
	
	$x2 = $x2 * $dx2 / $dx + $minx;
	$y2 = $y2 * $dy2 / $dy + $miny;

	$my_rect = ms_newRectObj();

	$my_rect->setextent($x1<$x2 ? $x1 : $x2,
						$y1<$y2 ? $y1 : $y2,
						$x1>$x2 ? $x1 : $x2,
						$y1>$y2 ? $y1 : $y2);
						
	$res = @$layer->queryByRect($my_rect);	
	
	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$values = $shape->values;
			
			if ( $values[TIPO_MANPR]=="verde" || $values[TIPO_MANPR]=="strada" || $values[TIPO_MANPR]=="edificio" )
			{
				$IndexShape = $resObj->shapeindex;
					
				$COD_MANPRO = $values[COD_MANPRO];
				$TIPO_MANPR = $values[TIPO_MANPR];
				
				if ( $TIPO_MANPR=='verde' )
					$tipoEd = 2;
				elseif  ( $TIPO_MANPR=='strada' )
					$tipoEd = 1;
				else
					$tipoEd = 0;
								
				if ( strlen($COD_MANPRO)>0 ) 
				{
					$COD_MANPRO_QRY = str_replace("'","''",$COD_MANPRO);
					
					$sql = <<< sql
						SELECT     ID AS Id, Codice, EdificioBreve AS Des1, Indirizzo, CITTA AS Comune, PROVINCIA AS Prov, CAP AS Cap, EdificioEstesa AS des2
						FROM         ElencoEdifici
						WHERE     (IdCommessa = $IdCommessa) AND (Codice = '$COD_MANPRO_QRY')
sql;

					$query2 = ntxQuery($sql);
					
					while ( $rs2 = ntxRecord($query2) )
					{
						$IdElementi[] = $rs2[Id];
						
						$result .= "<tr><th colspan=2>".htmlentities($TIPO_MANPR)."</td></tr>";
						
						foreach($rs2 as $key=>$value)
						{
							$result .= "<tr><th>".htmlentities($key)."</th><td>".htmlentities($value)."</td></tr>";
						}
					}
				}
			}
			else
			{
				foreach($values as $key=>$value)
				{
					$result .= "<tr><th>".htmlentities($key)."</th><td>".htmlentities($value)."</td></tr>";
				}
				
				$result .= "<tr><th colspan=2>---</th><tr>";
			}
		}
		
		$layer->close();
	}
}

$result .= "</table>";

$result2[html] = $result;
$result2[IdElementi] = $IdElementi;

jhp($result2);

?>
