<!DOCTYPE html>
<html>
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Mappa</title>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>

	
	<script type="text/javascript" src="../../_libs/number.js"></script>
	<script type="text/javascript" src="../../google_maps/js/decode.js"></script>	
	
	<style type="text/css">
	html { height: 100% }
	body 
	{ 
		width:100%; 
		height: 100%; 
		margin: 0px; 
		padding: 0px;

		font-size: 12px;
		font-family: verdana, arial, sans-serif;
	}
	
	#map 
	{ 
		width:100%; 
		height:100%; 
		margin:0px; 
		padding:0px; 
	}	
	
	iframe
	{
		width:98%; 
		height: 300px; 
		display: block; 
		border: none;
		overflow: auto; 
	}
	</style>		
	

	<script type="text/javascript"> 
	var map = null;
	var arrayLatLng = new Array();	
	
	
	var colors =
	{
		idx: -1,
		arrayColors: new Array("blue", "brown", "darkgreen","orange","paleblue","pink","purple","yellow"),
		arrayColorsHex: new Array("#00008B", "#8B4500", "#556B2F", "#FF8C00","#87CEFF","#EE82EE","#8B2252","#EEEE00")		
	}
	
	
	function createMap(lat, lng, arrayEdifici, arrayViews)
	{		
		if( !isNumber(lat) || !isNumber(lng) || lat=="" || lng =="" )
		{
			lat=44.4942191;
			lng=11.3464815;
		}
		
		var myLatlng = new google.maps.LatLng(lat, lng); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);
		
		loadLayoutEdifici(arrayEdifici); 
		
		loadMarkers(arrayViews);
		
		setMapsBounds();
	}		
		
		
	function loadMarkers(array) 
	{	
		var IdEdificioPrecedente = false;

		for(i in array)
		{
			var lat1 = ""+array[i]["Mon_Latitudine"];
			var lng1 = ""+array[i]["Mon_Longitudine"];
			
			var lat2 = ""+array[i]["Mon_Latitudine2"];
			var lng2 = ""+array[i]["Mon_Longitudine2"];			 
			
			var Geometria = ""+array[i]["Mon_Geometria"];	
			var Polilinea = ""+array[i]["Mon_Polilinea"];	

			
			//var NumOrdine = Math.round(""+array[i]["NumOrdine"]);				
			//var AnnoOrdine = Math.round(""+array[i]["AnnoOrdine"]);	


			var Mon_id = ""+array[i]["Mon_id"];	
			
			var IdEdificio = ""+array[i]["IdEdificio"];	
	
			var tooltip = '<iframe src="infotool.php?Mon_id='+Mon_id+'" frameborder="0"  > </iframe>';	

				
			if(IdEdificio != IdEdificioPrecedente)		
			{			
				if( colors.idx < colors.arrayColors.length-1 ) 
					++colors.idx;
				else
					colors.idx = 0;
			}
			
			IdEdificioPrecedente = IdEdificio;
			
			
			var currentColor = colors.arrayColors[colors.idx];
			
			var imgMarkerA = "../../google_maps/markes_words/"+colors.arrayColors[colors.idx]+"_MarkerA.png";
			var imgMarkerB = "../../google_maps/markes_words/"+colors.arrayColors[colors.idx]+"_MarkerB.png";
			var imgShadow = "../../google_maps/markes_words/shadow.png";
			
			var colorPol = ""+colors.arrayColorsHex[colors.idx];

 
			if( isNumber(lat1)  &&  isNumber(lng1) )
			{
				var myLatlng = new google.maps.LatLng(parseFloat(lat1), parseFloat(lng1)); 
				
				arrayLatLng.push(myLatlng);		
			
				var image = new google.maps.MarkerImage(imgMarkerA,
					new google.maps.Size(20.0, 34.0),
					new google.maps.Point(0, 0)
				);
				
				var shadow = new google.maps.MarkerImage(imgShadow,
					new google.maps.Size(38.0, 34.0),
					new google.maps.Point(0, 0)
				);
		
				var markerA = new google.maps.Marker(
				{
					icon: image,
					shadow: shadow,
					position: myLatlng,
					map: map,
					draggable: false,
					title: "Punto di Intervento A"
				});				

				attachMessage(markerA, tooltip);		

				markerA.setMap(map);	
			} 
			
			if( isNumber(lat2)  &&  isNumber(lng2) )
			{
				var myLatlng = new google.maps.LatLng(parseFloat(lat2), parseFloat(lng2)); 
				
				arrayLatLng.push(myLatlng);		
			
				var image = new google.maps.MarkerImage(imgMarkerB ,
					new google.maps.Size(20.0, 34.0),
					new google.maps.Point(0, 0)
				);
				
				var shadow = new google.maps.MarkerImage(imgShadow ,
					new google.maps.Size(38.0, 34.0),
					new google.maps.Point(0, 0)
				);
		
				var markerB = new google.maps.Marker(
				{
					icon: image,
					shadow: shadow,
					position: myLatlng,
					map: map,
					draggable: false,
					title: "Punto di Intervento B"
				});				

				attachMessage(markerB, tooltip);		

				markerB.setMap(map);	
			}

			if( Polilinea.length>0 )
			{
				var poly = null;
				var coordinates=[];
				
				var polylineOptions = {
					clickable: false,
					geodesic: true,
					strokeColor: colorPol,
					strokeOpacity: 0.8,
					strokeWeight: 5,
					zIndex: 1
				}		
				
				
				poly = new google.maps.Polyline(polylineOptions);
				
				var points = decodeLine( Polilinea.replace(/\\\\/g, "\\") );

				for(var i=0; i < points.length; i++) 
				{
					var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
					coordinates.push(latLng);
				}		
			
				var path = poly.getPath();
				
				for (var i in coordinates)
				{	
					arrayLatLng.push(coordinates[i]);	//per i bounds della mappa	
				
					path.push(coordinates[i]); 
				}	
				
				poly.setMap(map);	
			}
		}
	}
	
	
	function attachMessage(marker, tooltip) 
	{		
		var infowindow = new google.maps.InfoWindow(
		  { content: tooltip
		  });
		  	  
 		google.maps.event.addListener(marker, 'click', function() {
		infowindow.open(map,marker);
		}); 
	}		

	
	function createInfoWindow(poly,content) 
	{
		var infowindow = new google.maps.InfoWindow();
		
		google.maps.event.addListener(poly, 'click', function(event) {
			infowindow.content = content;
			infowindow.position = event.latLng;
			infowindow.open(map);
		});
	}	 
	
	
	function loadLayoutEdifici(array) 
	{	
		var rosso = "#FF0000"; 
		var verde = "#008000"; 
		var giallo = "#FFD700";	
	
	
		for(i in array)
		{
			var notDesignEdificio = true;	
		
			var IdEdificio = ""+array[i]["IdEdificio"];
			
			var Colore = ""+array[i]["Colore"];
			
			var Latitudine = ""+array[i]["Latitudine"];
			var Longitudine = ""+array[i]["Longitudine"];			 
			
			var Geometria = ""+array[i]["Geometria"];	
			var Polilinea = ""+array[i]["Polilinea"];	

			var colorPol = Colore;
			
			var EdificioBreve = ""+array[i]["EdificioBreve"].replace("'", "\'").replace('"', '\"');
			var data = ""+array[i]["DataInizioProgSTRING"].replace("'", "\'").replace('"', '\"');
			var StatoOrd = ""+array[i]["StatoOrd"].replace("'", "\'").replace('"', '\"');	
			
			
			var vediOrdiniProg = "<div style=\"padding:10px; vertical-align:middle; text-align:center;\"><button style=\"display:inline;\" onclick=\"parent.vediOrdiniProgrammati("+IdEdificio+");\">Vedi Ordini</button></div>"
				
			var info = "";
			if( Colore == rosso ) 
				info = "<div>La localizzazione '<strong>"+EdificioBreve+"</strong>' risulta di colore rosso poiche' l'ultima visita di monitoraggio in data <strong>"+data+"</strong> ha evidenziato dei punti di criticita'.</div>";
			else if (Colore == verde ) 
				info = "<div>La localizzazione '<strong>"+EdificioBreve+"</strong>' risulta di colore verde poiche' l'ultima visita di monitoraggio in data <strong>"+data+"</strong> non ha rilevato nessun punto critico.</div>";
			else
				info = "<div>Nella localizzazione '<strong>"+EdificioBreve+"</strong>' risulta una visita pianificata in data <strong>"+data+"</strong>  non ancora eseguita.</div>";			
		
			
			info += vediOrdiniProg;
			
			if( Polilinea.length>0  &&  isNumber(Geometria) )
			{
				var poly = null;
				var coordinates=[];
				
				var polylineOptions = {
					geodesic: true,
					strokeColor: Colore,
					strokeOpacity: 0.5,
					strokeWeight: 9,
					zIndex: 100
				}

				var polygonOptions = new google.maps.Polygon({
					strokeOpacity: 0.5,
					strokeWeight: 1,
					fillColor: Colore,
					strokeColor: Colore,
					zIndex: 100				
				})				
				
				
				if( parseInt(Geometria)==0 )
					poly = new google.maps.Polyline(polylineOptions);
				else
					poly = new google.maps.Polygon(polygonOptions);
				
				var points = decodeLine( Polilinea.replace(/\\\\/g, "\\") );

				for(var i=0; i < points.length; i++) 
				{
					var latLng = new google.maps.LatLng(points[i][0] , points[i][1]);
					coordinates.push(latLng);
				}		
			
				var path = poly.getPath();
				
				for (var i in coordinates)
				{	
					arrayLatLng.push(coordinates[i]);	//per i bounds della mappa	
				
					path.push(coordinates[i]); 
				}	
				
				poly.setMap(map);	
				
				createInfoWindow(poly,info);
				
				notDesignEdificio = false;
			}					
			
			
			if( notDesignEdificio  &&  isNumber(Latitudine)  &&  isNumber(Longitudine) )
			{
				var myLatlng = new google.maps.LatLng(parseFloat(Latitudine), parseFloat(Longitudine)); 
				
				arrayLatLng.push(myLatlng);		
				
				var colorMarker = "";
				if( Colore == rosso ) 
					colorMarker="red.png";
				else if (Colore == verde ) 
					colorMarker="green.png";
				else
					colorMarker="yellow.png";
				
			
				var image = new google.maps.MarkerImage("../../google_maps/markes/"+colorMarker);
				
				var shadow = new google.maps.MarkerImage("../../google_maps/markes/shadow.png");
		
				var markerA = new google.maps.Marker(
				{
					icon: image,
					shadow: shadow,
					position: myLatlng,
					map: map,
					draggable: false,
					title: ""+EdificioBreve
				});				

				markerA.setMap(map);	
				
				createInfoWindow(markerA,info);
			} 			
		}
	}	
	
	
	function setMapsBounds()
	{
		if(arrayLatLng.length!=0)
		{
			var bounds = new google.maps.LatLngBounds();

			for (i in arrayLatLng)
				bounds.extend(arrayLatLng[i]);
			
			map.fitBounds(bounds);
			
			map.setCenter(bounds.getCenter());		
		}	
	}
	
	</script> 
</head>
  
<body>

	<div style="position:absolute; top:0px; left:0px; z-index:200; height:50px; width:50px;"> </div>

	<div id="map"></div>	
	
</body>
	
</html>