drop FUNCTION MonitorDitteAffidatarioPerMese
go
CREATE FUNCTION MonitorDitteAffidatarioPerMese
(	
	@IdUtente int,
	@Mese int,
	@Anno int
)
RETURNS @result TABLE (IdDitta int, Giorno int, OrdiniFiniti int, OrdiniTotali int, PrgFiniti int, PrgTotali int)
AS
BEGIN
	declare @d1 datetime
	declare @d2 datetime
	declare @date table(giorno int, mese int, anno int, data datetime)
	declare @ditte table(IDDitta int)

	set @d1 = dbo.cdate('1/'+ltrim(@Mese)+'/'+ltrim(@Anno))
	set @d2 = dateadd(month, 1, @d1)

	while @d1<@d2
	begin
		insert into @date (giorno, mese, anno, data)
		select datepart(day, @d1), @Mese, @Anno, @d1

		set @d1 = dateadd(day, 1, @d1)
	end

	insert into @ditte (IDDitta)
	SELECT DISTINCT Ditte.IDDitta
	FROM         Ditte INNER JOIN
						  DitteAffidatari ON Ditte.IDDitta = DitteAffidatari.IdDitta INNER JOIN
						  tblPgRifAffidatari ON DitteAffidatari.IdAffidatario = tblPgRifAffidatari.IdAffidatario INNER JOIN
						  UtentiRifAffidatari ON tblPgRifAffidatari.IdRifAffidatario = UtentiRifAffidatari.IdRifAffidatario
	WHERE (UtentiRifAffidatari.IdUtente = @IdUtente)

	insert @result (IdDitta, Giorno, OrdiniFiniti, OrdiniTotali, PrgFiniti, PrgTotali)
	select IdDitta, Giorno,
		(SELECT     COUNT(*)
			FROM         Ordini
			WHERE     (Assegnazione = ditte.IdDitta) 
				AND (GradoUrgenza <> N'mp') 
				AND (GradoUrgenza <> N'mon') 
				AND (DAY(DataScadenza) = dat.giorno) 
				AND (month(DataScadenza) = dat.mese) 
				AND (YEAR(DataScadenza) = dat.anno)
				AND (StatoOrd>=50)) OrdiniFiniti,
				
		(SELECT     COUNT(*)
			FROM         Ordini
			WHERE     (Assegnazione = ditte.IdDitta) 
				AND (GradoUrgenza <> N'mp') 
				AND (GradoUrgenza <> N'mon') 
				AND (DAY(DataScadenza) = dat.giorno) 
				AND (month(DataScadenza) = dat.mese) 
				AND (YEAR(DataScadenza) = dat.anno)) OrdiniTotali,
				
		(SELECT     COUNT(*)
			FROM         Ordini
			WHERE     (Assegnazione = ditte.IdDitta) 
				AND (GradoUrgenza = N'mp') 
				AND (DAY(dataInizioProg) = dat.giorno) 
				AND (month(dataInizioProg) = dat.mese) 
				AND (YEAR(dataInizioProg) = dat.anno)
				AND (StatoOrd>=50)) PrgFiniti,
				
		(SELECT     COUNT(*)
			FROM         Ordini
			WHERE     (Assegnazione = ditte.IdDitta) 
				AND (GradoUrgenza = N'mp') 
				AND (DAY(dataInizioProg) = dat.giorno) 
				AND (month(dataInizioProg) = dat.mese) 
				AND (YEAR(dataInizioProg) = dat.anno)
				AND (dataFineProg >= dat.data)) PrgTotali
		
	from @ditte ditte, @date dat
	
	return 
END

