<?php


		  
require_once("../../../../_ntx/ntxconst.inc");

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdTipoMappa = 1; // mappa per monitoraggio verder

if ( $_POST[TipoSelezione]=='sel_ug' || $_POST[TipoSelezione]=='sel_alberi_pop' )
{
	$NumOrdine = ntxip('NumOrdine');
	$AnnoOrdine = ntxip('AnnoOrdine');

	$sql = <<< sql
		SELECT     CodEdificio
		FROM         Ordini
		WHERE (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) AND (Ordini.IDCommessa = $IdCommessa)
sql;

	$IdEdificio = ntxScalar($sql);
}

$CopertureVisibili = explode(",", $_POST[CopertureVisibili]);

$sql = <<< sql
	SELECT TOP 1    IdMappa
	FROM         MAP_Mappe
	WHERE     (IdCommessa = $IdCommessa) AND (IdTipoMappa = $IdTipoMappa)
	ORDER BY Versione DESC
sql;

$IdMappa = ntxScalar($sql);

$sql = <<< sql
	SELECT     IdCopertura, Nome, Visibile, Simbolo
	FROM         MAP_Coperture
	WHERE     (IdMappa = $IdMappa)
	ORDER BY Ordine, Nome
sql;

$query = ntxQuery($sql);

$SelectedCodiceComponenti = explode(",", $_POST[SelectedCodiceComponenti]);

$zoom_radius = 10;

require_once("crea_mapfile.inc");

$map = ms_newMapObj($mapfile);

$map->setSize($_POST[dx], $_POST[dy]); // dimesione immagine generata in pixel

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!="");

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
	SELECT     MAP_Mappe.Path, MAP_Coperture.Nome, MAP_Coperture.FileName, 
				MAP_Coperture.Geometria, MAP_Coperture.Associazione, 
				MAP_Coperture.Colore, MAP_Coperture.Spessore, 
				MAP_Coperture.Simbolo, MAP_Coperture.Visibile, MAP_Coperture.ColoreArea, 
				MAP_Coperture.IdCopertura, 
				MAP_Coperture.ShapesInDatabase, 
				MAP_Coperture.QueryRaster, 
				MAP_Coperture.Proiezione, 
				  MAP_Coperture.IdTipoComponente,
				  MAP_Coperture.IdMappaPiano
	FROM         MAP_Mappe INNER JOIN
						  MAP_Coperture ON MAP_Mappe.IdMappa = MAP_Coperture.IdMappa
	WHERE      (MAP_Mappe.IdMappa = $IdMappa) 
	ORDER BY MAP_Coperture.Ordine
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{

	$dirFile = $rs[Path];
	$nomeFile = $rs[FileName];
	$proiezione = $rs[Proiezione];
	
	$data = "{$dirFile}\\{$nomeFile}.shp";

	if ( !$rs[ShapesInDatabase]  &&  !is_file($data) ) continue;

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	$layer->setProjection($proiezione);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$MS_ON_OFF = MS_OFF;
	
	if ( isset($CopertureVisibili) )
	{
		if ( in_array($rs[IdCopertura], $CopertureVisibili) )
			$MS_ON_OFF = MS_ON;
	}
	elseif ( $rs[Visibile]==1 )
	{
		$MS_ON_OFF = MS_ON;
	}

	$layer->set("status", $MS_ON_OFF);

	if ( !$rs[ShapesInDatabase] )
	{
		$layer->set("data", $data);
	}
	elseif ( $MS_ON_OFF==MS_ON )
	{
		$sql = $rs[QueryRaster];

		$sql = str_replace("{IdCommessa}", $IdCommessa, $sql);
		$sql = str_replace("{Tipo}", $rs[Geometria], $sql);
		$sql = str_replace("{IdTipoComponente}", $rs[IdTipoComponente], $sql);
		$sql = str_replace("{IdMappa}", $rs[IdMappaPiano], $sql);
				
		if ( is_numeric($IdEdificio) )
		{
			$sql .= "AND PianoLivello.IdEdificio=$IdEdificio";
		}

		if ( $rs[FileName]=="highlight" )
		{ 
			if ( strlen($_POST[SelectedCodiceComponenti])==0 )
			{
				$sql .= " AND 1=0";
			}
			else
			{
				$whereComp = "";
					
				foreach($SelectedCodiceComponenti as $cod)
				{
					if ( strlen($cod)==0 ) continue;
	
					if ( strlen($whereComp)>0 ) $whereComp .= " OR ";
					
					$whereComp .= " ComponentiAmbiente.CodiceComponente='$cod'";
				}
				
				$sql = "$sql AND ($whereComp)";
			}
		}
		
		$query2 = ntxQuery($sql);
		
		if ( $rs[Geometria]==0 ) // punti
		{ 
			while ( $rs2 = ntxRecord($query2) )
			{
				$shape =  ms_newShapeObj(MS_SHAPE_POINT);
				$line =  ms_newLineObj();

				$line->addXY((float)$rs2[x], (float)$rs2[y]);

				$shape->add($line);
				
				if ( $rs[FileName]=="label" )
				{
					$xxxx = in_array($rs2[CodiceComponente], $SelectedCodiceComponenti) ? " X - " : "";
					$shape->set("text", $xxxx.$rs2[CodiceAssComponente]);
				}
				
				$layer->addFeature($shape);
			}
		}
		else // linee ed aree
		{
			while ( $rs2 = ntxRecord($query2) ) 
			{
				$xy = explode(";", $rs2[CoordXY]."");

				$countXY = count($xy);

				$shape =  ms_newShapeObj(MS_SHAPE_POLYGON);
				$line =  ms_newLineObj();

				for ( $i=0,$j=1; $j<$countXY; $i+=2,$j+=2 )
				{
					$line->addXY((float)$xy[$i], (float)$xy[$j]);
				}

				if ( $rs[Geometria]==2 )
					$line->addXY((float)($xy[0]), (float)($xy[1]));

				$shape->add($line);
				
				$layer->addFeature($shape);
			}
		}
	}
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			if ( !$rs[ShapesInDatabase] || ($rs[FileName]!="label"  &&  $rs[FileName]!="highlight") )
			{
				$style->set("symbolname", $rs[Simbolo]);
			}
			elseif ( $rs[FileName]=="highlight" )
			{
				$style->set("symbolname", "circle");
				
				$rosso = ($rs[Colore] >> 16) & 0xff;
				$verde = ($rs[Colore] >> 8) & 0xff;
				$blu = ($rs[Colore]) & 0xff;

				$style->outlinecolor->setRGB($rosso, $verde, $blu);
				
				$rosso = ($rs[ColoreArea] >> 16) & 0xff;
				$verde = ($rs[ColoreArea] >> 8) & 0xff;
				$blu = ($rs[ColoreArea]) & 0xff;

				$style->color->setRGB($rosso, $verde, $blu);
			}
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			
			$rosso = ($rs[ColoreArea] >> 16) & 0xff;
			$verde = ($rs[ColoreArea] >> 8) & 0xff;
			$blu = ($rs[ColoreArea]) & 0xff;

			$style->color->setRGB($rosso, $verde, $blu);
			break;
	}
	
	if ( $rs[ShapesInDatabase]  &&  $rs[FileName]=="label" )
	{
		//$layer->set("labelitem", "text");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_LC);
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(0, 0, 55);
	}

	if ( $rs[Nome]=="Strade"  &&  in_array("LabelStrade", $CopertureVisibili) )
	{
		$layer->set("labelitem", "NOME_STR");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->set("angle", MS_AUTO);
		$label->color->setRGB(0, 0, 255);
	}

	if ( $rs[Nome]=="Civici"  &&  in_array("LabelCivici", $CopertureVisibili) )
	{
		$layer->set("labelitem", "NUM_CIV");
		$layer->set("labelcache", MS_ON);
		
		$label = $class->label;

		$label->set("position", MS_UC);
		$label->color->setRGB(255, 0, 0);
	}

	if ( !$isExtent  &&  !$rs[ShapesInDatabase] ) 
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($extent->minx) )
		{
			if ( is_numeric($minx) )
			{
				if ( $extent->minx < $minx ) $minx = $extent->minx;
				if ( $extent->miny < $miny ) $miny = $extent->miny;
				
				if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
				if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
			}
			else
			{
				$minx = $extent->minx;
				$miny = $extent->miny;
				
				$maxx = $extent->maxx;
				$maxy = $extent->maxy;
			}
		}
	}
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;
	
	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

switch ( $_POST[doAction] )
{
	case 'pan': 
		$zoom_factor = 1;
		break;
	case 'zoom+': 
		$zoom_factor = 2;
		break;
	case 'zoom-': 
		$zoom_factor = -2;
		break;
}

switch ( $_POST[doAction] )
{
	case 'pan': 
	case 'zoom+': 
	case 'zoom-': 
		$my_point = ms_newpointObj();
		$my_point->setXY($_POST[map_x],$_POST[map_y]);
		
		$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
		break;
	case 'zoomarea': 
		$zoom_rect = ms_newRectObj();
		
		$zoom_x1 = (int)$_POST[zoom_x1];
		$zoom_y1 = (int)$_POST[zoom_y1];
		$zoom_x2 = (int)$_POST[zoom_x2];
		$zoom_y2 = (int)$_POST[zoom_y2];
		
		if ( $zoom_x1 > $zoom_x2 )
		{
			$zoom_switch = $zoom_x1;
			$zoom_x1 = $zoom_x2;
			$zoom_x2 = $zoom_switch;
		}
		
		if ( $zoom_y1 < $zoom_y2 )
		{
			$zoom_switch = $zoom_y1;
			$zoom_y1 = $zoom_y2;
			$zoom_y2 = $zoom_switch;
		}
		
		$zoom_rect->setextent($zoom_x1, $zoom_y1, $zoom_x2, $zoom_y2);
		
		if ( $zoom_x1!=$zoom_x2  &&  $zoom_y1!=$zoom_y2 )
			$map->zoomrectangle($zoom_rect, $map->width, $map->height, $map->extent);
		break;
}

$image = $map->draw();

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;	

jhp($result);

?>
