<?php

if ( !isset($_SESSION) ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

if ( !is_numeric($IdEdificio) ) jhp_error("Selezionare localizzazione!");

$Utente = ntxsse('Utente');

$sql = "SELECT IdDitta FROM Utenti WHERE Nome=$Utente";

$IdFornitore = ntxScalar($sql);

if ( !is_numeric($IdFornitore) ) jhp_error("L'utente loggato non e' associato ad un fornitore!");

$sql = "SELECT Tipo FROM ElencoEdifici WHERE IdCommessa=$IdCommessa AND ID=$IdEdificio";

$Tipo = ntxScalar($sql);

if ( $Tipo!=2 ) jhp_error("La localizzazione selezionata non e' classificata come verde!");

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         tblAttivitàMestiere 
	WHERE     (MonitorTipoLocaliz = 2) AND (IdCommessa = $IdCommessa)
sql;

$count = ntxScalar($sql);

if ( $count==0 ) 
	jhp_error("Nessuna attivita' mestiere e' stata classificata come monitoraggio verde!");
elseif ( $count>1 ) 
	jhp_error("Piu' attivita' mestiere sono state classificate come monitoraggio verde!");

$sql = <<< sql
	SELECT     tblComponetiMestiere.IdMestiere, tblAttivitàMestiere.IdComponenteMestiere, tblAttivitàMestiere.IdAttivitàMestiere
	FROM         tblAttivitàMestiere INNER JOIN
						  tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
						  tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (tblAttivitàMestiere.MonitorTipoLocaliz = 2) AND (tblAttivitàMestiere.IdCommessa = $IdCommessa)
sql;

$rs = ntxIRecord(ntxQuery($sql));

$IdMestiere = $rs[0];
$IdComponenteMestiere = $rs[1];
$IdAttivitàMestiere = $rs[2];

$sql = <<< sql
	SELECT  DISTINCT   tblPgContrattiAffidatari.IdAffidatario
	FROM         tblPgContrattiAffidatariAttivitàEdifici INNER JOIN
						  tblPgContrattiAffidatari ON tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	WHERE     (tblPgContrattiAffidatariAttivitàEdifici.IdCommessa = $IdCommessa) 
	AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = $IdEdificio) 
	AND (tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = $IdAttivitàMestiere) 
	AND (tblPgContrattiAffidatari.DataInizio <= getdate()) 
	AND (tblPgContrattiAffidatari.DataFine >= getdate())
sql;
					  
$IdAffidatario = ntxScalar($sql);

if ( !is_numeric($IdAffidatario) ) jhp_error("Nessun affidatario ha contratti di monitoraggio verde su localizzazione selezionata in data attuale!");

$Now = getdate();

$AnnoOrdine = $Now[year];

$sql = "SELECT MAX(NumOrdine) FROM Ordini WHERE IdCommessa=$IdCommessa AND AnnoOrdine=$AnnoOrdine";

$sql = "SELECT ISNULL(($sql), 0)+1";

$NumOrdine = ntxScalar($sql);

$table = new NtxTable('Ordini');

$insert = $table->insert();

$insert->init();

$insert->setse('IdCommessa');
$insert->set('ModalitàAgg', $_SESSION[Utente]);

$insert->set('GradoUrgenza', 'MON');
$insert->set('Contabiliz', 'Canone');
$insert->set('ContabilizF', 'Canone');
$insert->set('TipoEdificio', 2);
$insert->set('DittaManuale', 1);

if ( strlen("$_POST[DataFine]")==0 )
	$insert->set('StatoOrd', 40);
else
	$insert->set('StatoOrd', 50);
	
$insert->set('DataOrdine', 'getdate()', true);
$insert->set('DataModifica', 'getdate()', true);

$insert->set('CodEdificio', $IdEdificio);
$insert->set('DataInizio', "$_POST[DataInizio] $_POST[OraInizio]");
$insert->set('DataInizioProg', "$_POST[DataInizio] $_POST[OraInizio]");
$insert->set('DataFine', "$_POST[DataFine] $_POST[OraFine]");
$insert->set('DataFineProg', "$_POST[DataFine] $_POST[OraFine]");
$insert->set('DataScadenza', "$_POST[DataFine] $_POST[OraFine]");
$insert->setp('DescrizioneIntervento');

$insert->set('NumOrdine', $NumOrdine);
$insert->set('AnnoOrdine', $AnnoOrdine);

$insert->setp('Assegnazione', $IdFornitore);

$insert->set('IdMestiere', $IdMestiere);
$insert->set('IdComponenteMestiere', $IdComponenteMestiere);
$insert->set('IdAttivitàMestiere', $IdAttivitàMestiere);

$insert->set('IdAffidatario', $IdAffidatario);

$insert->execute();

require("carica.inc");

?>
