$(function(){
	$(window).resize(function(){
		codice.Resize();
	});

	codice.engine = new CanvasEngine('CanvasMappa', funcCallBackMap);
	codice.Image = new Image;
	codice.Resize();
});

function funcCallBackMap(e, obj)
{
	codice.map_x = obj.x1;
	codice.map_y = obj.y1;
	
	codice.zoom_x1 = obj.x1;
	codice.zoom_y1 = obj.y1;
	codice.zoom_x2 = obj.x2;
	codice.zoom_y2 = obj.y2;
	
	switch(codice.doAction)
	{
		case 'pan':
			break;
		case 'zoom+':
			break;
		case 'zoom-':
			break;
		case 'sel_area':
			codice.SelAreaVerde(obj.x1, obj.y1);
			break;
		case 'sel_ug':
			codice.SelUG(obj.x1, obj.y1);
			break;
		case 'sel_albero':
			codice.SelAlberiPunto(obj.x1, obj.y1);
			break;
		case 'multisel_alberi':
			codice.SelAlberiBox(obj.x1, obj.y1, obj.x2, obj.y2);
			break;
		case 'sel_popolamento':
			codice.SelPopolamentoPunto(obj.x1, obj.y1);
			break;
	}
	
	codice.Carica();
}

var codice = {
	jhpRoot: "jhp/mappa-aree-verdi-canvas/",
	doAction: "",
	dx: "",
	dy: "",
	extent: "",
	engine: null,
	max_x: "",
	max_y: "",
	zoom_x1: "",
	zoom_y1: "",
	zoom_x2: "",
	zoom_y2: "",
	
	SelPopolamentoPunto:  function(x, y)
	{
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			map_x: x,
			map_y: y,
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione,
			NumOrdine: parent.objMonAlberi.NumOrdine,
			AnnoOrdine: parent.objMonAlberi.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"cerca_popolamento_per_punto.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			parent.frameSelezioniMappa.codice.SelAlberiPopolamenti(result.value);
		}		
	},

	SelAlberiBox:  function(x1, y1, x2, y2)
	{
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			x1: x1,
			y1: y1,
			x2: x2,
			y2: y2,
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione,
			NumOrdine: parent.objMonAlberi.NumOrdine,
			AnnoOrdine: parent.objMonAlberi.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"cerca_albero_per_box.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			parent.frameSelezioniMappa.codice.SelAlberiPopolamenti(result.value);
		}		
	},
	
	SelAlberiPunto:  function(x, y)
	{
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			map_x: x,
			map_y: y,
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione,
			NumOrdine: parent.objMonAlberi.NumOrdine,
			AnnoOrdine: parent.objMonAlberi.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"cerca_albero_per_punto.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			parent.frameSelezioniMappa.codice.SelAlberiPopolamenti(result.value);
		}		
	},
	
	SelUG:  function(x, y)
	{
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			map_x: x,
			map_y: y,
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione,
			NumOrdine: parent.objMonUnitaGestionali.NumOrdine,
			AnnoOrdine: parent.objMonUnitaGestionali.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"cerca_ug_per_punto_in_poligono.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			parent.frameSelezioniMappa.codice.SelUG(result.value);
		}		
	},
	
	SelAreaVerde: function(x, y)
	{
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			map_x: x,
			map_y: y,
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione
		};

		var result = jhp(this.jhpRoot+"cerca_area_verde_per_punto_in_poligono.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			parent.frameSelezioniMappa.codice.SelArea(result.value);
		}		
	},
	
	Resize: function()
	{
		var canvas = $('#CanvasMappa');
		var canvas0 = canvas[0];
		
		var offset = canvas.offset();

		this.dx = canvas.width();
		this.dy = canvas.height();
		
		canvas0.width = this.dx;
		canvas0.height = this.dy;
		
		this.engine.Redraw("", this.dx, this.dy);
	},
	
	Fit: function()
	{
		var doAction = this.doAction;
		this.doAction = "fit";
		this.extent = "";
		this.Carica();
		this.doAction = doAction;
	},
	
	Refresh: function()
	{
		var doAction = this.doAction;
		this.doAction = "";
		this.Carica();
		this.doAction = doAction;
	},
	
	Carica: function()
	{
		this.Resize();
		
		var dati_input = {
			doAction: this.doAction,
			dx: this.dx,
			dy: this.dy,
			extent: this.extent,
			CopertureVisibili: parent.frameLegendMappa.ElementiSelezionati(),
			map_x: this.map_x,
			map_y: this.map_y,
			
			zoom_x1: this.zoom_x1,
			zoom_y1: this.zoom_y1,
			zoom_x2: this.zoom_x2,
			zoom_y2: this.zoom_y2,
			
			TipoSelezione: parent.objMappaAreeVerdi.TipoSelezione,
			NumOrdine: parent.objMappaAreeVerdi.TipoSelezione=="sel_ug" ? parent.objMonUnitaGestionali.NumOrdine : parent.objMonAlberi.NumOrdine,
			AnnoOrdine: parent.objMappaAreeVerdi.TipoSelezione=="sel_ug" ? parent.objMonUnitaGestionali.AnnoOrdine : parent.objMonAlberi.AnnoOrdine
		};

		var result = jhp(this.jhpRoot+"carica_mappa.php", dati_input);

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			var record = result.value;

			this.extent = record['extent'];
			
			this.engine.Image.src = record['FileName'];
		}
	},
	
	SettaColorePuntatore: function(value)
	{
		this.ColorePuntatore = value;
	}
};