<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

$dataOrdierna = ntxtp('dataOrdierna');

if ( $dataOrdierna=="NULL" ) 
{
	$sql = "SELECT getdate()";
	$date = ntxDate(ntxScalar($sql));
	$dataOrdierna = "dbo.cdate('$date')";
}

$addWhere = "";

if ( is_numeric($_POST[NumOrdine])  &&  is_numeric($_POST[AnnoOrdine]) ) 
{
	$addWhere .= " AND Ordini.NumOrdine=".(int)$_POST[NumOrdine];
	$addWhere .= " AND Ordini.AnnoOrdine=".(int)$_POST[AnnoOrdine];
}
else
{
	if ( is_numeric($_POST[Piano]) ) 
		$addWhere .= " AND PianoLivello.idPiano=".(int)$_POST[Piano];

	if ( strlen("$_POST[CodiceStanza]")>0 ) 
		$addWhere .= " AND Ambiente.CodiceAssAmbiente=".ntxsp('CodiceStanza');
}

$sql = <<< sql
	SELECT     DestinazioniDusoLivello.Destinazione AS Piano, Ambiente.CodiceAssAmbiente AS Camera, DestinazioniDuso.Destinazione AS Tipo, 
						  StatiOrdini.IDStato, StatiOrdini.DesStato, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DescrizioneIntervento, tblOrdiniPrgComp.Anomalia,
		(
			SELECT     count(*)
			FROM         StatoVociListeControlloPRD
			WHERE     (IdCommessa = tblOrdiniPrgComp.IdCommessa) AND (IdOrdPrgComp = tblOrdiniPrgComp.IdOrdPrgComp) AND (NonConformità = 1)
		) countCheckNonConformi,
		(
			SELECT     count(*)
			FROM         StatoVociListeControlloPRD
			WHERE     (IdCommessa = tblOrdiniPrgComp.IdCommessa) AND (IdOrdPrgComp = tblOrdiniPrgComp.IdOrdPrgComp) 
		) countCheckTotali
		
		
	FROM         DestinazioniDusoLivello INNER JOIN
                      Ambiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      Ordini INNER JOIN
                      tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
                      Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON Ambiente.IdCommessa = Ordini.IDCommessa AND Ambiente.IdEdificio = Ordini.CodEdificio AND 
                      Ambiente.IDAmbiente = Ordini.IdAmbiente INNER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND 
                      DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso INNER JOIN
                      tblOrdiniPrgComp ON Ordini.IDCommessa = tblOrdiniPrgComp.IdCommessa AND Ordini.NumOrdine = tblOrdiniPrgComp.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniPrgComp.AnnoOrdine
  WHERE     (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.CodEdificio = $IdEdificio) 
		AND (Ordini.DataInizioProg = $dataOrdierna) 
		AND (tblAttivitàMestiere.VerificaPulizieHotel = 1)
		$addWhere
sql;

$paginazione = ntxPaginazione($sql, "Piano, Camera, Tipo");

$query = $paginazione->query;

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Piano
			<th>Vano
			<th>Tipo
			<th>Stato
			<th>Anomalia
			<th>Note
			<th>Ordine
			<th>Check-List<br>non in conformità
			<th>% Check-List<br>non in conformità
		</tr>
table;

$countOrdini = 0;
$countOrdiniKO = 0;

while( $query  &&  $rs = ntxRecord($query) )
{
	$countOrdini++;
	
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	
	if ( $rs[IDStato]<50 ) 
		$style = "style='background-color:#FFBBBB;text-align:center'";
	else
		$style = "style='background-color:#BBFFBB;text-align:center'";

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$Anomalia = $rs[Anomalia] ? "Si" : "no";
	
	if ( $rs[Anomalia] ) 
		$styleAnomalia = "style='background-color:#FFAAFF;text-align:center'";
	else
		$styleAnomalia = "style='background-color:white;text-align:center'";
	
	$countCheckNonConformi = $rs[countCheckNonConformi]*0.1;
	$countCheckTotali = $rs[countCheckTotali]*0.1;
	
	$perc = "";
	$styleCheckNonConformi = "style='background-color:#AAFFAA;text-align:center'";
	
	if ( $countCheckTotali>0 )
	{
		if ( $countCheckNonConformi/$countCheckTotali>0.2 ) 
		{
			$styleCheckNonConformi = "style='background-color:#FFBBBB;text-align:center'";
			$countOrdiniKO++;
		}
	
		$perc = ntxRound($countCheckNonConformi/$countCheckTotali*100,2);
	}
	
	$countCheckNonConformi = $rs[countCheckNonConformi];
	$countCheckTotali = $rs[countCheckTotali];
	
	$table .= <<< table
		<tr $classTr>
			<td><input type=button value="sel" onclick="DettaglioOrdine($html[NumOrdine], $html[AnnoOrdine])" />
			<td>$html[Piano]
			<td>$html[Camera]
			<td>$html[Tipo]
			<td $style>$html[DesStato]
			<td $styleAnomalia>$Anomalia
			<td>$html[DescrizioneIntervento]
			<td>$html[NumOrdine]/$html[AnnoOrdine]
			<td $styleCheckNonConformi>$countCheckNonConformi/$countCheckTotali
			<td $styleCheckNonConformi>$perc %
		</tr>
table;

	$alternate = !$alternate;
}

$perc = "";
$styleOrdini = "style='background-color:#AAFFAA;text-align:left;font-weight:bold;font-size:12pt'";

if ( $countOrdini>0 )
{
	if ( $countOrdiniKO/$countOrdini>0.2 ) 
		$styleOrdini = "style='background-color:#FFBBBB;text-align:left;font-weight:bold;font-size:12pt'";

	$perc = ntxRound($countOrdiniKO/$countOrdini*100,2);
}
	

	
	$table .= <<< table
		</table>
		<br>
		<p $styleOrdini>Totale Ordini NC: $countOrdiniKO/$countOrdini ( $perc % )</p>
		
table;

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>
