<?php

if ( !$_SESSION ) session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
	
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
td, tr {
	border:0.1pt solid black;
}
</style>
</head>
<body>

<?php

$sql = <<< sql
SELECT     Offerte.Protocollo, Offerte.Sigla, Offerte.Accettata, Offerte.DataOfferta, Offerte.TipoOfferta, Offerte.Nota, Offerte.CostoPresunto, Offerte.ImportoOfferta, 
                      Offerte.ImportoAccettato, Offerte.ImportoRiservato, Offerte.IdPropietario, Offerte.IdGestore, Offerte.Referente, Offerte.Descrizione, 
                      Offerte.DataAttivazione, Offerte.NRPF, Offerte.NOPF, Offerte.DurataContratto, Offerte.DataRicPreliminare, Offerte.DataPresaVisione, Offerte.Nota2, 
                      Offerte.NoteVariePdi, Offerte.CigDerivato, Offerte.DataSopralluogo, Offerte.Richiedente, Offerte.Lotto, Offerte.Regione, Offerte.Supervisore, 
                      Offerte.CodFiscaleReferente, Offerte.NumIdentificativoOrdine, Offerte.CodFiscEnteFatturazione, Offerte.TipoEmissioneOrdine, 
                      Offerte.TipoEmissioneOrdineOPF, Offerte.DataProtocolloCliente, Offerte.DataEmissionePiano, Offerte.DataUltimaOsservazione, Offerte.ImportoPiano, 
                      Offerte.ProtocolloOPF, Offerte.DataOPF, Offerte.DataCondivisione, Offerte.DataStipulaOrdine, Offerte.FacilityManagementLight, Offerte.GestoreServizio, 
                      Offerte.Sconto3xcentoXpiùDi10servizi, tblPgPropietari.Nome AS Ente, tblPgGestori.Nome AS Gestore
FROM         Offerte INNER JOIN
                      tblPgGestori ON Offerte.IdGestore = tblPgGestori.IdGestore LEFT OUTER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario
WHERE IdCommessa=$IdCommessa AND IdOfferta=$IdOfferta
sql;

$query = ntxQuery($sql);

if ($rs=ntxRecord($query))
{
	$rs[DataOfferta] = ntxDate($rs[DataOfferta]);
	$rs[DataAttivazione] = ntxDate($rs[DataAttivazione]);
	$rs[DataRicPreliminare] = ntxDate($rs[DataRicPreliminare]);
	$rs[DataPresaVisione] = ntxDate($rs[DataPresaVisione]);
	$rs[DataSopralluogo] = ntxDate($rs[DataSopralluogo]);
	$rs[DataProtocolloCliente] = ntxDate($rs[DataProtocolloCliente]);
	$rs[DataEmissionePiano] = ntxDate($rs[DataEmissionePiano]);
	$rs[DataUltimaOsservazione] = ntxDate($rs[DataUltimaOsservazione]);
	$rs[DataOPF] = ntxDate($rs[DataOPF]);
	$rs[DataCondivisione] = ntxDate($rs[DataCondivisione]);
	$rs[DataStipulaOrdine] = ntxDate($rs[DataStipulaOrdine]);
	
	$rs[CostoPresunto] = ntxRoundThousand($rs[CostoPresunto],2);
	$rs[ImportoOfferta] = ntxRoundThousand($rs[ImportoOfferta],2);
	$rs[ImportoAccettato] = ntxRoundThousand($rs[ImportoAccettato],2);
	$rs[ImportoRiservato] = ntxRoundThousand($rs[ImportoRiservato],2);
	$rs[ImportoPiano] = ntxRoundThousand($rs[ImportoPiano],2);
	
	$rs[Accettata] = $rs[Accettata] ? "SI" : "no";
	$rs[FacilityManagementLight] = $rs[FacilityManagementLight] ? "SI" : "no";
	$rs[Sconto3xcentoXpiùDi10servizi] = $rs[Sconto3xcentoXpiùDi10servizi] ? "SI" : "no";

	foreach($rs as $k=>$v)
		$rs[$k]=htmlentities($v);
	
	echo <<< echo
		<table class=grid>
			<tr><th>Protocollo							<td>$rs[Protocollo]
			<tr><th>Sigla								<td>$rs[Sigla]
			<tr><th>Accettata							<td>$rs[Accettata]
			<tr><th>Data Offerta						<td>$rs[DataOfferta]
			<tr><th>Tipo Offerta						<td>$rs[TipoOfferta]
			<tr><th>Nota								<td>$rs[Nota]
			<tr><th>Costo Presunto						<td>$rs[CostoPresunto]
			<tr><th>Importo Offerta						<td>$rs[ImportoOfferta]
			<tr><th>Importo Accettato					<td>$rs[ImportoAccettato]
			<tr><th>Importo Riservato					<td>$rs[ImportoRiservato]
			<tr><th>Ente								<td>$rs[Ente]
			<tr><th>Gestore								<td>$rs[Gestore]
			<tr><th>Referente							<td>$rs[Referente]
			<tr><th>Descrizione							<td>$rs[Descrizione]
			<tr><th>Data Attivazione					<td>$rs[DataAttivazione]
			<tr><th>NRPF								<td>$rs[NRPF]
			<tr><th>NOPF								<td>$rs[NOPF]
			<tr><th>Durata Contratto					<td>$rs[DurataContratto]
			<tr><th>Data Ric.Preliminare				<td>$rs[DataRicPreliminare]
			<tr><th>Data Presa Visione					<td>$rs[DataPresaVisione]
			<tr><th>Nota Estesa							<td>$rs[Nota2]
			<tr><th>Note Varie Pdi						<td>$rs[NoteVariePdi]
			<tr><th>Cig Derivato						<td>$rs[CigDerivato]
			<tr><th>Data Sopralluogo					<td>$rs[DataSopralluogo]
			<tr><th>Richiedente							<td>$rs[Richiedente]
			<tr><th>Lotto								<td>$rs[Lotto]
			<tr><th>Regione								<td>$rs[Regione]
			<tr><th>Supervisore							<td>$rs[Supervisore]
			<tr><th>Cod.Fiscale Referente				<td>$rs[CodFiscaleReferente]
			<tr><th>Num.Identificativo Ordine			<td>$rs[NumIdentificativoOrdine]
			<tr><th>Cod.Fisc.Ente Fatturazione			<td>$rs[CodFiscEnteFatturazione]
			<tr><th>Tipo Emissione Ordine				<td>$rs[TipoEmissioneOrdine]
			<tr><th>Tipo Emissione Ordine OPF			<td>$rs[TipoEmissioneOrdineOPF]
			<tr><th>Data Protocollo Cliente				<td>$rs[DataProtocolloCliente]
			<tr><th>Data Emissione Piano				<td>$rs[DataEmissionePiano]
			<tr><th>Data Ultima Osservazione			<td>$rs[DataUltimaOsservazione]
			<tr><th>Importo Piano PDI					<td>$rs[ImportoPiano]
			<tr><th>Protocollo OPF						<td>$rs[ProtocolloOPF]
			<tr><th>Data OPF							<td>$rs[DataOPF]
			<tr><th>Data Condivisione					<td>$rs[DataCondivisione]
			<tr><th>Data Stipula Ordine					<td>$rs[DataStipulaOrdine]
			<tr><th>Facility Management Light			<td>$rs[FacilityManagementLight]
			<tr><th>Gestore Servizio					<td>$rs[GestoreServizio]
			<tr><th>Sconto 3% per più di 10 servizi		<td>$rs[Sconto3xcentoXpiùDi10servizi]
		</table>
echo;
}

?>

</body>
</html>
