<?php

session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
	
$IdCommessa = ntxise('IdCommessa');
$IdOfferta = ntxip('IdOfferta');
$IdEdificio = ntxip('IdEdificio');

?>
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	<script src="js/offerte_edifici_mestieri-mestieri.js" type="text/javascript"></script>
		
</head>
<body>

<?php

$sql = <<< sql
	SELECT     tblMestieri.IdMestiere, tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione, tblMestieri.CalcSotto400mq, a.IdCommessa, 
						  case when a.IdMestiere is null then 0 else 1 end Associato, a.Reperibilità, a.CinquePerCento, a.AChiamata, a.Durata, a.DataInizio, a.Migliorie, a.Valore, a.NumRevPerReperibilità
	FROM         tblMestieri LEFT OUTER JOIN
							  (SELECT     IdCommessaOfferta AS IdCommessa, IdMestiere, Reperibilità, CinquePerCento, AChiamata, Durata, DataInizio, Migliorie, Valore, NumRevPerReperibilità
								FROM          OfferteEdificiMestieri
								WHERE      (IdCommessaOfferta = $IdCommessa) AND (IdOfferta = $IdOfferta) AND (IdEdificio = $IdEdificio)) AS a ON tblMestieri.IdCommessa = a.IdCommessa AND 
						  tblMestieri.IdMestiere = a.IdMestiere
	WHERE     (tblMestieri.IdCommessa = $IdCommessa)
	order by tblMestieri.Ordine, tblMestieri.codice, tblMestieri.Descrizione
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>
			<th>Codice
			<th>MESTIERE
			<th>Rep.
			<th>Num.Rev.<br>per<br>Validità<br>Reperibilità
			<th>5 %
			<th>A<br>Chiamata
			<th>Sotto<br>400mq
			<th>Durata
			<th>Data<br>Inizio
			<th>Migliore<br>%
			<th>Valore
table;

$alternate = false;

while($rs=ntxRecord($query))
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	
	$rs[Migliorie] = ntxRound($rs[Migliorie],2);
	$rs[Valore] = ntxRound($rs[Valore],2);
	
	foreach($rs as $k=>$v)
	{
		$html[$k] = htmlentities($v);
		$js[$k] = ntxJS($v);
	}
	
	$alt = $alternate ? "class=alternate" : "";
	
	$alternate = !$alternate;

	$chkAssociato = $rs[Associato] ? "checked" : "";
	$chkReperibilità = $rs[Reperibilità] ? "checked" : "";
	$chkCinquePerCento = $rs[CinquePerCento] ? "checked" : "";
	$chkAChiamata = $rs[AChiamata] ? "checked" : "";
	
	$CalcSotto400mq = $rs[CalcSotto400mq] ? "x" : "";
	
	$table .= <<< table
		<tr $alt>
			<td><input type=checkbox Campo=Associato IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] $chkAssociato onclick="Memorizza(this)" />
			<td>$html[codice]
			<td>$html[Descrizione]
			<td style="text-align:center"><input type=checkbox Campo=Reperibilità IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] $chkReperibilità onclick="Memorizza(this)" />
			<td><input type=text size=10 Campo=NumRevPerReperibilità IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] value="$js[NumRevPerReperibilità]" onblur="Memorizza(this)" />
			<td style="text-align:center"><input type=checkbox Campo=CinquePerCento IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] $chkCinquePerCento onclick="Memorizza(this)" />
			<td style="text-align:center"><input type=checkbox Campo=AChiamata IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] $chkAChiamata onclick="Memorizza(this)" />
			<td style="text-align:center">$CalcSotto400mq
			<td><input type=text size=10 Campo=Durata IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] value="$js[Durata]" onblur="Memorizza(this)" />
			<td><input type=text size=10 Campo=DataInizio DatePicker IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] value="$js[DataInizio]" onblur="Memorizza(this)" />
			<td><input type=text size=10 Campo=Migliorie IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] value="$js[Migliorie]" onblur="Memorizza(this)" />
			<td><input type=text size=10 Campo=Valore IdOfferta=$IdOfferta IdEdificio=$IdEdificio IdMestiere=$rs[IdMestiere] value="$js[Valore]" onblur="Memorizza(this)" />
table;
}

$table .= "</table>";

echo $table;

?>

</body>
</html>
