<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');

if ( !$_POST[MostraNoteEliminate] )
{
	$hideCancellazione = "display:none";
	$addWhere = "AND (EnNoteUtenze.Eliminata = 0)";
}
else
{
	$thCancellazione = "";
}

$sql = <<< sql
	SELECT     EnNoteUtenze.Eliminata, EnNoteUtenze.Id, EnNoteUtenze.DataInserimento, EnNoteUtenze.DataModifica, EnNoteUtenze.Nota, Utenti.Nome AS Autore, 
                      Utenti_1.Nome AS ModificataDa, isnull(EnTipiNoteUtenze.Descrizione,'')+' '+isnull(EnCircuiti.Nome,'') AS Tipo, 
					  EnNoteUtenze.DataEliminazione, 
                      Utenti_2.Nome AS CancellatoDa
	FROM         EnNoteUtenze INNER JOIN
                      Utenti ON EnNoteUtenze.IdUtenteInserimento = Utenti.Id INNER JOIN
                      Utenti AS Utenti_1 ON EnNoteUtenze.IdUtenteModifica = Utenti_1.Id LEFT OUTER JOIN
                      Utenti AS Utenti_2 ON EnNoteUtenze.IdUtenteEliminazione = Utenti_2.Id LEFT OUTER JOIN
                      EnCircuiti ON EnNoteUtenze.IdCircuito = EnCircuiti.IdCircuito LEFT OUTER JOIN
                      EnTipiNoteUtenze ON EnNoteUtenze.Tipo = EnTipiNoteUtenze.Id
	WHERE     (EnNoteUtenze.IdCommessa = $IdCommessa) 
		AND (EnNoteUtenze.IdEdificio = $IdEdificio) 
		$addWhere
	ORDER BY 
sql;

$chiavi = array('DataInserimento', 'Autore', 'DataModifica', 'ModificataDa', 'DataEliminazione', 'CancellatoDa', 'Tipo', 'Nota');

$etichette = array(
	DataInserimento 	=> "Data creazione",
	Autore 				=> "Autore",
	DataModifica 		=> "Data modifica",
	ModificataDa 		=> "Modificata da",
	DataEliminazione 	=> "Elimina il",
	CancellatoDa 		=> "Eliminata da",
	Tipo 				=> "Tipo",
	Nota 				=> "Nota"
);

$campo = $_POST[CampoOrdinamento];
$verso = $_POST[VersoOrdinamento];

if ( !is_numeric($verso) ) $verso = 1;

if ( !in_array($campo, $chiavi) ) $campo = "Tipo, DataModifica";

$sql .= " $campo "; 

$sql .= $verso==0 ? "" : " DESC";

$query = ntxQuery($sql);

foreach($chiavi as $chiave)
{
	$sfondi[$chiave] = $chiave != $campo ? "silver" : "white";

	$icone[$chiave] = $chiave != $campo ? "down" : $verso==0 ? "down" : "up";

	$versi[$chiave] = $chiave != $campo ? 0 : $verso==0 ? 1 : 0;
}

function CreaTh($key, $hideCancellazione="")
{
	global $etichette, $icone, $sfondi, $versi;

	$etichetta = $etichette[$key];
	$icona = $icone[$key];
	$sfondo = $sfondi[$key];
	$verso = $versi[$key];
	
	return <<< th
		<th style="$hideCancellazione;cursor:pointer" 
				onclick="OrdinaTabella('$key', $verso)"
				>$etichetta	
			<th style="width:1px;border-left:none;$hideCancellazione;cursor:pointer"
				onclick="OrdinaTabella('$key', $verso)"><span 
					class="verso entypo-$icona" 
					style="background-color:$sfondo;color:black"></span>
th;
}

$table = "<table class=grid><tr><th>";

$table .= CreaTh('DataInserimento');
$table .= CreaTh('Autore');
$table .= CreaTh('DataModifica');
$table .= CreaTh('ModificataDa');
$table .= CreaTh('DataEliminazione', $hideCancellazione);
$table .= CreaTh('CancellatoDa', $hideCancellazione);
$table .= CreaTh('Tipo');
$table .= CreaTh('Nota');

$table .= "<th>";

$alternate = false;

while( $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento]);
	$rs[DataModifica] = ntxDateTime($rs[DataModifica]);
	$rs[DataEliminazione] = ntxDateTime($rs[DataEliminazione]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	if ( $rs[Eliminata] )
		$table .= <<< table
			<tr>
				<td style="background-color:#FF4444">
				<td colspan=2 style="background-color:#FF4444">$html[DataInserimento]
				<td colspan=2 style="background-color:#FF4444">$html[Autore]
				<td colspan=2 style="background-color:#FF4444">$html[DataModifica]
				<td colspan=2 style="background-color:#FF4444">$html[ModificataDa]
				<td colspan=2 style="background-color:#FF4444;$hideCancellazione">$html[DataEliminazione]
				<td colspan=2 style="background-color:#FF4444;$hideCancellazione">$html[CancellatoDa]
				<td colspan=2 style="background-color:#FF4444">$html[Tipo]
				<td colspan=2 style="background-color:#FF4444">$html[Nota]
				<td style="background-color:#FF4444">
table;
	else
		$table .= <<< table
			<tr $classTr>
				<td ><input type=button value=edit onclick="CaricaForm($rs[Id])" />
				<td colspan=2>$html[DataInserimento]
				<td colspan=2>$html[Autore]
				<td colspan=2>$html[DataModifica]
				<td colspan=2>$html[ModificataDa]
				<td colspan=2 style="$hideCancellazione">$html[DataEliminazione]
				<td colspan=2 style="$hideCancellazione">$html[CancellatoDa]
				<td colspan=2>$html[Tipo]
				<td colspan=2>$html[Nota]
				<td ><input type=button value=elimina onclick="Elimina($rs[Id])" />
table;

	$alternate = !$alternate;
}

$table .= "</table>";


jhp($table);

?>
