<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/sql.inc");

$IdCommessa = ntxip('IdCommessa');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta'); 


$return = array();

 
$sql = <<< SQL
SELECT 
	Richieste.*
	,Richieste.DataInizioP AS DataInizioProg
	,Richieste.DataFineP AS DataFineProg
	,Richieste.DataRichiesta AS DataRicezione
	,Richiedenti.Nome AS RichiedenteTbl 
	,EnCircuiti.IdCircuito+' '+EnDatiCircuiti.Telecontrollo+' '+EnCircuiti.CodiceCliente+' '+EnCircuiti.Nome+' '+EnTipiTelecontrollo.Telecontrollo AS Circuito 
	
	,CONVERT(varchar(255), PianoLivello.CodiceAssLivello)+' '+CONVERT(varchar(255), DestinazioniDusoLivello.Destinazione) AS Piano  
	,CONVERT(varchar(255), Ambiente.CodiceAssAmbiente)+' '+CONVERT(varchar(255), DestinazioniDuso.IdDestinazioneuso) AS Ambiente 
	,ComponentiAmbiente.DesComponente AS Componente
	,CONVERT(varchar(255), TabellaGradoUrgenza.GradoU)+' '+CONVERT(varchar(255), TabellaGradoUrgenza.Descrizione) AS GradoUrgenza  
	,tblMestieri.Descrizione AS Mestiere 
	,tblComponetiMestiere.Descrizione AS ComponenteMestiere 
	,tblAttivitMestiere.Descrizione AS AttivitaMestiere 
	,Ditte.Ditta 
	,Risorse.NOME AS Risorsa
	,Ordini.NotaInterna
	,Ordini.NumOrdine
	,Ordini.AnnoOrdine 
	
	,tblPgPropietari.Nome  AS Cliente
	,tblPgPropietari.IdPropietario
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.IdPgContratto
	,ElencoEdifici.EdificioBreve AS Utenza
	
	--,EnAllegatiRichieste.IdTestataAllegati
	
FROM 
	Richieste
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa
	
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente
	
	LEFT OUTER JOIN
	EnCircuiti ON Richieste.IdCircuitoAccensione = EnCircuiti.IdCircuito  
	LEFT OUTER JOIN
	EnDatiCircuiti ON EnCircuiti.IdUltimiDati = EnDatiCircuiti.IdDati 
	LEFT OUTER JOIN
	EnTipiTelecontrollo ON EnDatiCircuiti.Telecontrollo = EnTipiTelecontrollo.Id	
	
	
	LEFT OUTER JOIN
	PianoLivello ON Richieste.IdLivello = PianoLivello.idPiano AND Richieste.Localizzazione = PianoLivello.IdEdificio AND Richieste.IDCommessa = PianoLivello.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 	 
	
	LEFT OUTER JOIN
	Ambiente ON Richieste.IdAmbiente = Ambiente.IDAmbiente AND Richieste.Localizzazione = Ambiente.IdEdificio AND Richieste.IDCommessa = Ambiente.IdCommessa 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	
	LEFT OUTER JOIN
	ComponentiAmbiente ON Richieste.IDCommessa = ComponentiAmbiente.IdCommessa AND Richieste.Localizzazione = ComponentiAmbiente.IdEdificio AND Richieste.IdComponente = ComponentiAmbiente.IDComponente

	LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU	
	
	LEFT OUTER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	
	LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	
	LEFT OUTER JOIN
	tblAttivitMestiere ON Ordini.IDCommessa = tblAttivitMestiere.IdCommessa AND Ordini.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta
	
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID
	
	LEFT OUTER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID 
	
	INNER JOIN
	tblPgPropietari  ON tblPgPropietari.IdPropietario = ElencoEdifici.IdProprietario		
	
	LEFT OUTER JOIN
	tblPgContratti ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario 	
	
	--LEFT OUTER JOIN
	--EnAllegatiRichieste   ON EnAllegatiRichieste.IdRichiesta = Richieste.IdRich
	
WHERE     
	Richieste.IDCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
SQL;

$query = ntxQuery($sql);

$rs=ntxRecord($query);

$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
$rs[DataRicezione] = ntxDateTime($rs[DataRicezione]);
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]); 

$result[Richieste] = $rs;

jhp($result);
?>
