<?php  
header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report1.xls");

session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
		<style>		
		td.td2
		{
			background: LightSteelBlue;
		} 
		
		th
		{
			color: black;
			font-weight: bold;
		} 	
		
		table, th, td
		{ 
			mso-displayed-decimal-separator:"\,";
			mso-displayed-thousand-separator:"\."; 	
			border: 0.5pt solid black; 
			
			font-size:12px;
		}			
		</style>
	</head>

<body>
<?php
$IdCommessa = ntxise('IdCommessa'); 

$sql = <<<_SQL
SELECT DISTINCT 
	tblPgPropietari.Nome AS EnteNome, tblPgPropietari.Sigla AS EnteSigla, tblPgPropietari.IdPropietario, 
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS EdificioCodice, ElencoEdifici.EdificioBreve AS EdificioNome, 
	PianoLivello.idPiano, PianoLivello.CodPiano, PianoLivello.CodiceAssLivello, 
	DestinazioniDusoLivello.Destinazione AS PianoDestinazioneUso, DestinazioniDusoLivello.Categoria AS PianoCategoria, 
	TipiLivello.DesLivello AS PianoTipo,  
	SopralugoServiziPulizia.Codice AS ServizioCodice, SopralugoServiziPulizia.Descrizione AS ServizioDescrizione,
	SopralugoAmbienti.MQ, SopralugoAmbienti.H, SopralugoAmbienti.L, SopralugoAmbienti.ID AS IdSopralugoAmbienti, SopralugoAmbienti.IdServizioSopralugo,	
	ElencoEdifici.Indirizzo AS EdifIndirizzo, ElencoEdifici.CAP AS EdifCAP, ElencoEdifici.CITTA AS EdifCitta, ElencoEdifici.PROVINCIA AS EdifProv,
	tblPgPropietari.Indirizzo AS EnteIndirizzo, tblPgPropietari.Comune AS EnteComune, tblPgPropietari.Provincia AS EnteProv,
	Offerte.Sigla AS OffeteSigla	
	
FROM         
	PianoLivello 
	INNER JOIN
	SopralugoAmbienti ON PianoLivello.IdCommessa = SopralugoAmbienti.IdCommessa AND PianoLivello.IdEdificio = SopralugoAmbienti.IdEdificio AND   PianoLivello.idPiano = SopralugoAmbienti.IdLivello 
	INNER JOIN
	SopraluogoEdificioRiepilogo ON SopralugoAmbienti.IdRiepilogo = SopraluogoEdificioRiepilogo.ID 
	INNER JOIN
	ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID 
	INNER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND   PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL 
	LEFT OUTER JOIN
	TipiLivello ON PianoLivello.IdCommessa = TipiLivello.IdCommessa AND PianoLivello.IdTipoPiano = TipiLivello.IDTipoLivello 
	INNER JOIN
	SopralugoServiziPulizia ON SopralugoAmbienti.IdServizioSopralugo = SopralugoServiziPulizia.ID
	LEFT OUTER JOIN
	Offerte ON Offerte.IdOfferta = SopraluogoEdificioRiepilogo.IdOfferta AND Offerte.IdCommessa = SopraluogoEdificioRiepilogo.IdCommessaOfferta
	
WHERE     
	ElencoEdifici.IdCommessa = $IdCommessa 
	
ORDER BY
	OffeteSigla
	,EnteNome
	,EdificioCodice
	,EdificioNome
	,CodiceAssLivello
	,PianoDestinazioneUso
	,PianoCategoria
	,PianoTipo
	,ServizioCodice
	,ServizioDescrizione
	,MQ
_SQL;

$query = ntxQuery($sql); 
?> 
	
<table>
	<tr>
		<th>Ente - sigla
		<th>Ente - nome
		<th>Ente - indirizzo
		<th>Ente - comune
		<th>Ente - prov.
		
		<th>Edificio - codice
		<th>Edificio - nome 
		<th>Edificio - indirizzo 
		<th>Edificio - CAP 
		<th>Edificio - città 
		<th>Edificio - prov 
		 
		<th>Piano - codice ass
		<th>Piano - dest. uso
		<th>Piano - categoria
		<th>Piano - tipo
		
		<th>ambiente - ID
		
		<th>servizio - codice
		<th>servizio - desc.
		<th>servizio - H
		<th>servizio - L
		<th>servizio - MQ

	<?php
	$alternate = true;

	while( $rs = ntxRecord($query) )
	{
		$classe = $alternate ? "" : "td2"; 
	?>
	<tr>             
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['OffeteSigla']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EnteNome']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EnteIndirizzo']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EnteComune']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EnteProv']) ?> 
		
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdificioCodice']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdificioNome']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdifIndirizzo']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdifCAP']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdifCitta']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdifCitta']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['EdifProv']) ?> 
		
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['CodiceAssLivello']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['PianoDestinazioneUso']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['PianoCategoria']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['PianoTipo']) ?> 
		
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['IdSopralugoAmbienti']) ?> 
		
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['ServizioCodice']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo htmlentities($rs['ServizioDescrizione']) ?> 
		<td class="<?php echo $classe ?>" ><?php echo ntxRoundThousand($rs['H'],2) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxRoundThousand($rs['L'],2) ?>
		<td class="<?php echo $classe ?>" ><?php echo ntxRoundThousand($rs['MQ'],2) ?>
 			
	<?php
		$alternate = !$alternate;
	}
	?>
</table>

</body>
</html>

	