<?php  
session_start();

require_once('../../../_ntx/ntxconst.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');




$IdCommessa = ntxise('IdCommessa');
$Utente	= ntxsp('Utente');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');


$sql = <<<_SQL
SELECT DISTINCT
	Customers_Domande.Ordine,
	Customers_TipoOggetto.Nome AS Oggetto, 
	Customers_Domande.Domanda, 
	Customers_Risposte.IdValori_Risposta, 
	Customers_Risposte.Risposta, 
	Customers_Risposte.DataInserimento,
	Customers_Domande.Tipo
	
FROM  
	Customers_Domande 
	LEFT OUTER JOIN
	Customers_TipoOggetto ON Customers_Domande.IdOggetto = Customers_TipoOggetto.ID AND 
	Customers_Domande.IdCommessa = Customers_TipoOggetto.IdCommessa 
	INNER JOIN
	Customers_Risposte ON Customers_Domande.ID = Customers_Risposte.IdDomanda AND 
	Customers_Domande.IdCommessa = Customers_Risposte.IdCommessa
WHERE 
	(Customers_Risposte.Utente = $Utente) 
	AND (Customers_Risposte.NumOrdine = $NumOrdine) 
	AND (Customers_Risposte.AnnoOrdine = $AnnoOrdine) 
	AND	(Customers_Domande.IdCommessa = $IdCommessa)
	
ORDER BY Customers_Domande.Ordine ASC	
_SQL;

$query = ntxQuery($sql);	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
	
		<style>
		.rosso
		{
			font-size: 200%;
			color: #CD5C5C;
		}
		
		th
		{
			text-align:left;
			color: #ADADAD;
		}
		</style>
	</head>

<body>

<table>  

<?php
	while( $rs = ntxRecord($query) )
	{
?>
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>			
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>		
		
		<tr>
			<td colspan="2" class="rosso">&nbsp;<?php echo floor($rs[Ordine]) ?></td>
		</tr>

		<tr>
			<th>Oggetto</th>
			<td>&nbsp;<?php echo htmlentities($rs[Oggetto]) ?></td>
		</tr>
		
		<tr>
			<th>Domanda</th>
			<td>&nbsp;<?php echo htmlentities($rs[Domanda]) ?></td>
		</tr>		
			
		<tr>
			<td colspan="2">&nbsp;</td>
		</tr>	

		<tr>
			<th>Risposta</th>
			<?php
			$txt = "";
			
			if($rs[Tipo]=='aperta')
			{
				$txt =  $rs[Risposta];
			}
			else
			{
				$Valori = explode(",",$rs[IdValori_Risposta]);

				$where = "";
				foreach($Valori as $id)
				{
					if (is_numeric($id))
					{
						if ($where != "")
							$where .= " OR ";
						else
							$where = " AND (";
						
						$where .= " ID = $id ";
					}
				}
				if ($where != "")
					$where .= ")";

				$sql2 = <<<_SQL
				SELECT DISTINCT Nome, Peso
				FROM  Customers_ValoriRisposte
				WHERE 
					(IdCommessa = $IdCommessa)
					$where					
				ORDER BY Nome
_SQL;
				$query2 = ntxQuery($sql2);	
				
				while( $rs2 = ntxRecord($query2) )
					$txt .= " { $rs2[Nome] $rs2[Peso] }";
			}
			?>
			<td>&nbsp;<?php echo htmlentities($txt) ?></td>
		</tr>
	
		<tr>
			<th>Data</th>
			<td>&nbsp;<?php echo ntxDateTime($rs[DataInserimento]) ?></td>
		</tr>
<?php
	}
?>
</table>


</body>
</html>