<?php
session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
 

$IdCommessa = ntxise('IdCommessa');
$Utente	= ntxs('Utente');


require '../../../_libs/excel_xml/excel_xml.php'; //load library

$styles = '
	<Style ss:ID="Default" ss:Name="Normal">
		<Alignment ss:Horizontal="Center" ss:Vertical="Center" ss:WrapText="1"/>
		<Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="11" ss:Color="#000000"/>
		<Interior />
		<NumberFormat/>
		<Protection/>
	</Style>
	
	<Style ss:ID="thCell">	
		<Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="11" ss:Color="#000000" ss:Bold="1"/>
		<Interior />
		<NumberFormat/>
		<Protection/>
	</Style>
	
	<Style ss:ID="rosso">	
		<Font ss:FontName="Calibri" x:Family="Swiss" ss:Size="13" ss:Color="#CD5C5C" ss:Bold="1"/>
		<Alignment ss:Horizontal="Left" ss:Vertical="Center"/>
		<Interior />
		<NumberFormat/>
		<Protection/>		
	</Style>		
';		
	
	

$sql = <<<_SQL
SELECT  DISTINCT   Tipo
FROM         Customers_Domande
WHERE     (IdCommessa = $IdCommessa)
ORDER BY TIPO ASC
_SQL;

$query = ntxQuery($sql);

$fogli = array();	

while( $rs = ntxRecord($query) )
{
	$fogli[] = "_$rs[Tipo]"; 
}

	
	
$xls = new Excel_XML('UTF-8', true, $fogli); //generate file (constructor parameters are optional)	

$xls->setStyles($styles);

	
	
$ElementoBack = ""	;
$idx = 0;
 
$query = ntxQuery($sql);
while( $rs = ntxRecord($query) )
{	
	$Tipo = $rs['Tipo'];	
 
	$xls->addColumn( $idx , 100 , 1);
	$xls->addColumn( $idx , 200 , 1);

	
	$sql = <<<_SQL
	SELECT DISTINCT
		Customers_Domande.ID,
		Customers_Domande.Ordine,
		Customers_TipoOggetto.Nome AS Oggetto, 
		Customers_Domande.Domanda 
		
	FROM  
		Customers_Domande 
		LEFT OUTER JOIN
		Customers_TipoOggetto ON Customers_Domande.IdOggetto = Customers_TipoOggetto.ID AND 
		Customers_Domande.IdCommessa = Customers_TipoOggetto.IdCommessa 
	WHERE 
		(Customers_Domande.IdCommessa = $IdCommessa)
		AND (Customers_Domande.Tipo LIKE '$Tipo')
		
	ORDER BY Customers_Domande.Ordine ASC	
_SQL;
	 
	$query2 = ntxQuery($sql);
	while( $rs2 = ntxRecord($query2) )
	{	
		$xls->addRow( $idx , array ($rs2[Ordine]) , array('ss:MergeAcross="1" ss:StyleID="rosso"') );
		
		$xls->addRow( $idx , array ('Oggetto', $rs2[Oggetto]) , array('ss:StyleID="thCell"' , '')   );
		
		$xls->addRow( $idx , array ('Domanda', $rs2[Domanda]) , array('ss:StyleID="thCell"' , '')   ); 

		
		$sql = <<<_SQL
		SELECT DISTINCT
			 Customers_Risposte.IdValori_Risposta , 
			Customers_Risposte.Risposta 
			
		FROM  
			Customers_Domande 
			INNER JOIN
			Customers_Risposte ON Customers_Domande.ID = Customers_Risposte.IdDomanda AND 
			Customers_Domande.IdCommessa = Customers_Risposte.IdCommessa
		WHERE 
			Customers_Domande.ID = $rs2[ID]
_SQL;

		$valoriRisposta = array();
		$risposte = "";
		$query3 = ntxQuery($sql);			
		while( $rs3 = ntxRecord($query3) )
		{
			if( strlen("$rs3[Risposta]")>0 )
				$risposte .= htmlentities("- $rs3[Risposta]")."&#10;";
				
			if( strlen("$rs3[IdValori_Risposta]")>0 )
			{
				$array = explode("," , $rs3[IdValori_Risposta]);
			
				foreach($array as $idValore)
				{
					if (is_numeric($idValore))
					{
						$valoriRisposta[$idValore] += 1;
					}
				}
			}
		}
		
		if( strlen($risposte)>0 )
			$xls->addRow( $idx , array ('Risposte Testuali', $risposte) , array('ss:StyleID="thCell"' , '') , false); 
			
			
		if( count($valoriRisposta)>0 )	
		{
			$txt = "";
			
			foreach ($valoriRisposta as $key => $value) 
			{
				$sql = <<<_SQL
				SELECT  Nome, Peso
				FROM  Customers_ValoriRisposte
				WHERE ID = $key
_SQL;
				$ris = ntxRecord(ntxQuery($sql));

				$Nome = htmlentities($ris[Nome]);
				$Peso = htmlentities($ris[Peso]);
				$txt .= " $value : $Nome (valore:$Peso) &#10;";
			}
		
		
			$xls->addRow( $idx , array ('Risposte', $txt) , array('ss:StyleID="thCell"' , '') , false); 
		}		
		
		$xls->addRow( $idx , array ("") , array('ss:MergeAcross="1" ') );  
	}

 
	

	++$idx;	
}


$xls->generateXML($nomeFile);
?>