<?php
require_once( "../../_libs/json/class.JSON.php");
require_once('../../_ntx/ntxconst.inc');
require_once('../utilita/adjustBrightness.php');
//require_once('../utilita/randomColor.php');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
//$color = random_color();   
 
$result = array();   

$sql = <<< sql
SELECT  DISTINCT      
	Eventi.*
	, EventiTipo.Nome AS Tipo
	, EventiStato.Nome AS Stato
	, EventiCliente.Nome AS Cliente
	, ElencoEdifici.Codice +' - '+ ElencoEdifici.EdificioBreve AS Localizzazione
	, tblPgAffidatari.Nome AS Affidatario
	, tblPgAffidatari.Colore AS AffidatarioColore
	
FROM         
	Eventi 
	LEFT OUTER JOIN
	EventiCliente ON Eventi.IdCliente = EventiCliente.ID 
	LEFT OUTER JOIN
	EventiTipo ON Eventi.IdTipoEvento = EventiTipo.ID 
	LEFT OUTER JOIN
	EventiStato ON Eventi.IdStato = EventiStato.ID 
	LEFT OUTER JOIN
	ElencoEdifici ON Eventi.IdCommessa = ElencoEdifici.IdCommessa AND Eventi.IdEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblPgAffidatari ON tblPgAffidatari.IdAffidatario = Eventi.IdAffidatario	
	
WHERE     
	Eventi.IdCommessa = $IdCommessa
	AND Eventi.ID = $IdElemento
sql;
  
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{ 
	$color = $rs[AffidatarioColore];
	
	if(strlen($colore)>0) {}
	else
		$colore = "#CD5555";

	if( strlen($rs[DataInizio])>0 || strlen($rs[DataFine])>0 )
	{ 
		$elemento = "EVENTO";   
		$start = $rs[DataInizio];   
		$end = $rs[DataFine];   
		
		$result[] = array(
			'id' => "EVENTO.".$elemento."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
			,'title' => "< $elemento - $rs[Descrizione] >"." gestore: ".$rs[Affidatario]." - "." cliente: ".$rs[Cliente]." - stato: ".$rs[Stato]." - tipo: ".$rs[Tipo]." - localizzazione: ".$rs[Localizzazione]." - partecipanti: ".$rs[NumeroPartecipanti]
			,'start' => $start
			,'end' => $end 
			 
			,'Data' => ntxDateTime($start)     
			,'sqlData' => $start
			 
			,'affidatario' => $rs[Affidatario]
			,'descrizione' => $rs[Descrizione]
			,'localizzazione' => htmlentities($rs[Localizzazione])   
			,'stato' => htmlentities($rs[Stato])   
			,'tipo' => htmlentities($rs[Tipo])   
			,'cliente' => htmlentities($rs[Cliente])   
			,'partecipanti' => htmlentities($rs[NumeroPartecipanti])   
			,'inizio' => ntxDateTime($rs[DataInizio])   
			,'fine' => ntxDateTime($rs[DataFine])    
			,'allestimentoInizio' => ntxDateTime($rs[DataAllestimentoInizio])   
			,'allestimentoFine' => ntxDateTime($rs[DataAllestimentoFine])   
			,'disallestimentoInizio' => ntxDateTime($rs[DataDisallestimentoInizio])   
			,'disallestimentoFine' => ntxDateTime($rs[DataDisallestimentoFine])   
			
			,'allDay' => false
			,'color' => $color
		); 
	}
	
	if( strlen($rs[DataAllestimentoInizio])>0 || strlen($rs[DataAllestimentoFine])>0 )
	{ 
		$elemento = "ALLESTIMENTO"; 
		$color1 = adjustBrightness($color, 20 ); 
		
		if( strlen($rs[DataAllestimentoInizio])>0 )
			$start = $rs[DataAllestimentoInizio];   
			
		if( strlen($rs[DataAllestimentoFine])>0 )	
			$end = $rs[DataAllestimentoFine];   
		
		$result[] = array(
			'id' => "EVENTO.".$elemento."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
			,'title' => "< $elemento - $rs[Descrizione] >"." gestore: ".$rs[Affidatario]." - "." cliente: ".$rs[Cliente]." - stato: ".$rs[Stato]." - tipo: ".$rs[Tipo]." - localizzazione: ".$rs[Localizzazione]." - partecipanti: ".$rs[NumeroPartecipanti]
			,'start' => $start
			,'end' => $end 
			 
			,'Data' => ntxDateTime($start)     
			,'sqlData' => $start    
			 
			,'affidatario' => $rs[Affidatario] 
			,'descrizione' => $rs[Descrizione]
			,'localizzazione' => htmlentities($rs[Localizzazione])   
			,'stato' => htmlentities($rs[Stato])   
			,'tipo' => htmlentities($rs[Tipo])   
			,'cliente' => htmlentities($rs[Cliente])   
			,'partecipanti' => htmlentities($rs[NumeroPartecipanti])   
			,'inizio' => ntxDateTime($rs[DataInizio])   
			,'fine' => ntxDateTime($rs[DataFine])    
			,'allestimentoInizio' => ntxDateTime($rs[DataAllestimentoInizio])   
			,'allestimentoFine' => ntxDateTime($rs[DataAllestimentoFine])   
			,'disallestimentoInizio' => ntxDateTime($rs[DataDisallestimentoInizio])   
			,'disallestimentoFine' => ntxDateTime($rs[DataDisallestimentoFine])   
			
			,'allDay' => false
			,'color' => $color1
		);
	}
	
	if( strlen($rs[DataDisallestimentoInizio])>0 || strlen($rs[DataDisallestimentoFine])>0 )
	{ 
		$elemento = "DISALLESTIMENTO"; 
		$color2 = adjustBrightness($color,   35 ); 

		if( strlen($rs[DataDisallestimentoInizio])>0 )
			$start = $rs[DataDisallestimentoInizio];   
			
		if( strlen($rs[DataDisallestimentoFine])>0 )	
			$end = $rs[DataDisallestimentoFine];   		
		
		$result[] = array(
			'id' => "EVENTO.".$elemento."_"."COM:$IdCommessa"."_"."ID:$IdElemento" 
			,'title' => "< $elemento - $rs[Descrizione] >"." gestore: ".$rs[Affidatario]." - "." cliente: ".$rs[Cliente]." - stato: ".$rs[Stato]." - tipo: ".$rs[Tipo]." - localizzazione: ".$rs[Localizzazione]." - partecipanti: ".$rs[NumeroPartecipanti]
			,'start' => $start
			,'end' => $end 
			 
			,'Data' => ntxDateTime($start)     
			,'sqlData' => $start  
			 
			,'affidatario' => $rs[Affidatario] 
			,'descrizione' => $rs[Descrizione]
			,'localizzazione' => htmlentities($rs[Localizzazione])   
			,'stato' => htmlentities($rs[Stato])   
			,'tipo' => htmlentities($rs[Tipo])   
			,'cliente' => htmlentities($rs[Cliente])   
			,'partecipanti' => htmlentities($rs[NumeroPartecipanti])   
			,'inizio' => ntxDateTime($rs[DataInizio])   
			,'fine' => ntxDateTime($rs[DataFine])    
			,'allestimentoInizio' => ntxDateTime($rs[DataAllestimentoInizio])   
			,'allestimentoFine' => ntxDateTime($rs[DataAllestimentoFine])   
			,'disallestimentoInizio' => ntxDateTime($rs[DataDisallestimentoInizio])   
			,'disallestimentoFine' => ntxDateTime($rs[DataDisallestimentoFine])   
			
			,'allDay' => false
			,'color' => $color2
		);
	}
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
