<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');

$sql1 = <<< _SQL
SELECT DISTINCT 
	tblPgContrattiAffidatari.IdPgContrattoAffidatario, tblPgAffidatari.Nome, tblPgAffidatari.Indirizzo, tblPgAffidatari.Comune, tblPgAffidatari.Provincia,
	tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine
FROM         
	tblPgContrattiAffidatari 
	INNER JOIN
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario
WHERE
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
_SQL;
$rs = ntxRecord(ntxQuery($sql1));

$sql2 = <<< _SQL
SELECT   
    DATEDIFF(month,DataInizio,DataFine) AS a1
FROM         
    tblPgContrattiAffidatari	 
WHERE
	IdPgContrattoAffidatario = $IdPgContrattoAffidatario 
_SQL;
$mesiConvenzioneDef = ntxScalar($sql2);
if (is_numeric($mesiConvenzioneDef)) {
    $mesiConvenzione = $mesiConvenzioneDef;
} else {
    $mesiConvenzione = 0;
}
?>

<!DOCTYPE HTML>
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="../../../../repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="../../../../repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="../../../../repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="../../../../repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>

        <script src="js/canoni.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <div class="row">

            <div class="cell w-1_6">

                <a class="button entypo-back" href="index2.php" >Seleziona Affidatario</a>

            </div>

            <div class="cell w-2_3">

                <div class="clrfx mt-5"></div>

                <div class="title large"><?php echo htmlentities($rs[Nome]) ?></div>

                <div class="clrfx mt-10"></div>

                <div class="title small">Contratto dal <?php echo htmlentities(ntxDate($rs[DataInizio])) ?> al <?php echo htmlentities(ntxDate($rs[DataFine])) ?> (<?php echo $mesiConvenzione ?> mesi)</div>

                <div class="clrfx mt-10"></div>

                <select name="IdEdificio" id="IdEdificio" onchange="caricaElencoMestieri(this, document.form1.IdPgContrattoAffidatario)" ></select>

            </div>

        </div>

        <div class="row">

            <div class="cell w-1_6"></div>

            <div id="mestieri" class="cell w-2_3"></div>

        </div>

        <form id="form1" name="form1" method="post" action="" >

            <?php ntxCreateHiddens(); ?>

        </form>

    </body>

</html>
