<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$IdEdificio = ntxip('IdEdificio');

$sql = <<< _SQL
    SELECT DISTINCT 
	tblMestieri.IdMestiere, tblMestieri.Descrizione, tblMestieri.codice 
    FROM         
	tblMestieri INNER JOIN 
	tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
	tblAttivitMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitMestiere.IdCommessa AND 
	tblComponetiMestiere.IdComponenteMestiere = tblAttivitMestiere.IdComponenteMestiere INNER JOIN
	tblPgContrattiAffidatariAttivitEdifici ON tblAttivitMestiere.IdAttivitMestiere = tblPgContrattiAffidatariAttivitEdifici.IdAttivitMestiere AND 
	tblAttivitMestiere.IdCommessa = tblPgContrattiAffidatariAttivitEdifici.IdCommessa
    WHERE     
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa 
	AND tblPgContrattiAffidatariAttivitEdifici.IdEdificio = $IdEdificio 
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
    ORDER BY 
	codice, Descrizione
_SQL;

$query = ntxQuery($sql);

$result = <<< _HTML

    <div class="row table">

        <div class="cell table w-1_6">

            <div class="title table inline">Codice</div>

        </div>

        <div class="cell table w-1_3">

            <div class="title table inline">Descrizione</div>

        </div>

        <div class="cell table w-1_3">

            <div class="title table inline">Canone Contrattuale</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">Annotazioni</div>

        </div>

    </div>

_HTML;

$alternate = false;
while ($rs = ntxRecord($query)) {
    $classe = $alternate ? "" : "exposed";

    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }

    $IdMestiere = $rs[IdMestiere];
    $IdRelazione = '';

    $sql001 = <<< _SQL
            
        SELECT *
        FROM  CanoneMestiereTblPgContrattiAffidatari
        WHERE
                IdPgContrattoAffidatario = $IdPgContrattoAffidatario
                AND IdCommessaMestiere = $IdCommessa 
                AND IdMestiere = $IdMestiere
                AND IdCommessaEdifcio = $IdCommessa 
                AND IdEdificio = $IdEdificio
_SQL;

    $rs1 = ntxRecord(ntxQuery($sql001));

    if (!is_numeric($rs1[ID])) {
        $CanoneMestiereTblPgContrattiAffidatari = new NtxTable("CanoneMestiereTblPgContrattiAffidatari");

        $Insert = $CanoneMestiereTblPgContrattiAffidatari->insert();

        $Insert->set('IdPgContrattoAffidatario', $IdPgContrattoAffidatario);
        $Insert->set('IdCommessaMestiere', $IdCommessa);
        $Insert->set('IdMestiere', $IdMestiere);
        $Insert->set('IdCommessaEdifcio', $IdCommessa);
        $Insert->set('IdEdificio', $IdEdificio);
        $Insert->set('CanoneContrattuale', 0.00);
        $Insert->set('Note', '');

        $Insert->execute();

        $rs1 = ntxRecord(ntxQuery($sql001));
    }

    $CanoneContrattuale = ntxRoundThousand($rs1[CanoneContrattuale], 2);

    $result .= <<<_HTML
            
    <div class="cell w-1">

        <div class="row table $classe bordered">

            <div class="cell table w-1_6">

                <p class="large">$rs[codice]</p>

            </div>

            <div class="cell table w-1_3">

                <p class="large">$rs[Descrizione]</p>

            </div>

            <div class="cell table w-1_3">

                <input type="text" onchange="Update('CanoneContrattuale', this, '$rs1[ID]')" value="$CanoneContrattuale" >

            </div>

            <div class="cell table w-1_6">

                <input type="text" onchange="Update('Note', this, '$rs1[ID]')" value="$rs1[Note]" >

            </div>

        </div>
            
    </div>
   
_HTML;

    $alternate = !$alternate;
}

jhp($result);
