<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$IdEdificio = ntxip('IdEdificio');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');
/* * **************************************************************************** */

$sql = <<< _SQL
     
    SELECT DISTINCT 
        tblOrdiniProgrammati.IdOrdineProgrammato AS Id
        ,tblMestieri.IdMestiere
        ,tblMestieri.codice AS Pre_Descrizione_Mestiere
	,tblMestieri.Descrizione AS Descrizione_Mestiere
	,tblComponetiMestiere.Descrizione AS Descrizione_Componente
	,tblAttivitMestiere.Descrizione AS Descrizione_Attivit
	,CAST ( tblOrdiniProgrammati.NumOrdine AS INT) AS NumOrdine
	,tblOrdiniProgrammati.AnnoOrdine
	,CASE tblOrdiniProgrammati.Aperto WHEN 1 THEN '' ELSE '' END AS is_Ordine_Aperto
	,CASE tblOrdiniProgrammati.Anomalia WHEN 1 THEN 'ANOMALIA' ELSE '' END AS is_Ordine_Anomalia
	,CASE tblOrdiniProgrammati.Eseguito WHEN 1 THEN 'ESEGUITO' ELSE 'NON ESEGUITO' END AS is_Ordine_Eseguito
	,CASE tblOrdiniProgrammati.Annullato WHEN 1 THEN 'ANNULLATO' ELSE '' END AS is_Ordine_Annullato
    FROM 
        tblOrdiniProgrammati
	INNER JOIN tblContrattiFornitori
		ON tblOrdiniProgrammati.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore
	INNER JOIN tblPgContrattiAffidatari
		ON tblContrattiFornitori.IdContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
	INNER JOIN ElencoEdifici
		ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa
			AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
	INNER JOIN tblAttivitMestiere
		ON tblOrdiniProgrammati.IdCommessa = tblAttivitMestiere.IdCommessa
			AND tblOrdiniProgrammati.IdAttivitMestiere = tblAttivitMestiere.IdAttivitMestiere
	INNER JOIN tblComponetiMestiere
		ON tblAttivitMestiere.IdCommessa = tblComponetiMestiere.IdCommessa
			AND tblAttivitMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	INNER JOIN tblMestieri
		ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa
			AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	INNER JOIN Ditte
		ON tblOrdiniProgrammati.IdFornitore = Ditte.IDDitta
	INNER JOIN UtentiEdifici
		ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
			AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
	LEFT JOIN tblFrequenzeMestieri
		ON tblAttivitMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa
			AND tblAttivitMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	LEFT JOIN MotivazioniAnnullamentiOrdiniProgrammati
		ON tblOrdiniProgrammati.IdMotivoAnnullamento = MotivazioniAnnullamentiOrdiniProgrammati.Id
	
    WHERE 
	tblOrdiniProgrammati.IdCommessa = $IdCommessa
	AND YEAR(tblOrdiniProgrammati.dataFineProg) = $Anno 
        AND MONTH(tblOrdiniProgrammati.dataFineProg) = $Mese 
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
	AND tblOrdiniProgrammati.IdEdificio = $IdEdificio
    
    ORDER BY
        tblMestieri.IdMestiere
_SQL;

$query = ntxQuery($sql);

$DescrizioneMestiere = '';
$DescrizioneComponente = '';
while ($rs = ntxRecord($query)) {

    if ($rs[is_Ordine_Eseguito] != 'ESEGUITO') {
        $style = "style='background:#f44336;'";
    } else {
        $style = "style='background:#4caf50;'";
    }

    if ($DescrizioneMestiere != '[' . htmlentities($rs[Pre_Descrizione_Mestiere]) . '] ' . htmlentities($rs[Descrizione_Mestiere])) {
        $DescrizioneMestiere = '[' . htmlentities($rs[Pre_Descrizione_Mestiere]) . '] ' . htmlentities($rs[Descrizione_Mestiere]);
        $result .= <<< _HTML

    <div class="clrfx mt-30"></div>
    <div class="row table">
        <div class="cell table w-1">
            <div class="title large" style="background:#6E98E3;">Mestiere $rs[IdMestiere] - $DescrizioneMestiere</div>
        </div>
    </div>
                
_HTML;
    }
    if ($DescrizioneComponente != htmlentities($rs[Descrizione_Componente])) {
        $DescrizioneComponente = htmlentities($rs[Descrizione_Componente]);
        $result .= <<< _HTML

    <div class="clrfx mt-20"></div>
    <div class="row">
        <div class="cell w-1">
            <div class="title normal">$DescrizioneComponente</div>
        </div>
    </div>
    <div class="clrfx mt-20"></div>
    <div class="row table">
        <div class="cell table w-1_6">
            <div class="title table inline">Id</div>
        </div>
        <div class="cell table w-1_6">
            <div class="title table inline">Num/Anno Ordine</div>
        </div>
        <div class="cell table w-1_2">
            <div class="title table inline">Descrizione Attivit&agrave;</div>
        </div>
        <div class="cell table w-1_6">
            <div class="title table inline"></div>
        </div>
    </div>
   
_HTML;
    }


    $result .= <<< _HTML

     <div class="row table bordered" $style>
        <div class="cell table w-1_6">
            <p class="large">$rs[Id]</p>
        </div>
        <div class="cell table w-1_6">
            <p class="large">$rs[NumOrdine]/$rs[AnnoOrdine]</p>
        </div>
        <div class="cell table w-1_2">
            <p class="large">$rs[Descrizione_Attivit]</p>
        </div>
        <div class="cell table w-1_6">
            <p class="large">$rs[is_Ordine_Eseguito]</p>
        </div>
    </div>
            
_HTML;
}

/* * **************************************************************************** */

jhp($result);
