<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$IdEdificio = ntxip('IdEdificio');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');
/* * **************************************************************************** */

$sql = <<< _SQL
     
    SELECT     
        MestiereCustomerDomande.Oggetto
        , MestiereCustomerDomande.Domanda
        , MestiereCustomerRisposte.Nome as Risposta
        , MestiereCustomerRisposte.Peso
    FROM         
        MestiereCustomerCompilato 
            LEFT JOIN MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilatoRisposte.IdCustomerCom  = MestiereCustomerCompilato.ID
            LEFT JOIN MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
            LEFT JOIN MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
    WHERE 
        MestiereCustomerCompilato.IdCommessa = $IdCommessa
        AND MestiereCustomerCompilato.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        AND MestiereCustomerCompilato.Anno = $Anno 
        AND MestiereCustomerCompilato.Mese = $Mese
        AND MestiereCustomerCompilato.IdEdificio = $IdEdificio
    ORDER BY 
        MestiereCustomerDomande.ID
        
_SQL;

$query = ntxQuery($sql);

$result = <<< _HTML

    <div class="row table bordered">
        <div class="cell table w-1_5">
            <div class="title inline">Oggetto</div>
        </div>
        <div class="cell table w-2_5">
            <div class="title inline">Domanda</div>
        </div>
        <div class="cell table w-2_5">
            <div class="title inline">Risposta</div>
        </div>
    </div>

_HTML;

while ($rs = ntxRecord($query)) {

    if ($rs[Peso] == 100) {
        $style = 'style="background:#4caf50"';
    } elseif ($rs[Peso] >= 66) {
        $style = 'style="background:#dce775"';
    } elseif ($rs[Peso] >= 33) {
        $style = 'style="background:#ff6d00"';
    } else {
        $style = 'style="background:#d50000"';
    }
    
    $result .= <<< _HTML

     <div class="row table bordered" $style>
        <div class="cell table w-1_5">
            <p class="large">$rs[Oggetto]</p>
        </div>
        <div class="cell table w-2_5">
            <p class="large">$rs[Domanda]</p>
        </div>
        <div class="cell table w-2_5">
            <p class="large">$rs[Risposta]</p>
        </div>
    </div>
            
_HTML;
}

/* * **************************************************************************** */

jhp($result);
