<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$IdEdificio = ntxip('IdEdificio');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');
/* * **************************************************************************** */

$sql = <<< _SQL
     
  SELECT      
    Ordini.NumOrdine
    , Ordini.AnnoOrdine
    , Ordini.GradoUrgenza
    , Ordini.DescrizioneIntervento 
    , Ordini.StatoOrd
  FROM          
    Richieste  
      INNER JOIN 
          Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND   Richieste.IDCommessa = Ordini.IDCommessa  
      INNER JOIN 
          TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU 
      INNER JOIN 
          tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
  WHERE
    Richieste.IDCommessa = $IdCommessa
    AND TabellaGradoUrgenza.PerRicNonConformita = 1
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
    AND YEAR(Richieste.DataRichiesta) = $Anno 
    AND MONTH(Richieste.DataRichiesta) = $Mese
    AND Richieste.Localizzazione = $IdEdificio
          
_SQL;

$query = ntxQuery($sql);

$result = <<< _HTML

    <div class="row table">
        <div class="cell table w-1_4">
            <div class="title inline">Num/Anno Ordine</div>
        </div>
        <div class="cell table w-1_4">
            <div class="title inline">Grado Urgenza</div>
        </div>
        <div class="cell table w-1_2">
            <div class="title inline">Descrizione Intevento</div>
        </div>
    </div>

_HTML;

while ($rs = ntxRecord($query)) {

    if ($rs[StatoOrd] == 50) {
        $style = 'style="background:#4caf50"';
    } else {
        $style = 'style="background:#f44336"';
    }
    
    $result .= <<< _HTML

     <div class="row table bordered" $style>
        <div class="cell table w-1_4">
            <p class="large">$rs[NumOrdine]/$rs[AnnoOrdine]</p>
        </div>
        <div class="cell table w-1_4">
            <p class="large">$rs[GradoUrgenza]</p>
        </div>
        <div class="cell table w-1_2">
            <p class="large">$rs[DescrizioneIntervento]</p>
        </div>
    </div>
            
_HTML;
}

/* * **************************************************************************** */

jhp($result);
