<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');

$sql1 = <<< _SQL
    SELECT DISTINCT 
	tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine 
    FROM 
	tblPgContrattiAffidatari 
    INNER JOIN 
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario 
    WHERE 
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa 
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
_SQL;
$rs = ntxRecord(ntxQuery($sql1));

$sql2 = <<< _SQL
    SELECT 
        DATEDIFF(month,DataInizio,DataFine) AS a1 
    FROM 
        tblPgContrattiAffidatari  
	WHERE 
		IdPgContrattoAffidatario = $IdPgContrattoAffidatario 
_SQL;
$mesiConvenzioneDef = ntxScalar($sql2);
if (is_numeric($mesiConvenzioneDef)) {
    $mesiConvenzione = $mesiConvenzioneDef;
} else {
    $mesiConvenzione = 0;
}

function mod($a, $n) {
    return ($a % $n) + ($a < 0 ? $n : 0);
}

$trimestri = array('I', 'II', 'III', 'IV');
$mesi = array('Gennaio', 'Febbraio', 'Marzo', 'Aprile', 'Maggio', 'Giugno', 'Luglio', 'Agosto', 'Settembre', 'Ottobre', 'Novembre', 'Dicembre');
$start = (int) date("n", strtotime(substr(htmlentities($rs[DataInizio]), 0, 19)));
$year = (int) date("Y", strtotime(substr(htmlentities($rs[DataInizio]), 0, 19)));

$result = '<option value="all" selected="selected" >Tutto il Periodo Contrattuale</option>';
for ($index = 0; $index < ($mesiConvenzione / 3); $index++) {
    if ($start >= 13) {
        $start = 3;
    }
    if ($start >= 12) {
        $year++;
    }
    $result .= '<option value="' . (mod($start, 12) + 1) . '-' . $year . '">' . $trimestri[mod(($start / 3), 4)] . ' trimestre ' . $year . '</option>';
    $start += 3;
}

jhp($result);
