<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
$IdCommessa = ntxise('IdCommessa');
$where = <<< _SQL
    tblOrdiniProgrammati.IdCommessa = $IdCommessa 
    AND Ordini.GradoUrgenza LIKE 'MP' 
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
    AND ElencoEdifici.ID = $IdEdificio 
_SQL;
} else {
    $whereEdificio = "";
}



 
$where .= <<< _SQL
AND YEAR(tblOrdiniProgrammati.dataFineProg) = $Anno 
AND MONTH(tblOrdiniProgrammati.dataFineProg) = $Mese 
_SQL;


$arrayEdifici = array();
//return edifici
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitEdifici 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
$query = ntxQuery($sql2);
while ($rs = ntxRecord($query)) {
    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }
    $arrayEdifici[$rs['IdEdificio']] = $rs['EdificioBreve'];
}
$result = <<< _HTML

    <div class="title large">Report KPI 1<br><br>Monitoraggio attivit&agrave; contrattuali - Periodo di riferimento $Mese/$Anno</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">L'indicatore misura il rispetto del capitolato del sito. Il fornitore dovr completare tutte le attivit seguendo le procedure del sistema informatico, il completamento delle attivit non richiede l'inserimento della bolla di lavoro.</p>
    
    <p class="small"><b>Metodo di Misurazione</b> n. interventi non completati nel mese e nella sede/ n. interventi pianificati nel mese e nella sede</p>

    <p class="small"><b>Target Mensile</b> 100% degli interventi contrattuali completati nel mese di riferimento</p>
    
    <div class="clrfx mt-10"></div>
        
    <div class="row table">

        <div class="cell table w-1_4">

            <div class="title table inline">Sede</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">n. interventi pianificati</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">n. interventi non completati</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">KPI</div>

        </div>

    </div>
        
_HTML;

foreach ($arrayEdifici as $key => $value) {

    if ($value == '') {
        continue;
    }
	
    $NomeEdificio = $value;
    //return # Interventi pianificati
    $sql1 = <<< _SQL
    SELECT 
        count(tblOrdiniProgrammati.IdOrdineProgrammato) 
    FROM 
        tblOrdiniProgrammati 
    LEFT OUTER JOIN 
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE 
        $where
        AND tblOrdiniProgrammati.IdEdificio = $key 
_SQL;
    //return # Interventi non completati
    $sql3 = <<< _SQL
    SELECT 
        count(tblOrdiniProgrammati.IdOrdineProgrammato) 
    FROM 
        tblOrdiniProgrammati 
    LEFT OUTER JOIN 
        Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine 
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE 
        $where        
        AND (tblOrdiniProgrammati.Eseguito IS NULL OR tblOrdiniProgrammati.Eseguito=0) 
	AND tblOrdiniProgrammati.datafine IS NULL 
        AND tblOrdiniProgrammati.IdEdificio = $key 
_SQL;

    $denominatore = ntxScalar($sql1);
    $numeratore = ntxScalar($sql3);
    if (floatval($denominatore) != 0.0) {
        $kpi = round(((1 - (floatval($numeratore) / floatval($denominatore))) * 100));
        if ($kpi == 100) {
            $legendIndex = 0;
        } else {
            $legendIndex = 1;
        }
        $kpi = ntxRoundThousand($kpi, 2);
    } else {
        $kpi = '-';
        $legendIndex = 2;
    }
    /*     * **************************************************** */

    $result .= <<< _HTML

    <div class="row table bordered" $legend[$legendIndex] >

        <div class="cell table w-1_4">

            <p class="large">$NomeEdificio</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$denominatore</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$numeratore</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$kpi %</p>

        </div>

    </div>

_HTML;
}
