<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
$IdCommessa = ntxise('IdCommessa');
$where = <<< _SQL
    MestiereCustomerCompilato.IdCommessa = $IdCommessa
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where .= <<< _SQL
    AND MestiereCustomerCompilato.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
    AND ElencoEdifici.ID = $IdEdificio 
_SQL;
} else {
    $whereEdificio = "";
}
 
 
 

$where .= <<< _SQL
AND MestiereCustomerCompilato.Anno = $Anno 
AND MestiereCustomerCompilato.Mese = $Mese 
_SQL;


$arrayEdifici = array();
//return edifici
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitEdifici 
	INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
$query = ntxQuery($sql2);
while ($rs = ntxRecord($query)) {
    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }
    $arrayEdifici[$rs['IdEdificio']] = $rs['EdificioBreve'];
}
$result = <<< _HTML

    <div class="title large">Report KPI 2<br><br>Valutazione qualit del servizio - Periodo di riferimento $Mese/$Anno</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">L'indicatore misura la qualit del servizio erogato nel sito, valutata dal responsabile Coca-Cola. La qualit del servizio svolto dai fornitori viene mensilmente valutata attraverso la compilazione di schede di audit, da parte di personale CCHBCI.</p>
    
    <p class="small"><b>Metodo di Misurazione</b> Media dei voti da 0 min. a 3 max. assegnati con le schede di valutazione per singola sede (0 = 0 3=100%)</p>

    <p class="small"><b>Target Mensile</b> &ge; 84% rilevazione qualit servizio</p>
    
    <div class="clrfx mt-10"></div>
        
    <div class="row table">

        <div class="cell table w-1_4">

            <div class="title table inline">Sede</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">Totale Voti</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">Media Votazione</div>

        </div>

        <div class="cell table w-1_4">

            <div class="title table inline">KPI</div>

        </div>

    </div>
        
_HTML;

foreach ($arrayEdifici as $key => $value) {

    if ($value == '') {
        continue;
    }
    $NomeEdificio = $value;
    //return # numero risposte
    $sql1 = <<< _SQL
    SELECT     
	count(MestiereCustomerCompilatoRisposte.IdRisposta) 
    FROM         
	MestiereCustomerCompilato 
        LEFT JOIN MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilatoRisposte.IdCustomerCom  = MestiereCustomerCompilato.ID
	LEFT JOIN MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
	LEFT JOIN MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
    WHERE  
        $where 
        AND MestiereCustomerCompilato.IdEdificio = $key 
_SQL;
    //return # Interventi non completati
    $sql3 = <<< _SQL
    SELECT      
	SUM(MestiereCustomerRisposte.Peso/100)
    FROM          
	MestiereCustomerCompilato  
        LEFT JOIN MestiereCustomerCompilatoRisposte ON MestiereCustomerCompilatoRisposte.IdCustomerCom  = MestiereCustomerCompilato.ID
	LEFT JOIN MestiereCustomerRisposte ON MestiereCustomerCompilatoRisposte.IdRisposta = MestiereCustomerRisposte.ID 
	LEFT JOIN MestiereCustomerDomande ON MestiereCustomerRisposte.IdDomanda = MestiereCustomerDomande.ID	 
    WHERE  
        $where           
        AND MestiereCustomerCompilato.IdEdificio = $key  
_SQL;

    $denominatore = ntxScalar($sql1);
    $rsn = ntxScalar($sql3);
    if (!is_numeric($rsn)) {
        $numeratore = 0.0;
    } else {
        $numeratore = $rsn;
    }
    if (floatval($denominatore) != 0.0) {
        $kpi = round((((floatval($numeratore) / floatval($denominatore))) * 100));
        if ($kpi >= 84) {
            $legendIndex = 0;
        } else {
            $legendIndex = 1;
        }
        $kpi = ntxRoundThousand($kpi, 2);
        $numeratore = (floatval($numeratore) * 3) / floatval($denominatore);
    } else {
        $kpi = '-';
        $legendIndex = 2;
    }
    $numeratore2write = ntxRoundThousand($numeratore, 2);
    /*     * **************************************************** */

    $result .= <<< _HTML

    <div class="row table bordered" $legend[$legendIndex] >

        <div class="cell table w-1_4">

            <p class="large">$NomeEdificio</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$denominatore</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$numeratore2write</p>

        </div>

        <div class="cell table w-1_4">

            <p class="large">$kpi %</p>

        </div>

    </div>

_HTML;
}
