<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */

$IdCommessa = ntxise('IdCommessa');
$where = <<< _SQL
    Richieste.IDCommessa = $IdCommessa
    AND Richieste.Classificazione LIKE 'Extracanone'
_SQL;
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');
$where .= <<< _SQL
    AND tblPgContrattiAffidatari.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
_SQL;
/* * **************************************************** */
if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = ntxip('IdEdificio');
    $whereEdificio = <<< _SQL
    AND ElencoEdifici.ID = $IdEdificio 
_SQL;
} else {
    $whereEdificio = "";
}
if ((isset($_POST['Mese'])  &&  is_numeric($_POST['Mese']))  &&  (isset($_POST['Anno'])  &&  is_numeric($_POST['Anno']))) {
    $MeseInizio = ntxip('Mese');
    $MeseFine = ($MeseInizio + 2);
    $AnnoInizio = ntxip('Anno');
    $AnnoFine = $AnnoInizio;
    if ($MeseFine > 12) {
        $MeseFine = ($MeseFine % 12);
        $AnnoFine += 1;
    }
    /*     * **************************************************** */
    $where .= <<< _SQL
    AND YEAR(Ordini.DataFine) BETWEEN $AnnoInizio AND $AnnoFine
    AND MONTH(Ordini.DataFine) BETWEEN $MeseInizio AND $MeseFine
_SQL;
    /*     * **************************************************** */
} else {
    jhp_error('Anno o Mese Error Post');
	}

$arrayEdifici = array();
//return edifici
$sql2 = <<< _SQL
   SELECT DISTINCT  
	ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve 
    FROM         
	tblPgContrattiAffidatariAttivitEdifici 
    INNER JOIN
	ElencoEdifici ON tblPgContrattiAffidatariAttivitEdifici.IdCommessa = ElencoEdifici.IdCommessa AND  tblPgContrattiAffidatariAttivitEdifici.IdEdificio = ElencoEdifici.ID
    WHERE    
	tblPgContrattiAffidatariAttivitEdifici.IdCommessa = $IdCommessa
	AND tblPgContrattiAffidatariAttivitEdifici.IdPgContrattoAffidatario = $IdPgContrattoAffidatario
        $whereEdificio
		
	AND ( ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>=getdate()  )	
_SQL;
$query = ntxQuery($sql2);
while ($rs = ntxRecord($query)) {
    foreach ($rs as $key => $value) {
        $rs[$key] = htmlentities($value);
    }
    $arrayEdifici[$rs['IdEdificio']] = $rs['EdificioBreve'];
}
/* * **************************************************** */
$result = <<< _HTML

    <div class="title large">Report KPI 6<br><br>Qualit&agrave; Servizio Attivit&agrave; Straordinarie - Periodo di riferimento $MeseInizio/$AnnoInizio - $MeseFine/$AnnoFine</div>

    <div class="clrfx mt-10"></div>
        
    <p class="normal">L'indicatore aggregato per tutte le sedi, misura la qualit dei servizi su richiesta. Dopo il completamento dell'attivit e prima della chiusura dell'ordine di lavoro, il responsabile Coca-Cola valuta l'intervento assegnando una valutazione sintetica: scadente - non sufficiente - mediocre - buono  ottimo  secondo la     Tabella rilievo soddisfazione extra </p>
    
    <p class="small"><b>Metodo di Misurazione</b> n. interventi con valutazione buono ed ottimo / n. interventi totali</p>

    <p class="small"><b>Target Mensile</b> 70% degli interventi con valutazione = buono ed  ottimo</p>
    
    <div class="clrfx mt-10"></div>
        
    <div class="row table">

        <div class="cell table w-1_6">

            <div class="title table inline">Sede</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">n. interventi totali</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">n. interventi con valutazione buono ed ottimo</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">KPI</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">Importo ExtraCanone Trimestrale</div>

        </div>

        <div class="cell table w-1_6">

            <div class="title table inline">Importo ExtraCanone Decurtato</div>

        </div>

    </div>
        
_HTML;
/* * **************************************************** */

foreach ($arrayEdifici as $key => $value) {

    if (strlen($value) == 0) {
        continue;
    }
    $NomeEdificio = $value;
    /*     * **************************************************** */
    $sql1 = <<< _SQL
    SELECT   
	count(Customers_Risposte.ID)
    FROM         
	Customers_Domande 
    INNER JOIN
        Customers_Risposte ON Customers_Domande.ID = Customers_Risposte.IdDomanda 
    INNER JOIN
        Ordini ON Customers_Risposte.IdCommessa = Ordini.IDCommessa AND Customers_Risposte.NumOrdine = Ordini.NumOrdine AND Customers_Risposte.AnnoOrdine = Ordini.AnnoOrdine
    INNER JOIN 
        Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE     
        $where 
        AND Richieste.Localizzazione = $key  
_SQL;
    /*     * **************************************************** */
    $sql3 = <<< _SQL
    SELECT   
	Customers_Risposte.IdValori_Risposta 
    FROM         
	Customers_Domande 
    INNER JOIN
        Customers_Risposte ON Customers_Domande.ID = Customers_Risposte.IdDomanda 
    INNER JOIN
        Ordini ON Customers_Risposte.IdCommessa = Ordini.IDCommessa AND Customers_Risposte.NumOrdine = Ordini.NumOrdine AND Customers_Risposte.AnnoOrdine = Ordini.AnnoOrdine
    INNER JOIN 
        Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa
    INNER JOIN 
	tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE     
	$where        
	AND Richieste.Localizzazione = $key 
_SQL;
    /*     * **************************************************** */
    
    $denominatore = ntxScalar($sql1);
    $numeratore = 0;
    $query = ntxQuery($sql3);
    while ($query  &&  $rs = ntxRecord($query)) {

        $IdValori_Risposta = $rs[IdValori_Risposta]; //stringa con tutte le risposte date
        $exp = explode(",", $IdValori_Risposta);

        $insert = false;
        foreach ($exp as $key1 => $IDtestValori) {
            $sql4 = <<< _SQL
		SELECT   
			ID, Peso
		FROM         
			Customers_ValoriRisposte
		WHERE     
			ID = $IDtestValori 
_SQL;
            $rs1 = ntxRecord(ntxQuery($sql4)); //verifica che il valore esista ancora
            $IDtestValori = $rs1[ID];
            $Peso = $rs1[Peso];

            if (is_numeric($Peso)  &&  $Peso == 1) {
                $insert = true;
            }
        }

        if ($insert) {
            $numeratore += 1;
        }
    }

    $sql5 = <<< _SQL
    SELECT   
	SUM(Contabilit.ImportoStimatoC)
    FROM         
	Customers_Domande 
    INNER JOIN
        Customers_Risposte ON Customers_Domande.ID = Customers_Risposte.IdDomanda 
    INNER JOIN
        Ordini ON Customers_Risposte.IdCommessa = Ordini.IDCommessa AND Customers_Risposte.NumOrdine = Ordini.NumOrdine AND Customers_Risposte.AnnoOrdine = Ordini.AnnoOrdine
    INNER JOIN 
        Richieste ON Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.IDCommessa = Richieste.IDCommessa
    INNER JOIN
        Contabilit ON Contabilit.IDCommessa = Ordini.IDCommessa AND Contabilit.NumOrdine = Ordini.NumOrdine AND Contabilit.AnnoOrdine = Ordini.AnnoOrdine	
    INNER JOIN 
        tblPgContrattiAffidatari ON Ordini.IdAffidatario = tblPgContrattiAffidatari.IdAffidatario
    WHERE     
	$where
	AND Contabilit.idStatoc >= 60
        AND Richieste.Localizzazione = $key  
_SQL;

    if ((floatval($denominatore) != 0.0)  &&  (floatval($denominatore) >= 5)) {
        $kpi = round((((floatval($numeratore) / floatval($denominatore))) * 100));
        if ($kpi >= 70) {
            $legendIndex = 0;
            $valPenaleDaApplicare = 0;
        } else {
            $legendIndex = 1;
            $valPenaleDaApplicare = 20;
        }
        $kpi = ntxRoundThousand($kpi, 2);
        $rsc = ntxScalar($sql5);
        if (is_numeric($rsc)) {
            $canoneTrimestrale = floatval($rsc);
            $penaleMese = round(($canoneTrimestrale * ($valPenaleDaApplicare / 100.00)), 2);
            $canoneDecurtato = round(($canoneTrimestrale - $penaleMese), 2);
            $canoneTrimestrale = ntxRoundThousand($canoneTrimestrale, 2);
            $canoneDecurtato = ntxRoundThousand($canoneDecurtato, 2);
        } else {
            $canoneTrimestrale = 0;
            $canoneDecurtato = 0;
        }
    } else {
        $kpi = '-';
        $legendIndex = 2;
        $canoneTrimestrale = '-';
        $canoneDecurtato = '-';
    }

    /*     * **************************************************** */

    if ($canoneTrimestrale != 0) {
        $result .= <<< _HTML

            <div class="row table bordered" $legend[$legendIndex] >

                <div class="cell table w-1_6">

                    <p class="large">$NomeEdificio</p>

                </div>

                <div class="cell table w-1_6">

                    <p class="large">$denominatore</p>

                </div>

                <div class="cell table w-1_6">

                    <p class="large">$numeratore</p>

                </div>

                <div class="cell table w-1_6">

                    <p class="large">$kpi %</p>

                </div>

                <div class="cell table w-1_6">

                    <p class="large">$canoneTrimestrale &euro;</p>

                </div>

                <div class="cell table w-1_6">

                    <p class="large">$canoneDecurtato &euro;</p>

                </div>

            </div>

_HTML;
    }
}
