/**
 * Document Ready function, create accordion. css stuffs in order to display
 * correctly styled accordion title. bind of a click function on all
 * accordion, al click (e solo al click) vengono caricati i jhp nelle select
 * che popolano le tendine. Dopodich viene effettuato un controllo sulla
 * coerenza dei campi visualizzati nelle tendine.
 * @returns {undefined}
 */
$(function () {

    $("#accordion").accordion({
        header: "h3",
        collapsible: true,
        active: false,
        heightStyle: "content"
    });

    $('h3.button').toggleClass('ui-accordion-icons');

    $('h3.button').click(function () {
        if ($(this).hasClass('entypo-down-open-big')) {
            $('h3.button').removeClass('entypo-down-open-big');
            $('h3.button').removeClass('entypo-up-open-big');
            $('h3.button').addClass('entypo-down-open-big');
            $(this).removeClass('entypo-down-open-big');
            $(this).addClass('entypo-up-open-big');
        } else {
            $('h3.button').removeClass('entypo-down-open-big');
            $('h3.button').removeClass('entypo-up-open-big');
            $('h3.button').addClass('entypo-down-open-big');
            $(this).removeClass('entypo-up-open-big');
            $(this).addClass('entypo-down-open-big');
        }
    });

    $('#accordionMediaKPI').click(function () {
        caricaSelectLocalizzazioni(document.formMediaKPI);
        caricaSelectDate(document.formMediaKPI, 1);
        CheckSelect(document.formMediaKPI);
    });

    $('#accordionKPI1').click(function () {
        caricaSelectLocalizzazioni(document.formKPI1);
        caricaSelectDate(document.formKPI1);
        CheckSelect(document.formKPI1);
    });

    $('#accordionKPI2').click(function () {
        caricaSelectLocalizzazioni(document.formKPI2);
        caricaSelectDate(document.formKPI2);
        CheckSelect(document.formKPI2);
    });

    $('#accordionKPI3').click(function () {
        caricaSelectLocalizzazioni(document.formKPI3);
        caricaSelectDate(document.formKPI3);
        CheckSelect(document.formKPI3);
    });

    $('#accordionKPI4').click(function () {
        caricaSelectLocalizzazioni(document.formKPI4);
        caricaSelectDate(document.formKPI4);
        CheckSelect(document.formKPI4);
    });

    $('#accordionKPI5').click(function () {
        caricaSelectLocalizzazioni(document.formKPI5);
        caricaSelectDate(document.formKPI5);
        CheckSelect(document.formKPI5);
    });

    $('#accordionKPI6').click(function () {
        caricaSelectLocalizzazioni(document.formKPI6);
        caricaSelectTrimestre(document.formKPI6);
        CheckSelect(document.formKPI6);
    });

});

/**
 * Carica solo gli edifici su cui insiste il contratto affidatario
 * @param {document_form} frm
 * @returns {void}
 */
function caricaSelectLocalizzazioni(frm)
{
    var result = jhp("jhp/select_localizzazioni.php", jhp_frm(frm));
    if (result.state) {
        console.log(result.message);
    } else {
        $(frm.IdEdificio).html(result.value);
		
		$(frm.IdEdificio).html(result.value);
    }
}

/**
 * Carica Mese e Anno del contratto affidatario
 * @param {document_form} frm
 * @returns {void}
 */
function caricaSelectDate(frm, opzione1)
{
	opzione1 = (typeof(opzione1)==='undefined') ? 0 : opzione1; 
	
	var obj = jhp_frm(frm);
	obj.opzione1 = opzione1; 
	
    var result = jhp("jhp/select_date.php", obj);
    if (result.state) {
        console.log(result.message);
    } else {
        $(frm.sceltaIntervallo).html(result.value);
    }
}

/**
 * Carica solo i trimestri del contratto affidatario
 * @param {document_form} frm
 * @returns {void}
 */
function caricaSelectTrimestre(frm)
{
    var result = jhp("jhp/select_trimestre.php", jhp_frm(frm));
    if (result.state) {
        console.log(result.message);
    } else {
        $(frm.trimestre).html(result.value);
    }
}

/**
 * 
 * @param {document.form} frm
 * @returns {undefined}
 */
function CheckSelect(frm) {
    var toCheck = '';
    if (frm.name == 'formKPI6') {
        toCheck = frm.trimestre.value;
    } else {
        toCheck = frm.sceltaIntervallo.value;
    } 
	
    if (toCheck == 'all' || toCheck == 'anno_corrente' || toCheck == 'trimestre_in_corso' || toCheck == 'anno_precedente') {
        $('.option2hide').addClass('disabled');
        $('.option2hide').attr('disabled', 'disabled');
        $('.option2hide').removeAttr('selected');
        $('.option2hide').hide();
    } else {
        $('.option2hide').removeClass('disabled');
        $('.option2hide').removeAttr('disabled');
        $('.option2hide').attr('selected', 'selected');
        $('.option2hide').show();
    }
}