<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');

$sql1 = <<< _SQL
    SELECT DISTINCT 
	tblPgAffidatari.Nome, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine 
    FROM 
	tblPgContrattiAffidatari 
    INNER JOIN 
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario 
    WHERE 
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa 
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
_SQL;
$rs = ntxRecord(ntxQuery($sql1));

$sql2 = <<< _SQL
SELECT   
    DATEDIFF(month,DataInizio,DataFine) AS a1
FROM         
    tblPgContrattiAffidatari	 
WHERE
	IdPgContrattoAffidatario = $IdPgContrattoAffidatario 
_SQL;
$mesiConvenzioneDef = ntxScalar($sql2);
if (is_numeric($mesiConvenzioneDef)) {
    $mesiConvenzione = $mesiConvenzioneDef;
} else {
    $mesiConvenzione = 0;
}
?>

<!DOCTYPE HTML>
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/libs/jquery_latest/jquery-ui.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="/repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="/repository/libs/jquery_latest/jquery.min.js?v=<?php echo time() ?>" type="text/javascript"></script>
        <script src="/repository/libs/jquery_latest/jquery-ui.min.js?v=<?php echo time() ?>" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js?v=<?php echo time() ?>" type="text/javascript"></script>

        <script src="js/kpi.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <div class="title large"><?php echo htmlentities($rs[Nome]) ?></div>

        <div class="clrfx mt-10"></div>

        <div class="title small">Contratto dal <?php echo htmlentities(ntxDate($rs[DataInizio])) ?> al <?php echo htmlentities(ntxDate($rs[DataFine])) ?> (<?php echo $mesiConvenzione ?> mesi)</div>

        <div class="clrfx mt-30"></div>

        <div class="title normal">Elenco Servizi KPI</div>

        <div class="clrfx mt-30"></div>

        <div class="row">

            <div class="cell w-1_6"></div>

            <div  id="accordion" class="cell w-2_3">

                <h3 id="accordionMediaKPI" class="button entypo-down-open-big">Media KPI da 1 a 5</h3>
                <div>

                    <form id="formMediaKPI" name="formMediaKPI" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="Media KPI da 1 a 5">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <input type="hidden" name="mesiConvenzione" value="<?php echo $mesiConvenzione ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formMediaKPI)"></select>
                        <select name="IdEdificio" id="IdEdificioMediaKPI" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formMediaKPI" >

                    </form>

                </div>

                <h3 id="accordionKPI1" class="button entypo-down-open-big">KPI 1 - Monitoraggio Attività Contrattuali</h3>
                <div>

                    <form id="formKPI1" name="formKPI1" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 1">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formKPI1)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI1" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI1" />

                    </form>

                </div>

                <h3 id="accordionKPI2" class="button entypo-down-open-big" >KPI 2 - Valutazione Qualità del Servizio</h3>
                <div>

                    <form id="formKPI2" name="formKPI2" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 2">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formKPI2)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI2" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI2" />

                    </form>

                </div>

                <h3 id="accordionKPI3" class="button entypo-down-open-big">KPI 3 - Monitoraggio Disservizi</h3>
                <div>

                    <form id="formKPI3" name="formKPI3" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 3">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formKPI3)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI3" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI3" />

                    </form>

                </div>

                <h3 id="accordionKPI4" class="button entypo-down-open-big">KPI 4 - Monitoraggio Attività Aperte</h3>
                <div>

                    <form id="formKPI4" name="formKPI4" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 4">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formKPI4)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI4" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI4" />

                    </form>

                </div>

                <h3 id="accordionKPI5" class="button entypo-down-open-big">KPI 5 - Monitoraggio Amministrazione</h3>
                <div>

                    <form id="formKPI5" name="formKPI5" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 5">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="sceltaIntervallo" required onchange="CheckSelect(document.formKPI5)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI5" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI5" />

                    </form>

                </div>

                <h3 id="accordionKPI6" class="button entypo-down-open-big">KPI 6 - Qualità Servizio Attività Straordinarie</h3>
                <div>

                    <form id="formKPI6" name="formKPI6" method="post" action="reportKPI.php" >

                        <input type="hidden" name="DescKpi" value="KPI 6">
                        <input type="hidden" name="IdPgContrattoAffidatario" value="<?php echo $IdPgContrattoAffidatario ?>" >
                        <select name="trimestre" required onchange="CheckSelect(document.formKPI6)"></select>
                        <select name="IdEdificio" id="IdEdificioKPI6" required></select>
                        <input type="submit" value="Visualizza Resoconto Penali" class="button entypo-right-bold" form="formKPI6" />

                    </form>

                </div>

            </div>

            <div class="cell w-1_6"></div>

        </div> 

        <div class="clrfx mt-30"></div>

        <div class="row">

            <div class="cell w-1_6"></div>

            <div class="cell w-2_3">

                <a class="button entypo-back" href="index2.php" >Seleziona Affidatario</a>

            </div>

            <div class="cell w-1_6"></div>

        </div>

        <form id="form1" name="form1" method="post" action="" >

            <?php ntxCreateHiddens(); ?>

        </form>

    </body>

</html>
