<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdPgContrattoAffidatario = ntxip('IdPgContrattoAffidatario');



$sql1 = <<< _SQL
    SELECT DISTINCT 
	tblPgAffidatari.Nome, tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine 
    FROM 
	tblPgContrattiAffidatari 
    INNER JOIN 
	tblPgAffidatari ON tblPgContrattiAffidatari.IdAffidatario = tblPgAffidatari.IdAffidatario 
    WHERE 
	tblPgContrattiAffidatari.IdCommessa=$IdCommessa 
	AND tblPgContrattiAffidatari.IdPgContrattoAffidatario=$IdPgContrattoAffidatario 
_SQL;
$rs = ntxRecord(ntxQuery($sql1));




$report6 = 0;
$grafico = 0;

 
if ((isset($_POST['sceltaIntervallo'])  &&  strlen($_POST['sceltaIntervallo']) > 0)) {
    if ($_POST['sceltaIntervallo'] != 'all') {
        $sceltaIntervallo2 = $_POST['sceltaIntervallo']; 
		$grafico = 1;
		
		
		if($_POST[DescKpi]=='Media KPI da 1 a 5')
		{
			$sceltaIntervallo2 = explode('-', $_POST['sceltaIntervallo']);
			$Mese = $sceltaIntervallo2[0];
			$Anno = $sceltaIntervallo2[1];
			$grafico = 0;
		}
		
    } else {
        //grafico
        $sceltaIntervallo2 = $_POST['sceltaIntervallo']; 
        $grafico = 1;
		
		if($_POST[DescKpi]=='Media KPI da 1 a 5')
		{
			$sceltaIntervallo2 = explode('/', htmlentities(ntxDate($rs[DataInizio])));
			$Mese = $sceltaIntervallo2[1];
			$Anno = $sceltaIntervallo2[2];
			$grafico = 0;
		}
		
    }
}


 
 

$sql2 = <<< _SQL
SELECT   
    DATEDIFF(month,DataInizio,DataFine) AS a1
FROM         
    tblPgContrattiAffidatari	 
WHERE
	IdPgContrattoAffidatario = $IdPgContrattoAffidatario 
_SQL;
$mesiConvenzioneDef = ntxScalar($sql2);
if (is_numeric($mesiConvenzioneDef)) {
    $mesiConvenzione = $mesiConvenzioneDef;
} else {
    $mesiConvenzione = 0;
}

// format of trimestre = 0 (int), we are in kpi6
if ((isset($_POST['trimestre'])  &&  strlen($_POST['trimestre']) > 0)) {
    if ($_POST['trimestre'] != 'all') {
        $sceltaIntervallo2 = explode('-', $_POST['trimestre']);
        $Mese = $sceltaIntervallo2[0];
        $Anno = $sceltaIntervallo2[1];
        $report6 = 1;
    } else {
        //grafico
        $sceltaIntervallo2 = explode('/', htmlentities(ntxDate($rs[DataInizio])));
        $Mese = $sceltaIntervallo2[1];
        $Anno = $sceltaIntervallo2[2];
        $report6 = 1;
        $grafico = 1;
    }
}

//unset($_POST['sceltaIntervallo']);
?>
<!DOCTYPE HTML>
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="/repository/css/style.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">

        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>

        <script language="javascript" type="text/javascript" src="/repository/libs/flot_latest/jquery.flot.js"></script>
        <script language="javascript" type="text/javascript" src="/repository/libs/flot_latest/jquery.flot.selection.js"></script> 
        <script language="javascript" type="text/javascript" src="/repository/libs/flot_latest/jquery.flot.canvas.js"></script> 
        <script language="javascript" type="text/javascript" src="/repository/libs/flot_latest/jquery.flot.time.js"></script>  
        <script language="javascript" type="text/javascript" src="/repository/libs/flot_latest/jquery.flot.tickrotor.js"></script>	

        <script src="js/reportKPI.js?v=<?php echo time() ?>" type="text/javascript"></script>

        <style>
            .demo-container {
                box-sizing: border-box;
                /*width: 2000px;*/
                height: 600px;
                padding: 20px 15px 15px 15px;
                margin: 15px auto 30px auto;
                border: 1px solid #ddd;
                background: #fff;
                background: linear-gradient(#f6f6f6 0, #fff 50px);
                background: -o-linear-gradient(#f6f6f6 0, #fff 50px);
                background: -ms-linear-gradient(#f6f6f6 0, #fff 50px);
                background: -moz-linear-gradient(#f6f6f6 0, #fff 50px);
                background: -webkit-linear-gradient(#f6f6f6 0, #fff 50px);
                box-shadow: 0 3px 10px rgba(0,0,0,0.15);
                -o-box-shadow: 0 3px 10px rgba(0,0,0,0.1);
                -ms-box-shadow: 0 3px 10px rgba(0,0,0,0.1);
                -moz-box-shadow: 0 3px 10px rgba(0,0,0,0.1);
                -webkit-box-shadow: 0 3px 10px rgba(0,0,0,0.1);
            }

            .demo-placeholder {
                width: 100%;
                height: 100%;
                font-size: 14px;
                line-height: 1.2em;
            }

            .legend table {
                border-spacing: 5px;
            }	
        </style>
    </head>

    <body>

        <div class="row">

            <div class="cell w-1_6">

                <div class="clrfx mt-5"></div>

                <a class="button entypo-back" onclick="Back2('kpi.php')">Seleziona Servizio KPI</a>

                <div class="clrfx mt-5"></div>

                <a class="button entypo-back" href="index2.php" >Seleziona Affidatario</a>

            </div>            

            <div class="cell w-2_3">

                <div class="title large"><?php echo htmlentities($rs[Nome]) ?></div>

                <div class="clrfx mt-10"></div>

                <div class="title small">Contratto dal <?php echo htmlentities(ntxDate($rs[DataInizio])) ?> al <?php echo htmlentities(ntxDate($rs[DataFine])) ?> (<?php echo $mesiConvenzione ?> mesi)</div>

                <div class="clrfx mt-10"></div>

                <div id="legendaPenali" class="cell w-1"></div>

                <div class="clrfx mt-10"></div>

                <div id="Risultati" class="cell w-1"></div>

                <div id="Explosion" class="cell w-1"></div>

            </div>

            <div class="cell w-1_6">

                <div class="clrfx mt-5"></div>

                <a class="button entypo-back" onclick="ExcelKPI()">Scarica il File Excel</a>

            </div>

        </div>

        <form id="form1" name="form1" method="post" action="" >

            <?php ntxCreateHiddens(); ?>

		 
            <input type="hidden" name="Mese" value="<?php echo $Mese ?>" >
            <input type="hidden" name="Anno" value="<?php echo $Anno ?>" >
			 
			
           <!-- <input type="hidden" name="sceltaIntervallo" value="<?php echo $sceltaIntervallo ?>" > -->
            <input type="hidden" name="report6" value="<?php echo $report6 ?>" >
            <input type="hidden" name="grafico" value="<?php echo $grafico ?>" >

        </form>

    </body>

</html>
