<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$IdElemento = ntxip('IdElemento');
 
 
$result = array();

$sql = <<< sql
SELECT  DISTINCT   
	Movimenti.*, 
	MovimentiTipo.Descrizione AS Tipo,
	ElencoEdifici.Codice+' '+ElencoEdifici.EdificioBreve AS Localizzazione
FROM         
	Movimenti
	LEFT OUTER JOIN
	MovimentiTipo ON MovimentiTipo.ID = Movimenti.IdMovimentiTipo
	LEFT OUTER JOIN
	ElencoEdifici ON Movimenti.IdCommessa = ElencoEdifici.IdCommessa AND Movimenti.IdEdificio = ElencoEdifici.ID
WHERE 	
	Movimenti.ID = $IdElemento 
sql;
 
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Localizzazione = $rs[Localizzazione];
	$Descrizione = $rs[Descrizione];
	$color = "#CD5555";
	
	$OraIngresso = $rs[OraIngresso];
	$OraUscita = $rs[OraUscita]; 

	
	$result[] = array(
		'id' => "MOVIMENTO"."_"."COM:$IdCommessa"."_"."MOVIMENTO:$IdElemento" 
		,'title' => "[$Localizzazione] $Descrizione" 
		,'start' => $OraIngresso
		,'end' => $OraUscita 
		 
		,'OraIngresso' => ntxDateTime($rs[OraIngresso]) 
		,'OraUscita' => ntxDateTime($rs[OraUscita])    		
		,'Localizzazione' => htmlentities($rs[Localizzazione])  
		,'Descrizione' => htmlentities($rs[Descrizione])
		
		,'sqlDataIngresso' => $rs[OraIngresso]
		,'sqlDataUscita' => $rs[OraUscita]
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
