<?php
require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
 
 
$result = array();

$sql = <<< sql
SELECT     
	ElencoEdifici.Codice + ' ' + ElencoEdifici.EdificioBreve AS Localizzazione, 
	RichiestePrenotazioni.NumeroPartecipanti, 
	RichiestePrenotazioni.DataPrenotazione1,  RichiestePrenotazioni.DataPrenotazione2, RichiestePrenotazioni.OraInizio, RichiestePrenotazioni.OraFine, 
	RichiestePrenotazioni.RitiroChiave,  RichiestePrenotazioni.RichiestaBeamer, RichiestePrenotazioni.Note, 
	Richieste.Descrizione+' '+Richieste.Descrizione1+' '+Richieste.Descrizione2 AS DescrizioneRichiesta
	,Risorse.NOME AS Risorsa
	,PrestazioniOrdini.descrizione AS PrestazioniOrdini
	
FROM         
	Ordini INNER JOIN
	Richieste ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
	Ordini.AnnoRichiesta = Richieste.AnnoRichiesta 
	INNER JOIN
	RichiestePrenotazioni ON Richieste.IDCommessa = RichiestePrenotazioni.IdCommessa AND Richieste.NumRichiesta = RichiestePrenotazioni.NumRichiesta AND 
	Richieste.AnnoRichiesta = RichiestePrenotazioni.AnnoRichiesta 
	INNER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID 
	LEFT OUTER JOIN
	PrestazioniOrdini ON Ordini.PrestazioneEffettuata = PrestazioniOrdini.id AND Ordini.IDCommessa = PrestazioniOrdini.IdCommessa
					  
					  
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = $AnnoOrdine)	
sql;
 
$query = ntxQuery($sql);

while( $rs = ntxRecord($query) )
{
	$Localizzazione = $rs[Localizzazione];
	$Descrizione = $rs[DescrizioneRichiesta];
	$color = "#CD5555"; 
	
	
	$DataPrenotazione1 = $rs[DataPrenotazione1];
	$DataPrenotazione2 = $rs[DataPrenotazione2]; 
 
	$DataPrenotazione1 = ntxt( ntxDate($rs[DataPrenotazione1])." ".$rs[OraInizio] ) ; 
	$DataPrenotazione2 = ntxt( ntxDate($rs[DataPrenotazione2])." ".$rs[OraFine] ) ; 
 
	$DataPrenotazione1 = ntxScalar("SELECT $DataPrenotazione1"); 
	$DataPrenotazione2 = ntxScalar("SELECT $DataPrenotazione2"); 
 
	$rs[RichiestaBeamer] = ($rs[RichiestaBeamer]==1) ? 'SI' : 'NO';
	
	if(strlen($rs[Risorsa])>0)
		$rs[Risorsa] = "Risorsa: $rs[Risorsa]";
	
	if(strlen($rs[PrestazioniOrdini])>0)
		$rs[PrestazioniOrdini] = "Risorsa: $rs[PrestazioniOrdini]";
	
	$Prenotazione = <<<_HTML
	
	Numero Partecipanti : $rs[NumeroPartecipanti]
	Fascia Oraria: $rs[OraInizio] alle $rs[OraFine]
	Chiave: $rs[RitiroChiave]
	Beamer: $rs[RichiestaBeamer]
	Note : $rs[Note]
	$rs[Risorsa]
	$rs[PrestazioniOrdini]
_HTML;
	
	
	$title = <<<_HTML
	
	Ordine $NumOrdine/$AnnoOrdine	
	[$Localizzazione] $Descrizione
	$Prenotazione
_HTML;
	
	
	
	
	$result[] = array(
		'id' => "ORDINE"."_"."COM:$IdCommessa"."_"."NumOrdine:$NumOrdine"."_"."AnnoOrdine:$AnnoOrdine" 
		,'title' => $title 
		,'start' => $DataPrenotazione1
		,'end' => $DataPrenotazione2 
		 
		,'DataPrenotazione1' => ntxDate($rs[DataPrenotazione1])." ".$rs[OraInizio]
		,'DataPrenotazione2' => ntxDate($rs[DataPrenotazione2])." ".$rs[OraFine] 		
		,'Localizzazione' => htmlentities($rs[Localizzazione])  
		,'Descrizione' => htmlentities($rs[Descrizione])
		
		,'FasciaOraria' => $rs[OraInizio]." - ".$rs[OraFine]
		
		,'Prenotazione' => $Prenotazione
		
		,'sqlDataPrenotazione1' => $DataPrenotazione1
		,'sqlDataPrenotazione2' => $DataPrenotazione2
		
		,'allDay' => false
		,'color' => $color
	);
}


$json = new Services_JSON();
echo $json->encode( $result  );
?>
