<?php
$IdCommessa = ntxise('IdCommessa');

$sql =  <<< sql
SELECT
	Ordini.*  ,
	Ordini.DataPresaInCarico AS DataPC
	,CASE WHEN Ordini.Contabiliz='canone' THEN 1 ELSE 0 END IsCanone
	,Ordini.RichiestoAggiornamentoCensimento AS RAC	
	,tblPgPropietari.Nome AS Ente
	,ElencoEdifici.EdificioBreve
	,ElencoEdifici.Indirizzo
	,ElencoEdifici.CITTA
	,ElencoEdifici.PROVINCIA, 
	Ordini.CodEdificio AS Localizzazione,
	Ordini.CodEdificio AS IdEdificio,	
	PianoLivello.CodiceAssLivello AS CodPiano, 
	DestinazioniDusoLivello.Destinazione AS DesPiano, 
	Ambiente.CodiceAssAmbiente AS CodVano, 
	DestinazioniDuso.Destinazione AS DesVano, 
	ComponentiAmbiente.CodiceAssComponente AS CodComp, 
	TipoComponente.DesComponente AS DesComp,
	TabellaGradoUrgenza.GradoU CodGradoUrgenzaRichiesta,
	TabellaGradoUrgenza.Descrizione GradoUrgenzaRichiesta 
	,Risorse.NOME AS Risorsa
	,Ordini.DataScadenzaOriginale DataSO	
	,Ordini.DataScadenzaPresaInCarico DataSPC 
	,Ordini.DataScadenzaPresaInCaricoOriginale DataSPCO 
	,StatiOrdini.DesStato
	,Richieste.Richiedente 
	,Richieste.TelefonoRif 
	,Richieste.Riferimento 
	,Richieste.TelefonoRif 		
	,Richiedenti.Nome AS IdRichiedeteNome
		
FROM         
	Richieste LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
	Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU RIGHT OUTER JOIN
	Ordini INNER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND 
	Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
	TipoComponente RIGHT OUTER JOIN
	ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
	TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente ON Ordini.IDCommessa = ComponentiAmbiente.IdCommessa AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IdComponente = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
	DestinazioniDuso RIGHT OUTER JOIN
	Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso ON 
	Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IdAmbiente = Ambiente.IDAmbiente LEFT OUTER JOIN
	DestinazioniDusoLivello RIGHT OUTER JOIN
	PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
	Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
	TipologieIntervento ON Ordini.IDCommessa = TipologieIntervento.IdCommessa AND 
	Ordini.IdTipologiaIntervento = TipologieIntervento.Id LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID
	LEFT OUTER JOIN	
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	
	
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;
 
$record = ntxRecord( ntxQuery($sql) );

$record['NumOrdine'] = (int)$record['NumOrdine'];

$record['ImportoStimatoAffidatario'] = (!is_null($record['ImportoStimatoAffidatario'])) ? (float)$record['ImportoStimatoAffidatario'] : null;
$record['ImportoStimatoEsecutore'] = (!is_null($record['ImportoStimatoEsecutore'])) ? (float)$record['ImportoStimatoEsecutore'] : null;


$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);

$record['DataInizioSopralluogo'] = ntxDateTime($record['DataInizioSopralluogo']);
$record['DataFineSopralluogo'] = ntxDateTime($record['DataFineSopralluogo']);

$record['DataInizio'] = ntxDateTime($record['DataInizio']);
$record['DataFine'] = ntxDateTime($record['DataFine']);

$record['OreRisorse'] = ntxRound($record['OreRisorse'],2);
$record['CostoIntervento'] = ntxRound($record['CostoIntervento'],2);

$record['DataAggiornamentoCensimento'] = ntxDateTime($record['DataAggiornamentoCensimento']);
$record['Descrizione'] = $record['DescrizioneIntervento'].$record['DescrizioneIntervento1'].$record['DescrizioneIntervento2'];

$record['DataSospensione'] = ntxDateTime($record['DataSospensione']);
$record['DataRipresaProg'] = ntxDateTime($record['DataRipresaProg']);
$record['DataRipresa'] = ntxDateTime($record['DataRipresa']);

$record['DataPC'] = ntxDateTime($record['DataPC']);
$record['DataSPC'] = ntxDateTime($record['DataSPC']);
$record['DataSPCO'] = ntxDateTime($record['DataSPCO']);
$record['DataScadenza'] = ntxDateTime($record['DataScadenza']);
$record['DataSO'] = ntxDateTime($record['DataSO']); 

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );
?>