<?php 
session_start();
require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine', false);	
$AnnoOrdine = ntxip('AnnoOrdine', false);	

$sql =  <<< sql
SELECT
	Ordini.*  ,
	Ordini.DataPresaInCarico AS DataPC
	,CASE WHEN Ordini.Contabiliz='canone' THEN 1 ELSE 0 END IsCanone
	,Ordini.RichiestoAggiornamentoCensimento AS RAC	
	,tblPgPropietari.Nome AS Ente
	,ElencoEdifici.EdificioBreve
	,ElencoEdifici.Indirizzo
	,ElencoEdifici.CITTA
	,ElencoEdifici.PROVINCIA, 
	Ordini.CodEdificio AS Localizzazione,
	Ordini.CodEdificio AS IdEdificio,	
	PianoLivello.CodiceAssLivello AS CodPiano, 
	DestinazioniDusoLivello.Destinazione AS DesPiano, 
	Ambiente.CodiceAssAmbiente AS CodVano, 
	DestinazioniDuso.Destinazione AS DesVano, 
	ComponentiAmbiente.CodiceAssComponente AS CodComp, 
	TipoComponente.DesComponente AS DesComp,
	TabellaGradoUrgenza.GradoU CodGradoUrgenzaRichiesta,
	TabellaGradoUrgenza.Descrizione GradoUrgenzaRichiesta 
	,Risorse.NOME AS Risorsa
	,Ordini.DataScadenzaOriginale DataSO	
	,Ordini.DataScadenzaPresaInCarico DataSPC 
	,Ordini.DataScadenzaPresaInCaricoOriginale DataSPCO 
	,StatiOrdini.DesStato
	,Richieste.Richiedente 
	,Richieste.TelefonoRif 
	,Richieste.Riferimento 
	,Richieste.TelefonoRif 		
	,Richiedenti.Nome AS IdRichiedeteNome
		
FROM         
	Richieste LEFT OUTER JOIN
	TabellaGradoUrgenza ON Richieste.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
	Richieste.GradoUrgenza = TabellaGradoUrgenza.GradoU RIGHT OUTER JOIN
	Ordini INNER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND 
	Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
	TipoComponente RIGHT OUTER JOIN
	ComponentiAmbiente ON TipoComponente.IdCommessa = ComponentiAmbiente.IdCommessa AND 
	TipoComponente.IDTipoComponente = ComponentiAmbiente.IdTipoComponente ON Ordini.IDCommessa = ComponentiAmbiente.IdCommessa AND 
	Ordini.CodEdificio = ComponentiAmbiente.IdEdificio AND Ordini.IdComponente = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
	DestinazioniDuso RIGHT OUTER JOIN
	Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso ON 
	Ordini.IDCommessa = Ambiente.IdCommessa AND Ordini.CodEdificio = Ambiente.IdEdificio AND 
	Ordini.IdAmbiente = Ambiente.IDAmbiente LEFT OUTER JOIN
	DestinazioniDusoLivello RIGHT OUTER JOIN
	PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
	Ordini.IDCommessa = PianoLivello.IdCommessa AND Ordini.CodEdificio = PianoLivello.IdEdificio AND 
	Ordini.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
	TipologieIntervento ON Ordini.IDCommessa = TipologieIntervento.IdCommessa AND 
	Ordini.IdTipologiaIntervento = TipologieIntervento.Id LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	LEFT OUTER JOIN
	Risorse ON Ordini.IdRisorsa = Risorse.ID
	LEFT OUTER JOIN	
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	
	
WHERE     
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;
 
$record = ntxRecord( ntxQuery($sql) );

$record['NumOrdine'] = (int)$record['NumOrdine'];

$record['ImportoStimatoAffidatario'] = (!is_null($record['ImportoStimatoAffidatario'])) ? (float)$record['ImportoStimatoAffidatario'] : null;
$record['ImportoStimatoEsecutore'] = (!is_null($record['ImportoStimatoEsecutore'])) ? (float)$record['ImportoStimatoEsecutore'] : null;


$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);

$record['DataInizioSopralluogo'] = ntxDateTime($record['DataInizioSopralluogo']);
$record['DataFineSopralluogo'] = ntxDateTime($record['DataFineSopralluogo']);

$record['DataInizio'] = ntxDateTime($record['DataInizio']);
$record['DataFine'] = ntxDateTime($record['DataFine']);

$record['OreRisorse'] = ntxRound($record['OreRisorse'],2);
$record['CostoIntervento'] = ntxRound($record['CostoIntervento'],2);

$record['DataAggiornamentoCensimento'] = ntxDateTime($record['DataAggiornamentoCensimento']);
$record['Descrizione'] = $record['DescrizioneIntervento'].$record['DescrizioneIntervento1'].$record['DescrizioneIntervento2'];

$record['DataSospensione'] = ntxDateTime($record['DataSospensione']);
$record['DataRipresaProg'] = ntxDateTime($record['DataRipresaProg']);
$record['DataRipresa'] = ntxDateTime($record['DataRipresa']);

$record['DataPC'] = ntxDateTime($record['DataPC']);
$record['DataSPC'] = ntxDateTime($record['DataSPC']);
$record['DataSPCO'] = ntxDateTime($record['DataSPCO']);
$record['DataScadenza'] = ntxDateTime($record['DataScadenza']);
$record['DataSO'] = ntxDateTime($record['DataSO']);  
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="X-UA-Compatible" content="IE=9" /> 
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery.js"></script>
	<script type="text/javascript" src="/repository/libs/jquery_nameless/jquery-ui.js"></script>
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">		
	
	<style>
	*
	{
		font-family: Verdana, Arial, Helvetica, sans-serif;
		font-size: 11px;
	}
	
	table, td, th
	{
		border: solid 1px black;
		border-collapse: collapse;
	}
	
	table
	{
		width: 500px !important;
		margin-bottom: 15px;
	}
	
	.caption
	{
		background: #000000 !important;
		color: #FFFFFF !important;
		font-weight: bold !important;
		font-size: 120% !important;
		text-align: center;
	}
	 
	@media print 
	{
		*
		{ 
			-webkit-print-color-adjust: exact; 
		}
	} 
	</style>
</head>
<body > 

<div align="center" >

	<table>
 		<tr>
			<td colspan="2" class="caption" >Ordine 
			
 		<tr>
			<th>Richiesta
			<td>
				<?php echo htmlentities($record['NumRichiesta']) ?>
				<?php echo htmlentities($record['AnnoRichiesta']) ?> 
	
 		<tr>
			<th>Ordine
			<td>
				<?php echo htmlentities($record['NumOrdine']) ?>
				<?php echo htmlentities($record['AnnoOrdine']) ?> 	 		
				
		<tr>
			<th>Richiedente  
			<td><?php echo htmlentities($record['IdRichiedeteNome']) ?> 	 	 
				
		<tr>
			<th>Richiedente  esteso
			<td><?php echo htmlentities($record['Richiedente']) ?> 	 	 
				
		<tr>
			<th>Richiedente  tel
			<td><?php echo htmlentities($record['TelefonoRif']) ?> 	 	 
				
		<tr>
			<th>Riferimento
			<td><?php echo htmlentities($record['Riferimento']) ?> 	 	  
				
		<tr>
			<th>Riferimento tel.
			<td><?php echo htmlentities($record['RiferimentoTelefono']) ?> 	 	  		
				
	</table>
 
 
	<table class="larghezzaFissa" >
 		<tr>
			<td colspan="2" class="caption" >Stato	
			
		<tr>
			<th>Stato
			<td><?php echo htmlentities($record['DesStato']) ?> 	 	  		
				 
		
		<tr>
			<th>Risorsa
			<td><?php echo htmlentities($record['Risorsa']) ?> 	 	   
			
		<tr>	
			<th>Data PC
			<td><?php echo htmlentities($record['DataPC']) ?> 	 	 
			
		<tr>
			<th>Data Inizio
			<td><?php echo htmlentities($record['DataInizio']) ?> 	 	 
			
		<tr>
			<th>Data Fine
			<td><?php echo htmlentities($record['DataFine']) ?> 	 	    			 								 
	</table>
 
 
	<table class="larghezzaFissa" >
 		<tr>
			<td colspan="2" class="caption" >Attività eseguite  
		
		<tr>	
			<th>Note prenotazione
			<td><?php echo htmlentities($record['Intervento']) ?> 	 	    
		<tr>
			<th>Azione
			<td><?php echo htmlentities($record['PrestazioneEffettuata']) ?> 	  				 
	</table>
	

	<?php 
	$NumRichiesta = (int)$record['NumRichiesta'];
	$AnnoRichiesta = (int)$record['AnnoRichiesta'];
	
	$sql = <<< sql
		SELECT RichiestePrenotazioni.* 
		
		FROM  RichiestePrenotazioni
		
		WHERE  
			RichiestePrenotazioni.NumRichiesta=$NumRichiesta  AND RichiestePrenotazioni.AnnoRichiesta=$AnnoRichiesta  AND RichiestePrenotazioni.IdCommessa=$IdCommessa
sql;
 
	$record2 = ntxRecord( ntxQuery($sql) );

	$record2[DataPrenotazione1] = ntxDate( $record2[DataPrenotazione1] ); 
	$record2[DataPrenotazione2] = ntxDate( $record2[DataPrenotazione2] ); 
	
	if($record2[RichiestaBeamer]==1) $record2[RichiestaBeamer]='SI';
	if($record2[RichiestaBeamer]==0) $record2[RichiestaBeamer]='NO';

	$record2[InsertDate] = ntxDateTime( $record2[InsertDate] );
	$record2[UpdateDate] = ntxDateTime( $record2[UpdateDate] ); 
	?> 	
	<table class="larghezzaFissa" >
 		<tr>
			<td colspan="2" class="caption" >Prenotazione sala (su richiesta)
		
 		<tr><th>Numero&nbsp;partecipanti
			<td><?php echo htmlentities($record2['NumeroPartecipanti']) ?> 	  
			 
			
 		<tr><th>Data&nbsp;Prenotazione 
			<td>
			<?php echo htmlentities($record2['DataPrenotazione1']) ?> 	  
			<?php echo htmlentities($record2['DataPrenotazione2']) ?> 	   	
			
 		<tr><th>Ora&nbsp;Inizio/Fine
			<td>
			<?php echo htmlentities($record2['OraInizio']) ?> 	  
			<?php echo htmlentities($record2['OraFine']) ?> 	   	 	
			
 		<tr><th>Nome di chi ritira la chiave
			<td><?php echo htmlentities($record2['RitiroChiave']) ?> 	
			
 		<tr><th>Richiesta&nbsp;Beamer
			<td><?php echo htmlentities($record2['RichiestaBeamer']) ?> 	
			
 		<tr><th>Note
			<td><?php echo htmlentities($record2['Note']) ?> 	
	</table>
</div>	

<script>
$(document).ready(function() 
{	  
	window.print();  
	return false;
}); 
</script>
	
</body>
</html>
 