SELECT     Richieste.NumRichiesta AS Rich, Richieste.AnnoRichiesta, Ordini.NumOrdine AS Ordine, Ordini.DataOrdine, ElencoEdifici.EdificioBreve, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      CASE WHEN Richieste.TipoIntervento = 'Consuntivo' THEN 'CN' ELSE CASE WHEN Richieste.TipoIntervento = 'Preventivo' THEN 'PR' END END AS PR_CN,
                       Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, Ordini.DataFine AS StatoIntervento, ISNULL(StatiContabilità.DesstatoC, 
                      ISNULL(StatiOrdini.DesStato, Stati.DesStato)) AS Stato
FROM         StatiOrdini RIGHT OUTER JOIN
                      Ordini LEFT OUTER JOIN
                      Contabilità LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc ON Ordini.IDCommessa = Contabilità.IDCommessa AND 
                      Ordini.NumOrdine = Contabilità.NumOrdine AND Ordini.AnnoOrdine = Contabilità.AnnoOrdine ON 
                      StatiOrdini.IDStato = Ordini.StatoOrd RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      Stati INNER JOIN
                      Richieste ON Stati.IDStato = Richieste.Stato ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND 
                      ElencoEdifici.ID = Richieste.Localizzazione ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND 
                      Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Richieste.IDCommessa = 2)
ORDER BY Ordini.AnnoRichiesta, Rich