<?php

$sql1p = <<< sql
			SELECT     sum( isnull(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0)
								* (1 - isnull(RihePreventivi.Sconto, 0)/100))
			FROM         Preventivi INNER JOIN
			  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
			WHERE     (Preventivi.IDCommessa = Richieste.IDCommessa) 
			AND (Preventivi.NumRichiesta = Richieste.NumRichiesta) 
			AND (Preventivi.AnnoRichiesta = Richieste.AnnoRichiesta)
sql;

$sql2p = <<< sql
			SELECT     sum( isnull(RiheDocPrevRichieste.QTA * RiheDocPrevRichieste.PzUnitario, 0)
								* (1 - isnull(RiheDocPrevRichieste.Sconto, 0)/100))
			FROM         DocsPreventiviRichieste INNER JOIN
								  RiheDocPrevRichieste ON DocsPreventiviRichieste.IdCommessa = RiheDocPrevRichieste.IdCommessa AND 
								  DocsPreventiviRichieste.Id = RiheDocPrevRichieste.IdDocPrevRichiesta
			WHERE     (DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa) 
			AND (DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta) 
			AND (DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta)
sql;

$sql1 = <<< sql
			SELECT     sum( isnull(RiheContabilità.QTA * RiheContabilità.PzUnitario, 0)
								* (1 - isnull(RiheContabilità.Sconto, 0)/100))
			FROM         RiheContabilità
			WHERE     (RiheContabilità.IdCommessa = Contabilità.IDCommessa) 
					AND (RiheContabilità.NumContabilità =  Contabilità.NumContabilità)
sql;

$sql2 = <<< sql
			SELECT     sum( isnull(Costi.QTA * Costi.CostoUnit, 0)
								* (1 - isnull(Costi.Sconto, 0)/100))
			FROM         Costi
			WHERE     (Costi.IdCommessa = Ordini.IDCommessa) 
					AND (Costi.NumOrdine = Ordini.NumOrdine) 
					AND (Costi.AnnoOrdine = Ordini.AnnoOrdine) 
sql;

$sql = <<< sql
SELECT     Richieste.NumRichiesta AS Rich, Richieste.AnnoRichiesta, Ordini.NumOrdine AS Ordine, Ordini.DataOrdine, ElencoEdifici.EdificioBreve, 
                      ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      CASE WHEN Richieste.TipoIntervento = 'Consuntivo' THEN 'CN' ELSE CASE WHEN Richieste.TipoIntervento = 'Preventivo' THEN 'PR' END END AS PR_CN,
                       Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, Ordini.DataFine AS StatoIntervento, ISNULL(StatiContabilità.DesstatoC, 
                      ISNULL(StatiOrdini.DesStato, Stati.DesStato)) AS Stato,
					  ISNULL(($sql2), ($sql2p)) Costi,
					  ISNULL(($sql1), ($sql1p)) Importi, 
					  Contabilità.GruppoF, 
					  Contabilità.NumFattura, 
					  Contabilità.DataFattura
FROM         StatiOrdini RIGHT OUTER JOIN
                      Ordini LEFT OUTER JOIN
                      Contabilità LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc ON Ordini.IDCommessa = Contabilità.IDCommessa AND 
                      Ordini.NumOrdine = Contabilità.NumOrdine AND Ordini.AnnoOrdine = Contabilità.AnnoOrdine ON 
                      StatiOrdini.IDStato = Ordini.StatoOrd RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      Stati INNER JOIN
                      Richieste ON Stati.IDStato = Richieste.Stato ON ElencoEdifici.IdCommessa = Richieste.IDCommessa AND 
                      ElencoEdifici.ID = Richieste.Localizzazione ON Ordini.IDCommessaRichiesta = Richieste.IDCommessa AND 
                      Ordini.NumRichiesta = Richieste.NumRichiesta AND Ordini.AnnoRichiesta = Richieste.AnnoRichiesta
WHERE     (Richieste.IDCommessa = $IdCommessa)
ORDER BY Ordini.AnnoRichiesta, Rich
sql;

$query = ntxQuery($sql);

?>