<?php
$return = "";

//carico i dati dell'ordine
$sql = <<< sql
SELECT 
	Ordini.*, Ordini.DataModifica as DataModificaX, Ordini.Note as NoteX, Richieste.DataRichiesta,
	tblUtUtilizzatori.Nome AS Utilizzatore, tblPgAffidatari.Nome AS Affidatario,  
	ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,
	ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono, ElencoEdifici.Tipo AS TipoEdificio
	 
	FROM         Ordini LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
				INNER JOIN
               ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID	  		  
 WHERE Ordini.IdCommessa = $IdCommessa
 AND Ordini.NumOrdine = $NumOrdine
 AND Ordini.AnnoOrdine = '$AnnoOrdine';

sql;


$query = ntxQuery($sql);

if($record=ntxRecord($query))
{
	foreach($record as $k=>$v)
		$record[$k] = $v."";
	
	$record['Localizzazione'] = ntxRound($record['CodEdificio'], 0);
	$record['IdEdificio'] = ntxRound($record['CodEdificio'], 0);
	
	$record['NumOrdine'] = ntxRound($record['NumOrdine'], 0);
	$record['ImportoStimato'] = ntxRound($record['ImportoStimato'], 2);

	$record['DataOrdine'] = ntxDateTime($record['DataOrdine']);
	$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
	$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
	$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
	$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);
	$record['DataInizio'] = ntxDateTime($record['DataInizio']);
	$record['DataFine'] = ntxDateTime($record['DataFine']);
	$record['DataScadenza'] = ntxDateTime($record['DataScadenza']);

	$record['DataSospensione'] = ntxDateTime($record['DataSospensione']);
	$record['DataRipresa'] = ntxDateTime($record['DataRipresa']);
	$record['DataRipresaProg'] = ntxDateTime($record['DataRipresaProg']);

	$record['IdCommessa'] = (int)$record['IDCommessa'];

	if(isset($record['ImportoStimatoAffidatario'])&$record['ImportoStimatoAffidatario']!=null)
		if(is_numeric($record['ImportoStimatoAffidatario']))
			$record['ImportoStimatoAffidatario']=round((float)$record['ImportoStimatoAffidatario'], 2);

	if(isset($record['ImportoStimatoEsecutore'])&$record['ImportoStimatoEsecutore']!=null)
		if(is_numeric($record['ImportoStimatoEsecutore']))
			$record['ImportoStimatoEsecutore']=round((float)$record['ImportoStimatoEsecutore'], 2);
		

	if ( is_numeric($record['IdEdificio'])  )
	{
		$mIdEdificio=(int)($record['IdEdificio']);
		
		$sql = "SELECT tblPgPropietari.Nome AS Ente "
			."FROM         ElencoEdifici LEFT OUTER JOIN "
			."                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
			." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
			." AND ElencoEdifici.ID=$mIdEdificio;";
				
		$query = ntxQuery($sql);
		
		if ( $rs = ntxIRecord($query) )
		{
			$record['Ente'] = $rs[0];
		}
	}		

		
	if ( is_numeric($record['Localizzazione'])  &&  is_numeric($record['IdComponente']) )
	{
		$mLocalizzazione=(int)($record['Localizzazione']);
		$mIdComponente=(int)($record['IdComponente']);

		$sql = "SELECT ComponentiAmbiente.CodiceAssComponente "
				." FROM ComponentiAmbiente INNER JOIN TipoComponente  "
				." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
				." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
				." WHERE (((ComponentiAmbiente.IdCommessa)=$IdCommessa)  "
				." AND ((ComponentiAmbiente.IdEdificio)=$mLocalizzazione)  "
				." AND ((ComponentiAmbiente.IDComponente)=$mIdComponente));";
				
		$query = ntxQuery($sql);
		
		if ( $rs = ntxIRecord($query) )
		{
			$record['comp_cod'] = $rs[0];
		}
	}

	
	require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\carica_affidatari.inc");



	if ( is_numeric($record['StatoOrd'])  )
	{
		$StatoOrd = $record['StatoOrd'];
		
		$record['DesStatoOrd'] = ntxScalar("SELECT     DesStato "
												."FROM         StatiOrdini "
												."WHERE     (IDStato = $StatoOrd )");
	}



	if ( is_numeric($record['Assegnazione'])  )
	{
		$Assegnazione = $record['Assegnazione'];
		
		$record['DesAssegnazione'] = ntxScalar("SELECT     Ditta "
												."FROM         Ditte "
												."WHERE     (IDDitta = $Assegnazione)");										
	}

	
	if ( $record['DataRichiesta'] === 'NULL' || $record['DataRichiesta'] == '')
		$DataRichiesta = 'getdate()';
	else
		$DataRichiesta = ntxt($record['DataRichiesta']); //IMPORTANTE
	
	$IdEdificio = $record['IdEdificio']; //IMPORTANTE
	$IdLivello = $record['IdLivello']; //IMPORTANTE
	$IdAmbiente = $record['IdAmbiente']; //IMPORTANTE
	$IdComponente = $record['IdComponente']; //IMPORTANTE
	$IdRichiedente = $record['IdRichiedente']; //IMPORTANTE
	$IdMestiere = $record['IdMestiere']; //IMPORTANTE
	$IdComponenteMestiere = $record['IdComponenteMestiere']; //IMPORTANTE 

	$return = $record;
}
	else
		//jhp_error("Ordine $NumOrdine/$AnnoOrdine su commessa $IdCommessa non trovato!");
		jhp_error($traduttore->traduci('Ordine')." $NumOrdine/$AnnoOrdine ".$traduttore->traduci('su commessa')." $IdCommessa ".$traduttore->traduci('non trovato!'));
?>
