<?php

$sql = <<< sql
SELECT Richieste.*, Richieste.DataModifica as DataModificaX, Richieste.Note as NoteX,
ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA,
ElencoEdifici.PROVINCIA, ElencoEdifici.Telefono,
Richieste.NumRifCli AS NumRIE, Richieste.AnnoRifCli AS AnnoRIE, Richieste.Tipo AS TipoX, Richieste.Localizzazione AS IdEdificio, 
tblPgAffidatari.Nome AS Affidatario, ElencoEdifici.Tipo AS TipoEdificio, 
ESMUsers.CID AS CIDcodice 

	, tblUtUtilizzatori.Nome 
	+' ('+ tblUtUtilizzatori.ClasseUtilizzatore  
	+' '+ (
		case when IsNumeric(tblUtUtilizzatori.TipoUtilizzatore) = 1
		then 
			(
				SELECT TipiUtilizzatori.Tipo 
				FROM TipiUtilizzatori 
				WHERE 
					tblUtUtilizzatori.IdCommessa = TipiUtilizzatori.IdCommessa AND tblUtUtilizzatori.TipoUtilizzatore = TipiUtilizzatori.Id 
					AND IsNumeric(TipiUtilizzatori.Id ) >=0
			)
		else ''
		end
	)    
	+' '+ (
		case when IsNumeric(tblUtUtilizzatori.TipoUtilizzatore2) = 1
		then 
			(
				SELECT TipiUtilizzatori2.Tipo 
				FROM TipiUtilizzatori2 
				WHERE 
					tblUtUtilizzatori.TipoUtilizzatore2 = TipiUtilizzatori2.IdTipo AND tblUtUtilizzatori.IdCommessa = TipiUtilizzatori2.IdCommessa
					AND IsNumeric(TipiUtilizzatori2.IdTipo)>=0
			)
		else ''
		end
	)   
	+')' AS Utilizzatore


FROM         
	Richieste INNER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID LEFT OUTER JOIN
	tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND 
	Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
	tblPgAffidatari ON Richieste.IdAffidatario = tblPgAffidatari.IdAffidatario
	LEFT OUTER JOIN		  
	ESMUsers ON Richieste.CIDcodice = ESMUsers.CID	


 WHERE Richieste.IdCommessa = $IdCommessa
 AND Richieste.NumRichiesta = $NumRichiesta
 AND Richieste.AnnoRichiesta = $AnnoRichiesta
sql;

$msg_error = "Richiesta num. $NumRichiesta anno. $AnnoRichiesta commessa $IdCommessa non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['ImpS'] = ntxRound($record['ImpS'], 2);

$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
$record['DataSopralluogo'] = ntxDateTime($record['DataSopralluogo']);
$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
$record['DataInizioP'] = ntxDateTime($record['DataInizioP']);
$record['DataAutorizzazione'] = ntxDateTime($record['DataAutorizzazione']);
$record['DataSopraluogoTecnico'] = ntxDateTime($record['DataSopraluogoTecnico']);
$record['DataInserimento'] = ntxDateTime($record['DataInserimento']);

$record['IdCommessa'] = (int)$record['IDCommessa'];

if ( is_numeric($record['Stato'])  )
{
	$Stato=(int)($record['Stato']);
	
	$sql = "SELECT     DesStato "
	."FROM         Stati "
	."WHERE     (IDStato = $Stato)";
			
	$record['DesStato'] = ntxScalar($sql);
}

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\carica_affidatari.inc");

if ( is_numeric($record['Localizzazione'])  )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	
	$sql = "SELECT tblPgPropietari.Nome AS Ente "
		."FROM         ElencoEdifici LEFT OUTER JOIN "
		."                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario "
		." WHERE ElencoEdifici.IdCommessa=$IdCommessa "
		." AND ElencoEdifici.ID=$mLocalizzazione;";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['Ente'] = $rs[0];
	}
}

if ( is_numeric($record['Localizzazione'])  &&  is_numeric($record['IdComponente']) )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	$mIdComponente=(int)($record['IdComponente']);
	
	$sql = "SELECT ComponentiAmbiente.CodiceAssComponente "
			." FROM ComponentiAmbiente INNER JOIN TipoComponente  "
			." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
			." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
			." WHERE (((ComponentiAmbiente.IdCommessa)=$IdCommessa)  "
			." AND ((ComponentiAmbiente.IdEdificio)=$mLocalizzazione)  "
			." AND ((ComponentiAmbiente.IDComponente)=$mIdComponente));";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['comp_cod'] = $rs[0];
	}
}

$record['messaggio_warning'] = $messaggio_warning;

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
