<?php
$GradoUrgenza = ntxsp('GradoUrgenza');
$IdCommessa = ntxise('IdCommessa');  

$sql = <<< sql
	SELECT GradoU
	FROM  TabellaGradoUrgenza
	WHERE 
		(Pianificabile = 1) 
		AND (IdCommessa = $IdCommessa)  
		AND (GradoU = $GradoUrgenza)  
sql;

$isPianificabile = ntxScalar($sql);
if( strlen($isPianificabile)>0 )
{
	if( strlen($_POST[DataInizioP])< 1 )
		ntxmsgerr("Con il grado di urgenza selezionato e' obbligatorio inserire DataInizioP!");
		
	if( strlen($_POST[DataFineP])< 1 )
		ntxmsgerr("Con il grado di urgenza selezionato e' obbligatorio inserire DataFineP!");
}


$TipoUpdate = ntxip('TipoUpdate'); 

if ( $TipoUpdate == 1 ) // richiesta preventivo
{
	$_POST['Classificazione']='Extracanone';
	$_POST['TipoIntervento']='Preventivo';
	$_POST['VAutorizzazione']=0;
}
elseif ( $TipoUpdate == 2 ) // autorizza consuntivo
{
	$_POST['Classificazione']='Extracanone';
	$_POST['TipoIntervento']='Consuntivo';
	$_POST['VAutorizzazione']=1;
	
	if( $_POST[mod]=='mod_callcenter'  &&  (is_numeric($_POST[cobo])&$_POST[cobo]==1) ) //AZ 26.11.2015
	{   
		$sql = <<< sql
		SELECT DISTINCT Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa
			AND (Tecnici.Tipo = 'RESP') 
			AND Tecnici.RespTecnicoDefault = 1
sql;
		$_POST[Resp_tecnico] = ntxScalar($sql);		 
	}
}
elseif ( $TipoUpdate == 3 ) // registra
{
	$_POST['Classificazione']='Canone';
	$_POST['TipoIntervento']='';
	$_POST['VAutorizzazione']=0;
}
elseif ( $TipoUpdate == 4 ) // preregistrata
{
	$_POST['Classificazione']='Canone';
	$_POST['TipoIntervento']='';
	$_POST['VAutorizzazione']=0;
}
elseif ( $TipoUpdate == 5 ) // proposta extra-canone
{
	if ( $_POST[mod]=='mod_callcenter' )
	{
		$sql = <<< sql
		SELECT DISTINCT Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa 
			AND TecnDefault = 1
sql;
		$TecnicoCdefault = ntxScalar($sql);
	
		if(strlen($TecnicoCdefault)>0)
		{
			if($TecnicoCdefault!=$_POST[TecnicoC])
			{	 
				$_POST[TecnicoC] = $TecnicoCdefault;
			}
		}
	}
	 
	$_POST['Classificazione']='Extracanone'; 
	$_POST['TipoIntervento']='';
	$_POST['VAutorizzazione']=0;
	
	
	if( $_POST[mod]=='mod_callcenter'  &&  (is_numeric($_POST[cobo])&$_POST[cobo]==1) ) //AZ 25.11.2015
	{ 
		if(!strlen($_POST[TecnicoC])>0)
		{
			$sql = <<< sql
			SELECT DISTINCT Tecnici.Tecnico
			FROM  
				Tecnici 
				INNER JOIN
				CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
			WHERE 
				CommesseTecnici.IdCommessa = $IdCommessa
				AND (Tecnici.Tipo = 'prov') 
				AND Tecnici.TecnDefault = 1
sql;
			$_POST[TecnicoC] = ntxScalar($sql);		
		}
		
		$sql = <<< sql
		SELECT DISTINCT Tecnici.Tecnico
		FROM  
			Tecnici 
			INNER JOIN
			CommesseTecnici ON Tecnici.IDTec = CommesseTecnici.IDTec
		WHERE 
			CommesseTecnici.IdCommessa = $IdCommessa
			AND (Tecnici.Tipo = 'RESP') 
			AND Tecnici.RespTecnicoDefault = 1
sql;
		$_POST[Resp_tecnico] = ntxScalar($sql);		 
	}
}
elseif ( $TipoUpdate == 6 ) // non conformità
{ 
	$sql = <<<_SQL
	SELECT 
		GradoU
	FROM 
		TabellaGradoUrgenza
	WHERE 
		IdCommessa=$IdCommessa
		AND PerRicNonConformita = 1
_SQL;
	$_POST['GradoUrgenza'] = ntxScalar($sql);
	
	if(strlen($_POST['GradoUrgenza'])<1)
		ntxmsgerr("nessun grando di urgenza per non conformita' trovato!");
	 
	$sql = "SELECT year(getdate()) as Anno, month(getdate()) as Mese";
	$rs1 = ntxRecord(ntxQuery($sql));
	$mese = (int)$rs1[Mese];
	$anno = (int)$rs1[Anno];  
	$giorni = (int)cal_days_in_month(CAL_GREGORIAN, $mese, $anno); 
	 
	$_POST['DataInizioP']="1/$mese/$anno 00:00";
	$_POST['DataFineP']="$giorni/$mese/$anno 23:59";
	
	$_POST['Classificazione']='Canone';
	$_POST['TipoIntervento']='';
	$_POST['VAutorizzazione']=0;
}





//se l'utente ha cliccato su "richiesta preventivo" o "autorizza consuntivo" è obbligatorio inserire note tecniche cliente 
if($TipoUpdate==1||$TipoUpdate==2)	
{
	$IdCommessa = ntxise('IdCommessa'); 
	$NumRichiesta = ntxip('NumRichiesta'); 
	$AnnoRichiesta = ntxip('AnnoRichiesta'); 

	//verifico che ci siano tutti i presupposti per applicare la nuova procedura	
	$sql = <<< _SQL
	SELECT Stato, NumOrdineFonte, AnnoOrdineFonte
	FROM  Richieste
	WHERE Richieste.IdCommessa = $IdCommessa
	AND Richieste.NumRichiesta = $NumRichiesta
	AND Richieste.AnnoRichiesta = $AnnoRichiesta
_SQL;
	$rs = ntxIRecord(ntxQuery($sql));

	//la richiesta deve essere nello stato in attesa di valutazione e ci deve essere un ordine fonte
	if( ($rs[0]==2)  &&  ($rs[1]!=null)  &&  ($rs[2]!=null) )
	{
		$AnnoOrdine = $rs[2];
		$NumOrdine = (int)$rs[1];

		$sql = <<< _SQL
		SELECT ForseFuoriCanone, StatoOrd
		FROM  Ordini
		WHERE Ordini.IdCommessa = $IdCommessa
		AND Ordini.NumOrdine = $NumOrdine
		AND Ordini.AnnoOrdine = '$AnnoOrdine'
_SQL;
		$rs = ntxIRecord(ntxQuery($sql));

		//nell'ordine deve essere settato il fuori canone e deve essere sospeso
		if( ($rs[0]==1)  &&  ($rs[1]==60) ) 
		{		
			if( strlen($_POST[NoteX])<=0 )
				ntxMsgErr('Obbligatorio inserire le Note!');
				
			$sql = "UPDATE Ordini SET "
			."SicuramenteCanone = 0"
			.", StatoOrd = 70"		
			
			.", [NoteTecnicheCliente] = ".	ntxsp('NoteX')		
			.", DataModifica = getdate()"
			." WHERE IdCommessa = $IdCommessa "
			." AND NumOrdine = $NumOrdine "
			." AND AnnoOrdine = '$AnnoOrdine' ";			
			
			ntxQuery($sql);		

			require_once(NTX_WEBPORTAL_PATH.'messaggi/cancella_ordine/start.php');			
		}
	}
} 
 

if($TipoUpdate==2  &&  (is_numeric($_POST[cobo])&$_POST[cobo]==1))
{
	$IdCommessa = ntxise('IdCommessa');  
	
	if(strlen($_POST[NumRifCli])>0||strlen($_POST[AnnoRifCli])>0||strlen($_POST[CommRifCli])>0) ;
	else
	{
		$IdUtilizzatore = $_POST[IdUtilizzatore]; 
		
		if(is_numeric($IdUtilizzatore))
		{  
			$sql = <<<_SQL
			SELECT DISTINCT  tblUtUtilizzatori.ClasseUtilizzatore 
			FROM      
				tblUtUtilizzatori  
			WHERE     
				tblUtUtilizzatori.IdCommessa=$IdCommessa 
				AND tblUtUtilizzatori.IdUtilizzatore=$IdUtilizzatore 
_SQL;
			$ClasseUtilizzatore = ntxScalar($sql);

			$ClasseUtilizzatore_s = $ClasseUtilizzatore;
			$ClasseUtilizzatore_s = stripslashes($ClasseUtilizzatore_s."");
			$ClasseUtilizzatore_s = str_replace("'", "''", $ClasseUtilizzatore_s);
			$ClasseUtilizzatore_s = "'".$ClasseUtilizzatore_s."'";	
 
			$sql = <<<_SQL
			SELECT YEAR(getdate()) AS A1 
_SQL;
			$AnnoCorrente = ntxScalar($sql);	
			
			$sql = <<<_SQL
			SELECT MAX(Richieste.NumRifCli) AS Max
			FROM 
				Richieste 
				INNER JOIN
				tblUtUtilizzatori ON Richieste.IDCommessa = tblUtUtilizzatori.IdCommessa AND Richieste.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore			
			WHERE 
				Richieste.IDCommessa = $IdCommessa
				AND Richieste.AnnoRifCli = $AnnoCorrente		 
_SQL;
			//prima la query aveva come ulteriore condizione: --AND tblUtUtilizzatori.ClasseUtilizzatore = $ClasseUtilizzatore_s 
			$query1 = ntxQuery($sql);
			$rs1 = ntxRecord($query1);
			$_POST[NumRifCli] = $rs1[Max];	
			++$_POST[NumRifCli]; 
			
			$_POST[AnnoRifCli] = $AnnoCorrente;	 
	  
			$_POST[CommRifCli] = $ClasseUtilizzatore;  
		} 
		 
	}	  
} 

 
if(is_numeric($_POST[IdMestiere]))
{
	$IdCommessa = ntxise('IdCommessa');  
	$IdMestiere = ntxip('IdMestiere');
	
	$sql = <<<_SQL
	SELECT *
	FROM tblMestieri		
	WHERE 
		IdCommessa = $IdCommessa
		AND IdMestiere = $IdMestiere		 
_SQL;
	$query1 = ntxQuery($sql);
	$rs1 = ntxRecord($query1);
	$SoloExtracanone = $rs1[SoloExtracanone];
	
	if(is_numeric($SoloExtracanone)&$SoloExtracanone==1)
	{
		if ( $TipoUpdate == 1 ) // richiesta preventivo
		{

		}
		elseif ( $TipoUpdate == 2 ) // autorizza consuntivo
		{ 

		}
		elseif ( $TipoUpdate == 3 ) // registra
		{ 
			$_POST['Classificazione']='Extracanone'; 
			$_POST['TipoIntervento']='';
			$_POST['VAutorizzazione']=0;
		}
		elseif ( $TipoUpdate == 4 ) // preregistrata
		{ 
			$_POST['Classificazione']='Extracanone'; 
			$_POST['TipoIntervento']='';
			$_POST['VAutorizzazione']=0;
		}
		elseif ( $TipoUpdate == 5 ) // proposta extra-canone
		{
			 
		}
		elseif ( $TipoUpdate == 6 ) // non conformità
		{ 

		}
	}
}
 


if($_POST[richObb]==1)
{
	if(strlen($_POST[Richiedente])>1)
		ntxmsgerr("Obbligatorio compilare campo richiedente esteso!");
} 
 
?>