<?php

$sql = <<< sql
	SELECT count(*)
	FROM         Ambiente INNER JOIN
				  tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND 
				  Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente INNER JOIN
				  tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND 
				  tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona INNER JOIN
				  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
				  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
	WHERE     (tblUtPersAmbienti.DataInizio <= GETDATE()) AND (tblUtPersAmbienti.DataFine >= GETDATE()) AND (tblUtPersAmbienti.IdCommessa = $IdCommessa) AND 
				  (tblUtPersAmbienti.IdEdificio = $IdEdificio) AND (Ambiente.IdLivello = $IdPiano) AND (Ambiente.Rimosso = 0 OR
				  Ambiente.Rimosso IS NULL) AND (tblUtPersonale.Studente = 1) AND (AmbienteShapes.Tipo = 2)
sql;

$numVaniTematizzabili = ntxScalar($sql);

if($numVaniTematizzabili>0)
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "temi_vani1");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");
	$style->set("size", 2);
	
	$style->outlinecolor->setRGB(255, 0, 0);
	
	$sql = <<< sql
		SELECT DISTINCT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY, AmbienteShapes.Id
		FROM         Ambiente INNER JOIN
                      tblUtPersAmbienti ON Ambiente.IdCommessa = tblUtPersAmbienti.IdCommessa AND Ambiente.IdEdificio = tblUtPersAmbienti.IdEdificio AND 
                      Ambiente.IDAmbiente = tblUtPersAmbienti.IdAmbiente INNER JOIN
                      tblUtPersonale ON tblUtPersAmbienti.IdCommessa = tblUtPersonale.IdCommessa AND 
                      tblUtPersAmbienti.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
                      Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente
		WHERE     (tblUtPersAmbienti.DataInizio <= GETDATE()) AND (tblUtPersAmbienti.DataFine >= GETDATE()) AND (tblUtPersAmbienti.IdCommessa = $IdCommessa) AND 
                      (tblUtPersAmbienti.IdEdificio = $IdEdificio) AND (Ambiente.IdLivello = $IdPiano) AND (Ambiente.Rimosso = 0 OR
                      Ambiente.Rimosso IS NULL) AND (tblUtPersonale.Studente = 1) AND (AmbienteShapes.Tipo = 2)
					   AND (tblUtPersonale.IdPersona = $IdPersona)
		ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

	$query3 = ntxQuery($sql);

	$IdAmbiente = $IdShape = "";

	$punti = "";

	while($rs3=ntxRecord($query3))
	{
		if ( $IdAmbiente=="" ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
		}
		
		if ( $IdAmbiente!=$rs3[IdAmbiente] || $IdShape!=$rs3[IdShape] ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs3[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}


?>