<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa', false);
$IdTestataSchema = ntxip('IdTestataSchema', false);

$DataInizio = ntxDateSQL(ntxtp('DataInizio', false));
$DataFine = ntxDateSQL(ntxtp('DataFine', false));

$sql = "DELETE FROM ClrsDateSchemi WHERE (IdTestata = $IdTestataSchema)";


ntxQuery($sql);

$sql = "DELETE FROM ClrsPreplanningSchemi WHERE (IdTestata = $IdTestataSchema)";


ntxQuery($sql);

$sql = <<< sql
	INSERT INTO ClrsDateSchemi (IdTestata, giorno, giorno_settimana, Festivo)
	SELECT     $IdTestataSchema, data, datepart(weekday,data),
		isnull(
					(
						SELECT     TOP 1 1 
						FROM         tblFestività
						WHERE     (IdCommessa = $IdCommessa) 
									AND (Giorno = day(a.data)) 
									AND (Mese = month(a.data)) 
									AND (Selezione = 1)
					), 0)
					
	from dbo.GiorniTra2Date($DataInizio,$DataFine) a
	ORDER BY data
sql;


$query = ntxQuery($sql);

$sql = <<< sql
	UPDATE ClrsDateSchemi SET settimana_mese = (
													select count(*) 
													from ClrsDateSchemi t 
													where month(giorno)=month(ClrsDateSchemi.giorno)
													and year(giorno)=year(ClrsDateSchemi.giorno)
													and giorno<ClrsDateSchemi.giorno
													and giorno_settimana=7
												)+1
	WHERE IdTestata = $IdTestataSchema
sql;



$query = ntxQuery($sql);


$sql = <<< sql
	SELECT     giorno, giorno_settimana, settimana_mese, festivo, day(giorno) giorno_mese, month(giorno) mese, year(giorno) anno, convert(nvarchar(8),giorno,112) data_sql
	FROM         ClrsDateSchemi
	WHERE     (IdTestata = $IdTestataSchema)
	ORDER BY giorno
sql;



$query = ntxQuery($sql);

$Periodo = array();

while ($rs=ntxRecord($query))
{
	$Periodo[] = $rs;
}

$num_giorni = count($Periodo);

$sql = <<< sql
	SELECT     IdTestata, Id AS IdFreqSchema, Valore, FrequenzaMensile, MeseInizio, SettimanaInizio, Lun, Mar, Mer, Gio, Ven, Sab, Dom, DurataAttivitàInGiorni durata
	FROM         ClrsFrequenzeSchemi
	WHERE     (IdTestata = $IdTestataSchema)
sql;



$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	$IdFreqSchema = $rs[IdFreqSchema];
	$SettimanaInizio = $rs[SettimanaInizio];
	$MeseInizio = $rs[MeseInizio];
	$Lun = $rs[Lun];
	$Mar = $rs[Mar];
	$Mer = $rs[Mer];
	$Gio = $rs[Gio];
	$Ven = $rs[Ven];
	$Sab = $rs[Sab];
	$Dom = $rs[Dom];
	$Valore = $rs[Valore];
	$FrequenzaMensile = $rs[FrequenzaMensile];
	$durata = $rs[durata]>0 ? $rs[durata] : 1;

	$giornoZero = -1;
	
	for($i=0;$i<$num_giorni;++$i)
	{
		$data = $Periodo[$i];
		
		$giorno_settimana = $data[giorno_settimana];
		
		if ( $data[settimana_mese]>=$SettimanaInizio  &&  $data[mese]>=$MeseInizio  &&  !$data[festivo]
				 &&  (
						($giorno_settimana==1  &&  $Lun)
					||	($giorno_settimana==2  &&  $Mar)
					||	($giorno_settimana==3  &&  $Mer)
					||	($giorno_settimana==4  &&  $Gio)
					||	($giorno_settimana==5  &&  $Ven)
					||	($giorno_settimana==6  &&  $Sab)
					||	($giorno_settimana==7  &&  $Dom)
					)
			)
		{
			$giornoZero = $i;
			break;
		}
	}
	
	if ( $giornoZero>=0  &&  $Valore>0 ) // incrementi giornalieri
	{
		for($i=$giornoZero;$i<$num_giorni;$i+=$Valore)
		{
			$data = $Periodo[$i];
			
			$giorno_settimana = $data[giorno_settimana];
			
			if ( !$data[festivo] 
					 && 	(($giorno_settimana==1  &&  $Lun)
					||	($giorno_settimana==2  &&  $Mar)
					||	($giorno_settimana==3  &&  $Mer)
					||	($giorno_settimana==4  &&  $Gio)
					||	($giorno_settimana==5  &&  $Ven)
					||	($giorno_settimana==6  &&  $Sab)
					||	($giorno_settimana==7  &&  $Dom))
			)
			{
				// GENERA DATA
				$data_sql = $data[data_sql];
			
				$sql = <<< sql
					INSERT INTO ClrsPreplanningSchemi (IdTestata, IdFreqSchema, DataInizio, DataFine)
					
					VALUES($IdTestataSchema, $IdFreqSchema, '$data_sql', dateadd(day, $durata, dateadd(minute, -1, '$data_sql')))
sql;

				ntxQuery($sql);
			}
		}
	}
	elseif ( $FrequenzaMensile>0 ) // incrementi mensili
	{
		while ( $giornoZero>=0 )
		{
			for($i=$giornoZero,$j=1;$i<$num_giorni  &&  $j<$durata;++$i)
			{
				$data = $Periodo[$i];
				
				if ( !$data[festivo] ) ++$j;
			}
			
			$giornoDue = $i<$num_giorni ? $i : $num_giorni-1;
			
			$giornoInizio = $Periodo[$giornoZero];
			$giornoFine = $Periodo[$giornoDue];
			
			$data_sql1 = $giornoInizio[data_sql];
			$data_sql2 = $giornoFine[data_sql];
			
			$sql = <<< sql
				INSERT INTO ClrsPreplanningSchemi (IdTestata, IdFreqSchema, DataInizio, DataFine)
				
				VALUES($IdTestataSchema, $IdFreqSchema, '$data_sql1', dateadd(day, 1, dateadd(minute, -1, '$data_sql2')))
sql;

			ntxQuery($sql);
			
			$mese1 = $giornoInizio[mese];
			$anno1 = $giornoInizio[anno];

			$mese1 += $FrequenzaMensile;
			
			while ( $mese1>12 )
			{
				$mese1 -= 12;
				
				$anno1 += 1;
			}
			
			$giornoZero = -1;
			
			for($i=$giornoDue+1;$i<$num_giorni;++$i)
			{
				$data = $Periodo[$i];
				
				$giorno_settimana = $data[giorno_settimana];
				
				if ( $data[settimana_mese]>=$SettimanaInizio  &&  !$data[festivo]
						 &&  (( $data[mese]>=$mese1  &&  $data[anno]==$anno1) || ($data[anno]>$anno1))
						 &&  (
								($giorno_settimana==1  &&  $Lun)
							||	($giorno_settimana==2  &&  $Mar)
							||	($giorno_settimana==3  &&  $Mer)
							||	($giorno_settimana==4  &&  $Gio)
							||	($giorno_settimana==5  &&  $Ven)
							||	($giorno_settimana==6  &&  $Sab)
							||	($giorno_settimana==7  &&  $Dom)
							)
					)
				{
					$giornoZero = $i;
					break;
				}
			}
		}
	}
}

jhp_ok();

?>
