USE [mpnet_build_colser]
GO

/****** Object:  StoredProcedure [dbo].[GenPlanAttEdif]    Script Date: 16/06/2016 11:33:54 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[GenPlanAttEdif]
	@IdCommessa int,
	@IdAffidatario int,
	@d1 datetime,
	@d2 datetime,
	@IdElemento int,
	@IdAttivita int
AS
BEGIN
	SET NOCOUNT ON;
	
	declare @TipoMP int
	declare @AttivitàDiLettura bit
	declare @ListaControlloObbligatoria bit
	
	select @TipoMP=TipoMP, @AttivitàDiLettura=AttivitàDiLettura, @ListaControlloObbligatoria=ListaControlloObbligatoria
	from tblAttivitàMestiere
	where IdCommessa = @IdCommessa 
	AND IdAttivitàMestiere = @IdAttivita	

	declare @contraffidatari table(DataInizio datetime, DataFine datetime)

	insert into @contraffidatari (DataInizio, DataFine)
	SELECT DISTINCT     tblPgContrattiAffidatari.DataInizio, tblPgContrattiAffidatari.DataFine
	FROM         tblPgContrattiAffidatari INNER JOIN
						  tblPgContrattiAffidatariAttivitàEdifici ON 
						  tblPgContrattiAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatariAttivitàEdifici.IdPgContrattoAffidatario
	WHERE     (tblPgContrattiAffidatari.IdAffidatario = @IdAffidatario) 
		AND (tblPgContrattiAffidatari.IdCommessa = @IdCommessa) 
		AND (tblPgContrattiAffidatariAttivitàEdifici.IdEdificio = @IdElemento) 
		AND (tblPgContrattiAffidatariAttivitàEdifici.IdAttivitàMestiere = @IdAttivita)

	declare @contrfornitori table(IdContrattoFornitore int, IdFornitore int, DataInizio datetime, DataFine datetime)

	insert into @contrfornitori (IdContrattoFornitore, IdFornitore, DataInizio, DataFine)
	SELECT DISTINCT     tblContrattiFornitori.IdContrattoFornitore, tblContrattiFornitori.IdFornitore, tblContrattiFornitori.DataInizio, tblContrattiFornitori.DataFine
	FROM         tblContrattiFornitori INNER JOIN
						  tblContrattiFornitoriAttivitàMestiereEdifici ON tblContrattiFornitori.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
						  tblContrattiFornitori.IdContrattoFornitore = tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore
	WHERE     (tblContrattiFornitori.IdCommessa = @IdCommessa) 
		AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = @IdElemento) 
		AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = @IdAttivita)	
	
	if @TipoMP is null or @TipoMP=0 
	begin
		--GENERA ORDINI DI TipoMP=0 quelli senza dettaglio
		INSERT INTO tblOrdiniProgrammati
			( IdCommessa, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, ListaControlloObbligatoria )
				
		SELECT DISTINCT 
							  attività.IdCommessa, attività.Quantità, attività.UM, attività.Nota, 
							  attività.Locazione, attività.TipoAttivitàEvento, attività.IdEvento, attività.IdEdificio, 
							  attività.IdAttivitàProgrammata, attività.IdAttivitàEdificio, attività.IdAttivitàMestiere, attività.inizio, 
							  attività.fine, attività.Oraria, contrfornitori.IdContrattoFornitore, contrfornitori.IdFornitore, 0 AS Eseguito, 
							  0 AS Annullato, contrfornitori.DataInizio, contrfornitori.DataFine, 0 AS TipoMP, @ListaControlloObbligatoria
		FROM (
			SELECT     tblAttivitàProgrammata.IdCommessa, tblAttivitàProgrammata.IdAttivitàProgrammata, tblAttivitàProgrammata.IdEvento, 
								  tblAttivitàProgrammata.IdAttivitàEdificio, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine, tblAttivitàProgrammata.Oraria, 
								  tblAttivitàProgrammata.Quantità, tblAttivitàProgrammata.UM, tblAttivitàProgrammata.Nota, tblAttivitàProgrammata.TipoAttivitàEvento, 
								  tblAttivitàProgrammata.Locazione, tblAttivitàEdifici.IdAttivitàMestiere, tblAttivitàEdifici.IdEdificio
			FROM         tblAttivitàProgrammata INNER JOIN
								  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
								  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio LEFT OUTER JOIN
								  tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
								  tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
			WHERE     (tblOrdiniProgrammati.IdCommessa IS NULL) 
				AND (tblAttivitàProgrammata.IdCommessa = @IdCommessa) 
				AND (tblAttivitàProgrammata.inizio >= @d1)
				AND (tblAttivitàProgrammata.inizio < @d2) 
				AND (tblAttivitàEdifici.IdEdificio = @IdElemento) 
				AND (tblAttivitàEdifici.IdAttivitàMestiere = @IdAttivita)				
		) attività
		
		INNER JOIN @contraffidatari contraffidatari on contraffidatari.DataInizio<=attività.inizio and attività.inizio<=contraffidatari.DataFine
		
		INNER JOIN @contrfornitori contrfornitori on contrfornitori.DataInizio<=attività.inizio and attività.inizio<=contrfornitori.DataFine
		
	end
	else if @TipoMP=1 and (
							SELECT count(*) 
							FROM         AttivitàMestTipiComp INNER JOIN
												  ComponentiAmbiente ON AttivitàMestTipiComp.IdCommessaTipoComp = ComponentiAmbiente.IdCommessa AND 
												  AttivitàMestTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente
							WHERE     (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
								AND	(ComponentiAmbiente.IdCommessa = @IdCommessa) 
								AND (ComponentiAmbiente.IdEdificio = @IdElemento) 
								AND (AttivitàMestTipiComp.IdAttivitàMestiere = @IdAttivita)
						)>0
	begin
		------------------------------------------------------
		--GENERA ORDINI DI TipoMP=1 STEP 1/2 : quelli con dettaglio per componenti
		INSERT INTO tblOrdiniProgrammati
			( IdCommessa, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT 
							  attività.IdCommessa, attività.Quantità, attività.UM, attività.Nota, 
							  attività.Locazione, attività.TipoAttivitàEvento, attività.IdEvento, attività.IdEdificio, 
							  attività.IdAttivitàProgrammata, attività.IdAttivitàEdificio, attività.IdAttivitàMestiere, attività.inizio, 
							  attività.fine, attività.Oraria, contrfornitori.IdContrattoFornitore, contrfornitori.IdFornitore, 0 AS Eseguito, 
							  0 AS Annullato, contrfornitori.DataInizio, contrfornitori.DataFine, @TipoMP, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM (
				SELECT     tblAttivitàProgrammata.IdCommessa, tblAttivitàProgrammata.IdAttivitàProgrammata, tblAttivitàProgrammata.IdEvento, 
									  tblAttivitàProgrammata.IdAttivitàEdificio, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine, tblAttivitàProgrammata.Oraria, 
									  tblAttivitàProgrammata.Quantità, tblAttivitàProgrammata.UM, tblAttivitàProgrammata.Nota, tblAttivitàProgrammata.TipoAttivitàEvento, 
									  tblAttivitàProgrammata.Locazione, tblAttivitàEdifici.IdAttivitàMestiere, tblAttivitàEdifici.IdEdificio
				FROM         tblAttivitàProgrammata INNER JOIN
									  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio LEFT OUTER JOIN
									  tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
				WHERE     (tblOrdiniProgrammati.IdCommessa IS NULL) 
					AND (tblAttivitàProgrammata.IdCommessa = @IdCommessa) 
					AND (tblAttivitàProgrammata.inizio >= @d1)
					AND (tblAttivitàProgrammata.inizio < @d2) 
					AND (tblAttivitàEdifici.IdEdificio = @IdElemento) 
					AND (tblAttivitàEdifici.IdAttivitàMestiere = @IdAttivita)				
			) attività
			
			INNER JOIN @contraffidatari contraffidatari on contraffidatari.DataInizio<=attività.inizio and attività.inizio<=contraffidatari.DataFine
			
			INNER JOIN @contrfornitori contrfornitori on contrfornitori.DataInizio<=attività.inizio and attività.inizio<=contrfornitori.DataFine

		--GENERA ORDINI DI TipoMP=1 STEP 2/2

		INSERT INTO tblOrdiniPrgComp
			( IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, IdComponente, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT     programmate.IdCommessa, programmate.IdOrdineProgrammato, programmate.Quantità, programmate.UM, 
							  programmate.Nota, programmate.Locazione, programmate.TipoAttivitàEvento, programmate.IdEvento, 
							  programmate.IdEdificio, programmate.IdAttivitàProgrammata, programmate.IdAttivitàEdificio, 
							  programmate.IdAttivitàMestiere, programmate.dataInizioProg, programmate.dataFineProg, programmate.oraria, 
							  programmate.IdContrattoFornitore, programmate.IdFornitore, programmate.Eseguito, programmate.Annullato, 
							  programmate.dataInizioContratto, programmate.dataFineContratto, @TipoMP, 
							  componenti.IDComponente, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM  (
				SELECT     IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
									  IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto
				FROM         tblOrdiniProgrammati
				WHERE     (IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (IdEdificio = @IdElemento) 
					AND (IdAttivitàMestiere = @IdAttivita)
			) programmate 
			
			INNER JOIN (
				SELECT     ComponentiAmbiente.IDComponente, ComponentiAmbiente.IdCommessa
				FROM         AttivitàMestTipiComp INNER JOIN
				ComponentiAmbiente ON AttivitàMestTipiComp.IdCommessaTipoComp = ComponentiAmbiente.IdCommessa AND 
				AttivitàMestTipiComp.IdTipoComp = ComponentiAmbiente.IdTipoComponente
				WHERE     (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
					AND (ComponentiAmbiente.IdCommessa = @IdCommessa) 
					AND (ComponentiAmbiente.IdEdificio = @IdElemento) 
					AND (AttivitàMestTipiComp.IdAttivitàMestiere = @IdAttivita)
					
			) componenti on programmate.IdCommessa = componenti.IdCommessa
			
			LEFT JOIN (
				SELECT     IdOrdineProgrammato, IdComponente
				FROM         tblOrdiniPrgComp
				WHERE   (tblOrdiniPrgComp.IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (tblOrdiniPrgComp.IdEdificio = @IdElemento) 
					AND (tblOrdiniPrgComp.IdAttivitàMestiere = @IdAttivita) 
					
			) dettaglio on programmate.IdOrdineProgrammato = dettaglio.IdOrdineProgrammato
							and componenti.IDComponente = dettaglio.IdComponente
			
		WHERE     dettaglio.IdOrdineProgrammato is null
		
	end
	else if @TipoMP=2
	begin
		------------------------------------------------------
		--GENERA ORDINI DI TipoMP=2 STEP 1/2 : quelli con dettaglio per ambineti
		INSERT INTO tblOrdiniProgrammati
			( IdCommessa, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT 
							  attività.IdCommessa, attività.Quantità, attività.UM, attività.Nota, 
							  attività.Locazione, attività.TipoAttivitàEvento, attività.IdEvento, attività.IdEdificio, 
							  attività.IdAttivitàProgrammata, attività.IdAttivitàEdificio, attività.IdAttivitàMestiere, attività.inizio, 
							  attività.fine, attività.Oraria, contrfornitori.IdContrattoFornitore, contrfornitori.IdFornitore, 0 AS Eseguito, 
							  0 AS Annullato, contrfornitori.DataInizio, contrfornitori.DataFine, @TipoMP, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM (
				SELECT     tblAttivitàProgrammata.IdCommessa, tblAttivitàProgrammata.IdAttivitàProgrammata, tblAttivitàProgrammata.IdEvento, 
									  tblAttivitàProgrammata.IdAttivitàEdificio, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine, tblAttivitàProgrammata.Oraria, 
									  tblAttivitàProgrammata.Quantità, tblAttivitàProgrammata.UM, tblAttivitàProgrammata.Nota, tblAttivitàProgrammata.TipoAttivitàEvento, 
									  tblAttivitàProgrammata.Locazione, tblAttivitàEdifici.IdAttivitàMestiere, tblAttivitàEdifici.IdEdificio
				FROM         tblAttivitàProgrammata INNER JOIN
									  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio LEFT OUTER JOIN
									  tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
				WHERE     (tblOrdiniProgrammati.IdCommessa IS NULL) 
					AND (tblAttivitàProgrammata.IdCommessa = @IdCommessa) 
					AND (tblAttivitàProgrammata.inizio >= @d1)
					AND (tblAttivitàProgrammata.inizio < @d2) 
					AND (tblAttivitàEdifici.IdEdificio = @IdElemento) 
					AND (tblAttivitàEdifici.IdAttivitàMestiere = @IdAttivita)				
			) attività
			
			INNER JOIN @contraffidatari contraffidatari on contraffidatari.DataInizio<=attività.inizio and attività.inizio<=contraffidatari.DataFine
			
			INNER JOIN @contrfornitori contrfornitori on contrfornitori.DataInizio<=attività.inizio and attività.inizio<=contrfornitori.DataFine

		WHERE (SELECT COUNT(*)
						FROM         AttivitàMestCarAmb INNER JOIN
											  CaratteristicheAmbienti ON AttivitàMestCarAmb.IdCarAmb = CaratteristicheAmbienti.Id INNER JOIN
											  CaratteristicheAmbientiMN ON CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente INNER JOIN
											  Ambiente ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND 
											  CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente
						WHERE (AttivitàMestCarAmb.IdCommessa = attività.IdCommessa) 
							AND (AttivitàMestCarAmb.IdAttivitàMestiere = attività.IdAttivitàMestiere) 
							AND (CaratteristicheAmbientiMN.DataInizio <= attività.inizio) 
							AND  (CaratteristicheAmbientiMN.DataFine >= attività.inizio) 
							AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL) 
							AND (Ambiente.IdCommessa = attività.IdCommessa) 
							AND (Ambiente.IdEdificio = attività.IdEdificio))>0
			
		--GENERA ORDINI DI TipoMP=2 STEP 2/2

		INSERT INTO tblOrdiniPrgComp
			( IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, IdAmbiente, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT   programmate.IdCommessa, programmate.IdOrdineProgrammato, programmate.Quantità, programmate.UM, 
							  programmate.Nota, programmate.Locazione, programmate.TipoAttivitàEvento, programmate.IdEvento, 
							  programmate.IdEdificio, programmate.IdAttivitàProgrammata, programmate.IdAttivitàEdificio, 
							  programmate.IdAttivitàMestiere, programmate.dataInizioProg, programmate.dataFineProg, programmate.oraria, 
							  programmate.IdContrattoFornitore, programmate.IdFornitore, programmate.Eseguito, programmate.Annullato, 
							  programmate.dataInizioContratto, programmate.dataFineContratto, @TipoMP, 
							  ambienti.IdAmbiente, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM  (
				SELECT     IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
									  IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto
				FROM         tblOrdiniProgrammati
				WHERE     (IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (IdEdificio = @IdElemento) 
					AND (IdAttivitàMestiere = @IdAttivita)
			) programmate 
			
			INNER JOIN (
				SELECT     Ambiente.IDAmbiente, CaratteristicheAmbientiMN.DataInizio, CaratteristicheAmbientiMN.DataFine
				FROM         AttivitàMestCarAmb INNER JOIN
					CaratteristicheAmbienti ON AttivitàMestCarAmb.IdCarAmb = CaratteristicheAmbienti.Id INNER JOIN
					CaratteristicheAmbientiMN ON CaratteristicheAmbienti.Id = CaratteristicheAmbientiMN.IdCaratteristicaAmbiente INNER JOIN
					Ambiente ON CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa AND CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio AND 
					CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente
				WHERE (Ambiente.Rimosso IS NULL OR Ambiente.Rimosso = 0) 
					AND (Ambiente.IdCommessa = @IdCommessa) 
					AND (Ambiente.IdEdificio = @IdElemento) 
					AND (AttivitàMestCarAmb.IdCommessa = @IdCommessa) 
					AND (AttivitàMestCarAmb.IdAttivitàMestiere = @IdAttivita)
					
			) ambienti on programmate.dataInizioProg >= ambienti.DataInizio
						and programmate.dataInizioProg <= ambienti.DataFine
			
			LEFT JOIN (
				SELECT     IdOrdineProgrammato, IdAmbiente
				FROM         tblOrdiniPrgComp
				WHERE   (tblOrdiniPrgComp.IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (tblOrdiniPrgComp.IdEdificio = @IdElemento) 
					AND (tblOrdiniPrgComp.IdAttivitàMestiere = @IdAttivita) 
					
			) dettaglio on programmate.IdOrdineProgrammato = dettaglio.IdOrdineProgrammato
							and ambienti.IdAmbiente = dettaglio.IdAmbiente
			
		WHERE     dettaglio.IdOrdineProgrammato is null
	end
	else if @TipoMP=3
	begin
		------------------------------------------------------
		--GENERA ORDINI DI TipoMP=3 STEP 1/2 : quelli con dettaglio per utilizzatori
		INSERT INTO tblOrdiniProgrammati
			( IdCommessa, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT 
							  attività.IdCommessa, attività.Quantità, attività.UM, attività.Nota, 
							  attività.Locazione, attività.TipoAttivitàEvento, attività.IdEvento, attività.IdEdificio, 
							  attività.IdAttivitàProgrammata, attività.IdAttivitàEdificio, attività.IdAttivitàMestiere, attività.inizio, 
							  attività.fine, attività.Oraria, contrfornitori.IdContrattoFornitore, contrfornitori.IdFornitore, 0 AS Eseguito, 
							  0 AS Annullato, contrfornitori.DataInizio, contrfornitori.DataFine, @TipoMP, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM (
				SELECT     tblAttivitàProgrammata.IdCommessa, tblAttivitàProgrammata.IdAttivitàProgrammata, tblAttivitàProgrammata.IdEvento, 
									  tblAttivitàProgrammata.IdAttivitàEdificio, tblAttivitàProgrammata.inizio, tblAttivitàProgrammata.fine, tblAttivitàProgrammata.Oraria, 
									  tblAttivitàProgrammata.Quantità, tblAttivitàProgrammata.UM, tblAttivitàProgrammata.Nota, tblAttivitàProgrammata.TipoAttivitàEvento, 
									  tblAttivitàProgrammata.Locazione, tblAttivitàEdifici.IdAttivitàMestiere, tblAttivitàEdifici.IdEdificio
				FROM         tblAttivitàProgrammata INNER JOIN
									  tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio LEFT OUTER JOIN
									  tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
									  tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
				WHERE     (tblOrdiniProgrammati.IdCommessa IS NULL) 
					AND (tblAttivitàProgrammata.IdCommessa = @IdCommessa) 
					AND (tblAttivitàProgrammata.inizio >= @d1)
					AND (tblAttivitàProgrammata.inizio < @d2) 
					AND (tblAttivitàEdifici.IdEdificio = @IdElemento) 
					AND (tblAttivitàEdifici.IdAttivitàMestiere = @IdAttivita)				
			) attività
			
			INNER JOIN @contraffidatari contraffidatari on contraffidatari.DataInizio<=attività.inizio and attività.inizio<=contraffidatari.DataFine
			
			INNER JOIN @contrfornitori contrfornitori on contrfornitori.DataInizio<=attività.inizio and attività.inizio<=contrfornitori.DataFine

		WHERE (SELECT COUNT(*)
					FROM         tblUtUtilizzatori INNER JOIN
						  tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN
						  tblAttivitàMestieriTipiUtilizzatori2 ON tblUtUtilizzatori.IdCommessa = tblAttivitàMestieriTipiUtilizzatori2.IdCommessaTipoUtiliz AND 
						  tblUtUtilizzatori.TipoUtilizzatore2 = tblAttivitàMestieriTipiUtilizzatori2.IdTipoUtiliz
					WHERE     (tblAttivitàMestieriTipiUtilizzatori2.IdCommessaAttMest = attività.IdCommessa) 
						AND (tblAttivitàMestieriTipiUtilizzatori2.IdAttivitàMestiere = attività.IdAttivitàMestiere) 
						AND (tblUtEdifici.DataInizio <= attività.inizio) 
						AND (tblUtEdifici.DataFine >= attività.inizio) 
						AND (tblUtEdifici.IdEdificio = attività.IdEdificio))>0
			
		--GENERA ORDINI DI TipoMP=3 STEP 2/2

		INSERT INTO tblOrdiniPrgComp
			( IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, 
				IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
				IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, 
				IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto, TipoMP, IdUtilizzatore, AttivitàDiLettura, ListaControlloObbligatoria )
				
		SELECT DISTINCT   programmate.IdCommessa, programmate.IdOrdineProgrammato, programmate.Quantità, programmate.UM, 
							  programmate.Nota, programmate.Locazione, programmate.TipoAttivitàEvento, programmate.IdEvento, 
							  programmate.IdEdificio, programmate.IdAttivitàProgrammata, programmate.IdAttivitàEdificio, 
							  programmate.IdAttivitàMestiere, programmate.dataInizioProg, programmate.dataFineProg, programmate.oraria, 
							  programmate.IdContrattoFornitore, programmate.IdFornitore, programmate.Eseguito, programmate.Annullato, 
							  programmate.dataInizioContratto, programmate.dataFineContratto, @TipoMP, 
							  utilizzatori.IdUtilizzatore, @AttivitàDiLettura, @ListaControlloObbligatoria
		FROM  (
				SELECT     IdCommessa, IdOrdineProgrammato, Quantità, UM, Nota, Locazione, TipoAttivitàEvento, IdEvento, IdEdificio, IdAttivitàProgrammata, IdAttivitàEdificio, 
									  IdAttivitàMestiere, dataInizioProg, dataFineProg, oraria, IdContrattoFornitore, IdFornitore, Eseguito, Annullato, dataInizioContratto, dataFineContratto
				FROM         tblOrdiniProgrammati
				WHERE     (IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (IdEdificio = @IdElemento) 
					AND (IdAttivitàMestiere = @IdAttivita)
			) programmate 
			
			INNER JOIN (
					SELECT     tblUtUtilizzatori.IdUtilizzatore, tblUtEdifici.DataInizio, tblUtEdifici.DataFine
					FROM         tblUtUtilizzatori INNER JOIN
						  tblUtEdifici ON tblUtUtilizzatori.IdCommessa = tblUtEdifici.IdCommessa AND tblUtUtilizzatori.IdUtilizzatore = tblUtEdifici.IdUtilizzatore INNER JOIN
						  tblAttivitàMestieriTipiUtilizzatori2 ON tblUtUtilizzatori.IdCommessa = tblAttivitàMestieriTipiUtilizzatori2.IdCommessaTipoUtiliz AND 
						  tblUtUtilizzatori.TipoUtilizzatore2 = tblAttivitàMestieriTipiUtilizzatori2.IdTipoUtiliz
					WHERE     (tblAttivitàMestieriTipiUtilizzatori2.IdCommessaAttMest = @IdCommessa) 
						AND (tblAttivitàMestieriTipiUtilizzatori2.IdAttivitàMestiere = @IdAttivita) 
						AND (tblUtEdifici.IdEdificio = @IdElemento)
			) utilizzatori on programmate.dataInizioProg >= utilizzatori.DataInizio
						and programmate.dataInizioProg <= utilizzatori.DataFine
			
			LEFT JOIN (
				SELECT     IdOrdineProgrammato, IdUtilizzatore
				FROM         tblOrdiniPrgComp
				WHERE   (tblOrdiniPrgComp.IdCommessa = @IdCommessa) 
					AND (dataInizioProg >= @d1) 
					AND (dataInizioProg < @d2) 
					AND (tblOrdiniPrgComp.IdEdificio = @IdElemento) 
					AND (tblOrdiniPrgComp.IdAttivitàMestiere = @IdAttivita) 
					
			) dettaglio on programmate.IdOrdineProgrammato = dettaglio.IdOrdineProgrammato
							and utilizzatori.IdUtilizzatore = dettaglio.IdUtilizzatore
			
		WHERE     dettaglio.IdOrdineProgrammato is null
	end
END
GO


