USE [mpnet_build_colser]
GO

/****** Object:  StoredProcedure [dbo].[GeneraPreplanBiennaleInfraSettMes]    Script Date: 16/06/2016 11:35:38 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[GeneraPreplanBiennaleInfraSettMes]
(
								@IdCommessa as int, 
								@mese1 as int, 
								@Anno1 as int, 
								@usa_freq as bit, 
								@solo_12_mesi as bit, 
								@optSalta as bit, 
								@chkDelPlanning as bit, 
								@IdAttivitaMestiere as varchar(8000), 
								@IdElementi as varchar(8000),
								@lun as int,
								@mar as int,
								@mer as int,
								@gio as int,
								@ven as int,
								@sab as int,
								@dom as int)
AS
BEGIN
	SET NOCOUNT ON;
	SET DATEFIRST 1;

	declare @att_edif TABLE (pos int identity(1,1), 
								IdAttivitàEdificio int,
								Scostamento int,
								UsaFrequenzaInSettimane bit,
								FrequenzaInSettimane int,
								UsaGiorniFissiSettimana bit,
								GiorniPerSettimana int)

	declare @att_mest TABLE (pos int identity(1,1), 
								IdAttivitaMestiere int)

	declare @max as int
	declare @pos as int

	declare @IdAttivitàEdificio as int 
	declare @IdAttMestiere as int 
	declare @Scostamento as int 
	declare @FrequenzaInSettimane as int 
	declare @GiorniPerSettimana as int 
	
	declare @mese as int
	declare @indiceMese as int 
	declare @Anno as int

	declare @cont1 as int 
	declare @cont2 as int

	declare @numGiorniSelSettimana as int 
	
	declare @dayOfWeek as int 
	declare @numMesi as int 
	
	declare @dataInizio as datetime
	declare @dataInizioConScostamento as datetime
	
	set @numGiorniSelSettimana = @lun+@mar+@mer+@gio+@ven+@sab+@dom
	
	exec GeneraConsistenzaPerElementiAttività @IdCommessa, @IdElementi, @IdAttivitaMestiere

	insert into @att_edif (IdAttivitàEdificio,
		Scostamento,
		FrequenzaInSettimane,
		GiorniPerSettimana)
	SELECT     
		att_edif.IdAttivitàEdificio,  

		case when att_edif.ScostamentoDataInizio is not null and att_edif.ScostamentoDataInizio>0 then att_edif.ScostamentoDataInizio else 0 end AS Scostamento, 

		case when FrequenzaInSettimane IS NULL OR FrequenzaInSettimane=0 OR FrequenzaInSettimane<1 then 1 else FrequenzaInSettimane end FrequenzaInSettimane,

		case when GiorniPerSettimana IS NULL OR GiorniPerSettimana<1 OR UsaGiorniFissiSettimana IS NULL OR UsaGiorniFissiSettimana=0 then 
			1 
		else 
			case when GiorniPerSettimana>7 then 
				7 
			else 
				GiorniPerSettimana 
			end 		
		end GiorniPerSettimana		

	FROM         tblAttivitàEdifici AS att_edif INNER JOIN
						  dbo.SplitId(@IdAttivitaMestiere) AS att_mes ON att_edif.IdAttivitàMestiere = att_mes.id INNER JOIN
						  dbo.SplitId(@IdElementi) AS edif ON att_edif.IdEdificio = edif.id INNER JOIN
						  tblFrequenzeMestieri AS freq ON att_edif.IdFrequenza = freq.IdFrequenza AND att_edif.IdCommessa = freq.IdCommessa
	WHERE     (att_edif.IdCommessa = @IdCommessa) AND (freq.UsaFrequenzaInSettimane = 1 OR freq.UsaGiorniFissiSettimana = 1) 
		
	select @max = max(pos) from @att_edif
	
	set @pos = 1
	
	set @mese = @mese1
	
	if @mese<12 
	begin
		set @indiceMese = @mese+1
		set @Anno = @Anno1
	end 
	else 
	begin
		set @indiceMese = @mese-11
		set @Anno = @Anno1+1
	end

	set @dataInizio=dbo.cdate('1/'+ltrim(@indiceMese)+'/'+ltrim(@Anno));
	
	set @numMesi = 	case when @usa_freq=1 then
						case when @solo_12_mesi=1 then
							12
						else
							24
						end
					else
						1
					end

	while @pos <= @max 
	begin
		select 
				@IdAttivitàEdificio=IdAttivitàEdificio,
				@Scostamento=Scostamento,
				@FrequenzaInSettimane=FrequenzaInSettimane,
				@GiorniPerSettimana=GiorniPerSettimana
		from @att_edif
		where pos = @pos
		
		set @pos = @pos + 1
		
		set @cont1 = 0
		set @cont2 = 0

		while @cont1<7 and @cont2<@GiorniPerSettimana and @cont2<@numGiorniSelSettimana 
		begin
			set @dataInizioConScostamento = dateadd(day, @cont1+@Scostamento, @dataInizio)
			
			set @dayOfWeek = datepart(weekday, @dataInizioConScostamento)
			
			if (@dayOfWeek=1 and @lun=1)
				or (@dayOfWeek=2 and @mar=1)
				or (@dayOfWeek=3 and @mer=1)
				or (@dayOfWeek=4 and @gio=1)
				or (@dayOfWeek=5 and @ven=1)
				or (@dayOfWeek=6 and @sab=1)
				or (@dayOfWeek=7 and @dom=1) 
			begin
				exec GeneraPreplanBiennaleInfraSettMes2 @IdCommessa, @IdAttivitàEdificio, 
													@dataInizioConScostamento, 
													@optSalta, 
													@chkDelPlanning,
													@FrequenzaInSettimane,
													@numMesi
			
				set @cont2 = @cont2 + 1
			end
			
			set @cont1 = @cont1 + 1
		end
	end

	insert into @att_mest (IdAttivitaMestiere)
	SELECT DISTINCT id
	FROM dbo.SplitId(@IdAttivitaMestiere) a
		
	select @max = max(pos) from @att_mest
	
	set @pos = 1
	
	while @pos <= @max 
	begin
		select 
				@IdAttMestiere=att_mest.IdAttivitaMestiere
		from @att_mest att_mest 
		where pos = @pos
		
		set @pos = @pos + 1
		
		set @mese = @mese1
		
		while @mese < 24 
		begin
			if dbo.MesePreplanning(@mese, @mese1, 1, @usa_freq, @solo_12_mesi)=1 
			begin
				if @mese<12 
				begin
					set @indiceMese = @mese+1
					set @Anno = @Anno1
				end 
				else 
				begin
					set @indiceMese = @mese-11
					set @Anno = @Anno1+1
				end
				
				exec dbo.RegistraCoordinateDiRefreshPreplanning @mese, @Anno1, @IdCommessa, @IdAttMestiere, @IdElementi, @indiceMese, @Anno
			end 
			
			set @mese = @mese + 1
		end
	end
END
GO


