USE [mpnet_build_colser]
GO

/****** Object:  StoredProcedure [dbo].[GeneraPreplanBiennaleInfraSettMes2]    Script Date: 16/06/2016 11:37:11 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [dbo].[GeneraPreplanBiennaleInfraSettMes2]
(@IdCommessa as int, @IdAttivitàEdificio as int, 
													@dataInizioConScostamento as datetime, 
													@optSalta as bit, 
													@chkDelPlanning as bit,
													@FrequenzaInSettimane as int,
													@numMesi as int)
AS
BEGIN
	SET NOCOUNT ON;

	declare @dataBase as datetime
	declare @dataInizio as datetime
	declare @dataFine as datetime
	declare @festivo as bit

	select @dataInizio=@dataInizioConScostamento
	select @dataBase=dbo.cdate('1/'+ltrim(month(@dataInizio))+'/'+ltrim(year(@dataInizio)))
	
	while datediff(month, @dataBase, @dataInizio)<@numMesi
	begin
		set @festivo = isnull(
					(
						SELECT     TOP 1 1 
						FROM         tblFestività
						WHERE     (IdCommessa = @IdCommessa) 
									AND (Giorno = day(@dataInizio)) 
									AND (Mese = month(@dataInizio)) 
									AND (Selezione = 1)
					), 0)

		if @festivo=0
		begin
			set @dataFine=dateadd(second, -1, dateadd(day, 1, @dataInizio))

			exec IfSovrascriviPreplan @IdCommessa,  @IdAttivitàEdificio,  @dataInizio, @dataFine, @optSalta, @chkDelPlanning
				
			INSERT INTO tblAttivitàProgrammata
						  (IdCommessa, IdAttivitàEdificio, Quantità, UM, Nota, Locazione, Oraria, inizio, fine)
			SELECT     IdCommessa, IdAttivitàEdificio, Quantità, UM, Nota, Locazione, 0 AS Oraria, @dataInizio AS inizio, @dataFine AS fine
			FROM         tblAttivitàEdifici
			WHERE     (IdCommessa = @IdCommessa) AND (IdAttivitàEdificio = @IdAttivitàEdificio)
			and isnull((
				SELECT     TOP 1 1 
				FROM         tblAttivitàProgrammata
				WHERE     (IdCommessa = @IdCommessa) AND (IdAttivitàEdificio = @IdAttivitàEdificio) AND (fine >= @dataInizio) AND (inizio <= @dataFine)
			),0)=0
		end
		
		set @dataInizio=dateadd(week, @FrequenzaInSettimane, @dataInizio)
	end
END
GO


