<?php

$sql = <<< sql
	SELECT    tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblOrdiniPrgComp.IdUtilizzatore, - 1) AS IdUtilizzatore, 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) AS Mese,
					  YEAR(tblOrdiniPrgComp.DataInizioProg) AS Anno,
					  SUM(ISNULL(CAST(tblOrdiniPrgComp.Eseguito AS INT),0)) conteggioEseguiti,
					  COUNT(*) totali
	FROM         tblOrdiniPrgComp 
	WHERE     (tblOrdiniPrgComp.TipoMP = 3)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdUtilizzatore = $IdUtilizzatore)
		AND (tblOrdiniPrgComp.DataInizioProg >= $DataInizio)
		AND DATEDIFF(month, tblOrdiniPrgComp.DataInizioProg, $DataInizio)<12
	GROUP BY tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblOrdiniPrgComp.IdUtilizzatore, - 1), 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) , 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) ,
					  YEAR(tblOrdiniPrgComp.DataInizioProg)
	UNION
	SELECT    tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblUtUtilizzatori.IdUtilizzatore, - 1) AS IdUtilizzatore, 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) AS Mese,
					  YEAR(tblOrdiniPrgComp.DataInizioProg) AS Anno,
					  SUM(ISNULL(CAST(tblOrdiniPrgComp.Eseguito AS INT),0)) conteggioEseguiti,
					  COUNT(*) totali
	FROM         tblUtAmbienti INNER JOIN
                      tblUtUtilizzatori ON tblUtAmbienti.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtAmbienti.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      tblOrdiniPrgComp ON tblUtAmbienti.IdCommessa = tblOrdiniPrgComp.IdCommessa AND tblUtAmbienti.IdEdificio = tblOrdiniPrgComp.IdEdificio AND 
                      tblUtAmbienti.IdAmbiente = tblOrdiniPrgComp.IdAmbiente INNER JOIN
                      ClrsTestateSchemi ON tblOrdiniPrgComp.IdClrsTestataSchema = ClrsTestateSchemi.Id 
	WHERE     (tblOrdiniPrgComp.TipoMP = 2)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblUtUtilizzatori.IdUtilizzatore = $IdUtilizzatore)
		AND tblUtAmbienti.DataInizio<=ClrsTestateSchemi.DataInizioPrg	
		AND tblUtAmbienti.DataFine>=ClrsTestateSchemi.DataInizioPrg	
		AND (tblOrdiniPrgComp.DataInizioProg >= $DataInizio)
		AND DATEDIFF(month, tblOrdiniPrgComp.DataInizioProg, $DataInizio)<12
	GROUP BY tblOrdiniPrgComp.IdAttivitàMestiere, ISNULL(tblUtUtilizzatori.IdUtilizzatore, - 1), 
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1)  , 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) ,
					  YEAR(tblOrdiniPrgComp.DataInizioProg)
sql;

$query = ntxQuery($sql);

$isDay = array();

while($rs=ntxRecord($query))
{
	$isDay[$rs[IdAttivitàMestiere]][$rs[IdUtilizzatore]][$rs[IdAmbiente]][$rs[Mese]][$rs[Anno]] 
		= ($rs[conteggioEseguiti]==$rs[totali] || $rs[totali]==0 ? 1 : ($rs[conteggioEseguiti]*0.1/$rs[totali]>=0.5 ? 2 : 3));
		
	$contenutoCelle[$rs[IdAttivitàMestiere]][$rs[IdUtilizzatore]][$rs[IdAmbiente]][$rs[Mese]][$rs[Anno]] 
		= $rs[totali] ? "$rs[conteggioEseguiti]/$rs[totali]" : "";
		
}
/*
	1 tutti chiusi o nessun ordine presente
	2 chiusi il 50% o più degli ordini
	3 chiusi meno del 50% degli ordini
*/
?>