<?php

$sql = <<< sql
	SELECT DISTINCT    tblOrdiniProgrammati.IdAttivitàMestiere, 
                      tblOrdiniProgrammati.IdEdificio, -1 AS IdAmbiente, 
					  MONTH(tblOrdiniProgrammati.DataInizioProg) AS Mese,
					  YEAR(tblOrdiniProgrammati.DataInizioProg) AS Anno,
					  SUM(ISNULL(CAST(tblOrdiniProgrammati.Eseguito AS INT),0)) conteggioEseguiti,
					  COUNT(*) totali
	FROM         tblOrdiniProgrammati 
	WHERE     (ISNULL(tblOrdiniProgrammati.TipoMP, 0) = 0)
	  AND     (tblOrdiniProgrammati.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdEdificio = $IdEdificio) 
		AND (tblOrdiniProgrammati.DataInizioProg >= $DataInizio)
		AND DATEDIFF(month, tblOrdiniProgrammati.DataInizioProg, $DataInizio)<12
	GROUP BY tblOrdiniProgrammati.IdAttivitàMestiere, tblOrdiniProgrammati.IdEdificio, 
					  MONTH(tblOrdiniProgrammati.DataInizioProg) ,
					  YEAR(tblOrdiniProgrammati.DataInizioProg)
	UNION
	SELECT DISTINCT   tblOrdiniPrgComp.IdAttivitàMestiere, 
                      tblOrdiniPrgComp.IdEdificio, ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1) AS IdAmbiente, 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) AS Mese,
					  YEAR(tblOrdiniPrgComp.DataInizioProg) AS Anno,
					  SUM(ISNULL(CAST(tblOrdiniPrgComp.Eseguito AS INT),0)) conteggioEseguiti,
					  COUNT(*) totali
	FROM         tblOrdiniPrgComp
	WHERE     (tblOrdiniPrgComp.TipoMP = 2)
	  AND     (tblOrdiniPrgComp.IdClrsTestataSchema = $IdTestataSchema) 
		AND (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.DataInizioProg >= $DataInizio)
		AND DATEDIFF(month, tblOrdiniPrgComp.DataInizioProg, $DataInizio)<12
	GROUP BY tblOrdiniPrgComp.IdAttivitàMestiere,  tblOrdiniPrgComp.IdEdificio,
                      ISNULL(tblOrdiniPrgComp.IdAmbiente, - 1)  , 
					  MONTH(tblOrdiniPrgComp.DataInizioProg) ,
					  YEAR(tblOrdiniPrgComp.DataInizioProg)
sql;

$query = ntxQuery($sql);

$isDay = array();

while($rs=ntxRecord($query))
{
	$isDay[$rs[IdAttivitàMestiere]][$rs[IdEdificio]][$rs[IdAmbiente]][$rs[Mese]][$rs[Anno]] 
		= ($rs[conteggioEseguiti]==$rs[totali] || $rs[totali]==0 ? 1 : ($rs[conteggioEseguiti]*0.1/$rs[totali]>=0.5 ? 2 : 3));
		
	$contenutoCelle[$rs[IdAttivitàMestiere]][$rs[IdEdificio]][$rs[IdAmbiente]][$rs[Mese]][$rs[Anno]] 
		= $rs[totali] ? "$rs[conteggioEseguiti]/$rs[totali]" : "";
		
}
/*
	1 tutti chiusi o nessun ordine presente
	2 chiusi il 50% o più degli ordini
	3 chiusi meno del 50% degli ordini
*/

?>