<?php



require_once('../../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once("tematizza_ambienti_utenze.inc");
require_once("tematizza_ambienti_utilizzatore.inc");
require_once("tematizza_componenti.inc");
require_once("labeling.inc");

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');
$IdUtenza = ntxip('IdUtenza');

$sql = "SELECT IdUtilizzatore FROM Utenze WHERE (Id = $IdUtenza)";

$IdUtilizzatore = ntxScalar($sql);

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$map = ms_newMapObj("$pathCommessa\\simboliWeb\\mapfile.map");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$sizecircle = 26;

$nId = ms_newSymbolObj($map, "circle");
$oSymbol = $map->getSymbolObjectById($nId);
$oSymbol->set("type", MS_SYMBOL_ELLIPSE);
$oSymbol->set("filled", MS_TRUE);
$oSymbol->set("sizex", $sizecircle);
$oSymbol->set("sizey", $sizecircle);

$aPoints[0] = $sizecircle;
$aPoints[1] = $sizecircle;
$oSymbol->setpoints($aPoints);

$isExtent = (isset($_POST[extent])  &&  $_POST[extent]!=""  &&  $_POST[action]!=5);

if ( !$isExtent )
{
	$minx = $miny = $maxx = $maxy = null;
}
else
{
	$extent = explode(" ", $_POST[extent]);

	$minx = $extent[0];
	$miny = $extent[1];
	$maxx = $extent[2];
	$maxy = $extent[3];
}

$map->set("units", MS_METERS);

$sql = <<< sql
SELECT * FROM
(
	SELECT 1 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione <> 2
		AND     (IdCommessa = $IdCommessa)
	) a1
	UNION
	SELECT 2 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		AND     (IdCommessa = $IdCommessa)
	) a2
) a3
ORDER BY ordine, OrdineWeb, Nome
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	if ( $_POST[FiltroPerUtenza2]==1  &&  !isset($layerTemaComp)  &&  $rs[Associazione] == 2 )
	{
		$layerTemaComp = TematizzaComponentiOpen($map, 0, 255, 100);
	}
	 
	if ( $_POST[FiltroPerUtenza]==1  &&  $rs[Associazione] == 1 )
	{
		TematizzaAmbientiUtenza($map, $data, 255, 0, 0);
	}
	
	if ( $_POST[FiltroPerUtilizzatore]==1  &&  $rs[Associazione] == 1 )
	{
		TematizzaAmbientiUtilizzatore($map, $data, 255, 100, 0);
	}
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("name", $rs[Nome]);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$visiPost = $_POST["Visibile_$rs[Id]"];
	
	if ( isset($visiPost) )
	{
		$layer->set("status", $visiPost==1 ? MS_ON : MS_OFF);
	}
	else
	{
		$layer->set("status", $rs[VisibileWeb]==1 ? MS_ON : MS_OFF);
	}
	
	$layer->set("data", $data);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	//$style->set("width", 2.0); proprietà non disponibile in questa versione di mapserver
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$style->set("symbolname", $rs[Simbolo]);
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			break;
	}
	
	if ( !$isExtent )
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($minx) )
		{
			if ( $extent->minx < $minx ) $minx = $extent->minx;
			if ( $extent->miny < $miny ) $miny = $extent->miny;
			
			if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
			if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
		}
		else
		{
			$minx = $extent->minx;
			$miny = $extent->miny;
			
			$maxx = $extent->maxx;
			$maxy = $extent->maxy;
		}
	}
	
	if ( $_POST[action]==8  &&  $rs[Associazione] == 1 )
		Labeling($layer, $map, $data, 0, 0, 255);

	if ( $_POST[FiltroPerUtenza2]==1  &&  isset($layerTemaComp) )
	{
		TematizzaComponentiWrite($layer, $layerTemaComp);
	}
}

if ( $_POST[FiltroPerUtenza2]==1  &&  isset($layerTemaComp) )
{
	$layerTemaComp = TematizzaComponentiClose($layerTemaComp);
}

if ( !$isExtent )
{
	$dx10 = abs($maxx - $minx) * 0.02;
	$dy10 = abs($maxy - $miny) * 0.02;

	$minx -= $dx10;
	$miny -= $dy10;
	$maxx += $dx10;
	$maxy += $dy10;
}

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

if ( $_POST[action]==2 || $_POST[action]==3 || $_POST[action]==4 )
{
	switch ( $_POST[action] )
	{
		case 2: // pan
			$zoom_factor = 1;
			break;
		case 3: // zoom in
			$zoom_factor = 2;
			break;
		case 4: // zoom out
			$zoom_factor = -2;
			break;
	}

	$my_point = ms_newpointObj();
	$my_point->setXY($_POST[map_x],$_POST[map_y]);
	
	$map->zoompoint($zoom_factor, $my_point, $map->width, $map->height, $map->extent);
}

$image = $map->draw();

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$url = "$_SERVER[DOCUMENT_HOST]\\".NTX_SUBPATH_PORTALE."\\tmp";

$szFileName = tempnam($dir, "TN").".png";

$image->saveImage($szFileName);

$szFileName2 = $url.substr($szFileName, strlen($dir));

$extent = $map->extent->minx." ".$map->extent->miny." "
					.$map->extent->maxx." ".$map->extent->maxy;

$result[FileName] = $szFileName2;				
$result[extent] = $extent;				
	
jhp($result);

?>
