<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$Mese = ntxip('Mese');
$Anno = ntxip('Anno');

$mesi = array("", "Gennaio", "Febbraio", "Marzo", "Aprile", "Maggio", "Giugno", "Luglio", "Agosto", "Settembre", "Ottobre", "Novembre", "Dicembre");

$labelMese = $mesi[$Mese];

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/libs/jquery_nameless/css/smoothness/jquery-ui.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery_nameless/jquery.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery.ui.datepicker-it.js" type="text/javascript"></script>
	<script src="/repository/libs/jquery_nameless/jquery-ui-buttonsetv.js" type="text/javascript"></script>

	<script src="/repository/libs/jhp/jhp-1.2.1.min.js" type="text/javascript"></script>
	
	<link href="css/base.css" rel="stylesheet" type="text/css">
	<style>
		@media print {
			.ScomparsaSuStampa {
				display:none;
			}
		}
		
	</style>
</head>
<body>

<input type=button value=stampa onclick="print()" class="ScomparsaSuStampa" />
<br>

<div style="font-weight:bold;font-size:21pt"><?php echo "Foglio Presenze $labelMese $Anno" ?></div>
<br>
<?php 

$sub1 = "";

for($i=1;$i<=31;$i++)
{
	if ( $sub1!="" ) $sub1.=",";
	
	$sub1 .= "SUM(ISNULL(canone{$i}, 0)) AS TotCanoni{$i}, SUM(ISNULL(extra{$i}, 0) + ISNULL(copertura{$i}, 0)) AS TotExtra{$i}";
}

$sub2 = "";

for($i=1;$i<=31;$i++)
{
	if ( $sub2!="" ) $sub2.=",";
	
	$sub2 .= <<< sub2
		(SELECT m.Codice FROM MotivazioniAssenzePulizie m WHERE m.IdMotivazione=FerieAssenzePulizie.motivo{$i}) As codMotivo{$i}, 

		(SELECT m.Retribuita FROM MotivazioniAssenzePulizie m WHERE m.IdMotivazione=FerieAssenzePulizie.motivo{$i}) As assenzaRetribuita{$i}, 

		isnull(ore{$i},0) AS oreAssenze{$i}
sub2;
}

$sub3 = "cons.TotCanoni1";

for($i=2;$i<=31;$i++)
{
	$sub3 .= "+cons.TotCanoni{$i}";
}

$sub4 = "case when cons.TotCanoni1>0 then 1 else 0 end";

for($i=2;$i<=31;$i++)
{
	$sub4 .= "+case when cons.TotCanoni{$i}>0 then 1 else 0 end";
}

$sub5 = "";

for($i=2;$i<=31;$i++)
{
	$sub5 .= "+case when cons.TotCanoni{$i}>0 and (codMotivo{$i} is null or assenzaRetribuita{$i}=1) then 1 else 0 end";
}

$sub6 = "cons.TotExtra1";

for($i=2;$i<=31;$i++)
{
	$sub6 .= "+cons.TotExtra{$i}";
}

$sub7 = "case when codMotivo1 in ('Fe','Ex','RO') then oreAssenze1 else 0 end";

for($i=2;$i<=31;$i++)
{
	$sub7 .= "+case when codMotivo{$i} in ('Fe','Ex','RO') then oreAssenze{$i} else 0 end";
}

$sub8 = "case when codMotivo1 in ('M','I') then oreAssenze1 else 0 end";

for($i=2;$i<=31;$i++)
{
	$sub8 .= "+case when codMotivo{$i} in ('M','I') then oreAssenze{$i} else 0 end";
}

$sql = <<< sql
	select cons.*, fap.*, addetti.Cognome, addetti.Nome, addetti.Qualifica, addetti.Matricola,
	
			$sub3 TotTotCanoni,
			
			$sub4 GiorniLavorativi,
			
			$sub5 GiorniLavRetribuiti,
	
			$sub6 TotTotExtra,
			
			$sub7 TotOreExtraFerie,
			
			$sub8 TotOreCanonePerFerie
						
			
	FROM (
			SELECT     IdAddetto, 

				$sub1

			FROM         ConsuntivazionePulizie
			WHERE     (IdCommessa = 1) AND (Mese = $Mese) AND (Anno = $Anno)
			GROUP BY IdAddetto
			) cons
		inner join AddettiPulizie addetti
			on addetti.IdAD=cons.IdAddetto
			
		left join (
				SELECT     IdAddetto, 

						$sub2

				FROM         FerieAssenzePulizie
				WHERE     (Mese = $Mese) AND (Anno = $Anno)
			) fap on 
				cons.IdAddetto=fap.IdAddetto

	ORDER BY Matricola, Cognome, Nome
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid style="max-width:100%">
		<tr>
			<th>
			<th colspan=2>
			<th colspan=31>PRESTAZIONI PER CIASCUNA GIORNATA
			<th colspan=3>ORE ORDINARIE
			<th colspan=2>ORE STR.
			<th colspan=3>MALAT.INFORT.
			<th colspan=2>GIORNI
			<th>NOTE
		<tr>
			<td>Nr.Ord.<br>Matricola
			<td colspan=2>Cognome, Nome e Qualifica
table;

$weekdays = array("DOM", "Lun", "Mar", "Mer", "Gio", "Ven", "Sab");


for($i=1;$i<=31;$i++)
{
	$w = date("w", mktime(0, 0, 0, $Mese, $i, $Anno));
	
	$festività[$i] = ($w==6 || $w==0);
	
	$ww = $weekdays[$w];
	
	$table .= "<td>$ww<br>$i";
}

$table .= <<< table
		<td>Lav.
		<td>Fest.
		<td>Per<br>ferie
		<td>al<br>%
		<td>al<br>50%
		<td>Carenza
		<td>al<br>%
		<td>al<br>%
		<td>Lavorati
		<td>Retribuiti
		<td>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$TotTotCanoni = ntxRound($rs[TotTotCanoni],2);
	$TotTotExtra = ntxRound($rs[TotTotExtra],2);
	$TotOreExtraFerie = ntxRound($rs[TotOreExtraFerie],2);
	$TotOreCanonePerFerie = ntxRound($rs[TotOreCanonePerFerie],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td rowspan=3>$html[Matricola]
			<td>$html[Cognome]
			<td style="text-align:right">canoni
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "TotCanoni".$i;
		$v = ntxRound($rs[$k],2);
		
		$style = ( $festività[$i] ? "style='background-color:silver'":"");
		
		$table .= <<< table
			<td $style>$v
table;
	}

	$table .= <<< table
			<td>$TotTotCanoni<td><td><td><td><td><td><td><td>$html[GiorniLavorativi]<td>$html[GiorniLavRetribuiti]<td>
table;

	$table .= <<< table
		<tr $classTr>
			<td>$html[Nome]
			<td style="text-align:right">extra
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "TotExtra".$i;
		$v = ntxRound($rs[$k],2);
		
		$style = ( $festività[$i] ? "style='background-color:silver'":"");
		
		$table .= <<< table
			<td $style>$v
table;
	}

	$table .= <<< table
			<td><td><td><td>$TotTotExtra<td>$TotOreExtraFerie<td><td><td><td><td><td>
table;

	$table .= <<< table
		<tr $classTr>
			<td>$html[Qualifica]
			<td style="text-align:right">
table;

	for($i=1;$i<=31;$i++)
	{
		$k = "codMotivo".$i;
		$v = $html[$k];
		
		$style = ( $festività[$i] ? "style='background-color:silver'":"");
		
		$table .= <<< table
			<td $style>$v
table;
	}

	$table .= <<< table
			<td><td><td>$TotOreCanonePerFerie<td><td><td><td><td><td><td><td>
table;

	$alternate = !$alternate;
}

$table .= "</table>";

echo $table;

?>

</body>
</html>
