<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdTesta = ntxip('IdTesta', false);

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<script src="/repository/libs/jhp/jhp-1.4.1.min.js" type="text/javascript"></script>
	
	<link href="css/report.css" rel="stylesheet" type="text/css">
	<link href="css/grid.css" rel="stylesheet" type="text/css">
</head>
<body>
<h1 style="font-size:7pt">Schede Controllo Servizi Pulizia</h1>

<input type=button class="no-print" value="Stampa" onclick="print()" />
<br class="no-print">
<br class="no-print">
<?php

$sql = <<< sql
	SELECT     Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, t.Id, t.DataOra, tblUtUtilizzatori.Nome, CaratteristicheAmbienti.Descrizione, t.PuntiControllati, t.PuntiConformi, 
                      t.PuntiNonConformi, t.LivelloServizio, t.NoteLocalizzative, 
					  tblPgPropietari.Nome AS Cliente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, DestinazioniDusoLivello.Destinazione AS Piano, Tecnici.Tecnico, t.IdRifAffidatario, tblPgRifAffidatari.Nome RifAffidatario, CaratteristicheAmbienti.LivelloObbiettivo
	FROM         Ambiente INNER JOIN
                      TestaControlloServiziPulizia AS t ON Ambiente.IdCommessa = t.IdCommessa AND Ambiente.IdEdificio = t.IdEdificio AND 
                      Ambiente.IDAmbiente = t.IdAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      Tecnici ON t.IdTecnicoC = Tecnici.IDTec LEFT OUTER JOIN
                      CaratteristicheAmbienti ON t.IdAreaRischio = CaratteristicheAmbienti.Id LEFT OUTER JOIN
                      tblUtUtilizzatori ON t.IdCommessa = tblUtUtilizzatori.IdCommessa AND t.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
					   LEFT OUTER JOIN
                      tblPgRifAffidatari ON t.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario 
					  
	WHERE     (t.id = $IdTesta)
sql;

$rs = ntxRecord(ntxQuery($sql));

$statoLiv = ($rs[LivelloServizio]>=$rs[LivelloObbiettivo]);
	
$stato = $statoLiv ? "OK" : "NC";
$coloreStato = $statoLiv ? "green" : "red";

$rs[Data] = ntxDate($rs[DataOra]);
$rs[Ora] = ntxTimeAndSecond($rs[DataOra]);
$rs[LivelloServizio] = ntxRound($rs[LivelloServizio], 2);
$rs[LivelloObbiettivo] = ntxRound($rs[LivelloObbiettivo], 2);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$testata = <<< testata
	<table class=grid style="width:100%;font-size:7pt">
		<tr>
			<td>Committente<td style="font-weight:bold">$html[Cliente]
			<td>Struttura<td style="font-weight:bold">$html[EdificioBreve]
		<tr>
			<td>Piano<td style="font-weight:bold">$html[Piano]
			<td>Reparto<td style="font-weight:bold">$html[Nome]
		<tr>
			<td>Locale oggetto del controllo:<td style="font-weight:bold">$html[CodiceAssAmbiente] - $html[Destinazione] - $html[NoteLocalizzative]
			<td>Area&nbsp;di&nbsp;rischio<td style="font-weight:bold">$html[Descrizione]
		<tr>
			<td>Data<td style="font-weight:bold">$html[Data]
			<td>Ora<td style="font-weight:bold">$html[Ora]
		<tr>
			<td>Resp.Committente<td style="font-weight:bold">$html[Tecnico]
			<td>Resp.Gestore<td style="font-weight:bold">$html[RifAffidatario]
	</table>
	<br>
testata;

$coda = <<< coda
	<br>
	<table class=grid style="font-size:7pt">
		<tr>
			<td>Somma Punti Controllati<td style="font-weight:bold">$html[PuntiControllati]
		<tr>
			<td>Somma Punti Conformi<td style="font-weight:bold">$html[PuntiConformi]
		<tr>
			<td>Somma Punti Non Conformi<td style="font-weight:bold">$html[PuntiNonConformi]
	</table>
	<br>
	<table class=grid style="font-size:7pt;border:2px solid black">
		<tr>
			<td>Livello del servizio raggiunto<td style="font-weight:bold">$html[LivelloServizio]
			<td>Livello Obbiettivo<td style="font-weight:bold">$html[LivelloObbiettivo]
			<td>Stato<td style="color:$coloreStato;font-weight:bold">$stato
	</table>
coda;

$sql = <<< sql
	SELECT     Id, IdControllo, ParametriDiControllo, StrumentiDiRilevazione, SogliaDiAccettazione, Risultato, Note
	FROM         RisultatiControlloServiziPulizia
		WHERE IdTesta=$IdTesta
	ORDER BY IdControllo, Id
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$Id = $rs[Id];
	$IdControllo = $rs[IdControllo];

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$arrayParams[$IdControllo][$Id] = $html;
}


$sql = <<< sql
	SELECT Id IdControllo, ElementiDiControllo 
	FROM ControlloServiziPulizia
	WHERE IdTesta=$IdTesta
	ORDER BY IdControllo
sql;

$query = ntxQuery($sql);

$table = "";

$valoriPossibili = array("non&nbsp;accettato", "accettato", "non&nbsp;applicabile");

while($rs=ntxRecord($query))
{
	$IdControllo = $rs[IdControllo];
	$ElementiDiControllo = htmlentities($rs[ElementiDiControllo]);
	
	$params = $arrayParams[$IdControllo];
	
	$first = true;
	
	$rowspan = count($params);
	
	foreach($params as $html)
	{
		$valore = $valoriPossibili[$html[Risultato]];
		
		$selected0 = is_numeric($html[Risultato])  &&  $html[Risultato]==0 ? "selected" : "";
		$selected1 = $html[Risultato]==1 ? "selected" : "";
		$selected2 = $html[Risultato]==2 ? "selected" : "";
		
		$StyleCombo = "white";
		
		if (is_numeric($html[Risultato]))
		{
			switch($html[Risultato])
			{
				case 0:
					$StyleCombo = "#FFAAAA";
					break;
				case 1:
					$StyleCombo = "#AAFFAA";
					break;
				case 2:
					$StyleCombo = "#FFFFAA";
					break;
			}
		}
		
		$table .= <<< table
			<tr>
table;

		if ( $first )
			$table .= <<< table
					<td rowspan=$rowspan>$ElementiDiControllo
table;
		
		$first = false;
		
		$table .= <<< table
				<td>$html[ParametriDiControllo]
				<td>$html[StrumentiDiRilevazione]
				<td>$html[SogliaDiAccettazione]
				<td style="background:$StyleCombo">$valore
				<td>$html[Note]
table;
	}
		
	$table .= <<< table
			<tr style="height:2px">
table;
}

$result = <<< result
	$testata
	<table class=grid style="width:100%;border:1px solid black">
		<tr>
			<th style="width:15%">Elementi di controllo
			<th style="width:20%">Parametri di controllo
			<th style="width:5%">Strumento di rilevazione
			<th style="width:5%">Soglia di accettabilità
			<th style="width:5%">Risultato
			<th>Note
		$table
	</table>
	$coda
result;

echo $result;

?>
<br class="no-print">
<br class="no-print">
<input type=button class="no-print" value="Stampa" onclick="print()" />

</body>
</html>
