<?php

$sql = <<< sql
	SELECT     COUNT(*) AS Expr1
	FROM         Ambiente INNER JOIN
						  AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
						  Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente INNER JOIN
						  Ordini ON Ambiente.IdCommessa = Ordini.IDCommessa AND Ambiente.IdEdificio = Ordini.CodEdificio AND 
						  Ambiente.IDAmbiente = Ordini.IdAmbiente INNER JOIN
						  tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
						  Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (Ambiente.IdLivello = $IdPiano) 
		AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL) 
		AND (AmbienteShapes.Tipo = 2) 
		AND (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (tblAttivitàMestiere.PulizieCamereHotel = 1) 
		AND (Ordini.DataInizioProg = $dataOrdierna)
			AND (Ordini.StatoOrd < 50)
sql;

$numVaniTematizzabili = ntxScalar($sql);

if($numVaniTematizzabili>0)
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "temi_vani1");

	$layer->set("type", MS_LAYER_POLYGON);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->color->setRGB(255, 200, 200);
	
	$sql = <<< sql
		SELECT DISTINCT AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.CoordXY, AmbienteShapes.Id
		FROM         Ambiente INNER JOIN
			AmbienteShapes ON Ambiente.IdCommessa = AmbienteShapes.IdCommessa AND Ambiente.IdEdificio = AmbienteShapes.IdEdificio AND 
			Ambiente.IDAmbiente = AmbienteShapes.IdAmbiente INNER JOIN
			Ordini ON Ambiente.IdCommessa = Ordini.IDCommessa AND Ambiente.IdEdificio = Ordini.CodEdificio AND 
			Ambiente.IDAmbiente = Ordini.IdAmbiente INNER JOIN
			tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
			Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
		WHERE     (Ambiente.IdLivello = $IdPiano) 
			AND (Ambiente.Rimosso = 0 OR Ambiente.Rimosso IS NULL) 
			AND (AmbienteShapes.Tipo = 2) 
			AND (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (tblAttivitàMestiere.PulizieCamereHotel = 1) 
			AND (Ordini.DataInizioProg = $dataOrdierna)
			AND (Ordini.StatoOrd < 50)
		ORDER BY AmbienteShapes.IdAmbiente, AmbienteShapes.IdShape, AmbienteShapes.Id
sql;

	$query3 = ntxQuery($sql);

	$IdAmbiente = $IdShape = "";

	$punti = "";

	while($rs3=ntxRecord($query3))
	{
		if ( $IdAmbiente=="" ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
		}
		
		if ( $IdAmbiente!=$rs3[IdAmbiente] || $IdShape!=$rs3[IdShape] ) 
		{
			$IdAmbiente = $rs3[IdAmbiente];
			$IdShape = $rs3[IdShape];
			
			WritePolygon($layer, $punti);
			
			$punti = "";
		}
		
		$punti .= $rs3[CoordXY];
	}

	if ( $punti!="" ) 
		WritePolygon($layer, $punti);
}


?>