<?php

$sql = <<< sql
	SELECT 
		Ordini.IdCommessa
		,Ordini.NumOrdine
		,Ordini.AnnoOrdine
		,Ordini.IdOrd AS IdOrdine
		,Ordini.StatoOrd
		,Ordini.IdMestiere
		,Ordini.IdComponenteMestiere
		,Ordini.IdAttivitàMestiere
		,StatiOrdini.DesStato
		,Ordini.DataInizioProg
		,Ordini.DataFineProg
		,Ordini.DataInizio
		,Ordini.DataFine
		,Ordini.Intervento
		,Ordini.AnomaliaRiscontrata
		,Ordini.PrestazioneEffettuata
		,Ordini.AnomaliaBloccante
		,Ordini.InterventoRisolutivo
		,Ordini.InterventoIdoneo
		,Ordini.DataAggiornamentoCensimento
		,Ordini.DescrizioneIntervento
		,Ordini.DescrizioneIntervento1
		,Ordini.DescrizioneIntervento2
		,Ordini.Note
		,Ordini.ForseFuoriCanone
		,Ordini.SicuramenteCanone
		,Ordini.RichiestoAggiornamentoCensimento AS RAC
		,Ordini.DataSospensione
		,Ordini.DataRipresaProg
		,Ordini.DataRipresa
		,Ordini.NoteSospensione
		,Ordini.NoteTecnicheEsecutore
		,Ordini.ImportoStimatoEsecutore
		,CASE WHEN Ordini.Contabiliz='canone' THEN 1 ELSE 0 END IsCanone
		,ElencoEdifici.Tipo,
		Ordini.CodEdificio AS Localizzazione,
		Ordini.CodEdificio AS IdEdificio	
		
	FROM  
		Ordini INNER JOIN
		StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
		ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
		
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
sql;

$msg_error = "Ordine num. $NumOrdine anno. $AnnoOrdine commessa $IdCommessa non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record['ImportoStimatoEsecutore'] = (!is_null($record['ImportoStimatoEsecutore'])) ? (float)$record['ImportoStimatoEsecutore'] : null;

$record['ForseFuoriCanone'] = (int)$record['ForseFuoriCanone'];


$record['NumOrdine'] = (int)$record['NumOrdine'];

$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);

$record['DataInizio'] = ntxDateTime($record['DataInizio']);
$record['DataFine'] = ntxDateTime($record['DataFine']);

$record['DataAggiornamentoCensimento'] = ntxDateTime($record['DataAggiornamentoCensimento']);
$record['Descrizione'] = $record['DescrizioneIntervento'].$record['DescrizioneIntervento1'].$record['DescrizioneIntervento2'];

$record['DataSospensione'] = ntxDateTime($record['DataSospensione']);
$record['DataRipresaProg'] = ntxDateTime($record['DataRipresaProg']);
$record['DataRipresa'] = ntxDateTime($record['DataRipresa']);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
