<?php

if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$DataPrenotazione = ntxtp('DataPrenotazione');
$IdPuntoScarico = ntxip('IdPuntoScarico');

$sql = <<< _SQL
	
    SELECT 
        IdRegistroSlot
	,IdCommessa
	,IdEdificio
	,DataCreazione
	,IdUtente
	,IdPuntoScarico
	,DataInizioSlot
	,DataFineSlot
	,PostiAssegnatiSlot
	,PostiLiberiSlot
	,PostiAssegnatiSlot
        ,Consolidato
        ,Invalidato
    FROM 
        RegistroSlot
    WHERE
        IdCommessa = $IdCommessa
        AND IdEdificio = $IdEdificio
        AND IdPuntoScarico = $IdPuntoScarico
        AND ( DATEPART(dy, RegistroSlot.DataInizioSlot) = DATEPART(dy, $DataPrenotazione))
        AND Consolidato <> 0
        AND Invalidato <> 1
     ORDER BY
        DataInizioSlot
		
_SQL;

$query = ntxQuery($sql);

$pds = array();
$regslot = array();
while ($query  &&  $rs = ntxRecord($query)) {

    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $sql1 = " SELECT CONVERT (TIME, '$html[DataInizioSlot]') ";
    $sql2 = " SELECT CONVERT (TIME, '$html[DataFineSlot]') ";

    if (intval($html['PostiLiberiSlot']) != 0) {
        $fascia = substr(htmlentities(ntxScalar($sql1)), 0, 5) . " - " . substr(htmlentities(ntxScalar($sql2)), 0, 5);
        $pds[$fascia]['PostiLiberiSlot'] = intval($html['PostiLiberiSlot']);
        $pds[$fascia]['PostiAssegnatiSlot'] = intval($html['PostiAssegnatiSlot']);
        $regslot[$fascia] = intval($html['IdRegistroSlot']);
    }
}

$table .= "<table align=center>";
$i = 1;
foreach ($pds as $key1 => $value1) {
    if ($i == 1) {
        $table .= "<tr>";
        $table .= "<th></th>";
        $table .= "<th>Fasce</th>";
        $sql = " SELECT TOP 1 Descrizione FROM RegistroPuntiScarico WHERE IdPuntoScarico = $IdPuntoScarico ";
        $desc = ntxScalar($sql);
        $table .= "<th>$desc</th>";
    }
    $table .= "</tr>";
    ++$i;
}
$alternate = false;
$i = 1;
foreach ($pds as $key1 => $value1) {
    $classTr = $alternate ? "class=alternate" : "";
    $table .= "<tr $classTr>";
    $table .= "<td><input type=\"button\" onclick=\"objCodice.Prenota(document.frmRicerca,'{$regslot[$key1]}',$IdPuntoScarico)\" value=\"Conferma Prenotazione\"></td>";
    $table .= "<td>$i SLOT $key1</td>";
    $pa = floatval($value1['PostiLiberiSlot']) / floatval($value1['PostiAssegnatiSlot']);
    if ($pa >= 0.5) {
        $pallini = "verde";
    } elseif ($pa > 0.0) {
        $pallini = "giallo";
    }
    $table .= "<td style=\"text-align:center;\" class=\"$pallini\"></td>";
    $table .= "</tr>";
    ++$i;
    $alternate = !$alternate;
}
$table .= "</table>";

if (count($html) == 0) {
    $table = '<div align=\"center\"><h3>NESSUNO SLOT DISPONIBILE</h3></div>';
}

jhp($table);
