<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 22/12/2015, Natisoft Srl
 */
session_start();

require_once('../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository/func/paginazione/form.inc");

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$sql = <<< _SQL

	SELECT elencoEdifici.EdificioBreve
	FROM ElencoEdifici
	INNER JOIN UtentiEdifici
		ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
			AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
	WHERE ElencoEdifici.IdCommessa = $IdCommessa
		AND ElencoEdifici.ID = $IdEdificio

_SQL;
$NomeEdificio = ntxScalar($sql);
$DataRicerca = ntxDateTime(htmlentities(ntxScalar(" SELECT DATEADD(day, 1, GETDATE()) ")));
$DataDefault = substr($DataRicerca, 0, 10)
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
    <head>

        <?php require '_header.php'; ?>
        <script src="js/registro.js?v=<?php echo time() ?>" type="text/javascript"></script>

    </head>

    <body>

        <form name="frmRicerca" method="post" id_form="frmRicerca" Paginazione >
            <?php PaginazioneCampiPerForm(10, 'jhp/registro/ricerca.php', 'lista-risultati-ricerca') ?>

            <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" >
            <input type=hidden name=DataRicerca value="<?php echo $DataRicerca ?>" >

            <table align="center" width="600">
                <caption>Inserimento Slot</caption>
                <tr>
                    <th>Localizzazione</th>
                    <td colspan="5">
                        <input type=text value="<?php echo $NomeEdificio ?>" readonly disabled  style="width:96%">
                    </td>
                </tr>
                <tr>  
                    <th>Data</th>	
                    <td>
                        <input tipo=data convalida obbligatorio class=datepicker type=text name=Data value="<?php echo $DataDefault ?>" style="width:96%"/>
                    </td>
                    <th>Ora Inizio</th>	
                    <td>
                        <select name="OraInizio" style="width:100%">
                            <?php
                            $i = 0;
                            while ($i <= 24) {
                                echo <<< _HTML
                                    <option value="{$i}:00">{$i}:00</option>
_HTML;
                                ++$i;
                            }
                            ?>
                        </select>
                    </td>
                    <th>Ora Fine</th>	
                    <td>
                        <select name="OraFine" style="width:100%">
                            <?php
                            $i = 0;
                            while ($i <= 24) {
                                echo <<< _HTML
                                    <option value="{$i}:00">{$i}:00</option>
_HTML;
                                ++$i;
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>Punto Di Scarico</th>
                    <td colspan="5">
                        <select name="PuntoDiScarico" style="width:100%">
                            <?php
                            $sql = <<< _SQL
                           
                                    SELECT 
                                        *
                                    FROM
                                        RegistroPuntiScarico
                                    WHERE
                                        1=1
                                    
_SQL;
                            $query = ntxQuery($sql);
                            while ($query  &&  $rs = ntxRecord($query)) {

                                foreach ($rs as $key => $value) {
                                    $html[$key] = htmlentities($value);
                                }
                                echo <<< _HTML
                                    <option value=$html[IdPuntoScarico]>$html[Descrizione]</option>
_HTML;
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th>Posti Prenotabili</th>
                    <td colspan="5">
                        <select name="PostiAssegnati" style="width:100%">
                            <?php
                            $i = 1;
                            while ($i <= 100) {
                                echo <<< _HTML
                                    <option value=$i>$i</option>
_HTML;
                                ++$i;
                            }
                            ?>
                        </select>
                    </td>
                </tr>
                <tr>
                    <th colspan="6">
                        <input type="button" name=btnReset onclick="document.frmRicerca.reset()" value="Reset" style="width:100%">
                    </th>
                <tr>
                    <th colspan="6">
                        <input type="button" name=btnRicerca onclick="objCodice.Aggiungi(document.frmRicerca, document.form1)" value="Aggiungi Slot" style="width:100%">
                    </th>
                </tr>
            </table>

        </form>

        <br />
        <br />

        <div align="center">
            <span ButtonSet>
                <?php PaginazioneNavigazione('frmRicerca') ?>
            </span>
        </div>

        <br />
        <br />

        <table align="center">

            <tr>  
                <th>Filtra Per Data</th>	
                <td>
                    <input tipo=data convalida class=datepicker type=text name=DataRicercaNew style="width:94%" value="<?php echo $DataDefault ?>" onchange="NuovaRicerca(this.value)">
                </td>
            </tr>

        </table>

        <br />
        <br />

        <table align="center">

            <tr>  
                <th>Copia dal</th>	
                <td>
                    <input tipo=data convalida class=datepicker type=text name=DataCopiaFrom onchange="document.form1.DataCopiaFrom.value = this.value" style="width:94%">
                </td>
                <th>al</th>	
                <td>
                    <input tipo=data convalida class=datepicker type=text name=DataCopiaTo onchange="document.form1.DataCopiaTo.value = this.value" style="width:94%">
                </td>
                <th><input type="button" onclick="objCodice.Copia(document.form1)" value="Copia"></th>	
            </tr>

        </table>

        <br />
        <br />

        <div id="lista-risultati-ricerca"></div>

        <br />
        <br />

        <table align="center" class="toHide">

            <tr>  
                <th><input type="button" onclick="objCodice.Consolida(document.frmRicerca)" value="Consolida Slot Per Questa Giornata"></th>	
            </tr>

        </table>

        <br />
        <br />

        <div align="center">
            <span ButtonSet>
                <?php PaginazioneNavigazione('frmRicerca') ?>
            </span>
        </div>

        <form id="form1" name="form1" id_form="form1" method="post">
            <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" >
            <input type=hidden name=DataInizio value="" >
            <input type=hidden name=DataFine value="" >
            <input type=hidden name=DataCopiaFrom value="" >
            <input type=hidden name=DataCopiaTo value="" >
            <input type=hidden name=IdPuntoScarico value="" >
            <input type=hidden name=PostiAssegnati value="0" >
        </form>

    </body>
</html>
