<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdUtente = ntxise('IdUtente');
$Utente = ntxsse('Utente');

$sql = <<< _SQL
SELECT 
	Risorse.ID AS IdRisorsa
FROM 
	Risorse
	INNER JOIN Utenti
		ON risorse.id = Utenti.idrisorsa
WHERE 
	Utenti.Id = $IdUtente 

_SQL;
$IdRisorsaAssociataUtente = htmlentities(ntxScalar($sql));

if(!is_numeric($IdUtente) && !is_numeric($IdRisorsaAssociataUtente)) 
	ntxmsgerr("Obbligatorio associare una risorsa all'utente.");


/*
 * Registro Vettori Post
 */

$IdCommessa = ntxise('IdCommessa', false);
$IdEdificio = ntxip('IdEdificio', false);
$IdDitta = ntxip('IdDitta', false);
$IdUtente = ntxip('IdUtente', false);
$IdRisorsa = ntxip('IdRisorsa', false);
$TargaMotrice = strtoupper(ntxsp('TargaMotrice', false));
//Different in mobile
$DataOraCheckIn = ntxtp('DataOra', false);
$Presa = ntxip('Presa', false);
$Motivo = strtoupper(ntxsp('Motivo'));
/*
 * Registro Vettori In Out Post
 */
$DataOra = ntxtp('DataOra', false);
$Autista = strtoupper(ntxsp('Autista'));
$TargaRimorchio = strtoupper(ntxsp('TargaRimorchio'));
$Shipment = strtoupper(ntxsp('Shipment'));
$Note = strtoupper(ntxsp('Note'));
$Cicalino = strtoupper(ntxsp('Cicalino'));
$FasciaOrariaPrenotazione = strtoupper(ntxsp('FasciaOrariaPrenotazione'));
$PostazioneDiCarico = strtoupper(ntxsp('PostazioneDiCarico'));
$CaricoBolla = ntxip('CaricoBolla');
$CaricoControllato = ntxip('CaricoControllato');
$DifferenzaCarico = ntxip('DifferenzaCarico');
$BollaMancante = ntxip('BollaMancante');
$BollaErrata = ntxip('BollaErrata');
$CaricoNonCorrispondente = ntxip('CaricoNonCorrispondente');
$NoteAnomalia = strtoupper(ntxsp('NoteAnomalia'));
$CaricoEpal = ntxip('CaricoEpal');
$CaricoFustini = ntxip('CaricoFustini');
$CaricoCasse = ntxip('CaricoCasse');
$CaricoAltro = ntxip('CaricoAltro');
$ProprietaEpal = ntxip('ProprietaEpal');
$ProprietaFustini = ntxip('ProprietaFustini');
$ProprietaCasse = ntxip('ProprietaCasse');
$ProprietaAltro = ntxip('ProprietaAltro');
$VerificaEpal = ntxip('VerificaEpal');
$VerificaFustini = ntxip('VerificaFustini');
$VerificaCasse = ntxip('VerificaCasse');
$VerificaAltro = ntxip('VerificaAltro');
$CheckPatenteValida = ntxbp('CheckPatenteValida');
$CheckAssMezzoValida = ntxbp('CheckAssMezzoValida');
 
if ((isset($_POST['statoOld'])  &&  is_numeric($_POST['statoOld']))  &&  (isset($_POST['statoNew'])  &&  is_numeric($_POST['statoNew']))) {
    $StatoOld = ntxip('statoOld');
    $StatoNew = ntxip('statoNew');
}  else {
    jhp_error("Errore nell'assegnazione dello stato! Contattare l'assistenza (helpdesk@natisoft.it).");
} 


/*
 * insertCheckin (0->20) or insertIngresso (0->30)
 */
if (($StatoOld == 0  &&  $StatoNew == 20) || ($StatoOld == 0  &&  $StatoNew == 30)) {

   $sqlRegistroVettori = <<< _SQL
                
		INSERT INTO 
			RegistroVettori (
				IdCommessa
				,IdEdificio
				,IdUtente
				,IdDitta
				,IdRisorsa
				,Presa
				,TargaMotrice
				,DataOraCheckIn
				,Motivo
				,stato
				,CheckPatenteValida
				,CheckAssMezzoValida
				)
		VALUES  (
				$IdCommessa
				,$IdEdificio
				,$IdUtente
				,$IdDitta
				,$IdRisorsa
				,$Presa
				,$TargaMotrice
				,$DataOraCheckIn
				,$Motivo
				,$StatoNew
				,$CheckPatenteValida
				,$CheckAssMezzoValida
				)   

_SQL;
	ntxQuery($sqlRegistroVettori);
    $sqlRegistroVettoriInOut = <<< _SQL
                
		INSERT INTO 
			RegistroVettoriInOut (
				Autista
				,Dataora
				,TargaRimorchio
				,Shipment
				,Note
				,Cicalino
				,FasciaOrariaPrenotazione
				,PostazioneDiCarico
				,CaricoBolla
				,CaricoControllato
				,DifferenzaCarico
				,BollaMancante
				,BollaErrata
				,CaricoNonCorrispondente
				,NoteAnomalia
				,CaricoEpal
				,CaricoFustini
				,CaricoCasse
				,CaricoAltro
				,ProprietaEpal
				,ProprietaFustini
				,ProprietaCasse
				,ProprietaAltro
				,VerificaEpal
				,VerificaFustini
				,VerificaCasse
				,VerificaAltro
				,IdUtente
				,IdRisorsa 
				)
		VALUES  (
				$Autista
				,$DataOra
				,$TargaRimorchio
				,$Shipment
				,$Note
				,$Cicalino
				,$FasciaOrariaPrenotazione
				,$PostazioneDiCarico
				,$CaricoBolla
				,$CaricoControllato
				,$DifferenzaCarico
				,$BollaMancante
				,$BollaErrata
				,$CaricoNonCorrispondente
				,$NoteAnomalia
				,$CaricoEpal
				,$CaricoFustini
				,$CaricoCasse
				,$CaricoAltro
				,$ProprietaEpal
				,$ProprietaFustini
				,$ProprietaCasse
				,$ProprietaAltro
				,$VerificaEpal
				,$VerificaFustini
				,$VerificaCasse
				,$VerificaAltro
				,$IdUtente
				,$IdRisorsaAssociataUtente
				)    

_SQL;
	ntxQuery($sqlRegistroVettoriInOut);
	$IdRegistroVettori = intval(htmlentities(ntxScalar(" SELECT MAX(Id) FROM RegistroVettori ")));
    $IdRegistroVettoriInOut = intval(htmlentities(ntxScalar(" SELECT MAX(Id) FROM RegistroVettoriInOut ")));
    
	$sqlRegVett2RegVettInOut = <<< _SQL
                
            INSERT INTO 
                RegVett2RegVettInOut(IdRegistroVettori, IdRegistroVettoriInOut, stato) 
            VALUES 
				($IdRegistroVettori, $IdRegistroVettoriInOut , $StatoNew)

                
_SQL;
	ntxQuery($sqlRegVett2RegVettInOut);
}

/*
 * updateCheckin (10->20) or updateIngresso (10->30)
 */
if (($StatoOld == 10  &&  $StatoNew == 20) || ($StatoOld == 10  &&  $StatoNew == 30) || ($StatoOld == 20  &&  $StatoNew == 30)) {
	$IdRegistroVettori = ntxip('IdRegistroVettori', false);
	$sqlRegistroVettori = <<< _SQL
			
		UPDATE 
			RegistroVettori 
		SET 
			DataOraCheckIn = $DataOraCheckIn
			,Motivo = $Motivo
			,Presa = $Presa
			,TargaMotrice = $TargaMotrice
			,stato = $StatoNew
		WHERE 
			Id = $IdRegistroVettori

_SQL;
	ntxQuery($sqlRegistroVettori);
	$IdRegistroVettoriInOut = ntxip('IdRegistroVettoriInOut', false);
	
	require('_controlli_ora.php');
	
	/*
	$sqlRegistroVettoriInOut = <<< _SQL
			
		UPDATE 
			RegistroVettoriInOut 
		SET 
			Autista=$Autista
			,TargaRimorchio=$TargaRimorchio
			,Shipment=$Shipment
			,DataOra=$DataOra
			,Note=$Note
			,Cicalino=$Cicalino
			,FasciaOrariaPrenotazione=$FasciaOrariaPrenotazione
			,PostazioneDiCarico=$PostazioneDiCarico
			,CaricoBolla=$CaricoBolla
			,CaricoControllato=$CaricoControllato
			,DifferenzaCarico=$DifferenzaCarico
			,BollaMancante=$BollaMancante
			,BollaErrata=$BollaErrata
			,CaricoNonCorrispondente=$CaricoNonCorrispondente
			,NoteAnomalia=$NoteAnomalia
			,CaricoEpal=$CaricoEpal
			,CaricoFustini=$CaricoFustini
			,CaricoCasse=$CaricoCasse
			,CaricoAltro=$CaricoAltro
			,ProprietaEpal=$ProprietaEpal
			,ProprietaFustini=$ProprietaFustini
			,ProprietaCasse=$ProprietaCasse
			,ProprietaAltro=$ProprietaAltro
			,VerificaEpal=$VerificaEpal
			,VerificaFustini=$VerificaFustini
			,VerificaCasse=$VerificaCasse
			,VerificaAltro=$VerificaAltro 
		WHERE 
			(Id = $IdRegistroVettoriInOut)

_SQL;
	ntxQuery($sqlRegistroVettoriInOut);
	$sqlRegVett2RegVettInOut = <<< _SQL
			
		UPDATE 
	RegVett2RegVettInOut
		SET	
	stato = $StatoNew
		WHERE 
	IdRegistroVettori = $IdRegistroVettori AND IdRegistroVettoriInOut = $IdRegistroVettoriInOut

			
_SQL;
	ntxQuery($sqlRegVett2RegVettInOut);
	*/
	
	$sqlRegistroVettoriInOut = <<< _SQL
                
		INSERT INTO 
			RegistroVettoriInOut (
				Autista
				,Dataora
				,TargaRimorchio
				,Shipment
				,Note
				,Cicalino
				,FasciaOrariaPrenotazione
				,PostazioneDiCarico
				,CaricoBolla
				,CaricoControllato
				,DifferenzaCarico
				,BollaMancante
				,BollaErrata
				,CaricoNonCorrispondente
				,NoteAnomalia
				,CaricoEpal
				,CaricoFustini
				,CaricoCasse
				,CaricoAltro
				,ProprietaEpal
				,ProprietaFustini
				,ProprietaCasse
				,ProprietaAltro
				,VerificaEpal
				,VerificaFustini
				,VerificaCasse
				,VerificaAltro
				,IdUtente
				,IdRisorsa 
				)
		VALUES  (
				$Autista
				,$DataOra
				,$TargaRimorchio
				,$Shipment
				,$Note
				,$Cicalino
				,$FasciaOrariaPrenotazione
				,$PostazioneDiCarico
				,$CaricoBolla
				,$CaricoControllato
				,$DifferenzaCarico
				,$BollaMancante
				,$BollaErrata
				,$CaricoNonCorrispondente
				,$NoteAnomalia
				,$CaricoEpal
				,$CaricoFustini
				,$CaricoCasse
				,$CaricoAltro
				,$ProprietaEpal
				,$ProprietaFustini
				,$ProprietaCasse
				,$ProprietaAltro
				,$VerificaEpal
				,$VerificaFustini
				,$VerificaCasse
				,$VerificaAltro
				,$IdUtente
				,$IdRisorsaAssociataUtente				
				)    

_SQL;
	ntxQuery($sqlRegistroVettoriInOut);
	$IdRegistroVettoriInOut = intval(htmlentities(ntxScalar(" SELECT MAX(Id) FROM RegistroVettoriInOut ")));
    
	$sqlRegVett2RegVettInOut = <<< _SQL
                
            INSERT INTO 
                RegVett2RegVettInOut(IdRegistroVettori, IdRegistroVettoriInOut, stato) 
            VALUES 
				($IdRegistroVettori, $IdRegistroVettoriInOut , $StatoNew)

                
_SQL;
	ntxQuery($sqlRegVett2RegVettInOut);	
}

/*
 * updateUscita (30->40)
 */
if ($StatoOld == 30  &&  $StatoNew == 40) 
{
	$IdRegistroVettori = ntxip('IdRegistroVettori', false);
	
	require('_controlli_ora.php');
	
	$sqlRegistroVettori = <<< _SQL
			
		UPDATE 
			RegistroVettori 
		SET 
			stato = $StatoNew 
		WHERE 
			(Id = $IdRegistroVettori)

_SQL;
	ntxQuery($sqlRegistroVettori);
	$sqlRegistroVettoriInOut = <<< _SQL
                
		INSERT INTO 
			RegistroVettoriInOut (
				Autista
				,Dataora
				,TargaRimorchio
				,Shipment
				,Note
				,Cicalino
				,FasciaOrariaPrenotazione
				,PostazioneDiCarico
				,CaricoBolla
				,CaricoControllato
				,DifferenzaCarico
				,BollaMancante
				,BollaErrata
				,CaricoNonCorrispondente
				,NoteAnomalia
				,CaricoEpal
				,CaricoFustini
				,CaricoCasse
				,CaricoAltro
				,ProprietaEpal
				,ProprietaFustini
				,ProprietaCasse
				,ProprietaAltro
				,VerificaEpal
				,VerificaFustini
				,VerificaCasse
				,VerificaAltro
				,IdUtente
				,IdRisorsa 				
				)
		VALUES  (
				$Autista
				,$DataOra
				,$TargaRimorchio
				,$Shipment
				,$Note
				,$Cicalino
				,$FasciaOrariaPrenotazione
				,$PostazioneDiCarico
				,$CaricoBolla
				,$CaricoControllato
				,$DifferenzaCarico
				,$BollaMancante
				,$BollaErrata
				,$CaricoNonCorrispondente
				,$NoteAnomalia
				,$CaricoEpal
				,$CaricoFustini
				,$CaricoCasse
				,$CaricoAltro
				,$ProprietaEpal
				,$ProprietaFustini
				,$ProprietaCasse
				,$ProprietaAltro
				,$VerificaEpal
				,$VerificaFustini
				,$VerificaCasse
				,$VerificaAltro
				,$IdUtente
				,$IdRisorsaAssociataUtente				
				)    

_SQL;
	ntxQuery($sqlRegistroVettoriInOut);
	$IdRegistroVettoriInOut = intval(htmlentities(ntxScalar(" SELECT MAX(Id) FROM RegistroVettoriInOut ")));
    
	$sqlRegVett2RegVettInOut = <<< _SQL
                
            INSERT INTO 
                RegVett2RegVettInOut(IdRegistroVettori, IdRegistroVettoriInOut, stato) 
            VALUES 
				($IdRegistroVettori, $IdRegistroVettoriInOut , $StatoNew)

                
_SQL;
	ntxQuery($sqlRegVett2RegVettInOut);
}

/*
 * updateUscita da uscita (40->40)
 */
if ($StatoOld == 40  &&  $StatoNew == 40) 
{
	$IdRegistroVettori = ntxip('IdRegistroVettori', false);
	
	//require('_controlli_ora.php');
	
	$sqlRegistroVettori = <<< _SQL
	UPDATE RegistroVettori 
	SET
		IdCommessa = $IdCommessa 
		,IdEdificio = $IdEdificio
		,IdUtente = $IdUtente
		,IdDitta = $IdDitta
		,IdRisorsa = $IdRisorsa
		,Presa = $Presa
		,TargaMotrice = $TargaMotrice
		,DataOraCheckIn = $DataOraCheckIn
		,Motivo = $Motivo
		,stato = $StatoNew
		,UtenteModifica = $Utente
		,DataModifica = getdate()
	WHERE 
		Id = $IdRegistroVettori	
_SQL;
	ntxQuery($sqlRegistroVettori);  	
	
	
	
	$IdRegistroVettoriInOut = ntxip('IdRegistroVettoriInOut', false);
	
	$sqlRegistroVettoriInOut = <<< _SQL
	UPDATE 
		RegistroVettoriInOut 
	SET 
		Autista=$Autista
		,TargaRimorchio=$TargaRimorchio
		,Shipment=$Shipment
		,DataOra=$DataOra
		,Note=$Note
		,Cicalino=$Cicalino
		,FasciaOrariaPrenotazione=$FasciaOrariaPrenotazione
		,PostazioneDiCarico=$PostazioneDiCarico
		,CaricoBolla=$CaricoBolla
		,CaricoControllato=$CaricoControllato
		,DifferenzaCarico=$DifferenzaCarico
		,BollaMancante=$BollaMancante
		,BollaErrata=$BollaErrata
		,CaricoNonCorrispondente=$CaricoNonCorrispondente
		,NoteAnomalia=$NoteAnomalia
		,CaricoEpal=$CaricoEpal
		,CaricoFustini=$CaricoFustini
		,CaricoCasse=$CaricoCasse
		,CaricoAltro=$CaricoAltro
		,ProprietaEpal=$ProprietaEpal
		,ProprietaFustini=$ProprietaFustini
		,ProprietaCasse=$ProprietaCasse
		,ProprietaAltro=$ProprietaAltro
		,VerificaEpal=$VerificaEpal
		,VerificaFustini=$VerificaFustini
		,VerificaCasse=$VerificaCasse
		,VerificaAltro=$VerificaAltro 
		,IdUtente=$IdUtente 
		,IdRisorsa=$IdRisorsa 
		,UtenteModifica = $Utente
		,DataModifica = getdate()		
	WHERE 
		(Id = $IdRegistroVettoriInOut)
_SQL;
	ntxQuery($sqlRegistroVettoriInOut);  
}

jhp_ok();
