<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 18/12/2015, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=Natisoft-Report" . date('Ymd', time()) . ".xls");

require_once('../_ntx/ntxconst.inc');
require_once(NTX_PATH . "/jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');


$IdCommessa = (int) ntxise('IdCommessa');
$where = " WHERE ( RegistroVettori.IdCommessa = $IdCommessa ) ";

if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = (int) ntxip('IdEdificio');
    $where .= " AND ( RegistroVettori.IdEdificio = $IdEdificio ) ";
}
if ((isset($_POST['DataInizio'])  &&  strlen($_POST['DataInizio']) > 0)  &&  (isset($_POST['DataFine'])  &&  strlen($_POST['DataFine']) > 0)) {
    $DataInizio = ntxtp('DataInizio');
    $DataFine = ntxtp('DataFine');
    $where .= " AND ( RegistroVettoriInOut.DataOra BETWEEN $DataInizio AND $DataFine) ";
}
if (isset($_POST['Motivo'])  &&  strlen($_POST['Motivo']) > 0) {
    $Motivo = ntxsp('Motivo');
    $where .= " AND ( RegistroVettori.Motivo = $Motivo ) ";
}
$cbIn = ntxip('cbIn');
$cbOut = ntxip('cbOut');
if ($cbIn  &&  $cbOut) {
    $where .= " AND ( RegVett2RegVettInOut.stato = 30 OR RegVett2RegVettInOut.stato = 40 ) ";
}
if ($cbIn  &&  !$cbOut) {
    $where .= " AND RegVett2RegVettInOut.stato = 30 ";
}
if (!$cbIn  &&  $cbOut) {
    $where .= " AND RegVett2RegVettInOut.stato = 40 ";
}

if (is_numeric($_POST['IdDitta'])) {
    $IdDitta = ntxip('IdDitta');
    $whereVett = " AND ( RegistroVettori.IdDitta = $IdDitta ) ";
} else {
    $whereVett = "";
}
$sqlVettori = <<< _SQL

    SELECT DISTINCT IdDitta 
    FROM RegistroVettori 
    INNER JOIN RegVett2RegVettInOut 
            ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
    INNER JOIN RegistroVettoriInOut 
            ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    $where
    
_SQL;

$queryVettori = ntxQuery($sqlVettori);
$arrayVettori = array();
$i = 0;
while ($queryVettori  &&  $rs = ntxRecord($queryVettori)) {
    foreach ($rs as $key => $value) {
        if (htmlentities($value) != '') {
            $arrayVettori[$i] = htmlentities($value);
            ++$i;
        }
    }
}

$sqlPerc = <<< _SQL

    SELECT 
        count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(RegistroVettoriInOut.DifferenzaCarico) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    
	$where 
    
	ORDER BY 
        BancaliControllati
        ,BancaliDichiarati
        ,DifferenzaBancali 
            
_SQL;

$queryPerc = ntxQuery($sqlPerc);

$sql2 = <<< _SQL

    SELECT 
        count(RegistroVettoriInOut.CaricoNonCorrispondente) AS A1 
    
	FROM 
        RegistroVettori 
		INNER JOIN RegVett2RegVettInOut 
            ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
		INNER JOIN RegistroVettoriInOut 
            ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 

    $where 
        AND RegistroVettoriInOut.CaricoNonCorrispondente = 1

_SQL;

$numeroAnomaliaTot = floatval(htmlentities(ntxScalar($sql2)));

while ($queryPerc  &&  $rs = ntxRecord($queryPerc)) {

    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $VisiteTot = floatval($html['Visite']);
    $BancaliDichiaratiTot = floatval($html['BancaliDichiarati']);
    $BancaliControllatiTot = floatval($html['BancaliControllati']);
    $DifferenzaBancaliTot = floatval($html['DifferenzaBancali']);
}

//For plot purpose $X and $Y arrays and $i counter
$Xs = array();
$Ys = array();
$i = 0;
foreach ($arrayVettori as $key => $value) {

    $IdDitta = $value;

    $sqlVettoreName = <<< _SQL

		SELECT TOP 1 Ditta FROM Ditte WHERE Ditte.IDDitta = $IdDitta AND Ditte.Categoria = 'Vettore'
            
_SQL;

    $vettoreName = ntxScalar($sqlVettoreName);
    $vettori[$i] = $vettoreName;

    $sqlPerc1 = <<< _SQL
           
    SELECT 
        count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(RegistroVettoriInOut.DifferenzaCarico) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 

    $where 
		AND ( RegistroVettori.IdDitta = $IdDitta )
		
    ORDER BY BancaliControllati,BancaliDichiarati,DifferenzaBancali 
            
_SQL;

    $queryPerc = ntxQuery($sqlPerc1);

    $sql3 = <<< _SQL
            
    SELECT 
        count(*) AS NumeroAnomalie 
    FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    $where 
    	AND ( RegistroVettori.IdDitta = $IdDitta )
	    AND RegistroVettoriInOut.CaricoNonCorrispondente = 1
            
_SQL;

    $numeroAnomaliaVettore = floatval(htmlentities(ntxScalar($sql3)));

    while ($queryPerc  &&  $rs = ntxRecord($queryPerc)) {

        $classTr = $alternatePerc ? "class=alternate" : "";

        foreach ($rs as $k => $v) {
            $html[$k] = htmlentities($v);
        }

        $VisiteVettore = floatval($html['Visite']);
        $BancaliDichiaratiVettore = floatval($html['BancaliDichiarati']);
        $BancaliControllatiVettore = floatval($html['BancaliControllati']);
        $DifferenzaBancaliVettore = floatval($html['DifferenzaBancali']);

        
		$Xs[$i] = ($VisiteVettore / $VisiteTot) * 100;
		$Ys[$i] = ($numeroAnomaliaVettore / ($numeroAnomaliaTot+0.00000000001) ) * 100;
		$vv = ntxRoundThousand($VisiteVettore, 2);
		$na = ntxRoundThousand($numeroAnomaliaVettore, 2);
		if ($Xs[$i] != 0.0) {
			$a = ntxRoundThousand($Xs[$i], 2);
		} else {
			$a = ntxRoundThousand(0, 2);
		}
		if ($Ys[$i] != 0.0) {
			$b = ntxRoundThousand($Ys[$i], 2);
		} else {
			$b = ntxRoundThousand(0, 2);
		}
		$table .= <<< _HTML
			
		<tr $classTr>
			<td>$vettoreName</td>
			<td>$vv</td>
			<td>$na</td>
			<td>$a%</td>
			<td>$b%</td>
		</tr>
	 
_HTML;
  

        $alternatePerc = !$alternatePerc;
    }
    ++$i;
}

$result .= <<< _HTML
    
	<table align="center">
		<tr class="header">
            <th>Ditta</th>
            <th>Visite</th>
            <th>Anomalie</th>
            <th>Percentuale Visite</th>
            <th>Percentuale Anomalie</th>
        </tr>
		$table
	</table>
            
_HTML;
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
        <style>		
            th
            {
                color: black;
                font-weight: bold;
            } 

            table
            ,th
            ,td	
            {
                border: 0.5pt solid black; 
                font-size:12px; 
            }	

            .td2
            {
                background: #C0C0C0;
            }
        </style>
    </head>
    <body> 
        <?php
        echo $result;
        ?>

    </body>
</html>
