<?php

/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 18/12/2015, Natisoft Srl
 */
require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH . "/jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = (int) ntxise('IdCommessa');
$where = " WHERE ( RegistroVettori.IdCommessa = $IdCommessa ) ";

if (is_numeric($_POST['IdEdificio'])) {
    $IdEdificio = (int) ntxip('IdEdificio');
    $where .= " AND ( RegistroVettori.IdEdificio = $IdEdificio ) ";
}
if ((isset($_POST['DataInizio'])  &&  strlen($_POST['DataInizio']) > 0)  &&  (isset($_POST['DataFine'])  &&  strlen($_POST['DataFine']) > 0)) {
    $DataInizio = ntxtp('DataInizio');
    $DataFine = ntxtp('DataFine');
    $where .= " AND ( RegistroVettoriInOut.DataOra BETWEEN $DataInizio AND $DataFine) ";
}
if (isset($_POST['Motivo'])  &&  strlen($_POST['Motivo']) > 0) {
    $Motivo = ntxsp('Motivo');
    $where .= " AND ( RegistroVettori.Motivo = $Motivo ) ";
}
$cbIn = ntxip('cbIn');
$cbOut = ntxip('cbOut');
if ($cbIn  &&  $cbOut) {
    $where .= " AND ( RegVett2RegVettInOut.stato = 30 OR RegVett2RegVettInOut.stato = 40 ) ";
}
if ($cbIn  &&  !$cbOut) {
    $where .= " AND RegVett2RegVettInOut.stato = 30 ";
}
if (!$cbIn  &&  $cbOut) {
    $where .= " AND RegVett2RegVettInOut.stato = 40 ";
}

if (is_numeric($_POST['IdDitta'])) {
    $IdDitta = ntxip('IdDitta');
    $whereVett = " AND ( RegistroVettori.IdDitta = $IdDitta ) ";
} else {
    $whereVett = "";
}

$sqlVettori = <<< _SQL

    SELECT DISTINCT IdDitta 
    FROM RegistroVettori 
    INNER JOIN RegVett2RegVettInOut 
            ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
    INNER JOIN RegistroVettoriInOut 
            ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    $where
    
_SQL;

$queryVettori = ntxQuery($sqlVettori);
$arrayVettori = array();
$i = 0;
while ($queryVettori  &&  $rs = ntxRecord($queryVettori)) {
    foreach ($rs as $key => $value) {
        if (htmlentities($value) != '') {
            $arrayVettori[$i] = htmlentities($value);
            ++$i;
        }
    }
}

if ($i == 0) {
    $msgError = "Non esistono risultati per i criteri di ricerca scelti! \nProvare con criteri differenti.";
    jhp_error($msgError);
}

$sqlPerc = <<< _SQL

    SELECT 
        count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(RegistroVettoriInOut.DifferenzaCarico) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    
	$where 
    
	ORDER BY 
        BancaliControllati
        ,BancaliDichiarati
        ,DifferenzaBancali 
            
_SQL;

$queryPerc = ntxQuery($sqlPerc);

$sql2 = <<< _SQL

    SELECT 
        count(RegistroVettoriInOut.CaricoNonCorrispondente) AS A1 
    
	FROM 
        RegistroVettori 
		INNER JOIN RegVett2RegVettInOut 
            ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
		INNER JOIN RegistroVettoriInOut 
            ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 

    $where 
        AND RegistroVettoriInOut.CaricoNonCorrispondente = 1

_SQL;

$numeroAnomaliaTot = floatval(htmlentities(ntxScalar($sql2)));

while ($queryPerc  &&  $rs = ntxRecord($queryPerc)) {

    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }

    $VisiteTot = floatval($html['Visite']);
    $BancaliDichiaratiTot = floatval($html['BancaliDichiarati']);
    $BancaliControllatiTot = floatval($html['BancaliControllati']);
    $DifferenzaBancaliTot = floatval($html['DifferenzaBancali']);
}

//For plot purpose $X and $Y arrays and $i counter
$Xs = array();
$Ys = array();
$i = 0;
$alternatePerc = false;

foreach ($arrayVettori as $key => $value) {

    $IdDitta = $value;

    $sqlVettoreName = <<< _SQL

		SELECT TOP 1 Ditta FROM Ditte WHERE Ditte.IDDitta = $IdDitta AND Ditte.Categoria = 'Vettore'   
            
_SQL;

    $vettoreName = ntxScalar($sqlVettoreName);
    $vettori[$i] = $vettoreName;

    $sqlPerc1 = <<< _SQL
           
    SELECT 
        count(registrovettori.Id) AS Visite 
        ,SUM(RegistroVettoriInOut.CaricoBolla) AS BancaliDichiarati 
        ,SUM(RegistroVettoriInOut.CaricoControllato) AS BancaliControllati 
        ,SUM(RegistroVettoriInOut.DifferenzaCarico) AS DifferenzaBancali 
    
	FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    $where 
		AND ( RegistroVettori.IdDitta = $IdDitta )
		
    ORDER BY BancaliControllati,BancaliDichiarati,DifferenzaBancali 
            
_SQL;

    $queryPerc = ntxQuery($sqlPerc1);

    $sql3 = <<< _SQL
            
    SELECT 
        count(*) AS NumeroAnomalie 
    FROM 
        RegistroVettori 
        INNER JOIN RegVett2RegVettInOut 
                ON RegistroVettori.Id = RegVett2RegVettInOut.IdRegistroVettori 
        INNER JOIN RegistroVettoriInOut 
                ON RegVett2RegVettInOut.IdRegistroVettoriInOut = RegistroVettoriInOut.Id 
    $where 
    	AND ( RegistroVettori.IdDitta = $IdDitta )
	    AND RegistroVettoriInOut.CaricoNonCorrispondente = 1
            
_SQL;

    $numeroAnomaliaVettore = floatval(htmlentities(ntxScalar($sql3)));
    $classTr = $alternatePerc ? "class=alternate" : "";

    while ($queryPerc  &&  $rs = ntxRecord($queryPerc)) {

        foreach ($rs as $k => $v) {
            $html[$k] = htmlentities($v);
        }

        $VisiteVettore = floatval($html['Visite']);
        $BancaliDichiaratiVettore = floatval($html['BancaliDichiarati']);
        $BancaliControllatiVettore = floatval($html['BancaliControllati']);
        $DifferenzaBancaliVettore = floatval($html['DifferenzaBancali']);
    }

        $Xs[$i] = ($VisiteVettore / $VisiteTot) * 100;
        $Ys[$i] = ($numeroAnomaliaVettore / ($numeroAnomaliaTot+0.00000000001) ) * 100;
        $vv = ntxRoundThousand($VisiteVettore, 2);
        $na = ntxRoundThousand($numeroAnomaliaVettore, 2);
        if ($Xs[$i] != 0.0) {
            $a = ntxRoundThousand($Xs[$i], 2);
        } else {
            $a = ntxRoundThousand(0, 2);
        }
        if ($Ys[$i] != 0.0) {
            $b = ntxRoundThousand($Ys[$i], 2);
        } else {
            $b = ntxRoundThousand(0, 2);
        }
        $table .= <<< _HTML
			
		<tr $classTr>
			<td>$vettoreName</td>
			<td>$vv</td>
			<td>$na</td>
			<td>$a%</td>
			<td>$b%</td>
		</tr>
	 
_HTML;
        $alternatePerc = !$alternatePerc;
    

    ++$i;
}

$xaxesLabel = 'Percentuale Visite';
$yaxesLabel = 'Percentuale Anomalie';
$label = "<b>Legenda:</b><br />Asse X : $xaxesLabel (Visite Vettore / Visite Totali) <br />Asse Y : $yaxesLabel (Anomalie Vettore / Anomalie Totali)";

$Sede ="";
if(is_numeric($IdEdificio))
	$Sede = ntxScalar(" SELECT EdificioBreve FROM ElencoEdifici WHERE ID = $IdEdificio ");

$result = " <script> var obj = [], data = []; ";

foreach ($Xs as $I => $X) {
    $Y = abs(floatval($Ys[$I]));
    $vett = $vettori[$I];
    $result .= <<< _JS
		
		obj.push([$X,$Y,'$vett']);
		data.push([$X,$Y]);	
	
_JS;
}

$maxX = ceil(max($Xs));
$maxY = ceil(max($Ys));

if ($maxX > $maxY) {
    $max = $maxX;
} else {
    $max = $maxY;
}

$result .= <<< _JS
		
		$("<div id='tooltip'></div>").css({
			position: "absolute",
			display: "none",
			"font-size": "13px",
			border: "2px solid #000",
			padding: "4px",
			"background-color": "#fee",
			opacity: 1
		}).appendTo("body");
		
		var options = {
			grid: {
				hoverable: true
			},
			axisLabels: {
				show: true
			},
			xaxes: [{
				axisLabel: "$label",
				min: 0,
				max: $max
			}],
			yaxes: [{
				min: 0,
				max: $max
			}],
			series: {
				points: {
					radius: 3,
					show: true,
					fill: true,
					fillColor:"#058DC7"
				},
				color: "#058DC7"
			}
		};

		$.plot($("#placeholder"), [data], options);
		
		$("#placeholder").bind("plothover", function (event, pos, item) {
			try {
				if (item) {

					var x = item.datapoint[0], y = item.datapoint[1], Sede = '$Sede', xpos = item.pageX, ypos = item.pageY;

					$("#tooltip").html("Sede di Riferimento: " + Sede + "<br />Ditta: " + obj[item.dataIndex][2] + " <br />$xaxesLabel = " + parseInt(x) + "% <br / > $yaxesLabel = " + parseInt(y) + "%")
							.css({top: ypos + 5, left: xpos + 5})
							.fadeIn(200);
				
				} else {
					
					$("#tooltip").hide();
				
				}
			} catch (ex) {
				alert(ex);
			}
		});
		
	</script>

_JS;

$result .= <<< _HTML
    
	<div align="center">
		<input type="button" value="Download Excel" onclick="objCodice.GraficoA_Excel(document.frmRicerca)" />
	</div>
	
	<!--
	<form method=post" target="frameExcel" action="excel_graficoA.php">
		<div align="center">
			<input type="submit" value="Download Excel - stefano">
		</div>
	</form>
	-->
	
	<br />
	<table align="center">
		<tr class="header">
            <th>Ditta</th>
            <th>Visite</th>
            <th>Anomalie</th>
            <th>Percentuale Visite</th>
            <th>Percentuale Anomalie</th>
        </tr>
            $table
	</table>
            
_HTML;

jhp($result);
