<?php 

$IdCommessa = ntxise('IdCommessa');

$mesi = array('', "gen",  "feb",  "mar",  "apr",  "mag", 
				"giu",  "lug",  "ago",  "set",  "ott", 
				"nov",  "dic");
				
$sqlSopralluoghi = <<< sqlSopralluoghi
	SELECT  
			SopralluogoPDI.NonConsiderareUnatantum,
			SopralluogoPDI.QTA,
			TipiComponentiMestieri.Fattore, 
			TipiComponentiMestieri.UnaTantum, 
			OfferteEdificiMestieri.CalcSotto400mq, 
			tblMestieri.IdMestiere,
			tblMestieri.Calc14x100, 
			tblMestieri.Ordine AS OrdMest, 
			tblMestieri.codice AS CodMest, 
			tblMestieri.Descrizione AS DesMest,
			OfferteEdificiMestieri.Reperibilità, 
			OfferteEdificiMestieri.CinquePerCento, 
			OfferteEdificiMestieri.AChiamata,
			OfferteEdificiMestieri.IdEdificio,
			Offerte.IdCommessa,
			Offerte.IdOfferta,
			Offerte.DataAttivazione,
			month(Offerte.DataAttivazione) MeseInizio,
			year(Offerte.DataAttivazione) AnnoInizio,
		
			Offerte.DataAttivazione 				  Data1,
			dateadd(month,12,Offerte.DataAttivazione) Data2,
			dateadd(month,24,Offerte.DataAttivazione) Data3,
			dateadd(month,36,Offerte.DataAttivazione) Data4,
			dateadd(month,48,Offerte.DataAttivazione) Data5,
			dateadd(month,60,Offerte.DataAttivazione) Data6,
			
			case when SopralluogoPDI.IdRevConsistenza is null then 
				OfferteEdificiMestieri.DataInizio 
			else
				SopralluogoPDI.DataInizio
			end DataInizio, 
			
			case when SopralluogoPDI.IdRevConsistenza is null then 
				OfferteEdificiMestieri.Durata 
			else
				SopralluogoPDI.Durata
			end Durata,
			
			tblPgPropietari.Nome AS Proprietario, 
			tblPgPropietari.IdPropietario AS IdProprietario
			
FROM         OfferteEdificiMestieri INNER JOIN
                      SopralluogoPDI ON OfferteEdificiMestieri.IdEdificio = SopralluogoPDI.IdEdificio AND 
                      OfferteEdificiMestieri.IdCommessaEdificio = SopralluogoPDI.IdCommessaEdificio AND 
                      OfferteEdificiMestieri.IdCommessaOfferta = SopralluogoPDI.IdCommessaOfferta AND 
                      OfferteEdificiMestieri.IdOfferta = SopralluogoPDI.IdOfferta INNER JOIN
                      tblMestieri ON OfferteEdificiMestieri.IdMestiere = tblMestieri.IdMestiere AND 
                      OfferteEdificiMestieri.IdCommessaOfferta = tblMestieri.IdCommessa INNER JOIN
                      tblComponetiMestiere ON tblMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblMestieri.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere AND 
                      tblComponetiMestiere.IdCommessa = TipiComponentiMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = TipiComponentiMestieri.IdComponenteMestiere INNER JOIN
                      Offerte ON OfferteEdificiMestieri.IdOfferta = Offerte.IdOfferta AND OfferteEdificiMestieri.IdCommessaOfferta = Offerte.IdCommessa INNER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario
			
	WHERE (Offerte.IdCommessa = $IdCommessa) 
sqlSopralluoghi;

for ( $i1=1; $i1<=5; $i1++ )
{
	$i2 = $i1+1;
	
	$sqlAnnoC[$i1] = <<< sqlAnnoC
		case when DataInizio < Data{$i2} then
			case when DataInizio >= Data{$i1} then /* ANNO INIZIALE */
				case when UnaTantum=1 then 
					case when NonConsiderareUnatantum=1 then 0 else QTA * Fattore end
				else
					case when Durata % 12 = 0 then
						QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END
					else
						(Durata % 12) * QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END / 12
					end 
				end 
			else /* ANNO SUCCESSIVO */
				case when UnaTantum=1 then
					case when Calc14x100=1 then QTA * Fattore * 0.14 else 0 end
				else
					QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END
				end 
			end
		else
			0
		end
sqlAnnoC;

$sqlAnnoR[$i1] = <<< sqlAnnoR
		case when DataInizio < Data{$i2} AND (UnaTantum=0 or UnaTantum is null) and Reperibilità=1 and CinquePerCento=1 then
			case when DataInizio >= Data{$i1} then /* ANNO INIZIALE */
				case when Durata % 12 = 0 then
					0.05 * QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END
				else
					0.05 * (Durata % 12) * QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END / 12
				end 
			else /* ANNO SUCCESSIVO */
				0.05 * QTA * Fattore * CASE WHEN CalcSotto400mq = 1 THEN 0.7 ELSE 1 END 
			end
		else
			0
		end
sqlAnnoR;
}

$sql = <<< sql
	SELECT 
			IdMestiere,
			OrdMest, 
			CodMest, 
			DesMest, 
			Proprietario, 
			IdProprietario,
			IdOfferta,
			MeseInizio,
			AnnoInizio,
			
			SUM(Anno_1c) Anno_1c, 
			SUM(Anno_2c) Anno_2c, 
			SUM(Anno_3c) Anno_3c, 
			SUM(Anno_4c) Anno_4c, 
			SUM(Anno_5c) Anno_5c,
			
			SUM(Anno_1r) Anno_1r, 
			SUM(Anno_2r) Anno_2r, 
			SUM(Anno_3r) Anno_3r, 
			SUM(Anno_4r) Anno_4r, 
			SUM(Anno_5r) Anno_5r
	FROM (
			SELECT 
					IdMestiere,
					OrdMest, 
					CodMest, 
					DesMest, 
					Proprietario, 
					IdProprietario,
					IdOfferta,
					MeseInizio,
					AnnoInizio,
					
					($sqlAnnoC[1]) Anno_1c, 
					($sqlAnnoC[2]) Anno_2c, 
					($sqlAnnoC[3]) Anno_3c, 
					($sqlAnnoC[4]) Anno_4c, 
					($sqlAnnoC[5]) Anno_5c,
					
					($sqlAnnoR[1]) Anno_1r, 
					($sqlAnnoR[2]) Anno_2r, 
					($sqlAnnoR[3]) Anno_3r, 
					($sqlAnnoR[4]) Anno_4r, 
					($sqlAnnoR[5]) Anno_5r
					
			FROM ($sqlSopralluoghi) b 	
		) c
	GROUP BY OrdMest, CodMest, DesMest, IdMestiere, Proprietario, IdProprietario, IdOfferta, MeseInizio, AnnoInizio

	ORDER BY Proprietario, IdProprietario, IdOfferta, OrdMest, CodMest, DesMest, IdMestiere
sql;

$query = ntxQuery($sql);

?>