<?php

$sql = <<< sql
SELECT     Richieste.DataRichiesta, Ambiente.CodiceAmbiente AS CodInt, Ambiente.CodiceAssAmbiente AS CodAss, DestinazioniDuso.Destinazione AS DesUso, Ambiente.MQ, 
                      RichiesteAmbienti.Descrizione, RichiesteAmbienti.Nota, CaratteristicheAmbienti_1.Descrizione AS Car1,
                          (SELECT     TOP (1) CaratteristicheAmbienti.Descrizione AS Car2
                            FROM          CaratteristicheAmbientiMN INNER JOIN
                                                   CaratteristicheAmbienti ON CaratteristicheAmbientiMN.IdCaratteristicaAmbiente = CaratteristicheAmbienti.Id
                            WHERE      (CaratteristicheAmbientiMN.IdCommessa = Ambiente.IdCommessa) AND (CaratteristicheAmbientiMN.IdEdificio = Ambiente.IdEdificio) AND 
                                                   (CaratteristicheAmbientiMN.IdAmbiente = Ambiente.IDAmbiente) AND (CaratteristicheAmbientiMN.DataInizio <= Richieste.DataRichiesta) AND 
                                                   (CaratteristicheAmbientiMN.DataFine >= Richieste.DataRichiesta)) AS Car2, TipoAmbiente.DesTipoAmbiente, 
                      PianoLivello.RapportoMqLordiNetti AS RMLN, PianoLivello.RapportoMqLordiNetti * Ambiente.MQ AS MQ_LORDI
FROM         RichiesteAmbienti INNER JOIN
                      Ambiente ON RichiesteAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND RichiesteAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      RichiesteAmbienti.IDAmbiente = Ambiente.IDAmbiente INNER JOIN
                      Richieste ON RichiesteAmbienti.IDCommessaRichiesta = Richieste.IDCommessa AND RichiesteAmbienti.NumRichiesta = Richieste.NumRichiesta AND 
                      RichiesteAmbienti.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano LEFT OUTER JOIN
                      TipoAmbiente ON Ambiente.IdCommessa = TipoAmbiente.IdCommessa AND Ambiente.IdTipoAmbiente = TipoAmbiente.IDTipoAmbiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      CaratteristicheAmbienti AS CaratteristicheAmbienti_1 ON Ambiente.Caratteristiche = CaratteristicheAmbienti_1.Id
WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
order by DestinazioniDuso.Destinazione
sql;

$query = ntxQuery($sql);

$table1 = "";
$alternate = false;
$tot = 0;
$tot_lordi = 0;

while($rs=ntxRecord($query))
{
	$alt = $alternate ? "class=alternate" : "";
	
	$tot += $rs[MQ];
	$tot_lordi += $rs[MQ_LORDI];
	
	$MQ = ntxRoundThousand($rs[MQ],3);
	$MQ_LORDI = ntxRoundThousand($rs[MQ_LORDI],3);
	$RMLN = ntxRoundThousand($rs[RMLN],4);
	
	$DataRichiesta = ntxDateTime($rs[DataRichiesta]);
	
	foreach($rs as $key => $value);
		$rs[$key] = htmlentities($value);
		
	$table1 .= <<< table1
		<tr $alt>
			<td>$rs[CodInt]
			<td>$rs[CodAss]
			<td>$rs[DesTipoAmbiente] - $rs[DesUso]
			<td>$MQ
			<td>$MQ_LORDI
			<td>$RMLN
			<td>$rs[Descrizione]
			<td>$rs[Nota]
			<td>$rs[Car1]
			<td>$rs[Car2]
table1;

	$alternate = !$alternate;
}
		
$MQ = ntxRoundThousand($tot,3);
$MQ_LORDI = ntxRoundThousand($tot_lordi,3);

$table1 .= <<< table1
		<tr>
			<td colspan=3>
			<th>$MQ
			<th>$MQ_LORDI
			<td colspan=5>
table1;

?>