<?php

session_start();

require_once("../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

$IdCommessa = ntxise('IdCommessa');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
<?php require('css.css') ?>
</style>
</head>
<body>

<?php

$where = "WHERE SopralluogoPDI.IdCommessaTipoComp=$IdCommessa";

if ( is_numeric($_POST[IdOfferta]) ) 
	$where .= " AND SopralluogoPDI.IdOfferta=".ntxip('IdOfferta');
	
$sql = <<< sql
SELECT     tblPgPropietari.Nome AS Ente, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
                      tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS desMest, OfferteRevisioneConsistenza.Numero AS RevConsistenza, 
                      OfferteRevisioneConsistenza.CodiceAtto, OfferteRevisioneConsistenza.Nota, OfferteRevisioneConsistenza.IdentificativoAtto, 
                      TipiComponentiMestieri.Codice AS CodAttività, tblComponetiMestiere.Descrizione AS desComp, TipiComponentiMestieri.UM, 
                      TipiComponentiMestieri.Fattore, TipiComponentiMestieri.Descrizione AS desTipoComp, LivelliDocCensimenti.Des AS Livello, SopralluogoPDI.QTA, 
                      SopralluogoPDI.QtaFreqPdi, SopralluogoPDI.NotaQta, SopralluogoPDI.DataInizio, SopralluogoPDI.Durata, Offerte.NRPF
FROM         OfferteRevisioneConsistenza RIGHT OUTER JOIN
                      SopralluogoPDI LEFT OUTER JOIN
                      TipiComponentiMestieri ON SopralluogoPDI.IdCommessaTipoComp = TipiComponentiMestieri.IdCommessa AND 
                      SopralluogoPDI.IdTipoComp = TipiComponentiMestieri.IdTipoComponenteMestiere INNER JOIN
                      tblComponetiMestiere ON TipiComponentiMestieri.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      TipiComponentiMestieri.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      ElencoEdifici ON SopralluogoPDI.IdCommessaEdificio = ElencoEdifici.IdCommessa AND SopralluogoPDI.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Offerte ON SopralluogoPDI.IdCommessaTipoComp = Offerte.IdCommessa AND SopralluogoPDI.IdOfferta = Offerte.IdOfferta LEFT OUTER JOIN
                      LivelliDocCensimenti ON SopralluogoPDI.IdCommessaTipoComp = LivelliDocCensimenti.IdCommessa AND 
                      SopralluogoPDI.LivelloDocCensimento = LivelliDocCensimenti.Id LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario ON OfferteRevisioneConsistenza.Id = SopralluogoPDI.IdRevConsistenza
$where 
ORDER BY NRPF, IdEdificio, CodAttività, RevConsistenza
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	
	$rs[Fattore] = ntxRoundThousand($rs[Fattore],2);
	$rs[QTA] = ntxRoundThousand($rs[QTA],2);
	$rs[QtaFreqPdi] = ntxRoundThousand($rs[QtaFreqPdi],2);
	$rs[Durata] = ntxRoundThousand($rs[Durata],2);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$table .= <<< table
		
		<tr>
			<td>$html[NRPF]
			<td>$html[Ente]
			<td>$html[IdEdificio]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]
			<td>$html[Comune]
			<td>$html[CodMest]
			<td>$html[desMest]
			<td>$html[RevConsistenza]
			<td>$html[CodiceAtto]
			<td>$html[Nota]
			<td>$html[IdentificativoAtto]
			<td>$html[CodAttività]
			<td>$html[desComp]
			<td>$html[UM]
			<td>$html[Fattore]
			<td>$html[desTipoComp]
			<td>$html[Livello]
			<td>$html[QTA]
			<td>$html[QtaFreqPdi]
			<td>$html[NotaQta]
			<td>$html[DataInizio]
			<td>$html[Durata]	
table;
}
?>

<table class=grid>
	<tr>
		<th>NRPF
		<th>Ente
		<th>IdEdificio
		<th>Localizzazione
		<th>Indirizzo
		<th>Comune
		<th>Cod.Mest.
		<th>Des.Mest.
		<th>Rev.Consistenza
		<th>Codice Atto
		<th>Nota
		<th>Identificativo Atto
		<th>Cod.Attività
		<th>Des.Comp.
		<th>UM
		<th>Fattore
		<th>des.Tipo Comp.
		<th>Livello
		<th>QTA
		<th>Freq
		<th>Nota
		<th>Data Inizio
		<th>Durata
	<?php echo $table ?>
</table>
	
		
</body>
</html>