<?php
	

//////////////////////////////////////////////////////////////////////////////////////////
// Media Ordini Emissibili da NOW a fine contratto
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*), datediff(day,$DataInizio,$DataFine), datediff(day,$InizioLavori,$DataInizio)
	from richieste
	where dataautorizzazione is not null
	and Stato<>10
	and NumRifCli is not null
	and AnnoRifCli is not null
	and CommRifCli=$CommRifCli
	and IdCommessa=$IdCommessa
sql;

$rs = ntxiRecord(ntxQuery($sql));

$richiesteGenerateFinora = $rs[0]*1.0; 

$printRichiesteGenerateFinora = $rs[0];

$giorniFraDataInizioFine = $rs[1]*1.0;

$printGiorniFraDataInizioFine = $rs[1];

$giorniFraDataInizioLavoriInizio = $rs[2]*1.0;

$printGiorniFraDataInizioLavoriInizio = $rs[2];

$OrdiniFuturi = (int)($richiesteGenerateFinora*$giorniFraDataInizioFine/$giorniFraDataInizioLavoriInizio);

//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità Verificate ed InSAL
//////////////////////////////////////////////////////////////////////////////////////////
if($NoPrimoPassaggio) ntxQuery("DROP TABLE #OrdiniNonInSal");

$NoPrimoPassaggio = true;

$sql = <<< sql
	select DISTINCT richieste.NumRichiesta, richieste.AnnoRichiesta, richieste.IdCommessa
	INTO #OrdiniNonInSal
	FROM         Richieste INNER JOIN
						  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
	WHERE     (Richieste.NumRifCli IS NOT NULL) AND (Richieste.AnnoRifCli IS NOT NULL) AND 
					  (Richieste.CommRifCli=$CommRifCli) AND (Contabilità.idStatoc IN (60,70)) and Richieste.IdCommessa=$IdCommessa
sql;

ntxQuery($sql);

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=70) 
		  )>=60
sql;

$countContabilitàVerificateEinSal = ntxScalar($sql);

//////////////////////////////////////////////////////////////////////////////////////////
// Importo Verificato ed InSAL
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
			,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=70) 
		  )>=60
				 AND (Contabilità.idStatoc IN (60,70)) 
sql;

$ImportoContabilitàVerificateEinSal = ntxScalar($sql);

$printImportoContabilitàVerificateEinSal = ntxRoundThousand(ntxScalar($sql),2);

$ImportoStimatoMedio = $ImportoContabilitàVerificateEinSal/$countContabilitàVerificateEinSal;

$printImportoStimatoMedio = ntxRoundThousand($ImportoStimatoMedio, 2);
	
$Now = ntxDate(ntxScalar("SELECT getdate()"));

$sql = "select 100000 min, 1000000000 max into #ranges"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (500, 1000)"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (1000, 5000)"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (5000, 10000)"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (10000, 50000)"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (50000, 100000)"; ntxQuery($sql);
$sql = "insert into #ranges (min, max) values (0, 500)"; ntxQuery($sql);


$sql = <<< sql
	SELECT ranges.min, ranges.max, count(*) conteggio, min(Importo) MinImporto, max(Importo) MaxImporto,
	
			SUM(Importo) Totale
	
	FROM #ranges ranges INNER JOIN (
		select a.IDCommessa, a.NumRichiesta, a.AnnoRichiesta,
		
				SUM(isnull(r.QTA*r.PzUnitario
								* case when isnull(r.OneriSicurezza,0)=1 then
									1
								else case when r.TipoPrezzo=2 then  
										0.951126
									else
										(1-isnull(r.Sconto,0)/100)
									end
								end
				
							,0)) Importo
							
		FROM #OrdiniNonInSal a  
					 INNER JOIN Ordini
					 ON Ordini.IDCommessa=a.IDCommessa
						AND Ordini.NumRichiesta=a.NumRichiesta
						AND Ordini.AnnoRichiesta=a.AnnoRichiesta
		
					 INNER JOIN 
					  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
					  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
					  
					  INNER JOIN RiheContabilità  r 
						ON r.IdCommessa=Contabilità.IdCommessa
						AND r.NumContabilità=Contabilità.NumContabilità
						
		WHERE (SELECT MIN(Contabilità.idStatoc)
				FROM Ordini INNER JOIN
					  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
					  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				WHERE Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
					 AND (Contabilità.idStatoc<=70) 
			  )>=60
					 AND (Contabilità.idStatoc IN (60,70)) 
		GROUP BY a.IDCommessa, a.NumRichiesta, a.AnnoRichiesta
	) xxx
	
	on ranges.min<=xxx.Importo and ranges.max>xxx.Importo
	
	GROUP BY ranges.min, ranges.max
	ORDER BY ranges.min
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=table>
		<tr>
			<td class=l2>Range Min
			<td class=l2>Range Max
			<td class=l2>Importo Min
			<td class=l2>Importo Max
			<td class=l2>Importo Totale
			<td class=l2>Importo %
			<td class=l2>Ord. CoBo Cons.
			<td class=l2>Numero %
table;

while($rs=ntxRecord($query))
{
	$rs[min] = ntxRoundThousand($rs[min],2);
	$rs[max] = ntxRoundThousand($rs[max],2);
	$Percentuale = ntxRoundThousand($rs[Totale]*100.0/$ImportoContabilitàVerificateEinSal,2);
	$Percentuale2 = ntxRoundThousand($rs[conteggio]*100.0/$countContabilitàVerificateEinSal,2);
	$rs[Totale] = ntxRoundThousand($rs[Totale],2);
	$rs[MinImporto] = ntxRoundThousand($rs[MinImporto],2);
	$rs[MaxImporto] = ntxRoundThousand($rs[MaxImporto],2);
	$rs[conteggio] = ntxRoundThousand($rs[conteggio],0);
	
	$table .= <<< table
		<tr>
			<td class=l3>$rs[min]
			<td class=l3>$rs[max]
			<td class=l3>$rs[MinImporto]
			<td class=l3>$rs[MaxImporto]
			<td class=l3>$rs[Totale]
			<td class=l3>$Percentuale
			<td class=l3>$rs[conteggio]
			<td class=l3>$Percentuale2
table;
}

$table .= <<< table
	</table>
table;
?>