<?php
	

if($NoPrimoPassaggio) ntxQuery("DROP TABLE #OrdiniNonInSal");

$NoPrimoPassaggio = true;

//////////////////////////////////////////////////////////////////////////////////////////
// BASE ORDINI EMESSI NON IN SAL
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select DISTINCT NumRichiesta, AnnoRichiesta, IdCommessa, Stato
	INTO #OrdiniNonInSal
	FROM (
			select richieste.NumRichiesta, richieste.AnnoRichiesta, richieste.IdCommessa, richieste.Stato
			from richieste
			where year(dataautorizzazione)=$Anno
			and stato=18
			and NumRifCli is not null
			and AnnoRifCli is not null
			and CommRifCli=$CommRifCli
			and IdCommessa=$IdCommessa
			UNION
			select richieste.NumRichiesta, richieste.AnnoRichiesta, richieste.IdCommessa, richieste.Stato
			FROM         Richieste INNER JOIN
								  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
								  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta
			WHERE     (YEAR(Richieste.DataAutorizzazione) = $Anno) AND (Richieste.NumRifCli IS NOT NULL) AND (Richieste.AnnoRifCli IS NOT NULL) AND 
								  (Richieste.CommRifCli=$CommRifCli) AND Ordini.StatoOrd<>70 AND (Ordini.StatoOrd<400) and Richieste.IdCommessa=$IdCommessa
			UNION
			select richieste.NumRichiesta, richieste.AnnoRichiesta, richieste.IdCommessa, richieste.Stato
			FROM         Richieste INNER JOIN
								  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
								  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta INNER JOIN
								  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
								  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE     (YEAR(Richieste.DataAutorizzazione) = $Anno) AND (Richieste.NumRifCli IS NOT NULL) AND (Richieste.AnnoRifCli IS NOT NULL) AND 
							  (Richieste.CommRifCli=$CommRifCli) AND (Contabilità.idStatoc>=30) AND (Contabilità.idStatoc<=60) and Richieste.IdCommessa=$IdCommessa
	) a
sql;

ntxQuery($sql);
	
//////////////////////////////////////////////////////////////////////////////////////////
// ORDINI EMESSI NON IN SAL
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
sql;
	
$totOrdiniEmessiNonInSAL += $count = ntxScalar($sql);

$OrdiniEmessiNonInSAL .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Ordini "finiti"
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(StatoOrd) 
			FROM Ordini
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				AND Ordini.StatoOrd<>70 AND (Ordini.StatoOrd<400) 
		  )>=50	
sql;

$totOrdiniFiniti += $count = ntxScalar($sql);

$OrdiniFiniti .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Ordini "iniziati"
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(StatoOrd) 
			FROM Ordini
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				AND (Ordini.StatoOrd<50) 
		  )>=40	
sql;

$totOrdiniIniziati += $count = ntxScalar($sql);

$OrdiniIniziati .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Ordini "non iniziati"
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE EXISTS(SELECT TOP 1 StatoOrd
			FROM Ordini
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				AND Ordini.StatoOrd<40 
		  ) OR Stato=18
sql;

$totOrdiniNonIniziati += $count = ntxScalar($sql);

$OrdiniNonIniziati .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità inviataci
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )>=40
sql;

$totContabilitàInviataci += $count = ntxScalar($sql);

$ContabilitàInviataci .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Importo Contabilità inviataci
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )>=40
		AND (Contabilità.idStatoc>=40)  
		AND (Contabilità.idStatoc<=60)  
sql;

$totImportoContabilitàInviataci += $count = ntxScalar($sql);

$ImportoContabilitàInviataci .= "<td class=td1>".ntxRoundThousand($count, 2);

//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità Verificate
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )>=60
sql;

$totContabilitàVerificate += $count = ntxScalar($sql);

$ContabilitàVerificate .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Importo Verificato
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )=60
				 AND (Contabilità.idStatoc=60) 
sql;

$totImportoVerificato += $count = ntxScalar($sql);

$ImportoVerificato .= "<td class=td1>".ntxRoundThousand($count, 2);


//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità In Correzzione
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )=50
sql;

$totContabilitàInCorrezione += $count = ntxScalar($sql);

$ContabilitàInCorrezione .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Importo In Correzione
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )=50
		AND (Contabilità.idStatoc>=50)  
				 AND (Contabilità.idStatoc<=60) 
sql;

$totImportoInCorrezione += $count = ntxScalar($sql);

$ImportoInCorrezione .= "<td class=td1>".ntxRoundThousand($count, 2);


//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità Da Verificare
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )=40
sql;

$totContabilitàDaVerificare += $count = ntxScalar($sql);

$ContabilitàDaVerificare .= "<td class=td1>$count";

//////////////////////////////////////////////////////////////////////////////////////////
// Importo Da Verificare
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=60) 
		  )=40
		AND (Contabilità.idStatoc>=40)  
				 AND (Contabilità.idStatoc<=60) 
sql;

$totImportoDaVerificare += $count = ntxScalar($sql);

$ImportoDaVerificare .= "<td class=td1>".ntxRoundThousand($count, 2);

?>