<?php
	
//////////////////////////////////////////////////////////////////////////////////////////
// Importi Scheda C
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(Importo)
	from UnificaSituazioneFinanziaria
	where AreaCoBo=$CommRifCli
	and IdCommessa=$IdCommessa
sql;

$ImportoSchedaC = ntxScalar($sql);

$printImportoSchedaC = ntxRoundThousand($ImportoSchedaC, 2);


//////////////////////////////////////////////////////////////////////////////////////////
// Media Ordini Emissibili da NOW a fine contratto
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select count(*)*datediff(day,$DataInizio,$DataFine)/datediff(day,$InizioLavori,$DataInizio)
	from richieste
	where dataautorizzazione is not null
	and Stato<>10
	and NumRifCli is not null
	and AnnoRifCli is not null
	and CommRifCli=$CommRifCli
	and IdCommessa=$IdCommessa
sql;

$OrdiniFuturi = ntxScalar($sql);

//////////////////////////////////////////////////////////////////////////////////////////
// Contabilità Verificate ed InSAL
//////////////////////////////////////////////////////////////////////////////////////////
if($NoPrimoPassaggio) ntxQuery("DROP TABLE #OrdiniNonInSal");

$NoPrimoPassaggio = true;

$sql = <<< sql
	select DISTINCT richieste.NumRichiesta, richieste.AnnoRichiesta, richieste.IdCommessa
	INTO #OrdiniNonInSal
	FROM         Richieste INNER JOIN
						  Ordini ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Ordini.AnnoRichiesta INNER JOIN
						  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
						  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
	WHERE     (Richieste.NumRifCli IS NOT NULL) AND (Richieste.AnnoRifCli IS NOT NULL) AND 
					  (Richieste.CommRifCli=$CommRifCli) AND (Contabilità.idStatoc IN (60,70)) and Richieste.IdCommessa=$IdCommessa
sql;

ntxQuery($sql);

$sql = <<< sql
	select count(*)
	FROM #OrdiniNonInSal a
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=70) 
		  )>=60
sql;

$count = ntxScalar($sql);

//////////////////////////////////////////////////////////////////////////////////////////
// Importo Verificato ed InSAL
//////////////////////////////////////////////////////////////////////////////////////////

$sql = <<< sql
	select SUM(isnull(r.QTA*r.PzUnitario
							* case when isnull(r.OneriSicurezza,0)=1 then
								1
							else case when r.TipoPrezzo=2 then -- Manodopera 
									0.951126
								else
									(1-isnull(r.Sconto,0)/100)
								end
							end
			
						,0))
	FROM #OrdiniNonInSal a  
				 INNER JOIN Ordini
				 ON Ordini.IDCommessa=a.IDCommessa
					AND Ordini.NumRichiesta=a.NumRichiesta
					AND Ordini.AnnoRichiesta=a.AnnoRichiesta
	
				 INNER JOIN 
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
				  
				  INNER JOIN RiheContabilità  r 
					ON r.IdCommessa=Contabilità.IdCommessa
					AND r.NumContabilità=Contabilità.NumContabilità
					
	WHERE (SELECT MIN(Contabilità.idStatoc)
			FROM Ordini INNER JOIN
				  Contabilità ON Ordini.IDCommessa = Contabilità.IDCommessa AND Ordini.NumOrdine = Contabilità.NumOrdine AND 
				  Ordini.AnnoOrdine = Contabilità.AnnoOrdine
			WHERE Ordini.IDCommessa=a.IDCommessa
				AND Ordini.NumRichiesta=a.NumRichiesta
				AND Ordini.AnnoRichiesta=a.AnnoRichiesta
				 AND (Contabilità.idStatoc<=70) 
		  )>=60
				 AND (Contabilità.idStatoc IN (60,70)) 
sql;

$Importo = ntxScalar($sql);

$ImportoStimatoMedio = $Importo/$count;

$printImportoStimatoMedio = ntxRoundThousand($ImportoStimatoMedio, 2);
	
?>