<?php
$sql = <<< sql
SELECT DISTINCT
	Risorse.NOME AS Risorsa
	,TL_TipiAttivita.Nome AS TipoAttivita
	,ElencoEdifici.EdificioBreve AS Edificio
	,OrdineRisorseSupporto.DataAssegnazione AS S_DataAssegnazione, OrdineRisorseSupporto.DataPresaInCarico AS S_DataPresaInCarico, OrdineRisorseSupporto.DataInizio AS S_DataInizio, OrdineRisorseSupporto.DataFine AS S_DataFine, OrdineRisorseSupporto.UtenteAssegnazione AS S_UtenteAssegnazione, OrdineRisorseSupporto.ID AS IdRichiestaSupporto
	,TL_Gestione.*
	,Ordini.IdOrd, Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS DescrizioneIntervento
	
	,CASE 
		WHEN  TL_Gestione.DataInizio IS NOT NULL AND TL_Gestione.DataFine IS NOT NULL 
			THEN CONVERT(varchar(5),  DATEADD(minute, DATEDIFF(minute, TL_Gestione.DataInizio, TL_Gestione.DataFine), 0), 114)
		ELSE 'X'
	END
	AS DurataInizioFine  
	
	,CASE 
		WHEN  TL_Gestione.DataInizio IS NOT NULL AND TL_Gestione.DataFine IS NOT NULL 
			THEN CONVERT(varchar(8),  DATEADD(second, DATEDIFF(second, TL_Gestione.DataInizio, TL_Gestione.DataFine), 0), 114)
		ELSE 'X'
	END
	AS DurataInizioFine_s
	
	,CASE 
		WHEN  TL_Gestione.DataInizio IS NOT NULL AND TL_Gestione.DataFine IS NOT NULL 
			THEN DATEDIFF(second, TL_Gestione.DataInizio, TL_Gestione.DataFine)
		ELSE 0
	END
	AS DurataInizioFine_n 
	
	,DATEDIFF(minute,  dbo.cdate('1/1/2000 00:00'), dbo.cdate('1/1/2000 '+TL_Gestione.Durata) ) AS Durata_in_sec	
	
	,Ditte.Ditta
	,Risorse.CodDitta AS IdDitta
FROM  
	TL_Gestione 
	LEFT OUTER JOIN
	TL_TipiAttivita ON TL_Gestione.IdTipoAttivita = TL_TipiAttivita.ID 
	LEFT OUTER JOIN
	Risorse ON TL_Gestione.IdRisorsa = Risorse.ID 
	LEFT OUTER JOIN
	OrdineRisorseSupporto ON TL_Gestione.IdCommessa = OrdineRisorseSupporto.IdCommessa AND 
	TL_Gestione.NumOrdine = OrdineRisorseSupporto.NumOrdine AND TL_Gestione.AnnoOrdine = OrdineRisorseSupporto.AnnoOrdine AND 
	TL_Gestione.IdRisorsa = OrdineRisorseSupporto.IdRisorsa  
	LEFT OUTER JOIN
	Ordini ON TL_Gestione.IdCommessa = Ordini.IDCommessa AND TL_Gestione.NumOrdine = Ordini.NumOrdine AND 
	TL_Gestione.AnnoOrdine = Ordini.AnnoOrdine 
	LEFT OUTER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID
	LEFT OUTER JOIN
	Ditte  ON Ditte.IDDitta = Risorse.CodDitta	
WHERE
	1=1
	$sqlWhere
	
ORDER BY 
	DataInizio ASC
sql;
?>