<?php  
session_start();

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdFornitore = ntxip('IdFornitore');
$IdTipoComponente = ntxip('IdTipoComponente');

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
<style>
<?php
		include("excel.css");
?>
</style>
</head>
<body>

<?php

$where = <<< where
WHERE     (ComponentiAmbiente.IdCommessa = $IdCommessa) 
	AND (tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = $IdEdificio) 
	AND (ComponentiAmbiente.IdEdificio = $IdEdificio) 
	AND (Ditte.IDDitta = $IdFornitore) 
where;

if ( is_numeric($IdTipoComponente) ) $where .= " AND (TipoComponente.IdTipoComponente = $IdTipoComponente)";

$sql = <<< sql
	SELECT     Ditte.Ditta, ComponentiAmbiente.CodiceAssComponente AS CodComp, tblFrequenzeMestieri.Descrizione AS Freq, TipoComponente.DesComponente AS TipoComp, 
						  tblAttivitàMestiere.Descrizione AS Attività,
	(SELECT TOP 1    tblValoriComponenti.Valore
		FROM         tblPropTipiComp INNER JOIN
							  tblValoriComponenti ON tblPropTipiComp.IdCommessa = tblValoriComponenti.IdCommessa AND 
							  tblPropTipiComp.IdPropComp = tblValoriComponenti.IdPropComp
		WHERE     (tblValoriComponenti.IdCommessa = ComponentiAmbiente.IdCommessa) 
		AND (tblValoriComponenti.IdEdificio = ComponentiAmbiente.IdEdificio) 
		AND (tblValoriComponenti.IdComponente = ComponentiAmbiente.IdComponente) 
		AND (tblPropTipiComp.Propietà = N'ANNO ACQUISTO')
	) AnnoAcquisto
	FROM         ComponentiAmbiente INNER JOIN
						  TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
						  ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
						  AttivitàMestTipiComp ON TipoComponente.IdCommessa = AttivitàMestTipiComp.IdCommessaTipoComp AND 
						  TipoComponente.IDTipoComponente = AttivitàMestTipiComp.IdTipoComp INNER JOIN
						  tblAttivitàMestiere ON AttivitàMestTipiComp.IdCommessaAttività = tblAttivitàMestiere.IdCommessa AND 
						  AttivitàMestTipiComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
						  tblContrattiFornitoriAttivitàMestiereEdifici ON tblAttivitàMestiere.IdCommessa = tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa AND 
						  tblAttivitàMestiere.IdAttivitàMestiere = tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere INNER JOIN
						  tblContrattiFornitori ON tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
						  tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore INNER JOIN
						  Ditte ON tblContrattiFornitori.IdFornitore = Ditte.IDDitta INNER JOIN
						  tblFrequenzeMestieri ON tblAttivitàMestiere.IdCommessa = tblFrequenzeMestieri.IdCommessa AND 
						  tblAttivitàMestiere.IdFrequenza = tblFrequenzeMestieri.IdFrequenza
	$where
	ORDER BY CodComp, tblFrequenzeMestieri.ordine, Freq, Attività
sql;
//echo $sql;
$query = ntxQuery($sql);

$result .= <<< result
	<table class="gridTesta1">
		<tr>
			<th>Fornitore
			<th>ATTREZZATURA N°
			<th>PERIODICITA'
			<th>Tipologia manutenzione
			<th>Tipologia di attrezzatura
			<th>ANNO D'ACQUISTO
result;

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$result .= <<< result
		<tr>
			<td>$html[Ditta]
			<td>&nbsp;$html[CodComp]
			<td>$html[Freq]
			<td>$html[Attività]
			<td>$html[TipoComp]
			<td>$html[AnnoAcquisto]
result;
}

$result .=  <<< result
		</table>
result;
	
echo $result;

?>
</body>
</html>
