<?php

$sqlPrevDaAutoriz = <<< sql
	SELECT  YEAR(Richieste.DataRichiesta) Anno, Gruppo, 
			SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0) * (1 - ISNULL(RihePreventivi.Sconto, 0) / 100)) prev_da_aut, 
			0 prev_aut, 
			0 cont_da_aut, 
			0 cont_aut
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
						  GruppiLocElEdifici ON ElencoEdifici.IdCommessa = GruppiLocElEdifici.IdCommessa AND ElencoEdifici.ID = GruppiLocElEdifici.IdEdificio INNER JOIN
						  Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
					INNER JOIN  
					(	  SELECT     GruppiLocaliz.Nome AS Gruppo, GruppiLocaliz.IdGruppo
						FROM         GruppiLocElEdifici gg INNER JOIN
											  GruppiLocaliz ON gg.IdGruppo = GruppiLocaliz.IdGruppo
						WHERE     (gg.IdCommessa = $IdCommessa) AND (gg.IdEdificio = $IdEdificio)
					) ggruppo ON ggruppo.IdGruppo = GruppiLocElEdifici.IdGruppo
	WHERE     (Richieste.IdCommessa = $IdCommessa) AND (Richieste.Stato = 15) 
		AND (Preventivi.IdVoce IS NULL)
	group by YEAR(Richieste.DataRichiesta), Gruppo
sql;

$sqlPrevAutoriz = <<< sql
	SELECT  YEAR(Preventivi.DataCompetenza) Anno, Gruppo, 
			0 prev_da_aut, 
			SUM(ISNULL(RihePreventivi.QTA * RihePreventivi.PzUnitario, 0) * (1 - ISNULL(RihePreventivi.Sconto, 0) / 100))  prev_aut, 
			0 cont_da_aut, 
			0 cont_aut
	FROM         Richieste INNER JOIN
						  ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
						  GruppiLocElEdifici ON ElencoEdifici.IdCommessa = GruppiLocElEdifici.IdCommessa AND ElencoEdifici.ID = GruppiLocElEdifici.IdEdificio INNER JOIN
						  Preventivi ON Richieste.IDCommessa = Preventivi.IDCommessa AND Richieste.NumRichiesta = Preventivi.NumRichiesta AND 
						  Richieste.AnnoRichiesta = Preventivi.AnnoRichiesta INNER JOIN
						  RihePreventivi ON Preventivi.IDCommessa = RihePreventivi.IdCommessa AND Preventivi.NumPreventivo = RihePreventivi.NumPreventivo
					INNER JOIN  
					(	  SELECT     GruppiLocaliz.Nome AS Gruppo, GruppiLocaliz.IdGruppo
						FROM         GruppiLocElEdifici gg INNER JOIN
											  GruppiLocaliz ON gg.IdGruppo = GruppiLocaliz.IdGruppo
						WHERE     (gg.IdCommessa = $IdCommessa) AND (gg.IdEdificio = $IdEdificio)
					) ggruppo ON ggruppo.IdGruppo = GruppiLocElEdifici.IdGruppo
	WHERE     (Richieste.IdCommessa = $IdCommessa) AND (Richieste.Stato = 18 OR Richieste.Stato = 35) 
						  AND NOT EXISTS (SELECT     Contabilità.IDCommessa
											FROM         Contabilità INNER JOIN
																  Ordini ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
																  Contabilità.AnnoOrdine = Ordini.AnnoOrdine
											WHERE     (Contabilità.idstatoc>=40) AND (Ordini.IDCommessa = Richieste.IDCommessa) 
											AND (Ordini.NumRichiesta = Richieste.NumRichiesta) 
											AND (Ordini.AnnoRichiesta =Richieste.AnnoRichiesta) )
		AND (Preventivi.IdVoce IS NULL)
	group by YEAR(Preventivi.DataCompetenza), Gruppo
sql;

$sqlContDaAutoriz = <<< sql
	SELECT  YEAR(c.DataContabilità) Anno, Gruppo, 
			0 prev_da_aut, 
			0 prev_aut, 
			SUM(c.ImportoStimatoC) cont_da_aut, 
			0 cont_aut
	FROM         Contabilità c INNER JOIN
						  ElencoEdifici e ON c.IDCommessa = e.IdCommessa AND c.CodEdificio = e.ID INNER JOIN
						  GruppiLocElEdifici g ON e.IdCommessa = g.IdCommessa AND e.ID = g.IdEdificio
					INNER JOIN  
					(	  SELECT     GruppiLocaliz.Nome AS Gruppo, GruppiLocaliz.IdGruppo
						FROM         GruppiLocElEdifici gg INNER JOIN
											  GruppiLocaliz ON gg.IdGruppo = GruppiLocaliz.IdGruppo
						WHERE     (gg.IdCommessa = $IdCommessa) AND (gg.IdEdificio = $IdEdificio)
					) ggruppo ON ggruppo.IdGruppo = g.IdGruppo
	WHERE    (c.idstatoc>=40) AND  (g.IdCommessa = $IdCommessa) AND (c.Approvato IS NULL OR c.Approvato = 0)
		AND 	(c.IdVoce IS NULL)
	group by YEAR(c.DataContabilità), Gruppo
sql;

$sqlContAutoriz = <<< sql
	SELECT  YEAR(c.DataCompetenza) Anno, Gruppo, 
			0 prev_da_aut, 
			0 prev_aut, 
			0 cont_da_aut, 
			SUM(c.ImportoStimatoC) cont_aut
	FROM         Contabilità c INNER JOIN
						  ElencoEdifici e ON c.IDCommessa = e.IdCommessa AND c.CodEdificio = e.ID INNER JOIN
						  GruppiLocElEdifici g ON e.IdCommessa = g.IdCommessa AND e.ID = g.IdEdificio
					INNER JOIN  
					(	  SELECT     GruppiLocaliz.Nome AS Gruppo, GruppiLocaliz.IdGruppo
						FROM         GruppiLocElEdifici gg INNER JOIN
											  GruppiLocaliz ON gg.IdGruppo = GruppiLocaliz.IdGruppo
						WHERE     (gg.IdCommessa = $IdCommessa) AND (gg.IdEdificio = $IdEdificio)
					) ggruppo ON ggruppo.IdGruppo = g.IdGruppo
	WHERE     (g.IdCommessa = $IdCommessa) AND (c.Approvato = 1)
		AND 	(c.IdVoce IS NULL)
	group by YEAR(c.DataCompetenza), Gruppo
sql;

?>
