<?php

session_start();

require_once('../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$IdDoc = ntxip("IdDoc");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");

$sql = <<< SQL
	UPDATE Richieste SET Stato=5
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND (Stato=4 OR Stato=6)
SQL;

ntxQuery($sql);

$sql = <<<_SQL
	SELECT 
		Richieste.IdMestiere, Richieste.Localizzazione, Richieste.DataRichiesta, Richieste.IdAffidatario, Richieste.Descrizione+' '+Richieste.Descrizione1+' '+Richieste.Descrizione2 AS Descrizione, 
		ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA
	FROM 
		Richieste INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE 
		Richieste.IdCommessa=$IdCommessa	
		AND Richieste.NumRichiesta=$NumRichiesta
		AND Richieste.AnnoRichiesta=$AnnoRichiesta
		AND Richieste.Stato=5
_SQL;
	
$query = ntxQuery($sql);

if ( $rs = ntxIRecord($query) ) 
{
	$IdMestiere = $rs[0];
	$Localizzazione = $rs[1];
	$DataRichiesta = ntxt(ntxDate($rs[2]));
	$DataRichiestaToPrint = ntxDateTime($rs[2]);
	$IdAffidatario = $rs[3];
	$DesRichiesta = $rs[4];
	$EdificioBreve = $rs[5];
	$Indirizzo = $rs[6];
	$CAP = $rs[7];
	$CITTA = $rs[8];
	
	$emailRifFuori = null;
		
	if ( is_numeric($IdAffidatario) )
	{
		$sqlEmailRifFuori = <<< sql
			SELECT DISTINCT email_1
			FROM         tblPgRifAffidatari
			WHERE     (VistaFuoriContratto = 1) 
				AND (IdAffidatario = $IdAffidatario)			
				AND (email_1 IS NOT NULL)
				AND (email_1 <> '')
sql;
		$query = ntxQuery($sqlEmailRifFuori);
		
		while( $rs = ntxIRecord($query) )
		{
			$emailRifFuori[] = $rs[email_1];
		}
	}

	$sql = <<< SQL
			SELECT  DISTINCT tblPgRifAffidatari.email_1
			FROM tblComponetiMestiere INNER JOIN
				tblAttivitàMestiere ON tblComponetiMestiere.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
				tblComponetiMestiere.IdComponenteMestiere = tblAttivitàMestiere.IdComponenteMestiere INNER JOIN
				tblPgContrattiRifAffidatari INNER JOIN
				tblPgContrattiRifAffidatariAttivitàEdifici ON 
				tblPgContrattiRifAffidatari.IdPgContrattoRifAffidatario = tblPgContrattiRifAffidatariAttivitàEdifici.IdPgContrattoRifAffidatario INNER JOIN
				tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario ON 
				tblAttivitàMestiere.IdCommessa = tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa AND 
				tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiRifAffidatariAttivitàEdifici.IdAttivitàMestiere INNER JOIN
				tblPgContrattiAffidatari ON tblPgContrattiRifAffidatari.IdPgContrattoAffidatario = tblPgContrattiAffidatari.IdPgContrattoAffidatario
			WHERE (tblComponetiMestiere.IdMestiere = $IdMestiere) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdEdificio = $Localizzazione) 
				AND (tblPgContrattiRifAffidatariAttivitàEdifici.IdCommessa = $IdCommessa)
				AND (tblPgContrattiAffidatari.DataInizio <= $DataRichiesta) 
				AND (tblPgContrattiAffidatari.DataFine >= $DataRichiesta)
				AND (tblPgRifAffidatari.email_1 IS NOT NULL)
				AND (tblPgRifAffidatari.email_1 <> '')
SQL;

	if ( is_numeric($IdAffidatario) )
		$sql .= " AND tblPgRifAffidatari.IdAffidatario = $IdAffidatario ";

$oggetto = "Pronto Preventivo fornitore"; 

$messaggio = <<<_MSG
	Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta" del $DataRichiestaToPrint  localizzata in: $EdificioBreve - $Indirizzo $CAP $CITTA relativa a $DesRichiesta.
_MSG;
	
	$queryEmailRif1 = ntxQuery($sql);

	$NonTrovataEmailRif1 = true;
	
	while ( $rsEmailRif1 = ntxIRecord($queryEmailRif1) )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-pronto preventivo",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				$rsEmailRif1[0],		
				$oggetto,				
				$messaggio,
				true);	
	
		$NonTrovataEmailRif1 = false;
	}
	
	if ( $NonTrovataEmailRif1  &&  isset($emailRifFuori) )
	{
		foreach ( $emailRifFuori as $email )
		{
			ntxFireNetInit($_SESSION['Utente'].'',				
					"f-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email,		
					$oggetto,				
					$messaggio,
					true);	
		
			$NonTrovataEmailRif1 = false;
		}
	}
	
	if ( $NonTrovataEmailRif1 )
	{
		ntxFireNetInit($_SESSION['Utente'].'',				
				"f-pronto preventivo",				
				"richiesta $NumRichiesta/$AnnoRichiesta",			
				"email",		
				EMAIL_DEBUG,		
				$oggetto,				
				$messaggio,
				true);	
	}

	$sql = <<< SQL
			UPDATE Richieste SET vede_affidatario = 1
			WHERE Richieste.IdCommessa = $IdCommessa
				AND Richieste.NumRichiesta = $NumRichiesta
				AND Richieste.AnnoRichiesta = $AnnoRichiesta;
SQL;
	ntxQuery($sql);
}

jhp_ok();
?>
