<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta
$IdDoc = ntxip('IdDoc');

$sql = <<< SQL
	SELECT   DISTINCT  tblContrattiFornitori.IdContrattoFornitore
	FROM         tblContrattiFornitoriAttivitàMestiereEdifici INNER JOIN
	                      DocsPreventiviRichieste INNER JOIN
	                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
	                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
	                      tblContrattiFornitori ON DocsPreventiviRichieste.IdCommessa = tblContrattiFornitori.IdCommessa AND 
	                      DocsPreventiviRichieste.IdDitta = tblContrattiFornitori.IdFornitore AND Richieste.DataRichiesta >= tblContrattiFornitori.DataInizio AND 
	                      Richieste.DataRichiesta <= tblContrattiFornitori.DataFine ON 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblContrattiFornitori.IdCommessa AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdContrattoFornitore = tblContrattiFornitori.IdContrattoFornitore AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdEdificio = Richieste.Localizzazione INNER JOIN
	                      tblAttivitàMestiere INNER JOIN
	                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
	                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
	                      tblContrattiFornitoriAttivitàMestiereEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
	                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere
WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) 
			AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdContrattoFornitore = ntxScalar($sql);

if ( !is_numeric($IdContrattoFornitore) ) $IdContrattoFornitore = -2;

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario,
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
					isnull((SELECT ScontiFornitore.Sconto FROM ScontiFornitore 
					WHERE ElencoPrezziInCommessa.IdCommessa = ScontiFornitore.IdCommessa 
					AND ElencoPrezziInCommessa.IdPrezzo = ScontiFornitore.IdPrezzo
					AND ScontiFornitore.IdContrattoFornitore = $IdContrattoFornitore			
					), 0) AS 
				Sconto
FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = "Riga di costo non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['PzUnitario'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

















