<?php

$sqlDataInizio = <<< sql
	case when SopralluogoPDI.DataInizio is not null then 
		SopralluogoPDI.DataInizio
	else 
		off2.DataInizio
	end
sql;


$sqlDurata = <<< sql
	case when SopralluogoPDI.Durata is not null then 
		SopralluogoPDI.Durata 
	else 
		off2.Durata 
	end
sql;

$sql = <<< sql
SELECT  DISTINCT
                      OfferteEdifici.IdOfferta, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, Offerte.NRPF, ISNULL(Offerte.FacilityManagementLight, 0) AS Light, 
                      CASE WHEN isnull(Offerte.FacilityManagementLight, 0) = 1 THEN 0.98 ELSE 0.96 END AS _99o98perCento, 
                      Offerte.DataAttivazione AS DataInizioConvenzione, Offerte.DataAttivazione, DATEADD(month, Offerte.DurataContratto, Offerte.DataAttivazione) 
                      AS DataFineConvenzione
FROM         OfferteEdifici INNER JOIN
                      ElencoEdifici ON OfferteEdifici.IdCommessaEdificio = ElencoEdifici.IdCommessa AND OfferteEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      Offerte ON OfferteEdifici.IdCommessaEdificio = Offerte.IdCommessa AND OfferteEdifici.IdOfferta = Offerte.IdOfferta INNER JOIN
                      tblPgPropietari ON Offerte.IdPropietario = tblPgPropietari.IdPropietario INNER JOIN
                      OfferteEdificiMestieri AS off2 ON OfferteEdifici.IdCommessaOfferta = off2.IdCommessaOfferta AND OfferteEdifici.IdOfferta = off2.IdOfferta AND 
                      OfferteEdifici.IdCommessaEdificio = off2.IdCommessaEdificio AND OfferteEdifici.IdEdificio = off2.IdEdificio INNER JOIN
                      SopralluogoPDI ON off2.IdCommessaOfferta = SopralluogoPDI.IdCommessaTipoComp AND off2.IdOfferta = SopralluogoPDI.IdOfferta AND 
                      off2.IdEdificio = SopralluogoPDI.IdEdificio
sql;

if ( is_numeric($IdOfferta) )
	$sql .= <<< sql
		WHERE     (OfferteEdifici.IdCommessaOfferta = $IdCommessa) AND (OfferteEdifici.IdOfferta = $IdOfferta)	 AND Offerte.NumIdentificativoOrdine IS NOT NULL
sql;
else
	$sql .= <<< sql
		WHERE     (OfferteEdifici.IdCommessaOfferta = $IdCommessa)	 AND Offerte.NumIdentificativoOrdine IS NOT NULL
sql;

if ( $datax1!="NULL" || $datax2!="NULL" )
	$sql .= " AND (dbo.CalcolaMesiPerReportFatturATI($sqlDataInizio, $sqlDurata, $data1, $data2)>0) ";
	
$sql .= <<< sql
	ORDER BY NRPF, IdOfferta, IdEdificio
sql;

$queryddadad = ntxQuery($sql);

$righe = "";

while($rsEdificio=ntxRecord($queryddadad))
{
	$IdOffertaLoc = $rsEdificio[IdOfferta];

	$IdEdificio = $rsEdificio[IdEdificio];

	$isLight = $rsEdificio[Light];

	$_99o98perCento = $rsEdificio[_99o98perCento];

	$rsEdificio[DataInizioConvenzione]=ntxDate($rsEdificio[DataInizioConvenzione]);
	$rsEdificio[DataFineConvenzione]=ntxDate($rsEdificio[DataFineConvenzione]);
	//$rsEdificio[DataAttivazione]=ntxDate($rsEdificio[DataAttivazione]);

	if ( is_numeric($rsEdificio[NRPF]) )
	{
		if ( $rsEdificio[NRPF]<10 )
			$rsEdificio[NRPF] = "RPF00".$rsEdificio[NRPF];
		elseif ( $rsEdificio[NRPF]<100 )
			$rsEdificio[NRPF] = "RPF0".$rsEdificio[NRPF];
		else
			$rsEdificio[NRPF] = "RPF".$rsEdificio[NRPF];
	}
				
	foreach($rsEdificio as $k=>$v)
		$rsEdificio[$k]=htmlentities($v);
		
	include("servizi_a_canone_tot.inc");

	include("servizi_a_canone_tot-2.inc");

	include("servizi_extracanone-1.inc");
	include("servizi_extracanone-2.inc");
	include("servizi_extracanone-3.inc");
}

?>

<br>
<table class=grid>
	<tr>
		<tr>
		<th>Ente
		<th>Nome Edificio
		<th>Indirizzo
		<th>Servizio
		<th>Extra
		<th>NRPF
		<th>Data Inizio Convenzione
		<th>Data Fine Convenzione
		<th>Data Attivazione
		<th>Importo Totale Servizio
		<th>Importo Totale AAOPF

	<?php echo $righe ?>
</table>
