<?php

$sql = <<< sql
	SELECT     PianoLivello.idPiano IdPiano, PianoLivello.CodiceAssLivello CodPiano, DestinazioniDusoLivello.Destinazione DesPiano, 
	Ambiente.IdAmbiente, Ambiente.CodiceAssAmbiente CodAmbiente, DestinazioniDuso.Destinazione AS DesAmbiente, 
						  TipoComponente.DesComponente TipoComponente, 
						  AnomalieAmbienti.Descrizione, AnomalieAmbienti.Risolto,
	(SELECT  TOP 1   FotoPiccola
		FROM         FotoAnomalieAmbienti
		WHERE     (IdCommessa = AnomalieAmbienti.IdCommessa) 
		AND (IdEdificio = AnomalieAmbienti.IdEdificio) 
		AND (IdAmbiente = AnomalieAmbienti.IdAmbiente) 
		AND (IdAnomalia = AnomalieAmbienti.IdAnomalia)) Foto
	FROM         PianoLivello INNER JOIN
						  Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
						  PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
						  AnomalieAmbienti ON Ambiente.IdCommessa = AnomalieAmbienti.IdCommessa AND Ambiente.IdEdificio = AnomalieAmbienti.IdEdificio AND 
						  Ambiente.IDAmbiente = AnomalieAmbienti.IdAmbiente LEFT OUTER JOIN
						  TipoComponente ON AnomalieAmbienti.IdCommessa = TipoComponente.IdCommessa AND 
						  AnomalieAmbienti.TipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
						  TipiAnomalieCensimento ON AnomalieAmbienti.TipoAnomalia = TipiAnomalieCensimento.Id LEFT OUTER JOIN
						  DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
						  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
						  PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
	WHERE     (PianoLivello.IdCommessa = $IdCommessa) 
	AND (PianoLivello.IdEdificio = $IdEdificio)
	ORDER BY DestinazioniDusoLivello.ordinamento, DestinazioniDusoLivello.IdDUL, PianoLivello.idPiano, Ambiente.CodiceAssAmbiente, Ambiente.IDAmbiente
sql;

$query = ntxQuery($sql);

$IdPiano = "";

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		if ( "$rs[$k]"=="" )
			$html[$k] = "...";
		else
			$html[$k] = htmlentities($rs[$k]);
		
	$classRow = $alternate ? "class=alternate" : "";
	
	if ( !is_numeric($IdPiano) || $IdPiano!=$rs[IdPiano] )
	{
		if ( is_numeric($IdPiano) )
			echo "</table>";
		
		$IdPiano = $rs[IdPiano];
		$alternate = true;
		
		echo <<< echo
			<div class=box>
				<div class=boxTitle>Piano</div>
				<p>
					ID: <b>$html[IdPiano]</b>
					Codice: <b>$html[CodPiano]</b>
					Descrizione: <b>$html[DesPiano]</b>
				</p>
			</div>
			
			<table class=grid>
				<tr>
					<th>IdAmbiente
					<th>CodAmbiente
					<th>DesAmbiente
					<th>TipoComponente
					<th>Descrizione
					<th>Risolto
					<th>Foto
echo;
	}
	
	$img = "";
	
	$pathOrigine = "$pathPublicShapeWeb\\$rs[Foto]";

	if ( is_file($pathOrigine) )
	{
		$path_info = pathinfo($pathOrigine);
		$extension = $path_info['extension'];
		
		$pathDestinazione = tempnam($dir, "TN").".$extension";
		$urlDestinazione = $url.substr($pathDestinazione, strlen($dir));
		
		copy($pathOrigine, $pathDestinazione);
		
		$img = <<< foto
				<img src="$urlDestinazione" width=50 height=40 />
foto;
	}

	$Risolto = $rs[Risolto] ? "Si" : "No";
	
	echo <<< echo
		<tr>
			<td>$html[IdAmbiente]
			<td>$html[CodAmbiente]
			<td>$html[DesAmbiente]
			<td>$html[TipoComponente]
			<td>$html[Descrizione]
			<td style="text-align:center">$Risolto
			<td>$img
echo;

	$alternate = !$alternate;
}

if ( is_numeric($IdPiano) )
	echo "</table>";

?>

