
<?php

$sql = <<< sql
SELECT DISTINCT TipiAree.Descrizione AS TipoArea, CanoniTipiAree.CanoneMC, CanoniTipiAree.DataInizio, CanoniTipiAree.DataFine
FROM         TipiAree INNER JOIN
                      TipiAreaCircuitiEdifici ON TipiAree.IdCommessa = TipiAreaCircuitiEdifici.IdCommessaTipoArea AND 
                      TipiAree.IdTipoArea = TipiAreaCircuitiEdifici.IdTipoArea INNER JOIN
                      CircuitiEdifici ON TipiAreaCircuitiEdifici.IdCommessaCircuito = CircuitiEdifici.IdCommessa AND 
                      TipiAreaCircuitiEdifici.IdEdificioCircuito = CircuitiEdifici.IdEdificio AND TipiAreaCircuitiEdifici.IdCircuito = CircuitiEdifici.IdCircuito INNER JOIN
                      ElencoEdifici ON CircuitiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND CircuitiEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      CircuitiAmbienti ON CircuitiEdifici.IdCommessa = CircuitiAmbienti.IdCommessaCircuito AND 
                      CircuitiEdifici.IdEdificio = CircuitiAmbienti.IdEdificioCircuito AND CircuitiEdifici.IdCircuito = CircuitiAmbienti.IdCircuito INNER JOIN
                      Ambiente ON CircuitiAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND CircuitiAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      CircuitiAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (Ambiente.DataRimozione IS NULL OR Ambiente.DataRimozione > $data_1_mese_anno)
	AND (CircuitiEdifici.TipoCircuito = 1) 
	AND (CircuitiEdifici.DataInizio IS NULL OR CircuitiEdifici.DataInizio <= $data_1_mese_anno) 
	AND (CircuitiEdifici.DataFine IS NULL OR CircuitiEdifici.DataFine >= $data_1_mese_anno)
	AND (CanoniTipiAree.DataInizio IS NULL OR CanoniTipiAree.DataInizio <= $data_1_mese_anno) 
	AND (CanoniTipiAree.DataFine IS NULL OR CanoniTipiAree.DataFine >= $data_1_mese_anno) 
ORDER BY TipoArea, DataInizio, DataFine
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Tipo Area
			<th style="text-align:right">Canone MC
			<th style="text-align:right">Data Inizio
			<th style="text-align:right">Data Fine
		</tr>
table;

$alternate = false;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";

	$rs[CanoneMC] = ntxRoundThousand($rs[CanoneMC], 2);
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$html[TipoArea]
			<td>$html[CanoneMC]
			<td>$html[DataInizio]
			<td>$html[DataFine]
		</tr>
table;

	$alternate = !$alternate;
}

$table .= <<< table
	</table>
table;

echo $table;

?>