
<?php

$sql = <<< sql
SELECT DISTINCT    ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP,
					  dbo.CostoCaloreMeseEdificio($IdContratto, $IdCommessa, ElencoEdifici.ID, $data_1_mese_anno) Costo, 
					  dbo.OreCaloreMeseEdificio($IdContratto, $IdCommessa, ElencoEdifici.ID, $data_1_mese_anno) Ore, 
					  SUM(Ambiente.MC) AS MC
					  --, MAX(CanoniTipiAree.CanoneMC) CanoneMC
FROM         TipiAree INNER JOIN
                      TipiAreaCircuitiEdifici ON TipiAree.IdCommessa = TipiAreaCircuitiEdifici.IdCommessaTipoArea AND 
                      TipiAree.IdTipoArea = TipiAreaCircuitiEdifici.IdTipoArea INNER JOIN
                      CircuitiEdifici ON TipiAreaCircuitiEdifici.IdCommessaCircuito = CircuitiEdifici.IdCommessa AND 
                      TipiAreaCircuitiEdifici.IdEdificioCircuito = CircuitiEdifici.IdEdificio AND TipiAreaCircuitiEdifici.IdCircuito = CircuitiEdifici.IdCircuito INNER JOIN
                      ElencoEdifici ON CircuitiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND CircuitiEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      CircuitiAmbienti ON CircuitiEdifici.IdCommessa = CircuitiAmbienti.IdCommessaCircuito AND 
                      CircuitiEdifici.IdEdificio = CircuitiAmbienti.IdEdificioCircuito AND CircuitiEdifici.IdCircuito = CircuitiAmbienti.IdCircuito INNER JOIN
                      Ambiente ON CircuitiAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND CircuitiAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      CircuitiAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (Ambiente.DataRimozione IS NULL OR Ambiente.DataRimozione > $data_1_mese_anno)
	AND (CircuitiEdifici.TipoCircuito = 1) 
	AND (CircuitiEdifici.DataInizio IS NULL OR CircuitiEdifici.DataInizio <= $data_1_mese_anno) 
	AND (CircuitiEdifici.DataFine IS NULL OR CircuitiEdifici.DataFine >= $data_1_mese_anno)
	AND (CanoniTipiAree.DataInizio IS NULL OR CanoniTipiAree.DataInizio <= $data_1_mese_anno) 
	AND (CanoniTipiAree.DataFine IS NULL OR CanoniTipiAree.DataFine >= $data_1_mese_anno) 
GROUP BY ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Compune
			<th>Prov
			<th>CAP
			<th>MC
			<th>Ore
			<th>Costo
		</tr>
table;

$alternate = false;

$totMC 		= 0;
$totOre 	= 0;
$totCosto 	= 0;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$totMC += $rs[MC];
	$totOre += $rs[Ore];
	$totCosto += $rs[Costo];

//	$rs[CanoneMC] = ntxRoundThousand($rs[CanoneMC], 2);
	$rs[MC] = ntxRoundThousand($rs[MC], 2);
	$rs[Ore] = ntxRoundThousand($rs[Ore], 2);
	$rs[Costo] = ntxRoundThousand($rs[Costo], 2);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[Nome]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td style="text-align:right">$html[MC]
			<td style="text-align:right">$html[Ore]
			<td style="text-align:right">$html[Costo]
		</tr>
table;

	$alternate = !$alternate;
}

$totMC 	 = ntxRoundThousand($totMC 	,2);
$totOre  = ntxRoundThousand($totOre ,2);
$totCosto = ntxRoundThousand($totCosto,2);

$classTr = $alternate ? "class=alternate" : "";


$table .= <<< table
		<tr $classTr>
			<td colspan=7 style="text-align:right;font-weight:bold">TOTALI:
			<td style="text-align:right;font-weight:bold">$totMC
			<td style="text-align:right;font-weight:bold">$totOre
			<td style="text-align:right;font-weight:bold">$totCosto
		</tr>
	</table>
table;

echo $table;

?>