<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdContratto = ntxip('IdContratto');

if ( !is_numeric($_POST[Mese]) || $_POST[Mese]<1 || $_POST[Mese]>12 )
	die("Mese non corretto dev'essere compreso fra 1 e 12!");

if ( !is_numeric($_POST[Anno]) || $_POST[Anno]<1900 || $_POST[Anno]>2100 )
	die("Anno non corretto dev'essere compreso fra 1900 e 2100!");
	
$data_1_mese_anno = ntxt("1/$_POST[Mese]/$_POST[Anno]");

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<link href="/repository/css/reset-1.0.0.css" rel="stylesheet" type="text/css">
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
</head>
<body>


<?php

$sql = <<< sql
SELECT     ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, SUM(Ambiente.MC) AS MC, CanoniTipiAree.CanoneMC, CanoniTipiAree.DataInizio AS DataInizioCanone, 
                      CanoniTipiAree.DataFine AS DataFineCanone, CircuitiEdifici.Codice AS CodCircuito, CircuitiEdifici.Nome AS NomeCircuito, 
                      CircuitiEdifici.DataInizio AS DataInizioCircuito, CircuitiEdifici.DataFine AS DataFineCircuito,  
                      
					  dbo.OreCaloreMeseEdificioCanoneCircuito($IdContratto, $IdCommessa, ElencoEdifici.ID, CanoniTipiAree.IdCanoneTipoArea, CircuitiEdifici.IdCircuito, $data_1_mese_anno) Ore,
					  dbo.CostoCaloreMeseEdificioCanoneCircuito($IdContratto, $IdCommessa, ElencoEdifici.ID, CanoniTipiAree.IdCanoneTipoArea, CircuitiEdifici.IdCircuito, $data_1_mese_anno) Costo
					  
FROM         TipiAree INNER JOIN
                      TipiAreaCircuitiEdifici ON TipiAree.IdCommessa = TipiAreaCircuitiEdifici.IdCommessaTipoArea AND 
                      TipiAree.IdTipoArea = TipiAreaCircuitiEdifici.IdTipoArea INNER JOIN
                      CircuitiEdifici ON TipiAreaCircuitiEdifici.IdCommessaCircuito = CircuitiEdifici.IdCommessa AND 
                      TipiAreaCircuitiEdifici.IdEdificioCircuito = CircuitiEdifici.IdEdificio AND TipiAreaCircuitiEdifici.IdCircuito = CircuitiEdifici.IdCircuito INNER JOIN
                      ElencoEdifici ON CircuitiEdifici.IdCommessa = ElencoEdifici.IdCommessa AND CircuitiEdifici.IdEdificio = ElencoEdifici.ID INNER JOIN
                      CircuitiAmbienti ON CircuitiEdifici.IdCommessa = CircuitiAmbienti.IdCommessaCircuito AND 
                      CircuitiEdifici.IdEdificio = CircuitiAmbienti.IdEdificioCircuito AND CircuitiEdifici.IdCircuito = CircuitiAmbienti.IdCircuito INNER JOIN
                      Ambiente ON CircuitiAmbienti.IdCommessaAmbiente = Ambiente.IdCommessa AND CircuitiAmbienti.IdEdificioAmbiente = Ambiente.IdEdificio AND 
                      CircuitiAmbienti.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      CanoniTipiAree ON TipiAree.IdCommessa = CanoniTipiAree.IdCommessa AND TipiAree.IdTipoArea = CanoniTipiAree.IdTipoArea
WHERE     (TipiAree.IdContrattoGestione = $IdContratto) 
	AND (Ambiente.DataRimozione IS NULL OR Ambiente.DataRimozione > $data_1_mese_anno)
	AND (CircuitiEdifici.TipoCircuito = 1) 
	AND (CircuitiEdifici.DataInizio IS NULL OR CircuitiEdifici.DataInizio <= $data_1_mese_anno) 
	AND (CircuitiEdifici.DataFine IS NULL OR CircuitiEdifici.DataFine >= $data_1_mese_anno)
	AND (CanoniTipiAree.DataInizio IS NULL OR CanoniTipiAree.DataInizio <= $data_1_mese_anno) 
	AND (CanoniTipiAree.DataFine IS NULL OR CanoniTipiAree.DataFine >= $data_1_mese_anno) 
GROUP BY ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, CanoniTipiAree.IdCanoneTipoArea, CanoniTipiAree.CanoneMC, CanoniTipiAree.DataInizio, CanoniTipiAree.DataFine, 
                      CircuitiEdifici.Codice, CircuitiEdifici.Nome, CircuitiEdifici.DataInizio, CircuitiEdifici.DataFine, CircuitiEdifici.IdCircuito
sql;

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Compune
			<th>Prov
			<th>CAP
			<th>Canone MC
			<th>Data Inizio Canone
			<th>Data Fine Canone
			<th>Cod.Circuito
			<th>Nome Circuito
			<th>Data Inizio Circuito
			<th>Data Fine Circuito
			<th>MC
			<th>Ore
			<th>Costo
		</tr>
table;

$alternate = false;

$totMC 		= 0;
$totOre 	= 0;
$totCosto 	= 0;

while( $query  &&  $rs = ntxRecord($query) )
{
	$classTr = $alternate ? "class=alternate" : "";
	
	$totMC += $rs[MC];
	$totOre += $rs[Ore];
	$totCosto += $rs[Costo];

	$rs[CanoneMC] = ntxRoundThousand($rs[CanoneMC], 4);
	$rs[DataInizioCanone] = ntxDate($rs[DataInizioCanone]);
	$rs[DataFineCanone] = ntxDate($rs[DataFineCanone]);
	$rs[DataInizioCircuito] = ntxDate($rs[DataInizioCircuito]);
	$rs[DataFineCircuito] = ntxDate($rs[DataFineCircuito]);
	
	$rs[MC] = ntxRoundThousand($rs[MC], 4);
	$rs[Ore] = ntxRoundThousand($rs[Ore], 4);
	$rs[Costo] = ntxRoundThousand($rs[Costo], 4);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$table .= <<< table
		<tr $classTr>
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[Nome]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$html[CAP]
			<td style="text-align:right">$html[CanoneMC]
			<td style="text-align:right">$html[DataInizioCanone]
			<td style="text-align:right">$html[DataFineCanone]
			<td style="text-align:right">$html[CodCircuito]
			<td style="text-align:right">$html[NomeCircuito]
			<td style="text-align:right">$html[DataInizioCircuito]
			<td style="text-align:right">$html[DataFineCircuito]
			<td style="text-align:right">$html[MC]
			<td style="text-align:right">$html[Ore]
			<td style="text-align:right">$html[Costo]
		</tr>
table;

	$alternate = !$alternate;
}

$totMC 	 = ntxRoundThousand($totMC 	,4);
$totOre  = ntxRoundThousand($totOre ,4);
$totCosto = ntxRoundThousand($totCosto,4);

$classTr = $alternate ? "class=alternate" : "";


$table .= <<< table
		<tr $classTr>
			<td colspan=14 style="text-align:right;font-weight:bold">TOTALI:
			<td style="text-align:right;font-weight:bold">$totMC
			<td style="text-align:right;font-weight:bold">$totOre
			<td style="text-align:right;font-weight:bold">$totCosto
		</tr>
	</table>
table;

echo $table;

?>
</body>
</html>
