<!DOCTYPE html>
<html >
<head>
	<meta name="viewport" content="initial-scale=1.0, user-scalable=no"/> 
	<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
	<title>Map</title>
	<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
	<script type="text/javascript" src="../../_libs/number.js"></script>
	
	<script type="text/javascript"> 
	var createMap = function() 
	{
	   	var lat = document.getElementById("lat").value;
	   	var lon = document.getElementById("lon").value;
		var valoreMarker = "edificio";
		
		if(!isNumber(lat)||!isNumber(lon))
		{
			lat=44.4942191;
			lon=11.3464815;			
		}			
		else
		{
			lat = parseFloat(document.getElementById("lat").value);
			lon = parseFloat(document.getElementById("lon").value);		
		}	
		
		var myLatlng = new google.maps.LatLng(lat, lon); 
		
		var options = {
			zoom: 15,
			center: myLatlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};	

		var map = new google.maps.Map(document.getElementById('map'), options);
		
		map.setCenter(myLatlng);
		
		var marker = new google.maps.Marker(
			{
			position: myLatlng,
			map: map,
			title: valoreMarker
			}
		);

		var tooltip = '<div id="tooltip">'+
			'<p><strong>'+valoreMarker+'</strong></p>'+
			'<p>Lat lon:<br>'+
			myLatlng+'</p>'+			
			'</div>';

		var infowindow = new google.maps.InfoWindow({
			content: tooltip
		});

		google.maps.event.addListener(marker, 'click', function() {
			infowindow.open(map,marker);
		}); 
	}
		
	window.onload = createMap; 
	</script> 
</head>
  
<body style="font-family:Arial, Helvetica, sans-serif; font-size:13px;margin:0; padding:0;">

	<div id="map" style="width: 300px; height: 300px;margin-bottom:0px;margin-top:0px;"></div>
  
	<form id="mod_geo" >
		<input id="lat" type="hidden" value="<?php echo $_POST[lat] ?>" readonly="readonly"/>
		<input id="lon" type="hidden" value="<?php echo $_POST[lon] ?>" readonly="readonly"/>
	</form>
	
</body>
	
</html>