<?php

$sql = <<< sql
	SELECT     AnomalieAmbienti.IdAmbiente, AnomalieAmbienti.IdAnomalia, TipiAnomalieCensimento.Tipo AS TipoAnomalia, 
                     TipoComponente.DesComponente AS TipoComponente, AnomalieAmbienti.Descrizione, AnomalieAmbienti.DataOra, AnomalieAmbienti.Rilevatore, 
                      AnomalieAmbienti.Risolto, AnomalieAmbienti.DataSoluzione, AnomalieAmbienti.VisibileFornitore, AnomalieAmbienti.VisibileCliente
	FROM         AnomalieAmbienti LEFT OUTER JOIN
                      TipoComponente ON AnomalieAmbienti.IdCommessa = TipoComponente.IdCommessa AND 
                      AnomalieAmbienti.TipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
                      TipiAnomalieCensimento ON AnomalieAmbienti.TipoAnomalia = TipiAnomalieCensimento.Id
		WHERE     (AnomalieAmbienti.IdCommessa =  $IdCommessa) 
			AND (AnomalieAmbienti.IdEdificio =  $IdEdificio) 
			AND (AnomalieAmbienti.IdAmbiente =  $IdAmbiente)
	ORDER BY AnomalieAmbienti.DataOra
sql;

$query = ntxQuery($sql);


$dettaglio_anomalie = <<< dettaglio_anomalie
		<tr>
			<th>
			<th>Tipo<br>Anomalia
			<th>Tipo<br>Componente
			<th>Descrizione
			<th>Data Ora
			<th>Rilevatore
			<th>Risolto
			<th>Data<br>Soluzione
			<th>Visibile<br>Fornitore
			<th>Visibile<br>Cliente
dettaglio_anomalie;
			
$alt = true;
			
while( $rs = ntxRecord($query) )
{
	$rs[DataOra] = ntxDate($rs[DataOra], 3);
	$rs[DataSoluzione] = ntxDate($rs[DataSoluzione], 3);

	$rs[Risolto] = $rs[Risolto] ? "SI" : "";
	$rs[VisibileFornitore] = $rs[VisibileFornitore] ? "SI" : "";
	$rs[VisibileCliente] = $rs[VisibileCliente] ? "SI" : "";
	
	$class = $alt ? "class=alternate" : "";
	
	$alt = !$alt;
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
	
	$dettaglio_anomalie .= <<< dettaglio_anomalie
			<tr $class>
				<td><input type=button value=foto onclick="FotoAnomaliaAmbiente('$rs[IdAmbiente]', '$rs[IdAnomalia]')" />
				<td>$rs[TipoAnomalia]
				<td>$rs[TipoComponente]
				<td>$rs[Descrizione]
				<td>$rs[DataOra]
				<td>$rs[Rilevatore]
				<td>$rs[Risolto]
				<td>$rs[DataSoluzione]
				<td>$rs[VisibileFornitore]
				<td>$rs[VisibileCliente]
dettaglio_anomalie;
}

?>
