<?php  
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$where = " ComponentiAmbiente.IdCommessa = $IdCommessa ";

if ( strlen($_POST['localizzazioni']) > 0 ) {
 $Localizzazioni = $_POST['localizzazioni'];
 $where .= " AND ComponentiAmbiente.IdEdificio IN ($Localizzazioni) ";
}

if ( is_numeric($_POST['tipoComponente']) ) {
  $IdTipoComponente = ntxip('tipoComponente');
  $where .= " AND ComponentiAmbiente.IdTipoComponente = $IdTipoComponente ";
}

if ( is_numeric($_POST['proprietaTipoComponente']) ) {
  $IdProprietaTipoComponente = ntxip('proprietaTipoComponente');
  $where .= " AND tblValoriComponenti.IdPropComp = $IdProprietaTipoComponente ";
}

if ( isset($_POST['valoriTipoComponente'])  &&  strlen($_POST['valoriTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoriTipoComponente']."");
	$IdValPropCompText = str_replace("'", "''", $str);
  $where .= " AND tblValoriComponenti.Valore LIKE '%".$IdValPropCompText."%' ";
}

if ( isset($_POST['valoreTipoComponente'])  &&  strlen($_POST['valoreTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoreTipoComponente']."");
	$CodiceAssComponente = str_replace("'", "''", $str);
  $where .= " AND ComponentiAmbiente.CodiceAssComponente = '".$CodiceAssComponente."' ";
}

$sql = <<< _SQL

  SELECT DISTINCT 
    'k' + LTRIM(tblValoriComponenti.IdPropComp) AS k
    , tblPropTipiComp.Propietà
  FROM         
    ComponentiAmbiente 
    INNER JOIN
      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente 
        AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio 
        AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
    INNER JOIN
      tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa 
        AND tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp	
	WHERE
    $where
  ORDER BY 
    tblPropTipiComp.Propietà

_SQL;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]] = $rs[1];
}

$sql = <<< _SQL
    
  SELECT ElencoEdifici.EdificioBreve
    ,DestinazioniDusoLivello.Destinazione AS Piano
    ,Ambiente.CodiceAmbiente
    ,Ambiente.CodiceAssAmbiente AS CodAmb
    ,ComponentiAmbiente.CodiceComponente
    ,ComponentiAmbiente.CodiceAssComponente AS CodComp
    ,TipoComponente.DesComponente AS Componente
    ,ComponentiAmbiente.IdEdificio
    ,LTRIM(ComponentiAmbiente.IdEdificio) + '-' + LTRIM(ComponentiAmbiente.IDComponente) key1
    ,Ambiente.IdLivello
    ,'k' + LTRIM(tblValoriComponenti.IdPropComp) key2
    ,tblValoriComponenti.Valore
    ,tblCopertureInCommessa.Id AS IdCopertura
  FROM PianoLivello
  INNER JOIN DestinazioniDusoLivello
    ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
      AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
  INNER JOIN Ambiente
    ON PianoLivello.idPiano = Ambiente.IdLivello
      AND PianoLivello.IdEdificio = Ambiente.IdEdificio
      AND PianoLivello.IdCommessa = Ambiente.IdCommessa
  INNER JOIN ComponentiAmbiente
  INNER JOIN TipoComponente
    ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa
      AND ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
  INNER JOIN ElencoEdifici
    ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID
      AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa
      ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
        AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio
        AND Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa 
  INNER JOIN tblValoriComponenti
      ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente
        AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio
        AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
  LEFT JOIN tblCopertureInCommessa
      ON tblCopertureInCommessa.IdCommessa = TipoComponente.IdCommessa
        AND tblCopertureInCommessa.Nome = TipoComponente.Copertura 

  WHERE 
    $where
  ORDER BY ElencoEdifici.EdificioBreve
    ,DestinazioniDusoLivello.Destinazione
    ,Ambiente.CodiceAmbiente
    ,ComponentiAmbiente.CodiceComponente
    ,ComponentiAmbiente.IdEdificio
    ,ComponentiAmbiente.IDComponente

_SQL;

$query = ntxQuery($sql);

$records = array();

while ( $rs = ntxRecord($query) )
{
	$key1 = $rs[key1];
	
	foreach($rs as $fieldName => $fieldValue)
	{
		if ( $fieldName != 'Valore'  &&  $fieldName != 'key1'  &&  $fieldName != 'key2' )
		{
			$records[$key1][$fieldName]  = $fieldValuee = $fieldValue;
		}
	}

	foreach($props as $fieldName)
	{
		if ( isset($records[$key1][$fieldName]) )
			break;
			
		foreach($props as $fieldName)
			$records[$key1][$fieldName] = "";
		
		break;
	}
	
	$fieldName = $props[$rs[key2]];
	$records[$key1][$fieldName] = $rs[Valore];
}

?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

  <head>

    <title>Manpro.Net - un prodotto Natisoft</title>

    <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
    <link href="css/base.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
    <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
    <link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
    
    <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
    <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>
    
    <script src="/repository/libs/jquery_versioni/jquery.min.js" type="text/javascript"></script>
    <script src="/repository/libs/jquery_versioni/jquery-ui.min.js" type="text/javascript"></script>
    <script src="/repository/libs/jquery_versioni/jquery-ui-buttonsetv.js" type="text/javascript"></script>

    <script src="js/filtro_prop_componenti.js?v=<?php echo time() ?>" type="text/javascript"></script>
    <?php 
    if (count($records) == 0) {
      echo $js = <<< _JS
        
        <script>
          $(function () {
            alert('Non ci sono risultati per i filtri selezionati!');
            parent.tbJq_updateTabFrame(document.frmHidden, 'filtro_prop_componenti', "filtro_prop_componenti.php");
            parent.tbJq_showTabFrame("filtro_prop_componenti");
          });
        </script>
        
_JS;
    }
  ?>
  <style>
    #tabbed .button {
      width: 100%;
      font-size: 11px;
      -webkit-print-color-adjust: exact;
      align-items: flex-start;
      text-align: center;
      cursor: default;
      color: buttontext;
      background-color: buttonface;
      box-sizing: border-box;
      padding: 2px 6px 3px;
      border: 2px outset buttonface;
      -webkit-appearance: push-button;
      -webkit-user-select: none;
    }
    #tabbed .button.selected {
      width: 100%;
      font-size: 11px;
      -webkit-print-color-adjust: exact;
      align-items: flex-start;
      text-align: center;
      cursor: default;
      box-sizing: border-box;
      padding: 2px 6px 3px;
      border: 2px outset buttonface;
      -webkit-appearance: push-button;
      -webkit-user-select: none;
      color: #e6e6e6;
      background-color: #555555;
    }
    #tabbed p.large{
      font-size: 11px;
      -webkit-print-color-adjust:exact;
      color: #FFFFFF; 
      text-transform:none;
      font-weight:bold;
      text-align:center;
      background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
      background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
      filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */
    }
    #tabbed div.title.large {
      font-family: verdana,helvetica,arial,sans-serif;
      font-size: 11px;
      -webkit-print-color-adjust:exact;
      text-align: center;
      padding: 6px;
      border-bottom: none;
      letter-spacing: 3px;
      font-weight: bold;
      color: #ffffff;
      background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
      background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
      filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */	
    }
    #tabbed .cell {
      margin: .1% 2% 0 0;
    }
    #tabbed .fancyTable {
       margin-left: auto;
       margin-right: auto;
    }
    #tabbed td {
      background-color: inherit;
    }
    #tabbed tr {
      background-color: #ffffff;
    }
    #tabbed .tr2 {
      background-color: #E0E0F0;
    }
    </style>
      
  </head>

  <body id="tabbed">
    
    <form id="frmHidden" id_form="frmHidden" name="frmHidden" method="post" action="risultati_base_excel.php">
     <?php ntxCreateHiddens() ?>
      <div class="row">
        <div class="cell w-32"></div>
        <div class="cell w-32">
          <input type=submit class="button" value="Scarica EXCEL">
        </div>
      </div>
    </form>

    <div class="clrfx mt-15"></div>

    <?php
    $alternate = true;
    $rowcount = 0;
    $first = true;
    foreach($records as $rs) {
      $rowcount++;
      if ($first) {
        $table .= <<< _TABLE
          <thead>
            <tr>
              <th></th>
              <th></th>
              <th>Nome Edificio</th>
              <th>Piano</th>
              <th>Codice Ambiente</th>
              <th>Codice Componente</th>
              <th>Componente</th>
              <th>Copertura</th>
_TABLE;
        foreach($rs as $key => $value) {
          if ( strcmp($key,"IdEdificio")==0 ) continue;
          if ( strcmp($key,"EdificioBreve")==0 ) continue;
          if ( strcmp($key,"Piano")==0 ) continue;
          if ( strcmp($key,"CodAmb")==0 ) continue;
          if ( strcmp($key,"CodComp")==0 ) continue;
          if ( strcmp($key,"Componente")==0 ) continue;
          if ( strcmp($key,"IdCopertura")==0 ) continue;
          if ( strcmp($key,"IdLivello")==0 ) continue;
          if ( strcmp($key,"CodiceAmbiente")==0 ) continue;
          if ( strcmp($key,"CodiceComponente")==0 ) continue;
          $table .= " <th>$key</th> ";
        }
        $table .= <<< _TABLE
            </tr>
          </thead>
          <tbody>  
_TABLE;
      $first = !$first;
      }
      if ($alternate) { $class = "class=tr2"; } else { $class = ""; }
        $table .= <<< _TABLE
          <tr $class>
            <td>
              <input type="button" class="button" value="Ambienti" onclick="SelMappa($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceAmbiente]')">
            </td>
            <td>
              <input type="button" class="button" value="Componenti" onclick="SelMappaComp($rs[IdEdificio],$rs[IdLivello],'$rs[CodiceComponente]','$rs[IdCopertura]')">
            </td>
_TABLE;
      foreach($rs as $key => $value) {
        if (strcmp($key,"IdEdificio")==0) continue;
        if (strcmp($key,"IdLivello")==0) continue;
        if (strcmp($key,"CodiceAmbiente")==0) continue;
        if (strcmp($key,"CodiceComponente")==0) continue;
        $lastKey = $key;
        $lastValue = $value;
        $table .= <<< _TABLE
          <td>$value</td>
_TABLE;
      }
      $table .= <<< _TABLE
        </tr>
_TABLE;
      $alternate = !$alternate;
      $key = "E{$rs['IdEdificio']}L{$rs['IdLivello']}";
      if ( !isset($EdificiPiani["E{$rs['IdEdificio']}L{$rs['IdLivello']}"]) ) {
        $EdificiPiani[$key]['EdificioBreve'] = $rs['EdificioBreve']; 
        $EdificiPiani[$key]['Piano'] = $rs['Piano']; 
        $EdificiPiani[$key]['IdEdificio'] = $rs['IdEdificio']; 
        $EdificiPiani[$key]['IdLivello'] = $rs['IdLivello']; 
        $EdificiPiani[$key]['CodiceAmbiente'] = $rs['CodiceAmbiente'];
      }
      elseif ( !substr_count( $EdificiPiani[$key]['CodiceAmbiente'], $rs['CodiceAmbiente'] ) ) {
        $EdificiPiani[$key]['CodiceAmbiente'] .= ",".$rs['CodiceAmbiente'];
      }
      if ( is_numeric($lastValue) ) {
        if ( !isset($EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']]) ) {
          $EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']] = (float)0;
        }
        $EdificiPiani[$key]['Ambienti'][$rs['CodiceAmbiente']] += (float)$lastValue; 
      }
    }
    ?>
    <table class="fancyTable"  >
      <tr>
        <td class=tr2>Numero righe:</td>
        <td><?php echo $rowcount ?></td>
      </tr>
    </table>
    <div class="clrfx mt-15"></div>
    <table class="fancyTable">
      <?php echo $table ?>
    </table>
  
    <form name="form1" method="post" action="">
      <input type="hidden" name="TipoSelezione" value="ON" />
      <input type="hidden" name="IdCommessa" value="<?php echo $IdCommessa ?>">
      <input type="hidden" name="IdEdificio" value="<?php echo $Localizzazione ?>" />
      <input type="hidden" name="IDTipoComponente" value="<?php echo $IdTipoComponente ?>" />
      <input type="hidden" name="IdPropComp" value="<?php echo $IdProprietaTipoComponente ?>" />
      <input type="hidden" name="IdValPropCompText" value="<?php echo $IdValPropCompText ?>" />
      <input type="hidden" name="CodiceAssComponente" value="<?php echo $CodiceAssComponente ?>" />
      <input type="hidden" name="IdLivello" value="">
      <input type="hidden" name="CodiceAmbiente" value="">
      <input type="hidden" name="CodiceComponente" value="">
      <input type="hidden" name="IdCopertura" value="">
    </form>

    <script>
      function SelMappaComp(IdEdificio,IdPiano,CodiceComponente,IdCopertura) {
        document.form1.IdEdificio.value = IdEdificio;
        document.form1.IdLivello.value = IdPiano;
        document.form1.CodiceAmbiente.value = "";
        document.form1.CodiceComponente.value = CodiceComponente;
        document.form1.IdCopertura.value = IdCopertura;
        parent.tbJq_updateTabFrame(document.form1, 'mappa', "mappa/index.php");
        parent.tbJq_showTabFrame("mappa");
      }

      function SelMappa(IdEdificio,IdPiano,CodiceAmbiente) {
        document.form1.IdEdificio.value = IdEdificio;
        document.form1.IdLivello.value = IdPiano;
        document.form1.CodiceComponente.value = "";
        document.form1.CodiceAmbiente.value = CodiceAmbiente;
        document.form1.IdCopertura.value = "";
        parent.tbJq_updateTabFrame(document.form1, 'mappa', "mappa/index.php");
        parent.tbJq_showTabFrame("mappa");
      }
    </script>         
  </body>
</html>
