<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */

if (!$_SESSION) {
    session_start();
}

header('Pragma: private');
header('Cache-Control: private, must-revalidate');

header('Content-type: application/vnd.ms-excel');
header("Content-Disposition: attachment; filename=report.xls");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$where = " ComponentiAmbiente.IdCommessa = $IdCommessa ";

if ( strlen($_POST['localizzazioni']) > 0 ) {
 $Localizzazioni = $_POST['localizzazioni'];
 $where .= " AND ComponentiAmbiente.IdEdificio IN ($Localizzazioni) ";
}

if ( is_numeric($_POST['tipoComponente']) ) {
  $IdTipoComponente = ntxip('tipoComponente');
  $where .= " AND ComponentiAmbiente.IdTipoComponente = $IdTipoComponente ";
}

if ( is_numeric($_POST['proprietaTipoComponente']) ) {
  $IdProprietaTipoComponente = ntxip('proprietaTipoComponente');
  $where .= " AND tblValoriComponenti.IdPropComp = $IdProprietaTipoComponente ";
}

if ( isset($_POST['valoriTipoComponente'])  &&  strlen($_POST['valoriTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoriTipoComponente']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

if ( isset($_POST['valoreTipoComponente'])  &&  strlen($_POST['valoreTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoreTipoComponente']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND ComponentiAmbiente.CodiceAssComponente = '".$str."' ";
}

$sql = <<< _SQL

  SELECT DISTINCT 
    'k' + LTRIM(tblValoriComponenti.IdPropComp) AS k
    , tblPropTipiComp.Propietà
  FROM         
    ComponentiAmbiente 
    INNER JOIN
      tblValoriComponenti ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente 
        AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio 
        AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
    INNER JOIN
      tblPropTipiComp ON tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa 
        AND tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp	
	WHERE
    $where
  ORDER BY 
    tblPropTipiComp.Propietà

_SQL;

$query = ntxQuery($sql);

$props = array();

while ( $rs = ntxIRecord($query) )
{
	$props[$rs[0]] = $rs[1];
}

$sql = <<< _SQL
    
  SELECT ElencoEdifici.EdificioBreve
    ,DestinazioniDusoLivello.Destinazione AS Piano
    ,Ambiente.CodiceAmbiente
    ,Ambiente.CodiceAssAmbiente AS CodAmb
    ,ComponentiAmbiente.CodiceComponente
    ,ComponentiAmbiente.CodiceAssComponente AS CodComp
    ,TipoComponente.DesComponente AS Componente
    ,ComponentiAmbiente.IdEdificio
    ,LTRIM(ComponentiAmbiente.IdEdificio) + '-' + LTRIM(ComponentiAmbiente.IDComponente) key1
    ,Ambiente.IdLivello
    ,'k' + LTRIM(tblValoriComponenti.IdPropComp) key2
    ,tblValoriComponenti.Valore
    ,tblCopertureInCommessa.Id AS IdCopertura
  FROM PianoLivello
  INNER JOIN DestinazioniDusoLivello
    ON PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
      AND PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa
  INNER JOIN Ambiente
    ON PianoLivello.idPiano = Ambiente.IdLivello
      AND PianoLivello.IdEdificio = Ambiente.IdEdificio
      AND PianoLivello.IdCommessa = Ambiente.IdCommessa
  INNER JOIN ComponentiAmbiente
  INNER JOIN TipoComponente
    ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa
      AND ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
  INNER JOIN ElencoEdifici
    ON ComponentiAmbiente.IdEdificio = ElencoEdifici.ID
      AND ComponentiAmbiente.IdCommessa = ElencoEdifici.IdCommessa
      ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente
        AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio
        AND Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa 
  INNER JOIN tblValoriComponenti
      ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente
        AND ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio
        AND ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa 
  LEFT JOIN tblCopertureInCommessa
      ON tblCopertureInCommessa.IdCommessa = TipoComponente.IdCommessa
        AND tblCopertureInCommessa.Nome = TipoComponente.Copertura 

  WHERE 
    $where
  ORDER BY ElencoEdifici.EdificioBreve
    ,DestinazioniDusoLivello.Destinazione
    ,Ambiente.CodiceAmbiente
    ,ComponentiAmbiente.CodiceComponente
    ,ComponentiAmbiente.IdEdificio
    ,ComponentiAmbiente.IDComponente

_SQL;

$query = ntxQuery($sql);

$records = array();

while ( $rs = ntxRecord($query) )
{
	$key1 = $rs[key1];
	
	foreach($rs as $fieldName => $fieldValue)
	{
		if ( $fieldName != 'Valore'  &&  $fieldName != 'key1'  &&  $fieldName != 'key2' )
		{
			$records[$key1][$fieldName]  = $fieldValuee = $fieldValue;
		}
	}

	foreach($props as $fieldName)
	{
		if ( isset($records[$key1][$fieldName]) )
			break;
			
		foreach($props as $fieldName)
			$records[$key1][$fieldName] = "";
		
		break;
	}
	
	$fieldName = $props[$rs[key2]];
	$records[$key1][$fieldName] = $rs[Valore];
}

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta charset="UTF-8">
</head>
<body>

<?php
	$first = true;

	foreach($records as $rs)
	{
		if ( $first )
		{
			$first = false;

			foreach($rs as $key => $value)
			{
				if ( strcmp($key,"IdEdificio")==0 ) continue;
				if ( strcmp($key,"IdLivello")==0 ) continue;
				if ( strcmp($key,"CodiceAmbiente")==0 ) continue;
				if ( strcmp($key,"CodiceComponente")==0 ) continue;
?>
				<th>&nbsp;<?php echo htmlentities($key) ?></th>
<?php
			}
		}
?>
	<tr>
<?php
		foreach($rs as $key => $value)
		{
			if ( strcmp($key,"IdEdificio")==0 ) continue;
			if ( strcmp($key,"IdLivello")==0 ) continue;
			if ( strcmp($key,"CodiceAmbiente")==0 ) continue;
			if ( strcmp($key,"CodiceComponente")==0 ) continue;
?>
			<td <?php echo  $alternate ? "" : "class=td2" ?> >&nbsp;<?php echo htmlentities($value) ?></td>
<?php
		}
?>
	</tr>
<?php
	}
?>
</table>
</body>
</html>
