<?php  
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$pathSimboliWeb = "$pathCommessa\\simboliWeb";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\simboliWeb";

$IdSetup = $_SESSION[ID_SETUP_ODBC_DATABASE];

if ( !is_dir($dir) ) mkdir($dir);

$dir = "$dir\\setup_{$IdSetup}_commessa_$IdCommessa";

if ( !is_dir($dir) ) mkdir($dir);

$url = "$_SERVER[DOCUMENT_HOST]/".NTX_SUBPATH_PORTALE."/simboliWeb/setup_{$IdSetup}_commessa_$IdCommessa";

$sql = <<< sql
		SELECT  distinct   Simbolo
		FROM         tblCopertureInCommessa
		WHERE    (IdCommessa = $IdCommessa)
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	if ( is_file("$pathSimboliWeb\\$rs[Simbolo].png")  &&  !is_file("$dir\\$rs[Simbolo].png") )
		copy("$pathSimboliWeb\\$rs[Simbolo].png", "$dir\\$rs[Simbolo].png");
}

$IdCommessa = ntxise('IdCommessa');

$where = " ElencoEdifici.IdCommessa = $IdCommessa ";

if ( strlen($_POST['localizzazioni']) > 0 ) {
 $Localizzazioni = $_POST['localizzazioni'];
 $where .= " AND ElencoEdifici.ID IN ($Localizzazioni) ";
}

if ( is_numeric($_POST['gruppoImpianti']) ) {
  $IdGruppoImpianti = ntxip('gruppoImpianti');
  $where .= " AND GruppiImpTipiComp.IdGruppoImpianto= $IdGruppoImpianti ";
}

if ( is_numeric($_POST['tipoComponente']) ) {
  $IdTipoComponente = ntxip('tipoComponente');
  $where .= " AND ComponentiAmbiente.IdTipoComponente = $IdTipoComponente ";
}

if ( is_numeric($_POST['proprietaTipoComponente']) ) {
  $IdProprietaTipoComponente = ntxip('proprietaTipoComponente');
  $where .= " AND tblValoriComponenti.IdPropComp = $IdProprietaTipoComponente ";
}

if ( isset($_POST['valoriTipoComponente'])  &&  strlen($_POST['valoriTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoriTipoComponente']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND tblValoriComponenti.Valore LIKE '%".$str."%' ";
}

if ( isset($_POST['valoreTipoComponente'])  &&  strlen($_POST['valoreTipoComponente'])>0) 
{
	$str = stripslashes($_POST['valoreTipoComponente']."");
	$str = str_replace("'", "''", $str);
	$where .= " AND ComponentiAmbiente.CodiceAssComponente = '".$str."' ";
}

$sql = <<< sql
SELECT     a.ID, a.Codice, a.EdificioBreve, a.Indirizzo, a.CITTA, a.PROVINCIA, 
                      a.DesComponente, a.IdTipoComponente, IdCopertura, COUNT(*) AS NumComponenti
					  , a.Simbolo
FROM (                     
SELECT  DISTINCT   ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      TipoComponente.DesComponente, ComponentiAmbiente.IdTipoComponente, tblCopertureInCommessa.Id AS IdCopertura, ComponentiAmbiente.IDComponente
					  , tblCopertureInCommessa.Simbolo
                      
FROM         GruppiImpTipiComp RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente ON 
                      ElencoEdifici.IdCommessa = ComponentiAmbiente.IdCommessa AND ElencoEdifici.ID = ComponentiAmbiente.IdEdificio ON 
                      GruppiImpTipiComp.IdCommessaTipo = TipoComponente.IdCommessa AND 
                      GruppiImpTipiComp.IdTipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
                      tblValoriComponenti LEFT OUTER JOIN
                      tblPropTipiComp ON tblValoriComponenti.IdPropComp = tblPropTipiComp.IdPropComp AND 
                      tblValoriComponenti.IdCommessa = tblPropTipiComp.IdCommessa ON ComponentiAmbiente.IDComponente = tblValoriComponenti.IdComponente AND 
                      ComponentiAmbiente.IdEdificio = tblValoriComponenti.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = tblValoriComponenti.IdCommessa LEFT OUTER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome
			WHERE  
      $where
			  
) a
			  
GROUP BY  a.ID, a.Codice, a.EdificioBreve, a.Indirizzo, a.CITTA, a.PROVINCIA, 
                      a.DesComponente, a.IdTipoComponente, IdCopertura
					  , a.Simbolo
sql;

$sql .= <<< sql
 ORDER BY a.ID, a.DesComponente
sql;

$query = ntxQuery($sql);

$table = "";

$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
		
	$class = $alternate ? "class=alternate" : "";
	
	$img = "";
	
	if ( is_file("$dir\\$rs[Simbolo].png") )
		$img = <<< img
			<img src="$url/$rs[Simbolo].png"/>
img;

	$table .= <<< table
		<tr $class>
			<td><input type=button value="+" EsplodiEdificio=$rs[ID] onclick="EsplodiEdificio(this, $rs[ID], $rs[IdTipoComponente])" />
			<td>$html[ID]
			<td>$html[Codice]
			<td>$html[EdificioBreve]
			<td>$html[Indirizzo]
			<td>$html[CITTA]
			<td>$html[PROVINCIA]
			<td>$img $html[DesComponente]
			<td>$html[NumComponenti]
		<tr Edificio=$rs[ID]  Tipo=$rs[IdTipoComponente] RigaNascosta style="display:none">
			<td>
			<td Edificio=$rs[ID] Tipo=$rs[IdTipoComponente] CorpoPiano colspan=8>
table;

	$alternate = !$alternate;
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>

    <head>

        <title>Manpro.Net - un prodotto Natisoft</title>

        <link href="/repository/css/reset.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="css/base.css?v=<?php echo time() ?>" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
        <link href="../../_css/navstyle_headertables.css" rel="stylesheet" type="text/css">
        
        <script src="/repository/libs/jquery_latest/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>
        
        <script src="/repository/libs/jquery_versioni/jquery.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui.min.js" type="text/javascript"></script>
        <script src="/repository/libs/jquery_versioni/jquery-ui-buttonsetv.js" type="text/javascript"></script>

        <script src="js/filtro_prop_componenti.js?v=<?php echo time() ?>" type="text/javascript"></script>
        <?php 
        if (count($html) == 0) {
          echo $js = <<< _JS
            
            <script>
              $(function () {
                alert('Non ci sono risultati per i filtri selezionati!');
                parent.tbJq_updateTabFrame(document.frmHidden, 'filtro_prop_componenti', "filtro_prop_componenti.php");
                parent.tbJq_showTabFrame("filtro_prop_componenti");
              });
            </script>
            
_JS;
        }
        ?>
        <style>
          #tabbed .button {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            color: buttontext;
            background-color: buttonface;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
          }
          #tabbed .button.selected {
            width: 100%;
            font-size: 11px;
            -webkit-print-color-adjust: exact;
            align-items: flex-start;
            text-align: center;
            cursor: default;
            box-sizing: border-box;
            padding: 2px 6px 3px;
            border: 2px outset buttonface;
            -webkit-appearance: push-button;
            -webkit-user-select: none;
            color: #e6e6e6;
            background-color: #555555;
          }
          #tabbed p.large{
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            color: #FFFFFF; 
            text-transform:none;
            font-weight:bold;
            text-align:center;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */
          }
          #tabbed div.title.large {
            font-family: verdana,helvetica,arial,sans-serif;
            font-size: 11px;
            -webkit-print-color-adjust:exact;
            text-align: center;
            padding: 6px;
            border-bottom: none;
            letter-spacing: 3px;
            font-weight: bold;
            color: #ffffff;
            background: url("../_img/bg_table_head.gif") top left repeat-x #293e43;
            background: -webkit-gradient(linear, right top, right bottom, from( rgb(100,127,129) ), to( rgb(43,64,69) ));		
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#647f81', endColorstr='#293e43',GradientType=0 ); /* IE6-9 */	
          }
          #tabbed .cell {
            margin: .1% 2% 0 0;
          }
          .fancyTable {
             margin-left: auto;
             margin-right: auto;
          }
          </style>
        
    </head>

    <body id="tabbed">
    
      <form id="frmHidden" id_form="frmHidden" name="frmHidden" method="post" action="risultati_base_excel.php">

        <?php ntxCreateHiddens() ?>
          
      </form>

      <form name=form1 method=post action="ricerca_tipo_localizzazione-excel.php" target="_blank">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=IdGruppoImpianto value="<?php echo $_POST['IdGruppoImpianto'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=submit value="Scarica in formato per excel">
</form>

<form name=form3 method=post action="ricerca_tipo_localizzazione-excel.php" target="_blank">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['IdEdificio'] ?>" />
	<input type=hidden name=IdGruppoImpianto value="<?php echo $_POST['IdGruppoImpianto'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['IDTipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
</form>

<table cellpadding="0" cellspacing="0" class="fancyTable"  >
	<tr>
			<th>
			<th>ID
			<th>Codice
			<th>Nome
			<th>Indirizzo
			<th>Comune
			<th>Prov
			<th>Tipo Componente
			<th>Num.Componenti
	<?php echo $table ?>
</table>


<form name=form2 method=post>
	<input type=hidden name=TipoSelezione value="ON" />

	<input type=hidden name=IdCommessa value="<?php echo $_SESSION[IdCommessa] ?>">
	<input type=hidden name=IdEdificio value="<?php echo $_POST['localizzazione'] ?>" />
	<input type=hidden name=IDTipoComponente value="<?php echo $_POST['tipoComponente'] ?>" />
	<input type=hidden name=IdPropComp value="<?php echo $_POST['IdPropComp'] ?>" />
	<input type=hidden name=IdValPropCompText value="<?php echo ntxJS($_POST['IdValPropCompText']) ?>" />
	<input type=hidden name=IdLivello>
	<input type=hidden name=CodiceAmbiente>
	<input type=hidden name=CodiceComponente>
	<input type=hidden name=IdCopertura>
</form>

<script language=javascript>

function Mappa(IdEdificio,IdPiano,IDTipoComponente,IdCopertura)
{
	form2.IdEdificio.value = IdEdificio;
	form2.IDTipoComponente.value = IDTipoComponente;
	form2.IdLivello.value = IdPiano;
	form2.CodiceAmbiente.value = "";
	form2.CodiceComponente.value = "";
	form2.IdCopertura.value = IdCopertura;
	form2.action = "../mappa/index.php";
	parent.parent.tbJq_getTabFrame("frames").AppendFrame(form2);
	parent.parent.tbJq_showTabFrame("frames");
}

function EsplodiEdificio(button, IdEdificio, IdTipoComponente)
{
	if (button.value=="+")
	{
		button.value="-";
		$("tr[RigaNascosta][Edificio="+IdEdificio+"][Tipo="+IdTipoComponente+"]").show();
		
		form3.IdEdificio.value = IdEdificio;
		form3.IDTipoComponente.value = IdTipoComponente;
		
		var result = jhp("jhp/piani_tipi.php", 
				jhp_frm(form3));

		if(result.state)
		{
			alert(result.message);
		}
		else
		{
			$('td[CorpoPiano][Edificio='+IdEdificio+'][Tipo='+IdTipoComponente+']').html(result.value);
		}
	}
	else
	{
		button.value="+";
		$("tr[RigaNascosta][Edificio="+IdEdificio+"]").hide();
	}
}

</script>

</body>
</html>
