<?php

$layer = ms_newLayerObj($map);

$layer->set("name", "PostazioniSelezionate");

$layer->set("type", MS_LAYER_POINT);

$layer->set("status", MS_ON);

$class = ms_newClassObj($layer);

$style = ms_newStyleObj($class);

$style->set("symbolname", "circle");
$style->set("size", 20);
$style->color->setRGB(0, 0, 255);
$style->outlinecolor->setRGB(0, 0, 255);

if ( strlen("$_POST[PostazioniSelezionate]")>0 )
	$PostazioniSelezionate = ntxsp('PostazioniSelezionate');
else
	$PostazioniSelezionate = "''";

$sql = <<< sql
	SELECT PostazioniLavoro.coord_x X, PostazioniLavoro.coord_y Y, case when (SELECT     TOP (1) 2 
				FROM         PostazioniLavoroPersonale
				WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
			)=2 then 1 else 0 end Pieno
			
	FROM         PostazioniLavoro INNER JOIN dbo.splitid($PostazioniSelezionate) a on a.id=PostazioniLavoro.Id
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$Visibile = ($rs[Pieno]  &&  $chkPostazioniOccupate) || (!$rs[Pieno]  &&  $chkPostazioniVuote);

	if ( !$Visibile ) continue;
	
	$shape =  ms_newShapeObj(MS_SHAPE_POINT);
	$line =  ms_newLineObj();

	$line->addXY($rs[X], $rs[Y]);

	$shape->add($line);
	
	$layer->addFeature($shape);
}

if ( is_numeric($_POST[UltimaPostazioneSelezionata]) )
{
	$UltimaPostazioneSelezionata = ntxip('UltimaPostazioneSelezionata');
	
	$layer = ms_newLayerObj($map);

	$layer->set("name", "PostazioniSelezionate2");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");
	$style->set("size", 20);
	$style->color->setRGB(154, 205, 50);
	$style->outlinecolor->setRGB(154, 205, 50);

	$sql = <<< sql
		SELECT PostazioniLavoro.coord_x X, PostazioniLavoro.coord_y Y, case when (SELECT     TOP (1) 2 
				FROM         PostazioniLavoroPersonale
				WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
			)=2 then 1 else 0 end Pieno
			
		FROM         PostazioniLavoro
		WHERE     (PostazioniLavoro.Id = $UltimaPostazioneSelezionata)
sql;

	$query = ntxQuery($sql);

	while ( $rs = ntxRecord($query) )
	{
		$Visibile = ($rs[Pieno]  &&  $chkPostazioniOccupate) || (!$rs[Pieno]  &&  $chkPostazioniVuote);

		if ( !$Visibile ) continue;
		
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs[X], $rs[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);
	}
}

?>