<?php

// postazioni piene

if ( $chkPostazioniOccupate )
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "PostazioniOccupate");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");

	$style->set("size", 10);
	$style->color->setRGB(0, 255, 0);
	$style->outlinecolor->setRGB(0, 255, 0);

	$sql = <<< sql
		SELECT PostazioniLavoro.coord_x X, PostazioniLavoro.coord_y Y
		FROM         Ambiente INNER JOIN
							  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
							  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)	
			AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
			AND (PostazioniLavoro.DataFine >= $DataSelezione)
			AND (SELECT     TOP (1) 2 
					FROM         PostazioniLavoroPersonale
					WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
				)=2
sql;

	$query2 = ntxQuery($sql);

	while($rs2=ntxRecord($query2))
	{
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs2[X], $rs2[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);

		if ( !$isExtent )
		{
			$x = $rs2[X];
			$y = $rs2[Y];
			
			if ( is_numeric($minx) )
			{
				if ( $x < $minx ) $minx = $x;
				if ( $y < $miny ) $miny = $y;
				
				if ( $x > $maxx ) $maxx = $x;
				if ( $y > $maxy ) $maxy = $y;
			}
			else
			{
				$minx = $maxx = $x;
				$miny = $maxy = $y;
			}
		}
	}
}

// postazioni vuote

if ( $chkPostazioniVuote )
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "PostazioniVuote");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");

	$style->set("size", 10);
	$style->color->setRGB(255, 0, 0);
	$style->outlinecolor->setRGB(255, 0, 0);

	$sql = <<< sql
		SELECT PostazioniLavoro.coord_x X, PostazioniLavoro.coord_y Y
		FROM         Ambiente INNER JOIN
							  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
							  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)	
			AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
			AND (PostazioniLavoro.DataFine >= $DataSelezione)
			AND (SELECT     TOP (1) 2 
					FROM         PostazioniLavoroPersonale
					WHERE     (IdPostazioneLavoro = PostazioniLavoro.Id) AND (DataInizio <= $DataSelezione) AND (DataFine >= $DataSelezione)
				) IS NULL
sql;

	$query2 = ntxQuery($sql);

	while($rs2=ntxRecord($query2))
	{
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs2[X], $rs2[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);

		if ( !$isExtent )
		{
			$x = $rs2[X];
			$y = $rs2[Y];
			
			if ( is_numeric($minx) )
			{
				if ( $x < $minx ) $minx = $x;
				if ( $y < $miny ) $miny = $y;
				
				if ( $x > $maxx ) $maxx = $x;
				if ( $y > $maxy ) $maxy = $y;
			}
			else
			{
				$minx = $maxx = $x;
				$miny = $maxy = $y;
			}
		}
	}
}

// postazioni in trasloco

if ( $chkPostazioniVuote )
{
	$layer = ms_newLayerObj($map);

	$layer->set("name", "PostazioniInTrasloco");

	$layer->set("type", MS_LAYER_POINT);

	$layer->set("status", MS_ON);

	$class = ms_newClassObj($layer);

	$style = ms_newStyleObj($class);

	$style->set("symbolname", "circle");

	$style->set("size", 10);
	$style->color->setRGB(255, 164, 49);
	$style->outlinecolor->setRGB(255, 164, 49);

	$sql = <<< sql
		SELECT PostazioniLavoro.coord_x X, PostazioniLavoro.coord_y Y
		FROM         Ambiente INNER JOIN
							  PostazioniLavoro ON Ambiente.IdCommessa = PostazioniLavoro.IdCommessa AND Ambiente.IdEdificio = PostazioniLavoro.IdEdificio AND 
							  Ambiente.IDAmbiente = PostazioniLavoro.IDAmbiente
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IdLivello = $IdPiano)	
			AND (PostazioniLavoro.DataInizio <= $DataSelezione) 
			AND (PostazioniLavoro.DataFine >= $DataSelezione)
			AND (SELECT     TOP (1) 2 AS Expr1
				FROM         PostazioniLavoroPersonale INNER JOIN
									  TraslocoPersonale ON PostazioniLavoroPersonale.Id = TraslocoPersonale.IdPostazionePersonale
				WHERE     (TraslocoPersonale.IdUtente = $IdUtente)
					AND (IdPostazioneLavoro = PostazioniLavoro.Id) 
			)=2
sql;

	$query2 = ntxQuery($sql);

	while($rs2=ntxRecord($query2))
	{
		$shape =  ms_newShapeObj(MS_SHAPE_POINT);
		$line =  ms_newLineObj();

		$line->addXY($rs2[X], $rs2[Y]);

		$shape->add($line);
		
		$layer->addFeature($shape);

		if ( !$isExtent )
		{
			$x = $rs2[X];
			$y = $rs2[Y];
			
			if ( is_numeric($minx) )
			{
				if ( $x < $minx ) $minx = $x;
				if ( $y < $miny ) $miny = $y;
				
				if ( $x > $maxx ) $maxx = $x;
				if ( $y > $maxy ) $maxy = $y;
			}
			else
			{
				$minx = $maxx = $x;
				$miny = $maxy = $y;
			}
		}
	}
}

?>