<?php

$IdCommessa =  ntxise('IdCommessa');
$IdUtente =  ntxise('IdUtente');


$sql = <<< sql
	SELECT     PostazioniLavoroPersonale.Id, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodEdificio, DestinazioniDusoLivello.Destinazione AS Piano, 
                      Ambiente.CodiceAssAmbiente AS Vano, PostazioniLavoro.Id AS IdPostazione, PostazioniLavoro.Codice AS CodPostazione, tblUtUtilizzatori.Nome AS Utilizzatore, 
                      tblUtPersonale.Nome AS Personale, PostazioniLavoroPersonale.DataInizio, PostazioniLavoroPersonale.DataFine
					  
	FROM         TraslocoPersonale INNER JOIN
                      PostazioniLavoroPersonale ON TraslocoPersonale.IdPostazionePersonale = PostazioniLavoroPersonale.Id INNER JOIN
                      tblUtPersonale ON PostazioniLavoroPersonale.IdCommessa = tblUtPersonale.IdCommessa AND 
                      PostazioniLavoroPersonale.IdPersona = tblUtPersonale.IdPersona INNER JOIN
                      tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
                      PostazioniLavoro ON PostazioniLavoroPersonale.IdPostazioneLavoro = PostazioniLavoro.Id INNER JOIN
                      Ambiente ON PostazioniLavoro.IdCommessa = Ambiente.IdCommessa AND PostazioniLavoro.IdEdificio = Ambiente.IdEdificio AND 
                      PostazioniLavoro.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
					  
	WHERE TraslocoPersonale.IdUtente=$IdUtente AND ElencoEdifici.IdCommessa=$IdCommessa
sql;

if ( $PostazioniSelezionate!="" )
{
	$sql .= <<< sql
		UNION
		SELECT     PostazioniLavoroPersonale.Id, ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodEdificio, DestinazioniDusoLivello.Destinazione AS Piano, 
						  Ambiente.CodiceAssAmbiente AS Vano, PostazioniLavoro.Id AS IdPostazione, PostazioniLavoro.Codice AS CodPostazione, tblUtUtilizzatori.Nome AS Utilizzatore, 
						  tblUtPersonale.Nome AS Personale, PostazioniLavoroPersonale.DataInizio, PostazioniLavoroPersonale.DataFine
						  
		FROM         PostazioniLavoroPersonale INNER JOIN
						  tblUtPersonale ON PostazioniLavoroPersonale.IdCommessa = tblUtPersonale.IdCommessa AND 
						  PostazioniLavoroPersonale.IdPersona = tblUtPersonale.IdPersona INNER JOIN
						  tblUtUtilizzatori ON tblUtPersonale.IdCommessa = tblUtUtilizzatori.IdCommessa AND tblUtPersonale.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore INNER JOIN
						  PostazioniLavoro ON PostazioniLavoroPersonale.IdPostazioneLavoro = PostazioniLavoro.Id INNER JOIN
						  Ambiente ON PostazioniLavoro.IdCommessa = Ambiente.IdCommessa AND PostazioniLavoro.IdEdificio = Ambiente.IdEdificio AND 
						  PostazioniLavoro.IdAmbiente = Ambiente.IDAmbiente INNER JOIN
						  PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
						  Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
						  ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
						  DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL
						  
		WHERE PostazioniLavoro.Id IN ($PostazioniSelezionate)
sql;
}

$sql = "SELECT DISTINCT a.*, case when t.Id IS NULL then 0 else 1 end Registrato  FROM ($sql) a LEFT JOIN TraslocoPersonale t ON t.IdPostazionePersonale = a.Id ORDER BY IdEdificio, Piano, Vano, Utilizzatore, Personale";

$query = ntxQuery($sql);

$table = <<< table
	<table class=grid>
		<tr>
			<th>Import
			<th>Regista
			<th>Personale
			<th>IdEdificio
			<th>CodEdificio
			<th>Piano
			<th>Vano
			<th>IdPostazione
			<th>CodPostazione
			<th>Utilizzatore
			<th>DataInizio
			<th>DataFine
table;

while ( $rs = ntxRecord($query) )
{
	$rs[DataInizio] = ntxDate($rs[DataInizio]);
	$rs[DataFine] = ntxDate($rs[DataFine]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$checked = $rs[Registrato] ? "checked" : "";
	
	$table .= <<< table
		<tr>
			<td><input type=checkbox IdPersonaleImport=$rs[Id] />
			<td><input type=checkbox onclick="RegistraPersonaImport(this, $rs[Id])" $checked />
			<td>$html[Personale]
			<td>$html[IdEdificio]
			<td>$html[CodEdificio]
			<td>$html[Piano]
			<td>$html[Vano]
			<td>$html[IdPostazione]
			<td>$html[CodPostazione]
			<td>$html[Utilizzatore]
			<td>$html[DataInizio]
			<td>$html[DataFine]
table;
}

$table .= "</table>";

?>
