<?php



require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdLivello = ntxip('IdLivello');

$sql = <<< sql
	SELECT     pathPublicShapeWeb 
	FROM         Commesse
	WHERE     (IDCommessa = $IdCommessa)
sql;

$pathCommessa = ntxScalar($sql);

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdLivello}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$map = ms_newMapObj("");

$map->setSize($_POST[map_dx], $_POST[map_dy]); // dimesione immagine generata in pixel

$extent = explode(" ", $_POST[extent]);

$minx = $extent[0];
$miny = $extent[1];
$maxx = $extent[2];
$maxy = $extent[3];

$map->set("units", MS_METERS);

$map->setExtent($minx, $miny, $maxx, $maxy); // estensioni mappa in coordinate mondo

$sql = <<< sql
	SELECT 2 ordine, * FROM
	(
		SELECT     's'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCoperture
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		UNION
		SELECT     'i'+ltrim(Id) Id, VisibileWeb, OrdineWeb, Nome, FileName, Geometria, Associazione, Colore, Spessore, Simbolo
		FROM         tblCopertureInCommessa
		WHERE     (PubblicaWeb = 1) AND Associazione = 2
		AND     (IdCommessa = $IdCommessa)
	) a2
	ORDER BY Nome
sql;

$query = ntxQuery($sql);

$result = array();

while ( $rs = ntxRecord($query) )
{
	$visiPost = $_POST["Visibile_$rs[Id]"];
	
	if ( !isset($visiPost) || $visiPost!=1 )
		continue;
	
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;
	
	$layer = ms_newLayerObj($map);
	
	$layer->set("type", MS_LAYER_POINT);
	
	$layer->set("template", 'none');

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$x = $_POST[map_x];
	$y = $_POST[map_y];
	$dx = $_POST[map_dx];
	$dy = $_POST[map_dy];
	
	$y = $dy - $y;
	
	$dx2 = abs($maxx - $minx);
	$dy2 = abs($maxy - $miny);
	
	$delta = 8;
	
	$x1 = ($x-$delta) * $dx2 / $dx + $minx;
	$y1 = ($y-$delta) * $dy2 / $dy + $miny;
	
	$x2 = ($x+$delta) * $dx2 / $dx + $minx;
	$y2 = ($y+$delta) * $dy2 / $dy + $miny;

	$my_rect = ms_newRectObj();

	$my_rect->setextent($x1<$x2 ? $x1 : $x2,
	                    $y1<$y2 ? $y1 : $y2,
	                    $x1>$x2 ? $x1 : $x2,
	                    $y1>$y2 ? $y1 : $y2);
						
	$res = @$layer->queryByRect($my_rect);

	if ( $res == MS_SUCCESS )
	{
		$num = $layer->getNumResults();
		
		$layer->open();
		
		for ( $i=0;$i<$num; $i++ )
		{
			$resObj = $layer->getResult($i);
			
			$shape = $layer->getShape($resObj);
			
			$result[] = $shape->values[CODICE];
		}
		
		$layer->close();
	}
}

jhp($result);

?>
