<?php
$sql = <<< sql
SELECT  DISTINCT    
	tblPgPropietari.IdPropietario
	,tblPgPropietari.Nome AS Cliente

	,tblPgContratti.IdPgContratto
	,tblPgContratti.Descrizione AS Contratto
	,tblPgContratti.DataInizio
	,tblPgContratti.DataFine
	,tblPgContratti.Aperto
	,CASE 
		WHEN (tblPgContratti.DataFine<getdate())
			THEN ' - Attenzione contratto scaduto: '+tblPgContratti.MessaggioSeScaduto 
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN ' - Attenzione contratto non inziato '
		ELSE
			''
	END Coda 
	,CASE
		WHEN (tblPgContratti.DataFine<getdate())
			THEN 1
		ELSE 0
	END AS ContrattoScaduto  
	,CASE
		WHEN (tblPgContratti.DataInizio>=getdate())
			THEN 1
		ELSE 0
	END AS ContrattoNonIniziato 

	,ElencoEdifici.IdCommessa
	,ElencoEdifici.ID AS IdEdificio
	,ElencoEdifici.EdificioBreve AS Edificio
	,ElencoEdifici.Indirizzo  
	,ElencoEdifici.CITTA AS Citta  
	,ElencoEdifici.Località	
	,CASE
		WHEN (ElencoEdifici.DataDismissione IS NULL OR ElencoEdifici.DataDismissione>getdate())
			THEN 0
		ELSE 1
	END AS	EdificioDismesso  
	,ElencoEdifici.NumTagNFC AS NumTaggatureNfc
	,(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
	)
	AS NumTaggatureNfcCorrenti 
	,(
		ElencoEdifici.NumTagNFC 
		- 
		(
		SELECT COUNT(ID)
		FROM         
			NfcEdifici
		WHERE  
			NfcEdifici.IdCommessa=ElencoEdifici.IdCommessa
			AND NfcEdifici.IdEdificio=ElencoEdifici.ID
			AND NfcEdifici.Attivo=1
		)
	)
	AS NumTaggatureNfcDisponibili	
	
FROM         
	tblPgContrattiPropietariGestoriAttivitàEdifici 
	INNER JOIN
	tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto 
	INNER JOIN
	tblPgPropietari ON tblPgContratti.IdPropietario = tblPgPropietari.IdPropietario
	INNER JOIN
	ElencoEdifici ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = ElencoEdifici.IdCommessa AND tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio = ElencoEdifici.ID 
WHERE     
	1=1
	$sqlWhere
ORDER BY 
	Cliente
	,Contratto
	,Edificio
sql;
?>