<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IDCommessa');
$comp_cod = ntxsp('comp_cod');

$Utente = ntxsse('Utente');

$sql = <<< sql
	SELECT     COUNT(*) AS Espr1
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.ID = PianoLivello.IdEdificio AND ElencoEdifici.IdCommessa = PianoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      ComponentiAmbiente ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id
	 WHERE     (Utenti.Nome = $Utente)
	 AND (((ElencoEdifici.IdCommessa)=$IdCommessa)
	 AND ((ComponentiAmbiente.CodiceAssComponente)=$comp_cod))
sql;

if ( ($query=ntxQuery($sql))  &&  ($rs=ntxIRecord($query))  &&  is_numeric($rs[0])  &&  $rs[0]>0 )
{
	$sql = <<< sql
		SELECT   DISTINCT  ElencoEdifici.IdCommessa, ComponentiAmbiente.IDComponente, ComponentiAmbiente.CodiceAssComponente, ComponentiAmbiente.marca, 
							  ComponentiAmbiente.modello, ComponentiAmbiente.num_serie, ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, 
							  ElencoEdifici.CITTA, ElencoEdifici.Telefono, ElencoEdifici.PROVINCIA, PianoLivello.idPiano, Ambiente.IDAmbiente, 
							  TipoComponente.DesComponente
		FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.ID = PianoLivello.IdEdificio AND ElencoEdifici.IdCommessa = PianoLivello.IdCommessa INNER JOIN
                      Ambiente INNER JOIN
                      ComponentiAmbiente ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa ON PianoLivello.idPiano = Ambiente.IdLivello AND 
                      PianoLivello.IdEdificio = Ambiente.IdEdificio AND PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente AND 
                      ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id
		  WHERE      (Utenti.Nome = $Utente)
		AND (((ElencoEdifici.IdCommessa)=$IdCommessa)
		 AND ((ComponentiAmbiente.CodiceAssComponente)=$comp_cod))
sql;

	$msg_error = "Componente/SubComponente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";
}
else
{
	$sql = <<< sql
		SELECT  DISTINCT   ElencoEdifici.IdCommessa, SubComponentiAmbiente.IDSubComponente, ComponentiAmbiente.IDComponente, 
							  SubComponentiAmbiente.CodiceAssSubComponente AS CodiceAssComponente, SubComponentiAmbiente.marca, SubComponentiAmbiente.modello, 
							  SubComponentiAmbiente.num_serie, ElencoEdifici.ID, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.Telefono, 
							  ElencoEdifici.PROVINCIA, PianoLivello.idPiano, Ambiente.IDAmbiente, TipoSubComponente.DesSubComponente AS DesComponente
		FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.ID = PianoLivello.IdEdificio AND ElencoEdifici.IdCommessa = PianoLivello.IdCommessa INNER JOIN
                      Ambiente ON PianoLivello.idPiano = Ambiente.IdLivello AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.IdCommessa = Ambiente.IdCommessa INNER JOIN
                      ComponentiAmbiente ON Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa INNER JOIN
                      SubComponentiAmbiente ON ComponentiAmbiente.IDComponente = SubComponentiAmbiente.IDComponente AND 
                      ComponentiAmbiente.IdEdificio = SubComponentiAmbiente.IdEdificio AND 
                      ComponentiAmbiente.IdCommessa = SubComponentiAmbiente.IdCommessa INNER JOIN
                      UtentiEdifici ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa AND ElencoEdifici.ID = UtentiEdifici.IdEdificio INNER JOIN
                      Utenti ON UtentiEdifici.IdUtente = Utenti.Id LEFT OUTER JOIN
                      TipoSubComponente ON SubComponentiAmbiente.IdTipoSubComponente = TipoSubComponente.IDTipoSubComponente AND 
                      SubComponentiAmbiente.IdCommessa = TipoSubComponente.IdCommessa
	 WHERE     (Utenti.Nome = $Utente)
	 AND  (((ElencoEdifici.IdCommessa)=$IdCommessa)
	 AND ((SubComponentiAmbiente.CodiceAssSubComponente)=$comp_cod))
sql;

	$msg_error = "Componente/SubComponente $comp_cod commessa $IdCommessa non trovato od utente non autorizzato all'uso!";
}

$record = ntxRecordArray($sql, $msg_error);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
