<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); 
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< SQL
	SELECT     NumContabilità
	FROM         Contabilità
	WHERE     (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine')
SQL;

$NumContabilità = ntxScalar($sql);

if ( !is_numeric($NumContabilità ) )
{
	$sql = <<< SQL
			INSERT INTO Contabilità
								  (RifOrdineCliente, IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
								  DataContabilità, idStatoc, idvoce)
			SELECT     LTRIM(Richieste.NumRifCli) + ' / ' + LTRIM(Richieste.AnnoRifCli) + ' / ' + Richieste.CommRifCli + ' / ' + Richieste.TipoRifRic AS Espr1, 
								  Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
								  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 20 AS idstatoc
								  , richieste.IdVoceBudget
			FROM         ElencoEdifici INNER JOIN
								  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
								  Richieste ON Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
								  Ordini.IDCommessa = Richieste.IDCommessa
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

	ntxQuery($sql);

	$NumContabilità = ntxScalar('SELECT @@IDENTITY'); 
}

$sql = <<< SQL
		SELECT DISTINCT tblPgContratti.IdPgContratto
		FROM         tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      Ordini ON tblComponetiMestiere.IdMestiere = Ordini.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Ordini.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Ordini.CodEdificio = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa = tblPgContratti.IdCommessa AND Ordini.DataOrdine >= tblPgContratti.DataInizio AND 
                      Ordini.DataOrdine <= tblPgContratti.DataFine
		WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = '$AnnoOrdine')
SQL;

$IdContrattoGestione = ntxScalar($sql);
	
if ( !is_numeric($IdContrattoGestione) ) 
{
	$IdContrattoGestione = -2;
}
else
{
	$sql = "SELECT CopiaScontiFornitoreInContabilità FROM tblPgContratti WHERE IdPgContratto=$IdContrattoGestione";
	
	$CopiaScontiFornitoreInContabilità = ntxScalar($sql);
}

if ($CopiaScontiFornitoreInContabilità)
{
	$sqlSconto = "isnull(Costi.Sconto, 0)";
}
else
{
	$sqlSconto = <<< sqlSconto
		isnull((
				SELECT     ScontiGestore.Sconto
				FROM         ScontiGestore
				WHERE     (ScontiGestore.IdCommessa = Costi.IdCommessa) 
				AND (ScontiGestore.IdPgContratto = $IdContrattoGestione) 
				AND (ScontiGestore.IdPrezzo = Costi.IdPrezzo)			
		), 0)
sqlSconto;
}

$sql = <<< SQL
		INSERT INTO RiheContabilità
							  (IdCommessa, NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, DataOp, Descrizione, DescrEstesa, 
							  QTA, PzUnitario, Sconto, Allegato, Path, Gruppo, OneriSicurezza)
		SELECT     IdCommessa, $NumContabilità AS NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, GETDATE() AS DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, 
							  DataLavorazione AS DataOp, Descrizione, DescrEstesa, QTA, CostoUnit AS PzUnitario, 
							  
							   $sqlSconto AS Sconto, 
								
								Allegato, Path, Gruppo,
								
								OneriSicurezza
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

ntxQuery($sql);



$sql1 = <<< SQL
	SELECT DISTINCT RigaC
	FROM RiheContabilità
	WHERE 
		IdCommessa=$IdCommessa
		AND NumContabilità=$NumContabilità
SQL;

$query1 = ntxQuery($sql1);
while( $rs1 = ntxRecord($query1) )
{
	$RigaC = $rs1[RigaC];
	
	$sql2 = <<< SQL
	SELECT  IDCosti
	FROM  	Costi
	WHERE   (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

	$query2 = ntxQuery($sql2);
	while( $rs2 = ntxRecord($query2) )
	{
		$IDCosti = $rs2[IDCosti];	
	
		$sql3 = <<< SQL
		INSERT INTO RiheContabilitaDettaglio
					   (IdCommessa, RigaC, M1, M2, M3, M4, Descrizione)
					   
		SELECT IdCommessa, $RigaC AS RigaC, M1, M2, M3, M4, Descrizione
		FROM  CostiDettaglio
		WHERE IdCommessa=$IdCommessa AND IDCosti=$IDCosti
SQL;
 
		ntxQuery($sql3);
	}
}

ntxMsgResult( '' );	
?>
