<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$sqlFields = <<< sqlFields
		Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
		Richieste.DataRichiesta, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des, 
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
		ElencoEdifici.PROVINCIA, ElencoEdifici.CAP, tblPgPropietari.Nome AS Ente, Ordini.Contabiliz, 
		CASE WHEN ForseFuoriCanone = 1 THEN 'SI' ELSE 'NO' END AS FFC, CASE WHEN SicuramenteCanone = 1 THEN 'SI' ELSE 'NO' END AS SC, 
		Ditte.Ditta AS Fornitore, tblMestieri.Descrizione AS Mestiere, Contabilità.GruppoF, StatiContabilità.DesstatoC
sqlFields;

$sqlWHERE = "";

if ( is_numeric($_POST['TipoLocalizzazione'])) 
{
	$TipoLocalizzazione = (int)$_POST[TipoLocalizzazione];
	
	if ( $TipoLocalizzazione>0 )
		$sqlWHERE .= " AND (ElencoEdifici.Tipo = $TipoLocalizzazione) ";
	else
		$sqlWHERE .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
}

if ( is_numeric($_POST['idStatoc'])) 
{
	$idStatoc = (int)$_POST['idStatoc'];
	$sqlWHERE .= " AND (Contabilità.idStatoc = $idStatoc) ";
}

if ( is_numeric($_POST['StatoOrd'])) 
{
	$StatoOrd = (int)$_POST['StatoOrd'];
	$sqlWHERE .= " AND (Ordini.StatoOrd = $StatoOrd) ";
}
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sqlWHERE .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}
	
if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sqlWHERE .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

if ( isset($_POST['GruppoF'])  &&  strlen($_POST['GruppoF'])>0) 
{
	$str = stripslashes($_POST['GruppoF']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Contabilità.GruppoF LIKE '%".$str."%' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWHERE .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWHERE .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sqlWHERE .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sqlWHERE .= " AND Ordini.DataOrdine <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sqlWHERE .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sqlWHERE .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
}

if ( isset($_POST[MaggioreUgualeRitornoC])  &&  $_POST[MaggioreUgualeRitornoC] )
{
	$sqlWHERE .= " AND (Ordini.StatoOrd >= 100) ";
}

if ( isset($_POST[SoloExtracanone])  &&  $_POST[SoloExtracanone] )
{
	$sqlWHERE .= " AND (Ordini.Contabiliz = 'Extracanone') ";
}

$sql = <<< SQL
	SELECT DISTINCT $sqlFields
	FROM         Contabilità LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta ON Contabilità.IDCommessa = Ordini.IDCommessa AND 
                      Contabilità.NumOrdine = Ordini.NumOrdine AND Contabilità.AnnoOrdine = Ordini.AnnoOrdine LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (Richieste.IdCommessa = $IdCommessa) 
				$sqlWHERE
	ORDER BY DataOrdine DESC
SQL;

$query = ntxQuery($sql);
	
?>
