<?php  
session_start();

require_once('../../_ntx/ntxconst.inc');
	require_once(NTX_WEBPORTAL_PATH.'_database.inc');

?>
<html>
<head>
<link href="../../_css/navstyleLittle.css" rel="stylesheet" type="text/css">
</head>
<body  >

<?php

$IdCommessa = ntxise('IdCommessa');
$IdAnomalia = ntxip('IdAnomalia');

$sql = <<< sql
	SELECT     AnomalieOrdiniProgrammati.Note, AnomalieOrdiniProgrammati.Data, AnomalieOrdiniProgrammati.Utente, AnomalieOrdiniProgrammati.NumRichiesta, 
                      AnomalieOrdiniProgrammati.AnnoRichiesta, AnomalieOrdiniProgrammati.CheckInviataRichiesta, AnomalieOrdiniProgrammati.DataInvioRichiesta, 
                      tblMestieri.Descrizione AS Mestiere, tblComponetiMestiere.Descrizione AS CompMestiere, ElencoEdifici.Codice AS CodLoc, 
                      ElencoEdifici.EdificioBreve AS NomeLoc, ElencoEdifici.CAP, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      DestinazioniDusoLivello.Destinazione AS Piano, DestinazioniDuso.Destinazione AS Ambiente, Ambiente.CodiceAssAmbiente AS CodAmb, 
                      ComponentiAmbiente.CodiceAssComponente AS CodComp, SubComponentiAmbiente.CodiceAssSubComponente AS CodSubComp, 
                      TipoComponente.DesComponente, TipoSubComponente.DesSubComponente, ElencoEdifici.Indirizzo
	FROM         PianoLivello LEFT OUTER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL RIGHT OUTER JOIN
                      tblMestieri RIGHT OUTER JOIN
                      ElencoEdifici INNER JOIN
                      AnomalieOrdiniProgrammati ON ElencoEdifici.IdCommessa = AnomalieOrdiniProgrammati.IdCommessa AND 
                      ElencoEdifici.ID = AnomalieOrdiniProgrammati.IdEdificio LEFT OUTER JOIN
                      tblComponetiMestiere ON AnomalieOrdiniProgrammati.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      AnomalieOrdiniProgrammati.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      tblMestieri.IdCommessa = AnomalieOrdiniProgrammati.IdCommessa AND 
                      tblMestieri.IdMestiere = AnomalieOrdiniProgrammati.IdMestiere LEFT OUTER JOIN
                      TipoSubComponente RIGHT OUTER JOIN
                      SubComponentiAmbiente ON TipoSubComponente.IdCommessa = SubComponentiAmbiente.IdCommessa AND 
                      TipoSubComponente.IDTipoSubComponente = SubComponentiAmbiente.IdTipoSubComponente ON 
                      AnomalieOrdiniProgrammati.IdCommessa = SubComponentiAmbiente.IdCommessa AND 
                      AnomalieOrdiniProgrammati.IdEdificio = SubComponentiAmbiente.IdEdificio AND 
                      AnomalieOrdiniProgrammati.IdSubcomponenteAmbiente = SubComponentiAmbiente.IDSubComponente LEFT OUTER JOIN
                      ComponentiAmbiente ON AnomalieOrdiniProgrammati.IdCommessa = ComponentiAmbiente.IdCommessa AND 
                      AnomalieOrdiniProgrammati.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      AnomalieOrdiniProgrammati.IdComponenteAmbiente = ComponentiAmbiente.IDComponente LEFT OUTER JOIN
                      Ambiente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso ON AnomalieOrdiniProgrammati.IdCommessa = Ambiente.IdCommessa AND 
                      AnomalieOrdiniProgrammati.IdEdificio = Ambiente.IdEdificio AND AnomalieOrdiniProgrammati.IdAmbiente = Ambiente.IDAmbiente ON 
                      PianoLivello.IdCommessa = AnomalieOrdiniProgrammati.IdCommessa AND PianoLivello.IdEdificio = AnomalieOrdiniProgrammati.IdEdificio AND 
                      PianoLivello.idPiano = AnomalieOrdiniProgrammati.IdPiano LEFT OUTER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente
	WHERE     (AnomalieOrdiniProgrammati.IdCommessa = $IdCommessa) 
	AND (AnomalieOrdiniProgrammati.IdAnomalia = $IdAnomalia)
sql;

$query = ntxQuery($sql);

$rs = ntxRecord($query);

?>

<table>
<tr><th>IdAnomalia<td><?php echo $IdAnomalia ?>&nbsp;
<tr><th>Note<td><?php echo htmlentities($rs[Note]) ?>&nbsp;
<tr><th>Data<td><?php echo ntxDateTime($rs[Data]) ?>&nbsp;
<tr><th>Utente<td><?php echo htmlentities($rs[Utente]) ?>&nbsp;
<tr><th>Richiesta<td><?php echo htmlentities("$rs[NumRichiesta] / $rs[AnnoRichiesta]") ?>&nbsp;
<tr><th>CheckInviataRichiesta<td><?php echo $rs[CheckInviataRichiesta] ? "SI" : "no" ?>&nbsp;
<tr><th>DataInvioRichiesta<td><?php echo ntxDateTime($rs[DataInvioRichiesta]) ?>&nbsp;
<tr><th>Mestiere<td><?php echo htmlentities($rs[Mestiere]) ?>&nbsp;
<tr><th>CompMestiere<td><?php echo htmlentities($rs[CompMestiere]) ?>&nbsp;
<tr><th>Localizzazione<td><?php echo htmlentities("$rs[CodLoc] - $rs[NomeLoc] - $rs[Indirizzo] - $rs[CAP] - $rs[CITTA] - ($rs[PROVINCIA])") ?>&nbsp;
<tr><th>Piano<td><?php echo htmlentities($rs[Piano]) ?>&nbsp;
<tr><th>Ambiente<td><?php echo htmlentities("$rs[CodAmb] - $rs[Ambiente]") ?>&nbsp;
<tr><th>Componente<td><?php echo htmlentities("$rs[CodComp] - $rs[DesComponente]") ?>&nbsp;
<tr><th>SubComponente<td><?php echo htmlentities("$rs[CodSubComp] - $rs[DesSubComponente]") ?>&nbsp;
</table>
</body>
</html>
