<?php

session_start();

require_once("../../../_ntx/ntxconst.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxip('IdCommessa');
$IdAffidatari = ntxsp('IdAffidatari');
$DataInizio = ntxtp('DataInizio',false);
$DataFine = ntxtp('DataFine',false);

?>
<html>
<head>
	<link href="/repository/css/grid-2.0.0.css" rel="stylesheet" type="text/css">
	<script src="/repository/libs/jquery/jquery-1.6.2.min.js" type="text/javascript"></script>
	<script src="jhp/elementi.js" type="text/javascript"></script>
</head>
<body>
<?php

$sql = <<< sql
SELECT DISTINCT 
                      ElencoEdifici.ID, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve, ElencoEdifici.EdificioEstesa, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      ElencoEdifici.CAP, ElencoEdifici.Tipo,
                          (SELECT     Nome
                            FROM          tblPgPropietari
                            WHERE      (ElencoEdifici.IdProprietario = IdPropietario)) AS Ente
FROM         tblOrdiniProgrammati INNER JOIN
                      ElencoEdifici ON tblOrdiniProgrammati.IdCommessa = ElencoEdifici.IdCommessa AND tblOrdiniProgrammati.IdEdificio = ElencoEdifici.ID
WHERE      (tblOrdiniProgrammati.IdCommessa = $IdCommessa)
AND dbo.DusGiorno(tblOrdiniProgrammati.dataInizioProg) <= dbo.DusGiorno($DataFine)
AND dbo.DusGiorno(tblOrdiniProgrammati.dataFineProg) >= dbo.DusGiorno($DataInizio)
sql;

if ( $_POST[chkAperto] )
	$sql .= " AND tblOrdiniProgrammati.Aperto=1 ";

if ( $_POST[chkEseguito] )
	$sql .= " AND tblOrdiniProgrammati.Eseguito=1 ";

if ( $_POST[chkAnomalia] )
	$sql .= " AND tblOrdiniProgrammati.Anomalia=1 ";

if ( $_POST[chkAnnullato] )
	$sql .= " AND tblOrdiniProgrammati.Annullato=1 ";

if ( is_numeric($_POST[cboVerifica]) )
	$sql .= " AND tblOrdiniProgrammati.IdVerifica=".(int)$_POST[cboVerifica];

if ( is_numeric($_POST[txtTipo]) )
{
	if ( $_POST[txtTipo]==0 )
		$sql .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
	else
	{
		$txtTipo = (int)$_POST[txtTipo];
		$sql .= " AND ElencoEdifici.Tipo = $txtTipo ";
	}
}

if ( is_numeric($_POST[txtId]) )
{
	$txtId = (int)$_POST[txtId];
	$sql .= " AND ElencoEdifici.ID = $txtId ";
}

if ( is_numeric($_POST[IdPropietario]) )
{
	$IdPropietario = (int)$_POST[IdPropietario];
	$sql .= " AND ElencoEdifici.IdProprietario = $IdPropietario ";
}

if ( strlen($_POST[txtCodice])>0 )
{
	$str = ntxsp('txtCodice');
	$sql .= " AND ElencoEdifici.Codice = $str ";
}

if ( strlen($_POST[txtProv])>0 )
{
	$str = ntxsp('txtProv');
	$sql .= " AND ElencoEdifici.PROVINCIA = $str ";
}

if ( strlen($_POST[txtCap])>0 )
{
	$str = ntxsp('txtCap');
	$sql .= " AND ElencoEdifici.CAP = $str ";
}

if ( strlen($_POST[txtDes1])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes1]);
	$sql .= " AND ElencoEdifici.EdificioBreve like '%$str%' ";
}

if ( strlen($_POST[txtDes2])>0 )
{
	$str = str_replace("'","''",$_POST[txtDes2]);
	$sql .= " AND ElencoEdifici.EdificioEstesa like '%$str%' ";
}

if ( strlen($_POST[txtIndirizzo])>0 )
{
	$str = str_replace("'","''",$_POST[txtIndirizzo]);
	$sql .= " AND ElencoEdifici.Indirizzo like '%$str%' ";
}

if ( strlen($_POST[txtComune])>0 )
{
	$str = str_replace("'","''",$_POST[txtComune]);
	$sql .= " AND ElencoEdifici.CITTA like '%$str%' ";
}

$sql .= " ORDER BY Ente, Codice, EdificioBreve, ElencoEdifici.ID";

$query = ntxQuery($sql);

$table = "";
$alternate = false;

while ( $rs = ntxRecord($query) )
{
	foreach($rs as $key=>$value)
		$rs[$key] = htmlentities($value);

	if ( $rs[Tipo]==1 ) $EtichettaTipo = "strada";
	elseif ( $rs[Tipo]==2 ) $EtichettaTipo = "verde";
	else $EtichettaTipo = "edificio";
	
	$alter = $alternate ? "class=alternate" : "";
	
	$table .= <<< table
		<tr $alter>
		<td><input type=checkbox value=$rs[ID] />
		<td>$rs[ID]<td>$rs[Codice]<td>$rs[EdificioBreve]<td>$rs[EdificioEstesa]<td>$rs[Indirizzo]<td>$rs[CITTA]<td>$rs[PROVINCIA]<td>$rs[CAP]<td>$EtichettaTipo<td>$rs[Ente]
table;

	$alternate = !$alternate;
}

?>
<input type=button value="Seleziona Tutto" onclick="$('input[type=checkbox]').attr('checked',true)" />
<input type=button value="Deseleziona Tutto" onclick="$('input[type=checkbox]').attr('checked',false)" />

<table class=grid>
	<tr><th><th>ID<th>Codice<th>Des1<th>Des2<th>Indirizzo<th>Comune<th>Prov<th>Cap<th>Tipo<th>Ente
	<?php echo $table ?>
</table>

</body>
</html>