<?php

if ( !$_SESSION ) session_start();

require_once('../../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$AnnoOrdine = ntxip('AnnoOrdine');

if ( $AnnoOrdine<1900 || $AnnoOrdine>2200 ) jhp_error("Anno=$AnnoOrdine!!!");

$DataInizio = ntxtp('DataInizio', false);
$DataFine = ntxtp('DataFine', false);

$sql = "SELECT month($DataInizio), year($DataInizio)";

$rs = ntxiRecord(ntxQuery($sql));

$mese1 = $rs[0]; $anno1 = $rs[1];

$sql = "SELECT month($DataFine), year($DataFine)";

$rs = ntxiRecord(ntxQuery($sql));

$mese2 = $rs[0]; $anno2 = $rs[1];

if ( $anno1>$anno2 || ($anno1==$anno2  &&  $mese1>$mese2) ) jhp_error("Mese/Anno data inizio maggiore di Mese/Anno data fine!!!");

$IdCommessa = ntxise('IdCommessa', false);

$IdFornitore = ntxip('IdFornitore', false);
$IdMestiere = ntxip('IdMestiere', false);
$IdEdificio = ntxip('IdEdificio', false);
$GradoUrgenza = ntxsp('GradoUrgenza', false, false);

$CostiAutorizzati = ntxip('CostiAutorizzati');

$Descrizione = ntxsp('Descrizione', false, false);
$AttivitàEseguita = ntxsp('AttivitàEseguita');
$Note = ntxsp('Note');

//----------------------------------------------------------
$Costo = ntxfp('Costo', false);
$Ricavo = ntxfp('Ricavo', false);
//----------------------------------------------------------

$tblOrdini = new NtxTable("Ordini");

$insOrdini = $tblOrdini->insert();

$tblCosti = new NtxTable("Costi");

$insCosti = $tblCosti->insert();

$tblRichieste = new NtxTable("Richieste");

$insRichieste = $tblRichieste->insert();

$des1 = substr($_POST[Descrizione], 0, 255)."";
$des2 = substr($_POST[Descrizione], 255, 255)."";
$des3 = substr($_POST[Descrizione], 510, 255)."";

$sql = "SELECT ISNULL((SELECT MAX(SerieOrdiniMultipliGenerati) FROM Ordini WHERE IdCommessa=$IdCommessa),0)+1";

$SerieOrdiniMultipliGenerati = ntxScalar($sql);

for ( $anno=$anno1, $mese=$mese1; ($anno<$anno2) || ($anno==$anno2  &&  $mese<=$mese2);  )
{
	$data1 = "1/$mese/$anno";
	$data1x = "dbo.cdate('1/$mese/$anno')";
	
	$sql = "SELECT dateadd(day, -1, dateadd(month, 1, $data1x))";

	$data2 = ntxDate(ntxScalar($sql));
	
//----------------------------------------------------------
	$insRichieste->init();
	
	$sql = "SELECT ISNULL((SELECT MAX(NumRichiesta) FROM Richieste WHERE IdCommessa=$IdCommessa AND AnnoRichiesta=$AnnoOrdine),0)+1";
	
	$NumRichiesta = ntxScalar($sql);
	
	$insRichieste->set('NumRichiesta', $NumRichiesta);
	$insRichieste->set('AnnoRichiesta', $AnnoOrdine);

	$insRichieste->set('IdCommessa', $IdCommessa);
	$insRichieste->set('IdMestiere', $IdMestiere);
	$insRichieste->set('Localizzazione', $IdEdificio);
	
	$insRichieste->set('Descrizione', $des1);
	$insRichieste->set('Descrizione1', $des2);
	$insRichieste->set('Descrizione2', $des3);
	
	$insRichieste->set('Note', $_POST[Note]);
	
	$insRichieste->set('Stato', 35);
	
	$insRichieste->set('DataRichiesta', 'getdate()', true);
	
	$insRichieste->set('DataModifica', 'getdate()', true);
	
	$insRichieste->set('DataInserimento', 'getdate()', true);
	
	$insRichieste->set('Classificazione', 'Extracanone');
	
	$insRichieste->set('IdUtenteInserimento', $_SESSION['IdUtente']);
	$insRichieste->set('Utente', $_SESSION['Utente']);
	$insRichieste->set('Operatore', $_SESSION['Utente']);
	
	$insRichieste->setp('GradoUrgenza');
	
	$insRichieste->execute();
	
	$IdRic = ntxId();
//----------------------------------------------------------
	$insOrdini->init();
	
	$sql = "SELECT ISNULL((SELECT MAX(NumOrdine) FROM Ordini WHERE IdCommessa=$IdCommessa AND AnnoOrdine=$AnnoOrdine),0)+1";
	
	$NumOrdine = (int)ntxScalar($sql);

	$insOrdini->set('SerieOrdiniMultipliGenerati', $SerieOrdiniMultipliGenerati);

	$insOrdini->set('NumRichiesta', $NumRichiesta);
	$insOrdini->set('AnnoRichiesta', $AnnoOrdine);
	
	$insOrdini->set('NumOrdine', $NumOrdine);
	$insOrdini->set('AnnoOrdine', $AnnoOrdine);

	$insOrdini->set('IdCommessa', $IdCommessa);
	$insOrdini->set('IDCommessaRichiesta', $IdCommessa);
	$insOrdini->set('Assegnazione', $IdFornitore);
	$insOrdini->set('IdMestiere', $IdMestiere);
	$insOrdini->set('CodEdificio', $IdEdificio);
	
	$insOrdini->set('DescrizioneIntervento', $des1);
	$insOrdini->set('DescrizioneIntervento1', $des2);
	$insOrdini->set('DescrizioneIntervento2', $des3);
	
	$insOrdini->set('Intervento', $_POST[AttivitàEseguita]);
	
	$insOrdini->set('Note', $_POST[Note]);
	
	$insOrdini->set('StatoOrd', 200);
	
	$insOrdini->set('DittaManuale', 1);
	
	$insOrdini->set('DataOrdine', 'getdate()', true);
	
	$insOrdini->set('DataModifica', 'getdate()', true);
	
	$insOrdini->set('Contabiliz', 'Extracanone');
	
	$insOrdini->set('ModalitàAgg', $_SESSION['Utente']);
	
	$insOrdini->setp('GradoUrgenza');
	
	$insOrdini->set('DataInizio', $data1);
	$insOrdini->set('DataFine', $data2);
	
	$insOrdini->execute();
	
	$IdOrd = ntxId();
//----------------------------------------------------------
	
	$insCosti->init();
	
	$insCosti->set('IdCommessa', $IdCommessa);
	$insCosti->set('NumOrdine', $NumOrdine);
	$insCosti->set('AnnoOrdine', $AnnoOrdine);

	$insCosti->set('QTA', 1);
	$insCosti->set('CostoUnit', $Costo);
	$insCosti->set('CostoTotale', $Costo);
	
	$insCosti->set('UtenteModifica', $_SESSION['Utente']);
	
	$insCosti->set('DataModifica', 'getdate()', true);
	
	$insCosti->set('Autorizzato', $CostiAutorizzati);
	
	$insCosti->set('IdDitta', $IdFornitore);
	
	$insCosti->set('TipoPrezzo', 1);
	
	$insCosti->execute();

//----------------------------------------------------------
	$sql = <<< SQL
			INSERT INTO Contabilità
								  (RifOrdineCliente, IDCommessa, NumOrdine, AnnoOrdine, GradoUrgenza, Tipo, Sede, CodEdificio, Edificio, Fase, Descrizione, DataModifica, 
								  DataContabilità, idStatoc, idvoce)
			SELECT     LTRIM(Richieste.NumRifCli) + ' / ' + LTRIM(Richieste.AnnoRifCli) + ' / ' + Richieste.CommRifCli + ' / ' + Richieste.TipoRifRic AS Espr1, 
								  Ordini.IDCommessa, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.GradoUrgenza, Ordini.Contabiliz, Ordini.Sede, Ordini.CodEdificio, 
								  ElencoEdifici.EdificioBreve, Ordini.Fase, Ordini.DescrizioneIntervento, GETDATE() AS DM, GETDATE() AS DM2, 20 AS idstatoc
								  , richieste.IdVoceBudget
			FROM         ElencoEdifici INNER JOIN
								  Ordini ON ElencoEdifici.ID = Ordini.CodEdificio AND ElencoEdifici.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
								  Richieste ON Ordini.AnnoRichiesta = Richieste.AnnoRichiesta AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
								  Ordini.IDCommessa = Richieste.IDCommessa
			WHERE Ordini.IDCommessa = $IdCommessa
				AND Ordini.NumOrdine = $NumOrdine
				AND Ordini.AnnoOrdine = $AnnoOrdine
SQL;

	ntxQuery($sql);

	$NumContabilità = ntxScalar('SELECT @@IDENTITY'); 
	//----------------------------------------------------------
	$sql = <<< SQL
		INSERT INTO RiheContabilità
							  (IdCommessa, NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, DataOp, Descrizione, DescrEstesa, 
							  QTA, PzUnitario, Importo, Sconto, Allegato, Path, Gruppo, OneriSicurezza)
		SELECT     IdCommessa, $NumContabilità AS NumContabilità, IdPrezzo, Alt, Lar, Lun, Cod, Titolo, UM, GETDATE() AS DataModifica, Prezziario, TipoPrezzo, Formula, NotaRiga, 
							  DataLavorazione AS DataOp, Descrizione, DescrEstesa, QTA, $Ricavo AS PzUnitario, $Ricavo AS Importo, 
							  
							   0 AS Sconto, 
								
								Allegato, Path, Gruppo,
								
								OneriSicurezza
		FROM         Costi
		WHERE     (IdCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = '$AnnoOrdine') AND (Autorizzato = 1)
SQL;

	ntxQuery($sql);
//----------------------------------------------------------

	++$mese;
	
	if ( $mese==13 )
	{
		$mese = 1;
		++$anno;
	}
}

jhp($SerieOrdiniMultipliGenerati);


?>
