<?php

session_start();

require_once('../../../_ntx/ntxconst.inc');

require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");
$invioMessaggioCliente = ntxip("invioMessaggioCliente");

$sql = <<< SQL
	UPDATE Richieste SET 
		Stato=15,
		DataInoltroPreventivo=getdate()
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND (Stato=5 OR Stato=14)
SQL;

ntxQuery($sql);

if ( !$invioMessaggioCliente )
	jhp_ok();

$sql = <<<_SQL
	SELECT 
		Richieste.Localizzazione, Richieste.DataRichiesta, Richieste.Descrizione+' '+Richieste.Descrizione1+' '+Richieste.Descrizione2 AS Descrizione, 
		ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA
	FROM 
		Richieste INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE 
		Richieste.IdCommessa=$IdCommessa	
		AND Richieste.NumRichiesta=$NumRichiesta
		AND Richieste.AnnoRichiesta=$AnnoRichiesta
_SQL;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) ) 
{
	$IdEdificio = $rs[Localizzazione];
	$DataRichiesta = ntxt(ntxDate($rs[DataRichiesta]));
	$DataRichiestaToPrint = ntxDateTime($rs[DataRichiesta]);
	$DesRichiesta = $rs[Descrizione];
	$EdificioBreve = $rs[EdificioBreve];
	$Indirizzo = $rs[Indirizzo];
	$CAP = $rs[CAP];
	$CITTA = $rs[CITTA];
}
	
	
$sql = <<< SQL
	SELECT DISTINCT Utenti.Email
	FROM         RuoliUtentiCommesse INNER JOIN
						  Utenti ON RuoliUtentiCommesse.IdUtente = Utenti.Id INNER JOIN
						  RuoliUtentiProprietà ON RuoliUtentiCommesse.IdRuolo = RuoliUtentiProprietà.IdRuolo INNER JOIN
						  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente
	WHERE     
			(RuoliUtentiProprietà.IdProprietà = 2) 
			AND Utenti.Email IS NOT NULL 
			AND Utenti.Email <> ''
			AND RuoliUtentiCommesse.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdEdificio = $IdEdificio
SQL;

$query = ntxQuery($sql);

$oggetto = "Pronto Preventivo affidatario per richiesta $NumRichiesta/$AnnoRichiesta";

$messaggio = <<<_MSG
	Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta" del $DataRichiestaToPrint  localizzata in: $EdificioBreve - $Indirizzo $CAP $CITTA relativa a $DesRichiesta.
_MSG;

while ( $rs=ntxIRecord($query) )
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rs[0],		
					$oggetto,				
					$messaggio,
					true);	
}

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') -- AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
	$sql = <<< SQL
		SELECT     Tecnici.Tecnico
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') -- AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;
	$Tecnico = ntxScalar($sql);
	
	jhp_ok(2, "Email Richiesta $NumRichiesta/$AnnoRichiesta inviata a <{$Tecnico}> email <{$email_destinatario}>");
}
else
	jhp_ok(2, "Nessun Email a TecnicoC su Richiesta $NumRichiesta/$AnnoRichiesta a cui mandare email!");
?>
