<?php

session_start();

require_once('../../_ntx/ntxconst.inc');

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise("IdCommessa");
$NumRichiesta = ntxip("NumRichiesta");
$AnnoRichiesta = ntxip("AnnoRichiesta");

$sql = <<< SQL
	UPDATE Richieste SET 
		Stato=15,
		DataInoltroPreventivo=getdate()
		WHERE IdCommessa=$IdCommessa
		AND NumRichiesta=$NumRichiesta
		AND AnnoRichiesta=$AnnoRichiesta
		AND Stato=5
SQL;

ntxQuery($sql);

/* $sql = <<< SQL
	SELECT Localizzazione
	FROM Richieste
	WHERE IdCommessa=$IdCommessa
	AND NumRichiesta=$NumRichiesta
	AND AnnoRichiesta=$AnnoRichiesta
SQL;

$IdEdificio = ntxScalar($sql); */
	
$sql = <<<_SQL
	SELECT 
		Richieste.Localizzazione, Richieste.DataRichiesta, Richieste.Descrizione+' '+Richieste.Descrizione1+' '+Richieste.Descrizione2 AS Descrizione, 
		ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CAP, ElencoEdifici.CITTA
	FROM 
		Richieste INNER JOIN
		ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	WHERE 
		Richieste.IdCommessa=$IdCommessa	
		AND Richieste.NumRichiesta=$NumRichiesta
		AND Richieste.AnnoRichiesta=$AnnoRichiesta
_SQL;

$query = ntxQuery($sql);

if ( $rs = ntxRecord($query) ) 
{
	$IdEdificio = $rs[Localizzazione];
	$DataRichiesta = ntxt(ntxDate($rs[DataRichiesta]));
	$DataRichiestaToPrint = ntxDateTime($rs[DataRichiesta]);
	$DesRichiesta = $rs[Descrizione];
	$EdificioBreve = $rs[EdificioBreve];
	$Indirizzo = $rs[Indirizzo];
	$CAP = $rs[CAP];
	$CITTA = $rs[CITTA];
}
	
	
$sql = <<< SQL
	SELECT DISTINCT Utenti.Email
	FROM         RuoliUtentiCommesse INNER JOIN
						  Utenti ON RuoliUtentiCommesse.IdUtente = Utenti.Id INNER JOIN
						  RuoliUtentiProprietà ON RuoliUtentiCommesse.IdRuolo = RuoliUtentiProprietà.IdRuolo INNER JOIN
						  UtentiEdifici ON Utenti.Id = UtentiEdifici.IdUtente
	WHERE     
			(RuoliUtentiProprietà.IdProprietà = 2) 
			AND Utenti.Email IS NOT NULL 
			AND Utenti.Email <> ''
			AND RuoliUtentiCommesse.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdCommessa = $IdCommessa
			AND UtentiEdifici.IdEdificio = $IdEdificio
SQL;

$query = ntxQuery($sql);

//$oggetto = $messaggio = "Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta";
	$oggetto = "Pronto Preventivo affidatario" ;
	$messaggio = <<<_MSG
	Pronto preventivo per richiesta $NumRichiesta/$AnnoRichiesta" del $DataRichiestaToPrint  localizzata in: $EdificioBreve - $Indirizzo $CAP $CITTA relativa a $DesRichiesta.
_MSG;

while ( $rs=ntxIRecord($query) )
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$rs[0],		
					$oggetto,				
					$messaggio,
					true);	
}

$sql = <<< SQL
		SELECT     Utenti.Email
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;

if ( $email_destinatario = ntxScalar($sql) ) 
{
	ntxFireNetInit($_SESSION['Utente'].'',				
					"g-pronto preventivo",				
					"richiesta $NumRichiesta/$AnnoRichiesta",			
					"email",		
					$email_destinatario,		
					$oggetto,				
					$messaggio,
					true);	
					
	$sql = <<< SQL
		SELECT     Tecnici.Tecnico
		FROM         UtentiTecnici INNER JOIN
		                      Tecnici ON UtentiTecnici.IdTecnico = Tecnici.IDTec INNER JOIN
		                      Utenti ON UtentiTecnici.IdUtente = Utenti.Id INNER JOIN
		                      Richieste ON Tecnici.Tecnico = Richieste.TecnicoC
		WHERE     (Tecnici.Tipo = 'PROV') AND (Tecnici.Autorizzatore = 1)
			AND IdCommessa=$IdCommessa
			AND NumRichiesta=$NumRichiesta
			AND AnnoRichiesta=$AnnoRichiesta
			AND Stato=15
SQL;
	$Tecnico = ntxScalar($sql);
	
	echo htmlentities("Email Richiesta $NumRichiesta/$AnnoRichiesta inviata a <{$Tecnico}> email <{$email_destinatario}>");
}
else
	echo "Nessun Email a TecnicoC su Richiesta $NumRichiesta/$AnnoRichiesta a cui mandare email!";
?>

<script language=javascript>
window.close();
</script>