<?php

require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa'); // usata anche in _carica_richiesta
$IdPrezzo = ntxip('IdPrezzo'); // usata anche in _carica_richiesta
$IdDoc = ntxip('IdDoc');

$sql = <<< SQL
SELECT DISTINCT tblPgContratti.IdPgContratto
FROM         DocsPreventiviRichieste INNER JOIN
                      Richieste ON DocsPreventiviRichieste.IdCommessa = Richieste.IDCommessa AND 
                      DocsPreventiviRichieste.NumRichiesta = Richieste.NumRichiesta AND DocsPreventiviRichieste.AnnoRichiesta = Richieste.AnnoRichiesta INNER JOIN
                      tblAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere ON 
                      Richieste.IdMestiere = tblComponetiMestiere.IdMestiere INNER JOIN
                      tblPgContrattiPropietariGestoriAttivitàEdifici ON tblAttivitàMestiere.IdCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = tblPgContrattiPropietariGestoriAttivitàEdifici.IdAttivitàMestiere AND 
                      Richieste.IDCommessa = tblPgContrattiPropietariGestoriAttivitàEdifici.IdCommessa AND 
                      Richieste.Localizzazione = tblPgContrattiPropietariGestoriAttivitàEdifici.IdEdificio INNER JOIN
                      tblPgContratti ON tblPgContrattiPropietariGestoriAttivitàEdifici.IdPgContratto = tblPgContratti.IdPgContratto AND 
                      Richieste.IDCommessa = tblPgContratti.IdCommessa AND Richieste.DataRichiesta >= tblPgContratti.DataInizio AND 
                      Richieste.DataRichiesta <= tblPgContratti.DataFine
			WHERE     (DocsPreventiviRichieste.IdCommessa = $IdCommessa) AND (DocsPreventiviRichieste.Id = $IdDoc)
SQL;

$IdPgContratto = ntxScalar($sql);

if ( !is_numeric($IdPgContratto) ) $IdPgContratto = -2;

$sql = <<< SQL
		SELECT     
				ElencoPrezziInCommessa.IdPrezzo, 
				ElencoPrezziInCommessa.Cod, 
				ElencoPrezziInCommessa.Descrizione, 
				ElencoPrezziInCommessa.UM, 
				ElencoPrezziInCommessa.PzUnitario, 
				ElencoPrezziInCommessa.Prezziario,
				ElencoPrezziInCommessa.TipoPrezzo,
				ElencoPrezziInCommessa.Titolo, 
				ElencoPrezziInCommessa.DescrEstesa, 
				ElencoPrezziInCommessa.Gruppo, 
					isnull((
					SELECT     ScontiGestore.Sconto
					FROM         ScontiGestore
					WHERE     (ScontiGestore.IdCommessa = ElencoPrezziInCommessa.IdCommessa) 
					AND (ScontiGestore.IdPgContratto = $IdPgContratto) 
					AND (ScontiGestore.IdPrezzo = ElencoPrezziInCommessa.IdPrezzo)			
					), 0) AS 
				Sconto
FROM         ElencoPrezziInCommessa
		WHERE (ElencoPrezziInCommessa.IdCommessa = $IdCommessa) AND (ElencoPrezziInCommessa.IdPrezzo = $IdPrezzo) 
SQL;

$msg_error = "Riga di costo non trovata!";

$record = ntxRecordArray($sql, $msg_error);

$record['PzUnitario'] = ntxRound($record['PzUnitario'], 2);
$record['Sconto'] = ntxRound($record['Sconto'], 2);

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>













