<?php  

$IdCommessa = ntxise('IdCommessa');
$mUtente = ntxsse('Utente');
$mPassword = ntxsse('Password');

$subSql = <<< sql
	SELECT TOP 1 LTRIM(r2.NumRichiesta) +'/'+ LTRIM(r2.AnnoRichiesta) 
	FROM Richieste r2
	WHERE Ordini.IDCommessa = r2.IDCommessa AND Ordini.NumOrdine  = r2.NumOrdineFonte AND 
	                      Ordini.AnnoOrdine = r2.AnnoOrdineFonte
sql;

$subsql2 = "SELECT Sum(RiheContabilità.Importo) AS SommaDiImporto "
		."FROM RiheContabilità "
		."WHERE Contabilità.NumContabilità = RiheContabilità.NumContabilità  "
		."AND Contabilità.IDCommessa = RiheContabilità.IdCommessa "
		."AND Ordini.StatoOrd>=200";

$subsql3 = "SELECT COUNT(*) "
		."FROM StoricoComunicazioni  "
		."WHERE StoricoComunicazioni.IDCommessa=Ordini.IDCommessa  "
		."AND StoricoComunicazioni.NumRichiesta=Ordini.NumRichiesta "
		."AND StoricoComunicazioni.AnnoRichiesta=Ordini.AnnoRichiesta ";

$subsql4 = "SELECT COUNT(*) "
		."FROM DocsOrdini  "
		."WHERE DocsOrdini.IDCommessa=Ordini.IDCommessa  "
		."AND DocsOrdini.IdOrdine=Ordini.IdOrd ";

$sqlFields = <<< sqlFields
		Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Richieste.NumRichiesta, Richieste.AnnoRichiesta, 
		Richieste.DataRichiesta, Richieste.ImpS, Ordini.DescrizioneIntervento + Ordini.DescrizioneIntervento1 + Ordini.DescrizioneIntervento2 AS Des, 
		ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice, ElencoEdifici.EdificioBreve AS Nome, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA AS Comune, 
		ElencoEdifici.Provincia, ElencoEdifici.Cap, tblPgPropietari.Nome AS Ente, Ordini.Contabiliz, 
		CASE WHEN ForseFuoriCanone = 1 THEN 'SI' ELSE 'NO' END AS FFC, CASE WHEN SicuramenteCanone = 1 THEN 'SI' ELSE 'NO' END AS SC, 
		Ditte.Ditta AS Fornitore, tblMestieri.Descrizione AS Mestiere,
		($subSql) AS RicGenerata, 
		tblUtUtilizzatori.Nome AS Utilizzatore,
		Ordini.Note,
		Richieste.Richiedente, Ordini.DataInizioProg, Ordini.DataFineProg, Richieste.TipoValutazione

		, Richieste.NoteTecnicheCliente
		, Ditte.Ditta

		, tblMestieri.codice AS CodMest, tblComponetiMestiere2.codice AS CodComp, tblAttivitàMestiere2.codice AS CodAtt
		, tblMestieri.Descrizione AS DesMest, tblComponetiMestiere2.Descrizione AS DesComp, tblAttivitàMestiere2.Descrizione AS DesAtt
		, Richieste.Riferimento, Ordini.ImportoStimato
		,			($subsql2) AS ImpCont, 
		case when Ordini.StatoOrd>=200 then Contabilità.ImportoStimatoC else NULL end ImpCont2,
		($subsql3) AS ConteggioComunicazioni,
		($subsql4) AS ConteggioDocumenti,

		Contabilità.NumSal,
		StatiContabilità.DesstatoC,
		
		Ordini.DataInizio, Ordini.DataFine
		
sqlFields;

$sqlWHERE = "";

$Stati = explode(",",$_POST[Stati]);

$where_stati = "";

foreach($Stati as $stato)
{
	if (is_numeric($stato))
	{
		if ($where_stati != "")
			$where_stati .= " OR ";
		else
			$where_stati = " AND (";
		
		$where_stati .= "Ordini.StatoOrd = $stato";
	}
}

if ($where_stati != "")
	$where_stati .= ")";
	
$sqlWHERE .= $where_stati;
	
if ( is_numeric($_POST['IdUtilizzatore'])) 
{
	$IdUtilizzatore = (int)$_POST['IdUtilizzatore'];
	$sqlWHERE .= " AND (Ordini.IdUtilizzatore = $IdUtilizzatore) ";
}
	
if ( is_numeric($_POST['IdMestiere'])) 
{
	$IdMestiere = (int)$_POST['IdMestiere'];
	$sqlWHERE .= " AND (Ordini.IdMestiere = $IdMestiere) ";
}

if ( is_numeric($_POST['TipoRichiedente'])) 
{
	$TipoRichiedente = (int)$_POST['TipoRichiedente'];
	$sqlWHERE .= " AND (Richieste.IdRichiedente = $TipoRichiedente) ";
}

if ( isset($_POST['NomeLocaliz'])  &&  strlen($_POST['NomeLocaliz'])>0) 
{
	$str = stripslashes($_POST['NomeLocaliz']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND ElencoEdifici.EdificioBreve LIKE '%".$str."%' ";
}
		
if ( is_numeric($_POST['EscludiOrdiniAnnullati'])  &&  $_POST['EscludiOrdiniAnnullati']==1) 
{
	$sqlWHERE .= " AND (Ordini.StatoOrd <> 70) ";
}

if ( is_numeric($_POST['IdComponente'])) 
{
	$IdComponente = (int)$_POST['IdComponente'];
	$sqlWHERE .= " AND (Ordini.IdComponenteMestiere = $IdComponente) ";
}
	
if ( is_numeric($_POST['NumSal']) ) $sqlWHERE .= " AND Contabilità.NumSal = ".ntxip('NumSal');

if ( is_numeric($_POST['IdPropietario'])) 
{
	$IdPropietario = (int)$_POST['IdPropietario'];
	$sqlWHERE .= " AND (tblPgPropietari.IdPropietario = $IdPropietario) ";
}
	
if ( is_numeric($_POST['MeseOrdine'])) 
{
	$MeseOrdine = (int)$_POST['MeseOrdine'];
	$sqlWHERE .= " AND (Month(Ordini.DataOrdine) = $MeseOrdine) ";
}

if ( is_numeric($_POST['IdEdificio'])) 
{
	$IdEdificio = (int)$_POST['IdEdificio'];
	$sqlWHERE .= " AND (Ordini.CodEdificio = $IdEdificio) ";
}

if ( isset($_POST['Classificazione'])  &&  strlen($_POST['Classificazione'])>0) 
{
	$str = stripslashes($_POST['Classificazione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.Contabiliz = '".$str."' ";
}

if ( isset($_POST['Descrizione'])  &&  strlen($_POST['Descrizione'])>0) 
{
	$str = stripslashes($_POST['Descrizione']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.DescrizioneIntervento LIKE '%".$str."%' ";
}

if ( isset($_POST['DescrizionePI'])  &&  strlen($_POST['DescrizionePI'])>0) 
{
	$str = stripslashes($_POST['DescrizionePI']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND OrdiniLatLon.Descrizione LIKE '%".$str."%' ";
}

if ( isset($_POST['NotaPI'])  &&  strlen($_POST['NotaPI'])>0) 
{
	$str = stripslashes($_POST['NotaPI']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND OrdiniLatLon.Nota	LIKE '%".$str."%' ";
}

if ( isset($_POST['Civico'])  &&  strlen($_POST['Civico'])>0) 
{
	$str = stripslashes($_POST['Civico']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND OrdiniLatLon.Civico = '".$str."' ";
}

if ( isset($_POST['SubCivico'])  &&  strlen($_POST['SubCivico'])>0) 
{
	$str = stripslashes($_POST['SubCivico']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND OrdiniLatLon.SubCivico = '".$str."' ";
}

if ( is_numeric($_POST['Ditta']) ) $sqlWHERE .= " AND Ordini.Assegnazione = ".ntxip('Ditta');

if ( isset($_POST['DataRichiesta1'])  &&  strlen($_POST['DataRichiesta1'])>0) 
{
	$str = ntxtp("DataRichiesta1");
	$sqlWHERE .= " AND Richieste.DataRichiesta >= ".$str." ";
}

if ( isset($_POST['DataRichiesta2'])  &&  strlen($_POST['DataRichiesta2'])>0) 
{
	$str = ntxtp("DataRichiesta2");
	$sqlWHERE .= " AND Richieste.DataRichiesta <= ".$str." ";
}

if ( isset($_POST['DataOrdine1'])  &&  strlen($_POST['DataOrdine1'])>0) 
{
	$str = ntxtp("DataOrdine1");
	$sqlWHERE .= " AND Ordini.DataOrdine >= ".$str." ";
}

if ( isset($_POST['DataOrdine2'])  &&  strlen($_POST['DataOrdine2'])>0) 
{
	$str = ntxtp("DataOrdine2");
	$sqlWHERE .= " AND Ordini.DataOrdine <= ".$str." ";
}

if ( isset($_POST['Data1p'])  &&  strlen($_POST['Data1p'])>0) 
{
	$str = ntxtp("Data1p");
	$sqlWHERE .= " AND Ordini.DataInizioProg >= ".$str." ";
}

if ( isset($_POST['Data2p'])  &&  strlen($_POST['Data2p'])>0) 
{
	$str = ntxtp("Data2p");
	$sqlWHERE .= " AND Ordini.DataInizioProg <= ".$str." ";
}

if ( is_numeric($_POST['NumRichiesta']) ) 
{
	$val = (int)$_POST['NumRichiesta'];
	$sqlWHERE .= " AND Richieste.NumRichiesta = $val ";
}

if ( is_numeric($_POST['AnnoRichiesta']) ) 
{
	$val = (int)$_POST['AnnoRichiesta'];
	$sqlWHERE .= " AND Richieste.AnnoRichiesta = $val ";
}

if ( is_numeric($_POST['NumOrdine']) ) 
{
	$val = (int)$_POST['NumOrdine'];
	$sqlWHERE .= " AND Ordini.NumOrdine = $val ";
}

if ( is_numeric($_POST['IdAttivitàMestiere']) ) 
{
	$val = (int)$_POST['IdAttivitàMestiere'];
	$sqlWHERE .= " AND Ordini.IdAttivitàMestiere = $val ";
}

if ( is_numeric($_POST['AnnoOrdine']) ) 
{
	$val = (int)$_POST['AnnoOrdine'];
	$sqlWHERE .= " AND Ordini.AnnoOrdine = $val ";
}

if ( is_numeric($_POST['RicercaOrdiniScaduti']) )
{
	$val = (int)$_POST['RicercaOrdiniScaduti'];
	if($val)
		$sqlWHERE.= " AND (Ordini.DataScadenza <= GETDATE() AND Ordini.DataInizio IS NULL) ";
}

if ( isset($_POST['GradoUrgenza2'])  &&  strlen($_POST['GradoUrgenza2'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza2']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['GradoUrgenza1'])  &&  strlen($_POST['GradoUrgenza1'])>0) 
{
	$str = stripslashes($_POST['GradoUrgenza1']."");
	$str = str_replace("'", "''", $str);
	$sqlWHERE .= " AND Ordini.GradoUrgenza = '".$str."' ";
}

if ( isset($_POST['Tecnico'])   &&  $_POST['Tecnico']!="" ) $sqlWHERE .= " AND Ordini.Tecnico LIKE '%".$_POST['Tecnico']."%'";

if ( is_numeric($_POST['PosaSegnaletica']) )
{
	if ( $_POST['PosaSegnaletica']==1 )
		$sqlWHERE .= " AND Ordini.PosaSegnaletica = 1";
	else
		$sqlWHERE .= " AND (Ordini.PosaSegnaletica = 0 OR Ordini.PosaSegnaletica IS NULL)";
}

if ( is_numeric($_POST['OrdinePianificato']) )
{
	if ( $_POST['OrdinePianificato']==1 )
		$sqlWHERE .= " AND Ordini.OrdinePianificato = 1";
	else
		$sqlWHERE .= " AND (Ordini.OrdinePianificato = 0 OR Ordini.OrdinePianificato IS NULL)";
}

	
if ( isset($_POST['MPeMON']) )
{
	$valore = "".$_POST['MPeMON'];

	if ( is_numeric($valore) )//se è un numero escludiamo MP e MON
			$sqlWHERE.= " AND (Ordini.GradoUrgenza <> 'MP')  AND (Ordini.GradoUrgenza <> 'MON') ";
			
	else if( $valore=='MP' )
		$sqlWHERE.= " AND (Ordini.GradoUrgenza = 'MP') ";
		
	else if( $valore=='MON' )
		$sqlWHERE.= " AND (Ordini.GradoUrgenza = 'MON') ";
}	
	
	
if ( is_numeric($_POST['Latitudine'])  &&  is_numeric($_POST['Longitudine']) ) 
{
	$lat = (float)$_POST['Latitudine'];
	$lng = (float)$_POST['Longitudine'];
	
	$haversineTmp .= " AND (dbo.haversine('km', OrdiniLatLon.Latitudine, OrdiniLatLon.Longitudine, $lat, $lng) <= "; 	
	
	if ( is_numeric($_POST['RaggioRicercaPI']) ) 
	{
		$distanza = (int)$_POST['RaggioRicercaPI'];

		$haversineTmp .= " $distanza) ";
		
		$sqlWHERE .= $haversineTmp;
	}
}

switch( $_POST['Incertezze'] )
{
	case 1:
		$sqlWHERE .= " AND Ordini.ForseFuoriCanone=1 ";
		break;
	case 2:
		$sqlWHERE .= " AND Ordini.SicuramenteCanone=1 ";
		break;
}

if ( is_numeric($_POST['TipoLocalizzazione'])) 
{
	if ( $_POST['TipoLocalizzazione']==0 )
	{
		$sqlWHERE .= " AND (ElencoEdifici.Tipo = 0 OR ElencoEdifici.Tipo IS NULL) ";
	}
	else
	{
		$TipoLocalizzazione = (int)$_POST['TipoLocalizzazione'];
		$sqlWHERE .= " AND ElencoEdifici.Tipo = ".$TipoLocalizzazione;
	}
}

$sql = <<< SQL
	SELECT DISTINCT $sqlFields  
	FROM         Contabilità RIGHT OUTER JOIN
                      tblComponetiMestiere AS tblComponetiMestiere2 RIGHT OUTER JOIN
                      StatiOrdini INNER JOIN
                      ElencoEdifici INNER JOIN
                      Ordini ON ElencoEdifici.IdCommessa = Ordini.IDCommessa AND ElencoEdifici.ID = Ordini.CodEdificio ON 
                      StatiOrdini.IDStato = Ordini.StatoOrd INNER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU LEFT OUTER JOIN
                      Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta ON tblComponetiMestiere2.IdCommessa = Ordini.IDCommessa AND 
                      tblComponetiMestiere2.IdComponenteMestiere = Ordini.IdComponenteMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere AS tblAttivitàMestiere2 ON Ordini.IDCommessa = tblAttivitàMestiere2.IdCommessa AND 
                      Ordini.IdAttivitàMestiere = tblAttivitàMestiere2.IdAttivitàMestiere LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario LEFT OUTER JOIN
                      OrdiniLatLon ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND 
                      Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine ON Contabilità.IDCommessa = Ordini.IDCommessa AND Contabilità.NumOrdine = Ordini.NumOrdine AND 
                      Contabilità.AnnoOrdine = Ordini.AnnoOrdine LEFT OUTER JOIN
                      StatiContabilità ON Contabilità.idStatoc = StatiContabilità.IdStatoc
					  	  
	WHERE    
		(Ordini.IdCommessa = $IdCommessa) 
		$sqlWHERE2 
		$sqlWHERE		
SQL;

if(isset($eseguiQueryPaginazione) && $eseguiQueryPaginazione==true)
{
	$query = ntxPagedQuery($sql, " DataOrdine DESC ");
}
else
{
	$sql .= " ORDER BY DataOrdine DESC ";
	$query = ntxQuery($sql);	
}	
?>
