<?php

$sql = <<< sql
SELECT Ordini.*, Ordini.DataModifica as DataModificaX, Ordini.Note as NoteX, Richieste.DataRichiesta,
     tblUtUtilizzatori.Nome AS Utilizzatore, tblPgAffidatari.Nome AS Affidatario, ElencoEdifici.Tipo AS TipoEdificio, ElencoEdifici.CAP
	FROM         Ordini INNER JOIN
                      Richieste ON Ordini.IDCommessa = Richieste.IDCommessa AND Ordini.NumRichiesta = Richieste.NumRichiesta AND 
                      Ordini.AnnoRichiesta = Richieste.AnnoRichiesta LEFT OUTER JOIN
                      tblPgAffidatari ON Ordini.IdAffidatario = tblPgAffidatari.IdAffidatario LEFT OUTER JOIN
                      tblUtUtilizzatori ON Ordini.IDCommessa = tblUtUtilizzatori.IdCommessa AND Ordini.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore
				INNER JOIN
               ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID						  
 WHERE Ordini.IdCommessa = $IdCommessa
 AND Ordini.NumOrdine = $NumOrdine
 AND Ordini.AnnoOrdine = '$AnnoOrdine';

sql;

$msg_error = "Ordine num. $NumOrdine anno. $AnnoOrdine commessa $IdCommessa non trovato!";

$record = ntxRecordArray($sql, $msg_error);

$record['NumOrdine'] = ntxRound($record['NumOrdine'], 0);
$record['Localizzazione'] = ntxRound($record['CodEdificio'], 0);
$record['IdEdificio'] = $record['Localizzazione'];
$record['ImportoStimato'] = ntxRound($record['ImportoStimato'], 2);

$record['DataOrdine'] = ntxDateTime($record['DataOrdine']);
$record['DataRichiesta'] = ntxDateTime($record['DataRichiesta']);
$record['DataModifica'] = ntxDateTime($record['DataModificaX']);
$record['DataInizioProg'] = ntxDateTime($record['DataInizioProg']);
$record['DataFineProg'] = ntxDateTime($record['DataFineProg']);
$record['DataInizio'] = ntxDateTime($record['DataInizio']);
$record['DataFine'] = ntxDateTime($record['DataFine']);
$record['DataScadenza'] = ntxDateTime($record['DataScadenza']);

$record['IdCommessa'] = (int)$record['IDCommessa'];

if ( is_numeric($record['Localizzazione'])  &&  is_numeric($record['IdComponente']) )
{
	$mLocalizzazione=(int)($record['Localizzazione']);
	$mIdComponente=(int)($record['IdComponente']);

	$sql = "SELECT ComponentiAmbiente.CodiceAssComponente "
			." FROM ComponentiAmbiente INNER JOIN TipoComponente  "
			." ON (ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente)  "
			." AND (ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa) "
			." WHERE (((ComponentiAmbiente.IdCommessa)=$IdCommessa)  "
			." AND ((ComponentiAmbiente.IdEdificio)=$mLocalizzazione)  "
			." AND ((ComponentiAmbiente.IDComponente)=$mIdComponente));";
			
	$query = ntxQuery($sql);
	
	if ( $rs = ntxIRecord($query) )
	{
		$record['comp_cod'] = $rs[0];
	}
}

require_once(NTX_WEBPORTAL_PATH."ricerca_affidatari\carica_affidatari.inc");

if ( is_numeric($record['StatoOrd'])  )
{
	$StatoOrd = $record['StatoOrd'];
	
	$record['DesStatoOrd'] = ntxScalar("SELECT     DesStato "
											."FROM         StatiOrdini "
											."WHERE     (IDStato = $StatoOrd )");
}

if ( is_numeric($record['Assegnazione'])  )
{
	$Assegnazione = $record['Assegnazione'];
	
	$record['DesStatoOrdine'] = ntxScalar("SELECT     Ditta "
											."FROM         Ditte "
											."WHERE     (IDDitta = $Assegnazione)");
}

$record = ntxRecordTranslate($record);

ntxMsgResult( $record );	

?>
