<?php
session_start();

require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$json = new Services_JSON();

$result = Array();


$idAttivita = ntxip('idAttivita');
$IdCommessa = ntxise('IdCommessa');
$dataFine = ntxtp('dataFine');


$result['delete'] = false;
$result['txt'] = "";


$continue = true;


// 1 controllo: la data di fine non può essere minore rispetto a quella di oggi
$firstCheck = ntxScalar("SELECT  DATEDIFF(d, getdate() , $dataFine )");

if($firstCheck<1)
{
	$result['txt'].= " - La data di fine non puo' essere minore della data corrente";
	
	$continue = false;
}


//verifico che l'attivita programmata non sia gia' finita
$sql = <<<_SQL
	SELECT DISTINCT 
		DATEDIFF(d, getdate() , tblAttivitàProgrammata.fine )
		
	FROM  tblAttivitàProgrammata 
		   
	WHERE 
	(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
	AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

if( ntxScalar($sql) < 1)
{
	$result['txt'].= " - L'attivita' risulta gia' finita";
	
	$continue = false;
}


if($continue)//2 controllo: quando l'ordine programmato non c'è o non è iniziato
{
	$sql = <<<_SQL
	SELECT tblOrdiniProgrammati.IdOrdineProgrammato
	FROM  
		tblAttivitàProgrammata INNER JOIN
		tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
		tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
	WHERE 
		(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
		AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

	if( ntxScalar($sql) ) //se c'è l'ordine programmato
	{
		//verifichiamo che l'ordine programmato non sia eseguito
		$sql = <<<_SQL
		SELECT tblOrdiniProgrammati.Eseguito
		FROM  
			tblAttivitàProgrammata INNER JOIN
			tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
			tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
		WHERE 
			(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
			AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;
	
		if( ntxScalar($sql) == 1 ) //se l'ordine è stato eseguito
		{
			$result['txt'] = " - L'ordine programmato collegato e' stato eseguito!";
		}
		else //se l'ordine non e' stato eseguito
		{
			//verifichiamo che non ci siano ordini
			$sql = <<<_SQL
			SELECT tblOrdiniProgrammati.NumOrdine, tblOrdiniProgrammati.AnnoOrdine

			FROM  tblAttivitàProgrammata INNER JOIN
				   tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
				   tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
				   tblAttivitàMestiere ON tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
				   tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa
				   
			WHERE 
			(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
			AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

			$ris = ntxIRecord( ntxQuery($sql) );

			$NumOrdine = $ris[0];
			$AnnoOrdine = $ris[1];	

			if( is_numeric($NumOrdine)  &&   is_numeric($AnnoOrdine) ) //se c'è un ordine
			{
				//verifico che l'ordine non sia associato ad altre attivita programmate
				$sql = <<<_SQL
				SELECT COUNT(tblAttivitàProgrammata.IdAttivitàProgrammata) AS A
				FROM  tblAttivitàProgrammata INNER JOIN
							   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
							   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
				WHERE (
					tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
					AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine) 
					AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine)
_SQL;
	
				$numAttProg = ntxScalar($sql); 			
				
				if($numAttProg>1) //se ci sono altre attivita programmate
				{
					$result['txt'] = " - Altre attivita' programmate hanno associato lo stesso ordine MP!";
				}
				else
				{	
					//elimino attivita programmata 
					$sql = <<<_SQL
					DELETE FROM tblAttivitàProgrammata
					WHERE (IdCommessa = $IdCommessa) AND (IdAttivitàProgrammata = $idAttivita)	
_SQL;
					ntxQuery($sql);	
					
					
					//elimino l'ordine programmato 
					$sql = <<<_SQL
					DELETE FROM tblOrdiniProgrammati
					FROM  tblAttivitàProgrammata INNER JOIN
								   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
								   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
					WHERE (tblAttivitàProgrammata.IdCommessa = $IdCommessa) AND (tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
_SQL;
					ntxQuery($sql);		
							
							
					//elimino l'ordine 
					$sql = <<<_SQL
					DELETE FROM Ordini
					WHERE (IDCommessa = $IdCommessa) AND (NumOrdine = $NumOrdine) AND (AnnoOrdine = $AnnoOrdine)
_SQL;
					ntxQuery($sql);		
					
					$result['delete'] = true;
				}	
			}
			else
			{	
				//elimino attivita programmata 
				$sql = <<<_SQL
				DELETE FROM tblAttivitàProgrammata
				WHERE (IdCommessa = $IdCommessa) AND (IdAttivitàProgrammata = $idAttivita)	
_SQL;
				ntxQuery($sql);	
				
				
				//elimino l'ordine programmato 
				$sql = <<<_SQL
				DELETE FROM tblOrdiniProgrammati
				FROM  tblAttivitàProgrammata INNER JOIN
							   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
							   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
				WHERE (tblAttivitàProgrammata.IdCommessa = $IdCommessa) AND (tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
_SQL;
				ntxQuery($sql);		
				
				$result['delete'] = true;
			}			
		
		}
	}
	else //se non c'è l'ordine programmato
	{
		$sql = <<<_SQL
		DELETE FROM tblAttivitàProgrammata
		WHERE (IdCommessa = $IdCommessa) AND (IdAttivitàProgrammata = $idAttivita)	
_SQL;
		ntxQuery($sql);	

		$result['delete'] = true;
	}
}

print $json->encode( $result ); 
?>