<?php
session_start();

require_once( "../../_libs/json/class.JSON.php");

require_once('../../_ntx/ntxconst.inc');
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$json = new Services_JSON();

$result = Array();


$idAttivita = ntxip('idAttivita');
$dataInizio = ntxtp('dataInizio');
$dataFine = ntxtp('dataFine');
$IdCommessa = ntxise('IdCommessa');


$continue = true;

$result['update'] = false;
$result['txt'] = "";

// 1 controllo: la data di fine non può essere minore rispetto a quella di oggi
$firstCheck = ntxScalar("SELECT  DATEDIFF(d, getdate() , $dataFine )");

if($firstCheck<1)
{
	$result['txt'].= " - La data di fine non puo' essere minore della data corrente";
	
	$continue = false;
}


//verifico che l'attivita programmata non sia gia' finita
$sql = <<<_SQL
	SELECT DISTINCT 
		DATEDIFF(d, getdate() , tblAttivitàProgrammata.fine )
		
	FROM  tblAttivitàProgrammata 
		   
	WHERE 
	(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
	AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

if( ntxScalar($sql) < 1)
{
	$result['txt'].= " - L'attivita' risulta gia' finita";
	
	$continue = false;
}

if($continue)//2 controllo: verifico che l'attivita mestiere collegata non abbia altre attività che hanno fine e inizio uguali che hanno lo stesso fornitore
{


	//trovo l'attivita mestiere
	$sql = <<<_SQL
	SELECT DISTINCT 
		tblAttivitàMestiere.IdAttivitàMestiere, 
		tblAttivitàEdifici.IdEdificio
		
	FROM  tblAttivitàProgrammata INNER JOIN
		   tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
		   tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
		   tblAttivitàMestiere ON tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
		   tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa
		   
	WHERE 
	(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
	AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

	$ris = ntxIRecord( ntxQuery($sql) );

	$IdAttivitàMestiere = $ris[0];
	$IdEdificio = $ris[1];
	
	//trovo il fornitore (se esiste)
	$sql = <<<_SQL
	SELECT 
		tblOrdiniProgrammati.IdFornitore
				   
	FROM  
		tblAttivitàProgrammata 
		LEFT OUTER JOIN
		tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
		tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata

	WHERE 
		(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
		AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

	$IdFornitore = ntxScalar($sql);	
	
	if( is_numeric($IdFornitore) ) //se c'è il fornitore
	{
		$sql = <<<_SQL
		SELECT count(tblOrdiniProgrammati.IdFornitore) AS A
		FROM  tblAttivitàProgrammata INNER JOIN
					   tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
					   tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
					   tblAttivitàMestiere ON tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
					   tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa INNER JOIN
					   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
					   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
		WHERE 
			(tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere) 
			AND (tblAttivitàMestiere.IdCommessa =  $IdCommessa)	
			AND tblAttivitàProgrammata.inizio = $dataInizio
			AND tblAttivitàProgrammata.fine = $dataFine	
			AND tblOrdiniProgrammati.IdFornitore = $IdFornitore
			AND tblAttivitàEdifici.IdEdificio = $IdEdificio
_SQL;

		$NumFornitori = ntxScalar($sql);	
		
		if( is_numeric($NumFornitori )  &&  $NumFornitori > 1 )
		{
			$result['txt'].= " - Altre attivita programmate hanno la stessa data di inizio e fine e stesso fornitore";
			$continue = false;
		}	
	}
	else //se non c'è il fornitore dobbiamo verificare che non ci siano delle attivita prog con la stessa data di inizio e fine
	{
		$sql = <<<_SQL
		SELECT count(tblAttivitàProgrammata.IdAttivitàProgrammata) AS A
		
		FROM  tblAttivitàProgrammata INNER JOIN
			   tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
			   tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
			   tblAttivitàMestiere ON tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
			   tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa
			   
		WHERE 
			(tblAttivitàMestiere.IdAttivitàMestiere = $IdAttivitàMestiere) 
			AND (tblAttivitàProgrammata.IdCommessa =  $IdCommessa)	
			AND tblAttivitàProgrammata.inizio = $dataInizio
			AND tblAttivitàProgrammata.fine = $dataFine	
			AND tblAttivitàEdifici.IdEdificio = $IdEdificio	
_SQL;
		
		$NumAttProg = ntxScalar($sql);	
		
		if( is_numeric($NumAttProg )  &&  $NumAttProg > 1 )
		{
			$result['txt'].= " - Altre attivita programmate sull'edificio selezionato hanno la stessa data di inizio e fine";
			$continue = false;
		}		
	}

	if( $continue )
	{
		$sql = <<<_SQL
		UPDATE tblAttivitàProgrammata
		SET       
			inizio = $dataInizio, 
			fine = $dataFine
		WHERE (IdAttivitàProgrammata = $idAttivita) AND (IdCommessa = $IdCommessa)
_SQL;
		ntxQuery($sql);			
		
		
		
		$sql = <<<_SQL
		UPDATE tblOrdiniProgrammati
		SET       
			dataInizioProg = $dataInizio, 
			dataFineProg = $dataFine
		FROM  tblAttivitàProgrammata INNER JOIN
					   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
					   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata
		WHERE 
			(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita) 
			AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)		
_SQL;
		ntxQuery($sql);	
		
			

			
		
		$sql = <<<_SQL
		UPDATE Ordini
		SET       
			DataInizioProg = $dataInizio, 
			DataFineProg = $dataFine
		FROM  tblAttivitàProgrammata INNER JOIN
					   tblOrdiniProgrammati ON tblAttivitàProgrammata.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
					   tblAttivitàProgrammata.IdAttivitàProgrammata = tblOrdiniProgrammati.IdAttivitàProgrammata INNER JOIN
					   Ordini ON tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine AND 
					   tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa
		WHERE 
			(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita) 
			AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)		
_SQL;
		ntxQuery($sql);	
		
		
		
		$result['update'] = true;
	}
}


//trovo alcuni dati dell'attivita programmata e li ritorno in ajax
$sql = <<<_SQL
	SELECT DISTINCT 
		DAY(tblAttivitàProgrammata.inizio) AS inizioDay, 
		MONTH(tblAttivitàProgrammata.inizio) AS inizioMonth, 
		YEAR(tblAttivitàProgrammata.inizio) AS inizioYear, 
		DAY(tblAttivitàProgrammata.fine) AS fineDay, 
		MONTH(tblAttivitàProgrammata.fine) AS fineMonth, 
		YEAR(tblAttivitàProgrammata.fine) AS fineYear		

	FROM  tblAttivitàProgrammata INNER JOIN
		   tblAttivitàEdifici ON tblAttivitàProgrammata.IdCommessa = tblAttivitàEdifici.IdCommessa AND 
		   tblAttivitàProgrammata.IdAttivitàEdificio = tblAttivitàEdifici.IdAttivitàEdificio INNER JOIN
		   tblAttivitàMestiere ON tblAttivitàEdifici.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere AND 
		   tblAttivitàEdifici.IdCommessa = tblAttivitàMestiere.IdCommessa
		   
	WHERE 
	(tblAttivitàProgrammata.IdAttivitàProgrammata = $idAttivita)
	AND (tblAttivitàProgrammata.IdCommessa = $IdCommessa)
_SQL;

$ris = ntxIRecord( ntxQuery($sql) );


$day = $ris[0];
$month = $ris[1];
$year = $ris[2];		
$result['start'] = "$month/$day/$year";	

$day = $ris[3];
$month = $ris[4];
$year = $ris[5];			
$result['end'] = "$month/$day/$year";


print $json->encode( $result ); 
?>