<?php

$edificio = "C{$IdCommessa}E{$IdEdificio}";
$livello = "C{$IdCommessa}E{$IdEdificio}L{$IdPiano}";

$pathShapes = "$pathCommessa\\EDIFICIO_{$edificio}\\LIVELLO_{$livello}\\SHAPE_{$livello}\\";

$where = "and 1=0";

if ( $CopertureVisibili!="" ) $where = " AND Id in ($CopertureVisibili)";

$sql = <<< sql
	SELECT     Id, Nome, FileName, Simbolo, Geometria, Colore, Spessore 
	FROM         tblCoperture
	WHERE     (Tipo = 0) AND (Associazione = 4) AND (PubblicaWeb = 1)
		$where
	ORDER BY Associazione, OrdineWeb
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$nomeFile = $rs[FileName];
	
	$data = "{$pathShapes}{$nomeFile}.shp";

	if ( !is_file($data) ) continue;

	$layer = ms_newLayerObj($map);
	
	$layer->set("name", "arc_".$rs[Nome]);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$type = MS_LAYER_POINT;
			break;
		case 1: // linee
			$type = MS_LAYER_LINE;
			break;
		case 2: // aree
			$type = MS_LAYER_POLYGON;
			break;
	}
	
	$layer->set("type", $type);

	$layer->set("status", MS_ON);
	
	$layer->set("data", $data);
	
	$class = ms_newClassObj($layer);
	
	$style = ms_newStyleObj($class);
	
	switch ( $rs[Geometria] )
	{
		case 0: // punti
			$style->set("symbolname", $rs[Simbolo]);
			break;
		case 1: // linee
		case 2: // aree
			$rosso = ($rs[Colore] >> 16) & 0xff;
			$verde = ($rs[Colore] >> 8) & 0xff;
			$blu = ($rs[Colore]) & 0xff;

			$style->outlinecolor->setRGB($rosso, $verde, $blu);
			break;
	}
	
	if ( !$isExtent )
	{
		$extent = $layer->getExtent();
		
		if ( is_numeric($minx) )
		{
			if ( $extent->minx < $minx ) $minx = $extent->minx;
			if ( $extent->miny < $miny ) $miny = $extent->miny;
			
			if ( $extent->maxx > $maxx ) $maxx = $extent->maxx;
			if ( $extent->maxy > $maxy ) $maxy = $extent->maxy;
		}
		else
		{
			$minx = $extent->minx;
			$miny = $extent->miny;
			
			$maxx = $extent->maxx;
			$maxy = $extent->maxy;
		}
	}
}

?>