function CanvasEngine(canvasId, funcCallBackMouseUp)
{
	var obj = this;
	
	obj.funcCallBackMouseUp = funcCallBackMouseUp;
	
	obj.canvas1 = jei(canvasId);
	obj.canvas2 = $('#'+canvasId);

	obj.x1 = obj.y1 = obj.x2 = obj.y2 = 0;

	obj.Image = new Image; // eventuale immagine di sfondo
	
	obj.Image.onload = function() {
		obj.Redraw(); 
	};	
	
	obj.DrawPointerRadius = 100;
	obj.DrawLineWidth = 1;
	obj.DrawBackColor = "white";
	obj.DrawColor1 = "blue";
	obj.DrawColor2 = "yellow";
	obj.Switch = false;
	
	obj.DrawType = "none";
	
	obj.MouseDown = false;
	
	obj.Redraw = function(drawType) {
		var canvas = jei('CanvasMappa');

		var ctx = obj.canvas1.getContext("2d");
		
		var dx = obj.canvas2.width();
		var dy = obj.canvas2.height();
		
		obj.canvas1.width = dx;
		obj.canvas1.height = dy;
		
		ctx.globalAlpha=1;
		ctx.fillStyle=obj.DrawBackColor;
		ctx.fillRect(0, 0, dx, dy);
		
		if ( obj.Image.src )
			ctx.drawImage(obj.Image, 0, 0);
			
		switch(drawType)
		{
			case "box":
				if ( obj.MouseDown )
					obj.DrawBox(ctx);
				else
					obj.DrawPointer(ctx);
				break;
			default:
				obj.DrawPointer(ctx);
				break;
		}			
	}
	
	obj.DrawPointer = function(ctx) {
		var radius=obj.DrawPointerRadius;
		
		ctx.lineWidth = obj.DrawLineWidth;
		
		if ( obj.Switch )
			ctx.strokeStyle = obj.DrawColor1;
		else
			ctx.strokeStyle = obj.DrawColor2;
		
		obj.Switch = !obj.Switch;
		
		ctx.beginPath();
		
		ctx.moveTo(obj.x1, obj.y1-radius);
		ctx.lineTo(obj.x1, obj.y1+radius);
		
		ctx.moveTo(obj.x1-radius, obj.y1);
		ctx.lineTo(obj.x1+radius, obj.y1);
		
		ctx.stroke();
	}
	
	obj.DrawBox = function(ctx) {
		ctx.lineWidth = obj.DrawLineWidth;
		
		if ( obj.Switch )
			ctx.strokeStyle = obj.DrawColor1;
		else
			ctx.strokeStyle = obj.DrawColor2;
		
		obj.Switch = !obj.Switch;
		
		ctx.beginPath();
		
		ctx.moveTo(obj.x1, obj.y1);
		ctx.lineTo(obj.x2, obj.y1);
		ctx.lineTo(obj.x2, obj.y2);
		ctx.lineTo(obj.x1, obj.y2);
		ctx.lineTo(obj.x1, obj.y1);
		
		ctx.stroke();
	}

	obj.mousedown = function(e) {
		e.preventDefault();

		obj.x1 = obj.x2 = e.pageX-obj.canvas2.offset().left;
		obj.y1 = obj.y2 = e.pageY-obj.canvas2.offset().top;

		obj.MouseDown = true;
		
		obj.Redraw(obj.DrawType);	
		
	};

	obj.mousemove = function(e) {
		if ( obj.DrawType != "box" || !obj.MouseDown )
		{
			obj.x1 = e.pageX-obj.canvas2.offset().left;
			obj.y1 = e.pageY-obj.canvas2.offset().top;
		}
		else
		{
			obj.x2 = e.pageX-obj.canvas2.offset().left;
			obj.y2 = e.pageY-obj.canvas2.offset().top;
		}

		obj.Redraw(obj.DrawType);	

	};

	obj.mouseup = function(e){
		e.preventDefault();

		obj.MouseDown = false;

		if ( obj.funcCallBackMouseUp )
			obj.funcCallBackMouseUp(e, obj);
			
	};
	
	obj.canvas2.on('mousedown', obj.mousedown);
	
	obj.canvas2.on('mousemove', obj.mousemove);
	
	obj.canvas2.on('mouseup', obj.mouseup);

}





