<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');
$ListaIdContrattiFornitore = ntxlnse('ListaIdContrattiFornitore', false);
$Tipo = ntxip('Tipo');

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente, PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione, 
                      Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione AS DesVano
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio)  AND (Ambiente.IDAmbiente = $IdAmbiente) 
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$table = <<< table
	<div class=ParteStatica Testata> 
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
			<hr>Piano $html[CodiceAssLivello] - $html[Destinazione]
			<hr>Vano $html[CodiceAssAmbiente] - $html[DesVano]
	</div>

	<div class="ui-grid-b" id=TestaLista>
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('YES')" $disabled>Sel.Tutto</button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('NO')" $disabled>Sel.Niente</button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="Altro('TestaLista', 'none')" $disabled>Altro...</button></div>
	</div>
table;

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg, tblOrdiniPrgComp.Eseguito, 
                      tblOrdiniPrgComp.dataInizio, tblOrdiniPrgComp.datafine, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Aperto, tblOrdiniPrgComp.Anomalia, 
                      tblOrdiniPrgComp.IdOrdPrgComp, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, 
						  tblOrdiniPrgComp.ListaControlloObbligatoria, 
						  tblOrdiniPrgComp.ChiusaListaControllo
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine
	WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdAmbiente = $IdAmbiente)
		 AND (Ordini.IdContratto IN ($ListaIdContrattiFornitore)) 
		AND (tblOrdiniPrgComp.TipoMP = 2)
	$addWhere
	ORDER BY CodMest, DesMest, CodComp, DesComp, CodAtt, DesAtt
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$DesStato = "non aperto";
	
	if ( $rs[Aperto] ) $DesStato = "aperto";
	if ( $rs[Anomalia] ) $DesStato = "anomalia";
	if ( $rs[Annullato] ) $DesStato = "annullato";
	if ( $rs[Eseguito] ) $DesStato = "eseguito";

	$color = $color2 = "#FF5555;color:white;text-shadow:none;font-weight:normal";
	
	if ( $rs[Aperto] ) $color = "#FF9900";
	if ( $rs[Anomalia] ) $color = "#FFAAFF";
	if ( $rs[Annullato] ) $color = "#FFFFAA";
	if ( $rs[Eseguito] ) $color = "#AAFFAA";

	$listaControllo = "";

	if ( $rs[ChiusaListaControllo] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:#AAFFAA">Verificata lista controllo</b>
lc;
	elseif ( $rs[ListaControlloObbligatoria] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:$color2">Verificare lista controllo</b>
lc;

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left" onclick="SelOrdinePrg2($rs[IdOrdPrgComp])"
						IdOrdPrgComp="$rs[IdOrdPrgComp]" Selezionato=NO>
			ordine prd comp. <b>$html[IdOrdPrgComp]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			$listaControllo
			<br>mestiere <b>$html[CodMest]</b> - <b>$html[DesMest]</b>
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Attività  <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdPrgComp] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
		</button>
	<div class="ui-grid-d" style="display:none" Selezionato2=NO IdOrdineProgrammato2="$rs[IdOrdPrgComp]" id="CodaOrdine{$rs[IdOrdPrgComp]}">
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#FF9900" onclick="ApriChiudiSingoloPrg($rs[IdOrdPrgComp], 1, 0)" btnIdOrdPrg=$rs[IdOrdPrgComp]>Inizia Attività </button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#AAFFAA" onclick="ApriChiudiSingoloPrg($rs[IdOrdPrgComp], 0, 1)" btnIdOrdPrg=$rs[IdOrdPrgComp]>Chiudi Attività </button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#FF5555;color:white;text-shadow:none;font-weight:normal" onclick="ApriChiudiSingoloPrg($rs[IdOrdPrgComp], 0, 0)" btnIdOrdPrg=$rs[IdOrdPrgComp]>Resetta</button></div>
		<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:white;color:black;text-shadow:none;font-weight:normal" onclick="VediListaControllo($rs[IdOrdPrgComp])" btnIdOrdPrg=$rs[IdOrdPrgComp] btnIdOrdPrg=$rs[IdOrdPrgComp]>Lista Controllo...</button></div>
		<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal" onclick="Altro('CodaOrdine{$rs[IdOrdPrgComp]}', $rs[IdOrdPrgComp])" btnIdOrdPrg=$rs[IdOrdPrgComp]>Altro...</button></div>
	</div>
table;
	
}

$table .= <<< table
	<div class="ui-grid-b" id=CodaLista>
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('YES')" $disabled>Sel.Tutto</button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('NO')" $disabled>Sel.Niente</button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="Altro('CodaLista', 'none')" $disabled>Altro...</button></div>
	</div>
table;

$result = array();

$result[table] = $table;

$result[PosizionePagina] = 1;
$result[NumeroPagine] = 1;
$result[RighePerPagina] = 1;

jhp($result);

?>