<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$Tipo = ntxip('Tipo');
$IdEdificio = ntxip('IdEdificio');

$ListaIdContrattiFornitore = ntxlnse('ListaIdContrattiFornitore', false);

$sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente
	FROM         ElencoEdifici LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio) 
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$table = <<< table
	<div class=ParteStatica> 
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
	</div>
table;


$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa IS NOT NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$PosizionePagina = $_POST[PaginazionePosizionePagina];

if ( !is_numeric($PosizionePagina) || $PosizionePagina==1)
	include('ricerca_ordini-piani.inc');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,
                       Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, Ordini.VistoMP
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.IdContratto IN ($ListaIdContrattiFornitore)) 
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND ISNULL(Ordini.TipoMP,0)=0
	$addWhere
sql;

$paginazione = ntxPaginazione($sql, "DataInizioProg desc");

$query = $paginazione->query;

while ($rs=ntxRecord($query))
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
 //				

	$VistoMP = $rs[VistoMP] ? " - VistoMP" : "";
	
	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal"
				onclick="SelOrdine($rs[NumOrdine],$rs[AnnoOrdine])">
			ordine <b>$html[NumOrdine]/$html[AnnoOrdine]</b> - data <b>$html[DataOrdine]</b>
			- stato <b>$html[DesStato] $VistoMP</b>
			<br>mestiere <b>$html[CodMestiere]</b> - <b>$html[Mestiere]</b>
			<br>data inizio p <b>$html[DataInizioProg]</b> - data fine p <b>$html[DataFineProg]</b>
			<br>data inizio e <b>$html[DataInizio]</b> - data fine e <b>$html[DataFine]</b>
		</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>