<?php
	
$sql = <<< sql
	SELECT DISTINCT tblCopertureInCommessa.Simbolo
	FROM         ComponentiAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente INNER JOIN
                      tblCopertureInCommessa ON TipoComponente.IdCommessa = tblCopertureInCommessa.IdCommessa AND 
                      TipoComponente.Copertura = tblCopertureInCommessa.Nome INNER JOIN
                      Ambiente ON ComponentiAmbiente.IdCommessa = Ambiente.IdCommessa AND ComponentiAmbiente.IdEdificio = Ambiente.IdEdificio AND 
                      ComponentiAmbiente.IDAmbiente = Ambiente.IDAmbiente
	WHERE     (TipoComponente.IdCommessa = $IdCommessa)
		AND (Ambiente.IdEdificio = $IdEdificio)
		AND (Ambiente.IdLivello = $IdPiano)
		AND (tblCopertureInCommessa.Tipo = 0) 
		AND (tblCopertureInCommessa.Geometria = 0) 
		AND (tblCopertureInCommessa.Associazione = 2)
		AND (ComponentiAmbiente.Rimosso IS NULL OR ComponentiAmbiente.Rimosso = 0) 
		$addWhere
sql;

$query = ntxQuery($sql);

$mapfile_text = <<< mapfile_text
MAP
	STATUS ON
	SIZE 400 300
	EXTENT -2200000 -712631 3072800 3840000
	UNITS METERS

	NAME MapFile
		SYMBOL
			NAME "circle"
			FILLED true
			TYPE vector
			  POINTS
				0 0
				0 30
				30 30
				30 0
			  END
		END
		SYMBOL
			NAME "circle2"
			TYPE ellipse
			FILLED true
			POINTS
				30 30
			END
		END
mapfile_text;

while ( $rs=ntxIRecord($query) )
{
	$mapfile_text .= <<< mapfile_text
		SYMBOL
			NAME "$rs[0]"
			TYPE PIXMAP
			IMAGE "$pathCommessa\\simboliWeb\\$rs[0].png"
		END
mapfile_text;

	$mapfile_text .= "\n";
}

$mapfile_text .= "\nEND";

$dir = "$_SERVER[DOCUMENT_ROOT]\\".NTX_SUBPATH_PORTALE."\\tmp";

if ( !is_dir($dir) ) mkdir($dir);

$countFiles = 0;

$files = glob("$dir\\*.*");

if ( is_array($files) ) 
	$countFiles = count($files);

if ( $countFiles > 500 )
{
	foreach ($files as $file) 
	{
		if ( is_file($file) )
			unlink($file);
	}
}

$mapfile = tempnam($dir, "mapfile").".map";

$mapfile_handle = fopen($mapfile, 'w');
fwrite($mapfile_handle, $mapfile_text);
fclose($mapfile_handle);

?>