<?php

$sql = <<< sql
	SELECT     Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, Ambiente.Rimosso, 
			Ambiente.H, Ambiente.P, Ambiente.MQ, Ambiente.MC, 
			Ambiente.DesAmbiente, 
			Ambiente.Note, 
			Ambiente.CdC, 
			CaratteristicheAmbienti.Descrizione AS Caratteristiche, 
			Ambiente.UtenteModifica, 
			Ambiente.DataUltimaModifica, 
			Ambiente.DataInserimento, 
			Ambiente.UtenteInserimento,
			Ambiente.DataRimozione
	FROM         Ambiente LEFT OUTER JOIN
                      CaratteristicheAmbienti ON Ambiente.Caratteristiche = CaratteristicheAmbienti.Id LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IDAmbiente = $IdAmbiente)
sql;

$query = ntxQuery($sql);

if($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "no";
	
	$rs[H] = ntxRoundThousand($rs[H], 3);
	$rs[MQ] = ntxRoundThousand($rs[MQ], 3);
	$rs[MC] = ntxRoundThousand($rs[MC], 3);
	$rs[P] = ntxRoundThousand($rs[P], 3);
	
	$rs[DataUltimaModifica] = ntxDateTime($rs[DataUltimaModifica], 3);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento], 3);
	$rs[DataRimozione] = ntxDateTime($rs[DataRimozione], 3);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$static1 = <<< static
			<div class=ParteStatica>
				id			<b>$rs[IDAmbiente]       </b>
				- cod				<b>$rs[CodiceAssAmbiente]</b>
				- des.uso			<b>$rs[Destinazione]      </b><hr>
				mq				<b>$rs[MQ]        </b>
				- h				<b>$rs[H]               </b>
				- mc				<b>$rs[MC]               </b>
				- p				<b>$rs[P]               </b><hr>
				descrizione		<b>$rs[DesAmbiente]               </b><hr>
				cdc				<b>$rs[CdC]               </b>
				- caratteristiche	<b>$rs[Caratteristiche]               </b><hr>
				note			<b>$rs[Note]               </b><hr>
				rimosso			<b>$Rimosso               </b>
			</div>
static;
		
	$static2 = <<< static
			<div class=ParteStatica>
				utente inserimento	<b>$rs[UtenteInserimento]        </b>
				- data inserimento	<b>$rs[DataInserimento]               </b><hr>
				utente modifica		<b>$rs[UtenteModifica]               </b>
				- data modifica		<b>$rs[DataUltimaModifica]               </b><hr>
				data rimozione		<b>$rs[DataRimozione]               </b>
				- rimosso			<b>$Rimosso               </b>
			</div>
static;
}




?>