<?php

$sql = "SELECT RiassegnaGradoUrgenzaOrdine FROM Commesse WHERE IdCommessa=$IdCommessa";

$RiassegnaGradoUrgenzaOrdine = ntxScalar($sql);

$sql = <<< sql
SELECT     
	Ordini.* ,
	
	StatiOrdini.DesStato,
	TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione AS DesGradoU,

	ElencoEdifici.Codice AS CodLocaliz, 
	ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, Ordini.DataScadenzaPresaInCarico AS DSPC, 
	DestinazioniDusoLivello.Destinazione AS Piano, 
	Ambiente.CodiceAssAmbiente AS Vano, 

	Richieste.Richiedente,
	Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.DataRichiesta,
	tblPgPropietari.Nome AS Proprietà, 

	tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,

	tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS Comp, 

	tblAttivitàMestiere.codice AS CodAtt, tblAttivitàMestiere.Descrizione AS Attività,

	DestinazioniDuso.Destinazione AS DesUsoAmbiente
	
	
	,AbCentriDiCosto.DESC3 AS CentroDiCosto, AbCentriDiCosto.CDC1, AbCentriDiCosto.CDC2
	,AbDiametroTubazione.DIAMETRO AS TubaturaDiametro, AbMaterialeTubazione.TIPO AS TubaturaTipo	
	,AbIntervento.intervento AS AbIntervento
	
	,ElencoEdifici.Latitudine, ElencoEdifici.Longitudine
				   
FROM         
	DestinazioniDuso RIGHT OUTER JOIN
	Ambiente ON DestinazioniDuso.IdCommessa = Ambiente.IdCommessa AND 
	DestinazioniDuso.IdDestinazioneuso = Ambiente.IdDestinazioneduso RIGHT OUTER JOIN
	TabellaGradoUrgenza RIGHT OUTER JOIN
	Richieste ON TabellaGradoUrgenza.IdCommessa = Richieste.IDCommessa AND 
	TabellaGradoUrgenza.GradoU = Richieste.GradoUrgenza RIGHT OUTER JOIN
	tblAttivitàMestiere RIGHT OUTER JOIN
	Ordini INNER JOIN
	ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
	tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
	StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
	tblComponetiMestiere ON Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere AND 
	Ordini.IDCommessa = tblComponetiMestiere.IdCommessa ON tblAttivitàMestiere.IdAttivitàMestiere = Ordini.IdAttivitàMestiere AND 
	tblAttivitàMestiere.IdCommessa = Ordini.IDCommessa LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario ON Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND 
	Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta ON 
	Ambiente.IdCommessa = Ordini.IDCommessa AND Ambiente.IdEdificio = Ordini.CodEdificio AND 
	Ambiente.IDAmbiente = Ordini.IdAmbiente LEFT OUTER JOIN
	DestinazioniDusoLivello RIGHT OUTER JOIN
	PianoLivello ON DestinazioniDusoLivello.IdCommessa = PianoLivello.IdCommessa AND DestinazioniDusoLivello.IdDUL = PianoLivello.IdDestUso ON 
	Ordini.IdLivello = PianoLivello.idPiano AND Ordini.CodEdificio = PianoLivello.IdEdificio AND Ordini.IDCommessa = PianoLivello.IdCommessa

	LEFT OUTER JOIN
	AbCentriDiCosto ON Richieste.IdCentroDiCosto = AbCentriDiCosto.ID
	LEFT OUTER JOIN
	AbDiametroTubazione ON Richieste.IdDiametroTubazione = AbDiametroTubazione.ID 
	LEFT OUTER JOIN
	AbMaterialeTubazione ON Richieste.IdMaterialeTubazione = AbMaterialeTubazione.ID	
	LEFT OUTER JOIN
	AbIntervento ON AbIntervento.ID = Richieste.IdIntervento
					  
WHERE    
	(Ordini.IDCommessa = $IdCommessa) 
	AND (Ordini.NumOrdine = $NumOrdine) 
	AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

$disabled_update = $rs[StatoOrd]>60 ? "true" : "false";

$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataRichiesta] = ntxDateTime($rs[DataRichiesta]);
$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);
$rs[DSPC] = ntxDateTime($rs[DSPC]);

$rs['InterruzioneServizio'] = $rs['InterruzioneServizio']==1 ? 'SI' : 'NO';
$rs['InterruzioneCorsiaInteressata'] = $rs['InterruzioneCorsiaInteressata']==1 ? 'SI' : 'NO';
$rs['InterruzioneTotCarreggiata'] = $rs['InterruzioneTotCarreggiata']==1 ? 'SI' : 'NO';

$rs[DataInizioInterruzione] = ntxDateTime($rs[DataInizioInterruzione]);
$rs[DataFineInterruzione] = ntxDateTime($rs[DataFineInterruzione]);

$js = array();
$html = array();

foreach($rs as $k=>$v)
{
	$js[$k] = ntxjs($v);
	$html[$k] = htmlentities($v);
	$htmlb[$k] = "<b>".htmlentities($v)."</b>";
}
?>