<?php

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)
		AND (tblOrdiniProgrammati.Annullato = 0 OR tblOrdiniProgrammati.Annullato IS NULL)
		AND (tblOrdiniProgrammati.Anomalia = 0 OR tblOrdiniProgrammati.Anomalia IS NULL)	
sql;

$countProgrammate = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Eseguito = 1	
sql;

$countChiuse = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati 
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Annullato = 1	
sql;

$countAnnullate = ntxScalar($sql);

$sql = <<< sql
	SELECT     count(*)
	FROM         tblOrdiniProgrammati
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
		AND tblOrdiniProgrammati.Anomalia = 1 AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)	
sql;

$countAnomalie = ntxScalar($sql);

$sql = "SELECT RiassegnaGradoUrgenzaOrdine FROM Commesse WHERE IdCommessa=$IdCommessa";

$RiassegnaGradoUrgenzaOrdine = ntxScalar($sql);

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Ordini.VistoMP, Ordini.StatoOrd, ElencoEdifici.Codice AS CodLocaliz, 
                      ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
                      Ordini.DataScadenzaPresaInCarico AS DSPC, tblPgPropietari.Nome AS Proprietà, tblMestieri.codice AS CodMestiere, 
                      tblMestieri.Descrizione AS Mestiere, Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine,
					  CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 00:00:00', 111) DataInizioOggiStore,
						CONVERT(DATETIME, CONVERT(varchar(11),getdate(), 111 ) + ' 23:59:59', 111) DataFineOggiStore
		FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario					  
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

$VistoMP = $rs[VistoMP] ? " - VistoMP" : "";

$isVistoMP = $rs[VistoMP] ? true : false;

$disabled_update = $rs[StatoOrd]>60 ? "true" : "false";

$DataInizioProgStore = ntxDateTimeT($rs[DataInizioProg]);
$DataFineProgStore = ntxDateTimeT($rs[DataFineProg]);

$DataInizioOggiStore = ntxDateTimeT($rs[DataInizioOggiStore]);
$DataFineOggiStore = ntxDateTimeT($rs[DataFineOggiStore]);

$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
$rs[DataFine] = ntxDateTime($rs[DataFine]);
$rs[DSPC] = ntxDateTime($rs[DSPC]);

$js = array();
$html = array();

foreach($rs as $k=>$v)
{
	$js[$k] = ntxjs($v);
	$html[$k] = htmlentities($v);
	$htmlb[$k] = "<b>".htmlentities($v)."</b>";
}

?>