<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg, tblOrdiniPrgComp.Eseguito, 
                      tblOrdiniPrgComp.dataInizio, tblOrdiniPrgComp.datafine, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Aperto, tblOrdiniPrgComp.Anomalia, 
                      tblOrdiniPrgComp.IdOrdPrgComp, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest,
						  tblOrdiniPrgComp.AttivitàDiLettura
						  
	FROM         tblOrdiniPrgComp INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND 
                      tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      tblOrdiniProgrammati ON tblOrdiniPrgComp.IdCommessa = tblOrdiniProgrammati.IdCommessa AND 
                      tblOrdiniPrgComp.IdOrdineProgrammato = tblOrdiniProgrammati.IdOrdineProgrammato INNER JOIN
                      Ordini ON tblOrdiniProgrammati.IdCommessa = Ordini.IDCommessa AND tblOrdiniProgrammati.NumOrdine = Ordini.NumOrdine AND 
                      tblOrdiniProgrammati.AnnoOrdine = Ordini.AnnoOrdine
	WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
		AND (tblOrdiniPrgComp.IdEdificio = $IdEdificio) 
		AND (tblOrdiniPrgComp.IdComponente = $IdComponente)
		AND Ordini.DataInizioProg <= getdate()
	ORDER BY dataInizioProg desc
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$AttivitàDiLettura = "";
	
	if ( $rs[AttivitàDiLettura] )
	{
		$AttivitàDiLettura = <<< label
			- <b style="border:2px solid #bbbbFF;background-color:#5555FF;color:white;text-shadow:none;font-weight:normal">Attività di Lettura</b>
label;
	}

	$DesStato = "non aperto";
	
	if ( $rs[Aperto] ) $DesStato = "aperto";
	if ( $rs[Anomalia] ) $DesStato = "anomalia";
	if ( $rs[Annullato] ) $DesStato = "annullato";
	if ( $rs[Eseguito] ) $DesStato = "eseguito";

	$color = "#FF5555;color:white;text-shadow:none;font-weight:normal";
	
	if ( $rs[Aperto] ) $color = "#FF9900";
	if ( $rs[Anomalia] ) $color = "#FFAAFF";
	if ( $rs[Annullato] ) $color = "#FFFFAA";
	if ( $rs[Eseguito] ) $color = "#AAFFAA";
	
	$table .= <<< table
		<div class=ParteStatica>
			ordine prd comp. <b>$html[IdOrdPrgComp]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			<br>mestiere <b>$html[CodMest]</b> - <b>$html[DesMest]</b>
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Attività <b>$html[CodAtt]</b> - <b DesAttività=$rs[IdOrdPrgComp] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			$AttivitàDiLettura
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
		</div>
table;
	
}

jhp($table);

?>