<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');
$IdUtente = ntxise('IdUtente');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, Ordini.DescrizioneIntervento AS des1, Ordini.Intervento, 
                      Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3, Ordini.DataInizio, Ordini.DataFine, tblMestieri.Descrizione AS mest, 
                      tblComponetiMestiere.Descrizione AS compMest, tblAttivitàMestiere.Descrizione AS attMest, TabellaGradoUrgenza.Descrizione AS grdUrg, Ditte.Ditta, 
                      Risorse.NOME AS Risorsa
	FROM         Ordini INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND 
                      Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU LEFT OUTER JOIN
                      Risorse ON Ordini.IdRisorsa = Risorse.ID LEFT OUTER JOIN
                      Ditte ON Ordini.Assegnazione = Ditte.IDDitta LEFT OUTER JOIN
                      tblComponetiMestiere ON Ordini.IDCommessa = tblComponetiMestiere.IdCommessa AND 
                      Ordini.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere LEFT OUTER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere LEFT OUTER JOIN
                      tblAttivitàMestiere ON Ordini.IDCommessa = tblAttivitàMestiere.IdCommessa AND Ordini.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	WHERE     (Ordini.IDCommessa = $IdCommessa) 
		AND (Ordini.CodEdificio = $IdEdificio) 
		AND (Ordini.IdAmbiente = $IdAmbiente)
		AND (Ordini.IdComponente IS NULL)
		AND (Ordini.DataOrdine <= getdate() )
		AND (TabellaGradoUrgenza.specifici=0 or TabellaGradoUrgenza.specifici is null)
	ORDER BY Ordini.DataOrdine DESC
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	if ( is_numeric($rs[NumOrdine]) ) $rs[NumOrdine] = (int)$rs[NumOrdine];
	
	$result .= <<< result
		<div class=ParteStatica>
			Ordine		<b>$rs[NumOrdine]/$rs[AnnoOrdine]</b> del <b>$rs[DataOrdine]</b><hr>
			stato		<b>$rs[DesStato]</b>
			gr.urg.		<b>$rs[grdUrg]</b><hr>
			Fornitore	<b>$rs[Ditta]</b>
			Risorsa		<b>$rs[Risorsa]</b><hr>
			descrizione	<b>{$rs[des1]}{$rs[des2]}{$rs[des3]}</b><hr>
			Intervento	<b>$rs[Intervento]</b><hr>
			iniziato	<b>$rs[DataInizio]</b> e finito <b>$rs[DataOrdine]</b><hr>
			mestiere		<b>$rs[mest]               </b><hr>
			componente		<b>$rs[compMest]               </b><hr>
			Attività		<b>$rs[attMest]               </b><hr>
		</div><hr>
result;
}

jhp($result);

?>