CREATE PROCEDURE dbo.SettaStatoMpSecondoPrg
	@IdCommessa int,
	@NumOrdine int,
	@AnnoOrdine int
AS
BEGIN
	SET NOCOUNT ON;
	
	declare @MinDataInizio datetime
	declare @MaxDataFine datetime
	declare @StatoOrd int
	declare @NumPrg int
	declare @IdRisorsa int
	declare @NumPrgFinite int
	declare @NumPrgEseguite int

	SELECT     @MinDataInizio = MIN(dataInizio) 
	FROM         tblOrdiniProgrammati
	WHERE     (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine) 
			AND (Aperto = 1) 
			AND (Annullato = 0 OR Annullato IS NULL) 
			AND (Anomalia = 0 OR Anomalia IS NULL)

	SELECT  @IdRisorsa = IdRisorsa
	FROM ordini
	WHERE     (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine) 

	if @MinDataInizio is not null 
		begin
			set @StatoOrd = 40
		end
	else
		begin
			if @IdRisorsa is not null
				set @StatoOrd = 37
			else
				set @StatoOrd = 35 
		end
	
	SELECT     @NumPrg = COUNT(*) 
	FROM         tblOrdiniProgrammati
	WHERE     (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine) 

	SELECT     @NumPrgFinite = COUNT(*) 
	FROM         tblOrdiniProgrammati
	WHERE     (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine)  
		AND (Annullato = 1 OR Anomalia = 1 OR Eseguito = 1)

	SELECT     @NumPrgEseguite = COUNT(*), @MaxDataFine = MAX(DataFine)
	FROM         tblOrdiniProgrammati
	WHERE     (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine)  
		AND (Eseguito = 1)
	
	if @NumPrg = @NumPrgFinite
	begin
		if @NumPrgEseguite > 0
			set @StatoOrd = 50
		else
			set @StatoOrd = 70
	end
	
	update ordini set statoOrd=@StatoOrd, dataInizio=@MinDataInizio, dataFine=@MaxDataFine
	WHERE (IdCommessa = @IdCommessa) AND (NumOrdine = @NumOrdine) AND (AnnoOrdine = @AnnoOrdine)
END
