<?php
session_start();

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');

$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');
$IdTipoCompMonitorato = ntxip('IdTipoCompMonitorato');
	
$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, Ordini.DataInizio, Ordini.DataFine, Ordini.DataInizioProg, Ordini.DataFineProg, 
                      Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, Ordini.DescrizioneIntervento2, ElencoEdifici.ID, ElencoEdifici.Codice, 
                      ElencoEdifici.Indirizzo, StatiOrdini.DesStato
	FROM         Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine)
sql;

$rs = ntxRecord(ntxQuery($sql));

$DataOrdine = ntxDateTime($rs[DataOrdine]);
$DesStato = htmlentities($rs[DesStato]);

$DataInizioProg = ntxDateTime($rs[DataInizioProg]);
$DataFineProg = ntxDateTime($rs[DataFineProg]);

$DataInizio = ntxDateTime($rs[DataInizio]);
$DataFine = ntxDateTime($rs[DataFine]);

if ( is_numeric($rs[NumOrdine]) ) $rs[NumOrdine] = (int)$rs[NumOrdine];

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$result = <<< result
	Ordine <b>$html[NumOrdine]/$html[AnnoOrdine]</b> stato <b>$DesStato</b> data <b>$DataOrdine</b>
	<br>localizzazione id <b>$html[ID]</b> codice <b>$html[Codice]</b> nome <b>$html[Indirizzo]</b>
	<br>descrizione <b>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}</b>
	<br>programmato dal $DataInizioProg al $DataFineProg
	<br>eseguito dal $DataInizio al $DataFine
result;

$sql = <<< sql
	SELECT     Id, Descrizione,
	(
		SELECT     COUNT(*) AS Expr1
		FROM         MonitoraggioStrade INNER JOIN
							  MonStradeLatLon ON MonitoraggioStrade.IdCommessa = MonStradeLatLon.IdCommessa AND 
							  MonitoraggioStrade.NumOrdine = MonStradeLatLon.NumOrdine AND MonitoraggioStrade.AnnoOrdine = MonStradeLatLon.AnnoOrdine AND 
							  MonitoraggioStrade.Componente = MonStradeLatLon.Componente
		WHERE     (MonitoraggioStrade.IdCommessa = $IdCommessa) AND (MonitoraggioStrade.NumOrdine = $NumOrdine) AND (MonitoraggioStrade.AnnoOrdine = $AnnoOrdine) 
				AND (MonitoraggioStrade.Componente = TipiCompMonitorati.Id)
	) countPI,
	(
		SELECT     COUNT(*) AS Expr1
		FROM         MonStradeLatLonDocs INNER JOIN
							  MonStradeLatLon ON MonStradeLatLonDocs.IdPadre = MonStradeLatLon.Id
		WHERE     (MonStradeLatLon.IdCommessa =  $IdCommessa) AND (MonStradeLatLon.NumOrdine =  $NumOrdine) AND (MonStradeLatLon.AnnoOrdine =  $AnnoOrdine) AND 
			  (MonStradeLatLon.Componente = TipiCompMonitorati.Id)
	) numFoto,
	(
		SELECT     COUNT(*) AS Expr1
		FROM         MonStradeLatLonRichieste INNER JOIN
							  MonStradeLatLon ON MonStradeLatLonRichieste.IdMonStradeLatLon = MonStradeLatLon.Id
		WHERE     (MonStradeLatLon.IdCommessa =  $IdCommessa) AND (MonStradeLatLon.NumOrdine =  $NumOrdine) AND (MonStradeLatLon.AnnoOrdine =  $AnnoOrdine) AND 
			  (MonStradeLatLon.Componente = TipiCompMonitorati.Id)
	) numRichieste
	FROM         TipiCompMonitorati
	WHERE     (IdCommessa = $IdCommessa) and Id=$IdTipoCompMonitorato
sql;

$rs=ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

if ( $rs[countPI]==1 ) $segnalazioni = "(una segnalazione)";
elseif ( $rs[countPI]>1 ) $segnalazioni = "($rs[countPI] segnalazioni)";
else $segnalazioni = "";

if ( $segnalazioni!="" ) $segnalazioni .= " - Num.Foto <b>$rs[numFoto]</b> - Num.Richieste <b>$rs[numRichieste]</b>";

$result .= <<< result
	<br> componente selezionato <b>$html[Descrizione]</b> $segnalazioni<br>
result;

$sql = <<< sql
	SELECT     VotiMonitoraggio.Voto, MonStradeLatLon.Id, MonStradeLatLon.Descrizione, MonStradeLatLon.Civico, MonStradeLatLon.SubCivico, MonStradeLatLon.Latitudine, 
						  MonStradeLatLon.Longitudine,
			(
				SELECT     COUNT(*) AS Expr1
				FROM         MonStradeLatLonDocs
				WHERE     (IdPadre = MonStradeLatLon.Id)
			) numFoto,
			(
				SELECT     COUNT(*) AS Expr1
				FROM         MonStradeLatLonRichieste
				WHERE     (IdMonStradeLatLon = MonStradeLatLon.Id)
			) numRichieste
	FROM         MonStradeLatLon LEFT OUTER JOIN
                      VotiMonitoraggio ON MonStradeLatLon.IdCommessa = VotiMonitoraggio.IdCommessa AND MonStradeLatLon.Voto = VotiMonitoraggio.Id
	WHERE     (MonStradeLatLon.IdCommessa = $IdCommessa) AND (MonStradeLatLon.NumOrdine = $NumOrdine) AND (MonStradeLatLon.AnnoOrdine = $AnnoOrdine) 
			AND (MonStradeLatLon.Componente =$IdTipoCompMonitorato)
	ORDER BY MonStradeLatLon.Id
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$result .= <<< result
		<div class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal">
			<div style="float:left">
				<input style="width:5em;height:4em" type=button value=edit onclick="SelPuntoMonitoraggio($rs[Id],'edit')" />
				<input style="width:5em;height:4em" type=button value=foto onclick="SelPuntoMonitoraggio($rs[Id],'foto')" />
				<input style="width:5em;height:4em" type=button value=richieste onclick="SelPuntoMonitoraggio($rs[Id],'richieste')" />
			</div>
			<div style="float:left" onclick="SelPuntoMonitoraggio($rs[Id],'edit')" >
				Valutazione <b>$html[Voto]</b> - Descrizione <b>$html[Descrizione]</b>
				<br>Lat/Lot <b>$html[Latitudine]/$html[Longitudine]</b> - Civico/Subcivico <b>$html[Civico]/$html[SubCivico]</b>
				<br>Num.Foto <b>$html[numFoto]</b> - Num.Richieste <b>$html[numRichieste]</b>
			</div>
		</div>
result;
}

$result .= <<< result
	<br><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:bold" onclick="RegistraPuntoMon()">Aggiungi</button>
result;

jhp($result);
 
?>
