<?php
session_start();

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$result['NoRichiesta'] = 'NO';
$result['DatiUltimaRichiesta'] = '';
$result['DataOrdine'] = '';
$result['Fornitore'] = '';
$result['IdDittaPreselezionata'] = '';

if ( !is_numeric($_POST[NumRichiesta]) || !is_numeric($_POST[AnnoRichiesta]) )
{
	$result['NoRichiesta'] = 'SI';
	jhp($result);
}

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$NumRichiesta = ntxip('NumRichiesta');
$AnnoRichiesta = ntxip('AnnoRichiesta');
 
$sql = <<< sql
	SELECT Stato
	FROM         Richieste
	WHERE     (IDCommessa = $IdCommessa) AND (NumRichiesta = $NumRichiesta) AND (AnnoRichiesta = $AnnoRichiesta)
sql;

$Stato = ntxScalar($sql);

if ( $Stato!=1 )
{
	$result['NoRichiesta'] = 'SI';
	jhp($result);
}

$sql = <<< sql
	SELECT DISTINCT    Ditte.IDDitta, Ditte.Ditta
	FROM         Ditte LEFT JOIN
						  DitteCommesse ON Ditte.IDDitta = DitteCommesse.IdDitta
	WHERE     (DitteCommesse.IdCommessa = $IdCommessa) OR Ditte.IDDitta=$IdDitta
	ORDER BY Ditte.Ditta
sql;

$query = ntxQuery($sql);

$sql = "SELECT getdate()";

$result['DataOrdine'] = ntxDateTimeT(ntxScalar($sql));

$Fornitore =  "";

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$Fornitore .= <<< table
			<option value='$rs[IDDitta]'>$html[Ditta]
table;
}

$result[Fornitore] = $Fornitore;

$result[IdDittaPreselezionata] = $IdDitta;


$sql = <<< sql
	SELECT     Richieste.NumRichiesta, Richieste.AnnoRichiesta, ElencoEdifici.Indirizzo, Richieste.DataRichiesta, Richieste.Descrizione, Richieste.Descrizione1, 
                      Richieste.Descrizione2, tblMestieri.Descrizione AS mest, tblComponetiMestiere.Descrizione AS comp, tblAttivitàMestiere.Descrizione AS att, 
                      Stati.DesStato, Richieste.DataInizioP
	FROM         Richieste INNER JOIN
                      ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID INNER JOIN
                      tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      Stati ON Richieste.Stato = Stati.IDStato LEFT OUTER JOIN
                      tblAttivitàMestiere ON Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa AND 
                      Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere LEFT OUTER JOIN
                      tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND 
                      Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (Richieste.IDCommessa = $IdCommessa) AND (Richieste.NumRichiesta = $NumRichiesta) AND (Richieste.AnnoRichiesta = $AnnoRichiesta)
sql;

$rs=ntxRecord(ntxQuery($sql));

$DataRichiesta = ntxDateTime($rs[DataRichiesta]);

$DataInizioP = ntxDateTime($rs[DataInizioP]);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$DatiUltimaRichiesta = <<< dati
Richiesta <b>$html[NumRichiesta]</b> / <b>$html[AnnoRichiesta]</b> del <b>$DataRichiesta</b> stato <b>$html[DesStato]</b> scadenza <b>$DataInizioP</b>
<br>Strada <b>$html[Indirizzo]</b> 
<br>Descrizione <b>{$html[Descrizione]}{$html[Descrizione1]}{$html[Descrizione2]}</b> 
<br>Mestiere <b>{$html[mest]}</b> 
<br>Componente <b>{$html[comp]}</b> 
<br>Attività <b>{$html[att]}</b> 
dati;

$result[DatiUltimaRichiesta] = $DatiUltimaRichiesta;

jhp($result);
 
?>
