<?php

if ( !$_SESSION ) session_start();

require_once('../../../../_ntx/const.inc');
require_once(NTX_PATH."jhp/jhp.inc");

require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 

$IdCommessa = ntxise('IdCommessa');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, TabellaGradoUrgenza.GradoU, TabellaGradoUrgenza.Descrizione DesGradoU, Ordini.DataOrdine, Ordini.DataInizio, Ordini.DataFine, 
                      Ordini.DataScadenza, StatiOrdini.DesStato, Ordini.StatoOrd, Ordini.DescrizioneIntervento AS des1, Ordini.DescrizioneIntervento1 AS des2, Ordini.DescrizioneIntervento2 AS des3, 
                      Ordini.NumRichiesta, Ordini.AnnoRichiesta, Ordini.Intervento, Ordini.PosaSegnaletica, Ordini.DataPresaInCarico, OrdiniLatLon.Descrizione AS desPuntoIntervento, 
                      OrdiniLatLon.Progressiva1 AS ProgKm, LatLonCarreggiata.Nome AS Carreggiata, ElencoEdifici.EdificioBreve AS Strada, tblMestieri.codice AS codMes, 
                      tblMestieri.Descrizione AS desMes, tblComponetiMestiere.codice AS codCom, tblComponetiMestiere.Descrizione AS desCom, tblAttivitàMestiere.codice AS codAtt, 
                      tblAttivitàMestiere.Descrizione AS desAtt, Richieste.Richiedente, Richieste.TecnicoC,
					  OrdiniLatLon.Latitudine, OrdiniLatLon.Longitudine, OrdiniLatLon.IdCarreggiata
	FROM         tblComponetiMestiere RIGHT OUTER JOIN
                      tblAttivitàMestiere RIGHT OUTER JOIN
                      Richieste INNER JOIN
                      Ordini INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      TabellaGradoUrgenza ON Ordini.IDCommessa = TabellaGradoUrgenza.IdCommessa AND Ordini.GradoUrgenza = TabellaGradoUrgenza.GradoU INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere ON 
                      Richieste.IDCommessa = Ordini.IDCommessaRichiesta AND Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND 
                      Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID ON tblAttivitàMestiere.IdCommessa = Ordini.IDCommessa AND 
                      tblAttivitàMestiere.IdAttivitàMestiere = Ordini.IdAttivitàMestiere ON tblComponetiMestiere.IdCommessa = Ordini.IDCommessa AND 
                      tblComponetiMestiere.IdComponenteMestiere = Ordini.IdComponenteMestiere LEFT OUTER JOIN
                      OrdiniLatLon LEFT OUTER JOIN
                      LatLonCarreggiata ON OrdiniLatLon.IdCarreggiata = LatLonCarreggiata.ID ON Ordini.IDCommessa = OrdiniLatLon.IDCommessa AND 
                      Ordini.NumOrdine = OrdiniLatLon.NumOrdine AND Ordini.AnnoOrdine = OrdiniLatLon.AnnoOrdine
					  
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

if ( "$rs[PosaSegnaletica]"=="" ) $rs[PosaSegnaletica] = 0;
if ( "$rs[IdCarreggiata]"=="" ) $rs[IdCarreggiata] = " ";


$rs[NumOrdine] = (int)$rs[NumOrdine];

$rs[DataInizio] = ntxDateTimeT($rs[DataInizio]);
$rs[DataFine] = ntxDateTimeT($rs[DataFine]);
$rs[DataPresaInCarico] = ntxDateTimeT($rs[DataPresaInCarico]);

$rs[PosaSegnaletica] = $rs[PosaSegnaletica] ? 1 : 0;

$rs[ProgKm] = ntxRoundThousand($rs[ProgKm], 3);
$rs[Progressiva1] = ntxRound($rs[ProgKm], 3);

$rs[Latitudine] = ntxRound($rs[Latitudine], 4);
$rs[Longitudine] = ntxRound($rs[Longitudine], 4);

$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataScadenza] = ntxDateTime($rs[DataScadenza]);

$html = array();
$htmlb = array();

foreach($rs as $k=>$v)
{
	$html[$k] = htmlentities($v);
	$htmlb[$k] = "<b>".htmlentities($v)."</b>";
}

foreach($rs as $k=>$v)
	$rs[$k] = "$v";

$mestiere = "$htmlb[codMes]".(trim($html[codMes]) ? " - " : "")."$htmlb[desMes]";
$componente = "$htmlb[codCom]".(trim($html[codCom]) ? " - " : "")."$htmlb[desCom]";
$Attività = "$htmlb[CodAtt]".(trim($html[CodAtt]) ? " - " : "")."$htmlb[desAtt]";

$rs[Testata] = <<< testata
	<div class=ParteStatica>
		Ordine $htmlb[NumOrdine]/$htmlb[AnnoOrdine] - $htmlb[DataOrdine] - $htmlb[DesStato]
		<hr>Richiesta $htmlb[NumRichiesta]/$htmlb[AnnoRichiesta] - Richiedente $htmlb[Richiedente] - TecnicoC $htmlb[TecnicoC]
		<hr>G.U. [$htmlb[GradoU]] $htmlb[DesGradoU] - Scadenza $htmlb[DataScadenza] 
	</div>
	<div class=ParteStatica>
		Strada $htmlb[Strada] - Carreggiata $htmlb[Carreggiata] - Prog.Km $htmlb[ProgKm] - descrizone $htmlb[desPuntoIntervento]
		<hr>Mestiere $mestiere
		<hr>Componente $componente
		<hr>Attività $Attività
		<hr>Descrizione {$htmlb[des1]}{$htmlb[des2]}{$htmlb[des3]}
	</div>
testata;

jhp($rs);

?>
