<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');

if ( !is_numeric($IdDitta) )
	jhp_error("Utente non associato a fornitore!");

if ( !is_numeric($IdRisorsa) )
	jhp_error("Utente non associato a risorsa fornitore!");

$sql = <<< sql
	SELECT     Ordini.DataOrdine, StatiOrdini.DesStato, Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DescrizioneIntervento, Ordini.DescrizioneIntervento1, 
						  Ordini.DescrizioneIntervento2, ElencoEdifici.EdificioBreve, tblMestieri.Descrizione Mestiere,
						  
						  (SELECT TOP 1 LatLonCarreggiata.Nome 
							FROM OrdiniLatLon LEFT JOIN LatLonCarreggiata
								ON LatLonCarreggiata.ID = OrdiniLatLon.IdCarreggiata
							WHERE OrdiniLatLon.AnnoOrdine = Ordini.AnnoOrdine 
								AND OrdiniLatLon.NumOrdine = Ordini.NumOrdine  
								AND OrdiniLatLon.IDCommessa = Ordini.IDCommessa
						  ) Carreggiata,
						  
						  (SELECT TOP 1 Progressiva1 
							FROM OrdiniLatLon
							WHERE OrdiniLatLon.AnnoOrdine = Ordini.AnnoOrdine 
								AND OrdiniLatLon.NumOrdine = Ordini.NumOrdine  
								AND OrdiniLatLon.IDCommessa = Ordini.IDCommessa						  
						  ) Progressiva1
						  						  
	FROM         Ordini INNER JOIN
						  ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
						  StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato 
						  INNER JOIN tblMestieri
						  ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere
	WHERE (Ordini.StatoOrd=35 OR (Ordini.StatoOrd  IN (37, 40) AND Ordini.IdRisorsa=$IdRisorsa))
		AND Ordini.IDCommessa = $IdCommessa AND Ordini.Assegnazione = $IdDitta 
		AND Ordini.GradoUrgenza<>'MP' AND Ordini.GradoUrgenza<>'MON'
sql;

$paginazione = ntxPaginazione($sql, "DataOrdine desc");

$query = $paginazione->query;

$table =  "";

while ($rs=ntxRecord($query))
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[Progressiva1] = ntxRoundThousand($rs[Progressiva1], 3);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$onclick = <<< onclick
		onclick="SelOrdine($rs[NumOrdine],$rs[AnnoOrdine])"
onclick;

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" $onclick>
			Strada <b>$html[EdificioBreve]</b>
			- Carreggiata <b>$html[Carreggiata]</b> - Prog.Km <b>$html[Progressiva1]</b>
			
			<br>Num./Anno <b>$html[NumOrdine]/$html[AnnoOrdine]</b> - Data <b>$html[DataOrdine]</b> - Stato <b>$html[DesStato]</b>
				 - Grado Urgenza <b>$html[GradoUrgenza]</b>
			<br>Mestiere <b>{$html[Mestiere]}</b>
			<br>Descrizione <b>{$html[DescrizioneIntervento]}{$html[DescrizioneIntervento1]}{$html[DescrizioneIntervento2]}</b>
		</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

jhp($result);

?>