<?php
require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc'); 
 
function convertToHoursMins($time, $format = '%02d:%02d') {
    if ($time < 1) {
        return;
    }
    $hours = floor($time / 60);
    $minutes = ($time % 60);
    return sprintf($format, $hours, $minutes);
} 
 
$IdPresenza = ntxip('IdPresenza');  
 
$table =  ""; 
 
$sql1 = <<<_SQL
SELECT 
	RisorsePresenzaDettaglio.ID 
	,RisorsePresenzaDettaglio.DataInizio 
	,RisorsePresenzaDettaglio.DataFine 
	,Ambiente.IdCommessa	 
	,Ambiente.IdEdificio	 
	,Ambiente.IDAmbiente	 
	,Ambiente.CodiceAssAmbiente  
	,DestinazioniDusoLivello.Destinazione AS Piano 
	,DestinazioniDuso.Destinazione AS DesUso 
	,ElencoEdifici.EdificioBreve, ElencoEdifici.Codice, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, 
	ElencoEdifici.CAP, ElencoEdifici.EdificioBreve AS Nome,  ElencoEdifici.CITTA AS Comune 
	
FROM 
	RisorsePresenzaDettaglio 
	LEFT OUTER JOIN
	Ambiente ON RisorsePresenzaDettaglio.IdCommessaAmbiente = Ambiente.IdCommessa AND  RisorsePresenzaDettaglio.IdEdificioAmbiente = Ambiente.IdEdificio AND RisorsePresenzaDettaglio.IDAmbiente = Ambiente.IDAmbiente
	LEFT OUTER JOIN
	PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND Ambiente.IdLivello = PianoLivello.idPiano 
	LEFT OUTER JOIN
	DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND  Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso 
	LEFT OUTER JOIN
	DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL	
	LEFT OUTER JOIN
	ElencoEdifici ON Ambiente.IdCommessa = ElencoEdifici.IdCommessa AND Ambiente.IdEdificio = ElencoEdifici.ID
WHERE 
	IdPresenza = $IdPresenza  
_SQL;

$sql = <<<_SQL
	$sql1 
	
	AND DataInizio IS NOT NULL
	AND DataFine IS NULL
_SQL;
$query = ntxQuery($sql);
while ($rs=ntxRecord($query))
{ 
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 			

	$table .= <<< table
	<div 
		class="ui-corner-all" 
		style="text-shadow: none; font-weight:normal; border:solid 1px black; margin-top:6px;
		
		background: #ffb74d !important; "  >
	
		<div style="font-weight:bold;font-size:120%; font-style:italic; border-bottom:solid 1px black;" >
		in corso
		</div>
		 
		<b>$html[Codice]  $html[Nome]</b>
		
		<br>  
		
		CodiceAssAmb: <strong>$html[CodiceAssAmbiente]</strong>
		<br>
		Piano: <strong>$html[Piano]</strong>
		<br>
		DesUso: <strong>$html[DesUso]</strong> 
	</div>
table;
}		

$sql = <<<_SQL
	SELECT TOP 1 *
	FROM
	(
	
		$sql1 
		
		AND DataInizio IS NOT NULL
		AND DataFine IS NOT NULL
	) AS A1
	ORDER BY DataFine DESC
_SQL;

$query = ntxQuery($sql);
while ($rs=ntxRecord($query))
{ 
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 			

	$table .= <<< table
	<div 
		class="ui-corner-all" 
		style="text-shadow: none; font-weight:normal; border:solid 1px black; margin-top:6px;
		
		background: #4db6ac !important; "  >	 
	
		<div style="font-weight:bold;font-size:120%; font-style:italic; border-bottom:solid 1px black;" >
		ultimo finito
		</div>
		 
		<b>$html[Codice]  $html[Nome]</b>
		
		<br>  
		
		CodiceAssAmb: <strong>$html[CodiceAssAmbiente]</strong>
		<br>
		Piano: <strong>$html[Piano]</strong>
		<br>
		DesUso: <strong>$html[DesUso]</strong> 
	</div>
table;
}		


$table2 = '';

$sql = <<<_SQL
	SELECT 
		TOP 1 *
		,DATEDIFF(minute,DataInizio,DataFine) AS differenzaM
	FROM
	(
	
		$sql1 
		
		AND DataInizio IS NOT NULL
		AND DataFine IS NOT NULL
	) AS A1
	ORDER BY DataFine DESC
_SQL;

$query = ntxQuery($sql);
while ($rs=ntxRecord($query))
{ 
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);
 
	$rs[differenzaStampa] = convertToHoursMins($rs[differenzaM], '%02d:%02d');
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v); 	 
		
	$table2 .= <<< table
	<div 
		class="ui-corner-all" 
		style="text-shadow: none; font-weight:normal; border:solid 1px black; margin-top:6px;
		font-size:90%;
		background: #e0e0e0 !important; "  >	 
	
		<div style="font-weight:bold;font-size:120%; font-style:italic; border-bottom:solid 1px black;" >
		tempo: $html[differenzaStampa] 
		</div>
		 
		<b>$html[Codice]  $html[Nome]</b>
		
		<br>  
		
		CodiceAssAmb: <strong>$html[CodiceAssAmbiente]</strong>
		<br>
		Piano: <strong>$html[Piano]</strong>
		<br>
		DesUso: <strong>$html[DesUso]</strong> 
	</div>
table;
}		





$record[html] = $table;  
$record[html2] = $table2;  

jhp($record);  
?>