<?php

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdRisultato = ntxip('IdRisultato');
$Valore = ntxip('Valore');

$sql = <<< sql
	update RisultatiControlloServiziPulizia set Risultato=$Valore
	WHERE     (Id = $IdRisultato) 
sql;

ntxQuery($sql);

$sql = <<< sql
	SELECT IdTesta FROM  RisultatiControlloServiziPulizia
	WHERE     (Id = $IdRisultato) 
sql;

$IdTesta = ntxScalar($sql);

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         RisultatiControlloServiziPulizia
	WHERE     (IdTesta = $IdTesta) AND (Risultato = 1)
sql;

$PuntiConformi = ntxScalar($sql);

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         RisultatiControlloServiziPulizia
	WHERE     (IdTesta = $IdTesta) AND (Risultato = 0)
sql;

$PuntiNonConformi = ntxScalar($sql);

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         RisultatiControlloServiziPulizia
	WHERE     (IdTesta = $IdTesta) AND (Risultato<2)
sql;

$PuntiControllati = ntxScalar($sql);

$sql = <<< sql
	SELECT     COUNT(*)
	FROM         RisultatiControlloServiziPulizia
	WHERE     (IdTesta = $IdTesta) AND (Risultato IS NULL)
sql;

$PuntiNonControllati = ntxScalar($sql);

if ($PuntiControllati!=0)
	$LivelloServizio = (float)$PuntiConformi/$PuntiControllati;
else
	$LivelloServizio = "";

$table3 = new NtxTable('TestaControlloServiziPulizia');

$update = $table3->update();

$update->init();

$update->set('PuntiControllati', $PuntiControllati);
$update->set('PuntiConformi', $PuntiConformi);
$update->set('PuntiNonConformi', $PuntiNonConformi);
$update->set('LivelloServizio', $LivelloServizio);

$update->where('Id', $IdTesta);

$update->execute();

$sql = <<< sql
	SELECT     CaratteristicheAmbienti.LivelloObbiettivo
	FROM         TestaControlloServiziPulizia AS t LEFT OUTER JOIN
                      CaratteristicheAmbienti ON t.IdAreaRischio = CaratteristicheAmbienti.Id
	WHERE     (t.id = $IdTesta)
sql;

$LivelloObbiettivo = ntxScalar($sql);

$statoLiv = ($LivelloServizio>=$LivelloObbiettivo);

$stato = $statoLiv ? "OK" : "NC";
$coloreStato = $statoLiv ? "green" : "red";

$LivelloServizio = ntxRound($LivelloServizio, 2);
$LivelloObbiettivo = ntxRound($LivelloObbiettivo, 2);

$result = <<< result
	<table class=grid style="font-size:10pt">
		<tr>
			<td>Punti Controllati<td style="font-weight:bold">$PuntiControllati
		<tr>
			<td>Punti Non Controllati<td style="font-weight:bold">$PuntiNonControllati
		<tr>
			<td>Punti Conformi<td style="font-weight:bold">$PuntiConformi
		<tr>
			<td>Punti Non Conformi<td style="font-weight:bold">$PuntiNonConformi
		<tr>
			<td>Livello Servizio<td style="font-weight:bold">$LivelloServizio
			<tr>
				<td>Livello Obbiettivo<td style="font-weight:bold">$LivelloObbiettivo
			<tr>
				<td>Stato<td style="color:$coloreStato;font-weight:bold">$stato
	</table>
result;

jhp($result);

?>
