<?php

require_once("../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdTesta = ntxip('IdTesta');

$sql = <<< sql
	SELECT     Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, t.Id, t.DataOra, tblUtUtilizzatori.Nome, CaratteristicheAmbienti.Descrizione, t.PuntiControllati, t.PuntiConformi, 
                      t.PuntiNonConformi, t.LivelloServizio, tblPgPropietari.Nome AS Cliente, ElencoEdifici.EdificioBreve, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA, DestinazioniDusoLivello.Destinazione AS Piano, Tecnici.Tecnico, t.IdRifAffidatario, t.NoteLocalizzative,
					  			
			(
				SELECT     COUNT(*)
				FROM         RisultatiControlloServiziPulizia
				WHERE     (IdTesta = t.Id) AND (Risultato is null)
				
			) PuntiNonControllati, 
			
			CaratteristicheAmbienti.LivelloObbiettivo

	FROM         Ambiente INNER JOIN
                      TestaControlloServiziPulizia AS t ON Ambiente.IdCommessa = t.IdCommessa AND Ambiente.IdEdificio = t.IdEdificio AND 
                      Ambiente.IDAmbiente = t.IdAmbiente INNER JOIN
                      PianoLivello ON Ambiente.IdCommessa = PianoLivello.IdCommessa AND Ambiente.IdEdificio = PianoLivello.IdEdificio AND 
                      Ambiente.IdLivello = PianoLivello.idPiano INNER JOIN
                      ElencoEdifici ON PianoLivello.IdCommessa = ElencoEdifici.IdCommessa AND PianoLivello.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      Tecnici ON t.IdTecnicoC = Tecnici.IDTec  LEFT OUTER JOIN
                      CaratteristicheAmbienti ON t.IdAreaRischio = CaratteristicheAmbienti.Id  LEFT OUTER JOIN
                      tblUtUtilizzatori ON t.IdCommessa = tblUtUtilizzatori.IdCommessa AND t.IdUtilizzatore = tblUtUtilizzatori.IdUtilizzatore LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (t.id = $IdTesta)
sql;

$rs = ntxRecord(ntxQuery($sql));

$statoLiv = ($rs[LivelloServizio]>=$rs[LivelloObbiettivo]);

$stato = $statoLiv ? "OK" : "NC";
$coloreStato = $statoLiv ? "green" : "red";

$rs[Data] = ntxDate($rs[DataOra]);
$rs[Ora] = ntxTimeAndSecond($rs[DataOra]);
$rs[LivelloServizio] = ntxRound($rs[LivelloServizio], 2);
$rs[LivelloObbiettivo] = ntxRound($rs[LivelloObbiettivo], 2);

foreach($rs as $k=>$v)
	$html[$k] = htmlentities($v);

$optionsRifAffidatari = "<option value=\"\">";

$sql = <<< sql
	SELECT DISTINCT tblPgRifAffidatari.IdRifAffidatario, tblPgRifAffidatari.Nome
	FROM         tblPgContrattiRifAffidatari INNER JOIN
						  tblPgRifAffidatari ON tblPgContrattiRifAffidatari.IdRifAffidatario = tblPgRifAffidatari.IdRifAffidatario
	WHERE     (tblPgContrattiRifAffidatari.IdCommessa = $IdCommessa)
	ORDER BY tblPgRifAffidatari.Nome
sql;

$query = ntxQuery($sql);

while($rs2=ntxRecord($query))
{
	$IdRifAffidatario = $rs2[IdRifAffidatario];
	$RifAffidatario = htmlentities($rs2[Nome]);
	
	$selected = $IdRifAffidatario ==$html[IdRifAffidatario] ? "SELECTED" : "";
	
	$optionsRifAffidatari .= "<option value=\"$IdRifAffidatario\" $selected>$RifAffidatario";
}

$testata = <<< testata
	<input id=btnEliminaScheda type=button value="Elimina Scheda" style="background:red" onclick="EliminaScheda($IdTesta)" />

	<table class=grid style="width:100%;font-size:10pt">
		<tr>
			<td>Committente<td style="font-weight:bold">$html[Cliente]
			<td>Struttura<td style="font-weight:bold">$html[EdificioBreve]
		<tr>
			<td>Piano<td style="font-weight:bold">$html[Piano]
			<td>Reparto<td style="font-weight:bold">$html[Nome]
		<tr>
			<td>Vano<td style="font-weight:bold" onclick="EditNoteLocalizzative($rs[Id])">$html[CodiceAssAmbiente] - $html[Destinazione] - <span id=NoteLocalizzative>$html[NoteLocalizzative]</span>
			<td>Area&nbsp;di&nbsp;rischio<td style="font-weight:bold">$html[Descrizione]
		<tr>
			<td>Data<td style="font-weight:bold">$html[Data]
			<td>Ora<td style="font-weight:bold">$html[Ora]
		<tr>
			<td>Resp.Committente<td style="font-weight:bold">$html[Tecnico]
			<td>Resp.Gestore<td style="font-weight:bold"><select ModificaRifAffidatatio onchange="ModificaRifAffidatatio(this, $IdTesta)">
					$optionsRifAffidatari
				</select>
	</table>
	<br>
testata;

$coda = <<< coda
	<br>
	<div id=divConteggioRisultati>
		<table class=grid style="font-size:10pt">
			<tr>
				<td>Punti Controllati<td style="font-weight:bold">$html[PuntiControllati]
			<tr>
				<td>Punti Non Controllati<td style="font-weight:bold">$html[PuntiNonControllati]
			<tr>
				<td>Punti Conformi<td style="font-weight:bold">$html[PuntiConformi]
			<tr>
				<td>Punti Non Conformi<td style="font-weight:bold">$html[PuntiNonConformi]
			<tr>
				<td>Livello Servizio<td style="font-weight:bold">$html[LivelloServizio]
			<tr>
				<td>Livello Obbiettivo<td style="font-weight:bold">$html[LivelloObbiettivo]
			<tr>
				<td>Stato<td style="color:$coloreStato;font-weight:bold">$stato
		</table>
	</div>
	<br>
	<input id=btnEliminaScheda2 type=button value="Elimina Scheda" style="background:red" onclick="EliminaScheda($IdTesta)" />
	<input id=btnBloccaScheda type=button value="Blocca Scheda" style="background:blue" onclick="BloccaScheda($IdTesta)" />
coda;

$sql = <<< sql
	SELECT     Id, IdControllo, ParametriDiControllo, StrumentiDiRilevazione, SogliaDiAccettazione, Risultato, Note
	FROM         RisultatiControlloServiziPulizia
		WHERE IdTesta=$IdTesta
	ORDER BY IdControllo, Id
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	$Id = $rs[Id];
	$IdControllo = $rs[IdControllo];

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$arrayParams[$IdControllo][$Id] = $html;
}


$sql = <<< sql
	SELECT Id IdControllo, ElementiDiControllo 
	FROM ControlloServiziPulizia
	WHERE IdTesta=$IdTesta
	ORDER BY IdControllo
sql;

$query = ntxQuery($sql);

$table = "";

while($rs=ntxRecord($query))
{
	$IdControllo = $rs[IdControllo];
	$ElementiDiControllo = htmlentities($rs[ElementiDiControllo]);
	
		$table .= <<< table
			<tr>
				<td colspan=6 style="background:#3333ff;font-size:18pt;color:white">$ElementiDiControllo
			<tr>
				<th style="width:1px">Fatto
				<th style="width:20%">Parametri di controllo
				<th style="width:5%">Strumento di rilevazione
				<th style="width:5%">Soglia di accettabilità
				<th style="width:5%">Risultato
				<th>Note
table;
	
	$params = $arrayParams[$IdControllo];
	
	foreach($params as $html)
	{
		$selected0 = is_numeric($html[Risultato])  &&  $html[Risultato]==0 ? "selected" : "";
		$selected1 = $html[Risultato]==1 ? "selected" : "";
		$selected2 = $html[Risultato]==2 ? "selected" : "";
		
		$Fatto = is_numeric($html[Risultato]) ? "x" : "";
		$FattoStyle = is_numeric($html[Risultato]) ? "#AAFFAA" : "#FFAAAA";
		
		$StyleCombo = "white";
		
		if (is_numeric($html[Risultato]))
		{
			switch($html[Risultato])
			{
				case 0:
					$StyleCombo = "#FFAAAA";
					break;
				case 1:
					$StyleCombo = "#AAFFAA";
					break;
				case 2:
					$StyleCombo = "#FFFFAA";
					break;
			}
		}
		
		$table .= <<< table
			<tr>
				<td IdRisultatoFatto=$html[Id] style="vertical-align:middle;text-align:center;background:$FattoStyle">$Fatto
				<td style="height:3em">$html[ParametriDiControllo]
				<td>$html[StrumentiDiRilevazione]
				<td>$html[SogliaDiAccettazione]
				<td IdRisultatoCombo=$html[Id] style="background:$StyleCombo"><select onchange="ModificaRisultatoScheda(this, $html[Id])">
						<option value="">
						<option value="1" $selected1>accettato
						<option value="0" $selected0>non accettato
						<option value="2" $selected2>non applicabile
					</select>
				<td IdRisultatoNote=$html[Id] onclick="EditNote($html[Id])">$html[Note]
table;
	}
	
	$table .= <<< table
		<tr>
			<td colspan=6>...
table;
}

$result = <<< result
	$testata
	<table class=grid style="width:100%;border:1px solid black">
		$table
	</table>
	$coda
result;

jhp($result);

?>