<?php

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,
                       Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, tblPgPropietari.Nome AS Cliente, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID INNER JOIN
                      tblOrdiniProgrammati ON Ordini.IDCommessa = tblOrdiniProgrammati.IdCommessa AND Ordini.NumOrdine = tblOrdiniProgrammati.NumOrdine AND 
                      Ordini.AnnoOrdine = tblOrdiniProgrammati.AnnoOrdine LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.IdOrdineProgrammato = $IdOrdineProgrammato)
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
$rs[DataFine] = ntxDateTime($rs[DataFine]);

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$Testata = <<< Testata
	loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
	<hr>Ente $html[Cliente]
	<hr>ordine $html[NumOrdine]/$html[AnnoOrdine] - data $html[DataOrdine]
	- stato $html[DesStato]
	<hr>mestiere $html[CodMestiere] - $html[Mestiere]
	<hr>data inizio p $html[DataInizioProg] - data fine p $html[DataFineProg]
	<hr>data inizio e $html[DataInizio] - data fine e $html[DataFine]
Testata;

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, tblOrdiniProgrammati.Eseguito, 
                      tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.IdOrdineProgrammato
	FROM         tblOrdiniProgrammati INNER JOIN
                      dbo.SplitId($IdOrdiniProgrammati) AS lista_id ON tblOrdiniProgrammati.IdOrdineProgrammato = lista_id.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$DesStato = "non aperto";

	if ( $rs[Aperto] ) $DesStato = "aperto";
	if ( $rs[Anomalia] ) $DesStato = "anomalia";
	if ( $rs[Annullato] ) $DesStato = "annullato";
	if ( $rs[Eseguito] ) $DesStato = "eseguito";

	$color = "#FF5555;color:white;text-shadow:none;font-weight:normal";
	
	if ( $rs[Aperto] ) $color = "#FF9900";
	if ( $rs[Anomalia] ) $color = "#FFAAFF";
	if ( $rs[Annullato] ) $color = "#FFFFAA";
	if ( $rs[Eseguito] ) $color = "#AAFFAA";

	$result['ord'.$rs[IdOrdineProgrammato]] = <<< OrdineProgrammato
			ordine prg <b>$html[IdOrdineProgrammato]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Attività  <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdineProgrammato] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
OrdineProgrammato;
}	

$result[Testata] = $Testata;
$result[ListaIdOrdiniProgrammati] = $ListaIdOrdiniProgrammati;

jhp($result);

?>