<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_401", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_401", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdOrdPrgComp = ntxip('IdOrdPrgComp');

$sql = <<< sql
	SELECT  TOP 1   IdTestata
	FROM         TestateLettureComponenti
	WHERE     (IdCommessa = $IdCommessa) AND (IdOrdPrgComp = $IdOrdPrgComp)
sql;

$IdTestata = ntxScalar($sql);

$sql = <<< sql
	SELECT     AttivitàDiLettura
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = $IdCommessa) AND (IdOrdPrgComp = $IdOrdPrgComp)
sql;

$AttivitàDiLettura = ntxScalar($sql);

if ( $AttivitàDiLettura  &&  !is_numeric($IdTestata) ) // crea testata e righe lettura
{
	$sql = <<< sql
		INSERT INTO TestateLettureComponenti
							  (IdCommessa, IdComponente, IdOrdPrgComp, IdEdificio, NomeTestata, IdAttivitàMestiere, DataOraLettura)
		SELECT     tblOrdiniPrgComp.IdCommessa, tblOrdiniPrgComp.IdComponente, tblOrdiniPrgComp.IdOrdPrgComp, tblOrdiniPrgComp.IdEdificio, 
							  tblAttivitàMestiere.NomeTestataLettura, tblOrdiniPrgComp.IdAttivitàMestiere, GETDATE() AS Expr1
		FROM         tblOrdiniPrgComp INNER JOIN
							  tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
							  tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
		WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) AND (tblOrdiniPrgComp.IdOrdPrgComp = $IdOrdPrgComp)
sql;

	ntxQuery($sql);
	
	$IdTestata = ntxId();
	
	$sql = <<< sql
		INSERT INTO LettureComponenti
							  (IdCommessa, IdModelloLettura, TipoDato, Etichetta, IdTestata)
		SELECT     tblOrdiniPrgComp.IdCommessa, ModelloLettureAttività.IdModelloLettura, ModelloLettureAttività.TipoDato, ModelloLettureAttività.Etichetta, 
							  $IdTestata
		FROM         ModelloLettureAttività INNER JOIN
							  tblOrdiniPrgComp ON ModelloLettureAttività.IdCommessa = tblOrdiniPrgComp.IdCommessa AND 
							  ModelloLettureAttività.IdAttivitàMestiere = tblOrdiniPrgComp.IdAttivitàMestiere
		WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) AND (tblOrdiniPrgComp.IdOrdPrgComp = $IdOrdPrgComp)
		ORDER BY ModelloLettureAttività.Etichetta
sql;

	ntxQuery($sql);
}

$table = "";

if ( !is_numeric($IdTestata) )
	jhp($table);

$sql = <<< sql
	SELECT     IdLettura, TipoDato, Etichetta, Lettura
	FROM         LettureComponenti
	WHERE     (IdTestata = $IdTestata)
	ORDER BY Etichetta
sql;

$query = ntxQuery($sql);

$i=1;

while ( $rs=ntxRecord($query) )
{
	foreach($rs as $k=>$v)
	{
		$js[$k] = ntxJs($v);
		$html[$k] = htmlentities($v);
	}
	
	$i++;
	
	$colore = "white";
	
	if ( !is_numeric($rs[TipoDato]) )
	{
		$TipoDato = "<br>".$traduttore->traduci('(tipo dato non riportato)');
		
		if ( strlen($rs[Lettura])>0 )
			$colore = "#AAFFAA";
	}
	else switch($rs[TipoDato])
	{
		case 0:
			$TipoDato = "<br>".$traduttore->traduci('(numero intero)');
			
			if ( strlen($rs[Lettura])>0 )
			{
			if ( is_numeric($rs[Lettura])  &&  (int)$rs[Lettura]==(float)$rs[Lettura] )
					$colore = "#AAFFAA";
				else
					$colore = "#FFAAAA";
			}	
			break;
		case 1:
			$TipoDato = "<br>".$traduttore->traduci('(numero reale)');
			
			if ( strlen($rs[Lettura])>0 )
			{
				if ( is_float($rs[Lettura]) )
					$colore = "#AAFFAA";
				else
					$colore = "#FFAAAA";
			}	
			break;
		case 2:
			$TipoDato = "<br>".$traduttore->traduci('(data/ora)');
			
			if ( strlen($rs[Lettura])>0 )
			{
				if ( ntxIsDateTime($rs[Lettura]) )
					$colore = "#AAFFAA";
				else
					$colore = "#FFAAAA";
			}	
			break;
		case 4:
			$TipoDato = "<br>".$traduttore->traduci('(testo)');
			
			if ( strlen($rs[Lettura])>0 )
				$colore = "#AAFFAA";
			break;
	}
	
	$table .= <<< table
		<div class="ui-field-contain">
			<label for="lettura_id_{$i}">$html[Etichetta] $TipoDato</label>
			<textarea id="lettura_id_{$i}" placeholder="$js[Etichetta]" value=""
				class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left;background-color:$colore"
				onblur="ModificaCampoLettura(this, $rs[IdLettura])"
			>$html[Lettura]</textarea>
		</div>
table;
}
$traduttore->Salva();

jhp($table);

?>