<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdEdificio = ntxip('IdEdificio');
$IdAmbiente = ntxip('IdAmbiente');

$sql = <<< sql
	SELECT     Ambiente.IDAmbiente, Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione, Ambiente.Rimosso, 
			Ambiente.H, Ambiente.P, Ambiente.MQ, Ambiente.MC, 
			Ambiente.DesAmbiente, 
			Ambiente.Note, 
			Ambiente.CdC, 
			CaratteristicheAmbienti.Descrizione AS Caratteristiche, 
			Ambiente.UtenteModifica, 
			Ambiente.DataUltimaModifica, 
			Ambiente.DataInserimento, 
			Ambiente.UtenteInserimento,
			Ambiente.DataRimozione
	FROM         Ambiente LEFT OUTER JOIN
                      CaratteristicheAmbienti ON Ambiente.Caratteristiche = CaratteristicheAmbienti.Id LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso
	WHERE     (Ambiente.IdCommessa = $IdCommessa) 
		AND (Ambiente.IdEdificio = $IdEdificio) 
		AND (Ambiente.IDAmbiente = $IdAmbiente)
sql;

$query = ntxQuery($sql);

if($rs=ntxRecord($query))
{
	$Rimosso = $rs[Rimosso] ? "SI" : "";
	
	$rs[H] = ntxRoundThousand($rs[H], 2);
	$rs[P] = ntxRoundThousand($rs[P], 2);
	$rs[MC] = ntxRoundThousand($rs[MC], 2);
	$rs[MQ] = ntxRoundThousand($rs[MQ], 2);
	
	$rs[DataUltimaModifica] = ntxDateTime($rs[DataUltimaModifica], 3);
	$rs[DataInserimento] = ntxDateTime($rs[DataInserimento], 3);
	$rs[DataRimozione] = ntxDateTime($rs[DataRimozione], 3);
	
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$result = <<< result
		<div class=ParteStatica>
			id			<b>$rs[IDAmbiente]       </b><hr>
			cod			<b>$rs[CodiceAssAmbiente]</b><hr>
			CdC			<b>$rs[CdC]               </b><hr>
			des.uso		<b>$rs[Destinazione]      </b><hr>
			descrizione	<b>$rs[DesAmbiente]        </b><hr>
			note		<b>$rs[Note]               </b><hr>
			H			<b>$rs[H]        </b><hr>
			P			<b>$rs[P]               </b><hr>
			MQ			<b>$rs[MQ]        </b><hr>
			MC			<b>$rs[MC]               </b><hr>
			rimosso		<b>$Rimosso                </b>
		</div><hr>
		<div class=ParteStatica>
result;
}

$sql = <<< sql
	SELECT     derivedtbl_1.IdPropAmb, derivedtbl_1.Propietà , tblValoriAmbienti.Valore
	FROM         tblValoriAmbienti RIGHT OUTER JOIN
							  (SELECT     Ambiente.IdCommessa, Ambiente.IdEdificio, Ambiente.IDAmbiente, tblPropTipiAmb.Propietà , tblPropTipiAmb.IdPropAmb
								FROM          Ambiente INNER JOIN
													   tblPropTipiAmb ON Ambiente.IdCommessa = tblPropTipiAmb.IdCommessa AND 
													   Ambiente.IdTipoAmbiente = tblPropTipiAmb.IdTipoAmb
		WHERE     (Ambiente.IdCommessa = $IdCommessa) 
			AND (Ambiente.IdEdificio = $IdEdificio) 
			AND (Ambiente.IDAmbiente = $IdAmbiente)
	) derivedtbl_1 on
	tblValoriAmbienti.IdCommessa = derivedtbl_1.IdCommessa AND tblValoriAmbienti.IdEdificio = derivedtbl_1.IdEdificio AND 
	tblValoriAmbienti.IDAmbiente = derivedtbl_1.IDAmbiente AND tblValoriAmbienti.IdPropAmb = derivedtbl_1.IdPropAmb
sql;

$query = ntxQuery($sql);

while($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$rs[$k] = htmlentities($v);
		
	$result .= <<< result
			 $rs[Propietà ] <b>$rs[Valore]</b><hr>
result;
}

$result .= "</div>";

jhp($result);

?>