<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

require_once('C:/ms4w_3.2.1/Apache/htdocs/repository/traduttore/traduttore_v4.inc');

$traduttore = new NtxTraduttore("000_000_382", "IT", $_SESSION[NTX_LINGUA_DEST]);
//$traduttore = new NtxCreaTraduzione("000_000_382", "IT", __FILE__);

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$Tipo = ntxip('Tipo');
$IdEdificio = ntxip('IdEdificio');
$Filtro = ntxip('Filtro');

$sql = <<< sql
	SELECT DISTINCT 
						  ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, 
						  ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente
	FROM         ElencoEdifici LEFT OUTER JOIN
						  tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio) 
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

/*$table = <<< table
	<div class=ParteStatica> 
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
	</div>
table;*/
$table =
	"<div class=ParteStatica>".
			$traduttore->traduci('Localizzazione')." $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>".$traduttore->traduci('Ente')." $html[Cliente]
	</div>"
;


$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa = $IdRisorsa AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

$PosizionePagina = $_POST[PaginazionePosizionePagina];

if ( !is_numeric($PosizionePagina) || $PosizionePagina==1)
{
	if($Filtro==1 || $Filtro==2) include('ricerca_ordini-piani.inc');
	if($Filtro==1 || $Filtro==3) include('ricerca_ordini-utilizzatori.inc');
}

$TipoMP = 0;

switch($Filtro)
{
	case 1: //Tutto
		$TipoMP = "0,1,2,3";
		break;
	case 2: //PRD Componenti/Vani
	case 3: //PRD Utilizzatori
		$TipoMP = "-1";
		break;
	case 4: //MP senza PRD
		$TipoMP = "0";
		break;
	case 5: //MP con PRD
		$TipoMP = "1,2,3";
		break;
}

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,
                       Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, Ordini.VistoMP, ISNULL(Ordini.TipoMP,0) TipoMP 
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.Assegnazione = $IdDitta) 
				AND Ordini.GradoUrgenza='MP'
				AND Ordini.CodEdificio=$IdEdificio
				AND ISNULL(Ordini.TipoMP,0) IN ($TipoMP)
	$addWhere
sql;

$paginazione = ntxPaginazione($sql, "DataInizioProg desc");

$query = $paginazione->query;

while ($rs=ntxRecord($query))
{
	$rs[NumOrdine] = (int)$rs[NumOrdine];
	$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
	$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
	$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
	$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
	$rs[DataFine] = ntxDateTime($rs[DataFine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
 //				

	$VistoMP = $rs[VistoMP] ? " - VistoMP" : "";
	
	switch($rs[TipoMP])
	{
		case 0: //mp liscio
			$colore = "silver";
			break;
		case 1: //prd componenti
			$colore = "aqua";
			break;
		case 2: //prd vani
			$colore = "yellow";
			break;
		case 3: //prd utilizzatori
			$colore = "orange";
			break;
	}

	/*$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;background-color:{$colore}"
				onclick="SelOrdine($rs[NumOrdine],$rs[AnnoOrdine])">
			ordine <b>$html[NumOrdine]/$html[AnnoOrdine]</b> - data <b>$html[DataOrdine]</b>
			- stato <b>$html[DesStato] $VistoMP</b>
			<br>mestiere <b>$html[CodMestiere]</b> - <b>$html[Mestiere]</b>
			<br>data inizio p <b>$html[DataInizioProg]</b> - data fine p <b>$html[DataFineProg]</b>
			<br>data inizio e <b>$html[DataInizio]</b> - data fine e <b>$html[DataFine]</b>
		</button>
table;*/
	$table .= 
		"<button class=\"ui-btn ui-corner-all ui-shadow\" style=\"font-weight:normal;background-color:{$colore}\"
				onclick=\"SelOrdine($rs[NumOrdine],$rs[AnnoOrdine])\">".
			$traduttore->traduci('Ordine')." <b>$html[NumOrdine]/$html[AnnoOrdine]</b> - ".$traduttore->traduci('Data')." <b>$html[DataOrdine]</b>
			- ".$traduttore->traduci('Stato')." <b>$html[DesStato] $VistoMP</b>
			<br>".$traduttore->traduci('Mestiere')." <b>$html[CodMestiere]</b> - <b>$html[Mestiere]</b>
			<br>".$traduttore->traduci('Data Inizio P')." <b>$html[DataInizioProg]</b> - ".$traduttore->traduci('Data Fine P')." <b>$html[DataFineProg]</b>
			<br>".$traduttore->traduci('Data Inizio E')." <b>$html[DataInizio]</b> - ".$traduttore->traduci('Data Fine E')." <b>$html[DataFine]</b>
		</button>"
;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = $paginazione->PosizionePagina;
$result[NumeroPagine] = $paginazione->NumeroPagine;
$result[RighePerPagina] = $paginazione->RighePerPagina;

$traduttore->Salva();

jhp($result);

?>