<?php

$IdEdificio = ntxip('IdEdificio');
$IdComponente = ntxip('IdComponente');

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente, PianoLivello.CodiceAssLivello, DestinazioniDusoLivello.Destinazione, 
                      Ambiente.CodiceAssAmbiente, DestinazioniDuso.Destinazione AS DesVano, ComponentiAmbiente.CodiceAssComponente, 
                      TipoComponente.DesComponente
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL INNER JOIN
                      Ambiente ON PianoLivello.IdCommessa = Ambiente.IdCommessa AND PianoLivello.IdEdificio = Ambiente.IdEdificio AND 
                      PianoLivello.idPiano = Ambiente.IdLivello INNER JOIN
                      ComponentiAmbiente ON Ambiente.IdCommessa = ComponentiAmbiente.IdCommessa AND Ambiente.IdEdificio = ComponentiAmbiente.IdEdificio AND 
                      Ambiente.IDAmbiente = ComponentiAmbiente.IDAmbiente INNER JOIN
                      TipoComponente ON ComponentiAmbiente.IdCommessa = TipoComponente.IdCommessa AND 
                      ComponentiAmbiente.IdTipoComponente = TipoComponente.IDTipoComponente LEFT OUTER JOIN
                      DestinazioniDuso ON Ambiente.IdCommessa = DestinazioniDuso.IdCommessa AND 
                      Ambiente.IdDestinazioneduso = DestinazioniDuso.IdDestinazioneuso LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio)  AND (ComponentiAmbiente.IDComponente = $IdComponente) 
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$Testata = <<< Testata
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
			<hr>Piano $html[CodiceAssLivello] - $html[Destinazione]
			<hr>Vano $html[CodiceAssAmbiente] - $html[DesVano]
			<hr>Componente $html[CodiceAssComponente] - $html[DesComponente]
Testata;

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniPrgComp.dataInizioProg, tblOrdiniPrgComp.dataFineProg, tblOrdiniPrgComp.Eseguito, 
                      tblOrdiniPrgComp.dataInizio, tblOrdiniPrgComp.datafine, tblOrdiniPrgComp.Annullato, tblOrdiniPrgComp.Aperto, tblOrdiniPrgComp.Anomalia, 
                      tblOrdiniPrgComp.IdOrdPrgComp, tblMestieri.codice AS CodMest, tblMestieri.Descrizione AS DesMest, 
						  tblOrdiniPrgComp.ListaControlloObbligatoria, 
						  tblOrdiniPrgComp.ChiusaListaControllo,
						  tblOrdiniPrgComp.Attività DiLettura
						  
	FROM         tblOrdiniPrgComp INNER JOIN
                      dbo.SplitId($ListaIdOrdPrgComp) AS lista_id ON tblOrdiniPrgComp.IdOrdPrgComp = lista_id.id INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniPrgComp.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniPrgComp.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere INNER JOIN
                      tblMestieri ON tblComponetiMestiere.IdCommessa = tblMestieri.IdCommessa AND tblComponetiMestiere.IdMestiere = tblMestieri.IdMestiere
	WHERE     (tblOrdiniPrgComp.IdCommessa = $IdCommessa) 
sql;

$query = ntxQuery($sql);

while ( $rs = ntxRecord($query) )
{
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$Attività DiLettura = "";
	
	if ( $rs[Attività DiLettura] )
	{
		$Attività DiLettura = <<< label
			- <b style="border:2px solid #bbbbFF;background-color:#5555FF;color:white;text-shadow:none;font-weight:normal">Attività  di Lettura</b>
label;
	}

	$DesStato = "non aperto";

	if ( $rs[Aperto] ) $DesStato = "aperto";
	if ( $rs[Anomalia] ) $DesStato = "anomalia";
	if ( $rs[Annullato] ) $DesStato = "annullato";
	if ( $rs[Eseguito] ) $DesStato = "eseguito";

	$color = $color2 = "#FF5555;color:white;text-shadow:none;font-weight:normal";
	
	if ( $rs[Aperto] ) $color = "#FF9900";
	if ( $rs[Anomalia] ) $color = "#FFAAFF";
	if ( $rs[Annullato] ) $color = "#FFFFAA";
	if ( $rs[Eseguito] ) $color = "#AAFFAA";

	$listaControllo = "";

	if ( $rs[ChiusaListaControllo] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:#AAFFAA">Verificata lista controllo</b>
lc;
	elseif ( $rs[ListaControlloObbligatoria] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:$color2">Verificare lista controllo</b>
lc;

	$result['ord'.$rs[IdOrdPrgComp]] = <<< OrdineProgrammato
			ordine prd comp. <b>$html[IdOrdPrgComp]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			$listaControllo
			<br>mestiere <b>$html[CodMest]</b> - <b>$html[DesMest]</b>
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Attività  <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdPrgComp] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			$Attività DiLettura
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
OrdineProgrammato;
}	

$result[Testata] = $Testata;
$result[ListaIdOrdPrgCompArray] = $ListaIdOrdPrgCompArray;

jhp($result);

?>