<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');
require_once("$_SERVER[DOCUMENT_ROOT]/repository2/paginazione/sql.inc");

$IdCommessa = ntxise('IdCommessa');
$stato_programmate = ntxsp('stato_programmate');
$NumOrdine = ntxip('NumOrdine');
$AnnoOrdine = ntxip('AnnoOrdine');

$sql = <<< sql
	SELECT     Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataOrdine, StatiOrdini.DesStato, tblMestieri.codice AS CodMestiere, tblMestieri.Descrizione AS Mestiere,
                       Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine, tblPgPropietari.Nome AS Cliente, ElencoEdifici.ID AS IdEdificio, 
                      ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, ElencoEdifici.CITTA, 
                      ElencoEdifici.PROVINCIA
	FROM         Ordini INNER JOIN
                      tblMestieri ON Ordini.IDCommessa = tblMestieri.IdCommessa AND Ordini.IdMestiere = tblMestieri.IdMestiere INNER JOIN
                      StatiOrdini ON Ordini.StatoOrd = StatiOrdini.IDStato INNER JOIN
                      ElencoEdifici ON Ordini.IDCommessa = ElencoEdifici.IdCommessa AND Ordini.CodEdificio = ElencoEdifici.ID LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (Ordini.IDCommessa = $IdCommessa) AND (Ordini.NumOrdine = $NumOrdine) AND (Ordini.AnnoOrdine = $AnnoOrdine) 
sql;

$rs = ntxRecord(ntxQuery($sql));

$rs[NumOrdine] = (int)$rs[NumOrdine];
$rs[DataOrdine] = ntxDateTime($rs[DataOrdine]);
$rs[DataInizioProg] = ntxDateTime($rs[DataInizioProg]);
$rs[DataFineProg] = ntxDateTime($rs[DataFineProg]);
$rs[DataInizio] = ntxDateTime($rs[DataInizio]);
$rs[DataFine] = ntxDateTime($rs[DataFine]);

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$disabled = $_POST[VistoMP] ? "DISABLED" : "";
	
$table = <<< table
	<div class=ParteStatica Testata> 
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
			<hr>ordine $html[NumOrdine]/$html[AnnoOrdine] - data $html[DataOrdine]
			- stato $html[DesStato]
			<hr>mestiere $html[CodMestiere] - $html[Mestiere]
			<hr>data inizio p $html[DataInizioProg] - data fine p $html[DataFineProg]
			<hr>data inizio e $html[DataInizio] - data fine e $html[DataFine]
	</div>

	<div class="ui-grid-b" id=TestaLista>
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('YES')" $disabled>Sel.Tutto</button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('NO')" $disabled>Sel.Niente</button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="Altro('TestaLista', 'none')" $disabled>Altro...</button></div>
	</div>
table;



$addWhere = "";

if ( $_POST[stato_programmate]=='Anomalie' ) // in carico
{
	$addWhere .= " AND tblOrdiniProgrammati.Anomalia = 1 AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)";
}
elseif ( $_POST[stato_programmate]=='Annullate' ) // da assegnare
{
	$addWhere .= " AND tblOrdiniProgrammati.Annullato = 1";
}
elseif ( $_POST[stato_programmate]=='Chiuse' ) // finiti
{
	$addWhere .= " AND tblOrdiniProgrammati.Eseguito = 1";
}
else
{
	$addWhere .= " AND (tblOrdiniProgrammati.Eseguito = 0 OR tblOrdiniProgrammati.Eseguito IS NULL)";
	$addWhere .= " AND (tblOrdiniProgrammati.Annullato = 0 OR tblOrdiniProgrammati.Annullato IS NULL)";
	$addWhere .= " AND (tblOrdiniProgrammati.Anomalia = 0 OR tblOrdiniProgrammati.Anomalia IS NULL)";
}

$sql = <<< sql
	SELECT     tblComponetiMestiere.codice AS CodComp, tblComponetiMestiere.Descrizione AS DesComp, tblAttivitàMestiere.codice AS CodAtt, 
                      tblAttivitàMestiere.Descrizione AS DesAtt, tblOrdiniProgrammati.dataInizioProg, tblOrdiniProgrammati.dataFineProg, tblOrdiniProgrammati.Eseguito, 
                      tblOrdiniProgrammati.dataInizio, tblOrdiniProgrammati.datafine, tblOrdiniProgrammati.Annullato, tblOrdiniProgrammati.Aperto, 
                      tblOrdiniProgrammati.Anomalia, tblOrdiniProgrammati.IdOrdineProgrammato, 
						  tblOrdiniProgrammati.ListaControlloObbligatoria, 
						  tblOrdiniProgrammati.ChiusaListaControllo
	FROM         tblOrdiniProgrammati INNER JOIN
                      tblAttivitàMestiere ON tblOrdiniProgrammati.IdCommessa = tblAttivitàMestiere.IdCommessa AND 
                      tblOrdiniProgrammati.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere INNER JOIN
                      tblComponetiMestiere ON tblAttivitàMestiere.IdCommessa = tblComponetiMestiere.IdCommessa AND 
                      tblAttivitàMestiere.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere
	WHERE     (tblOrdiniProgrammati.IdCommessa = $IdCommessa) 
		AND (tblOrdiniProgrammati.NumOrdine = $NumOrdine) 
		AND (tblOrdiniProgrammati.AnnoOrdine = $AnnoOrdine)
	$addWhere
	ORDER BY CodComp, DesComp, CodAtt, DesAtt
sql;

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	$rs[dataInizioProg] = ntxDateTime($rs[dataInizioProg]);
	$rs[dataFineProg] = ntxDateTime($rs[dataFineProg]);
	$rs[dataInizio] = ntxDateTime($rs[dataInizio]);
	$rs[datafine] = ntxDateTime($rs[datafine]);

	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);

	$DesStato = "non aperto";
	
	if ( $rs[Aperto] ) $DesStato = "aperto";
	if ( $rs[Anomalia] ) $DesStato = "anomalia";
	if ( $rs[Annullato] ) $DesStato = "annullato";
	if ( $rs[Eseguito] ) $DesStato = "eseguito";

	$color = $color2 = "#FF5555;color:white;text-shadow:none;font-weight:normal";
	
	if ( $rs[Aperto] ) $color = "#FF9900";
	if ( $rs[Anomalia] ) $color = "#FFAAFF";
	if ( $rs[Annullato] ) $color = "#FFFFAA";
	if ( $rs[Eseguito] ) $color = "#AAFFAA";
	
	$listaControllo = "";
	
	if ( $rs[ChiusaListaControllo] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:#AAFFAA">Verificata lista controllo</b>
lc;
	elseif ( $rs[ListaControlloObbligatoria] )
		$listaControllo = <<< lc
			- <b style="border:2px solid #bbbbFF;background-color:$color2">Verificare lista controllo</b>
lc;

	$table .= <<< table
		<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left" onclick="SelOrdinePrg2($rs[IdOrdineProgrammato])"
						IdOrdineProgrammato="$rs[IdOrdineProgrammato]" Selezionato=NO>
			ordine prg <b>$html[IdOrdineProgrammato]</b>
			- stato <b style="border:2px solid #bbbbFF;background-color:$color">$DesStato</b>
			$listaControllo
			<br>componente <b>$html[CodComp]</b> - <b>$html[DesComp]</b>
			<br>Attività  <b>$html[CodAtt]</b> - <b DesAttività =$rs[IdOrdineProgrammato] style="border:2px solid #bbbbFF;background-color:#DDDDFF;white-space:nowrap">$html[DesAtt]</b>
			<br>data inizio p <b>$html[dataInizioProg]</b> - data fine p <b>$html[dataFineProg]</b>
			<br>data inizio e <b>$html[dataInizio]</b> - data fine e <b>$html[datafine]</b>
		</button>
	<div class="ui-grid-d" style="display:none" Selezionato2=NO IdOrdineProgrammato2="$rs[IdOrdineProgrammato]" id="CodaOrdine{$rs[IdOrdineProgrammato]}">
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#FF9900" onclick="ApriChiudiSingoloPrg($rs[IdOrdineProgrammato], 1, 0)" btnIdOrdPrg=$rs[IdOrdineProgrammato]>Inizia Attività </button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#AAFFAA" onclick="ApriChiudiSingoloPrg($rs[IdOrdineProgrammato], 0, 1)" btnIdOrdPrg=$rs[IdOrdineProgrammato]>Chiudi Attività </button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:#FF5555;color:white;text-shadow:none;font-weight:normal" onclick="ApriChiudiSingoloPrg($rs[IdOrdineProgrammato], 0, 0)" btnIdOrdPrg=$rs[IdOrdineProgrammato]>Resetta</button></div>
		<div class="ui-block-d"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal;background-color:white;color:black;text-shadow:none;font-weight:normal" onclick="VediListaControllo($rs[IdOrdineProgrammato])" btnIdOrdPrg=$rs[IdOrdineProgrammato]>Lista Controllo...</button></div>
		<div class="ui-block-e"><button class="ui-btn ui-corner-all ui-shadow" $disabled style="font-weight:normal" onclick="Altro('CodaOrdine{$rs[IdOrdineProgrammato]}', $rs[IdOrdineProgrammato])" btnIdOrdPrg=$rs[IdOrdineProgrammato]>Altro...</button></div>
	</div>
table;
	
}

$table .= <<< table
	<div class="ui-grid-b" id=CodaLista>
		<div class="ui-block-a"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('YES')" $disabled>Sel.Tutto</button></div>
		<div class="ui-block-b"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="SelTutto('NO')" $disabled>Sel.Niente</button></div>
		<div class="ui-block-c"><button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal" onclick="Altro('CodaLista', 'none')" $disabled>Altro...</button></div>
	</div>
table;

$result = array();

$result[table] = $table;

$result[PosizionePagina] = 1;
$result[NumeroPagine] = 1;
$result[RighePerPagina] = 1;

jhp($result);

?>