<?php

require_once("../../../../_ntx/const.inc");
require_once(NTX_PATH."jhp/jhp.inc");
require_once(NTX_WEBPORTAL_PATH.'_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdDitta = ntxise('IdDitta');
$IdRisorsa = ntxise('IdRisorsa');
$Tipo = ntxip('Tipo');
$IdEdificio = ntxip('IdEdificio');
$IdPiano = ntxip('IdPiano');

$sql = <<< sql
	SELECT DISTINCT 
                      ElencoEdifici.ID AS IdEdificio, ElencoEdifici.Codice AS CodLocaliz, ElencoEdifici.EdificioBreve AS NomeLocaliz, ElencoEdifici.Indirizzo, 
                      ElencoEdifici.CITTA, ElencoEdifici.PROVINCIA, tblPgPropietari.Nome AS Cliente, PianoLivello.CodiceAssLivello, 
                      DestinazioniDusoLivello.Destinazione
	FROM         ElencoEdifici INNER JOIN
                      PianoLivello ON ElencoEdifici.IdCommessa = PianoLivello.IdCommessa AND ElencoEdifici.ID = PianoLivello.IdEdificio INNER JOIN
                      DestinazioniDusoLivello ON PianoLivello.IdCommessa = DestinazioniDusoLivello.IdCommessa AND 
                      PianoLivello.IdDestUso = DestinazioniDusoLivello.IdDUL LEFT OUTER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
	WHERE     (ElencoEdifici.IDCommessa = $IdCommessa) AND (ElencoEdifici.ID = $IdEdificio)  AND (PianoLivello.IdPiano = $IdPiano) 
sql;

$rs = ntxRecord(ntxQuery($sql));

foreach($rs as $k=>$v)
	$html[$k] = "<b>".htmlentities($v)."</b>";

$table = <<< table
	<div class=ParteStatica> 
			loc. $html[CodLocaliz] - $html[NomeLocaliz] - $html[Indirizzo] - $html[CITTA] ($html[PROVINCIA])
			<hr>Ente $html[Cliente]
			<hr>Piano $html[CodiceAssLivello] - $html[Destinazione]
	</div>
table;

$addWhere = "";

if ( $Tipo==1 ) // in carico
{
	$addWhere .= " AND Ordini.IdRisorsa = $IdRisorsa AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==2 ) // da assegnare
{
	$addWhere .= " AND Ordini.IdRisorsa IS NULL AND (Ordini.StatoOrd = 35 OR Ordini.StatoOrd = 37 OR Ordini.StatoOrd = 40)";
}
elseif ( $Tipo==3 ) // finiti
{
	$addWhere .= " AND Ordini.StatoOrd >= 50";
}

$DataInizioProg=ntxttp('DataInizioProg', true);
$DataFineProg=ntxttp('DataFineProg', true);

if ( $DataInizioProg!="NULL" )
	$addWhere .= " AND Ordini.DataFineProg >= $DataInizioProg";

if ( $DataFineProg!="NULL" )
	$addWhere .= " AND Ordini.DataInizioProg <= $DataFineProg";

require('ricerca-vani.inc');
require('ricerca-componente.inc');

$query = ntxQuery($sql);

while ($rs=ntxRecord($query))
{
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	if ( $rs[TotTotale]==$rs[TotChiusi] )
		$statoUno = "<span style='background-color:#AAFFAA;color:black;padding:3px'>finito</span>";
	else
		$statoUno = "<span style='background-color:#FF9900;color:black;padding:3px'>da fare</span>";
	
	if ( $rs[TotAnomalia]>0 )
		$statoAnomalia = "<span style='background-color:#FFAAFF;color:black;padding:3px'>Anomalie: $rs[TotAnomalia]</span>";
	else
		$statoAnomalia = "";
	
	if ( $rs[TotAnnullato]>0 )
		$statoAnnullato = "<span style='background-color:#FFFFAA;color:black;padding:3px'>Annullate: $rs[TotAnnullato]</span>";
	else
		$statoAnnullato = "";

	if ( $rs[TipoMP]==1 )
		$table .= <<< table
			<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
					onclick="SelComponente($rs[IDComponente])">
				Vano <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
				-
				Componente <b>$html[CodiceAssComponente]</b> - <b>$html[DesComponente]</b> - [$html[GruppoImpianto]] - [$html[CodiceComponente]]
				<hr>
				$statoUno $statoAnomalia $statoAnnullato
			</button>
table;
	else
		$table .= <<< table
			<button class="ui-btn ui-corner-all ui-shadow" style="font-weight:normal;text-align:left"
					onclick="SelVano($rs[IDAmbiente])">
				Vano <b>$html[CodiceAssAmbiente]</b> - <b>$html[Destinazione]</b>
				<hr>
				$statoUno $statoAnomalia $statoAnnullato
				<hr>Trasformazioni <b>$html[Trasformazioni]</b> - Pulizie <b>$html[Pulizie]</b> - Verifiche <b>$html[Verifiche]</b> - Controllo Campione <b>$html[ControlloCampione]</b> - StatoStanza <b>$html[StatoStanza]</b>
			</button>
table;
	
}

$result = array();

$result[table] = $table;

$result[PosizionePagina] = 1;
$result[NumeroPagine] = 1;
$result[RighePerPagina] = 1;

jhp($result);

?>