function CanvasEngine(canvasId, funcCallBackTouchEnd)
{
	var obj = this;
	
	obj.funcCallBackTouchEnd = funcCallBackTouchEnd;
	
	obj.canvas = jei(canvasId);
	obj.$canvas = $('#'+canvasId);

	obj.x1 = obj.y1 = obj.x2 = obj.y2 = 0;
	
	obj.top = obj.left = 0;
	
	obj.TouchNumber = 0;
	
	obj.Image = new Image; // eventuale immagine di sfondo

	obj.BackColor = "white";
	obj.ForeColor1 = "blue";
	obj.ForeColor2 = "red";
	
	obj.DrawType = "none";
	
	obj.Image.onload = function() {
		obj.Redraw(); 
	};	

	obj.CalcPosAndSize = function() {
		var offset = obj.$canvas.offset();
		
		obj.top = offset.top;
		obj.left = offset.left;

		obj.canvas.width = obj.$canvas.width();
		obj.canvas.height = obj.$canvas.height();
	}
	
	obj.Redraw = function(drawType) {
		var ctx = obj.canvas.getContext("2d");
		
		ctx.globalAlpha=1;
		ctx.fillStyle=obj.BackColor;
		ctx.fillRect(0, 0, obj.canvas.width, obj.canvas.height);
		
		if ( obj.Image.src )
			ctx.drawImage(obj.Image, 0, 0);
			
		switch(drawType)
		{
			case "box":
				obj.DrawBox(ctx);
				break;
		}			
	}
	
	obj.DrawBox = function(ctx) {
		obj.Event = "";
		
		if ( obj.TouchNumber==1 )
		{
			obj.Event = "ZoomRect1";

			ctx.lineWidth = obj.DrawLineWidth;
			
			ctx.strokeStyle = obj.DrawColor1;
			
			ctx.beginPath();
			
			ctx.moveTo(obj.x1,	obj.y1);
			ctx.lineTo(obj.x2,	obj.y1);
			ctx.lineTo(obj.x2,	obj.y2);
			ctx.lineTo(obj.x1,	obj.y2);
			ctx.lineTo(obj.x1,	obj.y1);
			
			ctx.stroke();
		}
	}

	obj.canvas.addEventListener('touchstart', function(e) {
		e.preventDefault();
		
		var touch1 = e.touches[0];
		
		obj.TouchNumber = e.touches.length;

		obj.CalcPosAndSize();
	
		obj.x1 = obj.x2 = touch1.pageX-obj.left;
		obj.y1 = obj.y2 = touch1.pageY-obj.top;
		
		obj.Redraw(obj.DrawType);	
		
	}, false);
	
	obj.canvas.addEventListener('touchmove', function(e) {
		var touch1 = e.touches[0];
		
		obj.TouchNumber = e.touches.length;

		obj.CalcPosAndSize();

		obj.x2 = touch1.pageX-obj.left;
		obj.y2 = touch1.pageY-obj.top;

		obj.Redraw(obj.DrawType);	

	}, false);
	
	obj.canvas.addEventListener('touchend', function(e){
		e.preventDefault(); 
		
		obj.TouchNumber = e.touches.length;

		if ( obj.funcCallBackTouchEnd )
			obj.funcCallBackTouchEnd(e, obj);
			
	}, false);
	
	obj.CalcPosAndSize();
}





