alter PROCEDURE dbo.SettaStatoPrgSecondoPrd
	@IdCommessa int,
	@IdOrdineProgrammato int
AS
BEGIN
	SET NOCOUNT ON;
	
	declare @MinDataInizio datetime
	declare @MaxDataFine datetime
	declare @MaxDataFine2 datetime
	declare @Aperto bit
	declare @Eseguito bit
	declare @Anomalia bit
	declare @Annullato bit
	declare @NumPrd int
	declare @NumPrdFinite int
	declare @NumPrdEseguite int
	declare @NumPrdAnomalia int

	set @Aperto = 0
	set @Eseguito = 0
	set @Anomalia = 0
	set @Annullato = 0
	
	SELECT     @MinDataInizio = MIN(dataInizio) 
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)
			AND (Aperto = 1) 
			AND (Annullato = 0 OR Annullato IS NULL) 
			AND (Anomalia = 0 OR Anomalia IS NULL)

	if @MinDataInizio is not null 
		set @Aperto = 1
	
	SELECT     @NumPrd = COUNT(*) 
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)

	SELECT     @NumPrdFinite = COUNT(*) 
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)
		AND (Annullato = 1 OR Anomalia = 1 OR Eseguito = 1)

	SELECT     @NumPrdEseguite = COUNT(*), @MaxDataFine = MAX(DataFine)
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)
		AND (Eseguito = 1)

	SELECT     @NumPrdAnomalia = COUNT(*)
	FROM         tblOrdiniPrgComp
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)
		AND (Anomalia = 1)
	
	if @NumPrd = @NumPrdFinite
	begin
		if @NumPrdEseguite > 0
			begin
				set @Eseguito = 1
				set @MaxDataFine2 = @MaxDataFine
			end
		else
			begin
				if @NumPrdAnomalia > 0
					set @Anomalia = 1
				else
					set @Annullato = 1
			end
	end
	
	update tblOrdiniProgrammati set 
									Aperto=@Aperto, Eseguito=@Eseguito, Annullato=@Annullato, Anomalia=@Anomalia, 
									dataInizio=@MinDataInizio, dataFine=@MaxDataFine2
	WHERE     (IdCommessa = @IdCommessa) AND (IdOrdineProgrammato = @IdOrdineProgrammato)
END
