<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$sql = <<< _SQL

    SELECT 
        ElencoEdifici.EdificioBreve
    FROM 
        ElencoEdifici
        INNER JOIN UtentiEdifici
            ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
            AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    WHERE 
        ElencoEdifici.IdCommessa = $IdCommessa
        AND ElencoEdifici.ID = $IdEdificio
  
_SQL;

$NomeEdificio = htmlentities(ntxScalar($sql));
?>

<!DOCTYPE html> 
<html>
    <head>
        <title>Ordini</title>

        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="stylesheet" href="/repository2/jquery.mobile-latest/jquery.mobile.min.css" />

        <script src="/repository/libs/jquery_latest/jquery.min.js"></script>

        <script src="/repository2/jquery.mobile-latest/jquery.mobile.min.js"></script>

        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>

        <script src="js/anagrafica_vettore.js?v=<?php echo time() ?>"></script>
		
		<link rel="stylesheet" href="css/index.css" />

    </head>
    <body >
        <div data-role="page">

            <div data-role="header" data-position="fixed">
                <h1>Registro Vettori</h1>
                <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
                <a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext">Back</a>
            </div>

            <div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">

                <form name="frmRicerca" method="post" action="" onsubmit="return false;">

                    <input type="hidden" name="IdEdificio" value="<?php echo $IdEdificio ?>" >

                    <div class="ui-grid-solo">

                        <div class="ui-block-a">

                            <label for="NomeEdificio">Edificio</label>

                            <input type="text" name="NomeEdificio" id="NomeEdificio" value="<?php echo $NomeEdificio ?>" readonly disabled>

                        </div>

                    </div>

                    <div class="ui-grid-solo">

                        <div class="ui-block-a">

                            <label for="NomeVettore">Nome</label>

                            <input type="text" name="NomeVettore" id="NomeVettore" value="" >

                        </div>

                    </div>

                    <div class="ui-grid-a ui-responsive">

                        <div class="ui-block-a">

                            <button data-icon="delete" data-theme="a" onclick="document.frmRicerca.reset()">Reset Form</button>

                        </div>

                        <div class="ui-block-b">

                            <button data-icon="search" data-theme="a" onclick="caricaElencoAnagraficheVettori()">Ricerca un Vettore</button>

                        </div>

                    </div>


                </form>

                <div id="elencoAnagraficheVettori"></div>

            </div>

            <form name=form1 method="post">

                <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" >
                <input type=hidden name=IdVettore value="" >

            </form>

        </div>

    </body>
</html>
