<?php
/**
 * @author Stefano Zingaro <zingaro.natisoft@gmail.com>
 * @copyright (c) 2016, Natisoft Srl
 */
if (!$_SESSION) {
    session_start();
}

require_once("../../_ntx/const.inc");
require_once(NTX_WEBPORTAL_PATH . '_database.inc');

$IdCommessa = ntxise('IdCommessa');
$IdUtente = ntxise('IdUtente');
$IdEdificio = ntxip('IdEdificio');
$IdVettore = ntxip('IdVettore');

$sqlSelectEdifici = <<< _SQL

    SELECT ElencoEdifici.EdificioBreve
    FROM ElencoEdifici
    INNER JOIN UtentiEdifici
            ON ElencoEdifici.IdCommessa = UtentiEdifici.IdCommessa
                    AND ElencoEdifici.ID = UtentiEdifici.IdEdificio
    WHERE ElencoEdifici.IdCommessa = $IdCommessa
            AND ElencoEdifici.ID = $IdEdificio

_SQL;

$NomeEdificio = ntxScalar($sqlSelectEdifici);
 
$sqlSelectRisorse = <<< _SQL

    SELECT Risorse.ID AS IdRisorsa
    FROM Risorse
    INNER JOIN Utenti
            ON risorse.id = Utenti.idrisorsa
    WHERE Utenti.Id = $IdUtente 

_SQL;

$IdRisorsa = ntxScalar($sqlSelectRisorse);
 ;
$sqlNomeVettore = <<< _SQL

    SELECT Ditte.Ditta AS NomeVettore  
    FROM Ditte
    WHERE Ditte.IDDitta = $IdVettore 

_SQL;
 
$NomeVettore = ntxScalar($sqlNomeVettore);


$optionMotivoAccesso = '';
$sql = <<< _SQL

    SELECT
        *
    FROM
        MotivoAccesso
    WHERE 
        1=1
   
_SQL;

$query = ntxQuery($sql);
while ($query  &&  $rs = ntxRecord($query)) {
    foreach ($rs as $k => $v) {
        $html[$k] = htmlentities($v);
    }
    $optionMotivoAccesso .= <<< _HTML
     
        <option value="{$html['IdMotivoAccesso']}">{$html['Descrizione']}</option>
            
_HTML;
}
?>
<!DOCTYPE html> 
<html>
    <head>
        <title>Registro Vettori</title>

        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="stylesheet" href="/repository2/jquery.mobile-latest/jquery.mobile.min.css" />

        <script src="/repository/libs/jquery_latest/jquery.min.js"></script>

        <script src="/repository2/jquery.mobile-latest/jquery.mobile.min.js"></script>

        <script src="/repository/libs/jhp_latest/jhp.min.js" type="text/javascript"></script>

        <script src="js/registro_vettori.js?v=<?php echo time() ?>"></script>
 
		<script src="/repository/js/convalida_dati.js" type="text/javascript"></script>
		
		<link rel="stylesheet" href="css/index.css" />
		
    </head>
    <body>

        <div data-role="page">

            <div data-role="header" data-position="fixed">
                <h1>Registro Vettori</h1>
                <a href="../../_login.php" data-ajax="false" data-icon="user" data-iconpos="notext">Login</a>
                <a href="index.php" data-ajax="false" data-icon="back" data-iconpos="notext">Back</a>
            </div>

            <div style="padding:10px 20px;" role="main" class="ui-content jqm-content jqm-fullwidth">

                <div id="tabellaIngresso">

                    <form name="frmRicerca" enctype="multipart/form-data" method="post" action="" onsubmit="return false;">

                        <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
                        <input type=hidden name=IdVettore value="<?php echo $IdVettore ?>" />
                        <input type=hidden name=IdUtente value="<?php echo $IdUtente ?>" />
                        <input type=hidden name=IdRisorsa value="<?php echo $IdRisorsa ?>" />
                        <input type=hidden name=IdRegistroVettori value="" />
                        <input type=hidden name=IdRegistroVettoriInOut value="" />


                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="NomeEdificio">Edificio</label>

                                <input type="text" name="NomeEdificio" value="<?php echo $NomeEdificio ?>" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="NomeVettore">Vettore</label>

                                <input type="text" name="NomeVettore" value="<?php echo $NomeVettore ?>" readonly="" disabled="" >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="TargaMotrice">Targa Motrice</label>

                                <input type="text" data-clear-btn="true" name="TargaMotrice" value="" tipo="testo" convalida obbligatorio >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Presa" class="select">Presa</label>
									<select id="Presa" name="Presa"  >
										<option value=0 selected>PRESA (DEFAULT = 0)</option>
										<option value=1>PRESA 1</option>
										<option value=2>PRESA 2</option>
									</select>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Autista">Autista</label>

                                <input type="text" data-clear-btn="true" name="Autista" value="">

                            </div>

                        </div>
						
                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CheckPatenteValida">Controllo validità  patente</label>

                                <input type="checkbox"   id="CheckPatenteValida"  name="CheckPatenteValida" value="1"  >

                            </div>

                        </div>							

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="DataOra">Data/Ora</label>

                                <input type="datetime-local" data-clear-btn="false" name="DataOra" value=""  tipo="testo" convalida obbligatorio >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="TargaRimorchio">Targa Rimorchio</label>

                                <input type="text" data-clear-btn="true" name="TargaRimorchio" value="">

                            </div>

                        </div>
						
                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CheckAssMezzoValida">Controllo validità  assicurazione mezzo</label>

                                <input type="checkbox"   id="CheckAssMezzoValida"  name="CheckAssMezzoValida" value="1"    >

                            </div>

                        </div>						

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Shipment">Shipment</label>

                                <input type="text" data-clear-btn="true" name="Shipment" value="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Motivo" class="select">Motivo della visita</label>
                                <select name="Motivo" convalida obbligatorio tipo=testo >
                                    <?php echo $optionMotivoAccesso ?>
                                </select>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Note">Note</label>

                                <textarea name="Note" value="" maxlength="4000" ></textarea>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Carico</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="CaricoEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoEpal" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="CaricoFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoFustini" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="CaricoCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoCasse" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="CaricoAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoAltro" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Proprietà  Autista</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="ProprietaEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaEpal" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="ProprietaFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaFustini" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="ProprietaCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaCasse"  onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="ProprietaAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaAltro" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Verifica Portineria</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="VerificaEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaEpal" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="VerificaFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaFustini" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="VerificaCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaCasse" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="VerificaAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaAltro" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CaricoBolla">Carico Bolla</label>

                                <input type="number" min="0" data-clear-btn="false" name="CaricoBolla" value="0" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CaricoControllato">Carico Controllato</label>

                                <input type="number" min="0" data-clear-btn="false" name="CaricoControllato" value="0" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <label for="DifferenzaCarico">Differenza Carico</label>

                            <input type="number" min="0" data-clear-btn="false" name="DifferenzaCarico"value="0" readonly="" disabled="">

                        </div>

                        <div class="ui-grid-solo">

                            <fieldset data-role="controlgroup" data-type="horizontal">

                                <legend>Anomalie:</legend>

                                <input type="checkbox" id="CaricoNonCorrispondenteIn" onchange="setCaricoNonCorrispondente(document.frmRicerca)">
                                <label for="CaricoNonCorrispondenteIn">Carico Non Corrispondente</label>
                                <input type="checkbox" id="BollaErrataIn" onchange="setBollaErrata(document.frmRicerca)">
                                <label for="BollaErrataIn">Bolla Errata</label>
                                <input type="checkbox" id="BollaMancanteIn" onchange="setBollaMancante(document.frmRicerca)">
                                <label for="BollaMancanteIn">Bolla Mancante</label>

                                <input type="hidden" name="CaricoNonCorrispondente" value="0" >
                                <input type="hidden" name="BollaErrata" value="0" >
                                <input type="hidden" name="BollaMancante" value="0" >

                            </fieldset>

                        </div>

                        <div class="ui-grid-solo">

                            <label for="PostazioneDiCarico">Postazione Di Carico</label>

							<select name="PostazioneDiCarico" >
								<option value="" selected></option>
								<option value="TETTOIA">TETTOIA</option>
								<option value="BANCHINA">BANCHINA</option>
							</select>

                        </div>

                        <div class="ui-grid-solo">

                            <label for="FasciaOrariaPrenotazione">Fascia Oraria Prenotazione</label>

							<select name="FasciaOrariaPrenotazione" >
								<option value="" selected></option>
								<option value="6/8">DALLE 6.00 ALLE 8.00</option>
								<option value="8/10">DALLE 8.00 ALLE 10.00</option>
								<option value="10/12">DALLE 10.00 ALLE 12.00</option>
								<option value="12/14">DALLE 12.00 ALLE 14.00</option>
								<option value="14/16">DALLE 14.00 ALLE 16.00</option>
								<option value="16/18">DALLE 16.00 ALLE 18.00</option>
								<option value="18/20">DALLE 18.00 ALLE 20.00</option>
								<option value="20/22">DALLE 20.00 ALLE 22.00</option>
							</select>


                        </div>	
						
                        <div class="ui-grid-solo">

                            <label for="Cicalino">Cicalino</label>

                            <input type="text" name="Cicalino" />

                        </div>						
						
                        <div class="ui-grid-solo">

                            <label for="NoteAnomalia">Azione Correttiva Anomalie Riscontrate	</label>

                            <textarea name="NoteAnomalia" value="" maxlength="4000"></textarea>

                        </div>

                        <div class="ui-grid-b ui-responsive">

                            <div class="ui-block-a">

                                <button data-icon="delete" data-theme="a" onclick="objCodice.Reset(document.frmRicerca)">Reset</button>

                            </div>

                            <div class="ui-block-b">

                                <button data-icon="arrow-r" data-theme="a" onclick="objCodice.RegistraIngresso(document.frmRicerca)">Registra Ingresso</button>

                            </div>

                            <div class="ui-block-c">

                                <button data-icon="arrow-r" data-theme="a" onclick="objCodice.CheckIn()" id="btnRegistaCheckIn" >Registra Check In</button>

                            </div>

                        </div>

                    </form>

                </div>

                <div id="tabellaUscita">

                    <form name="frmRicerca2"  enctype="multipart/form-data" method="post"  onsubmit="return false;" action="" >

                        <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
                        <input type=hidden name=IdVettore value="<?php echo $IdVettore ?>" />
                        <input type=hidden name=IdUtente value="<?php echo $IdUtente ?>" />
                        <input type=hidden name=IdRisorsa value="<?php echo $IdRisorsa ?>" />
                        <input type=hidden name=IdRegistroVettori value="" />
                        <input type=hidden name=IdRegistroVettoriInOut value="" />

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="NomeEdificio">Edificio</label>

                                <input type="text" name="NomeEdificio" value="<?php echo $NomeEdificio ?>" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="NomeVettore">Vettore</label>

                                <input type="text" name="NomeVettore" value="<?php echo $NomeVettore ?>" readonly="" disabled="" >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="TargaMotrice">Targa Motrice</label>

                                <input type="text" data-clear-btn="true" name="TargaMotrice" value="" tipo="testo" convalida obbligatorio  >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Presa" class="select">Presa</label>
									<select id="Presa" name="Presa"  >
										<option value=0 selected>PRESA (DEFAULT = 0)</option>
										<option value=1>PRESA 1</option>
										<option value=2>PRESA 2</option>
									</select>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Autista">Autista</label>

                                <input type="text" data-clear-btn="true" name="Autista" value="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="DataOra">Data/Ora</label>

                                <input type="datetime-local" data-clear-btn="false" name="DataOra" value="" tipo="testo" convalida obbligatorio >

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="TargaRimorchio">Targa Rimorchio</label>

                                <input type="text" data-clear-btn="true" name="TargaRimorchio" value="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Shipment">Shipment</label>

                                <input type="text" data-clear-btn="true" name="Shipment" value="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Motivo" class="select">Motivo della visita</label>
                                <select name="Motivo" convalida obbligatorio tipo=testo >
                                    <?php echo $optionMotivoAccesso ?>
                                </select>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="Note">Note</label>

                                <textarea name="Note" value="" maxlength="4000" ></textarea>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Carico</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="CaricoEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoEpal" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="CaricoFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoFustini" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="CaricoCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoCasse" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="CaricoAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="CaricoAltro" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Proprietà  Autista</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="ProprietaEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaEpal" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="ProprietaFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaFustini" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="ProprietaCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaCasse"  onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="ProprietaAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="ProprietaAltro" onchange="calcolaCaricoBolla(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <b>Verifica Portineria</b>

                            <div class="ui-grid-c">

                                <div class="ui-block-a">

                                    <label for="VerificaEpal">Pallet EPAL 80x120</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaEpal" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-b">

                                    <label for="VerificaFustini">Fustini 18LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaFustini" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-c">

                                    <label for="VerificaCasse">Casse Vetro 1LT</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaCasse" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                                <div class="ui-block-d">

                                    <label for="VerificaAltro">Bancali in Bolla</label>

                                    <input type="number" min="0" data-clear-btn="false" name="VerificaAltro" onchange="calcolaCaricoControllato(this.form)" value="0">

                                </div>

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CaricoBolla">Carico Bolla</label>

                                <input type="number" min="0" data-clear-btn="false" name="CaricoBolla" value="0" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="CaricoControllato">Carico Controllato</label>

                                <input type="number" min="0" data-clear-btn="false" name="CaricoControllato" value="0" readonly="" disabled="">

                            </div>

                        </div>

                        <div class="ui-grid-solo">

                            <label for="DifferenzaCarico">Differenza Carico</label>

                            <input type="number" min="0" data-clear-btn="false" name="DifferenzaCarico"value="0" readonly="" disabled="">

                        </div>

                        <div class="ui-grid-solo">

                            <fieldset data-role="controlgroup" data-type="horizontal">

                                <legend>Anomalie:</legend>

                                <input type="checkbox" id="CaricoNonCorrispondenteOut" onchange="setCaricoNonCorrispondente(document.frmRicerca)">
                                <label for="CaricoNonCorrispondenteOut">Carico Non Corrispondente</label>
                                <input type="checkbox" id="BollaErrataOut" onchange="setBollaErrata(document.frmRicerca)">
                                <label for="BollaErrataOut">Bolla Errata</label>
                                <input type="checkbox" id="BollaMancanteOut" onchange="setBollaMancante(document.frmRicerca)">
                                <label for="BollaMancanteOut">Bolla Mancante</label>

                                <input type="hidden" name="CaricoNonCorrispondente" value="0" >
                                <input type="hidden" name="BollaErrata" value="0" >
                                <input type="hidden" name="BollaMancante" value="0" >

                            </fieldset>

                        </div>

                        <div class="ui-grid-solo">

                            <label for="PostazioneDiCarico">Postazione Di Carico</label>

							<select name="PostazioneDiCarico" >
								<option value="" selected></option>
								<option value="TETTOIA">TETTOIA</option>
								<option value="BANCHINA">BANCHINA</option>
							</select>

                        </div>
						
                        <div class="ui-grid-solo">

                            <label for="FasciaOrariaPrenotazione">Fascia Oraria Prenotazione</label>

							<select name="FasciaOrariaPrenotazione" >
								<option value="" selected></option>
								<option value="6/8">DALLE 6.00 ALLE 8.00</option>
								<option value="8/10">DALLE 8.00 ALLE 10.00</option>
								<option value="10/12">DALLE 10.00 ALLE 12.00</option>
								<option value="12/14">DALLE 12.00 ALLE 14.00</option>
								<option value="14/16">DALLE 14.00 ALLE 16.00</option>
								<option value="16/18">DALLE 16.00 ALLE 18.00</option>
								<option value="18/20">DALLE 18.00 ALLE 20.00</option>
								<option value="20/22">DALLE 20.00 ALLE 22.00</option>
							</select>


                        </div>						

                        <div class="ui-grid-solo">

                            <label for="Cicalino">Cicalino</label>

                            <input type="text" name="Cicalino" />

                        </div>						
						
                        <div class="ui-grid-solo">

                            <label for="NoteAnomalia">Azione Correttiva Anomalie Riscontrate	</label>

                            <textarea name="NoteAnomalia" value="" maxlength="4000"></textarea>

                        </div>

                        <div class="ui-grid-solo">

                            <div class="ui-block-a">

                                <label for="pathBolla">File:</label> 

                                <input type="file" name="pathBolla" value="">

                                <button data-icon="delete" data-theme="a"  onclick="objCodice.AddDocScansionato(document.frmRicerca2)">Aggiungi Scansione</button>

                                <iframe name=scaricoFoto style="width:100%;height:120px;border:none;padding:0;margin:0;"></iframe>

                            </div>

                        </div>

                        <div class="ui-grid-a ui-responsive">

                            <div class="ui-block-a">

                                <button data-icon="delete" data-theme="a" onclick="objCodice.Reset(document.frmRicerca2)">Reset</button>

                            </div>

                            <div class="ui-block-b">

                                <button data-icon="arrow-r" data-theme="a" onclick="objCodice.RegistraUscita()">Registra Uscita</button>

                            </div>

                        </div>

                    </form>

                </div>

            </div>

            <div id="elencoVettori" style="padding:10px 20px;"></div>

            <form name=form1 method="post">

                <input type=hidden name=IdEdificio value="<?php echo $IdEdificio ?>" />
                <input type=hidden name=IdVettore value="<?php echo $IdVettore ?>" />

            </form>

        </div>

    </body>

</html>

