<?php
$sqlBody = <<< sql
SELECT   DISTINCT 
	Richieste.IDCommessa, Richieste.NumRichiesta, Richieste.AnnoRichiesta, Richieste.Richiedente, Richieste.Descrizione, Richieste.Descrizione1, Richieste.Descrizione2, Richieste.DataRichiesta AS DataRicezione,  Richieste.DataGestione,Richieste.IdRich,	Richieste.TelefonoRif,
	tblMestieri.Descrizione AS Mestiere, 
	tblAttivitàMestiere.Descrizione AS AttivitaMestiere, 
	tblComponetiMestiere.Descrizione AS ComponenteMestiere, 
	Stati.DesStato AS StatoRic, 
	Ordini.NumOrdine, Ordini.AnnoOrdine, Ordini.DataScadenza, StatiOrdini.DesStato AS StatoOrd, Ordini.StatoOrd	AS IdStatoOrdine,
	Ordini.DataInizioProg, Ordini.DataFineProg, Ordini.DataInizio, Ordini.DataFine,	Ordini.IdOrd,	Ordini.IdRisorsa, 
	Ordini.DataPresaInCarico,	Ordini.CodEdificio AS IdEdificio,	 Ordini.NotaInterna, 
	Richiedenti.Nome AS RichiedenteNome, 
	ElencoEdifici.EdificioBreve AS Edificio,
	ElencoEdifici.Indirizzo, ElencoEdifici.Civico,
	Ditte.Ditta,
	Risorse.Nome AS Risorsa,
	tblPgPropietari.Nome AS Propietario,
	Ordini.TipologiaEnergia,
	ElencoEdifici.tagNFC AS edificioRegistratoNFC 
	,Ordini.DescrizioneIntervento+' '+Ordini.DescrizioneIntervento1+' '+Ordini.DescrizioneIntervento2 AS DescrizioneIntervento
	,EnTipiAttivitàMestiere.Tipo
	,EnTipiAttivitàMestiere.Colore
	,EnCircuiti.IdCircuito
	,EnCircuiti.CodiceCliente
	,EnCircuiti.Nome AS NomeCircuito
	,EnTipiTelecontrollo.Telecontrollo    
	,Ordini.NumOrdineOrigine    
	,Ordini.AnnoOrdineOrigine  
	,Ordini.Note  
	,Richieste.Note AS RichiestaNote
	
	,SUBSTRING (EnTipiAttivitàMestiere.Tipo ,1 , 2 )  AS TipoIniziali
	
	,CASE  
		WHEN Ordini.TipologiaEnergia=1
		THEN EnPeriodi.DataInizio 
		
		WHEN Ordini.TipologiaEnergia=2
		THEN EnOrariBase.DataFineValidità
		
		WHEN (Ordini.TipologiaEnergia=3 OR Ordini.TipologiaEnergia=4)
		THEN EnOrariSpeciali.DataGiorno
		
		WHEN Ordini.TipologiaEnergia=6
		THEN Ordini.DataInizioProg 
	END 
		AS Data1
	,CASE  
		WHEN Ordini.TipologiaEnergia=1
		THEN DATEADD(day, 1, EnPeriodi.DataFine)
		
		WHEN Ordini.TipologiaEnergia=2
		THEN EnOrariBase.DataInizioValidità
		
		WHEN (Ordini.TipologiaEnergia=3 OR Ordini.TipologiaEnergia=4)
		THEN EnOrariSpeciali.DataGiorno
		
		WHEN Ordini.TipologiaEnergia=6
		THEN Ordini.DataFineProg 
	END 
		AS Data2 
		
	,RisorseEdifici.Priorità
	,EnTipiPeriodo.Icona AS IconaTipoPeriodo
 
INTO #tbl1 
 
FROM    
	Richieste 
	INNER JOIN
	Ordini ON Richieste.NumRichiesta = Ordini.NumRichiesta AND Richieste.AnnoRichiesta = Ordini.AnnoRichiesta AND Richieste.IDCommessa = Ordini.IDCommessa 
	LEFT OUTER JOIN
	ElencoEdifici ON Richieste.IDCommessa = ElencoEdifici.IdCommessa AND Richieste.Localizzazione = ElencoEdifici.ID
	LEFT OUTER JOIN
	tblMestieri ON Richieste.IDCommessa = tblMestieri.IdCommessa AND Richieste.IdMestiere = tblMestieri.IdMestiere	  
	LEFT OUTER JOIN
	Ditte ON Ordini.Assegnazione = Ditte.IDDitta 
	LEFT OUTER JOIN
	Richiedenti ON Richieste.IDCommessa = Richiedenti.IdCommessa AND Richieste.IdRichiedente = Richiedenti.IdRichiedente	 
	LEFT OUTER JOIN
	StatiOrdini ON StatiOrdini.IDStato = Ordini.StatoOrd	 
	LEFT OUTER JOIN
	tblComponetiMestiere ON Richieste.IDCommessa = tblComponetiMestiere.IdCommessa AND Richieste.IdComponenteMestiere = tblComponetiMestiere.IdComponenteMestiere 
	LEFT OUTER JOIN
	tblAttivitàMestiere ON Richieste.IDCommessa = tblAttivitàMestiere.IdCommessa AND Richieste.IdAttivitàMestiere = tblAttivitàMestiere.IdAttivitàMestiere
	LEFT OUTER JOIN
	Stati ON Richieste.Stato = Stati.IDStato 
	LEFT OUTER JOIN
	Risorse ON Risorse.ID = Ordini.IdRisorsa	
	LEFT OUTER JOIN
	tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario
		
	LEFT OUTER JOIN
	EnPeriodi ON Ordini.IdPeriodoEnergia = EnPeriodi.IdPeriodo

	LEFT OUTER JOIN
	EnOrariBase ON Ordini.IdOrarioBase = EnOrariBase.IdOrarioBase

	LEFT OUTER JOIN
	EnOrariSpeciali ON Ordini.IdOrarioSpeciale = EnOrariSpeciali.IdOrarioSpeciale

	LEFT OUTER JOIN
	EnCircuiti ON Ordini.IdCircuitoEnergia = EnCircuiti.IdCircuito
	LEFT OUTER JOIN
	EnDatiCircuiti ON EnCircuiti.IdUltimiDati = EnDatiCircuiti.IdDati 
	LEFT OUTER JOIN
	EnTipiTelecontrollo ON EnDatiCircuiti.Telecontrollo = EnTipiTelecontrollo.Id	
	LEFT OUTER JOIN 
	EnTipiAttivitàMestiere ON Ordini.TipologiaEnergia = EnTipiAttivitàMestiere.Id	
	
	LEFT OUTER JOIN
	RisorseEdifici ON RisorseEdifici.IdCommessa = Ordini.IDCommessa AND RisorseEdifici.IdEdificio = Ordini.CodEdificio
	
	LEFT OUTER JOIN
	EnTipiPeriodo ON EnPeriodi.Tipo = EnTipiPeriodo.Id	
sql;
?>