<?php

function ColoreTemperatura($index) {
	$index = (int)($index*10);
	
	$decR = 140 + ($index * 40) % 116;
	$decG = 130 + ($index * 50) % 126;
	$decB = 90  + ($index * 80) % 166;

	$hexR = dechex($decR);
	$hexG = dechex($decG);
	$hexB = dechex($decB);
	
	$hexR = (strlen($hexR)<2 ? "0" : "").$hexR;
	$hexG = (strlen($hexG)<2 ? "0" : "").$hexG;
	$hexB = (strlen($hexB)<2 ? "0" : "").$hexB;
	
	Return "#".$hexR.$hexG.$hexB;
}
	
$colori = array(
'white',
'red',
'lime',
'magenta',
'yellow',
'cyan',
'orange',
'silver ',
'green',
'purple',
'olive',
'teal'
);
 
 
$numColori = count($colori);

$indexColore = 0;
$indexColoreTemperatura = 0;

$DataInizio = ntxDateTimeSQL(ntxtp('DataInizio'));
$DataFine = ntxDateTimeSQL(ntxtp('DataFine'));

$ListaCircuitiDaCercare = $_POST[ListaCircuitiDaCercare]."";

$result = "";

if ( !ntxIsListOfNumber($ListaCircuitiDaCercare) )
	jhp($result);

$ListaCircuitiDaCercare = explode(",", $ListaCircuitiDaCercare);

$len = count($ListaCircuitiDaCercare);

$whereCircuiti = "";

for ( $i=0; $i<$len; $i++ )
{
	$IdCircuito = $ListaCircuitiDaCercare[$i];

	if ( $whereCircuiti!="" ) $whereCircuiti .= " OR ";
	
	$whereCircuiti .= " (EnCircuiti.IdCircuito=$IdCircuito) ";
}

$where = "";

if ( $whereCircuiti!="" ) $where = "WHERE 1=1 AND ($whereCircuiti)";

$sql = <<< sql
		SELECT    a.*, b.minDelta, b.maxDelta, b.IdPeriodo AS IdPeriodoX, c.*, d.*, a.IdCircuito IdCircuitoX
	FROM   -- circuiti
		(				  
			SELECT     ElencoEdifici.IdCommessa, ElencoEdifici.ID AS IdEdificio, tblPgPropietari.Nome AS Cliente, ElencoEdifici.EdificioBreve AS Utenza, EnCircuiti.CodiceCliente AS Codice, 
                      EnCircuiti.Nome AS Circuito, EnCircuiti.IdCircuito, date.data, dbo.GiornoSettimana(date.data) AS GiornoSettimanaX, EnCircuiti.Illuminazione, 
                      EnTipiTelecontrollo.Telecontrollo
			FROM         EnCircuiti INNER JOIN
                      ElencoEdifici ON EnCircuiti.IdCommessa = ElencoEdifici.IdCommessa AND EnCircuiti.IdEdificio = ElencoEdifici.ID INNER JOIN
                      tblPgPropietari ON ElencoEdifici.IdProprietario = tblPgPropietari.IdPropietario INNER JOIN
                      EnDatiCircuiti ON EnCircuiti.IdUltimiDati = EnDatiCircuiti.IdDati INNER JOIN
                      EnTipiTelecontrollo ON EnDatiCircuiti.Telecontrollo = EnTipiTelecontrollo.Id
					  , dbo.SequenzaDiDate($DataInizio, $DataFine) date
			$where
		) a LEFT JOIN  -- periodi
		(
			SELECT EnPeriodi.IdCircuito, EnPeriodi.IdPeriodo, EnPeriodi.DataInizio, EnPeriodi.DataFine, tblPgContratti.MinDeltaTemperatura minDelta, 
						   tblPgContratti.MaxDeltaTemperatura maxDelta
			FROM  EnPeriodi INNER JOIN
						   tblPgContratti ON EnPeriodi.IdContratto = tblPgContratti.IdPgContratto			   
		) b	ON (b.IdCircuito = a.IdCircuito)
			AND (b.DataInizio <= a.data) AND (b.DataFine >= a.data)
			
		LEFT JOIN  -- orari base
		(
			SELECT     EnOrariBase.IdPeriodo, EnOrariBase.DataInizioValidità , EnOrariBase.DataFineValidità , EnOrariBase.Stato, EnOrariBase.IdOrarioBase, 
				  EnGiorniOrariBase.GiornoSettimana, EnGiorniOrariBase.OreGiornaliere, EnGiorniOrariBase.OraOn1txt, EnGiorniOrariBase.OraOff1txt, 
				  EnGiorniOrariBase.OraOn2txt, EnGiorniOrariBase.OraOff2txt, EnGiorniOrariBase.OraOn3txt, EnGiorniOrariBase.OraOff3txt, 
				  EnGiorniOrariBase.OraOn4txt, EnGiorniOrariBase.OraOff4txt, EnGiorniOrariBase.TemperaturaVoluta
			FROM          EnOrariBase INNER JOIN
								  EnGiorniOrariBase ON EnOrariBase.IdOrarioBase = EnGiorniOrariBase.IdOrarioBase
			WHERE     (EnOrariBase.Stato = 1)
		
		) c	ON (c.IdPeriodo = b.IdPeriodo)
			AND (c.DataInizioValidità  <= a.data) AND (c.DataFineValidità  >= a.data)
			AND (c.GiornoSettimana = a.GiornoSettimanaX)
			
		LEFT JOIN  -- orari speciali
		(
			SELECT     EnOrariSpeciali.IdPeriodo, EnOrariSpeciali.DataGiorno,  EnOrariSpeciali.IdOrarioSpeciale,  EnOrariSpeciali.TemperaturaVoluta TemperaturaVolutas, 
				  EnOrariSpeciali.OreGiornaliere OreGiornalieres, EnOrariSpeciali.OraOn1txt AS s1a, EnOrariSpeciali.OraOff1txt AS s1b, EnOrariSpeciali.OraOn2txt AS s2a, 
				  EnOrariSpeciali.OraOff2txt AS s2b, EnOrariSpeciali.OraOn3txt AS s3a, EnOrariSpeciali.OraOff3txt AS s3b, EnOrariSpeciali.OraOn4txt AS s4a, 
				  EnOrariSpeciali.OraOff4txt AS s4b
			FROM         EnOrariSpeciali
			WHERE     (EnOrariSpeciali.Stato = 1)
		
		) d ON (d.IdPeriodo = b.IdPeriodo)
			AND (d.DataGiorno = a.data)  
		
	ORDER BY Cliente, Utenza, IdEdificio, Codice, Circuito, a.IdCircuito, data


sql;

$query = ntxQuery($sql);

$arrayGiorniSettimana = array('','LUN','MAR','MER','GIO','VEN','SAB','DOM');

$IdCommessa = "x";
$IdEdificio = "x";
$IdCircuitoX = "x";
$IdOrarioBase = "x";
$scambioOrarioBase = true;
 

$NumRiga = 0;

$dataOggi = ntxDate(ntxScalar("select getdate()"));

while($rs = ntxRecord($query))
{
	$NumRiga++;
	
	$rs[Inizio] = ntxDate($rs[Inizio]);
	$rs[Fine] = ntxDate($rs[Fine]);
	
	$rs[data] = ntxDate($rs[data]);
	
	foreach($rs as $k=>$v)
		$html[$k] = htmlentities($v);
	
	$giornoSettimana = $arrayGiorniSettimana[$rs[GiornoSettimanaX]];
	
	$colonne = 6; 
	
	$btnAllegatiDisabled = ""; // sempre abilitato !is_numeric($rs[IdOrarioBase])  &&  !is_numeric($rs[IdOrarioSpeciale]) ? "disabled" : "";
	
	if ( $IdCommessa!=$rs[IdCommessa] || $IdEdificio!=$rs[IdEdificio] )
	{
		$IdCommessa = $rs[IdCommessa];
		$IdEdificio = $rs[IdEdificio];
		
		$coloreTestata = $colori[$indexColore++];
		
		if ( $indexColore>=$numColori ) $indexColore = 0;
		
		$table .=  <<< table
			<tr FormCerca Orari Utenza IdCommessa='$rs[IdCommessa]' IdEdificio='$rs[IdEdificio]' >
				<td colspan=$colonne style="font-weight:bold;background-color:$coloreTestata">$html[Cliente] - $html[Utenza]
table;
	}
	
	if ( $IdCircuitoX!=$rs[IdCircuitoX] )
	{
		$IdCircuitoX = $rs[IdCircuitoX];
		
		$lblTemperatura = $rs[Illuminazione]==1 ? "Perc.%" : "T. vol";
		$lblTolleranza = $rs[Illuminazione]==1 ? "" : "Tolleranza";
		
		$colonneX2 = $colonne-4;
		
		$table .=  <<< table
			<tr FormCerca Orari Circuito IdCommessa='$rs[IdCommessa]' IdEdificio='$rs[IdEdificio]'  IdCircuito='$rs[IdCircuitoX]' >
				<td colspan=$colonne style="font-style:italic;font-weight:bold;background-color:$coloreTestata">
					Circuito:
					<span style="font-weight:normal">$html[Circuito] - $html[Codice]</span> 
			<tr FormCerca Orari Circuito IdCommessa='$rs[IdCommessa]' IdEdificio='$rs[IdEdificio]'  IdCircuito='$rs[IdCircuitoX]'>
				<th>Giorno
				<th>Dalle Alle
				<th>Dalle Alle
				<th>Dalle Alle
				<th>Dalle Alle  
				<th>$lblTemperatura 
table;
	}
	
	if ( $IdOrarioBase!=$rs[IdOrarioBase] )
	{
		$IdOrarioBase = $rs[IdOrarioBase];
		$scambioOrarioBase = !$scambioOrarioBase;
	}
	
	$style3 = $scambioOrarioBase ? "background-color : silver" : "";
	$style3 = "";
	
	$style1 = is_numeric($rs[IdPeriodoX]) ? "style='background-color : green'" : "";
	$style2 = is_numeric($rs[IdOrarioSpeciale]) ? "background-color : #94B6EF" : $style3;
	
	if ( is_numeric($rs[IdOrarioSpeciale]) )
	{
		$Ore = (int)($rs[OreGiornalieres]/60);
		$Minuti = ($rs[OreGiornalieres]%60);
	}
	else
	{
		$Ore = (int)($rs[OreGiornaliere]/60);
		$Minuti = ($rs[OreGiornaliere]%60);
	}
		
	if ( $Ore<10 ) $Ore = "0".$Ore;
	if ( $Minuti<10 ) $Minuti = "0".$Minuti;
	
	if ( is_numeric($rs[IdOrarioSpeciale]) )
		$TemperaturaVolutaPunto = $rs[TemperaturaVolutas];
	else
		$TemperaturaVolutaPunto = $rs[TemperaturaVoluta];
	
	$TemperaturaVoluta = ntxRoundThousand($TemperaturaVolutaPunto,1);
	
	 
	if($dataOggi==$rs[data]) $style2 = "background-color : yellow";
		
	
	
	$table .= <<< table
		<tr FormCerca Orari IdCommessa='$rs[IdCommessa]' IdEdificio='$rs[IdEdificio]' IdCircuito='$rs[IdCircuitoX]'  NumRiga=$NumRiga >
			<td style='$style2'>$html[data]
table;
	
	if ( $TemperaturaVoluta!=$TemperaturaVolutaPrec )
	{
		$TemperaturaVolutaPrec = $TemperaturaVoluta;
		 
		if ( $TemperaturaVoluta=="" )
			$coloreTemperatura = "white";
		else
		{
			$coloreTemperatura = ColoreTemperatura($TemperaturaVolutaPunto);
		
			$indexColoreTemperatura++;
		}
	}
	
	$minDelta = "-".ntxRound($rs[minDelta],1);
	$maxDelta = ntxRound($rs[maxDelta],1);
	
	if ( strlen($maxDelta) ) $maxDelta = "+".$maxDelta;

	$printDelta = $rs[Illuminazione]==1 ? "" : "$maxDelta $minDelta";

	if ( is_numeric($rs[IdOrarioSpeciale]) )
	{
		$table .= <<< table
			<td>
			$html[s1a]
			$html[s1b]
			
			<td>
			$html[s2a]
			$html[s2b]
			
			<td>
			$html[s3a]
			$html[s3b]
			
			<td>
			$html[s4a]
			$html[s4b]
			 
			<td style='text-align:right;background-color:$coloreTemperatura'>$TemperaturaVoluta 
table;
	}
	else
	{
		$table .= <<< table
			<td>
			$html[OraOn1txt]
			$html[OraOff1txt]
			
			<td>
			$html[OraOn2txt]
			$html[OraOff2txt]
			
			<td>
			$html[OraOn3txt]
			$html[OraOff3txt]
			
			<td>
			$html[OraOn4txt]
			$html[OraOff4txt]
			 
			<td style='text-align:right;background-color:$coloreTemperatura'>$TemperaturaVoluta 
table;
	}
} 
?>
